--
-- Current Database: `lfxlib`
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ `lfxlib` /*!40100 DEFAULT CHARACTER SET latin1 */;

USE `lfxlib`;

--
-- Table structure for table `active_sessions`
--

DROP TABLE IF EXISTS `active_sessions`;
CREATE TABLE `active_sessions` (
  `sid` varchar(32) NOT NULL default '',
  `name` varchar(32) NOT NULL default '',
  `val` text,
  `changed` varchar(14) NOT NULL default '',
  PRIMARY KEY  (`name`,`sid`),
  KEY `changed` (`changed`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `active_sessions`
--


/*!40000 ALTER TABLE `active_sessions` DISABLE KEYS */;
LOCK TABLES `active_sessions` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `active_sessions` ENABLE KEYS */;

--
-- Table structure for table `applications`
--

DROP TABLE IF EXISTS `applications`;
CREATE TABLE `applications` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `version` varchar(255) NOT NULL default '0',
  `dir` text NOT NULL,
  `upgraded` datetime default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `applications`
--


/*!40000 ALTER TABLE `applications` DISABLE KEYS */;
LOCK TABLES `applications` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `applications` ENABLE KEYS */;

--
-- Table structure for table `calendar`
--

DROP TABLE IF EXISTS `calendar`;
CREATE TABLE `calendar` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `description` varchar(255) NOT NULL default 'no description',
  `date` date default NULL,
  `recurring` tinyint(8) unsigned NOT NULL default '1',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `calendar`
--


/*!40000 ALTER TABLE `calendar` DISABLE KEYS */;
LOCK TABLES `calendar` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `calendar` ENABLE KEYS */;

--
-- Table structure for table `char_mapping`
--

DROP TABLE IF EXISTS `char_mapping`;
CREATE TABLE `char_mapping` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `encoding` varchar(20) NOT NULL default 'no encoding',
  `mapping` varchar(128) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `char_mapping`
--


/*!40000 ALTER TABLE `char_mapping` DISABLE KEYS */;
LOCK TABLES `char_mapping` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `char_mapping` ENABLE KEYS */;

--
-- Table structure for table `doc_type`
--

DROP TABLE IF EXISTS `doc_type`;
CREATE TABLE `doc_type` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `ext` varchar(20) NOT NULL default '',
  `name` varchar(255) NOT NULL default '',
  `doc_mime` varchar(255) NOT NULL default '',
  `icon` mediumint(8) unsigned NOT NULL default '0',
  `icon_mime` varchar(255) NOT NULL default '',
  `special` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `ext` (`ext`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `doc_type`
--


/*!40000 ALTER TABLE `doc_type` DISABLE KEYS */;
LOCK TABLES `doc_type` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `doc_type` ENABLE KEYS */;

--
-- Table structure for table `eh_version`
--

DROP TABLE IF EXISTS `eh_version`;
CREATE TABLE `eh_version` (
  `version_id` tinyint(1) NOT NULL default '1',
  `version` varchar(15) default NULL,
  PRIMARY KEY  (`version_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `eh_version`
--


/*!40000 ALTER TABLE `eh_version` DISABLE KEYS */;
LOCK TABLES `eh_version` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `eh_version` ENABLE KEYS */;

--
-- Table structure for table `file_notif`
--

DROP TABLE IF EXISTS `file_notif`;
CREATE TABLE `file_notif` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `file_id` mediumint(8) unsigned NOT NULL default '0',
  `notif_person` mediumint(8) unsigned NOT NULL default '0',
  `notif_email` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `file_notif`
--


/*!40000 ALTER TABLE `file_notif` DISABLE KEYS */;
LOCK TABLES `file_notif` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `file_notif` ENABLE KEYS */;

--
-- Table structure for table `forum`
--

DROP TABLE IF EXISTS `forum`;
CREATE TABLE `forum` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `objectClass` varchar(255) NOT NULL default '',
  `objectId` mediumint(8) unsigned NOT NULL default '0',
  `objectInclude` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `objectClass` (`objectClass`,`objectId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `forum`
--


/*!40000 ALTER TABLE `forum` DISABLE KEYS */;
LOCK TABLES `forum` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `forum` ENABLE KEYS */;

--
-- Table structure for table `forum_message`
--

DROP TABLE IF EXISTS `forum_message`;
CREATE TABLE `forum_message` (
  `id` int(11) NOT NULL auto_increment,
  `forum_id` mediumint(8) NOT NULL default '0',
  `parent` int(11) NOT NULL default '0',
  `user_id` mediumint(8) NOT NULL default '0',
  `date` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `title` tinytext NOT NULL,
  `content` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `parent` (`parent`),
  KEY `forum_id` (`forum_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `forum_message`
--


/*!40000 ALTER TABLE `forum_message` DISABLE KEYS */;
LOCK TABLES `forum_message` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `forum_message` ENABLE KEYS */;

--
-- Table structure for table `forum_message_notif`
--

DROP TABLE IF EXISTS `forum_message_notif`;
CREATE TABLE `forum_message_notif` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `forum_message` mediumint(8) unsigned NOT NULL default '0',
  `notif_person` mediumint(8) unsigned NOT NULL default '0',
  `notif_email` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `forum_message_notif`
--


/*!40000 ALTER TABLE `forum_message_notif` DISABLE KEYS */;
LOCK TABLES `forum_message_notif` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `forum_message_notif` ENABLE KEYS */;

--
-- Table structure for table `globals`
--

DROP TABLE IF EXISTS `globals`;
CREATE TABLE `globals` (
  `id` mediumint(8) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default 'no name',
  `module` varchar(255) NOT NULL default 'no module',
  `value` varchar(255) NOT NULL default '',
  `default_value` varchar(255) NOT NULL default '',
  `comment` varchar(255) NOT NULL default '',
  `isPassword` enum('on','off') default NULL,
  PRIMARY KEY  (`id`),
  KEY `name` (`name`(200),`module`(100))
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `globals`
--


/*!40000 ALTER TABLE `globals` DISABLE KEYS */;
LOCK TABLES `globals` WRITE;
INSERT INTO `globals` VALUES (12,'subscription_email','LFX','\"Event Horizon\" <eh>','\"Event Horizon\" <eh>','All subscriptions will originate from this e-mail address','off'),(23,'dataDir','LFX','/opt/lampp/data/LFX_files','/home/httpd/EH-Master/data/LFX_files','The file containers storage path for LFXlib',NULL),(29,'DMO_pdf_report_logo','DMO','\\{$_DMO_path\\}/images/eh-logo.jpg','\\{$_DMO_path\\}/images/eh-logo.jpg','This is the logo shown in the DMO  pdf report.','off'),(31,'full_URL','DMO','http://127.0.01/dmo_new/','localhost/dmo_new','Forcing the https protocol which doesn\'t get automatically detected by the server.','off'),(35,'install_name','LFX','lfx-eh-dev','','',NULL),(36,'enable_instance_access_control','DMO','0','0','Controls whether DMO access control on objects is enabled','off'),(49,'start_with_location','DMO','1','','set it to 1 in order to tell the system to start with the Location instance tree','off'),(50,'instance_tree_levels','DMO','6','','limits the number of levels; if not specified, shows all levels\r\n','off'),(51,'instance_tree_limit','DMO','1000','','limits the total number of instances shown; if not specified, shows all instances','off'),(64,'dataDir','DMO','/opt/lampp/data/DMO_files','/home/httpd/EH-Master/data/DMO_files','The file containers storage path for DMO',NULL),(66,'full_audit_log','LFX','0','','','off'),(67,'log_expiration_days','LFX','20','','','off'),(68,'system_language','LFX','en_US','en_US','','off'),(69,'useJSMenu','LFX','1','1','','off');
UNLOCK TABLES;
/*!40000 ALTER TABLE `globals` ENABLE KEYS */;

--
-- Table structure for table `groups`
--

DROP TABLE IF EXISTS `groups`;
CREATE TABLE `groups` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(50) NOT NULL default '',
  `description` text,
  `deactivated` tinyint(1) NOT NULL default '0',
  `type` varchar(255) NOT NULL default '',
  `email` varchar(255) NOT NULL default '',
  `date_created` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `module` varchar(20) NOT NULL default 'generic',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`name`),
  KEY `module` (`module`),
  KEY `type` (`type`),
  KEY `email` (`email`),
  KEY `email_2` (`email`,`name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `groups`
--


/*!40000 ALTER TABLE `groups` DISABLE KEYS */;
LOCK TABLES `groups` WRITE;
INSERT INTO `groups` VALUES (1,'Super Users',' This is the Super Users group.',0,'Function','','2004-12-02 17:04:58','LFX'),(26,'DEMO','_DEMO USERS (edit test)',0,'Group','','2004-12-02 17:04:58','Generic'),(25,'Management',' Management',0,'Group','','2004-12-02 17:04:58','Generic'),(22,'READERS',' For user who will only view events',1,'Group','','2004-12-02 17:04:58','Generic'),(23,'NT Admin',' NT Administrators',0,'Group','','2004-12-02 17:04:58','Generic'),(86,'EH_Basic_Access',' The most basic EH access group, without read access in this group you can see nothing in EH',0,'Function','','2004-12-02 17:04:58','EH'),(29,'EH_fileSystem_LFXlib',' The EH permissions group for directory LFXlib',0,'Function','','2004-12-02 17:04:58','EH'),(30,'EH_fileSystem_SC_Doc',' The EH permissions group for directory SC_Doc',0,'Function','','2004-12-02 17:04:58','EH'),(31,'EH_fileSystem_access',' The EH permissions group for directory access',0,'Function','','2004-12-02 17:04:58','EH'),(32,'EH_fileSystem_acid',' The EH permissions group for directory acid',0,'Function','','2004-12-02 17:04:58','EH'),(33,'EH_fileSystem_admin',' The EH permissions group for directory admin',0,'Function','','2004-12-02 17:04:58','EH'),(34,'EH_fileSystem_adodb',' The EH permissions group for directory adodb',0,'Function','','2004-12-02 17:04:58','EH'),(35,'EH_fileSystem_alert',' The EH permissions group for directory alert',0,'Function','','2004-12-02 17:04:58','EH'),(36,'EH_fileSystem_audit',' The EH permissions group for directory audit',0,'Function','','2004-12-02 17:04:58','EH'),(37,'EH_fileSystem_dmo',' The EH permissions group for directory dmo',0,'Function','','2004-12-02 17:04:58','EH'),(38,'EH_fileSystem_dmo_new',' The EH permissions group for directory dmo_new',0,'Function','','2004-12-02 17:04:58','EH'),(39,'EH_fileSystem_fwlogwatch',' The EH permissions group for directory fwlogwatch',0,'Function','','2004-12-02 17:04:58','EH'),(40,'EH_fileSystem_images',' The EH permissions group for directory images',0,'Function','','2004-12-02 17:04:58','EH'),(41,'EH_fileSystem_include',' The EH permissions group for directory include',0,'Function','','2004-12-02 17:04:58','EH'),(42,'EH_fileSystem_jpgraph',' The EH permissions group for directory jpgraph',0,'Function','','2004-12-02 17:04:58','EH'),(43,'EH_fileSystem_logging',' The EH permissions group for directory logging',0,'Function','','2004-12-02 17:04:58','EH'),(44,'EH_fileSystem_rrd',' The EH permissions group for directory rrd',0,'Function','','2004-12-02 17:04:58','EH'),(45,'EH_fileSystem_menu_manager',' The EH permissions group for directory menu_manager',0,'Function','','2004-12-02 17:04:58','EH'),(46,'EH_fileSystem_mrtg',' The EH permissions group for directory mrtg',0,'Function','','2004-12-02 17:04:58','EH'),(47,'EH_fileSystem_nessus-php',' The EH permissions group for directory nessus-php',0,'Function','','2004-12-02 17:04:58','EH'),(48,'EH_fileSystem_nmap-php',' The EH permissions group for directory nmap-php',0,'Function','','2004-12-02 17:04:58','EH'),(49,'EH_fileSystem_opt',' The EH permissions group for directory opt',0,'Function','','2004-12-02 17:04:58','EH'),(50,'EH_fileSystem_phpMyAdmin',' The EH permissions group for directory phpMyAdmin',0,'Function','','2004-12-02 17:04:58','EH'),(51,'EH_fileSystem_phpPgAdmin',' The EH permissions group for directory phpPgAdmin',0,'Function','','2004-12-02 17:04:58','EH'),(52,'EH_fileSystem_portwatcher',' The EH permissions group for directory portwatcher',0,'Function','','2004-12-02 17:04:58','EH'),(53,'EH_fileSystem_remote_interface',' The EH permissions group for directory remote_interface',0,'Function','','2004-12-02 17:04:58','EH'),(54,'EH_fileSystem_reporting',' The EH permissions group for directory reporting',0,'Function','','2004-12-02 17:04:58','EH'),(55,'EH_fileSystem_scripts',' The EH permissions group for directory scripts',0,'Function','','2004-12-02 17:04:58','EH'),(56,'EH_fileSystem_sensor_admin',' The EH permissions group for directory sensor_admin',0,'Function','','2004-12-02 17:04:58','EH'),(57,'EH_fileSystem_SC_Demo',' The EH permissions group for directory SC_Demo',0,'Function','','2004-12-02 17:04:58','EH'),(58,'EH_fileSystem_tripwire',' The EH permissions group for directory tripwire',0,'Function','','2004-12-02 17:04:58','EH'),(59,'EH_fileSystem_archiver',' The EH permissions group for directory archiver',0,'Function','','2004-12-02 17:04:58','EH'),(60,'EH_fileSystem_dev',' The EH permissions group for directory dev',0,'Function','','2004-12-02 17:04:58','EH'),(61,'EH_fileSystem_ntop',' The EH permissions group for directory ntop',0,'Function','','2004-12-02 17:04:58','EH'),(62,'EH_fileSystem_data',' The EH permissions group for directory data',0,'Function','','2004-12-02 17:04:58','EH'),(63,'EH_fileSystem_n',' The EH permissions group for directory n',0,'Function','','2004-12-02 17:04:58','EH'),(64,'EH_fileSystem_phpgacltest',' The EH permissions group for directory phpgacltest',0,'Function','','2004-12-02 17:04:58','EH'),(65,'EH_fileSystem_sensor_manager',' The EH permissions group for directory sensor_manager',0,'Function','','2004-12-02 17:04:58','EH'),(66,'EH_fileSystem_snortreport',' The EH permissions group for directory snortreport',0,'Function','','2004-12-02 17:04:58','EH'),(67,'EH_fileSystem_upgrade',' The EH permissions group for directory upgrade',0,'Function','','2004-12-02 17:04:58','EH'),(68,'EH_fileSystem_nessus-web',' The EH permissions group for directory nessus-web',0,'Function','','2004-12-02 17:04:58','EH'),(69,'EH_fileSystem_config_manager',' The EH permissions group for directory config_manager',0,'Function','','2004-12-02 17:04:58','EH'),(70,'EH_fileSystem_opt_new.old',' The EH permissions group for directory opt_new.old',0,'Function','','2004-12-02 17:04:58','EH'),(71,'EH_fileSystem_change_log',' The EH permissions group for directory change_log',0,'Function','','2004-12-02 17:04:58','EH'),(72,'EH_fileSystem_test',' The EH permissions group for directory test',0,'Function','','2004-12-02 17:04:58','EH'),(73,'EH_fileSystem_menu',' The EH permissions group for directory menu',0,'Function','','2004-12-02 17:04:58','EH'),(74,'EH_fileSystem_webmin',' The EH permissions group for directory webmin',0,'Function','','2004-12-02 17:04:58','EH'),(75,'EH_fileSystem_SysInfo',' The EH permissions group for directory SysInfo',0,'Function','','2004-12-02 17:04:58','EH'),(76,'EH_fileSystem_snort_parser',' The EH permissions group for directory snort_parser',0,'Function','','2004-12-02 17:04:58','EH'),(77,'EH_fileSystem_opt_new',' The EH permissions group for directory opt_new',0,'Function','','2004-12-02 17:04:58','EH'),(78,'EH_fileSystem_gacl_test',' The EH permissions group for directory gacl_test',0,'Function','','2004-12-02 17:04:58','EH'),(79,'EH_fileSystem_slop',' The EH permissions group for directory slop',0,'Function','','2004-12-02 17:04:58','EH'),(80,'EH_fileSystem_app_checker',' The EH permissions group for directory app_checker',0,'Function','','2004-12-02 17:04:58','EH'),(81,'EH_fileSystem_phpdoc1beta',' The EH permissions group for directory phpdoc1beta',0,'Function','','2004-12-02 17:04:58','EH'),(82,'EH_fileSystem_phpgacl',' The EH permissions group for directory phpgacl',0,'Function','','2004-12-02 17:04:58','EH'),(83,'EH_fileSystem_fwgold',' The EH permissions group for directory fwgold',0,'Function','','2004-12-02 17:04:58','EH'),(84,'EH_fileSystem_event_filter',' The EH permissions group for directory event_filter',0,'Function','','2004-12-02 17:04:58','EH'),(85,'EH_fileSystem_mmcache',' The EH permissions group for directory mmcache',0,'Function','','2004-12-02 17:04:58','EH'),(87,'EH_Access',' The EH access group -- having RW access to this group is having full access to all of EH',0,'Function','','2004-12-02 17:04:58','EH'),(88,'DMO_Template',' Access to managing DMO templates',0,'Function','','2004-12-02 17:04:58','DMO'),(89,'DMO_AdvancedSearch',' Access to managing advanced searches',0,'Function','','2004-12-02 17:04:58','DMO'),(90,'DMO_QuerySearch',' Access to managing query searches',0,'Function','','2004-12-02 17:04:58','DMO'),(91,'DMO_plugAction',' Access to managing pluggable actions',0,'Function','','2004-12-02 17:04:58','DMO'),(92,'DMO_Basic_Access',' Basic DMO access, without rights in this group you have absolutely no access in DMO',0,'Function','','2004-12-02 17:04:58','DMO'),(93,'DMO_Url',' Access to managing DMO URL\'s',0,'Function','','2004-12-02 17:04:58','DMO'),(94,'DMO_iLink',' Access to managing intrinsic links',0,'Function','','2004-12-02 17:04:58','DMO'),(95,'DMO_Attribute',' Access to managing DMO attributes',0,'Function','','2004-12-02 17:04:58','DMO'),(96,'DMO_Help',' Access to managing (not reading) help',0,'Function','','2004-12-02 17:04:58','DMO'),(97,'DMO_Definition',' Access to managing DMO definitions',0,'Function','','2004-12-02 17:04:58','DMO'),(98,'DMO_Instance',' Access to managing DMO instances',0,'Function','','2004-12-02 17:04:58','DMO'),(99,'DMO_Access','_The DMO access group -- having RW access to this group is having full access to all of DMO',0,'Role','','2004-12-02 17:04:58','DMO'),(100,'LFX_Basic_Access',' The most basic access level for LFXlib; if you\'re not a member in this group you have no access to L',0,'Function','','2004-12-02 17:04:58','LFX'),(101,'OPT_Basic_Access',' The most basic access level for OPT; if you\'re not a member in this group you have no access to OPT',0,'Function','','2004-12-02 17:04:58','OPT'),(102,'Test',' Testing this group',0,'Group','','2004-12-02 17:04:58','Generic'),(103,'HD_ALL_Proc',' Members in this function have the ability to see all processes in the list (A), their brief info (B), their full info (V), they can solve requests (S), add hook requests (H), view the escalation data (E) and/or stop processes (T).',0,'Function','','2005-01-28 11:50:59','OPT'),(104,'HD_ALL_Proc_Files',' Members in this function can read (R), write (W), update (U) and delete (D) files attached to all the processes.',0,'Function','','2005-01-28 11:50:59','OPT'),(105,'HD_ALL_Proc_Forms',' Members in this function can read (R), fill in (F) or edit (W) forms attached to all the processes.',0,'Function','','2005-01-28 11:50:59','OPT'),(106,'HD_ALL_Proc_Forums',' Members in this function can read the forums (R), write into forums (W) of all the processes.',0,'Function','','2005-01-28 11:50:59','OPT'),(107,'HD_ALL_Proc_History',' Members in this function can view (R) the history of all the processes.',0,'Function','','2005-01-28 11:50:59','OPT'),(108,'HD_ALL_Proc_Satisf',' Members of this function can view (R) or set (W) satisfaction ratings on all the processes.',0,'Function','','2005-01-28 11:50:59','OPT'),(109,'HD_ALL_Public_Atom_Forms',' Members in this function can see (R), fill in (F) or edit (W) forms attached to the the public atom in all processes.',0,'Function','','2005-01-28 11:50:59','OPT'),(110,'HD_All_Requests',' Members of this function can view (R), change (U), create new requests or delete existing ones (W) ',0,'Function','','2005-01-28 11:50:59','OPT'),(111,'HD_ALL_Own_Forms',' Members in this function can see (R), fill in (F) or edit (W) forms attached to requests they own (either normally or as managers) in all processes.',0,'Function','','2005-01-28 11:50:59','OPT'),(112,'HD_ALL_Own_Requests',' Members of this function can see (V) and resolve (S) the requests they own (either normally or as managers) in all processes.',0,'Function','','2005-01-28 11:50:59','OPT'),(113,'HD_Archiver',' Members in this function have access (A) to the archiver inside HelpDesk.',0,'Function','','2005-02-02 14:17:51','OPT'),(114,'HD_AM_Access',' Members in this function can change (U) all users passwords.',0,'Function','','2005-02-02 14:18:48','OPT'),(115,'HD_CRE_Proc',' Members in this function have the ability to see processes they created in the list (A), their brief info (B), their full info (V), they can solve requests (S), add hook requests (H), view the escalation date (E) and/or stop processes (T).',0,'Function','','2005-01-28 11:50:59','OPT'),(116,'HD_CRE_Proc_Files',' Members in this function can read (R), write (W), update (U) and delete (D) files attached to the processes they created.',0,'Function','','2005-01-28 11:50:59','OPT'),(117,'HD_CRE_Proc_Forms',' Members in this function can read (R), fill in (F) or edit (W) forms attached to the processes they created',0,'Function','','2005-01-28 11:50:59','OPT'),(118,'HD_CRE_Proc_Forums',' Members in this function can read the forums (R), write into forums (W) of the processes they created.',0,'Function','','2005-01-28 11:50:59','OPT'),(119,'HD_CRE_Own_Forms',' Members in this function can see (R), fill in (F) or edit (W) forms attached to requests they own (either normally or as managers) in processes they created.',0,'Function','','2005-01-28 11:50:59','OPT'),(120,'HD_CRE_Public_Atom_Forms',' Members in this function can see (R), fill in (F) or edit (W) forms attached to the the public atom in processes they created.',0,'Function','','2005-01-28 11:50:59','OPT'),(121,'HD_CRE_Proc_Satisf',' Members of this function can view (R) or set (W) satisfaction ratings on the processes they created.',0,'Function','','2005-01-28 11:50:59','OPT'),(122,'HD_CRE_Proc_History',' Members in this function can view (R) the history of the processes they created.',0,'Function','','2005-01-28 11:50:59','OPT'),(123,'HD_CRE_Own_Requests',' Members of this function can see (V) and resolve (S) the requests they own (either normally or as managers) in processes they created.',0,'Function','','2005-01-28 11:50:59','OPT'),(124,'HD_Dcouments',' Members in this function have access (A) to documents inside HelpDesk.',0,'Function','','2005-02-02 14:22:00','OPT'),(125,'HD_Escalation_Presets',' Members of this function can read (R) or edit (W) escalation presets',0,'Function','','2005-01-28 11:50:59','OPT'),(126,'HD_Escalation_Chains',' Members of this function can see (R) or edit (W) escalation chains',0,'Function','','2005-01-28 11:50:59','OPT'),(127,'HD_Forms',' Members can see (R) and edit (W) the form blueprints',0,'Function','','2005-01-28 11:50:59','OPT'),(128,'HD_Create_Proc',' Members in this function with \'A\' access can create processes in the HelpDesk system',0,'Function','','2005-01-28 11:50:59','OPT'),(129,'HD_Create_Proc_For_Others',' Members in this group can create procs for others (A), they get the magnifying glass and can search users.',0,'Function','','2005-01-28 11:50:59','OPT'),(130,'HD_MGR_Own_Forms',' Members in this function can see (R), fill in (F) or edit (W) forms attached to requests they own (either normally or as managers) in processes they own as managers.',0,'Function','','2005-01-28 11:50:59','OPT'),(131,'HD_MGR_Own_Requests',' Members of this function can see (V) and resolve (S) the requests they own (either normally or as managers) in processes they own as managers.',0,'Function','','2005-01-28 11:50:59','OPT'),(132,'HD_MGR_Proc',' Members in this function have the ability to see processes in which they own requests as managers in the list (A), their brief info (B), their full info (V), they can solve requests (S), add hook requests (H), view the escalation data (E) and/or stop processes (T).',0,'Function','','2005-01-28 11:50:59','OPT'),(133,'HD_MGR_Proc_Files',' Members in this function can read (R), write (W), update (U) and delete (D) files attached to the processes in which they own requests as managers.',0,'Function','','2005-01-28 11:50:59','OPT'),(134,'HD_MGR_Proc_Forms',' Members in this function can read (R), fill in (F) or edit (W) forms in which they own requests as managers.',0,'Function','','2005-01-28 11:50:59','OPT'),(135,'HD_MGR_Proc_Forums',' Members in this function can read the forums (R), write into forums (W) of the processes in which they own requests as managers.',0,'Function','','2005-01-28 11:50:59','OPT'),(136,'HD_MGR_Proc_History',' Members in this function can view (R) the history of the processes in which they own requests as managers.',0,'Function','','2005-01-28 11:50:59','OPT'),(137,'HD_MGR_Proc_Satisf',' Members of this function can view (R) or set (W) satisfaction ratings on the processes in which they own requests as managers.',0,'Function','','2005-01-28 11:50:59','OPT'),(138,'HD_MGR_Public_Atom_Forms',' Members in this function can see (R), fill in (F) or edit (W) forms attached to the the public atom in processes they own as managers.',0,'Function','','2005-01-28 11:50:59','OPT'),(139,'HD_OWN_Proc_Files',' Members in this function can read (R), write (W), update (U) and delete (D) files attached to processes they own.',0,'Function','','2005-01-28 11:50:59','OPT'),(140,'HD_OWN_Proc',' Members in this function have the ability to see processes in which they own requests in the list (A), their brief info (B), their full info (V), they can solve requests (S), add hook requests (H), view the escalation data (E) and/or stop processes (T).',0,'Function','','2005-01-28 11:50:59','OPT'),(141,'HD_OWN_Own_Requests',' Members of this function can see (V) and resolve (S) the requests they own (either normally or as managers) in processes they own.',0,'Function','','2005-01-28 11:50:59','OPT'),(142,'HD_OWN_Own_Forms',' Members in this function can see (R), fill in (F) or edit (W) forms attached to requests they own (either normally or as managers) in processes they own.',0,'Function','','2005-01-28 11:50:59','OPT'),(143,'HD_OWN_Proc_Forms',' Members in this function can read (R), fill in (F) or edit (W) forms attached to the processes they own.',0,'Function','','2005-01-28 11:50:59','OPT'),(144,'HD_OWN_Proc_Forums',' Members in this function can read the forums (R), write into the forums (W) of the processes they own.',0,'Function','','2005-01-28 11:50:59','OPT'),(145,'HD_OWN_Proc_History',' Members in this function can view the history (R) of the processes they own.',0,'Function','','2005-01-28 11:50:59','OPT'),(146,'HD_OWN_Proc_Satisf',' Members in this function can view (R) or set (W) satisfaction ratings on the processes they own.',0,'Function','','2005-01-28 11:50:59','OPT'),(147,'HD_OWN_Public_Atom_Forms',' Members in this function can see (R), fill in (F) or edit (W) forms attached to the the public atom in processes they own.',0,'Function','','2005-01-28 11:50:59','OPT'),(148,'HD_Own_Requests',' Members can view (R), chage (U) or create (W) only their own requests.',0,'Function','','2005-01-28 11:50:59','OPT'),(149,'HD_phpMyAdmin',' Members in this function have access (A) to phpMyAdmin.',0,'Function','','2005-02-02 14:25:33','OPT'),(150,'HD_Process_Blueprints',' Members in this function can read (R) or edit (W) process blueprints',0,'Function','','2005-01-28 11:50:59','OPT'),(151,'HD_Phone_Request',' Members in this function have access (A) to phone requests.',0,'Function','','2005-02-02 14:23:07','OPT'),(152,'HD_Request_Custom_ID',' With \'R\' you can see the Custom ID field in the request, with \'U\' you can update it.',0,'Function','','2005-01-30 15:26:01','OPT'),(153,'HD_Request_Escalation_Date',' Members in this function can see (R) or change (U) the escalation date for a request.',0,'Function','','2005-01-30 15:13:43','OPT'),(154,'HD_Admin_Access',' Members in this function with \'R\' can see the \'Admin\' menu entry.',0,'Function','','2005-01-28 11:50:59','OPT'),(155,'HD_Can_Own_Hook',' Members of this group can be assigned (A) hook requests in HelpDesk',0,'Function','','2005-01-28 11:50:59','OPT'),(156,'HD_Simple_Search',' Allows (A) members to perform simple searches.',0,'Function','','2005-01-28 11:50:59','OPT'),(157,'HD_User_history',' Members in this function have access (A) to user history inside HelpDesk.',0,'Function','','2005-02-02 14:17:04','OPT'),(158,'HD_Chained_Dropdown',' Members in this function have the right to see (R) or edit (W) chained dropdowns.',0,'Function','','2005-02-14 14:10:09','OPT'),(159,'HD_Form_Tree',' Members in this function can see(R) and create/edit (W) form trees.',0,'Function','','2005-03-03 13:22:38','OPT'),(160,'HD_Customize_View',' Members in this group with (A) can see the \"Customize View\" menu entry in the process list, and therefore can customize their view of the process list.',0,'Function','','2005-02-22 13:11:36','OPT'),(161,'HD_Cookie_Login',' Members are allowed (A) to change authentication method from cookie to password and vice-versa.',0,'Function','','2005-02-14 15:57:49','OPT'),(162,'EH_menu_administration',' This group provides access to the EH Administration menu.',0,'Role','','2005-03-24 22:03:24','EH'),(163,'EH_menu_events',' This group provides access to the EH Events menu.',0,'Role','','2005-03-24 22:03:47','EH'),(164,'EH_menu_analysis',' This group provides access to the EH Analysis menu.',0,'Role','','2005-03-24 22:04:09','EH'),(165,'EH_menu_reporting',' This group provides access to the EH Reporting menu.',0,'Role','','2005-03-24 22:04:30','EH'),(166,'EH_menu_inspection',' This group provides access to the EH Inspection menu.',0,'Role','','2005-03-24 22:04:54','EH'),(167,'EH_menu_sensors',' This group provides access to the EH Sensors menu.',0,'Role','','2005-03-24 22:05:14','EH'),(168,'eh_menu_administration_menu',' Allows access to the Menu Manager part of the Administration menu.',0,'Role','','2005-03-28 19:19:46','EH'),(169,'EH_menu_reporting_DMO',' Members of this group can see the DMO menu.',0,'Role','','2005-03-30 07:50:13','EH'),(170,'EH_Startpage','_This controls access to the first summary page, showing an overview of sensors, priority alerts and a graph of alert activity.',0,'Group','','2005-04-06 07:57:22','EH'),(171,'HD_Basic_Access','_Membership in this group is required (with any level of access, even none) in order for a user to be able to use the HelpDesk system at all.',0,'Function','','2005-04-08 15:07:31','HD'),(172,'Matthias_test','_Used for testing access controls',0,'Group','','2005-06-27 11:00:42','DMO'),(173,'User Management','_This group will be used to perform User Management. They will only be able to Add, edit userers and groups.',0,'Role','','2005-06-28 12:25:53','LFX'),(174,'LFX_Globals','_Members of this group can read (R) or modify (W) globals in LFXlib.',0,'Function','','2005-02-08 16:43:31','LFX'),(175,'LFX_Calendar','_Members of this group can modify (W) data in the LFXlib calendar.',0,'Function','','2005-02-09 08:56:30','LFX'),(176,'Admins','_Members of this group can perform all operations related to groups in LFXlib.',0,'Function','','2005-02-09 09:05:52','LFX'),(177,'Admin','_Members of this groups can see (R) details of LFXlib users.',0,'Function','','2005-02-09 09:13:38','LFX'),(178,'LFX_Access','_Members have different types of access to LFXlib groups and users: if permission is Write (W), members can perform all operations related to groups, users, and memberships; if permission is Update (U), members can only update users\' details, but not permissions; if permission is read (R), members can only view  the groups\' and users\' lists',0,'Function','','2005-02-09 09:31:07','LFX'),(179,'LFX_ShowSource','_Members of this group can view the PHP source files, for eventual debugging.',0,'Function','','2005-02-09 13:39:25','LFX'),(180,'LFX_Reporting','_Members can view reports in LFXlib.',0,'Function','','2005-02-09 14:05:45','LFX'),(181,'LFX_Dump','_Members with write (W) permission can see the data dump in LFXlib.',0,'Function','','2005-02-09 14:08:20','LFX'),(182,'LFX_UpgradeManager','_Members can upgrade (U) LFXlib or can delete (D) a LFXlib upgrade package.',0,'Function','','2005-02-09 14:15:45','LFX'),(183,'LFX_DocType','_Members can perform any operations (W) related to Document Types in LFXlib.',0,'Function','','2005-02-09 14:18:01','LFX'),(184,'LFX_Subscription','_Members can peform any operations (W) related to subscriptions in LFXlib.',0,'Function','','2005-02-09 14:20:01','LFX'),(185,'LFX_Translation','_Members can perform any operations related to translations and languages in LFXlib.',0,'Function','','2005-02-09 14:22:32','LFX'),(186,'LFX_Package','_Members can view the packages in LFXlib.',0,'Function','','2005-02-09 14:29:45','LFX'),(187,'LFX_Synchronization','_Members can perform general synchronizations in LFXlib.',0,'Function','','2005-02-09 14:33:35','LFX'),(188,'LFX_ConsistencyChecker','_Members have access to the consistency checker of the LFXlib classes.',0,'Function','','2005-02-09 14:36:17','LFX'),(189,'LFX_DebugLevel','_Members can change the debug level of LFXlib.',0,'Function','','2005-02-09 14:38:41','LFX'),(190,'LFX_PHPinfo','_Members can view the PHP information page.',0,'Function','','2005-02-09 14:40:16','LFX'),(191,'LFX_AuditLog','_Members have access to the LFXlib audit log.',0,'Function','','2005-02-09 14:42:01','LFX'),(192,'LFX_MessageLog','_Members can view the LFXlib message log.',0,'Function','','2005-02-09 14:42:59','LFX'),(193,'LFX_Demonstrations','_Members have access to the LFXlib feature demonstrations. ',0,'Function','','2005-02-09 14:44:29','LFX'),(194,'HD_Managers','_??? projects_/process_list.php:181 Something to do with access to processes and requests. Only one type of permission, default.',0,'Role','','2005-02-14 15:47:57','HD'),(195,'DMO_pdfReport','_Members are probably allowed to delete reports in PDF format.',0,'Function','','2005-02-15 10:40:46','DMO'),(196,'Vienna_Lanifex_Team','_This is a group for all vienna lanifex members',0,'Group','eh-dev@lanifex.com','2005-06-29 13:21:33','Generic'),(198,'EH_menu_helpdesk','_To Access HelpDesk from EH',0,'Role','','2005-07-22 09:50:29','EH');
UNLOCK TABLES;
/*!40000 ALTER TABLE `groups` ENABLE KEYS */;

--
-- Table structure for table `languages`
--

DROP TABLE IF EXISTS `languages`;
CREATE TABLE `languages` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(20) NOT NULL default '',
  `encoding` varchar(20) NOT NULL default '',
  `code` varchar(5) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `languages`
--


/*!40000 ALTER TABLE `languages` DISABLE KEYS */;
LOCK TABLES `languages` WRITE;
INSERT INTO `languages` VALUES (5,'U.S. English','ISO-8859-1','en_US');
UNLOCK TABLES;
/*!40000 ALTER TABLE `languages` ENABLE KEYS */;

--
-- Table structure for table `lfx_cache_dates`
--

DROP TABLE IF EXISTS `lfx_cache_dates`;
CREATE TABLE `lfx_cache_dates` (
  `id` int(11) NOT NULL auto_increment,
  `module` varchar(255) default '',
  `type` varchar(255) default '',
  `name` varchar(255) default '',
  `cache_id` int(10) unsigned default '0',
  `cache_subid` int(10) unsigned default '0',
  `expiration_date` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `module` (`module`),
  KEY `name` (`name`),
  KEY `cache_id` (`cache_id`),
  KEY `cache_subid` (`cache_subid`),
  KEY `type` (`type`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `lfx_cache_dates`
--


/*!40000 ALTER TABLE `lfx_cache_dates` DISABLE KEYS */;
LOCK TABLES `lfx_cache_dates` WRITE;
INSERT INTO `lfx_cache_dates` VALUES (2,'DMO','','DEF_Tree',0,0,1);
UNLOCK TABLES;
/*!40000 ALTER TABLE `lfx_cache_dates` ENABLE KEYS */;

--
-- Table structure for table `log`
--

DROP TABLE IF EXISTS `log`;
CREATE TABLE `log` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `entry_type` enum('insert','delete','update') default NULL,
  `object_class` varchar(255) NOT NULL default 'INVALID!',
  `module` varchar(255) NOT NULL default 'INVALID!',
  `object_id` mediumint(8) unsigned NOT NULL default '0',
  `entry_date` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `user` mediumint(8) unsigned NOT NULL default '0',
  `data_dump` blob NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `module` (`module`,`entry_type`),
  KEY `entry_date` (`entry_date`),
  KEY `object_class` (`object_class`),
  KEY `object_id` (`object_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `log`
--


/*!40000 ALTER TABLE `log` DISABLE KEYS */;
LOCK TABLES `log` WRITE;
INSERT INTO `log` VALUES (14039,'update','dmo_definition','DMO',1,'2005-11-11 21:03:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14040,'update','dmo_definition','DMO',1,'2005-11-11 21:03:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14041,'update','dmo_definition','DMO',1,'2005-11-11 21:03:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14042,'update','dmo_definition','DMO',1,'2005-11-11 21:03:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14043,'update','dmo_definition','DMO',1,'2005-11-11 21:03:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14044,'update','dmo_definition','DMO',1,'2005-11-11 21:03:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14045,'update','dmo_definition','DMO',1,'2005-11-11 21:03:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14046,'update','dmo_definition','DMO',1,'2005-11-11 21:03:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14047,'update','dmo_definition','DMO',1,'2005-11-11 21:03:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14048,'update','dmo_definition','DMO',1,'2005-11-11 21:03:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14049,'update','dmo_definition','DMO',1,'2005-11-11 21:03:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14050,'update','dmo_definition','DMO',1,'2005-11-11 21:03:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14051,'update','dmo_definition','DMO',1,'2005-11-11 21:03:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14052,'update','dmo_definition','DMO',1,'2005-11-11 21:03:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14053,'update','dmo_definition','DMO',1,'2005-11-11 21:03:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14054,'update','dmo_definition','DMO',1,'2005-11-11 21:03:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14055,'update','dmo_definition','DMO',1,'2005-11-11 21:03:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14056,'update','dmo_definition','DMO',1,'2005-11-11 21:03:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14057,'update','dmo_definition','DMO',1,'2005-11-11 21:03:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14058,'update','dmo_definition','DMO',1,'2005-11-11 21:03:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14059,'update','dmo_definition','DMO',1,'2005-11-11 21:03:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14060,'update','dmo_definition','DMO',1,'2005-11-11 21:03:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14061,'update','dmo_definition','DMO',1,'2005-11-11 21:03:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14062,'update','dmo_definition','DMO',1,'2005-11-11 21:03:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14063,'update','dmo_definition','DMO',1,'2005-11-11 21:03:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14064,'update','dmo_definition','DMO',1,'2005-11-11 21:03:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14065,'update','dmo_definition','DMO',1,'2005-11-11 21:03:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14066,'update','dmo_definition','DMO',1,'2005-11-11 21:03:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14067,'update','dmo_definition','DMO',1,'2005-11-11 21:03:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14068,'update','dmo_definition','DMO',1,'2005-11-11 21:03:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14069,'update','dmo_definition','DMO',1,'2005-11-11 21:03:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14070,'update','dmo_definition','DMO',1,'2005-11-11 21:03:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14071,'update','dmo_definition','DMO',1,'2005-11-11 21:03:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14072,'update','dmo_definition','DMO',1,'2005-11-11 21:03:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14073,'update','dmo_definition','DMO',1,'2005-11-11 21:03:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14074,'update','dmo_definition','DMO',1,'2005-11-11 21:03:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14075,'update','dmo_definition','DMO',1,'2005-11-11 21:03:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14076,'update','dmo_definition','DMO',1,'2005-11-11 21:03:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14077,'update','dmo_definition','DMO',1,'2005-11-11 21:03:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14078,'update','dmo_definition','DMO',1,'2005-11-11 21:03:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14079,'update','dmo_definition','DMO',1,'2005-11-11 21:03:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14080,'update','dmo_definition','DMO',1,'2005-11-11 21:03:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14081,'update','dmo_definition','DMO',1,'2005-11-11 21:03:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14082,'update','dmo_definition','DMO',1,'2005-11-11 21:03:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14083,'update','dmo_definition','DMO',1,'2005-11-11 21:03:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14084,'update','dmo_definition','DMO',1,'2005-11-11 21:03:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14085,'update','dmo_definition','DMO',1,'2005-11-11 21:03:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14086,'update','dmo_definition','DMO',1,'2005-11-11 21:03:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14087,'update','dmo_definition','DMO',1,'2005-11-11 21:03:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14088,'update','dmo_definition','DMO',1,'2005-11-11 21:03:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14089,'update','dmo_definition','DMO',1,'2005-11-11 21:03:29',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14090,'update','dmo_definition','DMO',1,'2005-11-11 21:03:29',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14091,'update','dmo_definition','DMO',1,'2005-11-11 21:03:29',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14092,'update','dmo_definition','DMO',1,'2005-11-11 21:03:29',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14093,'update','dmo_definition','DMO',1,'2005-11-11 21:03:29',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14094,'update','dmo_definition','DMO',1,'2005-11-11 21:03:29',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14095,'update','dmo_definition','DMO',1,'2005-11-11 21:03:29',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14096,'update','dmo_definition','DMO',1,'2005-11-11 21:03:29',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14097,'update','dmo_definition','DMO',1,'2005-11-11 21:03:29',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14098,'update','dmo_definition','DMO',1,'2005-11-11 21:03:29',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14099,'update','dmo_definition','DMO',1,'2005-11-11 21:03:29',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14100,'update','dmo_definition','DMO',1,'2005-11-11 21:03:29',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14101,'update','dmo_definition','DMO',1,'2005-11-11 21:03:29',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14102,'update','dmo_definition','DMO',1,'2005-11-11 21:03:29',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14103,'update','dmo_definition','DMO',1,'2005-11-11 21:03:29',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14104,'update','dmo_definition','DMO',1,'2005-11-11 21:03:29',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14105,'update','dmo_definition','DMO',1,'2005-11-11 21:03:29',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14106,'update','dmo_definition','DMO',1,'2005-11-11 21:03:29',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14107,'update','dmo_definition','DMO',1,'2005-11-11 21:03:29',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14108,'update','dmo_definition','DMO',1,'2005-11-11 21:03:29',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14109,'update','dmo_definition','DMO',1,'2005-11-11 21:03:29',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14110,'update','dmo_definition','DMO',1,'2005-11-11 21:03:29',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14111,'update','dmo_definition','DMO',1,'2005-11-11 21:03:29',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14112,'update','dmo_definition','DMO',1,'2005-11-11 21:03:29',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14113,'update','dmo_definition','DMO',1,'2005-11-11 21:03:29',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14114,'update','dmo_definition','DMO',1,'2005-11-11 21:03:30',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14115,'update','dmo_definition','DMO',1,'2005-11-11 21:03:30',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14116,'update','dmo_definition','DMO',1,'2005-11-11 21:03:30',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14117,'update','dmo_definition','DMO',1,'2005-11-11 21:03:30',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14118,'update','dmo_definition','DMO',1,'2005-11-11 21:03:30',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14119,'update','dmo_definition','DMO',1,'2005-11-11 21:03:30',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14120,'update','dmo_definition','DMO',1,'2005-11-11 21:03:30',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14121,'update','dmo_definition','DMO',1,'2005-11-11 21:03:30',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14122,'update','dmo_definition','DMO',1,'2005-11-11 21:03:30',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14123,'update','dmo_definition','DMO',1,'2005-11-11 21:03:30',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14124,'update','dmo_definition','DMO',1,'2005-11-11 21:03:30',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14125,'update','dmo_definition','DMO',1,'2005-11-11 21:03:30',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14126,'update','dmo_definition','DMO',1,'2005-11-11 21:03:30',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14127,'update','dmo_definition','DMO',1,'2005-11-11 21:03:30',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14128,'update','dmo_definition','DMO',1,'2005-11-11 21:03:30',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14129,'update','dmo_definition','DMO',1,'2005-11-11 21:03:30',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14130,'update','dmo_definition','DMO',1,'2005-11-11 21:03:30',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14131,'update','dmo_definition','DMO',1,'2005-11-11 21:03:30',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14132,'update','dmo_definition','DMO',1,'2005-11-11 21:03:30',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14133,'update','dmo_definition','DMO',1,'2005-11-11 21:03:30',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14134,'update','dmo_definition','DMO',1,'2005-11-11 21:03:30',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14135,'update','dmo_definition','DMO',1,'2005-11-11 21:03:30',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14136,'update','dmo_definition','DMO',1,'2005-11-11 21:03:30',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14137,'update','dmo_definition','DMO',1,'2005-11-11 21:03:30',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14138,'update','dmo_definition','DMO',1,'2005-11-11 21:03:30',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14139,'update','dmo_definition','DMO',1,'2005-11-11 21:03:38',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14140,'update','dmo_definition','DMO',1,'2005-11-11 21:03:38',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14141,'update','dmo_definition','DMO',1,'2005-11-11 21:03:38',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14142,'update','dmo_definition','DMO',1,'2005-11-11 21:03:38',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14143,'update','dmo_definition','DMO',1,'2005-11-11 21:03:38',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14144,'update','dmo_definition','DMO',1,'2005-11-11 21:03:38',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14145,'update','dmo_definition','DMO',1,'2005-11-11 21:03:38',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14146,'update','dmo_definition','DMO',1,'2005-11-11 21:03:38',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14147,'update','dmo_definition','DMO',1,'2005-11-11 21:03:38',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14148,'update','dmo_definition','DMO',1,'2005-11-11 21:03:38',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14149,'update','dmo_definition','DMO',1,'2005-11-11 21:03:38',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14150,'update','dmo_definition','DMO',1,'2005-11-11 21:03:38',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14151,'update','dmo_definition','DMO',1,'2005-11-11 21:03:38',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14152,'update','dmo_definition','DMO',1,'2005-11-11 21:03:38',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14153,'update','dmo_definition','DMO',1,'2005-11-11 21:03:38',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14154,'update','dmo_definition','DMO',1,'2005-11-11 21:03:38',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14155,'update','dmo_definition','DMO',1,'2005-11-11 21:03:38',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14156,'update','dmo_definition','DMO',1,'2005-11-11 21:03:38',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14157,'update','dmo_definition','DMO',1,'2005-11-11 21:03:38',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14158,'update','dmo_definition','DMO',1,'2005-11-11 21:03:38',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14159,'update','dmo_definition','DMO',1,'2005-11-11 21:03:38',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14160,'update','dmo_definition','DMO',1,'2005-11-11 21:03:38',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14161,'update','dmo_definition','DMO',1,'2005-11-11 21:03:38',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14162,'update','dmo_definition','DMO',1,'2005-11-11 21:03:38',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14163,'update','dmo_definition','DMO',1,'2005-11-11 21:03:38',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14164,'update','dmo_definition','DMO',1,'2005-11-11 21:03:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14165,'update','dmo_definition','DMO',1,'2005-11-11 21:03:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14166,'update','dmo_definition','DMO',1,'2005-11-11 21:03:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14167,'update','dmo_definition','DMO',1,'2005-11-11 21:03:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14168,'update','dmo_definition','DMO',1,'2005-11-11 21:03:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14169,'update','dmo_definition','DMO',1,'2005-11-11 21:03:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14170,'update','dmo_definition','DMO',1,'2005-11-11 21:03:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14171,'update','dmo_definition','DMO',1,'2005-11-11 21:03:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14172,'update','dmo_definition','DMO',1,'2005-11-11 21:03:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14173,'update','dmo_definition','DMO',1,'2005-11-11 21:03:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14174,'update','dmo_definition','DMO',1,'2005-11-11 21:03:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14175,'update','dmo_definition','DMO',1,'2005-11-11 21:03:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14176,'update','dmo_definition','DMO',1,'2005-11-11 21:03:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14177,'update','dmo_definition','DMO',1,'2005-11-11 21:03:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14178,'update','dmo_definition','DMO',1,'2005-11-11 21:03:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14179,'update','dmo_definition','DMO',1,'2005-11-11 21:03:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14180,'update','dmo_definition','DMO',1,'2005-11-11 21:03:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14181,'update','dmo_definition','DMO',1,'2005-11-11 21:03:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14182,'update','dmo_definition','DMO',1,'2005-11-11 21:03:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14183,'update','dmo_definition','DMO',1,'2005-11-11 21:03:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14184,'update','dmo_definition','DMO',1,'2005-11-11 21:03:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14185,'update','dmo_definition','DMO',1,'2005-11-11 21:03:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14186,'update','dmo_definition','DMO',1,'2005-11-11 21:03:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14187,'update','dmo_definition','DMO',1,'2005-11-11 21:03:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14188,'update','dmo_definition','DMO',1,'2005-11-11 21:03:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14189,'update','dmo_definition','DMO',1,'2005-11-11 21:04:19',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14190,'update','dmo_definition','DMO',1,'2005-11-11 21:04:19',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14191,'update','dmo_definition','DMO',1,'2005-11-11 21:04:19',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14192,'update','dmo_definition','DMO',1,'2005-11-11 21:04:19',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14193,'update','dmo_definition','DMO',1,'2005-11-11 21:04:19',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14194,'update','dmo_definition','DMO',1,'2005-11-11 21:04:20',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14195,'update','dmo_definition','DMO',1,'2005-11-11 21:04:20',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14196,'update','dmo_definition','DMO',1,'2005-11-11 21:04:20',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14197,'update','dmo_definition','DMO',1,'2005-11-11 21:04:20',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14198,'update','dmo_definition','DMO',1,'2005-11-11 21:04:20',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14199,'update','dmo_definition','DMO',1,'2005-11-11 21:04:20',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14200,'update','dmo_definition','DMO',1,'2005-11-11 21:04:20',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14201,'update','dmo_definition','DMO',1,'2005-11-11 21:04:20',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14202,'update','dmo_definition','DMO',1,'2005-11-11 21:04:20',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14203,'update','dmo_definition','DMO',1,'2005-11-11 21:04:20',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14204,'update','dmo_definition','DMO',1,'2005-11-11 21:04:20',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14205,'update','dmo_definition','DMO',1,'2005-11-11 21:04:20',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14206,'update','dmo_definition','DMO',1,'2005-11-11 21:04:20',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14207,'update','dmo_definition','DMO',1,'2005-11-11 21:04:20',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14208,'update','dmo_definition','DMO',1,'2005-11-11 21:04:20',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14209,'update','dmo_definition','DMO',1,'2005-11-11 21:04:20',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14210,'update','dmo_definition','DMO',1,'2005-11-11 21:04:20',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14211,'update','dmo_definition','DMO',1,'2005-11-11 21:04:20',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14212,'update','dmo_definition','DMO',1,'2005-11-11 21:04:20',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14213,'update','dmo_definition','DMO',1,'2005-11-11 21:04:20',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14214,'update','dmo_definition','DMO',1,'2005-11-11 21:04:20',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14215,'update','dmo_definition','DMO',1,'2005-11-11 21:04:20',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14216,'update','dmo_definition','DMO',1,'2005-11-11 21:04:20',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14217,'update','dmo_definition','DMO',1,'2005-11-11 21:04:20',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14218,'update','dmo_definition','DMO',1,'2005-11-11 21:04:20',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14219,'update','dmo_definition','DMO',1,'2005-11-11 21:04:20',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14220,'update','dmo_definition','DMO',1,'2005-11-11 21:04:20',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14221,'update','dmo_definition','DMO',1,'2005-11-11 21:04:20',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14222,'update','dmo_definition','DMO',1,'2005-11-11 21:04:20',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14223,'update','dmo_definition','DMO',1,'2005-11-11 21:04:20',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14224,'update','dmo_definition','DMO',1,'2005-11-11 21:04:20',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14225,'update','dmo_definition','DMO',1,'2005-11-11 21:04:20',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14226,'update','dmo_definition','DMO',1,'2005-11-11 21:04:20',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14227,'update','dmo_definition','DMO',1,'2005-11-11 21:04:20',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14228,'update','dmo_definition','DMO',1,'2005-11-11 21:04:20',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14229,'update','dmo_definition','DMO',1,'2005-11-11 21:04:20',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14230,'update','dmo_definition','DMO',1,'2005-11-11 21:04:20',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14231,'update','dmo_definition','DMO',1,'2005-11-11 21:04:20',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14232,'update','dmo_definition','DMO',1,'2005-11-11 21:04:20',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14233,'update','dmo_definition','DMO',1,'2005-11-11 21:04:20',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14234,'update','dmo_definition','DMO',1,'2005-11-11 21:04:20',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14235,'update','dmo_definition','DMO',1,'2005-11-11 21:04:20',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14236,'update','dmo_definition','DMO',1,'2005-11-11 21:04:20',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14237,'update','dmo_definition','DMO',1,'2005-11-11 21:04:20',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14238,'update','dmo_definition','DMO',1,'2005-11-11 21:04:20',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14239,'update','dmo_definition','DMO',1,'2005-11-11 21:04:21',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14240,'update','dmo_definition','DMO',1,'2005-11-11 21:04:21',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14241,'update','dmo_definition','DMO',1,'2005-11-11 21:04:21',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14242,'update','dmo_definition','DMO',1,'2005-11-11 21:04:21',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14243,'update','dmo_definition','DMO',1,'2005-11-11 21:04:21',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14244,'update','dmo_definition','DMO',1,'2005-11-11 21:04:21',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14245,'update','dmo_definition','DMO',1,'2005-11-11 21:04:21',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14246,'update','dmo_definition','DMO',1,'2005-11-11 21:04:21',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14247,'update','dmo_definition','DMO',1,'2005-11-11 21:04:21',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14248,'update','dmo_definition','DMO',1,'2005-11-11 21:04:21',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14249,'update','dmo_definition','DMO',1,'2005-11-11 21:04:21',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14250,'update','dmo_definition','DMO',1,'2005-11-11 21:04:21',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14251,'update','dmo_definition','DMO',1,'2005-11-11 21:04:21',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14252,'update','dmo_definition','DMO',1,'2005-11-11 21:04:21',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14253,'update','dmo_definition','DMO',1,'2005-11-11 21:04:21',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14254,'update','dmo_definition','DMO',1,'2005-11-11 21:04:21',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14255,'update','dmo_definition','DMO',1,'2005-11-11 21:04:21',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14256,'update','dmo_definition','DMO',1,'2005-11-11 21:04:21',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14257,'update','dmo_definition','DMO',1,'2005-11-11 21:04:21',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14258,'update','dmo_definition','DMO',1,'2005-11-11 21:04:21',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14259,'update','dmo_definition','DMO',1,'2005-11-11 21:04:21',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14260,'update','dmo_definition','DMO',1,'2005-11-11 21:04:21',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14261,'update','dmo_definition','DMO',1,'2005-11-11 21:04:21',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14262,'update','dmo_definition','DMO',1,'2005-11-11 21:04:21',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14263,'update','dmo_definition','DMO',1,'2005-11-11 21:04:21',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14264,'update','dmo_definition','DMO',1,'2005-11-11 21:04:23',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14265,'update','dmo_definition','DMO',1,'2005-11-11 21:04:23',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14266,'update','dmo_definition','DMO',1,'2005-11-11 21:04:23',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14267,'update','dmo_definition','DMO',1,'2005-11-11 21:04:23',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14268,'update','dmo_definition','DMO',1,'2005-11-11 21:04:23',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14269,'update','dmo_definition','DMO',1,'2005-11-11 21:04:23',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14270,'update','dmo_definition','DMO',1,'2005-11-11 21:04:23',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14271,'update','dmo_definition','DMO',1,'2005-11-11 21:04:23',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14272,'update','dmo_definition','DMO',1,'2005-11-11 21:04:23',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14273,'update','dmo_definition','DMO',1,'2005-11-11 21:04:23',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14274,'update','dmo_definition','DMO',1,'2005-11-11 21:04:23',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14275,'update','dmo_definition','DMO',1,'2005-11-11 21:04:23',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14276,'update','dmo_definition','DMO',1,'2005-11-11 21:04:23',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14277,'update','dmo_definition','DMO',1,'2005-11-11 21:04:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14278,'update','dmo_definition','DMO',1,'2005-11-11 21:04:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14279,'update','dmo_definition','DMO',1,'2005-11-11 21:04:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14280,'update','dmo_definition','DMO',1,'2005-11-11 21:04:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14281,'update','dmo_definition','DMO',1,'2005-11-11 21:04:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14282,'update','dmo_definition','DMO',1,'2005-11-11 21:04:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14283,'update','dmo_definition','DMO',1,'2005-11-11 21:04:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14284,'update','dmo_definition','DMO',1,'2005-11-11 21:04:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14285,'update','dmo_definition','DMO',1,'2005-11-11 21:04:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14286,'update','dmo_definition','DMO',1,'2005-11-11 21:04:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14287,'update','dmo_definition','DMO',1,'2005-11-11 21:04:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14288,'update','dmo_definition','DMO',1,'2005-11-11 21:04:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14289,'update','dmo_definition','DMO',1,'2005-11-11 21:04:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14290,'update','dmo_definition','DMO',1,'2005-11-11 21:04:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14291,'update','dmo_definition','DMO',1,'2005-11-11 21:04:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14292,'update','dmo_definition','DMO',1,'2005-11-11 21:04:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14293,'update','dmo_definition','DMO',1,'2005-11-11 21:04:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14294,'update','dmo_definition','DMO',1,'2005-11-11 21:04:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14295,'update','dmo_definition','DMO',1,'2005-11-11 21:04:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14296,'update','dmo_definition','DMO',1,'2005-11-11 21:04:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14297,'update','dmo_definition','DMO',1,'2005-11-11 21:04:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14298,'update','dmo_definition','DMO',1,'2005-11-11 21:04:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14299,'update','dmo_definition','DMO',1,'2005-11-11 21:04:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14300,'update','dmo_definition','DMO',1,'2005-11-11 21:04:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14301,'update','dmo_definition','DMO',1,'2005-11-11 21:04:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14302,'update','dmo_definition','DMO',1,'2005-11-11 21:04:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14303,'update','dmo_definition','DMO',1,'2005-11-11 21:04:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14304,'update','dmo_definition','DMO',1,'2005-11-11 21:04:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14305,'update','dmo_definition','DMO',1,'2005-11-11 21:04:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14306,'update','dmo_definition','DMO',1,'2005-11-11 21:04:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14307,'update','dmo_definition','DMO',1,'2005-11-11 21:04:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14308,'update','dmo_definition','DMO',1,'2005-11-11 21:04:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14309,'update','dmo_definition','DMO',1,'2005-11-11 21:04:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14310,'update','dmo_definition','DMO',1,'2005-11-11 21:04:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14311,'update','dmo_definition','DMO',1,'2005-11-11 21:04:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14312,'update','dmo_definition','DMO',1,'2005-11-11 21:04:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14313,'update','dmo_definition','DMO',1,'2005-11-11 21:04:25',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14314,'update','dmo_definition','DMO',1,'2005-11-11 21:04:31',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14315,'update','dmo_definition','DMO',1,'2005-11-11 21:04:31',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14316,'update','dmo_definition','DMO',1,'2005-11-11 21:04:31',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14317,'update','dmo_definition','DMO',1,'2005-11-11 21:04:31',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14318,'update','dmo_definition','DMO',1,'2005-11-11 21:04:31',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14319,'update','dmo_definition','DMO',1,'2005-11-11 21:04:31',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14320,'update','dmo_definition','DMO',1,'2005-11-11 21:04:31',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14321,'update','dmo_definition','DMO',1,'2005-11-11 21:04:31',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14322,'update','dmo_definition','DMO',1,'2005-11-11 21:04:31',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14323,'update','dmo_definition','DMO',1,'2005-11-11 21:04:31',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14324,'update','dmo_definition','DMO',1,'2005-11-11 21:04:31',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14325,'update','dmo_definition','DMO',1,'2005-11-11 21:04:31',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14326,'update','dmo_definition','DMO',1,'2005-11-11 21:04:32',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14327,'update','dmo_definition','DMO',1,'2005-11-11 21:04:32',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14328,'update','dmo_definition','DMO',1,'2005-11-11 21:04:32',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14329,'update','dmo_definition','DMO',1,'2005-11-11 21:04:32',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14330,'update','dmo_definition','DMO',1,'2005-11-11 21:04:32',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14331,'update','dmo_definition','DMO',1,'2005-11-11 21:04:32',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14332,'update','dmo_definition','DMO',1,'2005-11-11 21:04:32',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14333,'update','dmo_definition','DMO',1,'2005-11-11 21:04:32',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14334,'update','dmo_definition','DMO',1,'2005-11-11 21:04:32',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14335,'update','dmo_definition','DMO',1,'2005-11-11 21:04:32',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14336,'update','dmo_definition','DMO',1,'2005-11-11 21:04:32',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14337,'update','dmo_definition','DMO',1,'2005-11-11 21:04:32',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14338,'update','dmo_definition','DMO',1,'2005-11-11 21:04:32',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14339,'update','dmo_definition','DMO',1,'2005-11-11 21:33:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14340,'update','dmo_definition','DMO',1,'2005-11-11 21:33:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14341,'update','dmo_definition','DMO',1,'2005-11-11 21:33:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14342,'update','dmo_definition','DMO',1,'2005-11-11 21:33:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14343,'update','dmo_definition','DMO',1,'2005-11-11 21:33:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14344,'update','dmo_definition','DMO',1,'2005-11-11 21:33:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14345,'update','dmo_definition','DMO',1,'2005-11-11 21:33:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14346,'update','dmo_definition','DMO',1,'2005-11-11 21:33:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14347,'update','dmo_definition','DMO',1,'2005-11-11 21:33:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14348,'update','dmo_definition','DMO',1,'2005-11-11 21:33:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14349,'update','dmo_definition','DMO',1,'2005-11-11 21:33:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14350,'update','dmo_definition','DMO',1,'2005-11-11 21:33:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14351,'update','dmo_definition','DMO',1,'2005-11-11 21:33:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14352,'update','dmo_definition','DMO',1,'2005-11-11 21:33:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14353,'update','dmo_definition','DMO',1,'2005-11-11 21:33:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14354,'update','dmo_definition','DMO',1,'2005-11-11 21:33:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14355,'update','dmo_definition','DMO',1,'2005-11-11 21:33:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14356,'update','dmo_definition','DMO',1,'2005-11-11 21:33:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14357,'update','dmo_definition','DMO',1,'2005-11-11 21:33:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14358,'update','dmo_definition','DMO',1,'2005-11-11 21:33:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14359,'update','dmo_definition','DMO',1,'2005-11-11 21:33:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14360,'update','dmo_definition','DMO',1,'2005-11-11 21:33:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14361,'update','dmo_definition','DMO',1,'2005-11-11 21:33:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14362,'update','dmo_definition','DMO',1,'2005-11-11 21:33:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14363,'update','dmo_definition','DMO',1,'2005-11-11 21:33:24',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14364,'update','dmo_definition','DMO',1,'2005-11-11 22:03:35',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14365,'update','dmo_definition','DMO',1,'2005-11-11 22:03:35',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14366,'update','dmo_definition','DMO',1,'2005-11-11 22:03:35',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14367,'update','dmo_definition','DMO',1,'2005-11-11 22:03:35',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14368,'update','dmo_definition','DMO',1,'2005-11-11 22:03:35',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14369,'update','dmo_definition','DMO',1,'2005-11-11 22:03:35',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14370,'update','dmo_definition','DMO',1,'2005-11-11 22:03:35',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14371,'update','dmo_definition','DMO',1,'2005-11-11 22:03:35',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14372,'update','dmo_definition','DMO',1,'2005-11-11 22:03:35',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14373,'update','dmo_definition','DMO',1,'2005-11-11 22:03:35',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14374,'update','dmo_definition','DMO',1,'2005-11-11 22:03:35',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14375,'update','dmo_definition','DMO',1,'2005-11-11 22:03:35',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14376,'update','dmo_definition','DMO',1,'2005-11-11 22:03:35',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14377,'update','dmo_definition','DMO',1,'2005-11-11 22:03:35',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14378,'update','dmo_definition','DMO',1,'2005-11-11 22:03:35',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14379,'update','dmo_definition','DMO',1,'2005-11-11 22:03:35',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14380,'update','dmo_definition','DMO',1,'2005-11-11 22:03:35',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14381,'update','dmo_definition','DMO',1,'2005-11-11 22:03:35',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14382,'update','dmo_definition','DMO',1,'2005-11-11 22:03:35',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14383,'update','dmo_definition','DMO',1,'2005-11-11 22:03:35',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14384,'update','dmo_definition','DMO',1,'2005-11-11 22:03:35',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14385,'update','dmo_definition','DMO',1,'2005-11-11 22:03:35',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14386,'update','dmo_definition','DMO',1,'2005-11-11 22:03:35',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14387,'update','dmo_definition','DMO',1,'2005-11-11 22:03:35',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14388,'update','dmo_definition','DMO',1,'2005-11-11 22:03:35',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14389,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14390,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14391,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14392,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14393,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14394,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14395,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14396,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14397,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14398,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14399,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14400,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14401,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14402,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14403,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14404,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14405,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14406,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14407,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14408,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14409,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14410,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14411,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14412,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14413,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14414,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14415,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14416,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14417,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14418,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14419,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14420,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14421,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14422,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14423,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14424,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14425,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14426,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14427,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14428,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14429,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14430,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14431,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14432,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14433,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14434,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14435,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14436,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14437,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14438,'update','dmo_definition','DMO',1,'2005-11-11 22:53:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14439,'update','dmo_definition','DMO',1,'2005-11-11 22:53:56',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14440,'update','dmo_definition','DMO',1,'2005-11-11 22:53:56',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14441,'update','dmo_definition','DMO',1,'2005-11-11 22:53:56',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14442,'update','dmo_definition','DMO',1,'2005-11-11 22:53:56',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14443,'update','dmo_definition','DMO',1,'2005-11-11 22:53:56',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14444,'update','dmo_definition','DMO',1,'2005-11-11 22:53:56',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14445,'update','dmo_definition','DMO',1,'2005-11-11 22:53:56',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14446,'update','dmo_definition','DMO',1,'2005-11-11 22:53:56',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14447,'update','dmo_definition','DMO',1,'2005-11-11 22:53:56',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14448,'update','dmo_definition','DMO',1,'2005-11-11 22:53:56',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14449,'update','dmo_definition','DMO',1,'2005-11-11 22:53:56',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14450,'update','dmo_definition','DMO',1,'2005-11-11 22:53:56',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14451,'update','dmo_definition','DMO',1,'2005-11-11 22:53:56',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14452,'update','dmo_definition','DMO',1,'2005-11-11 22:53:56',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14453,'update','dmo_definition','DMO',1,'2005-11-11 22:53:56',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14454,'update','dmo_definition','DMO',1,'2005-11-11 22:53:56',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14455,'update','dmo_definition','DMO',1,'2005-11-11 22:53:56',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14456,'update','dmo_definition','DMO',1,'2005-11-11 22:53:56',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14457,'update','dmo_definition','DMO',1,'2005-11-11 22:53:56',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14458,'update','dmo_definition','DMO',1,'2005-11-11 22:53:56',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14459,'update','dmo_definition','DMO',1,'2005-11-11 22:53:56',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14460,'update','dmo_definition','DMO',1,'2005-11-11 22:53:56',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14461,'update','dmo_definition','DMO',1,'2005-11-11 22:53:56',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14462,'update','dmo_definition','DMO',1,'2005-11-11 22:53:56',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14463,'update','dmo_definition','DMO',1,'2005-11-11 22:53:56',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14464,'update','dmo_definition','DMO',1,'2005-11-11 23:32:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14465,'update','dmo_definition','DMO',1,'2005-11-11 23:32:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14466,'update','dmo_definition','DMO',1,'2005-11-11 23:32:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14467,'update','dmo_definition','DMO',1,'2005-11-11 23:32:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14468,'update','dmo_definition','DMO',1,'2005-11-11 23:32:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14469,'update','dmo_definition','DMO',1,'2005-11-11 23:32:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14470,'update','dmo_definition','DMO',1,'2005-11-11 23:32:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14471,'update','dmo_definition','DMO',1,'2005-11-11 23:32:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14472,'update','dmo_definition','DMO',1,'2005-11-11 23:32:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14473,'update','dmo_definition','DMO',1,'2005-11-11 23:32:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14474,'update','dmo_definition','DMO',1,'2005-11-11 23:32:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14475,'update','dmo_definition','DMO',1,'2005-11-11 23:32:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14476,'update','dmo_definition','DMO',1,'2005-11-11 23:32:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14477,'update','dmo_definition','DMO',1,'2005-11-11 23:32:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14478,'update','dmo_definition','DMO',1,'2005-11-11 23:32:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14479,'update','dmo_definition','DMO',1,'2005-11-11 23:32:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14480,'update','dmo_definition','DMO',1,'2005-11-11 23:32:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14481,'update','dmo_definition','DMO',1,'2005-11-11 23:32:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14482,'update','dmo_definition','DMO',1,'2005-11-11 23:32:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14483,'update','dmo_definition','DMO',1,'2005-11-11 23:32:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14484,'update','dmo_definition','DMO',1,'2005-11-11 23:32:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14485,'update','dmo_definition','DMO',1,'2005-11-11 23:32:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14486,'update','dmo_definition','DMO',1,'2005-11-11 23:32:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14487,'update','dmo_definition','DMO',1,'2005-11-11 23:32:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14488,'update','dmo_definition','DMO',1,'2005-11-11 23:32:39',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14489,'update','dmo_definition','DMO',1,'2005-11-13 16:43:13',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14490,'update','dmo_definition','DMO',1,'2005-11-13 16:43:13',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14491,'update','dmo_definition','DMO',1,'2005-11-13 16:43:13',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14492,'update','dmo_definition','DMO',1,'2005-11-13 16:43:13',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14493,'update','dmo_definition','DMO',1,'2005-11-13 16:43:13',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14494,'update','dmo_definition','DMO',1,'2005-11-13 16:43:13',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14495,'update','dmo_definition','DMO',1,'2005-11-13 16:43:13',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14496,'update','dmo_definition','DMO',1,'2005-11-13 16:43:13',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14497,'update','dmo_definition','DMO',1,'2005-11-13 16:43:13',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14498,'update','dmo_definition','DMO',1,'2005-11-13 16:43:13',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14499,'update','dmo_definition','DMO',1,'2005-11-13 16:43:13',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14500,'update','dmo_definition','DMO',1,'2005-11-13 16:43:13',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14501,'update','dmo_definition','DMO',1,'2005-11-13 16:43:13',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14502,'update','dmo_definition','DMO',1,'2005-11-13 16:43:13',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14503,'update','dmo_definition','DMO',1,'2005-11-13 16:43:13',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14504,'update','dmo_definition','DMO',1,'2005-11-13 16:43:13',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14505,'update','dmo_definition','DMO',1,'2005-11-13 16:43:13',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14506,'update','dmo_definition','DMO',1,'2005-11-13 16:43:13',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14507,'update','dmo_definition','DMO',1,'2005-11-13 16:43:13',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14508,'update','dmo_definition','DMO',1,'2005-11-13 16:43:13',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14509,'update','dmo_definition','DMO',1,'2005-11-13 16:43:13',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14510,'update','dmo_definition','DMO',1,'2005-11-13 16:43:13',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14511,'update','dmo_definition','DMO',1,'2005-11-13 16:43:13',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14512,'update','dmo_definition','DMO',1,'2005-11-13 16:43:13',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14513,'update','dmo_definition','DMO',1,'2005-11-13 16:43:13',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14514,'update','dmo_definition','DMO',1,'2005-11-13 17:04:53',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14515,'update','dmo_definition','DMO',1,'2005-11-13 17:04:53',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14516,'update','dmo_definition','DMO',1,'2005-11-13 17:04:53',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14517,'update','dmo_definition','DMO',1,'2005-11-13 17:04:53',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14518,'update','dmo_definition','DMO',1,'2005-11-13 17:04:53',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14519,'update','dmo_definition','DMO',1,'2005-11-13 17:04:53',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14520,'update','dmo_definition','DMO',1,'2005-11-13 17:04:53',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14521,'update','dmo_definition','DMO',1,'2005-11-13 17:04:53',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14522,'update','dmo_definition','DMO',1,'2005-11-13 17:04:54',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14523,'update','dmo_definition','DMO',1,'2005-11-13 17:04:54',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14524,'update','dmo_definition','DMO',1,'2005-11-13 17:04:54',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14525,'update','dmo_definition','DMO',1,'2005-11-13 17:04:54',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14526,'update','dmo_definition','DMO',1,'2005-11-13 17:04:54',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14527,'update','dmo_definition','DMO',1,'2005-11-13 17:04:54',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14528,'update','dmo_definition','DMO',1,'2005-11-13 17:04:54',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14529,'update','dmo_definition','DMO',1,'2005-11-13 17:04:54',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14530,'update','dmo_definition','DMO',1,'2005-11-13 17:04:54',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14531,'update','dmo_definition','DMO',1,'2005-11-13 17:04:54',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14532,'update','dmo_definition','DMO',1,'2005-11-13 17:04:54',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14533,'update','dmo_definition','DMO',1,'2005-11-13 17:04:54',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14534,'update','dmo_definition','DMO',1,'2005-11-13 17:04:54',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14535,'update','dmo_definition','DMO',1,'2005-11-13 17:04:54',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14536,'update','dmo_definition','DMO',1,'2005-11-13 17:04:54',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14537,'update','dmo_definition','DMO',1,'2005-11-13 17:04:54',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14538,'update','dmo_definition','DMO',1,'2005-11-13 17:04:54',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14539,'update','dmo_definition','DMO',1,'2005-11-13 17:04:54',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14540,'update','dmo_definition','DMO',1,'2005-11-13 17:04:54',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14541,'update','dmo_definition','DMO',1,'2005-11-13 17:04:54',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14542,'update','dmo_definition','DMO',1,'2005-11-13 17:04:54',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14543,'update','dmo_definition','DMO',1,'2005-11-13 17:04:54',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14544,'update','dmo_definition','DMO',1,'2005-11-13 17:04:54',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14545,'update','dmo_definition','DMO',1,'2005-11-13 17:04:54',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14546,'update','dmo_definition','DMO',1,'2005-11-13 17:04:54',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14547,'update','dmo_definition','DMO',1,'2005-11-13 17:04:54',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14548,'update','dmo_definition','DMO',1,'2005-11-13 17:04:54',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14549,'update','dmo_definition','DMO',1,'2005-11-13 17:04:54',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14550,'update','dmo_definition','DMO',1,'2005-11-13 17:04:54',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14551,'update','dmo_definition','DMO',1,'2005-11-13 17:04:54',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14552,'update','dmo_definition','DMO',1,'2005-11-13 17:04:54',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14553,'update','dmo_definition','DMO',1,'2005-11-13 17:04:54',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14554,'update','dmo_definition','DMO',1,'2005-11-13 17:04:54',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14555,'update','dmo_definition','DMO',1,'2005-11-13 17:04:54',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14556,'update','dmo_definition','DMO',1,'2005-11-13 17:04:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14557,'update','dmo_definition','DMO',1,'2005-11-13 17:04:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14558,'update','dmo_definition','DMO',1,'2005-11-13 17:04:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14559,'update','dmo_definition','DMO',1,'2005-11-13 17:04:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14560,'update','dmo_definition','DMO',1,'2005-11-13 17:04:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14561,'update','dmo_definition','DMO',1,'2005-11-13 17:04:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14562,'update','dmo_definition','DMO',1,'2005-11-13 17:04:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14563,'update','dmo_definition','DMO',1,'2005-11-13 17:04:55',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14564,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14565,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14566,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14567,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14568,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14569,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14570,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14571,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14572,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14573,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14574,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14575,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14576,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14577,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14578,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14579,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14580,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14581,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14582,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14583,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14584,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14585,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14586,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14587,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14588,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14589,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14590,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14591,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14592,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14593,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14594,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14595,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14596,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14597,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14598,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14599,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14600,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14601,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14602,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14603,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14604,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14605,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14606,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14607,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14608,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14609,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14610,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14611,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14612,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14613,'update','dmo_definition','DMO',1,'2005-11-13 17:04:57',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14614,'update','dmo_definition','DMO',1,'2005-11-13 17:05:08',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14615,'update','dmo_definition','DMO',1,'2005-11-13 17:05:08',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14616,'update','dmo_definition','DMO',1,'2005-11-13 17:05:08',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14617,'update','dmo_definition','DMO',1,'2005-11-13 17:05:08',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14618,'update','dmo_definition','DMO',1,'2005-11-13 17:05:08',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14619,'update','dmo_definition','DMO',1,'2005-11-13 17:05:08',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14620,'update','dmo_definition','DMO',1,'2005-11-13 17:05:08',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14621,'update','dmo_definition','DMO',1,'2005-11-13 17:05:09',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14622,'update','dmo_definition','DMO',1,'2005-11-13 17:05:09',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14623,'update','dmo_definition','DMO',1,'2005-11-13 17:05:09',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14624,'update','dmo_definition','DMO',1,'2005-11-13 17:05:09',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14625,'update','dmo_definition','DMO',1,'2005-11-13 17:05:09',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14626,'update','dmo_definition','DMO',1,'2005-11-13 17:05:09',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14627,'update','dmo_definition','DMO',1,'2005-11-13 17:05:09',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14628,'update','dmo_definition','DMO',1,'2005-11-13 17:05:09',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14629,'update','dmo_definition','DMO',1,'2005-11-13 17:05:09',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14630,'update','dmo_definition','DMO',1,'2005-11-13 17:05:09',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14631,'update','dmo_definition','DMO',1,'2005-11-13 17:05:09',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14632,'update','dmo_definition','DMO',1,'2005-11-13 17:05:09',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14633,'update','dmo_definition','DMO',1,'2005-11-13 17:05:09',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14634,'update','dmo_definition','DMO',1,'2005-11-13 17:05:09',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14635,'update','dmo_definition','DMO',1,'2005-11-13 17:05:09',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14636,'update','dmo_definition','DMO',1,'2005-11-13 17:05:09',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14637,'update','dmo_definition','DMO',1,'2005-11-13 17:05:09',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14638,'update','dmo_definition','DMO',1,'2005-11-13 17:05:09',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14639,'update','dmo_definition','DMO',1,'2005-11-13 17:05:16',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14640,'update','dmo_definition','DMO',1,'2005-11-13 17:05:16',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14641,'update','dmo_definition','DMO',1,'2005-11-13 17:05:16',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14642,'update','dmo_definition','DMO',1,'2005-11-13 17:05:16',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14643,'update','dmo_definition','DMO',1,'2005-11-13 17:05:16',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14644,'update','dmo_definition','DMO',1,'2005-11-13 17:05:16',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14645,'update','dmo_definition','DMO',1,'2005-11-13 17:05:16',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14646,'update','dmo_definition','DMO',1,'2005-11-13 17:05:16',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14647,'update','dmo_definition','DMO',1,'2005-11-13 17:05:16',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14648,'update','dmo_definition','DMO',1,'2005-11-13 17:05:16',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14649,'update','dmo_definition','DMO',1,'2005-11-13 17:05:16',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14650,'update','dmo_definition','DMO',1,'2005-11-13 17:05:16',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14651,'update','dmo_definition','DMO',1,'2005-11-13 17:05:16',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14652,'update','dmo_definition','DMO',1,'2005-11-13 17:05:16',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14653,'update','dmo_definition','DMO',1,'2005-11-13 17:05:16',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14654,'update','dmo_definition','DMO',1,'2005-11-13 17:05:16',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14655,'update','dmo_definition','DMO',1,'2005-11-13 17:05:16',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14656,'update','dmo_definition','DMO',1,'2005-11-13 17:05:16',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14657,'update','dmo_definition','DMO',1,'2005-11-13 17:05:16',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14658,'update','dmo_definition','DMO',1,'2005-11-13 17:05:16',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14659,'update','dmo_definition','DMO',1,'2005-11-13 17:05:16',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14660,'update','dmo_definition','DMO',1,'2005-11-13 17:05:16',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14661,'update','dmo_definition','DMO',1,'2005-11-13 17:05:16',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14662,'update','dmo_definition','DMO',1,'2005-11-13 17:05:16',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14663,'update','dmo_definition','DMO',1,'2005-11-13 17:05:16',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14664,'update','dmo_definition','DMO',1,'2005-11-13 17:06:05',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14665,'update','dmo_definition','DMO',1,'2005-11-13 17:06:05',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14666,'update','dmo_definition','DMO',1,'2005-11-13 17:06:05',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14667,'update','dmo_definition','DMO',1,'2005-11-13 17:06:05',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14668,'update','dmo_definition','DMO',1,'2005-11-13 17:06:05',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14669,'update','dmo_definition','DMO',1,'2005-11-13 17:06:05',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14670,'update','dmo_definition','DMO',1,'2005-11-13 17:06:06',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14671,'update','dmo_definition','DMO',1,'2005-11-13 17:06:06',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14672,'update','dmo_definition','DMO',1,'2005-11-13 17:06:06',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14673,'update','dmo_definition','DMO',1,'2005-11-13 17:06:06',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14674,'update','dmo_definition','DMO',1,'2005-11-13 17:06:06',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14675,'update','dmo_definition','DMO',1,'2005-11-13 17:06:06',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14676,'update','dmo_definition','DMO',1,'2005-11-13 17:06:06',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14677,'update','dmo_definition','DMO',1,'2005-11-13 17:06:06',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14678,'update','dmo_definition','DMO',1,'2005-11-13 17:06:06',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14679,'update','dmo_definition','DMO',1,'2005-11-13 17:06:06',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14680,'update','dmo_definition','DMO',1,'2005-11-13 17:06:06',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14681,'update','dmo_definition','DMO',1,'2005-11-13 17:06:06',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14682,'update','dmo_definition','DMO',1,'2005-11-13 17:06:06',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14683,'update','dmo_definition','DMO',1,'2005-11-13 17:06:06',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14684,'update','dmo_definition','DMO',1,'2005-11-13 17:06:06',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14685,'update','dmo_definition','DMO',1,'2005-11-13 17:06:06',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14686,'update','dmo_definition','DMO',1,'2005-11-13 17:06:06',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14687,'update','dmo_definition','DMO',1,'2005-11-13 17:06:06',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14688,'update','dmo_definition','DMO',1,'2005-11-13 17:06:06',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14689,'update','dmo_definition','DMO',1,'2005-11-13 17:06:06',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14690,'update','dmo_definition','DMO',1,'2005-11-13 17:06:06',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14691,'update','dmo_definition','DMO',1,'2005-11-13 17:06:06',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14692,'update','dmo_definition','DMO',1,'2005-11-13 17:06:06',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14693,'update','dmo_definition','DMO',1,'2005-11-13 17:06:06',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14694,'update','dmo_definition','DMO',1,'2005-11-13 17:06:06',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14695,'update','dmo_definition','DMO',1,'2005-11-13 17:06:06',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14696,'update','dmo_definition','DMO',1,'2005-11-13 17:06:06',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14697,'update','dmo_definition','DMO',1,'2005-11-13 17:06:06',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14698,'update','dmo_definition','DMO',1,'2005-11-13 17:06:06',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14699,'update','dmo_definition','DMO',1,'2005-11-13 17:06:06',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14700,'update','dmo_definition','DMO',1,'2005-11-13 17:06:06',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14701,'update','dmo_definition','DMO',1,'2005-11-13 17:06:06',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14702,'update','dmo_definition','DMO',1,'2005-11-13 17:06:06',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14703,'update','dmo_definition','DMO',1,'2005-11-13 17:06:06',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14704,'update','dmo_definition','DMO',1,'2005-11-13 17:06:06',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14705,'update','dmo_definition','DMO',1,'2005-11-13 17:06:06',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14706,'update','dmo_definition','DMO',1,'2005-11-13 17:06:06',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14707,'update','dmo_definition','DMO',1,'2005-11-13 17:06:06',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14708,'update','dmo_definition','DMO',1,'2005-11-13 17:06:06',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14709,'update','dmo_definition','DMO',1,'2005-11-13 17:06:06',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14710,'update','dmo_definition','DMO',1,'2005-11-13 17:06:06',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14711,'update','dmo_definition','DMO',1,'2005-11-13 17:06:06',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14712,'update','dmo_definition','DMO',1,'2005-11-13 17:06:06',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14713,'update','dmo_definition','DMO',1,'2005-11-13 17:06:06',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14714,'update','lfx_global','LFX',31,'2005-11-13 17:18:48',12,'_a:6:{s:4:\"name\";s:8:\"full_URL\";s:6:\"module\";s:3:\"DMO\";s:5:\"value\";s:24:\"http://127.0.01/dmo_new/\";s:7:\"comment\";s:82:\"Forcing the https protocol which doesn\'t get automatically detected by the server.\";s:13:\"default_value\";s:17:\"localhost/dmo_new\";s:10:\"isPassword\";s:3:\"off\";}'),(14715,'update','dmo_definition','DMO',1,'2005-11-13 17:19:00',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14716,'update','dmo_definition','DMO',1,'2005-11-13 17:19:00',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14717,'update','dmo_definition','DMO',1,'2005-11-13 17:19:00',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14718,'update','dmo_definition','DMO',1,'2005-11-13 17:19:00',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14719,'update','dmo_definition','DMO',1,'2005-11-13 17:19:00',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14720,'update','dmo_definition','DMO',1,'2005-11-13 17:19:00',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14721,'update','dmo_definition','DMO',1,'2005-11-13 17:19:00',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14722,'update','dmo_definition','DMO',1,'2005-11-13 17:19:00',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14723,'update','dmo_definition','DMO',1,'2005-11-13 17:19:00',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14724,'update','dmo_definition','DMO',1,'2005-11-13 17:19:00',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14725,'update','dmo_definition','DMO',1,'2005-11-13 17:19:00',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14726,'update','dmo_definition','DMO',1,'2005-11-13 17:19:00',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14727,'update','dmo_definition','DMO',1,'2005-11-13 17:19:00',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14728,'update','dmo_definition','DMO',1,'2005-11-13 17:19:00',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14729,'update','dmo_definition','DMO',1,'2005-11-13 17:19:00',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14730,'update','dmo_definition','DMO',1,'2005-11-13 17:19:00',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14731,'update','dmo_definition','DMO',1,'2005-11-13 17:19:00',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14732,'update','dmo_definition','DMO',1,'2005-11-13 17:19:00',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14733,'update','dmo_definition','DMO',1,'2005-11-13 17:19:00',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14734,'update','dmo_definition','DMO',1,'2005-11-13 17:19:00',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14735,'update','dmo_definition','DMO',1,'2005-11-13 17:19:00',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14736,'update','dmo_definition','DMO',1,'2005-11-13 17:19:00',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14737,'update','dmo_definition','DMO',1,'2005-11-13 17:19:01',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14738,'update','dmo_definition','DMO',1,'2005-11-13 17:19:01',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14739,'update','dmo_definition','DMO',1,'2005-11-13 17:19:01',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14740,'update','dmo_definition','DMO',1,'2005-11-13 17:19:01',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14741,'update','dmo_definition','DMO',1,'2005-11-13 17:19:01',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14742,'update','dmo_definition','DMO',1,'2005-11-13 17:19:01',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14743,'update','dmo_definition','DMO',1,'2005-11-13 17:19:01',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14744,'update','dmo_definition','DMO',1,'2005-11-13 17:19:01',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14745,'update','dmo_definition','DMO',1,'2005-11-13 17:19:01',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14746,'update','dmo_definition','DMO',1,'2005-11-13 17:19:01',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14747,'update','dmo_definition','DMO',1,'2005-11-13 17:19:01',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14748,'update','dmo_definition','DMO',1,'2005-11-13 17:19:01',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14749,'update','dmo_definition','DMO',1,'2005-11-13 17:19:01',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14750,'update','dmo_definition','DMO',1,'2005-11-13 17:19:01',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14751,'update','dmo_definition','DMO',1,'2005-11-13 17:19:01',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14752,'update','dmo_definition','DMO',1,'2005-11-13 17:19:01',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14753,'update','dmo_definition','DMO',1,'2005-11-13 17:19:01',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14754,'update','dmo_definition','DMO',1,'2005-11-13 17:19:01',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14755,'update','dmo_definition','DMO',1,'2005-11-13 17:19:01',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14756,'update','dmo_definition','DMO',1,'2005-11-13 17:19:01',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14757,'update','dmo_definition','DMO',1,'2005-11-13 17:19:01',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14758,'update','dmo_definition','DMO',1,'2005-11-13 17:19:01',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14759,'update','dmo_definition','DMO',1,'2005-11-13 17:19:01',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14760,'update','dmo_definition','DMO',1,'2005-11-13 17:19:01',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14761,'update','dmo_definition','DMO',1,'2005-11-13 17:19:01',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14762,'update','dmo_definition','DMO',1,'2005-11-13 17:19:01',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14763,'update','dmo_definition','DMO',1,'2005-11-13 17:19:01',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14764,'update','dmo_definition','DMO',1,'2005-11-13 17:19:01',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14765,'update','dmo_definition','DMO',1,'2005-11-13 17:19:01',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14766,'update','dmo_definition','DMO',1,'2005-11-13 17:19:01',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14767,'update','dmo_definition','DMO',1,'2005-11-13 17:19:01',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14768,'update','dmo_definition','DMO',1,'2005-11-13 17:19:01',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14769,'update','dmo_definition','DMO',1,'2005-11-13 17:19:01',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14770,'update','dmo_definition','DMO',1,'2005-11-13 17:19:02',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14771,'update','dmo_definition','DMO',1,'2005-11-13 17:19:02',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14772,'update','dmo_definition','DMO',1,'2005-11-13 17:19:02',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14773,'update','dmo_definition','DMO',1,'2005-11-13 17:19:02',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14774,'update','dmo_definition','DMO',1,'2005-11-13 17:19:02',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14775,'update','dmo_definition','DMO',1,'2005-11-13 17:19:02',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14776,'update','dmo_definition','DMO',1,'2005-11-13 17:19:02',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14777,'update','dmo_definition','DMO',1,'2005-11-13 17:19:02',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14778,'update','dmo_definition','DMO',1,'2005-11-13 17:19:02',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14779,'update','dmo_definition','DMO',1,'2005-11-13 17:19:02',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14780,'update','dmo_definition','DMO',1,'2005-11-13 17:19:02',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14781,'update','dmo_definition','DMO',1,'2005-11-13 17:19:02',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14782,'update','dmo_definition','DMO',1,'2005-11-13 17:19:02',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14783,'update','dmo_definition','DMO',1,'2005-11-13 17:19:02',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14784,'update','dmo_definition','DMO',1,'2005-11-13 17:19:02',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14785,'update','dmo_definition','DMO',1,'2005-11-13 17:19:02',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14786,'update','dmo_definition','DMO',1,'2005-11-13 17:19:02',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14787,'update','dmo_definition','DMO',1,'2005-11-13 17:19:02',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14788,'update','dmo_definition','DMO',1,'2005-11-13 17:19:02',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14789,'update','dmo_definition','DMO',1,'2005-11-13 17:19:02',12,'_a:2:{s:10:\"tree_cache\";s:49:\"a:1:{i:0;a:2:{s:5:\"level\";i:0;s:6:\"object\";i:1;}}\";s:4:\"name\";s:0:\"\";}'),(14790,'update','lfx_global','LFX',66,'2005-11-13 17:19:40',12,''),(14791,'update','dmo_definition','DMO',1,'2005-11-13 17:32:52',12,''),(14792,'update','dmo_definition','DMO',1,'2005-11-13 17:32:52',12,''),(14793,'update','dmo_definition','DMO',1,'2005-11-13 17:32:52',12,''),(14794,'update','dmo_definition','DMO',1,'2005-11-13 17:32:52',12,''),(14795,'update','dmo_definition','DMO',1,'2005-11-13 17:32:52',12,''),(14796,'update','dmo_definition','DMO',1,'2005-11-13 17:32:52',12,''),(14797,'update','dmo_definition','DMO',1,'2005-11-13 17:32:52',12,''),(14798,'update','dmo_definition','DMO',1,'2005-11-13 17:32:52',12,''),(14799,'update','dmo_definition','DMO',1,'2005-11-13 17:32:52',12,''),(14800,'update','dmo_definition','DMO',1,'2005-11-13 17:32:52',12,''),(14801,'update','dmo_definition','DMO',1,'2005-11-13 17:32:52',12,''),(14802,'update','dmo_definition','DMO',1,'2005-11-13 17:32:52',12,''),(14803,'update','dmo_definition','DMO',1,'2005-11-13 17:32:52',12,''),(14804,'update','dmo_definition','DMO',1,'2005-11-13 17:32:52',12,''),(14805,'update','dmo_definition','DMO',1,'2005-11-13 17:32:53',12,''),(14806,'update','dmo_definition','DMO',1,'2005-11-13 17:32:53',12,''),(14807,'update','dmo_definition','DMO',1,'2005-11-13 17:32:53',12,''),(14808,'update','dmo_definition','DMO',1,'2005-11-13 17:32:53',12,''),(14809,'update','dmo_definition','DMO',1,'2005-11-13 17:32:53',12,''),(14810,'update','dmo_definition','DMO',1,'2005-11-13 17:32:53',12,''),(14811,'update','dmo_definition','DMO',1,'2005-11-13 17:32:53',12,''),(14812,'update','dmo_definition','DMO',1,'2005-11-13 17:32:53',12,''),(14813,'update','dmo_definition','DMO',1,'2005-11-13 17:32:53',12,''),(14814,'update','dmo_definition','DMO',1,'2005-11-13 17:32:53',12,''),(14815,'update','dmo_definition','DMO',1,'2005-11-13 17:32:53',12,''),(14816,'update','dmo_definition','DMO',1,'2005-11-13 17:32:53',12,''),(14817,'update','dmo_definition','DMO',1,'2005-11-13 17:32:53',12,''),(14818,'update','dmo_definition','DMO',1,'2005-11-13 17:32:53',12,''),(14819,'update','dmo_definition','DMO',1,'2005-11-13 17:32:53',12,''),(14820,'update','dmo_definition','DMO',1,'2005-11-13 17:32:53',12,''),(14821,'update','dmo_definition','DMO',1,'2005-11-13 17:32:53',12,''),(14822,'update','dmo_definition','DMO',1,'2005-11-13 17:32:53',12,''),(14823,'update','dmo_definition','DMO',1,'2005-11-13 17:32:53',12,''),(14824,'update','dmo_definition','DMO',1,'2005-11-13 17:32:53',12,''),(14825,'update','dmo_definition','DMO',1,'2005-11-13 17:32:53',12,''),(14826,'update','dmo_definition','DMO',1,'2005-11-13 17:32:53',12,''),(14827,'update','dmo_definition','DMO',1,'2005-11-13 17:32:53',12,''),(14828,'update','dmo_definition','DMO',1,'2005-11-13 17:32:53',12,''),(14829,'update','dmo_definition','DMO',1,'2005-11-13 17:32:53',12,''),(14830,'update','dmo_definition','DMO',1,'2005-11-13 17:32:53',12,''),(14831,'update','dmo_definition','DMO',1,'2005-11-13 17:32:53',12,''),(14832,'update','dmo_definition','DMO',1,'2005-11-13 17:32:53',12,''),(14833,'update','dmo_definition','DMO',1,'2005-11-13 17:32:53',12,''),(14834,'update','dmo_definition','DMO',1,'2005-11-13 17:32:53',12,''),(14835,'update','dmo_definition','DMO',1,'2005-11-13 17:32:53',12,''),(14836,'update','dmo_definition','DMO',1,'2005-11-13 17:32:53',12,''),(14837,'update','dmo_definition','DMO',1,'2005-11-13 17:32:53',12,''),(14838,'update','dmo_definition','DMO',1,'2005-11-13 17:32:53',12,''),(14839,'update','dmo_definition','DMO',1,'2005-11-13 17:32:53',12,''),(14840,'update','dmo_definition','DMO',1,'2005-11-13 17:32:53',12,''),(14841,'update','dmo_definition','DMO',1,'2005-11-13 17:32:53',12,''),(14842,'update','dmo_definition','DMO',1,'2005-11-13 17:32:53',12,''),(14843,'update','dmo_definition','DMO',1,'2005-11-13 17:32:53',12,''),(14844,'update','dmo_definition','DMO',1,'2005-11-13 17:32:53',12,''),(14845,'update','dmo_definition','DMO',1,'2005-11-13 17:32:53',12,''),(14846,'update','dmo_definition','DMO',1,'2005-11-13 17:32:53',12,''),(14847,'update','dmo_definition','DMO',1,'2005-11-13 17:32:53',12,''),(14848,'update','dmo_definition','DMO',1,'2005-11-13 17:32:53',12,''),(14849,'update','dmo_definition','DMO',1,'2005-11-13 17:32:54',12,''),(14850,'update','dmo_definition','DMO',1,'2005-11-13 17:32:54',12,''),(14851,'update','dmo_definition','DMO',1,'2005-11-13 17:32:54',12,''),(14852,'update','dmo_definition','DMO',1,'2005-11-13 17:32:54',12,''),(14853,'update','dmo_definition','DMO',1,'2005-11-13 17:32:54',12,''),(14854,'update','dmo_definition','DMO',1,'2005-11-13 17:32:54',12,''),(14855,'update','dmo_definition','DMO',1,'2005-11-13 17:37:08',12,''),(14856,'update','dmo_definition','DMO',1,'2005-11-13 17:37:08',12,''),(14857,'update','dmo_definition','DMO',1,'2005-11-13 17:37:08',12,''),(14858,'update','dmo_definition','DMO',1,'2005-11-13 17:37:08',12,''),(14859,'update','dmo_definition','DMO',1,'2005-11-13 17:37:08',12,''),(14860,'update','dmo_definition','DMO',1,'2005-11-13 17:37:08',12,''),(14861,'update','dmo_definition','DMO',1,'2005-11-13 17:37:08',12,''),(14862,'update','dmo_definition','DMO',1,'2005-11-13 17:37:08',12,''),(14863,'update','dmo_definition','DMO',1,'2005-11-13 17:37:08',12,''),(14864,'update','dmo_definition','DMO',1,'2005-11-13 17:37:08',12,''),(14865,'update','dmo_definition','DMO',1,'2005-11-13 17:37:09',12,''),(14866,'update','dmo_definition','DMO',1,'2005-11-13 17:37:09',12,''),(14867,'update','dmo_definition','DMO',1,'2005-11-13 17:37:09',12,''),(14868,'update','dmo_definition','DMO',1,'2005-11-13 17:37:09',12,''),(14869,'update','dmo_definition','DMO',1,'2005-11-13 17:37:09',12,''),(14870,'update','dmo_definition','DMO',1,'2005-11-13 17:37:09',12,''),(14871,'update','dmo_definition','DMO',1,'2005-11-13 17:37:09',12,''),(14872,'update','dmo_definition','DMO',1,'2005-11-13 17:37:09',12,''),(14873,'update','dmo_definition','DMO',1,'2005-11-13 17:37:09',12,''),(14874,'update','dmo_definition','DMO',1,'2005-11-13 17:37:09',12,''),(14875,'update','dmo_definition','DMO',1,'2005-11-13 17:37:09',12,''),(14876,'update','dmo_definition','DMO',1,'2005-11-13 17:37:09',12,''),(14877,'update','dmo_definition','DMO',1,'2005-11-13 17:37:09',12,''),(14878,'update','dmo_definition','DMO',1,'2005-11-13 17:37:09',12,''),(14879,'update','dmo_definition','DMO',1,'2005-11-13 17:37:09',12,''),(14880,'update','dmo_definition','DMO',1,'2005-11-13 17:37:09',12,''),(14881,'update','dmo_definition','DMO',1,'2005-11-13 17:37:09',12,''),(14882,'update','dmo_definition','DMO',1,'2005-11-13 17:37:09',12,''),(14883,'update','dmo_definition','DMO',1,'2005-11-13 17:37:09',12,''),(14884,'update','dmo_definition','DMO',1,'2005-11-13 17:37:09',12,''),(14885,'update','dmo_definition','DMO',1,'2005-11-13 17:37:09',12,''),(14886,'update','dmo_definition','DMO',1,'2005-11-13 17:37:09',12,''),(14887,'update','dmo_definition','DMO',1,'2005-11-13 17:37:09',12,''),(14888,'update','dmo_definition','DMO',1,'2005-11-13 17:37:09',12,''),(14889,'update','dmo_definition','DMO',1,'2005-11-13 17:37:09',12,''),(14890,'update','dmo_definition','DMO',1,'2005-11-13 17:37:09',12,''),(14891,'update','dmo_definition','DMO',1,'2005-11-13 17:37:09',12,''),(14892,'update','dmo_definition','DMO',1,'2005-11-13 17:37:09',12,''),(14893,'update','dmo_definition','DMO',1,'2005-11-13 17:37:09',12,''),(14894,'update','dmo_definition','DMO',1,'2005-11-13 17:37:09',12,''),(14895,'update','dmo_definition','DMO',1,'2005-11-13 17:37:09',12,''),(14896,'update','dmo_definition','DMO',1,'2005-11-13 17:37:09',12,''),(14897,'update','dmo_definition','DMO',1,'2005-11-13 17:37:09',12,''),(14898,'update','dmo_definition','DMO',1,'2005-11-13 17:37:09',12,''),(14899,'update','dmo_definition','DMO',1,'2005-11-13 17:37:09',12,''),(14900,'update','dmo_definition','DMO',1,'2005-11-13 17:37:09',12,''),(14901,'update','dmo_definition','DMO',1,'2005-11-13 17:37:09',12,''),(14902,'update','dmo_definition','DMO',1,'2005-11-13 17:37:10',12,''),(14903,'update','dmo_definition','DMO',1,'2005-11-13 17:37:10',12,''),(14904,'update','dmo_definition','DMO',1,'2005-11-13 17:37:10',12,''),(14905,'update','dmo_definition','DMO',1,'2005-11-13 17:37:10',12,''),(14906,'update','dmo_definition','DMO',1,'2005-11-13 17:37:10',12,''),(14907,'update','dmo_definition','DMO',1,'2005-11-13 17:37:10',12,''),(14908,'update','dmo_definition','DMO',1,'2005-11-13 17:37:10',12,''),(14909,'update','dmo_definition','DMO',1,'2005-11-13 17:37:10',12,''),(14910,'update','dmo_definition','DMO',1,'2005-11-13 17:37:10',12,''),(14911,'update','dmo_definition','DMO',1,'2005-11-13 17:37:10',12,''),(14912,'update','dmo_definition','DMO',1,'2005-11-13 17:37:10',12,''),(14913,'update','dmo_definition','DMO',1,'2005-11-13 17:37:10',12,''),(14914,'update','dmo_definition','DMO',1,'2005-11-13 17:37:10',12,''),(14915,'update','dmo_definition','DMO',1,'2005-11-13 17:37:10',12,''),(14916,'update','dmo_definition','DMO',1,'2005-11-13 17:37:10',12,''),(14917,'update','dmo_definition','DMO',1,'2005-11-13 17:37:10',12,''),(14918,'update','dmo_definition','DMO',1,'2005-11-13 17:37:10',12,''),(14919,'update','dmo_definition','DMO',233,'2005-11-13 18:10:48',12,''),(14920,'update','dmo_definition','DMO',228,'2005-11-13 18:10:50',12,''),(14921,'update','dmo_definition','DMO',231,'2005-11-13 18:10:51',12,''),(14922,'update','dmo_definition','DMO',230,'2005-11-13 18:10:53',12,''),(14923,'update','dmo_definition','DMO',229,'2005-11-13 18:10:54',12,''),(14924,'update','dmo_definition','DMO',227,'2005-11-13 18:10:56',12,''),(14925,'update','dmo_definition','DMO',226,'2005-11-13 18:10:57',12,''),(14926,'update','dmo_definition','DMO',225,'2005-11-13 18:10:59',12,''),(14927,'update','dmo_definition','DMO',224,'2005-11-13 18:11:01',12,''),(14928,'update','dmo_definition','DMO',222,'2005-11-13 18:11:02',12,''),(14929,'update','dmo_definition','DMO',221,'2005-11-13 18:11:04',12,''),(14930,'update','dmo_definition','DMO',220,'2005-11-13 18:11:05',12,''),(14931,'update','dmo_definition','DMO',214,'2005-11-13 18:11:07',12,''),(14932,'update','dmo_definition','DMO',213,'2005-11-13 18:11:09',12,''),(14933,'update','dmo_definition','DMO',212,'2005-11-13 18:11:11',12,''),(14934,'update','dmo_definition','DMO',211,'2005-11-13 18:11:12',12,''),(14935,'update','dmo_definition','DMO',210,'2005-11-13 18:11:14',12,''),(14936,'update','dmo_definition','DMO',209,'2005-11-13 18:11:15',12,''),(14937,'update','dmo_definition','DMO',219,'2005-11-13 18:11:17',12,''),(14938,'update','dmo_definition','DMO',218,'2005-11-13 18:11:19',12,''),(14939,'update','dmo_definition','DMO',217,'2005-11-13 18:11:20',12,''),(14940,'update','dmo_definition','DMO',216,'2005-11-13 18:11:22',12,''),(14941,'update','dmo_definition','DMO',215,'2005-11-13 18:11:24',12,''),(14942,'update','dmo_definition','DMO',208,'2005-11-13 18:11:25',12,''),(14943,'update','dmo_definition','DMO',207,'2005-11-13 18:11:27',12,''),(14944,'update','dmo_definition','DMO',205,'2005-11-13 18:11:28',12,''),(14945,'update','dmo_definition','DMO',204,'2005-11-13 18:11:30',12,''),(14946,'update','dmo_definition','DMO',220,'2005-11-14 20:38:00',12,''),(14947,'insert','dmo_instance','DMO',156200,'2005-11-14 20:38:03',12,''),(14948,'insert','dmo_filetree','DMO',4,'2005-11-14 20:52:45',12,''),(14949,'insert','dmo_filetree','DMO',5,'2005-11-14 20:53:18',12,''),(14950,'update','dmo_definition','DMO',233,'2005-11-14 21:13:53',12,''),(14951,'update','dmo_definition','DMO',228,'2005-11-14 21:13:55',12,''),(14952,'update','dmo_definition','DMO',231,'2005-11-14 21:13:56',12,''),(14953,'update','dmo_definition','DMO',230,'2005-11-14 21:13:58',12,''),(14954,'update','dmo_definition','DMO',229,'2005-11-14 21:13:59',12,''),(14955,'update','dmo_definition','DMO',227,'2005-11-14 21:14:01',12,''),(14956,'update','dmo_definition','DMO',226,'2005-11-14 21:14:03',12,''),(14957,'update','dmo_definition','DMO',225,'2005-11-14 21:14:04',12,''),(14958,'update','dmo_definition','DMO',224,'2005-11-14 21:14:06',12,''),(14959,'update','dmo_definition','DMO',222,'2005-11-14 21:14:07',12,''),(14960,'update','dmo_definition','DMO',221,'2005-11-14 21:14:09',12,''),(14961,'update','dmo_definition','DMO',220,'2005-11-14 21:14:11',12,''),(14962,'update','dmo_definition','DMO',214,'2005-11-14 21:14:12',12,''),(14963,'update','dmo_definition','DMO',213,'2005-11-14 21:14:14',12,''),(14964,'update','dmo_definition','DMO',212,'2005-11-14 21:14:16',12,''),(14965,'update','dmo_definition','DMO',211,'2005-11-14 21:14:17',12,''),(14966,'update','dmo_definition','DMO',210,'2005-11-14 21:14:19',12,''),(14967,'update','dmo_definition','DMO',209,'2005-11-14 21:14:21',12,''),(14968,'update','dmo_definition','DMO',219,'2005-11-14 21:14:23',12,''),(14969,'update','dmo_definition','DMO',218,'2005-11-14 21:14:24',12,''),(14970,'update','dmo_definition','DMO',217,'2005-11-14 21:14:26',12,''),(14971,'update','dmo_definition','DMO',216,'2005-11-14 21:14:27',12,''),(14972,'update','dmo_definition','DMO',215,'2005-11-14 21:14:29',12,''),(14973,'update','dmo_definition','DMO',208,'2005-11-14 21:14:31',12,''),(14974,'update','dmo_definition','DMO',207,'2005-11-14 21:14:33',12,''),(14975,'update','dmo_definition','DMO',205,'2005-11-14 21:14:34',12,''),(14976,'update','dmo_definition','DMO',204,'2005-11-14 21:14:36',12,''),(14977,'update','dmo_definition','DMO',233,'2005-11-14 21:16:25',12,''),(14978,'update','dmo_definition','DMO',228,'2005-11-14 21:16:27',12,''),(14979,'update','dmo_definition','DMO',231,'2005-11-14 21:16:29',12,''),(14980,'update','dmo_definition','DMO',230,'2005-11-14 21:16:30',12,''),(14981,'update','dmo_definition','DMO',229,'2005-11-14 21:16:32',12,''),(14982,'update','dmo_definition','DMO',227,'2005-11-14 21:16:33',12,''),(14983,'update','dmo_definition','DMO',226,'2005-11-14 21:16:35',12,''),(14984,'update','dmo_definition','DMO',225,'2005-11-14 21:16:37',12,''),(14985,'update','dmo_definition','DMO',224,'2005-11-14 21:16:38',12,''),(14986,'update','dmo_definition','DMO',222,'2005-11-14 21:16:40',12,''),(14987,'update','dmo_definition','DMO',221,'2005-11-14 21:16:41',12,''),(14988,'update','dmo_definition','DMO',220,'2005-11-14 21:16:43',12,''),(14989,'update','dmo_definition','DMO',214,'2005-11-14 21:16:45',12,''),(14990,'update','dmo_definition','DMO',213,'2005-11-14 21:16:47',12,''),(14991,'update','dmo_definition','DMO',212,'2005-11-14 21:16:48',12,''),(14992,'update','dmo_definition','DMO',211,'2005-11-14 21:16:50',12,''),(14993,'update','dmo_definition','DMO',210,'2005-11-14 21:16:51',12,''),(14994,'update','dmo_definition','DMO',209,'2005-11-14 21:16:53',12,''),(14995,'update','dmo_definition','DMO',219,'2005-11-14 21:16:55',12,''),(14996,'update','dmo_definition','DMO',218,'2005-11-14 21:16:57',12,''),(14997,'update','dmo_definition','DMO',217,'2005-11-14 21:16:58',12,''),(14998,'update','dmo_definition','DMO',216,'2005-11-14 21:17:00',12,''),(14999,'update','dmo_definition','DMO',215,'2005-11-14 21:17:02',12,''),(15000,'update','dmo_definition','DMO',208,'2005-11-14 21:17:03',12,''),(15001,'update','dmo_definition','DMO',207,'2005-11-14 21:17:05',12,''),(15002,'update','dmo_definition','DMO',205,'2005-11-14 21:17:07',12,''),(15003,'update','dmo_definition','DMO',204,'2005-11-14 21:17:08',12,''),(15004,'update','dmo_definition','DMO',233,'2005-11-15 08:09:53',12,''),(15005,'update','dmo_definition','DMO',228,'2005-11-15 08:09:53',12,''),(15006,'update','dmo_definition','DMO',231,'2005-11-15 08:09:53',12,''),(15007,'update','dmo_definition','DMO',230,'2005-11-15 08:09:53',12,''),(15008,'update','dmo_definition','DMO',229,'2005-11-15 08:09:53',12,''),(15009,'update','dmo_definition','DMO',227,'2005-11-15 08:09:53',12,''),(15010,'update','dmo_definition','DMO',226,'2005-11-15 08:09:53',12,''),(15011,'update','dmo_definition','DMO',225,'2005-11-15 08:09:53',12,''),(15012,'update','dmo_definition','DMO',224,'2005-11-15 08:09:53',12,''),(15013,'update','dmo_definition','DMO',222,'2005-11-15 08:09:53',12,''),(15014,'update','dmo_definition','DMO',221,'2005-11-15 08:09:53',12,''),(15015,'update','dmo_definition','DMO',220,'2005-11-15 08:09:53',12,''),(15016,'update','dmo_definition','DMO',214,'2005-11-15 08:09:53',12,''),(15017,'update','dmo_definition','DMO',213,'2005-11-15 08:09:53',12,''),(15018,'update','dmo_definition','DMO',212,'2005-11-15 08:09:53',12,''),(15019,'update','dmo_definition','DMO',211,'2005-11-15 08:09:54',12,''),(15020,'update','dmo_definition','DMO',210,'2005-11-15 08:09:54',12,''),(15021,'update','dmo_definition','DMO',209,'2005-11-15 08:09:54',12,''),(15022,'update','dmo_definition','DMO',219,'2005-11-15 08:09:54',12,''),(15023,'update','dmo_definition','DMO',218,'2005-11-15 08:09:54',12,''),(15024,'update','dmo_definition','DMO',217,'2005-11-15 08:09:54',12,''),(15025,'update','dmo_definition','DMO',216,'2005-11-15 08:09:54',12,''),(15026,'update','dmo_definition','DMO',215,'2005-11-15 08:09:54',12,''),(15027,'update','dmo_definition','DMO',208,'2005-11-15 08:09:54',12,''),(15028,'update','dmo_definition','DMO',207,'2005-11-15 08:09:54',12,''),(15029,'update','dmo_definition','DMO',205,'2005-11-15 08:09:54',12,''),(15030,'update','dmo_definition','DMO',204,'2005-11-15 08:09:54',12,''),(15031,'update','dmo_definition','DMO',203,'2005-11-15 08:09:54',12,''),(15032,'update','dmo_definition','DMO',199,'2005-11-15 08:09:54',12,''),(15033,'update','dmo_definition','DMO',198,'2005-11-15 08:09:54',12,''),(15034,'update','dmo_definition','DMO',197,'2005-11-15 08:09:54',12,''),(15035,'update','dmo_definition','DMO',196,'2005-11-15 08:09:54',12,''),(15036,'update','dmo_definition','DMO',195,'2005-11-15 08:09:54',12,''),(15037,'update','dmo_definition','DMO',194,'2005-11-15 08:09:54',12,''),(15038,'update','dmo_definition','DMO',193,'2005-11-15 08:09:54',12,''),(15039,'update','dmo_definition','DMO',192,'2005-11-15 08:09:54',12,''),(15040,'update','dmo_definition','DMO',191,'2005-11-15 08:09:54',12,''),(15041,'update','dmo_definition','DMO',190,'2005-11-15 08:09:54',12,''),(15042,'update','dmo_definition','DMO',189,'2005-11-15 08:09:54',12,''),(15043,'update','dmo_definition','DMO',188,'2005-11-15 08:09:54',12,''),(15044,'update','dmo_definition','DMO',200,'2005-11-15 08:09:54',12,''),(15045,'update','dmo_definition','DMO',187,'2005-11-15 08:09:54',12,''),(15046,'update','dmo_definition','DMO',202,'2005-11-15 08:09:54',12,''),(15047,'update','dmo_definition','DMO',201,'2005-11-15 08:09:54',12,''),(15048,'update','dmo_definition','DMO',186,'2005-11-15 08:09:54',12,''),(15049,'update','dmo_definition','DMO',185,'2005-11-15 08:09:54',12,''),(15050,'update','dmo_definition','DMO',184,'2005-11-15 08:09:54',12,''),(15051,'update','dmo_definition','DMO',183,'2005-11-15 08:09:54',12,''),(15052,'update','dmo_definition','DMO',182,'2005-11-15 08:09:54',12,''),(15053,'update','dmo_definition','DMO',174,'2005-11-15 08:09:54',12,''),(15054,'update','dmo_definition','DMO',173,'2005-11-15 08:09:54',12,''),(15055,'update','dmo_definition','DMO',172,'2005-11-15 08:09:54',12,''),(15056,'update','dmo_definition','DMO',171,'2005-11-15 08:09:54',12,''),(15057,'update','dmo_definition','DMO',170,'2005-11-15 08:09:54',12,''),(15058,'update','dmo_definition','DMO',169,'2005-11-15 08:09:54',12,''),(15059,'update','dmo_definition','DMO',168,'2005-11-15 08:09:54',12,''),(15060,'update','dmo_definition','DMO',167,'2005-11-15 08:09:54',12,''),(15061,'update','dmo_definition','DMO',166,'2005-11-15 08:09:54',12,''),(15062,'update','dmo_definition','DMO',165,'2005-11-15 08:09:54',12,''),(15063,'update','dmo_definition','DMO',164,'2005-11-15 08:09:54',12,''),(15064,'update','dmo_definition','DMO',163,'2005-11-15 08:09:54',12,''),(15065,'update','dmo_definition','DMO',162,'2005-11-15 08:09:54',12,''),(15066,'update','dmo_definition','DMO',161,'2005-11-15 08:09:54',12,''),(15067,'update','dmo_definition','DMO',160,'2005-11-15 08:09:54',12,''),(15068,'update','dmo_definition','DMO',159,'2005-11-15 08:09:54',12,''),(15069,'update','dmo_definition','DMO',158,'2005-11-15 08:09:54',12,''),(15070,'update','dmo_definition','DMO',157,'2005-11-15 08:09:54',12,''),(15071,'update','dmo_definition','DMO',156,'2005-11-15 08:09:54',12,''),(15072,'update','dmo_definition','DMO',155,'2005-11-15 08:09:54',12,''),(15073,'update','dmo_definition','DMO',154,'2005-11-15 08:09:54',12,''),(15074,'update','dmo_definition','DMO',153,'2005-11-15 08:09:54',12,''),(15075,'update','dmo_definition','DMO',152,'2005-11-15 08:09:54',12,''),(15076,'update','dmo_definition','DMO',151,'2005-11-15 08:09:54',12,''),(15077,'update','dmo_definition','DMO',150,'2005-11-15 08:09:54',12,''),(15078,'update','dmo_definition','DMO',137,'2005-11-15 08:09:54',12,''),(15079,'update','dmo_definition','DMO',149,'2005-11-15 08:09:54',12,''),(15080,'update','dmo_definition','DMO',148,'2005-11-15 08:09:54',12,''),(15081,'update','dmo_definition','DMO',147,'2005-11-15 08:09:54',12,''),(15082,'update','dmo_definition','DMO',146,'2005-11-15 08:09:54',12,''),(15083,'update','dmo_definition','DMO',145,'2005-11-15 08:09:54',12,''),(15084,'update','dmo_definition','DMO',144,'2005-11-15 08:09:54',12,''),(15085,'update','dmo_definition','DMO',143,'2005-11-15 08:09:54',12,''),(15086,'update','dmo_definition','DMO',142,'2005-11-15 08:09:54',12,''),(15087,'update','dmo_definition','DMO',141,'2005-11-15 08:09:54',12,''),(15088,'update','dmo_definition','DMO',139,'2005-11-15 08:09:54',12,''),(15089,'update','dmo_definition','DMO',138,'2005-11-15 08:09:54',12,''),(15090,'update','dmo_definition','DMO',136,'2005-11-15 08:09:54',12,''),(15091,'update','dmo_definition','DMO',135,'2005-11-15 08:09:54',12,''),(15092,'update','dmo_definition','DMO',7,'2005-11-15 08:09:54',12,''),(15093,'update','dmo_definition','DMO',206,'2005-11-15 08:09:54',12,''),(15094,'update','dmo_definition','DMO',87,'2005-11-15 08:09:54',12,''),(15095,'update','dmo_definition','DMO',86,'2005-11-15 08:09:54',12,''),(15096,'update','dmo_definition','DMO',85,'2005-11-15 08:09:54',12,''),(15097,'update','dmo_definition','DMO',102,'2005-11-15 08:09:54',12,''),(15098,'update','dmo_definition','DMO',84,'2005-11-15 08:09:54',12,''),(15099,'update','dmo_definition','DMO',83,'2005-11-15 08:09:54',12,''),(15100,'update','dmo_definition','DMO',110,'2005-11-15 08:09:54',12,''),(15101,'update','dmo_definition','DMO',109,'2005-11-15 08:09:54',12,''),(15102,'update','dmo_definition','DMO',108,'2005-11-15 08:09:54',12,''),(15103,'update','dmo_definition','DMO',82,'2005-11-15 08:09:54',12,''),(15104,'update','dmo_definition','DMO',81,'2005-11-15 08:09:54',12,''),(15105,'update','dmo_definition','DMO',80,'2005-11-15 08:09:54',12,''),(15106,'update','dmo_definition','DMO',79,'2005-11-15 08:09:54',12,''),(15107,'update','dmo_definition','DMO',78,'2005-11-15 08:09:54',12,''),(15108,'update','dmo_definition','DMO',77,'2005-11-15 08:09:54',12,''),(15109,'update','dmo_definition','DMO',5,'2005-11-15 08:09:55',12,''),(15110,'update','dmo_definition','DMO',124,'2005-11-15 08:09:55',12,''),(15111,'update','dmo_definition','DMO',100,'2005-11-15 08:09:55',12,''),(15112,'update','dmo_definition','DMO',99,'2005-11-15 08:09:55',12,''),(15113,'update','dmo_definition','DMO',76,'2005-11-15 08:09:55',12,''),(15114,'update','dmo_definition','DMO',75,'2005-11-15 08:09:55',12,''),(15115,'update','dmo_definition','DMO',73,'2005-11-15 08:09:55',12,''),(15116,'update','dmo_definition','DMO',72,'2005-11-15 08:09:55',12,''),(15117,'update','dmo_definition','DMO',4,'2005-11-15 08:09:55',12,''),(15118,'update','dmo_definition','DMO',175,'2005-11-15 08:09:55',12,''),(15119,'update','dmo_definition','DMO',107,'2005-11-15 08:09:55',12,''),(15120,'update','dmo_definition','DMO',111,'2005-11-15 08:09:55',12,''),(15121,'update','dmo_definition','DMO',101,'2005-11-15 08:09:55',12,''),(15122,'update','dmo_definition','DMO',61,'2005-11-15 08:09:55',12,''),(15123,'update','dmo_definition','DMO',60,'2005-11-15 08:09:55',12,''),(15124,'update','dmo_definition','DMO',59,'2005-11-15 08:09:55',12,''),(15125,'update','dmo_definition','DMO',58,'2005-11-15 08:09:55',12,''),(15126,'update','dmo_definition','DMO',57,'2005-11-15 08:09:55',12,''),(15127,'update','dmo_definition','DMO',71,'2005-11-15 08:09:55',12,''),(15128,'update','dmo_definition','DMO',70,'2005-11-15 08:09:55',12,''),(15129,'update','dmo_definition','DMO',69,'2005-11-15 08:09:55',12,''),(15130,'update','dmo_definition','DMO',53,'2005-11-15 08:09:55',12,''),(15131,'update','dmo_definition','DMO',68,'2005-11-15 08:09:55',12,''),(15132,'update','dmo_definition','DMO',67,'2005-11-15 08:09:55',12,''),(15133,'update','dmo_definition','DMO',66,'2005-11-15 08:09:55',12,''),(15134,'update','dmo_definition','DMO',65,'2005-11-15 08:09:55',12,''),(15135,'update','dmo_definition','DMO',52,'2005-11-15 08:09:55',12,''),(15136,'update','dmo_definition','DMO',64,'2005-11-15 08:09:55',12,''),(15137,'update','dmo_definition','DMO',63,'2005-11-15 08:09:55',12,''),(15138,'update','dmo_definition','DMO',62,'2005-11-15 08:09:55',12,''),(15139,'update','dmo_definition','DMO',51,'2005-11-15 08:09:55',12,''),(15140,'update','dmo_definition','DMO',50,'2005-11-15 08:09:55',12,''),(15141,'update','dmo_definition','DMO',56,'2005-11-15 08:09:55',12,''),(15142,'update','dmo_definition','DMO',55,'2005-11-15 08:09:55',12,''),(15143,'update','dmo_definition','DMO',54,'2005-11-15 08:09:55',12,''),(15144,'update','dmo_definition','DMO',49,'2005-11-15 08:09:55',12,''),(15145,'update','dmo_definition','DMO',3,'2005-11-15 08:09:55',12,''),(15146,'update','dmo_definition','DMO',130,'2005-11-15 08:09:55',12,''),(15147,'update','dmo_definition','DMO',123,'2005-11-15 08:09:55',12,''),(15148,'update','dmo_definition','DMO',25,'2005-11-15 08:09:55',12,''),(15149,'update','dmo_definition','DMO',133,'2005-11-15 08:09:55',12,''),(15150,'update','dmo_definition','DMO',24,'2005-11-15 08:09:55',12,''),(15151,'update','dmo_definition','DMO',23,'2005-11-15 08:09:55',12,''),(15152,'update','dmo_definition','DMO',22,'2005-11-15 08:09:55',12,''),(15153,'update','dmo_definition','DMO',16,'2005-11-15 08:09:55',12,''),(15154,'update','dmo_definition','DMO',97,'2005-11-15 08:09:55',12,''),(15155,'update','dmo_definition','DMO',21,'2005-11-15 08:09:55',12,''),(15156,'update','dmo_definition','DMO',20,'2005-11-15 08:09:55',12,''),(15157,'update','dmo_definition','DMO',19,'2005-11-15 08:09:55',12,''),(15158,'update','dmo_definition','DMO',18,'2005-11-15 08:09:55',12,''),(15159,'update','dmo_definition','DMO',17,'2005-11-15 08:09:55',12,''),(15160,'update','dmo_definition','DMO',15,'2005-11-15 08:09:55',12,''),(15161,'update','dmo_definition','DMO',9,'2005-11-15 08:09:55',12,''),(15162,'update','dmo_definition','DMO',112,'2005-11-15 08:09:55',12,''),(15163,'update','dmo_definition','DMO',103,'2005-11-15 08:09:55',12,''),(15164,'update','dmo_definition','DMO',14,'2005-11-15 08:09:55',12,''),(15165,'update','dmo_definition','DMO',180,'2005-11-15 08:09:55',12,''),(15166,'update','dmo_definition','DMO',179,'2005-11-15 08:09:55',12,''),(15167,'update','dmo_definition','DMO',177,'2005-11-15 08:09:55',12,''),(15168,'update','dmo_definition','DMO',178,'2005-11-15 08:09:55',12,''),(15169,'update','dmo_definition','DMO',132,'2005-11-15 08:09:55',12,''),(15170,'update','dmo_definition','DMO',131,'2005-11-15 08:09:55',12,''),(15171,'update','dmo_definition','DMO',45,'2005-11-15 08:09:55',12,''),(15172,'update','dmo_definition','DMO',44,'2005-11-15 08:09:55',12,''),(15173,'update','dmo_definition','DMO',43,'2005-11-15 08:09:55',12,''),(15174,'update','dmo_definition','DMO',42,'2005-11-15 08:09:55',12,''),(15175,'update','dmo_definition','DMO',41,'2005-11-15 08:09:55',12,''),(15176,'update','dmo_definition','DMO',40,'2005-11-15 08:09:55',12,''),(15177,'update','dmo_definition','DMO',39,'2005-11-15 08:09:55',12,''),(15178,'update','dmo_definition','DMO',13,'2005-11-15 08:09:55',12,''),(15179,'update','dmo_definition','DMO',38,'2005-11-15 08:09:55',12,''),(15180,'update','dmo_definition','DMO',36,'2005-11-15 08:09:55',12,''),(15181,'update','dmo_definition','DMO',35,'2005-11-15 08:09:55',12,''),(15182,'update','dmo_definition','DMO',34,'2005-11-15 08:09:55',12,''),(15183,'update','dmo_definition','DMO',33,'2005-11-15 08:09:55',12,''),(15184,'update','dmo_definition','DMO',12,'2005-11-15 08:09:55',12,''),(15185,'update','dmo_definition','DMO',37,'2005-11-15 08:09:55',12,''),(15186,'update','dmo_definition','DMO',32,'2005-11-15 08:09:55',12,''),(15187,'update','dmo_definition','DMO',31,'2005-11-15 08:09:55',12,''),(15188,'update','dmo_definition','DMO',30,'2005-11-15 08:09:55',12,''),(15189,'update','dmo_definition','DMO',29,'2005-11-15 08:09:55',12,''),(15190,'update','dmo_definition','DMO',11,'2005-11-15 08:09:55',12,''),(15191,'update','dmo_definition','DMO',28,'2005-11-15 08:09:55',12,''),(15192,'update','dmo_definition','DMO',27,'2005-11-15 08:09:55',12,''),(15193,'update','dmo_definition','DMO',26,'2005-11-15 08:09:55',12,''),(15194,'update','dmo_definition','DMO',10,'2005-11-15 08:09:55',12,''),(15195,'update','dmo_definition','DMO',8,'2005-11-15 08:09:55',12,''),(15196,'update','dmo_definition','DMO',176,'2005-11-15 08:09:55',12,''),(15197,'update','dmo_definition','DMO',134,'2005-11-15 08:09:55',12,''),(15198,'update','dmo_definition','DMO',122,'2005-11-15 08:09:55',12,''),(15199,'update','dmo_definition','DMO',121,'2005-11-15 08:09:55',12,''),(15200,'update','dmo_definition','DMO',120,'2005-11-15 08:09:56',12,''),(15201,'update','dmo_definition','DMO',119,'2005-11-15 08:09:56',12,''),(15202,'update','dmo_definition','DMO',118,'2005-11-15 08:09:56',12,''),(15203,'update','dmo_definition','DMO',117,'2005-11-15 08:09:56',12,''),(15204,'update','dmo_definition','DMO',116,'2005-11-15 08:09:56',12,''),(15205,'update','dmo_definition','DMO',115,'2005-11-15 08:09:56',12,''),(15206,'update','dmo_definition','DMO',114,'2005-11-15 08:09:56',12,''),(15207,'update','dmo_definition','DMO',113,'2005-11-15 08:09:56',12,''),(15208,'update','dmo_definition','DMO',105,'2005-11-15 08:09:56',12,''),(15209,'update','dmo_definition','DMO',125,'2005-11-15 08:09:56',12,''),(15210,'update','dmo_definition','DMO',98,'2005-11-15 08:09:56',12,''),(15211,'update','dmo_definition','DMO',96,'2005-11-15 08:09:56',12,''),(15212,'update','dmo_definition','DMO',95,'2005-11-15 08:09:56',12,''),(15213,'update','dmo_definition','DMO',94,'2005-11-15 08:09:56',12,''),(15214,'update','dmo_definition','DMO',93,'2005-11-15 08:09:56',12,''),(15215,'update','dmo_definition','DMO',92,'2005-11-15 08:09:56',12,''),(15216,'update','dmo_definition','DMO',91,'2005-11-15 08:09:56',12,''),(15217,'update','dmo_definition','DMO',90,'2005-11-15 08:09:56',12,''),(15218,'update','dmo_definition','DMO',89,'2005-11-15 08:09:56',12,''),(15219,'update','dmo_definition','DMO',88,'2005-11-15 08:09:56',12,''),(15220,'update','dmo_definition','DMO',127,'2005-11-15 08:09:56',12,''),(15221,'update','dmo_definition','DMO',6,'2005-11-15 08:09:56',12,''),(15222,'update','dmo_definition','DMO',2,'2005-11-15 08:09:56',12,''),(15223,'update','dmo_definition','DMO',1,'2005-11-15 08:09:56',12,''),(15224,'update','dmo_definition','DMO',39,'2005-11-15 08:13:53',12,''),(15225,'insert','dmo_instance','DMO',156201,'2005-11-15 08:13:53',12,''),(15226,'insert','dmo_instattr','DMO',24833,'2005-11-15 08:13:56',12,''),(15227,'insert','dmo_instattr_history','DMO',12696,'2005-11-15 08:13:56',12,''),(15228,'update','dmo_instance','DMO',156201,'2005-11-15 08:14:18',12,''),(15229,'update','dmo_instance','DMO',156200,'2005-11-15 08:14:18',12,''),(15230,'insert','dmo_definition','DMO',234,'2005-11-17 20:37:36',12,''),(15231,'update','dmo_definition','DMO',1,'2005-11-17 20:37:36',12,''),(15232,'insert','dmo_attribute','DMO',122,'2005-11-17 20:38:44',12,''),(15233,'update','dmo_attribute','DMO',111,'2005-11-17 20:39:13',12,''),(15234,'update','dmo_attribute','DMO',122,'2005-11-17 20:39:13',12,''),(15235,'update','dmo_definition','DMO',234,'2005-11-17 20:40:11',12,''),(15236,'insert','dmo_instance','DMO',156202,'2005-11-17 20:40:11',12,''),(15237,'update','dmo_definition','DMO',234,'2005-11-17 20:41:51',12,''),(15238,'insert','dmo_instance','DMO',156203,'2005-11-17 20:41:51',12,''),(15239,'update','dmo_definition','DMO',225,'2005-11-17 20:43:49',12,''),(15240,'insert','dmo_instance','DMO',156204,'2005-11-17 20:43:49',12,''),(15241,'insert','dmo_instattr','DMO',24834,'2005-11-17 20:44:24',12,''),(15242,'insert','dmo_instattr_history','DMO',12697,'2005-11-17 20:44:24',12,''),(15243,'insert','dmo_instattr','DMO',24835,'2005-11-17 20:44:24',12,''),(15244,'insert','dmo_instattr_history','DMO',12698,'2005-11-17 20:44:24',12,''),(15245,'insert','dmo_instattr','DMO',24836,'2005-11-17 20:44:24',12,''),(15246,'insert','dmo_instattr_history','DMO',12699,'2005-11-17 20:44:24',12,''),(15247,'delete','dmo_attribute','DMO',105,'2005-11-17 20:50:54',12,''),(15248,'update','dmo_definition','DMO',233,'2005-11-17 20:51:22',12,''),(15249,'update','dmo_definition','DMO',228,'2005-11-17 20:51:22',12,''),(15250,'update','dmo_definition','DMO',231,'2005-11-17 20:51:22',12,''),(15251,'update','dmo_definition','DMO',230,'2005-11-17 20:51:22',12,''),(15252,'update','dmo_definition','DMO',229,'2005-11-17 20:51:22',12,''),(15253,'update','dmo_definition','DMO',227,'2005-11-17 20:51:22',12,''),(15254,'update','dmo_definition','DMO',226,'2005-11-17 20:51:22',12,''),(15255,'update','dmo_definition','DMO',225,'2005-11-17 20:51:22',12,''),(15256,'update','dmo_definition','DMO',224,'2005-11-17 20:51:22',12,''),(15257,'update','dmo_definition','DMO',222,'2005-11-17 20:51:22',12,''),(15258,'update','dmo_definition','DMO',221,'2005-11-17 20:51:22',12,''),(15259,'update','dmo_definition','DMO',220,'2005-11-17 20:51:22',12,''),(15260,'update','dmo_definition','DMO',214,'2005-11-17 20:51:22',12,''),(15261,'update','dmo_definition','DMO',213,'2005-11-17 20:51:22',12,''),(15262,'update','dmo_definition','DMO',212,'2005-11-17 20:51:22',12,''),(15263,'update','dmo_definition','DMO',211,'2005-11-17 20:51:22',12,''),(15264,'update','dmo_definition','DMO',210,'2005-11-17 20:51:22',12,''),(15265,'update','dmo_definition','DMO',209,'2005-11-17 20:51:22',12,''),(15266,'update','dmo_definition','DMO',219,'2005-11-17 20:51:22',12,''),(15267,'update','dmo_definition','DMO',218,'2005-11-17 20:51:22',12,''),(15268,'update','dmo_definition','DMO',217,'2005-11-17 20:51:22',12,''),(15269,'update','dmo_definition','DMO',216,'2005-11-17 20:51:22',12,''),(15270,'update','dmo_definition','DMO',215,'2005-11-17 20:51:22',12,''),(15271,'update','dmo_definition','DMO',208,'2005-11-17 20:51:22',12,''),(15272,'update','dmo_definition','DMO',207,'2005-11-17 20:51:22',12,''),(15273,'update','dmo_definition','DMO',234,'2005-11-17 20:51:23',12,''),(15274,'update','dmo_definition','DMO',205,'2005-11-17 20:51:23',12,''),(15275,'update','dmo_definition','DMO',204,'2005-11-17 20:51:23',12,''),(15276,'update','dmo_definition','DMO',203,'2005-11-17 20:51:23',12,''),(15277,'update','dmo_definition','DMO',199,'2005-11-17 20:51:23',12,''),(15278,'update','dmo_definition','DMO',198,'2005-11-17 20:51:23',12,''),(15279,'update','dmo_definition','DMO',197,'2005-11-17 20:51:23',12,''),(15280,'update','dmo_definition','DMO',196,'2005-11-17 20:51:23',12,''),(15281,'update','dmo_definition','DMO',195,'2005-11-17 20:51:23',12,''),(15282,'update','dmo_definition','DMO',194,'2005-11-17 20:51:23',12,''),(15283,'update','dmo_definition','DMO',193,'2005-11-17 20:51:23',12,''),(15284,'update','dmo_definition','DMO',192,'2005-11-17 20:51:23',12,''),(15285,'update','dmo_definition','DMO',191,'2005-11-17 20:51:23',12,''),(15286,'update','dmo_definition','DMO',190,'2005-11-17 20:51:23',12,''),(15287,'update','dmo_definition','DMO',189,'2005-11-17 20:51:23',12,''),(15288,'update','dmo_definition','DMO',188,'2005-11-17 20:51:23',12,''),(15289,'update','dmo_definition','DMO',200,'2005-11-17 20:51:23',12,''),(15290,'update','dmo_definition','DMO',187,'2005-11-17 20:51:23',12,''),(15291,'update','dmo_definition','DMO',202,'2005-11-17 20:51:23',12,''),(15292,'update','dmo_definition','DMO',201,'2005-11-17 20:51:23',12,''),(15293,'update','dmo_definition','DMO',186,'2005-11-17 20:51:23',12,''),(15294,'update','dmo_definition','DMO',185,'2005-11-17 20:51:23',12,''),(15295,'update','dmo_definition','DMO',184,'2005-11-17 20:51:23',12,''),(15296,'update','dmo_definition','DMO',183,'2005-11-17 20:51:23',12,''),(15297,'update','dmo_definition','DMO',182,'2005-11-17 20:51:23',12,''),(15298,'update','dmo_definition','DMO',174,'2005-11-17 20:51:23',12,''),(15299,'update','dmo_definition','DMO',173,'2005-11-17 20:51:23',12,''),(15300,'update','dmo_definition','DMO',172,'2005-11-17 20:51:23',12,''),(15301,'update','dmo_definition','DMO',171,'2005-11-17 20:51:23',12,''),(15302,'update','dmo_definition','DMO',170,'2005-11-17 20:51:23',12,''),(15303,'update','dmo_definition','DMO',169,'2005-11-17 20:51:23',12,''),(15304,'update','dmo_definition','DMO',168,'2005-11-17 20:51:23',12,''),(15305,'update','dmo_definition','DMO',167,'2005-11-17 20:51:23',12,''),(15306,'update','dmo_definition','DMO',166,'2005-11-17 20:51:23',12,''),(15307,'update','dmo_definition','DMO',165,'2005-11-17 20:51:23',12,''),(15308,'update','dmo_definition','DMO',164,'2005-11-17 20:51:23',12,''),(15309,'update','dmo_definition','DMO',163,'2005-11-17 20:51:23',12,''),(15310,'update','dmo_definition','DMO',162,'2005-11-17 20:51:23',12,''),(15311,'update','dmo_definition','DMO',161,'2005-11-17 20:51:23',12,''),(15312,'update','dmo_definition','DMO',160,'2005-11-17 20:51:23',12,''),(15313,'update','dmo_definition','DMO',159,'2005-11-17 20:51:23',12,''),(15314,'update','dmo_definition','DMO',158,'2005-11-17 20:51:23',12,''),(15315,'update','dmo_definition','DMO',157,'2005-11-17 20:51:23',12,''),(15316,'update','dmo_definition','DMO',156,'2005-11-17 20:51:23',12,''),(15317,'update','dmo_definition','DMO',155,'2005-11-17 20:51:23',12,''),(15318,'update','dmo_definition','DMO',154,'2005-11-17 20:51:23',12,''),(15319,'update','dmo_definition','DMO',153,'2005-11-17 20:51:23',12,''),(15320,'update','dmo_definition','DMO',152,'2005-11-17 20:51:23',12,''),(15321,'update','dmo_definition','DMO',151,'2005-11-17 20:51:23',12,''),(15322,'update','dmo_definition','DMO',150,'2005-11-17 20:51:23',12,''),(15323,'update','dmo_definition','DMO',137,'2005-11-17 20:51:23',12,''),(15324,'update','dmo_definition','DMO',149,'2005-11-17 20:51:23',12,''),(15325,'update','dmo_definition','DMO',148,'2005-11-17 20:51:23',12,''),(15326,'update','dmo_definition','DMO',147,'2005-11-17 20:51:23',12,''),(15327,'update','dmo_definition','DMO',146,'2005-11-17 20:51:23',12,''),(15328,'update','dmo_definition','DMO',145,'2005-11-17 20:51:23',12,''),(15329,'update','dmo_definition','DMO',144,'2005-11-17 20:51:23',12,''),(15330,'update','dmo_definition','DMO',143,'2005-11-17 20:51:23',12,''),(15331,'update','dmo_definition','DMO',142,'2005-11-17 20:51:23',12,''),(15332,'update','dmo_definition','DMO',141,'2005-11-17 20:51:23',12,''),(15333,'update','dmo_definition','DMO',139,'2005-11-17 20:51:23',12,''),(15334,'update','dmo_definition','DMO',138,'2005-11-17 20:51:23',12,''),(15335,'update','dmo_definition','DMO',136,'2005-11-17 20:51:23',12,''),(15336,'update','dmo_definition','DMO',135,'2005-11-17 20:51:23',12,''),(15337,'update','dmo_definition','DMO',7,'2005-11-17 20:51:23',12,''),(15338,'update','dmo_definition','DMO',206,'2005-11-17 20:51:23',12,''),(15339,'update','dmo_definition','DMO',87,'2005-11-17 20:51:23',12,''),(15340,'update','dmo_definition','DMO',86,'2005-11-17 20:51:23',12,''),(15341,'update','dmo_definition','DMO',85,'2005-11-17 20:51:23',12,''),(15342,'update','dmo_definition','DMO',102,'2005-11-17 20:51:23',12,''),(15343,'update','dmo_definition','DMO',84,'2005-11-17 20:51:23',12,''),(15344,'update','dmo_definition','DMO',83,'2005-11-17 20:51:23',12,''),(15345,'update','dmo_definition','DMO',110,'2005-11-17 20:51:23',12,''),(15346,'update','dmo_definition','DMO',109,'2005-11-17 20:51:23',12,''),(15347,'update','dmo_definition','DMO',108,'2005-11-17 20:51:23',12,''),(15348,'update','dmo_definition','DMO',82,'2005-11-17 20:51:23',12,''),(15349,'update','dmo_definition','DMO',81,'2005-11-17 20:51:23',12,''),(15350,'update','dmo_definition','DMO',80,'2005-11-17 20:51:23',12,''),(15351,'update','dmo_definition','DMO',79,'2005-11-17 20:51:23',12,''),(15352,'update','dmo_definition','DMO',78,'2005-11-17 20:51:23',12,''),(15353,'update','dmo_definition','DMO',77,'2005-11-17 20:51:23',12,''),(15354,'update','dmo_definition','DMO',5,'2005-11-17 20:51:23',12,''),(15355,'update','dmo_definition','DMO',124,'2005-11-17 20:51:23',12,''),(15356,'update','dmo_definition','DMO',100,'2005-11-17 20:51:23',12,''),(15357,'update','dmo_definition','DMO',99,'2005-11-17 20:51:23',12,''),(15358,'update','dmo_definition','DMO',76,'2005-11-17 20:51:23',12,''),(15359,'update','dmo_definition','DMO',75,'2005-11-17 20:51:23',12,''),(15360,'update','dmo_definition','DMO',73,'2005-11-17 20:51:23',12,''),(15361,'update','dmo_definition','DMO',72,'2005-11-17 20:51:23',12,''),(15362,'update','dmo_definition','DMO',4,'2005-11-17 20:51:23',12,''),(15363,'update','dmo_definition','DMO',175,'2005-11-17 20:51:23',12,''),(15364,'update','dmo_definition','DMO',107,'2005-11-17 20:51:23',12,''),(15365,'update','dmo_definition','DMO',111,'2005-11-17 20:51:23',12,''),(15366,'update','dmo_definition','DMO',101,'2005-11-17 20:51:23',12,''),(15367,'update','dmo_definition','DMO',61,'2005-11-17 20:51:23',12,''),(15368,'update','dmo_definition','DMO',60,'2005-11-17 20:51:23',12,''),(15369,'update','dmo_definition','DMO',59,'2005-11-17 20:51:23',12,''),(15370,'update','dmo_definition','DMO',58,'2005-11-17 20:51:23',12,''),(15371,'update','dmo_definition','DMO',57,'2005-11-17 20:51:23',12,''),(15372,'update','dmo_definition','DMO',71,'2005-11-17 20:51:23',12,''),(15373,'update','dmo_definition','DMO',70,'2005-11-17 20:51:23',12,''),(15374,'update','dmo_definition','DMO',69,'2005-11-17 20:51:23',12,''),(15375,'update','dmo_definition','DMO',53,'2005-11-17 20:51:23',12,''),(15376,'update','dmo_definition','DMO',68,'2005-11-17 20:51:23',12,''),(15377,'update','dmo_definition','DMO',67,'2005-11-17 20:51:23',12,''),(15378,'update','dmo_definition','DMO',66,'2005-11-17 20:51:23',12,''),(15379,'update','dmo_definition','DMO',65,'2005-11-17 20:51:23',12,''),(15380,'update','dmo_definition','DMO',52,'2005-11-17 20:51:23',12,''),(15381,'update','dmo_definition','DMO',64,'2005-11-17 20:51:23',12,''),(15382,'update','dmo_definition','DMO',63,'2005-11-17 20:51:23',12,''),(15383,'update','dmo_definition','DMO',62,'2005-11-17 20:51:23',12,''),(15384,'update','dmo_definition','DMO',51,'2005-11-17 20:51:23',12,''),(15385,'update','dmo_definition','DMO',50,'2005-11-17 20:51:23',12,''),(15386,'update','dmo_definition','DMO',56,'2005-11-17 20:51:23',12,''),(15387,'update','dmo_definition','DMO',55,'2005-11-17 20:51:23',12,''),(15388,'update','dmo_definition','DMO',54,'2005-11-17 20:51:23',12,''),(15389,'update','dmo_definition','DMO',49,'2005-11-17 20:51:23',12,''),(15390,'update','dmo_definition','DMO',3,'2005-11-17 20:51:23',12,''),(15391,'update','dmo_definition','DMO',130,'2005-11-17 20:51:23',12,''),(15392,'update','dmo_definition','DMO',123,'2005-11-17 20:51:24',12,''),(15393,'update','dmo_definition','DMO',25,'2005-11-17 20:51:24',12,''),(15394,'update','dmo_definition','DMO',133,'2005-11-17 20:51:24',12,''),(15395,'update','dmo_definition','DMO',24,'2005-11-17 20:51:24',12,''),(15396,'update','dmo_definition','DMO',23,'2005-11-17 20:51:24',12,''),(15397,'update','dmo_definition','DMO',22,'2005-11-17 20:51:24',12,''),(15398,'update','dmo_definition','DMO',16,'2005-11-17 20:51:24',12,''),(15399,'update','dmo_definition','DMO',97,'2005-11-17 20:51:24',12,''),(15400,'update','dmo_definition','DMO',21,'2005-11-17 20:51:24',12,''),(15401,'update','dmo_definition','DMO',20,'2005-11-17 20:51:24',12,''),(15402,'update','dmo_definition','DMO',19,'2005-11-17 20:51:24',12,''),(15403,'update','dmo_definition','DMO',18,'2005-11-17 20:51:24',12,''),(15404,'update','dmo_definition','DMO',17,'2005-11-17 20:51:24',12,''),(15405,'update','dmo_definition','DMO',15,'2005-11-17 20:51:24',12,''),(15406,'update','dmo_definition','DMO',9,'2005-11-17 20:51:24',12,''),(15407,'update','dmo_definition','DMO',112,'2005-11-17 20:51:24',12,''),(15408,'update','dmo_definition','DMO',103,'2005-11-17 20:51:24',12,''),(15409,'update','dmo_definition','DMO',14,'2005-11-17 20:51:24',12,''),(15410,'update','dmo_definition','DMO',180,'2005-11-17 20:51:24',12,''),(15411,'update','dmo_definition','DMO',179,'2005-11-17 20:51:24',12,''),(15412,'update','dmo_definition','DMO',177,'2005-11-17 20:51:24',12,''),(15413,'update','dmo_definition','DMO',178,'2005-11-17 20:51:24',12,''),(15414,'update','dmo_definition','DMO',132,'2005-11-17 20:51:24',12,''),(15415,'update','dmo_definition','DMO',131,'2005-11-17 20:51:24',12,''),(15416,'update','dmo_definition','DMO',45,'2005-11-17 20:51:24',12,''),(15417,'update','dmo_definition','DMO',44,'2005-11-17 20:51:24',12,''),(15418,'update','dmo_definition','DMO',43,'2005-11-17 20:51:24',12,''),(15419,'update','dmo_definition','DMO',42,'2005-11-17 20:51:24',12,''),(15420,'update','dmo_definition','DMO',41,'2005-11-17 20:51:24',12,''),(15421,'update','dmo_definition','DMO',40,'2005-11-17 20:51:24',12,''),(15422,'update','dmo_definition','DMO',39,'2005-11-17 20:51:24',12,''),(15423,'update','dmo_definition','DMO',13,'2005-11-17 20:51:24',12,''),(15424,'update','dmo_definition','DMO',38,'2005-11-17 20:51:24',12,''),(15425,'update','dmo_definition','DMO',36,'2005-11-17 20:51:24',12,''),(15426,'update','dmo_definition','DMO',35,'2005-11-17 20:51:24',12,''),(15427,'update','dmo_definition','DMO',34,'2005-11-17 20:51:24',12,''),(15428,'update','dmo_definition','DMO',33,'2005-11-17 20:51:24',12,''),(15429,'update','dmo_definition','DMO',12,'2005-11-17 20:51:24',12,''),(15430,'update','dmo_definition','DMO',37,'2005-11-17 20:51:24',12,''),(15431,'update','dmo_definition','DMO',32,'2005-11-17 20:51:24',12,''),(15432,'update','dmo_definition','DMO',31,'2005-11-17 20:51:24',12,''),(15433,'update','dmo_definition','DMO',30,'2005-11-17 20:51:24',12,''),(15434,'update','dmo_definition','DMO',29,'2005-11-17 20:51:24',12,''),(15435,'update','dmo_definition','DMO',11,'2005-11-17 20:51:24',12,''),(15436,'update','dmo_definition','DMO',28,'2005-11-17 20:51:24',12,''),(15437,'update','dmo_definition','DMO',27,'2005-11-17 20:51:24',12,''),(15438,'update','dmo_definition','DMO',26,'2005-11-17 20:51:24',12,''),(15439,'update','dmo_definition','DMO',10,'2005-11-17 20:51:24',12,''),(15440,'update','dmo_definition','DMO',8,'2005-11-17 20:51:24',12,''),(15441,'update','dmo_definition','DMO',176,'2005-11-17 20:51:24',12,''),(15442,'update','dmo_definition','DMO',134,'2005-11-17 20:51:24',12,''),(15443,'update','dmo_definition','DMO',122,'2005-11-17 20:51:24',12,''),(15444,'update','dmo_definition','DMO',121,'2005-11-17 20:51:24',12,''),(15445,'update','dmo_definition','DMO',120,'2005-11-17 20:51:24',12,''),(15446,'update','dmo_definition','DMO',119,'2005-11-17 20:51:24',12,''),(15447,'update','dmo_definition','DMO',118,'2005-11-17 20:51:24',12,''),(15448,'update','dmo_definition','DMO',117,'2005-11-17 20:51:24',12,''),(15449,'update','dmo_definition','DMO',116,'2005-11-17 20:51:24',12,''),(15450,'update','dmo_definition','DMO',115,'2005-11-17 20:51:24',12,''),(15451,'update','dmo_definition','DMO',114,'2005-11-17 20:51:24',12,''),(15452,'update','dmo_definition','DMO',113,'2005-11-17 20:51:24',12,''),(15453,'update','dmo_definition','DMO',105,'2005-11-17 20:51:24',12,''),(15454,'update','dmo_definition','DMO',125,'2005-11-17 20:51:24',12,''),(15455,'update','dmo_definition','DMO',98,'2005-11-17 20:51:24',12,''),(15456,'update','dmo_definition','DMO',96,'2005-11-17 20:51:24',12,''),(15457,'update','dmo_definition','DMO',95,'2005-11-17 20:51:24',12,''),(15458,'update','dmo_definition','DMO',94,'2005-11-17 20:51:24',12,''),(15459,'update','dmo_definition','DMO',93,'2005-11-17 20:51:24',12,''),(15460,'update','dmo_definition','DMO',92,'2005-11-17 20:51:24',12,''),(15461,'update','dmo_definition','DMO',91,'2005-11-17 20:51:24',12,''),(15462,'update','dmo_definition','DMO',90,'2005-11-17 20:51:24',12,''),(15463,'update','dmo_definition','DMO',89,'2005-11-17 20:51:24',12,''),(15464,'update','dmo_definition','DMO',88,'2005-11-17 20:51:24',12,''),(15465,'update','dmo_definition','DMO',127,'2005-11-17 20:51:24',12,''),(15466,'update','dmo_definition','DMO',6,'2005-11-17 20:51:24',12,''),(15467,'update','dmo_definition','DMO',2,'2005-11-17 20:51:24',12,''),(15468,'update','dmo_definition','DMO',1,'2005-11-17 20:51:24',12,''),(15469,'update','dmo_instance','DMO',156204,'2005-11-17 20:59:41',12,''),(15470,'update','lfx_user','LFX',6,'2005-11-18 19:56:52',12,''),(15471,'insert','dmo_nodesearch','DMO',1657,'2005-11-18 20:21:58',6,''),(15472,'insert','dmo_nodesearch','DMO',1658,'2005-11-18 20:21:58',6,''),(15473,'insert','dmo_nodesearch','DMO',1659,'2005-11-18 20:21:59',6,''),(15474,'insert','dmo_instattr','DMO',24837,'2005-11-18 21:17:47',12,''),(15475,'insert','dmo_instattr_history','DMO',12700,'2005-11-18 21:17:47',12,''),(15476,'insert','dmo_instattr','DMO',24838,'2005-11-18 21:17:47',12,''),(15477,'insert','dmo_instattr_history','DMO',12701,'2005-11-18 21:17:47',12,''),(15478,'insert','dmo_instattr','DMO',24839,'2005-11-18 21:17:47',12,''),(15479,'insert','dmo_instattr_history','DMO',12702,'2005-11-18 21:17:47',12,''),(15480,'insert','dmo_instattr','DMO',24840,'2005-11-18 21:17:47',12,''),(15481,'insert','dmo_instattr_history','DMO',12703,'2005-11-18 21:17:47',12,''),(15482,'insert','dmo_instattr','DMO',24841,'2005-11-18 21:17:47',12,''),(15483,'insert','dmo_instattr_history','DMO',12704,'2005-11-18 21:17:47',12,''),(15484,'update','dmo_definition','DMO',233,'2005-11-18 22:10:32',12,''),(15485,'update','dmo_definition','DMO',228,'2005-11-18 22:10:32',12,''),(15486,'update','dmo_definition','DMO',231,'2005-11-18 22:10:32',12,''),(15487,'update','dmo_definition','DMO',230,'2005-11-18 22:10:32',12,''),(15488,'update','dmo_definition','DMO',229,'2005-11-18 22:10:32',12,''),(15489,'update','dmo_definition','DMO',227,'2005-11-18 22:10:32',12,''),(15490,'update','dmo_definition','DMO',226,'2005-11-18 22:10:32',12,''),(15491,'update','dmo_definition','DMO',225,'2005-11-18 22:10:32',12,''),(15492,'update','dmo_definition','DMO',224,'2005-11-18 22:10:32',12,''),(15493,'update','dmo_definition','DMO',222,'2005-11-18 22:10:32',12,''),(15494,'update','dmo_definition','DMO',221,'2005-11-18 22:10:32',12,''),(15495,'update','dmo_definition','DMO',220,'2005-11-18 22:10:32',12,''),(15496,'update','dmo_definition','DMO',214,'2005-11-18 22:10:32',12,''),(15497,'update','dmo_definition','DMO',213,'2005-11-18 22:10:32',12,''),(15498,'update','dmo_definition','DMO',212,'2005-11-18 22:10:33',12,''),(15499,'update','dmo_definition','DMO',211,'2005-11-18 22:10:33',12,''),(15500,'update','dmo_definition','DMO',210,'2005-11-18 22:10:33',12,''),(15501,'update','dmo_definition','DMO',209,'2005-11-18 22:10:33',12,''),(15502,'update','dmo_definition','DMO',219,'2005-11-18 22:10:33',12,''),(15503,'update','dmo_definition','DMO',218,'2005-11-18 22:10:33',12,''),(15504,'update','dmo_definition','DMO',217,'2005-11-18 22:10:33',12,''),(15505,'update','dmo_definition','DMO',216,'2005-11-18 22:10:33',12,''),(15506,'update','dmo_definition','DMO',215,'2005-11-18 22:10:33',12,''),(15507,'update','dmo_definition','DMO',208,'2005-11-18 22:10:33',12,''),(15508,'update','dmo_definition','DMO',207,'2005-11-18 22:10:33',12,''),(15509,'update','dmo_definition','DMO',234,'2005-11-18 22:10:33',12,''),(15510,'update','dmo_definition','DMO',205,'2005-11-18 22:10:33',12,''),(15511,'update','dmo_definition','DMO',204,'2005-11-18 22:10:33',12,''),(15512,'update','dmo_definition','DMO',203,'2005-11-18 22:10:33',12,''),(15513,'update','dmo_definition','DMO',199,'2005-11-18 22:10:33',12,''),(15514,'update','dmo_definition','DMO',198,'2005-11-18 22:10:33',12,''),(15515,'update','dmo_definition','DMO',197,'2005-11-18 22:10:33',12,''),(15516,'update','dmo_definition','DMO',196,'2005-11-18 22:10:33',12,''),(15517,'update','dmo_definition','DMO',195,'2005-11-18 22:10:33',12,''),(15518,'update','dmo_definition','DMO',194,'2005-11-18 22:10:33',12,''),(15519,'update','dmo_definition','DMO',193,'2005-11-18 22:10:33',12,''),(15520,'update','dmo_definition','DMO',192,'2005-11-18 22:10:33',12,''),(15521,'update','dmo_definition','DMO',191,'2005-11-18 22:10:33',12,''),(15522,'update','dmo_definition','DMO',190,'2005-11-18 22:10:33',12,''),(15523,'update','dmo_definition','DMO',189,'2005-11-18 22:10:33',12,''),(15524,'update','dmo_definition','DMO',188,'2005-11-18 22:10:33',12,''),(15525,'update','dmo_definition','DMO',200,'2005-11-18 22:10:33',12,''),(15526,'update','dmo_definition','DMO',187,'2005-11-18 22:10:33',12,''),(15527,'update','dmo_definition','DMO',202,'2005-11-18 22:10:33',12,''),(15528,'update','dmo_definition','DMO',201,'2005-11-18 22:10:33',12,''),(15529,'update','dmo_definition','DMO',186,'2005-11-18 22:10:33',12,''),(15530,'update','dmo_definition','DMO',185,'2005-11-18 22:10:33',12,''),(15531,'update','dmo_definition','DMO',184,'2005-11-18 22:10:33',12,''),(15532,'update','dmo_definition','DMO',183,'2005-11-18 22:10:33',12,''),(15533,'update','dmo_definition','DMO',182,'2005-11-18 22:10:33',12,''),(15534,'update','dmo_definition','DMO',174,'2005-11-18 22:10:33',12,''),(15535,'update','dmo_definition','DMO',173,'2005-11-18 22:10:33',12,''),(15536,'update','dmo_definition','DMO',172,'2005-11-18 22:10:33',12,''),(15537,'update','dmo_definition','DMO',171,'2005-11-18 22:10:33',12,''),(15538,'update','dmo_definition','DMO',170,'2005-11-18 22:10:33',12,''),(15539,'update','dmo_definition','DMO',169,'2005-11-18 22:10:33',12,''),(15540,'update','dmo_definition','DMO',168,'2005-11-18 22:10:33',12,''),(15541,'update','dmo_definition','DMO',167,'2005-11-18 22:10:33',12,''),(15542,'update','dmo_definition','DMO',166,'2005-11-18 22:10:33',12,''),(15543,'update','dmo_definition','DMO',165,'2005-11-18 22:10:33',12,''),(15544,'update','dmo_definition','DMO',164,'2005-11-18 22:10:33',12,''),(15545,'update','dmo_definition','DMO',163,'2005-11-18 22:10:33',12,''),(15546,'update','dmo_definition','DMO',162,'2005-11-18 22:10:33',12,''),(15547,'update','dmo_definition','DMO',161,'2005-11-18 22:10:33',12,''),(15548,'update','dmo_definition','DMO',160,'2005-11-18 22:10:33',12,''),(15549,'update','dmo_definition','DMO',159,'2005-11-18 22:10:33',12,''),(15550,'update','dmo_definition','DMO',158,'2005-11-18 22:10:33',12,''),(15551,'update','dmo_definition','DMO',157,'2005-11-18 22:10:33',12,''),(15552,'update','dmo_definition','DMO',156,'2005-11-18 22:10:33',12,''),(15553,'update','dmo_definition','DMO',155,'2005-11-18 22:10:33',12,''),(15554,'update','dmo_definition','DMO',154,'2005-11-18 22:10:33',12,''),(15555,'update','dmo_definition','DMO',153,'2005-11-18 22:10:33',12,''),(15556,'update','dmo_definition','DMO',152,'2005-11-18 22:10:33',12,''),(15557,'update','dmo_definition','DMO',151,'2005-11-18 22:10:33',12,''),(15558,'update','dmo_definition','DMO',150,'2005-11-18 22:10:33',12,''),(15559,'update','dmo_definition','DMO',137,'2005-11-18 22:10:33',12,''),(15560,'update','dmo_definition','DMO',149,'2005-11-18 22:10:33',12,''),(15561,'update','dmo_definition','DMO',148,'2005-11-18 22:10:33',12,''),(15562,'update','dmo_definition','DMO',147,'2005-11-18 22:10:33',12,''),(15563,'update','dmo_definition','DMO',146,'2005-11-18 22:10:33',12,''),(15564,'update','dmo_definition','DMO',145,'2005-11-18 22:10:33',12,''),(15565,'update','dmo_definition','DMO',144,'2005-11-18 22:10:33',12,''),(15566,'update','dmo_definition','DMO',143,'2005-11-18 22:10:33',12,''),(15567,'update','dmo_definition','DMO',142,'2005-11-18 22:10:33',12,''),(15568,'update','dmo_definition','DMO',141,'2005-11-18 22:10:33',12,''),(15569,'update','dmo_definition','DMO',139,'2005-11-18 22:10:33',12,''),(15570,'update','dmo_definition','DMO',138,'2005-11-18 22:10:33',12,''),(15571,'update','dmo_definition','DMO',136,'2005-11-18 22:10:33',12,''),(15572,'update','dmo_definition','DMO',135,'2005-11-18 22:10:33',12,''),(15573,'update','dmo_definition','DMO',7,'2005-11-18 22:10:33',12,''),(15574,'update','dmo_definition','DMO',206,'2005-11-18 22:10:33',12,''),(15575,'update','dmo_definition','DMO',87,'2005-11-18 22:10:33',12,''),(15576,'update','dmo_definition','DMO',86,'2005-11-18 22:10:33',12,''),(15577,'update','dmo_definition','DMO',85,'2005-11-18 22:10:33',12,''),(15578,'update','dmo_definition','DMO',102,'2005-11-18 22:10:33',12,''),(15579,'update','dmo_definition','DMO',84,'2005-11-18 22:10:33',12,''),(15580,'update','dmo_definition','DMO',83,'2005-11-18 22:10:33',12,''),(15581,'update','dmo_definition','DMO',110,'2005-11-18 22:10:34',12,''),(15582,'update','dmo_definition','DMO',109,'2005-11-18 22:10:34',12,''),(15583,'update','dmo_definition','DMO',108,'2005-11-18 22:10:34',12,''),(15584,'update','dmo_definition','DMO',82,'2005-11-18 22:10:34',12,''),(15585,'update','dmo_definition','DMO',81,'2005-11-18 22:10:34',12,''),(15586,'update','dmo_definition','DMO',80,'2005-11-18 22:10:34',12,''),(15587,'update','dmo_definition','DMO',79,'2005-11-18 22:10:34',12,''),(15588,'update','dmo_definition','DMO',78,'2005-11-18 22:10:34',12,''),(15589,'update','dmo_definition','DMO',77,'2005-11-18 22:10:34',12,''),(15590,'update','dmo_definition','DMO',5,'2005-11-18 22:10:34',12,''),(15591,'update','dmo_definition','DMO',124,'2005-11-18 22:10:34',12,''),(15592,'update','dmo_definition','DMO',100,'2005-11-18 22:10:34',12,''),(15593,'update','dmo_definition','DMO',99,'2005-11-18 22:10:34',12,''),(15594,'update','dmo_definition','DMO',76,'2005-11-18 22:10:34',12,''),(15595,'update','dmo_definition','DMO',75,'2005-11-18 22:10:34',12,''),(15596,'update','dmo_definition','DMO',73,'2005-11-18 22:10:34',12,''),(15597,'update','dmo_definition','DMO',72,'2005-11-18 22:10:34',12,''),(15598,'update','dmo_definition','DMO',4,'2005-11-18 22:10:34',12,''),(15599,'update','dmo_definition','DMO',175,'2005-11-18 22:10:34',12,''),(15600,'update','dmo_definition','DMO',107,'2005-11-18 22:10:34',12,''),(15601,'update','dmo_definition','DMO',111,'2005-11-18 22:10:34',12,''),(15602,'update','dmo_definition','DMO',101,'2005-11-18 22:10:34',12,''),(15603,'update','dmo_definition','DMO',61,'2005-11-18 22:10:34',12,''),(15604,'update','dmo_definition','DMO',60,'2005-11-18 22:10:34',12,''),(15605,'update','dmo_definition','DMO',59,'2005-11-18 22:10:34',12,''),(15606,'update','dmo_definition','DMO',58,'2005-11-18 22:10:34',12,''),(15607,'update','dmo_definition','DMO',57,'2005-11-18 22:10:34',12,''),(15608,'update','dmo_definition','DMO',71,'2005-11-18 22:10:34',12,''),(15609,'update','dmo_definition','DMO',70,'2005-11-18 22:10:34',12,''),(15610,'update','dmo_definition','DMO',69,'2005-11-18 22:10:34',12,''),(15611,'update','dmo_definition','DMO',53,'2005-11-18 22:10:34',12,''),(15612,'update','dmo_definition','DMO',68,'2005-11-18 22:10:34',12,''),(15613,'update','dmo_definition','DMO',67,'2005-11-18 22:10:34',12,''),(15614,'update','dmo_definition','DMO',66,'2005-11-18 22:10:34',12,''),(15615,'update','dmo_definition','DMO',65,'2005-11-18 22:10:34',12,''),(15616,'update','dmo_definition','DMO',52,'2005-11-18 22:10:34',12,''),(15617,'update','dmo_definition','DMO',64,'2005-11-18 22:10:34',12,''),(15618,'update','dmo_definition','DMO',63,'2005-11-18 22:10:34',12,''),(15619,'update','dmo_definition','DMO',62,'2005-11-18 22:10:34',12,''),(15620,'update','dmo_definition','DMO',51,'2005-11-18 22:10:34',12,''),(15621,'update','dmo_definition','DMO',50,'2005-11-18 22:10:34',12,''),(15622,'update','dmo_definition','DMO',56,'2005-11-18 22:10:34',12,''),(15623,'update','dmo_definition','DMO',55,'2005-11-18 22:10:34',12,''),(15624,'update','dmo_definition','DMO',54,'2005-11-18 22:10:34',12,''),(15625,'update','dmo_definition','DMO',49,'2005-11-18 22:10:34',12,''),(15626,'update','dmo_definition','DMO',3,'2005-11-18 22:10:34',12,''),(15627,'update','dmo_definition','DMO',130,'2005-11-18 22:10:34',12,''),(15628,'update','dmo_definition','DMO',123,'2005-11-18 22:10:34',12,''),(15629,'update','dmo_definition','DMO',25,'2005-11-18 22:10:34',12,''),(15630,'update','dmo_definition','DMO',133,'2005-11-18 22:10:34',12,''),(15631,'update','dmo_definition','DMO',24,'2005-11-18 22:10:34',12,''),(15632,'update','dmo_definition','DMO',23,'2005-11-18 22:10:34',12,''),(15633,'update','dmo_definition','DMO',22,'2005-11-18 22:10:34',12,''),(15634,'update','dmo_definition','DMO',16,'2005-11-18 22:10:34',12,''),(15635,'update','dmo_definition','DMO',97,'2005-11-18 22:10:34',12,''),(15636,'update','dmo_definition','DMO',21,'2005-11-18 22:10:34',12,''),(15637,'update','dmo_definition','DMO',20,'2005-11-18 22:10:34',12,''),(15638,'update','dmo_definition','DMO',19,'2005-11-18 22:10:34',12,''),(15639,'update','dmo_definition','DMO',18,'2005-11-18 22:10:34',12,''),(15640,'update','dmo_definition','DMO',17,'2005-11-18 22:10:34',12,''),(15641,'update','dmo_definition','DMO',15,'2005-11-18 22:10:34',12,''),(15642,'update','dmo_definition','DMO',9,'2005-11-18 22:10:34',12,''),(15643,'update','dmo_definition','DMO',112,'2005-11-18 22:10:34',12,''),(15644,'update','dmo_definition','DMO',103,'2005-11-18 22:10:34',12,''),(15645,'update','dmo_definition','DMO',14,'2005-11-18 22:10:34',12,''),(15646,'update','dmo_definition','DMO',180,'2005-11-18 22:10:34',12,''),(15647,'update','dmo_definition','DMO',179,'2005-11-18 22:10:34',12,''),(15648,'update','dmo_definition','DMO',177,'2005-11-18 22:10:34',12,''),(15649,'update','dmo_definition','DMO',178,'2005-11-18 22:10:34',12,''),(15650,'update','dmo_definition','DMO',132,'2005-11-18 22:10:34',12,''),(15651,'update','dmo_definition','DMO',131,'2005-11-18 22:10:34',12,''),(15652,'update','dmo_definition','DMO',45,'2005-11-18 22:10:34',12,''),(15653,'update','dmo_definition','DMO',44,'2005-11-18 22:10:34',12,''),(15654,'update','dmo_definition','DMO',43,'2005-11-18 22:10:34',12,''),(15655,'update','dmo_definition','DMO',42,'2005-11-18 22:10:34',12,''),(15656,'update','dmo_definition','DMO',41,'2005-11-18 22:10:34',12,''),(15657,'update','dmo_definition','DMO',40,'2005-11-18 22:10:34',12,''),(15658,'update','dmo_definition','DMO',39,'2005-11-18 22:10:34',12,''),(15659,'update','dmo_definition','DMO',13,'2005-11-18 22:10:34',12,''),(15660,'update','dmo_definition','DMO',38,'2005-11-18 22:10:34',12,''),(15661,'update','dmo_definition','DMO',36,'2005-11-18 22:10:34',12,''),(15662,'update','dmo_definition','DMO',35,'2005-11-18 22:10:34',12,''),(15663,'update','dmo_definition','DMO',34,'2005-11-18 22:10:34',12,''),(15664,'update','dmo_definition','DMO',33,'2005-11-18 22:10:34',12,''),(15665,'update','dmo_definition','DMO',12,'2005-11-18 22:10:34',12,''),(15666,'update','dmo_definition','DMO',37,'2005-11-18 22:10:34',12,''),(15667,'update','dmo_definition','DMO',32,'2005-11-18 22:10:34',12,''),(15668,'update','dmo_definition','DMO',31,'2005-11-18 22:10:34',12,''),(15669,'update','dmo_definition','DMO',30,'2005-11-18 22:10:34',12,''),(15670,'update','dmo_definition','DMO',29,'2005-11-18 22:10:34',12,''),(15671,'update','dmo_definition','DMO',11,'2005-11-18 22:10:34',12,''),(15672,'update','dmo_definition','DMO',28,'2005-11-18 22:10:34',12,''),(15673,'update','dmo_definition','DMO',27,'2005-11-18 22:10:34',12,''),(15674,'update','dmo_definition','DMO',26,'2005-11-18 22:10:34',12,''),(15675,'update','dmo_definition','DMO',10,'2005-11-18 22:10:34',12,''),(15676,'update','dmo_definition','DMO',8,'2005-11-18 22:10:34',12,''),(15677,'update','dmo_definition','DMO',176,'2005-11-18 22:10:34',12,''),(15678,'update','dmo_definition','DMO',134,'2005-11-18 22:10:34',12,''),(15679,'update','dmo_definition','DMO',122,'2005-11-18 22:10:34',12,''),(15680,'update','dmo_definition','DMO',121,'2005-11-18 22:10:34',12,''),(15681,'update','dmo_definition','DMO',120,'2005-11-18 22:10:34',12,''),(15682,'update','dmo_definition','DMO',119,'2005-11-18 22:10:34',12,''),(15683,'update','dmo_definition','DMO',118,'2005-11-18 22:10:34',12,''),(15684,'update','dmo_definition','DMO',117,'2005-11-18 22:10:34',12,''),(15685,'update','dmo_definition','DMO',116,'2005-11-18 22:10:34',12,''),(15686,'update','dmo_definition','DMO',115,'2005-11-18 22:10:34',12,''),(15687,'update','dmo_definition','DMO',114,'2005-11-18 22:10:34',12,''),(15688,'update','dmo_definition','DMO',113,'2005-11-18 22:10:34',12,''),(15689,'update','dmo_definition','DMO',105,'2005-11-18 22:10:34',12,''),(15690,'update','dmo_definition','DMO',125,'2005-11-18 22:10:34',12,''),(15691,'update','dmo_definition','DMO',98,'2005-11-18 22:10:34',12,''),(15692,'update','dmo_definition','DMO',96,'2005-11-18 22:10:34',12,''),(15693,'update','dmo_definition','DMO',95,'2005-11-18 22:10:34',12,''),(15694,'update','dmo_definition','DMO',94,'2005-11-18 22:10:34',12,''),(15695,'update','dmo_definition','DMO',93,'2005-11-18 22:10:34',12,''),(15696,'update','dmo_definition','DMO',92,'2005-11-18 22:10:34',12,''),(15697,'update','dmo_definition','DMO',91,'2005-11-18 22:10:34',12,''),(15698,'update','dmo_definition','DMO',90,'2005-11-18 22:10:34',12,''),(15699,'update','dmo_definition','DMO',89,'2005-11-18 22:10:34',12,''),(15700,'update','dmo_definition','DMO',88,'2005-11-18 22:10:34',12,''),(15701,'update','dmo_definition','DMO',127,'2005-11-18 22:10:34',12,''),(15702,'update','dmo_definition','DMO',6,'2005-11-18 22:10:35',12,''),(15703,'update','dmo_definition','DMO',2,'2005-11-18 22:10:35',12,''),(15704,'update','dmo_definition','DMO',1,'2005-11-18 22:10:35',12,'');
UNLOCK TABLES;
/*!40000 ALTER TABLE `log` ENABLE KEYS */;

--
-- Table structure for table `messages`
--

DROP TABLE IF EXISTS `messages`;
CREATE TABLE `messages` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `date` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `message` varchar(255) NOT NULL default '',
  `severity` varchar(30) NOT NULL default '',
  `user` mediumint(8) unsigned NOT NULL default '0',
  `url` varchar(255) NOT NULL default '',
  `module` varchar(15) NOT NULL default '',
  `subsystem` varchar(50) NOT NULL default '',
  `keywords` varchar(255) NOT NULL default '',
  `data_dump` mediumint(8) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `module` (`module`,`subsystem`),
  KEY `keywords` (`keywords`),
  KEY `date` (`date`),
  KEY `user` (`user`),
  KEY `url` (`url`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `messages`
--


/*!40000 ALTER TABLE `messages` DISABLE KEYS */;
LOCK TABLES `messages` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `messages` ENABLE KEYS */;

--
-- Table structure for table `module_files`
--

DROP TABLE IF EXISTS `module_files`;
CREATE TABLE `module_files` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `title` varchar(255) NOT NULL default '',
  `doc` blob NOT NULL,
  `file_name` varchar(255) NOT NULL default '',
  `user_id` mediumint(8) unsigned NOT NULL default '0',
  `date` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `obsoleted_by` mediumint(8) unsigned NOT NULL default '0',
  `objectClass` varchar(255) NOT NULL default '',
  `objectId` mediumint(8) unsigned NOT NULL default '0',
  `objectInclude` varchar(255) NOT NULL default '',
  `comment` mediumint(8) unsigned NOT NULL default '0',
  KEY `id` (`id`),
  KEY `obsoleted_by` (`obsoleted_by`),
  KEY `src_id` (`user_id`),
  KEY `date` (`date`),
  KEY `objectClass` (`objectClass`),
  KEY `objectId` (`objectId`),
  KEY `date_2` (`date`),
  KEY `date_3` (`date`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `module_files`
--


/*!40000 ALTER TABLE `module_files` DISABLE KEYS */;
LOCK TABLES `module_files` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `module_files` ENABLE KEYS */;

--
-- Table structure for table `people`
--

DROP TABLE IF EXISTS `people`;
CREATE TABLE `people` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `fname` varchar(255) NOT NULL default '',
  `lname` varchar(255) NOT NULL default '',
  `mname` varchar(255) NOT NULL default '',
  `sal` varchar(255) NOT NULL default '',
  `position` varchar(255) NOT NULL default '',
  `company` mediumint(8) unsigned NOT NULL default '0',
  `email` varchar(255) NOT NULL default '',
  `addr` varchar(255) NOT NULL default '',
  `mphone` varchar(255) NOT NULL default '',
  `wphone` varchar(255) NOT NULL default '',
  `fax` varchar(255) NOT NULL default '',
  `hphone` varchar(255) NOT NULL default '',
  `photo` mediumblob NOT NULL,
  `uname` varchar(255) NOT NULL default '',
  `pwd` varchar(255) NOT NULL default '',
  `preflang` varchar(5) NOT NULL default 'en_US',
  `lastlog` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `settings` varchar(255) NOT NULL default '',
  `iscontact` tinyint(4) NOT NULL default '0',
  `status` tinyint(1) default NULL,
  `prevlog` timestamp NOT NULL default '0000-00-00 00:00:00',
  `ispayment` tinyint(4) unsigned NOT NULL default '0',
  `notes` text,
  `deactivated` tinyint(1) NOT NULL default '0',
  `date_created` timestamp NOT NULL default '0000-00-00 00:00:00',
  `external_provider` varchar(255) default NULL,
  PRIMARY KEY  (`id`),
  KEY `company` (`company`),
  KEY `uname` (`uname`),
  KEY `deactivated` (`deactivated`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `people`
--


/*!40000 ALTER TABLE `people` DISABLE KEYS */;
LOCK TABLES `people` WRITE;
INSERT INTO `people` VALUES (6,'DMO','Admin','','','Administrator',1,'admin','','','','','','','admin','5ebe2294ecd0e0f08eab7690d2a6ee69','en_US','2005-11-18 19:56:52','proj=',0,1,'0000-00-00 00:00:00',0,'',0,'2003-12-31 23:00:01',NULL),(12,'Paul','Gillingwater','','Mr.','Guru',1,'paul@lanifex.com','','069919223085','','01219822211','','','paul','36d1a73ed5538c6f8813347c76dc2abb','en_US','2005-11-09 12:44:01','',0,1,'0000-00-00 00:00:00',0,'',0,'2003-12-31 23:00:01',NULL);
UNLOCK TABLES;
/*!40000 ALTER TABLE `people` ENABLE KEYS */;

--
-- Table structure for table `personal_globals`
--

DROP TABLE IF EXISTS `personal_globals`;
CREATE TABLE `personal_globals` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `user_id` mediumint(8) unsigned NOT NULL default '0',
  `global_name` varchar(255) NOT NULL default '',
  `value` blob,
  PRIMARY KEY  (`id`),
  KEY `user_id` (`user_id`,`global_name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `personal_globals`
--


/*!40000 ALTER TABLE `personal_globals` DISABLE KEYS */;
LOCK TABLES `personal_globals` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `personal_globals` ENABLE KEYS */;

--
-- Table structure for table `plugins`
--

DROP TABLE IF EXISTS `plugins`;
CREATE TABLE `plugins` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `pl_name` varchar(255) NOT NULL default 'no app',
  `pl_version` varchar(255) NOT NULL default '0.0.0.0',
  PRIMARY KEY  (`id`),
  KEY `pl_name` (`pl_name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `plugins`
--


/*!40000 ALTER TABLE `plugins` DISABLE KEYS */;
LOCK TABLES `plugins` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `plugins` ENABLE KEYS */;

--
-- Table structure for table `reference_lang`
--

DROP TABLE IF EXISTS `reference_lang`;
CREATE TABLE `reference_lang` (
  `ref_id` int(11) NOT NULL auto_increment,
  `ref_message` blob,
  `ref_module` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`ref_id`),
  UNIQUE KEY `ref_id` (`ref_id`),
  KEY `ref_message` (`ref_message`(200))
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `reference_lang`
--


/*!40000 ALTER TABLE `reference_lang` DISABLE KEYS */;
LOCK TABLES `reference_lang` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `reference_lang` ENABLE KEYS */;

--
-- Table structure for table `report_parameters`
--

DROP TABLE IF EXISTS `report_parameters`;
CREATE TABLE `report_parameters` (
  `id` mediumint(9) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `type` varchar(255) NOT NULL default '',
  `description` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `report_parameters`
--


/*!40000 ALTER TABLE `report_parameters` DISABLE KEYS */;
LOCK TABLES `report_parameters` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `report_parameters` ENABLE KEYS */;

--
-- Table structure for table `report_parameters_link`
--

DROP TABLE IF EXISTS `report_parameters_link`;
CREATE TABLE `report_parameters_link` (
  `id` mediumint(9) NOT NULL auto_increment,
  `report_id` mediumint(9) NOT NULL default '0',
  `param` mediumint(9) NOT NULL default '0',
  `local_id` mediumint(9) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `report_id` (`report_id`),
  KEY `local_id` (`local_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `report_parameters_link`
--


/*!40000 ALTER TABLE `report_parameters_link` DISABLE KEYS */;
LOCK TABLES `report_parameters_link` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `report_parameters_link` ENABLE KEYS */;

--
-- Table structure for table `report_preset_values`
--

DROP TABLE IF EXISTS `report_preset_values`;
CREATE TABLE `report_preset_values` (
  `id` mediumint(9) NOT NULL auto_increment,
  `preset_id` mediumint(9) NOT NULL default '0',
  `param` mediumint(9) NOT NULL default '0',
  `value` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `preset_id` (`preset_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `report_preset_values`
--


/*!40000 ALTER TABLE `report_preset_values` DISABLE KEYS */;
LOCK TABLES `report_preset_values` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `report_preset_values` ENABLE KEYS */;

--
-- Table structure for table `report_presets`
--

DROP TABLE IF EXISTS `report_presets`;
CREATE TABLE `report_presets` (
  `id` mediumint(9) NOT NULL auto_increment,
  `report_id` mediumint(9) NOT NULL default '0',
  `description` text NOT NULL,
  `name` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `report_id` (`report_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `report_presets`
--


/*!40000 ALTER TABLE `report_presets` DISABLE KEYS */;
LOCK TABLES `report_presets` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `report_presets` ENABLE KEYS */;

--
-- Table structure for table `reports`
--

DROP TABLE IF EXISTS `reports`;
CREATE TABLE `reports` (
  `id` mediumint(10) NOT NULL auto_increment,
  `name` varchar(50) NOT NULL default '',
  `description` varchar(200) NOT NULL default '',
  `class_name` varchar(50) NOT NULL default '',
  `report_start` datetime default '0000-00-00 00:00:00',
  `active` tinyint(1) NOT NULL default '0',
  `visible` tinyint(1) NOT NULL default '1',
  `subs_description` text,
  `subs_per_event` tinyint(1) unsigned NOT NULL default '1',
  `no_duration_types` tinyint(1) unsigned NOT NULL default '0',
  `module` varchar(8) default NULL,
  `spot_report` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `reports`
--


/*!40000 ALTER TABLE `reports` DISABLE KEYS */;
LOCK TABLES `reports` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `reports` ENABLE KEYS */;

--
-- Table structure for table `reports_data`
--

DROP TABLE IF EXISTS `reports_data`;
CREATE TABLE `reports_data` (
  `id` mediumint(10) NOT NULL auto_increment,
  `reports_id` mediumint(10) NOT NULL default '0',
  `period` enum('day','week','month','year') NOT NULL default 'day',
  `last_updated` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `start_timestamp` timestamp NOT NULL default '0000-00-00 00:00:00',
  `end_timestamp` timestamp NOT NULL default '0000-00-00 00:00:00',
  `data` longtext NOT NULL,
  `is_complete` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `reports_id` (`reports_id`),
  KEY `period` (`period`),
  KEY `reports_id_2` (`reports_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Keeps the values for reports.';

--
-- Dumping data for table `reports_data`
--


/*!40000 ALTER TABLE `reports_data` DISABLE KEYS */;
LOCK TABLES `reports_data` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `reports_data` ENABLE KEYS */;

--
-- Table structure for table `subscriber`
--

DROP TABLE IF EXISTS `subscriber`;
CREATE TABLE `subscriber` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `subscriptionId` mediumint(8) unsigned NOT NULL default '0',
  `userId` mediumint(8) unsigned NOT NULL default '0',
  `email` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `subscriptionId` (`subscriptionId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `subscriber`
--


/*!40000 ALTER TABLE `subscriber` DISABLE KEYS */;
LOCK TABLES `subscriber` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `subscriber` ENABLE KEYS */;

--
-- Table structure for table `subscription`
--

DROP TABLE IF EXISTS `subscription`;
CREATE TABLE `subscription` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default 'no name',
  `objectClass` varchar(255) NOT NULL default '',
  `objectId` mediumint(8) unsigned NOT NULL default '0',
  `objectInclude` varchar(255) NOT NULL default '',
  `dueDate` varchar(255) NOT NULL default '',
  `objectSubId` varchar(255) NOT NULL default '',
  `data_id` mediumint(9) NOT NULL default '0',
  `email_specific` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `objectClass` (`objectClass`,`objectId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `subscription`
--


/*!40000 ALTER TABLE `subscription` DISABLE KEYS */;
LOCK TABLES `subscription` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `subscription` ENABLE KEYS */;

--
-- Table structure for table `tb_groups`
--

DROP TABLE IF EXISTS `tb_groups`;
CREATE TABLE `tb_groups` (
  `id` int(11) default NULL,
  `utvar` text,
  `id2` int(11) default NULL,
  `id3` int(11) default NULL,
  `typ_pob` text,
  `reg_branc` text,
  `region` text,
  `msp` text,
  `mesto` text,
  `t1` text,
  `t2` text,
  `t3` text,
  `building_group` text,
  `region_group_d` text,
  `region_group_s` text,
  `sensor_name` text,
  `sensor_host` text,
  `sensort_sq` text,
  `PTO_device` text,
  `subnet` text,
  `log_file` text
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tb_groups`
--


/*!40000 ALTER TABLE `tb_groups` DISABLE KEYS */;
LOCK TABLES `tb_groups` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `tb_groups` ENABLE KEYS */;

--
-- Table structure for table `translations`
--

DROP TABLE IF EXISTS `translations`;
CREATE TABLE `translations` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `original` blob NOT NULL,
  `translated` blob NOT NULL,
  `module` varchar(15) default NULL,
  `lang` varchar(50) default NULL,
  PRIMARY KEY  (`id`),
  KEY `original` (`original`(200)),
  KEY `module` (`module`),
  KEY `lang` (`lang`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `translations`
--


/*!40000 ALTER TABLE `translations` DISABLE KEYS */;
LOCK TABLES `translations` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `translations` ENABLE KEYS */;

--
-- Table structure for table `upgrade_status`
--

DROP TABLE IF EXISTS `upgrade_status`;
CREATE TABLE `upgrade_status` (
  `inst_location` varchar(255) NOT NULL default '',
  `inst_action` mediumint(8) unsigned NOT NULL default '0',
  PRIMARY KEY  (`inst_action`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `upgrade_status`
--


/*!40000 ALTER TABLE `upgrade_status` DISABLE KEYS */;
LOCK TABLES `upgrade_status` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `upgrade_status` ENABLE KEYS */;

--
-- Table structure for table `user_group`
--

DROP TABLE IF EXISTS `user_group`;
CREATE TABLE `user_group` (
  `id` int(11) NOT NULL auto_increment,
  `parent_group_id` int(11) NOT NULL default '0',
  `child_user_id` int(11) default NULL,
  `child_group_id` int(11) default NULL,
  `access` varchar(50) default NULL,
  `comments` varchar(100) default NULL,
  `date_added` datetime default NULL,
  PRIMARY KEY  (`id`),
  KEY `parent_group_id` (`parent_group_id`),
  KEY `child_group_id` (`child_group_id`),
  KEY `child_user_id` (`child_user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `user_group`
--


/*!40000 ALTER TABLE `user_group` DISABLE KEYS */;
LOCK TABLES `user_group` WRITE;
INSERT INTO `user_group` VALUES (21,22,NULL,26,'R','','0000-00-00 00:00:00'),(18,1,10,NULL,'RW','test','0000-00-00 00:00:00'),(6,1,6,NULL,'RW',NULL,'2003-03-31 11:09:31'),(232,73,NULL,23,'R','','2004-05-04 14:49:08'),(26,86,NULL,87,'RW','','0000-00-00 00:00:00'),(16,25,12,NULL,'R','','0000-00-00 00:00:00'),(14,22,10,NULL,'R','testing','0000-00-00 00:00:00'),(25,35,21,NULL,'R','','0000-00-00 00:00:00'),(27,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(28,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(29,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(30,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(31,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(32,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(33,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(34,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(35,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(36,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(37,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(38,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(39,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(40,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(41,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(42,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(43,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(44,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(45,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(46,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(47,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(48,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(49,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(50,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(51,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(52,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(53,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(54,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(55,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(56,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(57,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(58,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(59,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(60,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(61,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(62,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(63,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(64,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(65,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(66,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(67,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(68,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(69,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(70,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(71,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(72,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(73,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(74,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(75,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(76,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(77,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(78,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(79,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(80,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(81,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(82,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(83,0,NULL,87,'RW',NULL,'0000-00-00 00:00:00'),(84,29,NULL,87,'RW',NULL,'2003-11-06 16:59:02'),(85,30,NULL,87,'RW',NULL,'2003-11-06 16:59:02'),(86,31,NULL,87,'RW',NULL,'2003-11-06 16:59:02'),(87,32,NULL,87,'RW',NULL,'2003-11-06 16:59:02'),(88,33,NULL,87,'RW',NULL,'2003-11-06 16:59:02'),(89,34,NULL,87,'RW',NULL,'2003-11-06 16:59:02'),(90,35,NULL,87,'RW',NULL,'2003-11-06 16:59:02'),(91,36,NULL,87,'RW',NULL,'2003-11-06 16:59:02'),(92,37,NULL,87,'RW',NULL,'2003-11-06 16:59:02'),(93,38,NULL,87,'RW',NULL,'2003-11-06 16:59:02'),(94,39,NULL,87,'RW',NULL,'2003-11-06 16:59:02'),(95,40,NULL,87,'RW',NULL,'2003-11-06 16:59:02'),(96,41,NULL,87,'RW',NULL,'2003-11-06 16:59:02'),(97,42,NULL,87,'RW',NULL,'2003-11-06 16:59:02'),(98,43,NULL,87,'RW',NULL,'2003-11-06 16:59:02'),(99,44,NULL,87,'RW',NULL,'2003-11-06 16:59:02'),(100,45,NULL,87,'RW',NULL,'2003-11-06 16:59:02'),(101,46,NULL,87,'RW',NULL,'2003-11-06 16:59:02'),(102,47,NULL,87,'RW',NULL,'2003-11-06 16:59:02'),(103,48,NULL,87,'RW',NULL,'2003-11-06 16:59:02'),(104,49,NULL,87,'RW',NULL,'2003-11-06 16:59:02'),(105,50,NULL,87,'RW',NULL,'2003-11-06 16:59:02'),(106,51,NULL,87,'RW',NULL,'2003-11-06 16:59:02'),(107,52,NULL,87,'RW',NULL,'2003-11-06 16:59:02'),(108,53,NULL,87,'RW',NULL,'2003-11-06 16:59:02'),(109,54,NULL,87,'RW',NULL,'2003-11-06 16:59:02'),(110,55,NULL,87,'RW',NULL,'2003-11-06 16:59:02'),(111,56,NULL,87,'RW',NULL,'2003-11-06 16:59:02'),(112,57,NULL,87,'RW',NULL,'2003-11-06 16:59:02'),(113,58,NULL,87,'RW',NULL,'2003-11-06 16:59:02'),(114,59,NULL,87,'RW',NULL,'2003-11-06 16:59:02'),(115,60,NULL,87,'RW',NULL,'2003-11-06 16:59:02'),(116,61,NULL,87,'RW',NULL,'2003-11-06 16:59:02'),(117,62,NULL,87,'RW',NULL,'2003-11-06 16:59:02'),(118,63,NULL,87,'RW',NULL,'2003-11-06 16:59:02'),(119,64,NULL,87,'RW',NULL,'2003-11-06 16:59:02'),(120,65,NULL,87,'RW',NULL,'2003-11-06 16:59:02'),(121,66,NULL,87,'RW',NULL,'2003-11-06 16:59:02'),(122,67,NULL,87,'RW',NULL,'2003-11-06 16:59:02'),(123,68,NULL,87,'RW',NULL,'2003-11-06 16:59:02'),(124,69,NULL,87,'RW',NULL,'2003-11-06 16:59:02'),(125,70,NULL,87,'RW',NULL,'2003-11-06 16:59:03'),(126,71,NULL,87,'RW',NULL,'2003-11-06 16:59:03'),(127,72,NULL,87,'RW',NULL,'2003-11-06 16:59:03'),(128,73,NULL,87,'RW',NULL,'2003-11-06 16:59:03'),(129,74,NULL,87,'RW',NULL,'2003-11-06 16:59:03'),(130,75,NULL,87,'RW',NULL,'2003-11-06 16:59:03'),(131,76,NULL,87,'RW',NULL,'2003-11-06 16:59:03'),(132,77,NULL,87,'RW',NULL,'2003-11-06 16:59:03'),(133,78,NULL,87,'RW',NULL,'2003-11-06 16:59:03'),(134,79,NULL,87,'RW',NULL,'2003-11-06 16:59:03'),(135,80,NULL,87,'RW',NULL,'2003-11-06 16:59:03'),(136,81,NULL,87,'RW',NULL,'2003-11-06 16:59:03'),(137,82,NULL,87,'RW',NULL,'2003-11-06 16:59:03'),(138,83,NULL,87,'RW',NULL,'2003-11-06 16:59:03'),(139,84,NULL,87,'RW',NULL,'2003-11-06 16:59:03'),(140,85,NULL,87,'RW',NULL,'2003-11-06 16:59:03'),(231,1,24,NULL,'RW','','2004-03-11 14:02:02'),(229,1,23,NULL,'RW','','2003-12-15 15:45:28'),(270,173,13,NULL,'*','Testing this role',NULL),(220,98,NULL,99,'RW',NULL,'2003-11-06 17:52:50'),(219,97,NULL,99,'RW',NULL,'2003-11-06 17:52:50'),(218,96,NULL,99,'RW',NULL,'2003-11-06 17:52:50'),(217,95,NULL,99,'RW',NULL,'2003-11-06 17:52:50'),(216,94,NULL,99,'RW',NULL,'2003-11-06 17:52:50'),(215,93,NULL,99,'RW',NULL,'2003-11-06 17:52:50'),(214,92,NULL,99,'RW',NULL,'2003-11-06 17:52:50'),(213,91,NULL,99,'RW',NULL,'2003-11-06 17:52:50'),(212,90,NULL,99,'RW',NULL,'2003-11-06 17:52:50'),(211,89,NULL,99,'RW',NULL,'2003-11-06 17:52:50'),(210,88,NULL,99,'RW',NULL,'2003-11-06 17:52:50'),(233,87,25,NULL,'R','Read only','2004-10-19 10:49:32'),(235,92,27,NULL,'R','',NULL),(236,165,27,NULL,'R','',NULL),(238,168,12,NULL,'R','',NULL),(239,169,12,NULL,'R','',NULL),(240,99,12,NULL,'R','',NULL),(241,26,12,NULL,'R','',NULL),(242,170,12,NULL,'R','',NULL),(243,163,12,NULL,'R','',NULL),(244,23,12,NULL,'R','',NULL),(245,86,9,NULL,'R','',NULL),(246,163,9,NULL,'R','',NULL),(247,23,9,NULL,'R','',NULL),(248,128,30,NULL,'A','',NULL),(249,128,30,NULL,'A','',NULL),(250,128,30,NULL,'A','',NULL),(251,171,30,NULL,'A','',NULL),(252,115,30,NULL,'A','',NULL),(253,1,31,NULL,'RW','',NULL),(263,25,NULL,172,'RW','We will have RW access in this group',NULL),(255,163,32,NULL,'','',NULL),(256,170,32,NULL,'RW','',NULL),(257,1,32,NULL,'*','Peter is so nice he needs all rights.',NULL),(258,1,1,NULL,'','',NULL),(259,1,33,NULL,'*','',NULL),(260,25,32,NULL,'RW','',NULL),(261,25,20,NULL,'R','this is a test',NULL),(262,26,17,NULL,'R','',NULL),(264,162,NULL,173,'R','',NULL),(265,100,NULL,173,'WUR','',NULL),(266,173,34,NULL,'RWU','',NULL),(267,178,NULL,173,'WUR','',NULL),(268,177,NULL,173,'WUR','',NULL),(269,176,NULL,173,'WUR','',NULL),(271,196,34,NULL,'R','',NULL),(272,99,NULL,196,'R','',NULL),(274,169,NULL,99,'R','',NULL),(275,198,NULL,196,'R','',NULL),(276,176,12,NULL,'*','',NULL),(277,1,12,NULL,'*','',NULL);
UNLOCK TABLES;
/*!40000 ALTER TABLE `user_group` ENABLE KEYS */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

