<?

  /**
  * Lanifex library - main include
  * Bogdan Stancescu <bogdan@lanifex.com>, November 2002
  * $Id: LFX_lib.php,v 1.52 2005/07/13 09:23:40 bogdan Exp $
  * @package LFX
  */
 
  if (function_exists('php_sapi_name')) {
    $commandline=(php_sapi_name()=='cli');
  } else {
    $commandline=false;
  }

  // Making sure we have globals
  extract($HTTP_GET_VARS);
  extract($HTTP_POST_VARS);
  extract($HTTP_COOKIE_VARS);
  extract($HTTP_SERVER_VARS);

  function HORRIFIC_prependError($errId)
  {
    echo("<h1>Major error ($errId)</h1>\n");
    echo('<p>This error was issued because not only that some includes '.
      'were not found, but the package using LFXlib has also failed to '.
      'register its own include manager error management mechanism!</p>');
    echo('<p>This is a <b>major</b> problem, and it means something is '.
      'seriously wrong with your setup.</p>');
    echo('<p>Obviously aborting.</p>');
  }

  function LFX_prependError($errId)
  {
    echo("<h1>Major error ($errId)</h1>\n");
    echo('<p>Although this error is only known to affect LFXlib, LFXlib is '.
      'the core of all Lanifex applications, so nothing related will work.</p>');
    echo('<p>This is a <b>major</b> problem, and it means something is '.
      'seriously wrong with your setup.</p>');
    echo('<p>Obviously aborting.</p>');
  }

  function _prependError($package,$errId)
  {
    if (!function_exists($package.'_prependError')) {
      $package='HORRIFIC';
    }
    eval($package."_prependError(\"$errId\");");
  }
 
  if (
    isset($_GET['_LFX_config_loaded']) ||
    isset($_POST['_LFX_config_loaded']) ||
    isset($_COOKIE['_LFX_config_loaded'])
  ) {
    unset($_LFX_config_loaded);
  }
 
  if (!isset($_LFX_config_loaded)) {
    unset($_LFX, $_LFX_installed);
  }
  $_LFX['global']['paths']['path']=dirname(__FILE__);
  $_LFX_path=&$_LFX['global']['paths']['path'];
  $_LFX['global']['applications']['LFX']['app_path']=&$_LFX_path;

  if (!isset($_LFX_config_loaded)) {
    $_LFX['global']['sysconfig_raw']=@file("$_LFX_path/LFX_config");
    if (!$_LFX['global']['sysconfig_raw']) {
      _prependError('LFX','002');
      exit;
    }
    for($i=0;$i<count($_LFX['global']['sysconfig_raw']);$i++) {
      $myLine=trim($_LFX['global']['sysconfig_raw'][$i]);
      if ((!$myLine) || ($myLine[0]=='#') || (!strpos(' '.$myLine,'='))) {
        continue;
      }
      $myKey=substr($myLine,0,strpos($myLine,'='));
      if (!preg_match("/^[a-zA-Z][_0-9a-zA-Z]+$/",$myKey)) {
        continue;
      }
      $myVal=substr($myLine,strpos($myLine,'=')+1);
      $_LFX['global']['sysconfig'][$myKey]=$myVal;
    }
  }
  $_LFX_system_dir=$_LFX['global']['sysconfig']['systemdir'];

  // Backing up this key, and re-merging it below
  $_old_LFX_application_data=$_LFX['global']['applications']['LFX'];
  
  if ($_LFX_system_dir) {
    include($_LFX_system_dir.'/LFXlink.php');
    $_LFX_ver=$_LFX['global']['applications']['LFX']['app_ver'];
    $_LFX_installed=$_LFX['global']['applications']['LFX']['app_installed'];
    include($_LFX_system_dir.'/LFX_dbData.php');
  } else {
    _prependError('LFX','003');
    exit;
  }

  // re-merging, as promised
  $_LFX['global']['applications']['LFX']=array_merge(
    $_old_LFX_application_data,
    $_LFX['global']['applications']['LFX']
  );

  $_LFX_tmpDir='/tmp';
  $_LFX['page']['included_includes']=array();
  array_push($_LFX['page']['included_includes'],'lfx_lib');

  $_LFX['global']['paths']['inc']=$_LFX_path.'/include';
  $_LFX_inc=&$_LFX['global']['paths']['inc'];

  $_LFX['global']['paths']['classes']=$_LFX_inc.'/classes';
  $_LFX_classes=&$_LFX['global']['paths']['classes'];

  $_LFX['global']['paths']['fullUrl']=(!empty($_SERVER['HTTPS']) ? 'https' : 'http') . '://'
                       . $_SERVER['SERVER_NAME']
                       . (!empty($_SERVER['SERVER_PORT']) ? ':' . $_SERVER['SERVER_PORT'] : '')
                       . $_LFX['global']['applications']['LFX']['app_url'];
  $_LFX['global']['applications']['LFX']['app_fullurl']=&$_LFX['global']['paths']['fullUrl'];
  $_LFX_fullUrl=&$_LFX['global']['paths']['fullUrl'];

  $_LFX['global']['paths']['url']=$_LFX['global']['applications']['LFX']['app_url'];
  $_LFX_url=&$_LFX['global']['paths']['url'];

  $_LFX['global']['paths']['images']=$_LFX_url.'/images';
  $_LFX_images=&$_LFX['global']['paths']['images'];

  // Include Manager stuff
  $_LFX_include_lib=$_LFX_inc.'/LFX_include_lib.php';
  require_once($_LFX_include_lib);
  $_incMgr=$_LFX_inc.'/LFX_include_manager.php';
  _checkMeOut(__FILE__);

  $_incReq=array('LFX_constants'/*, 'LFX_dbData'*/);
  if (!include($_incMgr)) {
    _prependError('LFX','001');
  }

  $_incReq=array('LFX_Global');
  if (!include($_incMgr)) {
    LFX_prependError('001');
  }

  $_LFX['global']['globals']=new LFX_Global;
  $_LFX_globals=&$_LFX['global']['globals'];
  $_LFX_globals->global_module='LFX';

  if (!$_LFX_globals->getSetting('dataDir')) {
    $_LFX['global']['paths']['lang']=$_LFX_path.'/lang';
  } else {
    $_LFX['global']['paths']['lang']=$_LFX_globals->getSetting('dataDir').'/lang';
  }
  $_LFX_lang=&$_LFX['global']['paths']['lang'];
  $_LFX_charset='ISO-8859-1';

  if ($_LFX_tmpURL=$_LFX_globals->getSetting('full_URL')) {
    $_LFX_fullUrl=$_LFX_tmpURL;
  }
  unset($_LFX_tmpURL);

  $_incReq=array('LFX_Basic');
  if (!include($_incMgr)) {
    LFX_prependError('001');
  }
  
  if ($_GET['disposition']=='print') {
    LFX_setDisposition('print');
  } else {
    LFX_setDisposition('browser');
  }


  // Main page (that's what the "true" means)
  $_LFX['page']['this']=new LFX_Page(true,$commandline);
  $_page=&$_LFX['page']['this'];
  $_page->user=new LFX_User;
  if ($_SERVER['PHP_SELF']) {
    if ($_SERVER['QUERY_STRING']) {
      $_page->url=$_SERVER['PHP_SELF'].'?'.$_SERVER['QUERY_STRING'];
    } else {
      $_page->url=$_SERVER['PHP_SELF'];
    }
  } else {
    $_page->url=__FILE__;
  }

  // This block MUST be executed before the login sequence in order to allow
  // registering each module's users for login. It must also be executed before
  // the CLI module investigation code, because application libraries register
  // their own paths at runtime in $_LFX['global']['applications'].
  if (is_array($_LFX['global']['applications'])) {
    reset($_LFX['global']['applications']);
    while (list(,$lfxApp)=each($_LFX['global']['applications'])) {
      if ($lfxApp['app_lib']) {
        require_once($lfxApp['app_lib']);
      }
    }
  }

  if (php_sapi_name()=='cli') {
    // Scripts must register a user ID identifying them in the logs
    $_page->user->id=1;
    // Let's determine the current module: we'll match all paths generated by
    // the included libraries against the calling script's path, and we'll
    // consider to be in the module which has the LONGEST FULL MATCH.
    if (!function_exists('debug_backtrace')) {
      LFX_LogMessage('Function debug_backtrace not found, '.
        'please upgrade your PHP!','warning',NULL,
        'Main library','LFXlib',__FILE__);
    } else {
      $backtrace=debug_backtrace();
      $match=array();
      $myPath=$backtrace[0]['file'];
      reset($_LFX['global']['applications']);
      while(list($moduleName,$moduleData)=@each($_LFX['global']['applications'])) {
        if ((substr($myPath,0,strlen($moduleData['app_path']))==$moduleData['app_path']) &&
        (strlen($moduleData['app_path'])>$match['length'])) {
          $match['length']=strlen($moduleData['app_path']);
          $match['module']=$moduleName;
        }
      }
      if (!$match) {
        $match['module']='LFX';
      }
      $_LFX['global']['application']=$match['module'];
    }
    // You can do command-line specific stuff here
    // Will migrate from $_LFX_ver to $_LFX_installed
  } elseif  ((!$_LFX_ver && !$_LFX_installed) || !$_SERVER['PHP_SELF']) {
    $_page->user->id=1;
  } else {
    session_start();
    // Let's determine the current module: we'll match all entries in LFXlink.php
    // against the current URL, and we'll consider to be in the module which has
    // the LONGEST FULL MATCH.
    reset($_LFX['global']['applications']);
    $match=array();
    $myUrl=$_page->url;
    while(list($moduleName,$moduleData)=@each($_LFX['global']['applications'])) {
      if ((substr($myUrl,0,strlen($moduleData['app_url']))==$moduleData['app_url']) &&
      (strlen($moduleData['app_url'])>$match['length'])) {
        $match['length']=strlen($moduleData['app_url']);
        $match['module']=$moduleName;
      }
    }
    if (!$match) {
      $match['module']='LFX';
    }
    if (($match['module']!='LFX') && (class_exists($myPageClass=$match['module']."_page"))) {
      ob_end_clean();
      $oldpage=$_page;
      $_page=new $myPageClass(true);
      $_page->user=$oldpage->user;
      $_page->url=$oldpage->url;
      unset($oldpage);
    }
    $_LFX['global']['application']=$match['module'];
    // This is the ONLY place where we do the login:
    $_page->user->current();
    // Please note that the above also sets the proper intl options.
  }

  if ($_LFX['global']['application']=='LFX') {
    $_incReq=array('LFX_menu_init');
    include($_incMgr);
  }
  
  $bypassURLs=array(
    "$_LFX_url/logout.php",
    "$_LFX_url/change_pass.php",
    "$_LFX_url/include/lfx.css.php"
  );
  
  if (
    ($_LFX['global']['application']=='LFX') &&
    (!$_page->user->getRights('LFX_Basic_Access','R')) &&
    (!in_array($_page->url,$bypassURLs))
  ) {
    pecho(LFX_startTables('100%'));
    pecho(LFX_swatchHeader(array(
      'title'=>sprintf(__L('You (%s) do not have access to this page.'),
        $_page->user->getNameH())
    )));
    pecho(LFX_endTables());
    $_page->show();
    exit;
  }
  
  register_shutdown_function('LFXlib_shutdown');

  function LFXlib_shutdown()
  {
    $temp=new LFX_Object;
    if ($errors=$temp->getErrorsH()) {
      echo($errors);
    }
  }
?>
