<?

  /**
  * Package Update/Create functions
  * Lucian Silistru <lucian@moongate.ro>, June 2003
  * $Id: LFX_update.php,v 1.2 2004/08/02 11:52:38 bogdan Exp $
  * @package LFX
  */
  
    /**
    * Recursively scans the source directory and (if given) compares files to the
    * ones in the witness direcotry. Also copies new and newer files to output and
    * make an array of actions that will be used to fill upgrade.xml
    * Due to the way it works, the function will also make empty directories 
    * (deleted in scanEmpty())
    */
  function scanSource($src=NULL)
  {
    GLOBAL $output,$copyonly,$witness,$source,$_page,$actXML,$idx;
    $d=opendir($src);
    $diff=substr($src,strlen($source));
    if (!$diff) {
      $slsh='';
    } else {
      $slsh='/';
    }
    while ($dir=readdir($d)) {
      if ($dir=='.' || $dir=='..' || $dir=='CVS' || $dir=='SQL' || substr($dir,0,2)=='.#' || substr($dir,-4,4)=='.bak' || substr($dir,-4,4)=='.old') {
        continue;
      }
      if (is_dir($src.'/'.$dir)) {
        if (!mkdir($output.$diff.'/'.$dir)) {
          return(false);
        } else {
          if (!is_dir($witness.$diff.'/'.$dir)) {
            $actXML[$idx]['type']='make dir';
            $actXML[$idx]['target']=substr($diff,1).$slsh.$dir;
            $idx++;
          }
        }
        scanSource($src.'/'.$dir);        
      } else {
        if ($copyonly) {
          if (!copy($src.'/'.$dir,$output.$diff.'/'.$dir)) {
            return(false);
          } else {
            pecho(LFX_str());
            pecho(LFX_td(sprintf(__L('Copied file %s to %s'),"<b>".stripslashes($src)."/$dir</b>","<b>".stripslashes($output)."$diff/$dir</b>")));
            pecho(LFX_td(__L('New File')));
            pecho(LFX_etr());
            $actXML[$idx]['type']='replace new';
            $actXML[$idx]['target']=substr($diff,1);
            $actXML[$idx]['filename']=$dir;
            $idx++;
          }
        } else {
          if (!is_file($witness.$diff.'/'.$dir)) {
            if (!copy($src.'/'.$dir,$output.$diff.'/'.$dir)) {
              return(false);
            } else {
              pecho(LFX_str());
              pecho(LFX_td(sprintf(__L('Copied file %s to %s'),"<b>".stripslashes($src)."/$dir</b>","<b>".stripslashes($output)."$diff/$dir</b>")));
              pecho(LFX_td(__L('New File')));
              pecho(LFX_etr());
              $actXML[$idx]['type']='replace new';
              $actXML[$idx]['target']=substr($diff,1);
              $actXML[$idx]['filename']=$dir;              
              $idx++;
            }
          } else {
            $fs=get_file_contents($src.'/'.$dir);
            $fw=get_file_contents($witness.$diff.'/'.$dir);
            if (strcmp($fs,$fw)!=0) {
              if (!copy($src.'/'.$dir,$output.$diff.'/'.$dir)) {
                return(false);
              } else {
                pecho(LFX_str());
                pecho(LFX_td(sprintf(__L('Copied file %s to %s'),"<b>".stripslashes($src)."/$dir</b>","<b>".stripslashes($output).substr($diff,1)."/$dir</b>")));
                pecho(LFX_td(__L('New Version')));
                pecho(LFX_etr());
                $actXML[$idx]['type']='replace';
                $actXML[$idx]['target']=substr($diff,1);
                $actXML[$idx]['filename']=$dir;                
                $idx++;
              }
            }
          }
        }        
      }          
    }
    closedir($d);
    scanEmpty($output);
    return(true);
  }
  
    /**
    * Deletes empty directories created by scanSource() and disables their respective
    * entries in the xml array
    */
  function scanEmpty($src)
  {
    GLOBAL $actXML;
    $d=opendir($src);
    $diff=substr($src,strlen($source));
    if (!$diff) {
      $slsh='';
    } else {
      $slsh='/';
    }    
    while ($dir=readdir($d)) {
      if ($dir=='.' || $dir=='..' || $dir=='CVS' || $dir=='SQL') {
        continue;
      }
      if (is_dir($src.'/'.$dir)) {
        $in=opendir($src.'/'.$dir);
        $i=0;
        while($indir=readdir($in)) {
          if ($indir=='.' || $indir=='..' || $indir=='CVS' || $dir=='SQL') {
            continue;
          }          
          $i++;
        }
        closedir($in);
        if ($i) {
          scanEmpty($src.'/'.$dir);
        } else {
          rmdir($src.'/'.$dir);
          for ($i=0;$i<count($actXML);$i++) {
            if ($actXML[$i]['target']==substr($diff,1).$slsh.$dir && $actXML[$i]['type']=='make dir') {
              $actXML[$i]['type']='no';
            }
          }
        }
      }
    }
    closedir($d);    
  }
  
    /**
    * Completes upgrade.xml from an array of the form: 
    * array(
    *   array(
    *     'type'=>     action type - 'make dir', 'replace new' or 'replace' for now
    *     'target'=>   the action's target
    *     'filename'=> if the action if 'replace (new)'
    *   )
    * )
    */
  function completeXML($actions=NULL, $file=NULL)
  {
    GLOBAL $app_text;
    if ($file==NULL) {
      return(false);
    }
    if (!$f=fopen($file,'ab')) {
      return(false);
    }
    for ($i=0;$i<count($actions);$i++) {
      switch ($actions[$i]['type']) {
        case 'make dir':
          fwrite($f,"    <action>\n      <type>make dir</type>\n      <target>".$actions[$i]['target']."</target>\n    </action>\n");
        break;
        case 'replace new':
          fwrite($f,"    <action>\n      <type>replace new</type>\n      <target>".$actions[$i]['target']."</target>\n      <filename>".$actions[$i]['filename']."</filename>\n    </action>\n");
        break;
        case 'replace':
          fwrite($f,"    <action>\n      <type>replace</type>\n      <target>".$actions[$i]['target']."</target>\n      <filename>".$actions[$i]['filename']."</filename>\n    </action>\n");        
        break;
      }
    }
    if ($app_text) {
      fwrite($f,$app_text);
    }
    fwrite($f,"  </actions>\n");
    fwrite($f,'</upgrade>');
    fclose($f);
    return(true);
  }
  
    /**
    * Returns the contents of a file into a string
    */
  function get_file_contents($filename=NULL) 
  {
    if ($filename==NULL || !($fd=fopen($filename, "rb"))) {
      return(false);
    }
    $content=fread($fd, filesize($filename));
    fclose($fd);
    return $content;
  }
  
  function JS_write_help()
  {
    return("
      <script language='javascript'>
        <!--    
          function write_help()
          {
            switch (document.data.tmp_act[document.data.tmp_act.selectedIndex].text) {
              case 'run SQL':
                help='<action>\\n  <type>run SQL</type>\\n  <value></value>\\n</action>\\n'+
                  '".__L('This action executes the SQL given between the two <value> tags.')."';
              break;
              case 'run SQL file':
                help='<action>\\n  <type>run SQL file</type>\\n  <target></target>\\n  <filename></filename>\\n</action>\\n'+
                  '".__L('This action runs all SQL queries in the file given between the <filename> tags. Also, the file must be placed under the Files/<target> directory.')."';
              break;
              case 'make dir':
                help='<action>\\n  <type>make dir</type>\\n  <target></target>\\n</action>\\n'+
                  '".__L('Creates a directory with the <target> path under the installation directory.')."';
              break;
              case 'replace new':
                help='<action>\\n  <type>replace new</type>\\n  <target></target>\\n  <filename></filename>\\n</action>\\n'+
                  '".__L('Copies a file (that is not supposed to exist under install_path/<target>/<filename>) from package_path/<target>/<filename>.')."';
              break;
              case 'replace':
                help='<action>\\n  <type>replace</type>\\n  <target></target>\\n  <filename></filename>\\n</action>\\n'+
                  '".__L('Replaces a file from the install_path/<target>/<filename> with the one in package_path/<target>/<filename>.')."';
              break;
              case 'new actions':
                help='<action>\\n  <type>new actions</type>\\n  <value></value>\\n</action>\\n'+
                  '".__L('Number of new actions (not action types) that are used in upgrade.xml, if new actions are added to the Upgrade Manager.')."';
              break;
              case 'parse init file':
                help='<action>\\n  <type>parse init file</type>\\n  <target></target>\\n  <filename></filename>\\n  <value></value>\\n</action>\\n'+
                  '".__L('Parses file <target>/<filename> searching for lines starting with #LFX*variable_name* and changes these lines with the current variable value.')."';
              break;
              case 'change variable':
                help='<action>\\n  <type>change variable</type>\\n  <target></target>\\n  <filename></filename>\\n  <variable></variable>\\n  <value></value>\\n</action>\\n'+
                  '".__L('Changes variable <variable> from <target>/<filename> to <value>.')."';
              break;
              case 'create permission group':
                help='<action>\\n  <type>create permission group</type>\\n  <name></name>\\n  <comment></comment>\\n  <group_type></group_type>\\n</action>\\n'+
                  '".__L('Creates a group in the database for usage in permission checking.')."';
              break;
              case 'remove':
                help='<action>\\n  <type>remove</type>\\n  <target></target>\\n  <filename></filename>\\n</action>\\n'+
                  '".__L('Removes <filename> from install_path/<target>/')."';
              break;
              default:
                help=\"".__L('Please select an action. This is optional, only use this if you know what you\'re doing.')."\";
            }
            document.data.tmp_help.value=help;
          }
        //-->
      </script>    
    ");
  }
  
  function JS_write_action()
  {
    return("
      <script language='javascript'>
        <!--
          function write_action(type)
          {
            switch (document.data.tmp_act[document.data.tmp_act.selectedIndex].text) {
              case 'run SQL':
                add='    <action>\\n      <type>run SQL</type>\\n      <value></value>\\n    </action>\\n';
              break;
              case 'run SQL file':
                add='    <action>\\n      <type>run SQL file</type>\\n      <target></target>\\n      <filename></filename>\\n    </action>\\n';
              break;
              case 'make dir':
                add='    <action>\\n      <type>make dir</type>\\n      <target></target>\\n    </action>\\n';
              break;
              case 'replace new':
                add='    <action>\\n      <type>replace new</type>\\n      <target></target>\\n      <filename></filename>\\n    </action>\\n';
              break;
              case 'replace':
                add='    <action>\\n      <type>replace</type>\\n      <target></target>\\n      <filename></filename>\\n    </action>\\n';
              break;
              case 'new actions':
                add='    <action>\\n      <type>new actions</type>\\n      <value></value>\\n    </action>\\n';
              break;
              case 'parse init file':
                add='    <action>\\n      <type>parse init file</type>\\n      <target></target>\\n      <filename></filename>\\n      <value></value>\\n    </action>\\n';
              break;
              case 'change variable':
                add='    <action>\\n      <type>change variable</type>\\n      <target></target>\\n      <filename></filename>\\n      <variable></variable>\\n      <value></value>\\n    </action>\\n';
              break;
              case 'create permission group':
                add='    <action>\\n      <type>create permission group</type>\\n      <name></name>\\n      <comment></comment>\\n      <group_type></group_type>\\n    </action>\\n';
              break;
              case 'remove':
                add='    <action>\\n      <type>remove</type>\\n      <target></target>\\n      <filename></filename>\\n    </action>\\n';
              break;
              default:
                add='';
            }
            if (type=='prepend') {
              document.data.prep_text.value+=add;
            } else {
              document.data.app_text.value+=add;
            }
          }
        //-->
      </script>
    ");
  }
?>
