<?
    /**
    * Backup settings
    * Sebastian Pascu <sebi@moongate.ro> March 2005
    * @package LFXlib
    * $Id: index.php,v 1.1 2005/04/01 14:17:46 bogdan Exp $
    */

    $err_span="<span style='color: red; font-size:9pt;'> %s </span>";

    global $_LFX_globals, $_LFX_icon_drop;

    if($custom_paths=$_LFX_globals->getSetting('backup_custom_paths')) {
      $custom_paths=explode(':',$custom_paths);
    } else {
      $custom_paths=array();
    }
        
    if(isset($_POST['add_path'])) {
      $new_path=LFX_Object::gpcUnslash($_POST['new_path']);
      if(!preg_match('/^\/(.+)$/',$new_path)) {
        $errors['new_path']=sprintf($err_span,__L("Custom path is not a complete path)"));
        $error_count++;
      } else {
        $custom_paths[]=$new_path;
        $new_path='';
        $_LFX_globals->saveSetting('backup_custom_paths',implode(':',$custom_paths));
      }
    }

    if(isset($_GET['drop_path'])) {
      $custom_paths=array_diff($custom_paths,array($custom_paths[$_GET['drop_path']]));
      $_LFX_globals->saveSetting('backup_custom_paths',implode(':',$custom_paths));
    }
    
    if(isset($_POST['save'])) {
      if($_POST['inst_name']!='' && $_POST['storage_path']!='' && $_POST['backup_count']!='') {
        $inst_name=$_POST['inst_name'];
        $storage_path=$_POST['storage_path'];
        $backup_count=$_POST['backup_count'];
        $error_count=0;
        if(!preg_match('/^[A-Z0-9a-z#@_-]+$/i',$inst_name)) {
          $errors['inst_name']=sprintf($err_span,__L("Installation name contains illegal characters. Please use only digits, letters, dashes (-) and underscores (_)."));
          $error_count++;
        }
        if(!preg_match('/^\/(.+)$/',$storage_path)) {
          $errors['storage_path']=sprintf($err_span,__L("Storage path is invalid"));
          $error_count++;
        }
        if(!is_numeric($backup_count)) {
          $errors['backup_count']=sprintf($err_span,__L("Please enter a number"));
          $error_count++;
        }
        if(!$error_count) {
          $_LFX_globals->saveSetting('backup_name',$inst_name);
          $_LFX_globals->saveSetting('backup_storage_path',$storage_path);
          $_LFX_globals->saveSetting('backup_count',$backup_count);
        }
      } else {
        pecho(LFX_startTables());
        pecho(LFX_str());
        pecho(LFX_td("Please fill in all fields.",'thead'));
        pecho(LFX_etr());
        pecho(LFX_endTables());
        pecho(LFX_echo("<br>"));
      }
    }

    $inst_name=$_LFX_globals->getSetting('backup_name');
    $storage_path=$_LFX_globals->getSetting('backup_storage_path');
    $backup_count=$_LFX_globals->getSetting('backup_count');
    
    if($custom_paths=$_LFX_globals->getSetting('backup_custom_paths')) {
      $custom_paths=explode(':',$custom_paths);
    } else {
      $custom_paths=array();
    }
    
    $_page->title=__L("Backup settings");
    $_page->menu->focus('LFXlib Backup');

    
    pecho(LFX_sform('index.php'));
    pecho(LFX_startTables());
    pecho(LFX_swatchHeader(array('title'=>__L('LFXlib Backup Settings'))));
    pecho(LFX_str());
    pecho(LFX_std());
    pecho(LFX_startTables('100%'));
    pecho(LFX_str());
    pecho(LFX_rth("Installation name"));
    pecho(LFX_td("<input type='text' size='35' name='inst_name' value='".$inst_name."'><br>".$errors['inst_name']));
    pecho(LFX_estr());
    pecho(LFX_rth(__L("Storage path")));
    pecho(LFX_td("<input type='text' size=35' name='storage_path' value='".$storage_path."'><br>".$errors['storage_path']));
    pecho(LFX_estr());
    pecho(LFX_rth(__L("Backups to keep")));
    pecho(LFX_td("<input type='text' size=35' name='backup_count' value='".$backup_count."'><br>".$errors['backup_count']));
    pecho(LFX_estr());
    pecho(LFX_td(__L("Additional paths to backup"),'thead',NULL,2));
    pecho(LFX_estr());
    pecho(LFX_td("<input type='text' name='new_path' size='35' value='".$new_path."'>&nbsp;<input type='submit' value='".__L("Add")."' name='add_path'><br>".$errors['new_path'],'thead',NULL,2));
    pecho(LFX_estr());
    for($i=0; $i<count($custom_paths); $i++) {
      pecho(LFX_rth(__L("Custom path ").($i+1)));
      pecho(LFX_td($custom_paths[$i].'&nbsp;&nbsp;<a href="?drop_path='.$i.'"><img src="'.$_LFX_icon_drop.'" border="0"></a>'));
      pecho(LFX_estr());
    }
    pecho(LFX_std('thead',NULL,2));
    pecho(LFX_echo("<input type='submit' name='save' value='".__L("Save changes")."'>"));
    pecho(LFX_echo('&nbsp;'));
    pecho(LFX_echo("<input type='reset' name='save' value='".__L("Clear form")."'>"));
    pecho(LFX_etd());
    pecho(LFX_etr());
    pecho(LFX_endTables());
    pecho(LFX_etd());
    pecho(LFX_etr());
    pecho(LFX_endTables());
    
    $_page->show();
?>