<?
  /**
  * The main calendar page
  * Bogdan Stancescu <bogdan@moongate.ro>, April 2004
  * $Id: global_calendar.php,v 1.1 2005/06/09 08:33:37 bogdan Exp $
  * @package LFX
  */
  
  $_page->title=__L('Calendar');

    // We'll do this here, since this menu is included everywhere
  $_incReq=array('LFX_menu_init');
  include($_incMgr);
  $_page->menu->focus('Calendar');

  LFX_include_class('LFX_Global_Calendar');
  $calendar=new LFX_Global_Calendar;
  $calendar->getCalendarData();

  function monthInput($name,$default=NULL)
  {
    $months=array('','January','February','March','April','May','June',
      'July','August','September','October','November','December');
    if ($default=abs($default)) {
      $selected=array($default=>'selected');
    }
    $result=LFX_echo("<select name='$name'>");
    LFX_indent();
    for($i=1;$i<count($months);$i++) {
      $result.=LFX_echo("<option value=$i $selected[$i]>$months[$i]</option>");
    }
    LFX_unindent();
    $result.=LFX_echo("</select>");
    return($result);
  }
  
  if (($action=='delHoliday') && ($id=abs($id))) {
    if (!$_page->user->getRights('LFX_Global_Calendar','W')) {
      pdie(__L("You don't have enough permissions to make changes here."));
    }
    $calEntry=new LFX_Global_Calendar($id);
    $calEntry->delete();
    $calendar->clearCache();
    $calendar->getCalendarData();
  }
  
  if ($submitCalendar) {
    if (!$_page->user->getRights('LFX_Calendar','W')) {
      pdie(__L("You don't have enough permissions to make changes here."));
    }
    for($i=0;$i<7;$i++) {
      $startTime=sprintf('%02d',substr($start[$i],0,-2)).
        sprintf('%02d',substr($start[$i],-2));
      $calendar->calendar_data['weekly_data']['values'][$i]['start_time']=$startTime;
      $endTime=sprintf('%02d',substr($end[$i],0,-2)).
        sprintf('%02d',substr($end[$i],-2));
      $calendar->calendar_data['weekly_data']['values'][$i]['end_time']=$endTime;
      $free=false;
      if ($nonworking[$i]) {
        $free=true;
      }
      $calendar->calendar_data['weekly_data']['values'][$i]['free']=$free;
    }
    if ($new_description && $new_day) {
      $calendar->calendar_data['data'][]=array(
        'date'=>mktime(0,0,0,$new_month,$new_day,$new_year),
        'description'=>LFX_object::gpcUnslash($new_description),
        'recurring'=>($new_recurring?1:0));
    }
    for($i=0;$i<count($entry_id);$i++) {
      for($j=0;$j<count($calendar->calendar_data['data']);$j++) {
        if ($calendar->calendar_data['data'][$j]['entry_id']==$entry_id[$i]) {
          break;
        }
      }
      $calendar->calendar_data['data'][$j]=array(
        'entry_id'=>$entry_id[$i],
        'date'=>mktime(0,0,0,$month[$i],$day[$i],$year[$i]),
        'recurring'=>($recurring[$i]?1:0),
        'description'=>LFX_Object::gpcUnslash($description[$i]));
    }

    $calendar->setCalendarData();
  }
  
  if ($updateRequests) {
    if (!$_page->user->getRights('LFX_Calendar','W')) {
      pdie(__L("You don't have enough permissions to make changes here."));
    }
    LFX_include('HD_Request');
    $req=new HD_Request;
    $req->query("SELECT id FROM requests WHERE next_escalation>NOW() AND status!='resolved'");
    while($req->db->next_record()) {
      $myReq=new HD_Request($req->db->f(0));
      if ($myReq->updateNextEscalation()) {
        $myReq->save();
      }
    }
  }
  
  $wd=$calendar->calendar_data['weekly_data']['values'];
  pecho(LFX_sform("$_LFX_url/calendar/global_calendar.php"));
  pecho(LFX_echo("<table border='0' cellpadding='0' cellspacing='4' width='90%' align='center'>"));
  pecho(LFX_echo("<tr><td width='30%' valign='top'>"));

  // Holidays
  pecho(LFX_startTables('100%'));
  pecho(LFX_swatchHeader(array('title'=>__L('Holidays'))));
  pecho(LFX_str());
  pecho(LFX_td(__L("Holidays can be once per year (e.g. Easter) ".
    "or recurring (e.g. 1st May).").'<br /><small>'.
    __L("The year field is ignored for recurring holidays, but it's mandatory ".
    "for non-recurring ones. Each day of the holidays which span over several ".
    "days must be specified individually.").
    '</small>'));
  pecho(LFX_estr());
  pecho(LFX_echo('<td>'));
  
  pecho(LFX_startTables('100%'));
  pecho(LFX_str());
  pecho(LFX_td(__L('Description'),'thead'));
  pecho(LFX_td(__L('Recurring'),'thead'));
  pecho(LFX_td(__L('Year'),'thead'));
  pecho(LFX_td(__L('Month'),'thead'));
  pecho(LFX_td(__L('Day'),'thead'));
  pecho(LFX_td('','thead'));
  pecho(LFX_estr());
  pecho(LFX_td("<input type='text' size='40' name='new_description'>"));
  pecho(LFX_td("<div align='center'><input type='checkbox' name='new_recurring'></div>"));
  pecho(LFX_td("<div align='center'><input type='text' size='4' name='new_year'></div>"));
  pecho(LFX_td(monthInput('new_month')));
  pecho(LFX_td("<div align='center'><input type='text' size='2' name='new_day'></div>"));
  pecho(LFX_td());
  pecho(LFX_etr());
  $data=$calendar->calendar_data['data'];
  $j=0;
  for($i=0;$i<count($data);$i++) {
    if ($data[$i]['entry_id']==$calendar->calendar_data['weekly_data']['entry_id']) {
      continue;
    }
    pecho(LFX_str());
    pecho(LFX_td("<input type='hidden' name='entry_id[]' value='{$data[$i]['entry_id']}'>".
      "<input type='text' size='40' name='description[]' value='".
      htmlspecialchars($data[$i]['description'],ENT_QUOTES)."'>"));
    pecho(LFX_td("<div align='center'><input type='checkbox' name='recurring[$j]' ".
      ($data[$i]['recurring']?'checked':'')."></div>"));
    $date=getDate($data[$i]['date']);
    pecho(LFX_td("<div align='center'><input type='text' size='4' name='year[]' value='{$date['year']}'></div>"));
    pecho(LFX_td(monthInput('month[]',$date['mon'])));
    pecho(LFX_td("<div align='center'><input type='text' size='2' name='day[]' value='{$date['mday']}'></div>"));
    pecho(LFX_td("<a onclick=\"return confirm('".
       __L('Are you sure you want to delete?')."')\"
       href='$_LFX_url/calendar/global_calendar?".
       "action=delHoliday&amp;id={$data[$i]['entry_id']}'>".
       "<img src='$_LFX_icon_drop' alt='".__L("Remove Holiday").
       "' border='0'></a>"));
    pecho(LFX_etr());
    $j++;
  }
  pecho(LFX_endTables());
  
  pecho(LFX_echo('</td>'));
  pecho(LFX_etr());
  pecho(LFX_endTables());
  
  pecho(LFX_echo("</td></tr>"));
  pecho(LFX_str());
  pecho(LFX_td("<div align='center'>".
    "<input type='submit' name='submitCalendar' value='".__L('Submit changes')."'>".
    "&nbsp;&nbsp;".
    "<input type='submit' name='updateRequests' value='".__L('Update requests')."'>".
    "</div>",NULL,NULL,2));
  pecho(LFX_etr());
  pecho(LFX_echo("</table>"));
  pecho(LFX_eform());

  $_page->show();
?>
