<?
   /**
    *  This file's purpose is to show how to configure LFXLib to manage access and synchronization with a LDAP server.
    *  You must preserve this like an example and copy/paste the code below in your own configuration script.
    *
    *  Andrei Amaritei <aandrei@moongate.ro>, October 2005
    *  $Id: LDAP_demo.ini.php,v 1.1 2005/10/12 13:49:27 bogdan Exp $
    *  @package LFX
    */        
    
    # This is the class that manages ldap.
    LFX_include_class('LFX_LDAP_User');
    
    # Establishing ldap connection only if connection settings were set before.
    $ldap = new LFX_LDAP_User();

    # These are the basic settings for connection. 
    $settings = array(
                      'url'  =>'192.168.0.1',                     # no need for ldap:// extension
                      'port' =>'389',                             # default port no ssl (default port with ssl :636)
                      'dn'   =>'cn=Manager, dc=moongate, dc=ro'
                );


    # this is the ldap schema for users node.
    $schema   = array(
                      'class'            =>'person',                     # objectClass (node) for users
                      'password'         =>'sn',                         # name for password field in ldap schema.
                      'uname'            =>'cn',                         # name for username field in ldap schema.
                      'base_dn'          =>'dc=moongate, dc=ro',
                      'password_hashing' =>'NT'                          # hash type for passwords.
                                                                         # e.g: NT (NT-HASH), LM (LAN-Manager Hash),etc.
                );
            
                
    # This will add the above settings in a xml structure stored in globals table.
    # The Globar Var which manages this is LDAP_Settings.
    # The third param is the ldap connection password stored in LDAP_password global var
    $ldap->ini_ldap_settings($settings, $schema, 'b0gdan');
    
    # This close the ldap connection (if any).
    $ldap->destroy();
?>