<?
  /**
  * LFX_orderArrows demo
  *
  * This is the "hard way" to do this; take a look at the code for
  * LFX_orderArrows_w_page_registerGetVars.php for a more scalable approach
  *
  * Bogdan Stancescu <bogdan@lanifex.com>, November 2004
  * $Id: LFX_orderArrows.php,v 1.2 2005/01/11 14:14:48 bogdan Exp $
  * @package LFX
  */
  
  $_incReq=array('LFX_menu_init');
  include($_incMgr);
  $_page->menu->focus('LFXlib Feature Demonstrations');

  $_page->title='LFX_orderArrows() demo';

  $switch=abs($switch);

  // The base URL of the page
  $baseURL="$_LFX_url/demos/LFX_orderArrows?";

  // We need the base URL of list 2 because this will be the base URL for list 1
  $baseURLon2=LFX_orderArrows($baseURL,'ord2','sort2',NULL,true);
  $baseURLon2=$baseURLon2['currentFullURL'];

  // And now we append the switch state to this base, because it's used
  // independently of the switch link and we only want it to reflect the
  // current state of the switch.
  $baseURLon2.="switch=$switch&amp;";

  // We need the base URL of list 1 because this will be the base URL for list 2
  $baseURLon1=LFX_orderArrows($baseURL,'ord1','sort1',NULL,true);
  $baseURLon1=$baseURLon1['currentFullURL'];

  // And now we append the switch state to this base (see above why)
  $baseURLon1.="switch=$switch&amp;";

  // We need the base URL of BOTH lists combined, because this will be the
  // base URL for the switch link.
  //
  // We do NOT append the switch state to this base, because that's what the
  // switch link itself does.
  $baseURLonLists=LFX_orderArrows($baseURLon2,'ord1','sort1',NULL,true);
  $baseURLonLists=$baseURLonLists['currentFullURL'];

  /*
  
  If you read the documentation for LFX_buildArrows() and you read the comments
  above, then you should already see the pattern: there are three elements in
  this page (List 1, List 2 and the Switch). Each of them issues links which
  affect itself, but which must not affect the other two. Therefore a custom
  base URL needs to be built for each of them. Each one's base URL contains the
  current state of the other two. At this point in the code, we already have
  built the three base URL's -- that's the tricky part. The code below this
  comment is trivial, it just uses the values we prepared above.
  
  The three base URL's are:
  
    * $baseURLon2 reflects the state of list 2 and the state of the switch
      (used as base URL for list 1)
    * $baseURLon1 reflects the state of list 1 and the state of the switch
      (used as base URL for list 2)
    * $baseURLonLists reflects the state of list 1 and list 2
      (used as base URL for the switch link)
      
  That's all there is to it. In practice this becomes even trickier, because
  for n elements you typically need to perform n*(n-1) operations in order to
  build the base URL's of *each* element based on the status of each *other*.
  
  */

  pecho(LFX_startTables());
  pecho(LFX_str());
  pecho(LFX_td('Two lists, independent sorting via LFXlib infrastructure','thead',NULL,2));
  pecho(LFX_estr());
  pecho(LFX_td("<small>This page demonstrates the following:
    <ul>
      <li>Support for arbitrary URL format outside the sorting variables;
      <li>Multi-criteria sorting;
      <li>Multi-list sorting;
      <li>Extra, independent value integrated with the lists (the demo switch)
    </ul>
    Hover any of the arrows or the criteria order indicators (the numbers in brackets) for hints.</small>",NULL,NULL,2));
  pecho(LFX_estr());
  pecho(LFX_td("DEMO switch is $switch (look at the code to see how to build links which don't affect the arrows). <a href='{$baseURLonLists}switch=".(1-$switch)."&amp;'>Switch the switch!</a>",NULL,NULL,2));
  pecho(LFX_estr());
  pecho(LFX_std());

  pecho(LFX_startTables('100%'));
  pecho(LFX_str());
  pecho(LFX_td("LIST 1",'thead',NULL,2));
  pecho(LFX_estr());
  pecho(LFX_rth("ONE"));
  pecho(LFX_td(LFX_orderArrows($baseURLon2,'ord1','sort1','unu')));
  pecho(LFX_estr());
  pecho(LFX_rth("TWO"));
  pecho(LFX_td(LFX_orderArrows($baseURLon2,'ord1','sort1','doi')));
  pecho(LFX_estr());
  pecho(LFX_rth("THREE"));
  pecho(LFX_td(LFX_orderArrows($baseURLon2,'ord1','sort1','trei')));
  pecho(LFX_estr());
  pecho(LFX_rth("FOUR"));
  pecho(LFX_td(LFX_orderArrows($baseURLon2,'ord1','sort1','patru')));
  pecho(LFX_estr());
  pecho(LFX_rth("FIVE"));
  pecho(LFX_td(LFX_orderArrows($baseURLon2,'ord1','sort1','cinci')));
  pecho(LFX_etr());
  pecho(LFX_endTables());

  pecho(LFX_etd());
  pecho(LFX_std());

  pecho(LFX_startTables('100%'));
  pecho(LFX_str());
  pecho(LFX_td("LIST 2",'thead',NULL,2));
  pecho(LFX_estr());
  pecho(LFX_rth("ONE"));
  pecho(LFX_td(LFX_orderArrows($baseURLon1,'ord2','sort2','unu')));
  pecho(LFX_estr());
  pecho(LFX_rth("TWO"));
  pecho(LFX_td(LFX_orderArrows($baseURLon1,'ord2','sort2','doi')));
  pecho(LFX_estr());
  pecho(LFX_rth("THREE"));
  pecho(LFX_td(LFX_orderArrows($baseURLon1,'ord2','sort2','trei')));
  pecho(LFX_estr());
  pecho(LFX_rth("FOUR"));
  pecho(LFX_td(LFX_orderArrows($baseURLon1,'ord2','sort2','patru')));
  pecho(LFX_estr());
  pecho(LFX_rth("FIVE"));
  pecho(LFX_td(LFX_orderArrows($baseURLon1,'ord2','sort2','cinci')));
  pecho(LFX_etr());
  pecho(LFX_endTables());

  pecho(LFX_etd());
  pecho(LFX_etr());
  pecho(LFX_endTables());

  $_page->show();
?>
