<?

  /**
  * This file can be included from any scope, and will properly define
  * global $_LFX['page']['preferred_lang'] for this user. The proper
  * method for doing things is first to try retrieving the user's preferred
  * language from their user data (preflang) and use this method only
  * if that fails, e.g. if the user hasn't set a preferred language,
  * or in the login pages.
  *
  * Bogdan Stancescu <bogdan@lanifex.com>, May 2004
  * $Id: LFX_browser_lang.php,v 1.2 2004/06/18 11:23:34 bogdan Exp $
  * @package LFX
  */

  if (!function_exists('LFX_langSort')) {
    function LFX_langSort($a,$b)
    {
      if ($a['q']==$b['q']) {
        return(0);
      }
      if ($a['q']>$b['q']) {
        return -1;
      } else {
        return 1;
      }
    }
  }

  if (!function_exists('LFX_detectBrowserLang')) {
    function LFX_detectBrowserLang()
    {
      $lang=$_SERVER["HTTP_ACCEPT_LANGUAGE"];
      $langList=explode(',',$lang);
      $myLangs=array();
      for($i=0;$i<count($langList);$i++) {
        $langs=explode(';',$langList[$i]);
        if (!$langs[1]) {
          $langs[1]='q=1';
        }
        if (!preg_match('/^q=[0-9.]+$/',$langs[1])) {
          continue;
        }
        $langs[1]=substr($langs[1],2);
        $myLangs[]=array('lang'=>$langs[0],'q'=>$langs[1]);
      }

      usort($myLangs,'LFX_langSort');
      
      global $_LFX;
      $langObj=new LFX_Language;
      for($i=0;$i<count($myLangs);$i++) {
        $myLang=$myLangs[$i]['lang'];
        if (!($myLangObjs=$langObj->search('code',$myLang))) {
          if (strlen($myLang)==2) {
            $myLangObjs=$langObj->search('code',$myLang.'_'.strToUpper($myLang));
          } else {
            $myLangObjs=$langObj->search('code',substr($myLang,0,2).'_'.strToUpper(substr($myLang,3)));
          }
        }
        if (!$myLangObjs) {
          continue;
        }
        $_LFX['page']['preferred_lang']=$myLangObjs[0];
        break;
      }
      
      if (!$_LFX['page']['preferred_lang']) {
        global $_LFX_globals;
        if ($defaultLang=$_LFX_globals->getSetting('system_language')) {
          if ($langObjs=$langObj->search('code',$defaultLang)) {
            $_LFX['page']['preferred_lang']=$myLangsObjs[0];
          }
        }
      }

      if (!$_LFX['page']['preferred_lang']) {
        if ($langObjs=$langObj->search('code','en_US')) {
          $_LFX['page']['preferred_lang']=$langObjs[0];
        } else {
          $langObjs=$langObj->search();
          for($i=0;$i<count($langObjs);$i++) {
            $myCode=$langObjs[$i]->getAttr('code');
            if(preg_match('/^[a-zA-Z]{2}-[a-zA-Z]{2}$/',$myCode)) {
              $langObjs[$i]->setAttr('code',substr($myCode,0,2).'_'.strtoUpper(substr($myCode,3)));
              $langObjs[$i]->save();
            }
          }
          $langObj->setAttrs(array('code'=>'en_US','name'=>'U.S. English','encoding'=>'ISO-8859-1'));
          $langObj->save();
          $_LFX['page']['preferred_lang']=$langObj;
        }
      }
    }
  }
  
  LFX_detectBrowserLang();
?>
