<?

  /**
  * Lanifex Global Constants
  * Bogdan Stancescu <bogdan@lanifex.com>, November 2002
  * $Id: LFX_constants.php,v 1.4 2004/02/04 14:45:06 bogdan Exp $
  * @package LFX
  */

  // Please make sure you follow these rules when defining
  // new constants here:
  // - always start with LFX_ so we don't clash with other packages' constants
  // - always use a constant "type" identifier after the LFX_
  //   (for instance "ET" for error types and "DL" for debug level as below
  // - this is obvious, but make sure you do define distinct values for
  //   constants in a class.

  // Error Type
  define("LFX_ET_NONE",    -1); // Special case - no errors at all will match this
  define("LFX_ET_CRITICAL", 0);
  define("LFX_ET_MAJOR",    1);
  define("LFX_ET_ERROR",    2);
  define("LFX_ET_WARNING",  3);
  define("LFX_ET_INFO",     4);
  define("LFX_ET_ALL",    100); // Special case - all types will match it

  // Error Layer
  define("LFX_EL_GENERIC",    0<<8);
  define("LFX_EL_DB",         1<<8); // Database error
  define("LFX_EL_GUI",        2<<8); // Graphical User Interface Error
  define("LFX_EL_USER",       3<<8); // Unexpected user input error
  define("LFX_EL_UNEXPECTED", 4<<8); // Unexpected state error
  define("LFX_EL_PERM",       5<<8); // Permissions error
  define("LFX_EL_SC",         6<<8); // SuperClass intrinsic error
  define("LFX_EL_ALL",      255<<8); // Special case - all layers will match it

  // Debug level
  define("LFX_DL_PROD",  0); // Production state - use configuration for error management
  define("LFX_DL_DEBUG", 1); // Debug - show errors instead of e-mailing them
  define("LFX_DL_DEVEL", 2); // Development - show all errors, and don't e-mail
  define("LFX_DL_QUIET", 3); // Quiet - show nothing, mail nothing, stop on nothing

  // Developers
  define("LFX_DV_ANDREI",  10000);
  define("LFX_DV_BERND",   20000);
  define("LFX_DV_BOGDAN",  30000);
  define("LFX_DV_GREGOR",  40000);
  define("LFX_DV_MICHAEL", 50000);
  define("LFX_DV_OLIVER",  60000);
  define("LFX_DV_PAUL",    70000);
?>
