<?
  /**
  * Bogdan Stancescu <bogdan@lanifex.com>
  * April 2002 (original for IDW); November 2002 (modified for LFXlib)
  * $Id: LFX_gui.php,v 1.49 2005/05/31 08:19:04 bogdan Exp $
  * @package LFX
  */


  // Colors that should be used by the LFX code
  $LFX_col_lt="#ffffff";
  $LFX_col_lt_green="#B5F0AF";
  $LFX_col_md="#eeeeee";
  $LFX_col_dk="#cccccc";
  $LFX_col_dk_dk="#000000";

  // LFX common icons
  $_LFX_icon_create="$_LFX_images/plus.gif";
  $_LFX_icon_create_group="$_LFX_images/create_group.gif";
  $_LFX_icon_drop="$_LFX_images/eraser.gif";
  $_LFX_icon_update="$_LFX_images/pencil.gif";
  $_LFX_icon_explain="$_LFX_images/magnifier.gif";
  $_LFX_icon_link="$_LFX_images/link.gif";
  $_LFX_icon_unlink="$_LFX_images/unlink.gif";
  $_LFX_icon_print="$_LFX_images/print.gif";
  $_LFX_icon_history="$_LFX_images/history.gif";
  $_LFX_icon_floppy="$_LFX_images/floppy.gif";
  $_LFX_icon_forum="$_LFX_images/forum.gif";
  $_LFX_icon_tree="$_LFX_images/tree.png";

  $_LFX_icon_fwd="$_LFX_images/fwd.gif";
  $_LFX_icon_ffwd="$_LFX_images/ffwd.gif";
  $_LFX_icon_rew="$_LFX_images/rew.gif";
  $_LFX_icon_frew="$_LFX_images/frew.gif";
  $_LFX_icon_next="$_LFX_images/next.gif";
  $_LFX_icon_prev="$_LFX_images/prev.gif";

  $_LFX_icon_locked="$_LFX_images/locked.gif";
  $_LFX_icon_unlocked="$_LFX_images/unlocked.gif";

  $_LFX_icon_up="$_LFX_images/up_enabled";
  $_LFX_icon_up_disabled="$_LFX_images/up_disabled";
  $_LFX_icon_down="$_LFX_images/down_enabled";
  $_LFX_icon_down_disabled="$_LFX_images/down_disabled";
  
  $_LFX_icon_help="$_LFX_images/icon_help.gif";
  $_LFX_icon_report="$_LFX_images/report.gif";
  
  $_LFX_icon_subscribe="$_LFX_images/subscribe.gif";
  $_LFX_icon_unsubscribe="$_LFX_images/unsubscribe.gif";
  
  $_LFX_icon_email="$_LFX_images/mail.jpeg";

  // Internal colors used by the functions.
  $LFX_col_links="#2020FF";

  $_LFX_swatchIconsLeft=array(
    'link'=>array(
      'icon'=>$_LFX_icon_link,
      'alt'=>'Create link'),
    'create'=>array(
      'icon'=>$_LFX_icon_create,
      'alt'=>'Create new item'),
    'create_group'=>array(
      'icon'=>$_LFX_icon_create_group,
      'alt'=>'Create group'),
    'update'=>array(
      'icon'=>$_LFX_icon_update,
      'alt'=>'Edit data'),
    'locked'=>array(
      'icon'=>$_LFX_icon_locked,
      'alt'=>'Locked item'),
    'unlocked'=>array(
      'icon'=>$_LFX_icon_unlocked,
      'alt'=>'Unlocked item'),
    'files'=>array(
      'icon'=>$_LFX_icon_floppy,
      'alt'=>'Files'),
    'print'=>array(
      'icon'=>$_LFX_icon_print,
      'alt'=>'Print'),
    'forum'=>array(
      'icon'=>$_LFX_icon_forum,
      'alt'=>'Forum'));
  $_LFX_swatchIconsRight=array(
    'drop'=>array(
      'icon'=>$_LFX_icon_drop,
      'alt'=>'Delete item'),
    'unlink'=>array(
      'icon'=>$_LFX_icon_unlink,
      'alt'=>'Delete link'),
    'explain'=>array(
      'icon'=>$_LFX_icon_explain,
      'alt'=>'Show details'),
    'report'=>array(
      'icon'=>$_LFX_icon_report,
      'alt'=>'Create report'),
    'help'=>array());
  $_LFX_swatchIconsAll=array_merge($_LFX_swatchIconsLeft,$_LFX_swatchIconsRight);

    /**
    * Returns a LFX swatch header, complete with the THEAD and TR sections
    * for the table it resides in.
    *
    * Please note you only have to startTables() and immediately afterwards
    * call this - no need for LFX_sthead()!
    *
    * @return string
    */
  function LFX_swatchHeader($params,$visibleTips=false)
  {
    if (LFX_getDisposition()=='print') {
      $param=array('title'=>$params['title']);
      $params=$param;
    }

    global $_LFX_swatchIconsLeft, $_LFX_swatchIconsRight, $_LFX_swatchIconsAll;

    $iconsLeft=$_LFX_swatchIconsLeft;
    $iconsRight=$_LFX_swatchIconsRight;
    $iconsAll=$_LFX_swatchIconsAll;

    $noIcon=true;
    while(list($key)=each($iconsAll)) {
      if (isset($params[$key])) {
        $noIcon=false;
      }
    }

    if ($params['addPadding']) {
      $pad=2;
    } else {
      $pad=0;
    }
    if ($noIcon) {
      if (!$params['addPadding']) {
        $result=LFX_sthead();
        $result.=LFX_td($params['title']);
        $result.=LFX_ethead();
      } else {
        $result.=LFX_str();
        $result.=LFX_echo('<TD>');
        $result.=LFX_echo('<TABLE BORDER="0" CELLPADDING="'.$pad.'" CELLSPACING="0" WIDTH="100%">');
        $result.=LFX_sthead();
        $result.=LFX_td($params['title'],NULL,NULL,NULL,NULL,'100%');
        $result.=LFX_ethead();
        $result.=LFX_echo('</TABLE>');
        $result.=LFX_echo('</TD>');
        $result.=LFX_etr();
      }
      return($result);
    }
    $result=LFX_sthead();
    $result.=LFX_echo('<TD ALIGN="center" STYLE="text-align: center">');
    $result.=LFX_echo('<TABLE BORDER="0" CELLPADDING="'.$pad.'" CELLSPACING=0>');
    $result.=LFX_echo('<TR>');
    LFX_indent();
    while(list($key,$val)=each($iconsLeft)) {
      if (isset($params[$key])) {
        if (is_array($params[$key])) {
          $link_val=$params[$key][0];
          $alt_val=$params[$key][1]?$params[$key][1]:$val['alt'];
        } else {
          $link_val=$params[$key];
          $alt_val=$val['alt'];
        }
        $tmp='<img src="'.$val['icon'].'" alt="'.($alt=__L($alt_val)).'" border=0>';
        if ($visibleTips) {
          $tmp.=' '.$alt;
        }
        if ($link_val) {
          $tmp="<A HREF='{$link_val}' title='$alt'>$tmp</A>&nbsp;";
        }
        $result.=LFX_td($tmp);
      }
    }

    $result.=LFX_echo("<TD WIDTH='100%' VALIGN='middle'>{$params['title']}</td>");

    // Special cases...
    unset($iconsRight['drop'],$iconsRight['help']);

    if (isset($params['drop'])) {
      global $_LFX_icon_drop;
      if (is_array($params['drop'])) {
        $link_val=$params['drop'][0];
        $alt_val=$params['drop'][1]?$params['drop'][1]:__L('Delete');
      } else {
        $link_val=$params['drop'];
        $alt_val='Delete';
      }      
      $tmp="<img src='$_LFX_icon_drop' alt='".__L($alt_val)."' border='0'>";      
      if ($params["drop"]) {
        $tmp="<A onClick=\"return confirm('Are you sure you want to delete?')\" HREF='{$link_val}'>$tmp</A>";
      }
      $result.=LFX_td($tmp);
    }
    while(list($key,$val)=each($iconsRight)) {
      if (isset($params[$key])) {
        if (is_array($params[$key])) {
          $link_val=$params[$key][0];
          $alt_val=$params[$key][1]?$params[$key][1]:$val['alt'];
        } else {
          $link_val=$params[$key];
          $alt_val=$val['alt'];
        }        
        $tmp='<img src="'.$val['icon'].'" ALT="'.($alt=__L($alt_val)).'" BORDER=0>';
        if ($visibleTips) {
          $tmp.=' '.$alt;
        }
        if ($link_val) {
          $tmp="&nbsp;<A HREF='{$link_val}' TITLE='$alt'>$tmp</A>";
        }
        $result.=LFX_td($tmp);
      }
    }
    if (isset($params['help'])) {
      $help=new DMO_Help();
      $result.=LFX_td($help->icon($params['help']));
    }
    LFX_unindent();
    $result.=LFX_echo("</TR>");
    $result.=LFX_echo("</TABLE>");
    $result.=LFX_echo("</TD>");
    $result.=LFX_ethead();
    return($result);
  }

  /**
  * This library contains LFXlib GUI functions.
  * Please note these functions return HTML strings instead
  * of outputting them.
  * These are the de facto standard functions to use for all
  * modules using LFXlib.
  */
    /**
    * Returns a confirmation message properly formatted.
    *
    * @param string $message the message to display
    * @return string HTML string
    */
  function LFX_confirm($message)
  {
    return("<div align=\"center\">\n".
    "<b>$message</b><br>\n".
    "</div>\n");
  }

    /**
    * OBSOLETE: Echoes an error. Please use $_page->addError()
    * for generic code and $this->addError() for SC descendants instead.
    *
    * @param string $message the error message
    * @param integer $id the ID of the error
    * @param integer $prior the priority of this message
    * @return string HTML string
    */
  function LFX_error($message,$id=-1,$prior=65535)
  {
    if ($id!=-1)
    {
      $echo_id=" #$id";
    }
    return("<div align=\"center\">\n".
    "<b>ERROR$echo_id:</b> $message<br>\n".
    "</div>\n");
  }

    /**
    * Returns all the tags needed for starting a page.
    * Should not be used directly - use the $_page mechanisms
    * and functions (pecho() and pdie()) and $_page->show() will
    * take care of this.
    *
    * @param string $stylesheet an optional CSS stylesheet to be used by this page
    * @param string $extra optional HTML (probably JavaScript)
    *   to insert between </HEAD> and <BODY>
    * @return string HTML string
    */
  function LFX_startPage($extra="",$stylesheet="")
  {
    global $LFXT_title, $LFX_col_links, $LFX_col_dk, $LFX_col_md, $LFX_col_lt, $LFX_col_dk_dk, $LFX_col_lt_green;
    if (is_array($LFXT_title)) {
      $theTitle=$LFXT_title[$interface];
    } else {
      $theTitle=$LFXT_title;
    }

    LFX_indent();
    // Sorry I commented this out because it was screwing up in-line css style declarations, like : <td style="backgroud-color:'#F0F0F0'">
    // "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\" \"http://www.w3.org/TR/html4/loose.dtd\">\n".
    return(
    "<HTML>\n".
    "<HEAD>\n".
    "  <TITLE>LFX - $theTitle</TITLE>\n".
    "  <META HTTP-EQUIV=\"Content-Type\" CONTENT=\"text/html; charset=iso-8859-1\">\n".
  "<STYLE type=\"text/css\">
    FORM {
      display:inline;
    }
    H1 {
      font-family: Verdana, Arial, Helvetica, sans-serif;
      font-size: 18pt;
      text-decoration: none;
      color: #000000;
      text-align: center
    }
    A {
      font-family: Verdana, Arial, Helvetica, sans-serif;
      font-size: 10pt;
      text-decoration: none;
      color: $LFX_col_links;
      font-weight: bold
    }
    BODY {
      font-family: Verdana, Arial, Helvetica, sans-serif;
      font-size: 10pt;
      text-decoration: none;
      color: #000000;
      margin: 0
    }
    TD {
      font-family: Verdana, Arial, Helvetica, sans-serif;
      font-size: 10pt;
      text-decoration: none;
      color: #000000;
      text-align: left;
      background-color: $LFX_col_lt
    }
    THEAD TD {
      font-family: Verdana, Arial, Helvetica, sans-serif;
      font-size: 10pt;
      text-decoration: none;
      color: #000000;
      font-weight: bold;
      text-align: center;
      background-color: $LFX_col_dk
    }
    TH {
      font-family: Verdana, Arial, Helvetica, sans-serif;
      font-size: 10pt;
      text-decoration: none;
      color: #000000;
      font-weight: bold;
      text-align: right;
      background-color: $LFX_col_md
    }
    .green {
      font-family: Verdana, Arial, Helvetica, sans-serif;
      font-size: 10pt;
      text-decoration: none;
      color: #000000;
      text-align: left;
      background-color: $LFX_col_lt_green
    }
    .red {
      font-family: Verdana, Arial, Helvetica, sans-serif;
      font-size: 10pt;
      text-decoration: none;
      color: #000000;
      text-align: left;
      background-color: red
    }
    .orange {
      font-family: Verdana, Arial, Helvetica, sans-serif;
      font-size: 10pt;
      text-decoration: none;
      color: #000000;
      text-align: left;
      background-color: orange
    }
    .tbg {
      background-color: $LFX_col_dk_dk
    }
    .thead {
      font-family: Verdana, Arial, Helvetica, sans-serif;
      font-size: 10pt;
      text-decoration: none;
      color: #000000;
      font-weight: bold;
      text-align: center;
      background-color: $LFX_col_dk
    }
    .tfname {
      font-family: Verdana, Arial, Helvetica, sans-serif;
      font-size: 10pt;
      text-decoration: none;
      color: #000000;
      font-weight: bold;
      text-align: right;
      background-color: $LFX_col_md
    }
    .tfexplain {
      font-family: Verdana, Arial, Helvetica, sans-serif;
      font-size: 8pt;
      text-decoration: none;
      color: #000000;
      text-align: right;
      background-color: $LFX_col_md
    }
    .tright {
      font-family: Verdana, Arial, Helvetica, sans-serif;
      font-size: 8pt;
      text-decoration: none;
      color: #000000;
      text-align: right;
    }
    .tfexplainleft {
      font-family: Verdana, Arial, Helvetica, sans-serif;
      font-size: 8pt;
      text-decoration: none;
      color: #000000;
      text-align: left;
      background-color: $LFX_col_md
    }
    .tfinput {
      font-family: Verdana, Arial, Helvetica, sans-serif;
      font-size: 10pt;
      text-decoration: none;
      color: #000000;
      font-weight: bold;
      text-align: left;
      background-color: $LFX_col_lt
    }
    .tfinputgreen {
      font-family: Verdana, Arial, Helvetica, sans-serif;
      font-size: 10pt;
      text-decoration: none;
      color: #000000;
      font-weight: bold;
      text-align:
      left; background-color: $LFX_col_lt_green
    }
    TABLE.withborder {
      margin: 0;
      border: 1 px;
      border-color: $LFX_col_dk_dk
    }
    .fullheight {
      margin: 0;
      border: 0;
      padding: 0;
      height: 100%
    }
  </STYLE>\n".
		(empty($stylesheet) ? "" :
      "  <link rel=\"stylesheet\" media=\"screen\" type=\"text/css\" href=\"$stylesheet\" title=\"normal\"/>\n"
    ).
    "\n</HEAD>\n".
    $extra.
    "<BODY>\n");
  }

  function LFX_default_skin_startPage($extra="")
  {
    return("<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0 Transitional//EN\" \"http://www.w3.org/TR/REC-html40/loose.dtd\">\n".
    "<HTML>\n".
    "<HEAD>\n".
    "  <TITLE>LFX - Frame</TITLE>\n".
    "  <META HTTP-EQUIV=\"Content-Type\" CONTENT=\"text/html; charset=iso-8859-1\">\n".
    "  <STYLE type=\"text/css\">

    .small {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 8pt; text-decoration: none; color: #000000; font-weight: normal; text-align: center; background-color: $LFX_col_dk}
    a.small:hover {color:#aa0000; text-decoration : underline;}
    
    .big {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 9pt; text-decoration: none; color: #000000; font-weight: bold; text-align: center; background-color: $LFX_col_dk}
    a.big:hover {color:#aa0000;}

    .big_white {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 9pt; text-decoration: none; color: #000000; font-weight: bold; text-align: center; background-color: $LFX_col_dk}
    a.big_white:hover {color:#FFFFFF;}

    TD {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 10pt; text-decoration: none; color: #000000; background-color: $LFX_col_md}

    .submenu1 {position: absolute; width:200px; visibility:hidden; z-index:2; padding:2px;left:10px; top:100px;}

  </STYLE>".
    "\n</HEAD>\n".
    $extra);
  }

    /**
    * This function starts a HEADER ROW
    *
    * In other words, it returns a <THEAD><TR> - and cells under
    * <THEAD> have a CSS style of their own, so please use this
    * instead of hardcoding the THEAD class in {@link LFX_td} calls.
    * Use {@link LFX_ethead} to close the tags opened by this function.
    */
  function LFX_sthead()
  {
    global $LFX_HTML_indent;
    $return="$LFX_HTML_indent<THEAD>\n$LFX_HTML_indent<TR>\n";
    LFX_indent();
    return($return);
  }

    /**
    * This function closes whatever tags {@link LFX_sthead} opens.
    */
  function LFX_ethead()
  {
    global $LFX_HTML_indent;
    LFX_unindent();
    return("$LFX_HTML_indent</TR>\n$LFX_HTML_indent</THEAD>\n");
  }

    /**
    * This function returns a whole table ROW HEADER in one go.
    *
    * A picture is worth a thousand words, so here's an example
    * table to identify the row headers:
    * +---------------+-------+-------------------+
    * | Attribute     | Value | Function          |
    * +---------------+-------+-------------------+
    * | FG_Color (*)  | Red   | Reverse(BG_Color) |
    * +---------------+-------+-------------------+
    * | BG_Color (*)  | Green | Constant          |
    * +---------------+-------+-------------------+
    * The fields marked with (*) above are row headers. This function
    * actually has the exact same functionality as {@link LFX_td} but
    * instead of TD the tag is TH, and a "scope=row" value is added.
    */
  function LFX_rth($content=NULL, $class=NULL, $nowrap=NULL, $colspan=NULL, $rowspan=NULL,$width=NULL,$height=NULL)
  {
    global $LFX_HTML_indent;
    if ($class) {
      $class=" CLASS=\"$class\"";
    } else {
      $class="";
    }
    if ($width) {
      $width=" WIDTH=\"$width\"";
    } else {
      $width="";
    }
    if ($height) {
      $height=" HEIGHT=\"$height\"";
    } else {
      $height="";
    }
    if ($nowrap) {
      $nowrap=" NOWRAP";
    } else {
      $nowrap="";
    }
    if ($colspan) {
      $colspan=" COLSPAN=\"$colspan\"";
    } else {
      $colspan="";
    }
    if ($rowspan) {
      $rowspan=" ROWSPAN=\"$rowspan\"";
    } else {
      $rowspan="";
    }
    if ($content===NULL) {
      $content="&nbsp;";
    }
    return("$LFX_HTML_indent<TH SCOPE=\"row\"$class$width$height$nowrap$colspan$rowspan>$content</TH>\n");
  }

    /**
    * This function returns all the tags needed to end a page started with
    * {@link LFX_startPage}. Just as LFX_startPage(), you shouldn't need
    * to call this directly - $_page->show() will take care of this too.
    *
    * @return string HTML string
    */
  function LFX_endPage()
  {
    return("</BODY>\n</HTML>\n");
  }

  function LFX_default_skin_endPage()
  {
    return("</BODY>\n</HTML>\n");
  }

    /**
    * Returns exactly the string you pass, but indented correctly
    * within the HTML source.
    *
    * @param string $HTML the HTML to indent
    * @return string HTML string
    */
  function LFX_echo($HTML)
  {
    global $LFX_HTML_indent;
    return($LFX_HTML_indent.$HTML."\n");
  }

    /**
    * This returns nothing - it just increments the LFXlib GUI functions
    * HTML indent by one. Unindent with {@link LFX_unindent}.
    *
    * @param string $varname if you want to use proprietary indenting,
    *   specify the variable name which contains the indent here.
    */
  function LFX_indent($varname="LFX_HTML_indent")
  {
    global $$varname;
    $$varname.="  ";
  }

    /**
    * The exact opposite of {@link LFX_intent} - decreases the LFXlib GUI
    * functions HTML indent by one.
    *
    * @param string $varname if you want to use proprietary indenting,
    *   specify the variable name which contains the indent here.
    */
  function LFX_unindent($varname="LFX_HTML_indent")
  {
    global $$varname;
    $$varname=substr($$varname,0,-2);
  }

    /**
    * Returns a table <tr> start tag and indents HTML by one.
    * End this with a {@link LFX_etr}
    *
    * @param string $class an optional CSS class name for this row
    * @return string HTML string
    */
  function LFX_str($class='')
  {
    global $LFX_HTML_indent;

    if ($class) {
      $result="$LFX_HTML_indent<TR CLASS='$class'>\n";
    } else {
      $result="$LFX_HTML_indent<TR>\n";
    }
    LFX_indent();
    return($result);
  }

    /**
    * Returns a table </tr> tag and unindents HTML.
    * Start this with a {@link LFX_str}
    *
    * @return string HTML string
    */
  function LFX_etr()
  {
    global $LFX_HTML_indent;
    LFX_unindent();

    return("$LFX_HTML_indent</TR>\n");
  }

    /**
    * Performs a {@link LFX_etr} and a {@link LFX_str} in one go.
    *
    * @return string HTML string
    */
  function LFX_estr()
  {
    return(LFX_etr().LFX_str());
  }

    /**
    * Returns the start of a form and indents HTML by one.
    *
    * Close this with {@link LFX_eform}
    *
    * This method also stores the form name in global $_LFX_last_form and
    * stacks imbricated forms in global $_LFX_form_names. Please note that
    * HTML doesn't allow imbricated forms, this functionality is provided
    * so you can imbricate forms in distinct environments within code
    * (e.g. Start a form on the page, then compose an e-mail which contains
    * a form. Ending the e-mail form with {@link LFX_eform} will properly
    * retrieve the page form name, and ending that will clear the stack.)
    *
    * More about the tags in a form here:
    *   {@link http://www.w3.org/TR/html4/interact/forms.html#h-17.3}
    *
    * @param string $action the content of the ACTION parameter
    * @param string $method the content of the METHOD parameter
    * @param string $name the content of the NAME parameter
    * @param string $onSubmit the content of the onSubmit parameter
    * @param string $encType the content of the ENCTYPE parameter
    * @return string HTML string
    */
  function LFX_sform($action="", $method="POST", $name="", $onSubmit="", $enctype="")
  {
    global $_LFX_form_names,$_LFX_last_form;
    $result=LFX_echo("<FORM ".
      ($name?"NAME=\"$name\" ":"").
      "ACTION=\"$action\" METHOD=\"$method\"".
      ($onSubmit?" onSubmit=\"$onSubmit\"":"").
      ($enctype?" ENCTYPE=\"$enctype\"":"").
      ">");
    LFX_indent();
    if ($_LFX_form_names) {
      array_push($_LFX_form_names,$_LFX_last_form);
    } elseif ($_LFX_last_form) {
      $_LFX_form_names=array($_LFX_last_form);
    }
    $_LFX_last_form=$name;
    return($result);
  }

    /**
    * Ends a form started by {@link LFX_sform} and unindents by one.
    *
    * @return string HTML string
    */
  function LFX_eform()
  {
    global $_LFX_form_names,$_LFX_last_form;
    LFX_unindent();
    if ($_LFX_form_names) {
      $_LFX_last_form=array_pop($_LFX_form_names);
    } else {
      unset($_LFX_last_form);
    }
    return(LFX_echo("</FORM>"));
  }

    /**
    * Returns a whole <td>...</td> tag in one go
    * More on the HTML TD tag here: {@link http://www.w3.org/TR/html4/struct/tables.html#h-11.2.6}
    *
    * @param string $content HTML to be enclosed between the <td> and </td>
    * @param string $class the content of the CLASS parameter
    * @param boolean $nowrap obsolete by W3C standards but supported by
    *   browsers - if true, the text in this cell won't wrap
    * @param integer $colspan the content of the COLSPAN parameter
    * @param integer $rowspan the content of the ROWSPAN parameter
    * @param string $width the content of the WIDTH parameter
    * @param string $height the contant of the HEIGHT parameter
    *   (avoid using this - it's rendered inconsistently by browsers)
    * @return string HTML string
    */
  function LFX_td($content=NULL, $class=NULL, $nowrap=NULL, $colspan=NULL, $rowspan=NULL,$width=NULL,$height=NULL)
  {
    global $LFX_HTML_indent;
    if ($class) {
      $class=" CLASS=\"$class\"";
    } else {
      $class="";
    }
    if ($width) {
      $width=" WIDTH=\"$width\"";
    } else {
      $width="";
    }
    if ($height) {
      $height=" HEIGHT=\"$height\"";
    } else {
      $height="";
    }
    if ($nowrap) {
      $nowrap=" NOWRAP";
    } else {
      $nowrap="";
    }
    if ($colspan) {
      $colspan=" COLSPAN=\"$colspan\"";
    } else {
      $colspan="";
    }
    if ($rowspan) {
      $rowspan=" ROWSPAN=\"$rowspan\"";
    } else {
      $rowspan="";
    }
    if ($content===NULL) {
      $content="&nbsp;";
    }
    return("$LFX_HTML_indent<TD$class$width$height$nowrap$colspan$rowspan>$content</TD>\n");
  }

    /**
    * Returns the start of a LFXlib tableset.
    * End this with a {@link LFX_endTables}
    *
    * @param string $width the width of the table - try using relative
    *   widths (in percents) as opposed to fixed widths (in pixels)
    * @param string $class a class name to be associated with the table
    * @noPadding boolean if true (or evaluating true) then the table
    *   is created with cellpadding=0. Otherwise the default 2 is used.
    * @return string HTML string
    */
  function LFX_startTables($width=NULL, $class=NULL, $noPadding=NULL)
  {
    global $LFX_HTML_indent;
    if ($class!==NULL) {
      $class=" class='$class'";
    } else {
      $class="";
    }
    if ($noPadding) {
      $pad=0;
    } else {
      $pad=2;
    }
    if ($width===NULL) {
      if (LFX_getDisposition()=='print') {
        $global_name='default_print_table_width';
      } elseif (LFX_getDisposition()=='email') {
        $global_name='default_email_table_width';
      } else {
        $global_name='default_table_width';
      }
      global $_LFX;
      $tmp=new LFX_global();
      $tmp->global_module=$_LFX['global']['application'];
      if (!$width=$tmp->getSetting($global_name)) {
        $width='80%';
      }
    }

    $result="$LFX_HTML_indent<DIV ALIGN='center'>\n";
    if (!in_array(LFX_getDisposition(),array('print','email'))) {
      $result.="$LFX_HTML_indent<TABLE WIDTH='$width' BORDER='0' CELLSPACING='0' CELLPADDING='0'$class><TR><TD>\n";
      $result.="$LFX_HTML_indent<TABLE WIDTH='100%' BORDER='0' CELLSPACING='0' CELLPADDING='0'$class><TR><TD CLASS=\"tbg\">\n";
      $result.="$LFX_HTML_indent<TABLE WIDTH='100%' BORDER='0' CELLSPACING='1' CELLPADDING='$pad'$class>\n";
    } else {
      // This isn't nice but it seems that IE doesn't render the gaps for print so...
      $result.="$LFX_HTML_indent<TABLE WIDTH='$width' BORDER='1' CELLSPACING='0' CELLPADDING='$pad'>\n";
    }
    LFX_indent();
    return($result);
  }

    /**
    * Returns the closing tags matching the ones started by {@link LFX_startTables}
    *
    * @return string HTML string
    */
  function LFX_endTables()
  {
    global $LFX_HTML_indent;
    LFX_unindent();

    if (!in_array(LFX_getDisposition(),array('print','email'))) {
      return(
        "$LFX_HTML_indent</TABLE>\n".
        "$LFX_HTML_indent</TD></TR></TABLE>\n".
        "$LFX_HTML_indent</TD></TR></TABLE>\n".
        "$LFX_HTML_indent</DIV>\n"
      );
    } else {
      return(
        "$LFX_HTML_indent</TD></TR></TABLE>\n".
        "$LFX_HTML_indent</DIV>\n"
      );
    }
  }

    /**
    * Returns a LFXlib page title. You don't generally need to use
    * this directly - $_page->show() will echo it if $_page->title is
    * set properly AND if $_page->noTitle is not true.
    *
    * @param string $title the actual title - do not include formatting HTML
    *   tags such as <B> or <I>
    * @return string HTML string
    */
  function LFX_mainTitle($title)
  {
    return("<h1>$title</h1>\n");
  }

  // ---------------------------------------------
  // Added by Andrei Tinca, for generating reports
  // ---------------------------------------------

    /**
    * The start page tags for reports
    *
    * @return string HTML string
    */
  function LFX_report_startPage($extra="")
  {
    global $LFXT_title, $LFX_col_links, $LFX_col_dk, $LFX_col_md, $LFX_col_lt, $LFX_col_dk_dk, $LFX_col_lt_green;
    if (is_array($LFXT_title)) {
      $theTitle=$LFXT_title[$interface];
    } else {
      $theTitle=$LFXT_title;
    }
    $html.=("<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0 Transitional//EN\" \"http://www.w3.org/TR/REC-html40/loose.dtd\">\n");
    $html.=("<HTML>\n");
    $html.=("<HEAD>\n");
    $html.=("  <TITLE>LFX - $theTitle</TITLE>\n");
    $html.=("  <META HTTP-EQUIV=\"Content-Type\" CONTENT=\"text/html; charset=iso-8859-1\">\n");
    $html.="
  <STYLE type='text/css'>
    H1 {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 18pt; text-decoration: none; color: #000000; text-align: center}
    A {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 10pt; text-decoration: none; color: $LFX_col_links; font-weight: bold}
    BODY {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 10pt; text-decoration: none; color: #000000}
    TD {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 10pt; text-decoration: none; color: #000000; text-align: left; background-color: $LFX_col_md}
    .tbg {background-color: $LFX_col_dk_dk }
    .thead {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 10pt; text-decoration: none; color: #000000; font-weight: bold; text-align: center; background-color: $LFX_col_dk}
    .tfname {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 10pt; text-decoration: none; color: #000000; font-weight: bold; text-align: right; background-color: $LFX_col_md}
    .tfexplain {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 8pt; text-decoration: none; color: #000000; text-align: right; background-color: $LFX_col_md}
    .tfexplainleft {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 8pt; text-decoration: none; color: #000000; text-align: left; background-color:  $LFX_col_md}
    .tfinput {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 10pt; text-decoration: none; color: #000000; font-weight: bold; text-align: left; background-color: $LFX_col_lt}
    .tfinputgreen {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 10pt; text-decoration: none; color: #000000; font-weight: bold; text-align: left; background-color: $LFX_col_lt_green}
  </STYLE>";
    $html.=("\n</HEAD>\n");
    $html.=($extra);
    $html.=("<BODY>\n");
    LFX_indent();
    return $html;
  }

    /**
    * The end page for reports
    *
    * @return string HTML string
    */
  function LFX_report_endPage()
  {
    $html.=("</BODY>\n");
    $html.=("</HTML>\n");
    return $html;
  }

    /**
    * Start tables for reports
    *
    * @return string HTML string
    */
  function LFX_report_startTables($width="780")
  {
    global $LFX_HTML_indent;
    $html=("$LFX_HTML_indent<div class='regular' align='left'>\n");
    $html.=("$LFX_HTML_indent<table width=\"$width\" border='1' cellspacing='0' cellpadding='2'>\n");
    LFX_indent();
    return $html;
  }

    /**
    * End tables for reports
    *
    * @return string HTML string
    */
  function LFX_report_endTables()
  {
    global $LFX_HTML_indent;
    LFX_unindent();
    $html.=("$LFX_HTML_indent</table>\n");
    $html.=("$LFX_HTML_indent</div>\n");
    return $html;
  }

    /**
    * Start a <tr> tag for reports
    *
    * @return string HTML string
    */
  function LFX_report_str()
  {
    global $LFX_HTML_indent;

    $html=("$LFX_HTML_indent<TR>\n");
    LFX_indent();
    return $html;
  }

    /**
    * End a <tr> tag for reports
    *
    * @return string HTML string
    */
  function LFX_report_etr()
  {
    global $LFX_HTML_indent;
    LFX_unindent();
    $html.=("$LFX_HTML_indent</tr>\n");
    return $html;
  }

    /**
    * A <td>...</td> for reports
    *
    * @return string HTML string
    */
  function LFX_report_td($content, $width="", $class="", $nowrap=false, $colspan="1", $rowspan="1" )
  {
    global $LFX_HTML_indent;

    $html=("$LFX_HTML_indent<td  class=\"$class\" width=\"$width\" colspan=$colspan>$content &nbsp;</td>\n");
    return $html;
  }

    /**
    * Will add $HTML to $_page->content
    */
  function pecho($HTML)
  {
    global $_page;
    $_page->content.=$HTML;
  }

    /**
    * Use this instead of exit.
    *
    * This will add the $HTML to $_page->content, show the page and exit.
    * Much nicer than doing all those by hand, and conceptually identical to
    * the generic die()
    */
  function pdie($HTML=NULL)
  {
    global $_page;
    $_page->show();
    if ($HTML!==NULL) {
      echo("
      <script language='JavaScript'>
      <!--
        alert(\"".
          str_replace("'",'"+String.fromCharCode(39)+"',
            str_replace('"','\\"',str_replace('\\','\\\\',$HTML).'\n'.
            '__________\n'.
            __L('This was a fatal error which caused the page to abort.').
            '\n'.__L('Please fix the error and try again.'))
          )
        ."\");
      //-->
      </script>
      ");
    }
    exit;
  }

    /**
    * Pass it a class name as produced by get_class and it will
    * return a nicely capitalized class name.
    *
    * The class name you provide must be of the form "module_class_optional"
    * and it will return "MODULE_Class_optional" (the second underscore and
    * the text after it is optional - you generally have class names with only one
    * underscore.
    *
    * @return string HTML
    */
  function niceClass($class)
  {
    if (is_object($class)) {
      $class=get_class($class);
    }
    $niceName=explode("_",$class);
    $first=array_shift($niceName);
    $niceName=strtoupper($first)."_".ucfirst(implode("_",$niceName));
    return($niceName);
  }

    /**
    * This function fits the text you pass in the respective number
    * of characters by replacing extra characters with a reasonable
    * number of periods. It will generally produce meaningful results.
    *
    * @param string $text the text to trim
    * @param integer $max the maximum number of characters to return
    * @return string the trimmed text
    */
  function niceTrim($text, $max)
  {
    $max=(int) $max;
    $tl=strlen($text); // "Text length"
    if ($tl<=$max) {
      return($text);
    }
    if ($max>4) {
      $todel=$tl-$max+3;
      $delpos1=ceil(($tl-$todel)/2);
      $delpos2=floor(($tl-$todel)/2);
      $tstr=substr($text,0,$delpos1).'...';
      $tstr.=substr($text,-$delpos2);
      return($tstr);
    }
    if ($max>2) {
      return(substr($text,$max-2)."..");
    }
    return(substr($text,$max));
  }

    /**
    * Converts a number of bytes in a human-friendly size.
    *
    * @param integer $asize the size in bytes to be rendered (e.g. 1024)
    * @return string the human-formatted size (e.g. "1 KB")
    */
  function niceSize($asize,$force=false) {
    if (!$asize) {
      $asize=0;
    }
    $atype="bytes";
    if ($asize>1024) {
      $asize=$asize/1024;
      $atype="KB";
    }
    if ($asize>1024) {
      $asize=$asize/1024;
      $atype="MB";
    }
    if ($asize>1024) {
      $asize=$asize/1024;
      $atype="GB";
    }
    if ($asize>1024) {
      $asize=$asize/1024;
      $atype="TB";
    }
    if ($atype!="bytes") {
      return(sprintf(__L("%0.2f $atype"),$asize));
    } else {
      return(sprintf(__L("%d $atype"),$asize));
    }
  }

    /**
    * A function to easily render a dropdown control. The only tricky element
    * in the parameter list is $entries which must be an indexed array of
    * associative arrays with (at least one of) two keys: 'value', which
    * controls the HTML value for each element in the dropdown, and 'display',
    * which controls the string being shown in the dropdown visually.
    * If one of the values is missing, the other one is used.
    * If both are missing, the entry is skipped. If the $entries parameter is
    * not an array or is an empty array, a predefined string is returned -- this
    * is NOT meant to be left this way, it's only meant to draw the developer's
    * attention towards the issue.
    * Both the two keys in the $entries arrays, along with $name and $onChange
    * are HTML-escaped using htmlspecialchars(...,ENT_QUOTES). $extra is NOT
    * escaped, that would've defeated its purpose -- so YOU must take care of
    * properly escapting that one.
    *
    * @param string $name the HTML control's name (i.e. <select name='$name'>)
    * @param array $entries the dropdown entries, see the function docs
    * @param mixed $selected the 'value' of the element(s) to be selected;
    *   can be either a string, in which case that single value is matched,
    *   or it can be an array of strings, in which case all values are matched
    *   (useful for "multiple" SELECT's in HTML, which you can force via the
    *   $extra parameter)
    * @param string $onChange the JavaScript code to perform when a different
    *   element is selected
    * @param string $extra extra HTML tags to be included in the control
    *   (i.e. <select name='$name' onChange='$onChange'>)
    * @return string the control rendered in HTML
    */
    
  function LFX_dropdownH($name,$entries,$selected=NULL,$onChange=NULL,$extra='')
  {
    if (!$entries || !is_array($entries)) {
      return('No entries in this dropdown!');
    }
    $result='';
    if ($onChange) {
      $onChange=" onChange=\"".htmlspecialchars($onChange)."\"";
    } else {
      $onChange='';
    }
    if ($extra) {
      $extra=' '.$extra;
    } else {
      $extra='';
    }
    $result.=LFX_echo("<SELECT NAME='".htmlspecialchars($name,ENT_QUOTES)."'$onChange$extra>");
    LFX_indent();
    for($i=0;$i<count($entries);$i++) {
      $entry=$entries[$i];
      if (!is_array($entry)) {
        $entry=array('display'=>$entry,'value'=>$entry);
      }
      if (!isset($entry['display']) && !isset($entry['value'])) {
        continue;
      }
      if (!isset($entry['display'])) {
        $entry['display']=$entry['value'];
      }
      if (!isset($entry['value'])) {
        $entry['value']=$entry['display'];
      }
      if (
        (!is_array($selected) && $entry['value']==$selected) ||
        ( is_array($selected) && in_array($entry['value'],$selected))
      ) {
        $selectedH=' selected';
      } else {
        $selectedH='';
      }
      $result.=LFX_echo("<OPTION VALUE='".
        htmlspecialchars($entry['value'],ENT_QUOTES)."'$selectedH>".
        htmlspecialchars($entry['display'],ENT_QUOTES)."</option>");
    }
    LFX_unindent();
    $result.=LFX_echo("</SELECT>");
    return($result);
  }
  
    /**
    * Starts a <td> tag. Same parameters as for LFX_td(), except the first one.
    * Close this tag with LFX_etd().
    * More on the HTML TD tag here: {@link http://www.w3.org/TR/html4/struct/tables.html#h-11.2.6}
    *
    * @param string $class the content of the CLASS parameter
    * @param boolean $nowrap obsolete by W3C standards but supported by
    *   browsers - if true, the text in this cell won't wrap
    * @param integer $colspan the content of the COLSPAN parameter
    * @param integer $rowspan the content of the ROWSPAN parameter
    * @param string $width the content of the WIDTH parameter
    * @param string $height the contant of the HEIGHT parameter
    *   (avoid using this - it's rendered inconsistently by browsers)
    * @return string HTML string
    */
  function LFX_std($class=NULL, $nowrap=NULL, $colspan=NULL, $rowspan=NULL,$width=NULL,$height=NULL)
  {
    global $LFX_HTML_indent;
    if ($class) {
      $class=" CLASS=\"$class\"";
    } else {
      $class="";
    }
    if ($width) {
      $width=" WIDTH=\"$width\"";
    } else {
      $width="";
    }
    if ($height) {
      $height=" HEIGHT=\"$height\"";
    } else {
      $height="";
    }
    if ($nowrap) {
      $nowrap=" NOWRAP";
    } else {
      $nowrap="";
    }
    if ($colspan) {
      $colspan=" COLSPAN=\"$colspan\"";
    } else {
      $colspan="";
    }
    if ($rowspan) {
      $rowspan=" ROWSPAN=\"$rowspan\"";
    } else {
      $rowspan="";
    }
    if ($content===NULL) {
      $content="&nbsp;";
    }
    $result=LFX_echo("<TD$class$width$height$nowrap$colspan$rowspan>");
    LFX_indent();
    return($result);
  }
  
    /**
    * Ends a tag started with LFX_std()
    */
  function LFX_etd()
  {
    LFX_unindent();
    $result=LFX_echo('</TD>');
    return($result);
  }
  
    /**
    * Turns an arbitrary string into a JavaScript-safe string by escaping
    * the double quotes and replacing the single quotes with their ASCII code
    * equivalent via JavaScript's functions.
    *
    * In order for this function to work properly, the resulting string MUST
    * be enclosed in DOUBLE quotes within JavaScript
    * (i.e. echo("onClick=alert(\"$result\")") instead of
    * echo("onClick=alert('$result')"))
    *
    * @param string $original The original string to parse
    * @return string The JavaScript-safe string
    */
  function LFX_safeJSString($original)
  {
    return(
      str_replace("'",'"+String.fromCharCode(39)+"',
        str_replace('"','\\"',
          str_replace('\\','\\\\',
            $original
          )
        )
      )
    );
  }
  
    /**
    * A function which builds multi-criterial order arrows for lists.
    *
    * All URL's (both incoming and outgoing) are expected to end with the
    * proper termination to allow direct appending of variables
    * (i.e. the last thing MUST be either "?" or "&amp;")
    *
    * For a demonstration of this function in action, go to
    * LFXlib/demos/LFX_orderArrows.php
    *
    * For the $orderVar and $criteriaVar values shown in this example,
    * the current ordering would be done first ascending by date_added and then
    * descending on the e-mail address. The resulting ordering arrows
    * would alter that state.
    *
    * @param string $currentURL the current URL of this page, excluding
    *   this ordering list (e.g. "$_LFX_url/access_manager/people_list?pg_size=10&amp;"
    * @param string $orderVar the name of the variable which stores the
    *   ordering direction. This should be a 1-based global indexed array with
    *   values "up" or "down" (e.g. 'ord' if $ord==array(1=>'up',2=>'down'))
    * @param string $criteriaVar the name of the variable which stores the
    *   ordering criterias. This should be a 1-based global indexed array with
    *   values corresponding to your custom criterias (e.g. 'sort' if
    *   $sort==array(1=>'date_added',2=>'email').
    * @param string $thisCriteria the criteria which affects this particular
    *   pair of order arrows. (e.g. 'email' or 'first_name')
    * @param boolean $fullInfo this parameter affects the result of this function.
    *   If it's false or not present, the function simply returns the HTML
    *   to render the pair of arrows associated with this criteria. If it's
    *   true, then more extended information is returned in an array.
    *
    * @return mixed depending on the value of parameter $fullInfo, the result
    *   is either a plain HTML string which represents the current pair of
    *   arrows, or an associative array with the following structure:
    *     array(
    *       'html' => the same HTML as returned by default,
    *       'currentURL' => the part of the current URL associated with this
    *         ordering list -- for the example above, this would be
    *         "ord[1]=up&amp;sort[1]=date_added&amp;ord[2]=down&amp;sort[2]=email"
    *       'currentFullURL' => this is simply the $currentURL value you passed
    *         to this function with the previous value appended, so you don't
    *         have to perform this operation explicitly (this is usually what
    *         you need).
    *     )
    *   The extended information is needed when you have more than one
    *   list, or when you have some other links in the page which point
    *   to the same page, but alter some variables independent of the arrows.
    *   In that case you need to go with your base URL through all "other"
    *   lists or links and pass it to "this" list. Check the demo source code
    *   for more hands-on information.
    *
    */
  function LFX_orderArrows($currentURL,$orderVar,$criteriaVar,$thisCriteria,$fullInfo=false)
  {
    // --------------- INITIALIZATION ---------------
    global $$orderVar, $$criteriaVar,
      $_LFX_icon_up_disabled,  $_LFX_icon_up,
      $_LFX_icon_down_disabled,$_LFX_icon_down;
      
    // Idiotnic PHP, my version won't work if I work long enough
    // directly with $$orderVar[$thisCriteriaID] (wasted an hour
    // to figure that one out). A few operations work fine, and at some
    // point it stops recognizing values in the arrays.
    // Sounds unbelievable but it's true, checked thoroughly.
    $ov=$orderVar;
    $ovv=$$orderVar;
    $cv=$criteriaVar;
    $cvv=$$criteriaVar;

    // TO DO: Detect the current module and use its arrows; maybe we should
    // define these values in a global array, so they're more flexible?
    // e.g. $_LFX['global']['application']['DMO']['icons']['up']
    $icon_up=$_LFX_icon_up;
    $icon_down=$_LFX_icon_down;
    $icon_up_disabled=$_LFX_icon_up_disabled;
    $icon_down_disabled=$_LFX_icon_down_disabled;
    
    if (!is_array($ovv)) {
      $ovv=array();
    }
    if (!is_array($cvv)) {
      $cvv=array();
    }
    $orderURL='';
    reset($cvv);
    $thisCriteriaID=0;
    
    $title=array(
      'add'=>"ADD CRITERIA: click to add a new sorting criteria",
      'remove'=>"REMOVE CRITERIA: click to remove this sorting criteria",
      'switch'=>"SWITCH CRITERIA: click to switch this sorting criteria's order",
      'solo'=>"SOLO CRITERIA: click to remove all other sorting criterias"
    );
    
    while(list($key,$val)=each($title)) {
      $title[$key]=__L($title[$key]);
      $title[$key]=str_replace("'","&#39;",$title[$key]);
    }
    
    // --------------- DONE INITIALIZATION ---------------
    
    for($i=1;$i<=count($cvv);$i++) {
      $iconUp=$icon_up;
      $iconDown=$icon_down;
      if ($cvv[$i]==$thisCriteria) {
        $thisCriteriaID=$i;
        continue;
      }
      $orderURL.=$ov."[".$i."]=".$ovv[$i]."&amp;";
      $orderURL.=$cv."[".$i."]=".$cvv[$i]."&amp;";
      if (!$thisCriteriaID) {
        $orderURLshifted=$orderURL;
      } else {
        $orderURLshifted.=$ov."[".($i-1)."]=".$ovv[$i]."&amp;";
        $orderURLshifted.=$cv."[".($i-1)."]=".$cvv[$i]."&amp;";
      }
    }

    $baseURL=$orderURL;
    if ($thisCriteriaID) {
      // Default is down
      if ($ovv[$thisCriteriaID]=='up') {
        $upArrowH="<a title='{$title['remove']}' href='$currentURL$orderURLshifted''><img src='$icon_up_disabled' border='0'></a>";
        $downArrowH="<a title='{$title['switch']}' href='$currentURL$orderURL$ov"."[$thisCriteriaID]=down&amp;$cv"."[".$thisCriteriaID."]=$thisCriteria&amp;'><img src='$icon_down' border='0'></a>";
        $baseURL.=$ov."[$thisCriteriaID]=up&amp;".$cv."[$thisCriteriaID]=$thisCriteria&amp;";
      } else {
        $upArrowH="<a title='{$title['switch']}' href='$currentURL$orderURL$ov"."[".$thisCriteriaID."]=up&amp;$cv"."[".$thisCriteriaID."]=$thisCriteria&amp;'><img src='$icon_up' border='0'></a>";
        $downArrowH="<a title='{$title['remove']}' href='$currentURL$orderURLshifted'><img src='$icon_down_disabled' border='0'></a>";
        $baseURL.=$ov."[$thisCriteriaID]=down&amp;".$cv."[$thisCriteriaID]=$thisCriteria&amp;";
      }
      $keyInfo="&nbsp;(<a title='{$title['solo']}' href='$currentURL$ov"."[1]=".$ovv[$thisCriteriaID]."&amp;$cv"."[1]=$thisCriteria&amp;'>$thisCriteriaID</a>)&nbsp;";
    } else {
      $upArrowH="<a title='{$title['add']}' href='$currentURL$orderURL$ov"."[$i]=up&amp;$cv"."[$i]=$thisCriteria&amp;'><img src='$icon_up' border='0'></a>";
      $downArrowH="<a title='{$title['add']}' href='$currentURL$orderURL$ov"."[$i]=down&amp;$cv"."[$i]=$thisCriteria&amp;'><img src='$icon_down' border='0'></a>";
      $keyInfo="&nbsp;";
    }

    if (!$fullInfo) {
      return($upArrowH.$keyInfo.$downArrowH);
    } else {
      return(array(
        'html'=>$upArrowH.$keyInfo.$downArrowH,
        'currentURL'=>$baseURL,
        'currentFullURL'=>$currentURL.$baseURL
      ));
    }
  }
  
    /**
    * This function properly formats a GET variable parameter, in that it
    * makes sure that it ends with "&amp;".
    *
    * All GET vars are stored internally as if they are links, in the
    * "URL?var1=val1&amp;var2=val2&amp;". That way HTML DTD validity is
    * ensured, if you need the proper URL format (for instance for redirects),
    * then you will surely notice that this format doesn't work and will
    * perform the necessary str_replace() yourself.
    *
    * This function appends an "&amp;" if needed, or replaces an existing
    * final "&" with an "&amp;".
    *
    * @param string $parameter the parameter to format
    * @return string the formatted parameter
    */
  function LFX_formatGetVar($parameter)
  {
    if (substr($parameter,-5)!='&amp;') {
      if (substr($parameter,-1)=='&') {
        $parameter=substr($parameter,-1);
      }
      $parameter.='&amp;';
    }
    return($parameter);
  }
  
    /**
    * This function returns a CSS class name to be used for this row
    * in the list. The function should only be called once per row, because
    * it uses an internal counter which gets incremented at every call.
    *
    * Example:
    * < ?
    *   pecho(LFX_startTables());
    *   pecho(LFX_str());
    *   pecho(LFX_td('i','thead'));
    *   pecho(LFX_td('i*2','thead'));
    *   pecho(LFX_td('i*3','thead'));
    *   pecho(LFX_td('i*i','thead'));
    *   pecho(LFX_etr());
    *   for($i=0;$i<10;$i++) {
    *     $class=LFX_getNextListRowClass();
    *     pecho(LFX_estr());
    *     pecho(LFX_td($i,$class));
    *     pecho(LFX_td($i*2,$class));
    *     pecho(LFX_td($i*$i,$class));
    *   }
    *   pecho(LFX_etr());
    *   pecho(LFX_endTables());
    * ? >
    *
    * @return string the CSS class name for this row
    */
  function LFX_getNextListRowClass()
  {
    global $_LFX;
    // current row count
    $rc=(int) $_LFX['page']['list_row_count'];
    if ($rc % 2) {
      $class='list1';
    } else {
      $class='list2';
    }
    $_LFX['page']['list_row_count']++;
    return($class);
  }
  
  function LFX_setDisposition($disposition)
  {
    global $_LFX;
    $_LFX['page']['disposition']=$disposition;
  }
  
  function LFX_getDisposition()
  {
    global $_LFX;
    return($_LFX['page']['disposition']);
  }
  
  function LFX_pushDisposition($disposition)
  {
    global $_LFX;
    if (!$_LFX['page']['disposition_history']) {
      $_LFX['page']['disposition_history']=array();
    }
    array_push($_LFX['page']['disposition_history'],$_LFX['page']['disposition']);
    LFX_setDisposition($disposition);
  }
  
  function LFX_popDisposition()
  {
    global $_LFX;
    if (!$_LFX['page']['disposition_history']) {
      $_LFX['page']['disposition_history']=array();
      LFX_setDisposition('browser');
    }
    LFX_setDisposition(array_pop($_LFX['page']['disposition_history']));
  }
  
  function LFX_Message($message)
  {
    $result='';
    $result.=LFX_startTables();
    $result.=LFX_swatchHeader(array('title'=>$message));
    $result.=LFX_endTables();
    $result.=LFX_echo("<br />");
    return($result);
  }
  
  /**
  * This function will focus the first element in the
  * first form in the document (if there are any).
  * Remember you must call it AFTER having outputted
  * the form
  */
  
  function LFX_form_focus()
  {
    $return='<script>
             if (document.forms) {
               document.forms[0].elements[0].focus();
             }
             </script>';
    return($return);
  }
?>
