<?

  /**
  * The LFX menu initialization script
  * Bogdan Stancescu <bogdan@lanifex.com>, April 2003
  * $Id: LFX_menu_init.php,v 1.16 2005/11/28 09:23:51 bogdan Exp $
  * @package LFX
  */

  LFX_include_class('LFX_Menu');

  $subPresets=array(
    array(
      'title'  => 'All Subscriptions',
      'tip'    => 'Browse all subscriptions; all other elements on this menu level are browsing presets',
      'url'    => "$_LFX_url/subscription",
      'access' => array('group'=>'LFX_Subscription')
    )
  );
  $d=dir("$_LFX_path/subscription/presets");
  while($file=$d->read()) {
    if (strtolower(substr($file,-4))!='.php') {
      continue;
    }
    $myPreset=substr($file,0,-4);
    $subPresets[]=array(
      'title' => $myPreset,
      'url'   => "$_LFX_url/subscription/?preset=$myPreset",
      'access' => array('group'=>'LFX_Subscription')
    );
  }

  if (is_array($_LFX['global']['applications'])) {
    reset($_LFX['global']['applications']);
    while (list(,$lfxApp)=each($_LFX['global']['applications'])) {
      if ($lfxApp['app_lib']) {
        $applications[]=array(
          'title' => $lfxApp['app_name'],
          'url'   => $lfxApp['app_url']
        );
      }
    }
  }
  
  $menu_structure=array(
    array(
      'title'    => 'System and Configuration',
      'tip'      => 'Various tools which allow you to configure the LFXlib system',
      'url'      => "$_LFX_url/?focus=System and Configuration",
      'children' => array(
        array(
          'title'    => 'Access Manager',
          'tip'      => 'The Access Manager - configure users and groups',
          'url'      => "$_LFX_url/access_manager",
          'access'   => array('group'=>'LFX_Access'),
          'children' => array(
            array(
              'title'    => 'Users',
              'tip'      => 'The user list',
              'url'      => "$_LFX_url/access_manager/user_list",
              'access'   => array('group'=>'LFX_Access')
            ),
            array(
              'title'    => 'Groups',
              'tip'      => 'The group list',
              'url'      => "$_LFX_url/access_manager/group_list",
              'access'   => array('group'=>'LFX_Access')
            ),
            array(
              'title'    => 'XML Group Import',
              'tip'      => 'Import Groups From XML',
              'url'      => "$_LFX_url/access_manager/group_import",
              'access'   => array('group'=>'LFX_Access')
            ),
            array(
              'title'    => 'XML Group Synchronize',
              'tip'      => 'Synchronize groups with external XML export',
              'url'      => "$_LFX_url/access_manager/group_synch",
              'access'   => array('group'=>'LFX_Access')
            )
          )
        ),
        array(
          'title'    => 'Subscriptions',
          'tip'      => 'Configure system subscriptions',
          'url'      => "$_LFX_url/subscription",
          'access'   => array('group'=>'LFX_Subscription'),
          'children' => $subPresets
        ),
        array(
          'title'    => 'Translations',
          'tip'      => 'Manage the translations in the system',
          'url'      => "$_LFX_url/translation",
          'access'   => array('group'=>'LFX_Translation'),
          'children' => array(
            array(
              'title'    => 'Language Management',
              'tip'      => 'Language Management',
              'url'      => "$_LFX_url/translation/index.php/languages",
              'access'   => array('group'=>'LFX_Translation')
            ),
            array(
              'title'    => 'Translate',
              'tip'      => 'Translate messages',
              'url'      => "$_LFX_url/translation/index.php/translation",
              'access'   => array('group'=>'LFX_Translation')
            ),
            array(
              'title'    => 'Traslation new',
              'tip'      => 'New interface for translations',
              'url'      => "$_LFX_url/translation/index.php/translation_new",
              'access'   => array('group'=>'LFX_Translation')
            ),
            array(
              'title'    => 'Character Mapping',
              'tip'      => 'Character Mapping',
              'url'      => "$_LFX_url/translation/index.php/mapping",
              'access'   => array('group'=>'LFX_Translation')
            ),
            array(
              'title'    => 'Translation Engine',
              'tip'      => 'Translation Engine',
              'url'      => "$_LFX_url/translation/index.php/engine",
              'access'   => array('group'=>'LFX_Translation')
            )
          )
        ),
        array(
          'title'    => 'Globals',
          'tip'      => 'Manage the system globals',
          'url'      => "$_LFX_url/GlobalsManager",
          'access'   => array('group'=>'LFX_Globals'),
          'children' => array(
            array(
              'title'    => 'View list',
              'tip'      => 'View system globals',
              'url'      => "$_LFX_url/GlobalsManager/index/list",
              'access'   => array('group'=>'LFX_Globals')
            ),
            array(
              'title'    => 'Import',
              'tip'      => 'Import system globals',
              'url'      => "$_LFX_url/GlobalsManager/index/import",
              'access'   => array('group'=>'LFX_Globals')
            ),
            array(
              'title'    => 'Synchronize',
              'tip'      => 'Synchronize system globals',
              'url'      => "$_LFX_url/GlobalsManager",
              'access'   => array('group'=>'LFX_Globals')
            )
          )
        ),
        array(
          'title'    => 'Reporting',
          'tip'      => 'System reports',
          'url'      => "$_LFX_url/reporting/report_viewer.php",
          'access'   => array('group'=>'LFX_Reporting')
          // Please note however that the code for permissions checking is
          // duplicated in the pages themselves for reporting, because they
          // still use frames!
        ),
        array(
          'title'    => 'Report Settings',
          'tip'      => 'System Report Settings',
          'url'      => "$_LFX_url/reporting/params/list.php",
          'access'   => array('group'=>'LFX_Reporting'),
          'children' => array(
            array(
              'title'    => 'Report Parameters',
              'tip'      => 'View/Modify Report Parameters And Report Parameters Links',
              'url'      => "$_LFX_url/reporting/params/report_param_list.php",
              'access'   => array('group'=>'LFX_Reporting'),
            ),
            array(
              'title'    => 'Generic Report Parameters',
              'tip'      => 'View/Modify Report Parameters',
              'url'      => "$_LFX_url/reporting/params/list.php",
              'access'   => array('group'=>'LFX_Reporting'),
            ),
            array(
              'title'    => 'Report Presets',
              'tip'      => 'View/Modify Report Presets',
              'url'      => "$_LFX_url/reporting/presets/list.php",
              'access'   => array('group'=>'LFX_Reporting')
            )
          )
          // Please note however that the code for permissions checking is
          // duplicated in the pages themselves for reporting, because they
          // still use frames!
        ),
        array(
          'title'    => 'Document Types',
          'tip'      => 'Manage the document types and icons supported by the system',
          'url'      => "$_LFX_url/doctypes.php",
          'access'   => array('group'=>'LFX_DocTypes'),
          'children' => array(
            array(
              'title'    => 'View list',
              'tip'      => 'Manage the document types and icons supported by the system',
              'url'      => "$_LFX_url/doctypes.php",
              'access'   => array('group'=>'LFX_DocTypes')
            ),
            array(
              'title'    => 'Import',
              'tip'      => 'Manage the document types and icons supported by the system',
              'url'      => "$_LFX_url/doctype_import.php",
              'access'   => array('group'=>'LFX_DocTypes')
            ),
            array(
              'title'    => 'Synchronize',
              'tip'      => 'Manage the document types and icons supported by the system',
              'url'      => "$_LFX_url/doctype_export.php",
              'access'   => array('group'=>'LFX_DocTypes')
            )
          )
        ),
        array(
          'title'    => 'Calendar',
          'tip'      => 'Manage the system calendar',
          'url'      => "$_LFX_url/calendar",
          'access'   => array('group'=>'LFX_Calendar')
        ),
        array(
          'title'     => 'SQL Operations',
          'tip'       => 'SQL Operations',
          'access'    => 'LFX_SQL_Ops',
          'url'       => "$_LFX_url/sql_diff",
          'children'  => array(
            array(
              'title'    => 'SQL Diff Tool',
              'tip'      => 'Diff, patch or export SQL structures',
              'url'      => "$_LFX_url/sql_diff",
              'access'   => array('group'=>'LFX_SQL_Diff')
            ),
            array(
              'title'    => 'SQL Structure Dump',
              'tip'      => 'Dump sql structure for every application using LFXlib',
              'url'      => "$_LFX_url/sql_structure",
              'access'   => array('group'=>'LFX_SQL_Dump')
            )
          )
        ),
        array(
          'title'    => 'LFXlib Backup',
          'tip'      => 'Backup database and files',
          'url'      => "$_LFX_url/backup",
          'access'   => array('group'=>'LFX_Backup')
        ),
        /*
        array(
          'title'    => 'Build Packages',
          'tip'      => 'Build packages for release',
          'url'      => "$_LFX_url/PackageManager",
          'access'   => array('group'=>'LFX_Package')
        ),
        array(
          'title'    => 'Upgrades',
          'tip'      => 'Upgrade the system',
          'url'      => "$_LFX_url/UpgradeManager",
          'access'   => array('group'=>'LFX_UpgradeManager')
        ),
        */
        array(
          'title'    => 'Synchronization',
          'tip'      => 'Synchronize your globals, groups and MIME types with a repository',
          'url'      => "$_LFX_url/synchronization",
          'access'   => array('group'=>'LFX_Synchronization'),
          'children' => array(
            array(
              'title'    => 'Synchronize',
              'tip'      => 'Synchronize',
              'url'      => "$_LFX_url/synchronization/",
              'access'   => array('group'=>'LFX_Synchronization')
            ),
            array(
              'title'    => 'Import',
              'tip'      => 'Import',
              'url'      => "$_LFX_url/synchronization/index/import",
              'access'   => array('group'=>'LFX_Synchronization')
            ),
            array(
              'title'    => 'Export',
              'tip'      => 'Export',
              'url'      => "$_LFX_url/synchronization/index/export",
              'access'   => array('group'=>'LFX_Synchronization')
            )
          )
        ),
        array(
          'title'    => 'Scheduler',
          'tip'      => 'Scheduler creator',
          'url'      => "$_LFX_url/Scheduler/run.php",
          'access'   => array('group'=>'LFX_Scheduler')
        ),
      )
    ),
    array(
      'title'      => 'Development and Audit',
      'tip'        => 'Internal tools for development and system audit',
      'url'        => "$_LFX_url/?focus=Development and Audit",
      'children'   => array (
        array(
          'title'    => 'Class Consistency',
          'tip'      => 'Check the class consistency across the system',
          'url'      => "$_LFX_url/util/consist_show_criminal.php",
          'access'   => array('group'=>'LFX_ConsistencyChecker')
        ),
        array(
          'title'    => 'Groups Cycles Check',
          'tip'      => 'Tool for checking cycles through groups of users',
          'url'      => "$_LFX_url/util/showGroupCycles.php",
          'access'   => array('group'=>'LFX_CyclesCheck')
        ),
        array(
          'title'    => 'Data Dumper',
          'tip'      => 'Dump data from the LFXlib system',
          'url'      => "$_LFX_url/util/dump.php",
          'access'   => array('group'=>'LFX_Dump')
        ),
        array(
          'title'    => 'Email Sender',
          'tip'      => 'Email Sender',
          'url'      => "$_LFX_url/util/emailSender.php",
          'access'   => array('group'=>'LFX_EmailSender')
        ),
        array(
          'title'    => 'Debug Level',
          'tip'      => 'Set your debug level',
          'url'      => "$_LFX_url/util/setDebug.php",
          'access'   => array('group'=>'LFX_DebugLevel')
        ),
        array(
          'title'    => 'PHP Information',
          'tip'      => 'Find out information about the current PHP installation',
          'url'      => "$_LFX_url/util/phpinfo.php",
          'access'   => array('group'=>'LFX_PHPinfo')
        ),
        array(
          'title'    => 'Audit Log',
          'tip'      => 'View the system audit log',
          'url'      => "$_LFX_url/util/audit_log_viewer.php",
          'access'   => array('group'=>'LFX_AuditLog')
        ),
        array(
          'title'    => 'Messages Log',
          'tip'      => 'View the system messages log',
          'url'      => "$_LFX_url/util/message_log_viewer.php",
          'access'   => array('group'=>'LFX_MessageLog')
        ),
        array(
          'title'    => 'LFXlib Feature Demonstrations',
          'tip'      => 'Sample code for several LFXlib features',
          'url'      => "$_LFX_url/demos",
          'access'   => array('group'=>'LFX_Demonstrations')
        )
      )
    ),
    array(
      'title'    => 'Applications',
      'tip'      => 'Other applications',
      'url'      => $_LFX_url.'/other_applications.php',
      'children' => $applications
    )
  );

  $menu_structure[]=array(
    'title' => 'Change Password',
    'tip'   => 'Change your password',
    'url'   => "$_LFX_url/change_pass.php"
  );
  $menu_structure[]=array(
    'title' => 'Log Out',
    'tip'   => 'Log out of LFXlib and all modules',
    'url'   => "$_LFX_url/logout.php"
  );

  if (!$hideLFXlibMenu) {
    $_page->menu=new LFX_Menu($menu_structure);
  } else {
    $lfxlib_menu=new LFX_Menu($menu_structure);
  }
  
  unset($menu_structure);
?>
