<?

  /**
  * This is the LFX Application class
  * $Id: LFX_applications.php,v 1.2 2005/01/11 14:23:27 bogdan Exp $
  * @when Andrei Dec 2002
  * @package LFX
  */


  _checkMeOut(__FILE__);

  $result=array("LFX_Object");
  if (!_checkIncludes($result)) {
    return($result);
  }

  class LFX_Applications extends LFX_Object
  {

      /**
      * Class constructor
      */

    function LFX_Applications($id=0)
    {
      $this->LFX_object($id);

      $tmp["app_name"]=
      $tmp["app_version"]=
      $tmp["dir"]=
      $tmp["upgraded"]=
      array();

      // == DEFINING FIELDS ==
      $tmp["app_name"]['fld_name']='name';
      $tmp['app_version']['fld_name']='version';
      
      // == DEFINING FLAGS ==
      $tmp['upgraded']['sqlDate']=true;
      $tmp['upgraded']['forceSave']=true;
      
      $this->dataStructure=array(
        "table_name" => "applications",
          "id_field" => "id",
            "fields" => $tmp
      );
      
      $this->fillDataStructure();
    }
    
    /**
    * Method to compare two version numbers.
    *
    * This is needed because string comparison isn't always accurate:
    * "4.0.2">"4.0.12" as strings, although that's not true when
    * speaking of comparing versions.
    *
    * For the results to make sense, you must think about it this way:
    * compare the current version of a product ('reference version') to
    * an arbitrary version of the same product ('compare version'). The
    * result is the "vector slope sgn()" for a vector starting from the
    * reference and pointing to the compare version,
    * if you were to draw a chart representing the current version to the left.
    *
    * Please note that this method does NOT make the proper distinction between
    * "4.0 Alpha", "4.0 Beta", "4.0 RC1" and "4.0"!
    *
    * @param string $refVer the reference version
    * @param string $cmpVer the version to compare
    * @return integer -1 if the reference version is newer, 0 if they're
    *   the same, or 1 if the reference version is older
    */
    
    function compareVersions($refVer,$cmpVer)
    {
      $refver=trim($refVer);
      $cmpVer=trim($cmpVer);
      if ($refVer==$cmpVer) {
        return(0);
      }
      $reference=explode(".",$refVer);
      $compare=explode(".",$cmpVer);
      for ($i=0;$i<min(count($reference),count($compare));$i++) {
        if ((int) $reference[$i]==(int) $compare[$i]) {
          continue;
        } elseif ((int) $reference[$i]>(int)$compare[$i]) {
          return(-1);
        } else {
          return(1);
        }
      }
      
      /*

      We can only reach this point if all the common version components are
      identical. But there may still be differences:

      Example 1: comparing "4.0.1" to "4.0" would be identical for now,
        but should finally yield -1

      Example 2: comparing "4.0" to "4.0.1" - identical for now,
        but should finally yield 1
        
      However, there might also NOT be differences:
      
      Example 3: comparing "4" to "4.0.0.0" - we do reach this point,
        but the versions are really identical.
      */
      
      if (count($compare)==count($reference)) {
        // This should never be true, because we already tested for equality
        // in the first lines of this method. Hoever, maybe some user tries
        // to write version numbers like "4. 10. 11" or something, who knows?
        return(0);
      }
      
      if (count($reference)>count($compare)) {
        for($j=$i;$j<count($reference);$j++) {
          if ((int) $reference[$j]) {
            return(-1);
          }
        }
        return(0);
      }
      
      for($j=$i;$j<count($compare);$j++) {
        if ((int) $compare[$j]) {
          return(1);
        }
      }
      return(0);
    }
  }
?>
