<?
    /**
    * LFX Cache Dates
    *
    * This class manages caches validity and expiration
    *
    * Sebastian Pascu <sebi@moongate.ro>, April 2005
    * $Id: LFX_cache_dates.php,v 1.1 2005/06/22 08:29:50 bogdan Exp $
    * @package LFX
    */

  _checkMeOut(__FILE__);

  $result=array('LFX_Object');
  if (!_checkIncludes($result)) {
    return($result);
  }

  class LFX_Cache_Dates extends LFX_Object
  {

      /**
      * Constructor, calls parent constructor.
      */
    function LFX_cache_dates()
    {
      $this->LFX_Object();
    }

      /**
      * This function returns the expiration date for a cache
      * Called by @link LFX_Cache::getExpirationDate()
      * @return timestamp
      */
    function getExpirationDate($module,$type,$name,$cache_id,$cache_subid)
    {
      $query="
          SELECT expiration_date
          FROM lfx_cache_dates
          WHERE
            module='$module'
          AND
            name='$name'
          AND
            cache_id=$cache_id
          AND
            cache_subid=$cache_subid
      ";
      $this->query($query);
      if($this->db->next_record()) {
        return($this->db->f(0));
      } else {
        return(false);
      }
    }

      /**
      * This function updates the expiration date for a given cache
      * Called by @link LFX_Cache::setExpiration()
      * @return true on succes, false otherwise
      */
    function updateExpirationDate($module,$type,$name,$cache_id,$cache_subid,$expiration)
    {
      if($this->getExpirationDate($module,$type,$name,$cache_id,$cache_subid)) {
        $query="UPDATE lfx_cache_dates SET expiration_date=$expiration WHERE module='$module' AND type='$type' AND name='$name' AND cache_id=$cache_id AND cache_subid=$cache_subid";
      } else {
        $query="insert into lfx_cache_dates values('','$module','$type','$name','$cache_id','$cache_subid','$expiration')";
      }
      if($this->query($query)) {
        return(true);
      } else {
        return(false);
      }
    }

    function multiExpire($module,$type,$names=array(),$ids=array(),$subids=array())
    {
      if(!$module || !$type) {
        return(false);
      }
      $query="UPDATE lfx_cache_dates SET expiration_date=".time()." WHERE module='$module' AND type='$type' ";
      //$query="DELETE FROM lfx_cache_dates WHERE module='$module' AND type='$type' ";
      if(count($names)) {
        for($i=0; $i<count($names); $i++) {
          $names[$i]="name='{$names[$i]}'";
        }
        $query.=" AND (".implode(' OR ',$names).")";
      }
      if(count($ids)) {
        for($i=0; $i<count($ids); $i++) {
          $ids[$i]="cache_id={$ids[$i]}";
        }
        $query.=" AND (".implode(' OR ',$ids).")";
      }
      if(count($subids)) {
        for($i=0; $i<count($subids); $i++) {
          $subids[$i]="cache_subid={$subids[$i]}";
        }
        $query.=" AND (".implode(' OR ',$subids).")";
      }
      if($this->query($query)) {
        //decho("multiexpire: ".$query);
        return(true);
      } else {
        $this->addError("FATAL: Cache expiration mechanism failed. Currently cached data is obsolete and should not be trusted.");
        return(false);
      }
    }
  }

?>