<?
    /**
    * LFX Cache FS
    * Sebastian Pascu <sebi@moongate.ro>, April 2005
    * $Id: LFX_cache_fs.php,v 1.1 2005/06/22 08:31:28 bogdan Exp $
    * @package LFX
    */

  _checkMeOut(__FILE__);

  $result=array('LFX_Object');
  if (!_checkIncludes($result)) {
    return($result);
  }

  class LFX_Cache_FS extends LFX_Object
  {
    var $datadir;
    
    function LFX_Cache_FS()
    {
      $this->LFX_Object();
      LFX_include('LFX_Global');
      $glob=new LFX_Global();
      
      if($this->datadir=$glob->getSetting('dataDir',NULL,$_SESSION['LFX_project'])) {
        $this->datadir.='/LFX_cache';
        //$this->datadir='/tmp';
        if(!LFX_use_directory($this->datadir)) {
          $this=NULL;
          return;
        }
      } else {
        $this=NULL;
        //$this->addError("WARNING: Could not determine datadir, caching mechanism not fully enabled.");
        return;
      }
    }

    function saveCache($data, $module, $type, $name, $cache_id=0, $cache_subid=0)
    {
      $timestamp=time();
      $filename=$this->datadir.'/'.$module."_".$type."_".$name."_".$cache_id."_".$cache_subid;
      $filedata=array('creation_date' => $timestamp,
                      'cache_data'    => $data);
      $filedata=serialize($filedata);
      if(($fp=@fopen($filename,'w')) && @fwrite($fp,$filedata,strlen($filedata))) {
        fclose($fp);
        return(true);
      } else {
        return(false);
      }
    }

    function readCache($module, $type, $name, $cache_id=0, $cache_subid=0)
    {
      LFX_include('LFX_Global');
      $gl=new LFX_global;
      if($gl->getSetting('disable_cache',NULL,$_SESSION['LFX_project'])) {
        return(false);
      }
      $filename=$this->datadir.'/'.$module."_".$type."_".$name."_".$cache_id."_".$cache_subid;
      if(($filedata=@implode('',@file($filename))) && ($filedata=unserialize($filedata))) {
        //decho("fs cache hit: ".$module.", ".$type.", ".$name.", ".$cache_id.", ".$cache_subid);
        return($filedata['cache_data']);
      } else {
        //decho("fs cache miss: ".$module.", ".$type.", ".$name.", ".$cache_id.", ".$cache_subid);
        return(false);
      }
    }

    function getCreationDate($module, $type, $name, $cache_id=0, $cache_subid=0)
    {
      $filename=$this->datadir.'/'.$module."_".$type."_".$name."_".$cache_id."_".$cache_subid;
      if(($filedata=implode('',@file($filename))) && ($filedata=unserialize($filedata))) {
        return($filedata['creation_date']);
      } else {
        return(false);
      }
    }
    
  }

?>