<?
    /**
    * LFX Cache User/Group Rights
    *
    * This class manages cached user/group rights
    *
    * Sebastian Pascu <sebi@moongate.ro>, April 2005
    * $Id: LFX_cache_rights.php,v 1.1 2005/06/22 08:31:28 bogdan Exp $
    * @package LFX
    */

  _checkMeOut(__FILE__);

  $result=array('LFX_Object');
  if (!_checkIncludes($result)) {
    return($result);
  }

  class LFX_Cache_Rights extends LFX_Object
  {

      var $type;
      var $cache_table;
      
      /**
      * Constructor, calls parent constructor.
      */
    function LFX_cache_rights($type)
    {
      if(!$type || !in_array($type,array('user','group'))) {
        $this=NULL;
        return;
      }
      $this->LFX_Object();
      $this->type=$type;
      if($type=='user') {
        $this->cache_table='lfx_cache_user_rights';
      } elseif($type=='group') {
        $this->cache_table='lfx_cache_group_rights';
      }
    }


      /**
      * This function return the rights for the specified child_id and parent_id
      * @param child_id can be the ID of a user or a group
      * @param parent_id is the ID of a group
      * @return access rights or false on error
      *
      * NOTE: this function return THE ACTUAL rights, as 'RW', etc.
      */
    function getCachedRights($child_id,$parent_id)
    {
      LFX_include('LFX_Global');
      $gl=new LFX_global;
      if($gl->getSetting('disable_cache',NULL,$_SESSION['LFX_project'])) {
        return(false);
      }
      if($this->isCacheValid()) {
        $query="select * from ".$this->cache_table." where child_id=$child_id and parent_id=$parent_id";
        if($this->query($query) && $this->db->next_record()) {
          // just return the rights.
          return($this->db->f('rights'));
        } else {
          // not found in db, no rights.
          return('');
        }
      }
      return(false);
    }


      /**
      * This function verifies is the cache is currently valid and can be used
      * It does that by checking if the global 'lfx_cache_valid' has the value 'valid'
      */
    function isCacheValid()
    {
      global $_LFX_globals;
      if($_LFX_globals->getSetting('cache_access_valid',NULL,$_SESSION['LFX_project'])=='valid') {
        return(true);
      } else {
        return(false);
      }
    }
  }

?>