<?
    /**
    * LFX Cache Session
    *
    * Caching mechanism using $_SESSION
    *
    * Sebastian Pascu <sebi@moongate.ro>, April 2005
    * $Id: LFX_cache_session.php,v 1.1 2005/06/22 08:29:06 bogdan Exp $
    * @package LFX
    */

  _checkMeOut(__FILE__);

  $result=array('LFX_Object');
  if (!_checkIncludes($result)) {
    return($result);
  }

    /**
    *
    * This class provides a method for caching using $_SESSION.
    * NOTE: It is not for direct usage, but using @link LFX_cache wrapper
    */
  class LFX_Cache_Session
  {

      /**
      * Constructor, does nothing currently.
      */
    function LFX_Cache_Session()
    {
    }

      /**
      * This function puts the data into the cache
      * @param passed_by_wrapper see @link LFX_Cache::readCache()
      */
    function saveCache($data, $module, $type,$name, $cache_id=0, $cache_subid=0)
    {
      $timestamp=time();
      //decho("saved: ".$module.", ".$type.", ".$name.", ".$cache_id.", ".$cache_subid);
      $_SESSION['lfx_cache'][$module][$type][$name][$cache_id][$cache_subid]=array(
        'cache_data' => $data,
        'creation_date' => $timestamp
        );
      return(true);
    }

      /**
      * This function reads the data from $_SESSION
      * @param passed_by_wrapper see @link LFX_Cache::saveCache()
      */
    function readCache($module, $type, $name, $cache_id=0, $cache_subid=0)
    {
      LFX_include('LFX_Global');
      $gl=new LFX_global;
      if($gl->getSetting('disable_cache',NULL,$_SESSION['LFX_project'])) {
        return(false);
      }
      if($data=$_SESSION['lfx_cache'][$module][$type][$name][$cache_id][$cache_subid]) {
        //decho("sess cache hit: ".$module.", ".$type.", ".$name.", ".$cache_id.", ".$cache_subid);
        return($data['cache_data']);
      } else {
        //decho("sess cache miss: ".$module.", ".$type.", ".$name.", ".$cache_id.", ".$cache_subid);
        return(false);
      }
    }

      /**
      * This function returns the cache creation date
      * @param passed_by_wrapper see @link LFX_Cache::getCreationDate()
      */
    function getCreationDate($module, $type, $name, $cache_id=0, $cache_subid=0)
    {
      if($data=$_SESSION['lfx_cache'][$module][$type][$name][$cache_id][$cache_subid]) {
        return($data['creation_date']);
      } else {
        return(false);
      }
    }
  }

?>