<?

/**
* Anrei Tinca andrei@lanifex.com
* Generic calendar, can be customized to link to places and to also
* send your custom parameters which you pass upon class initialization
*
* Personal comment: needs to be re-written
*/

class LFX_Calendar_Reports extends LFX_report_wrapper {

  function LFX_Calendar_Reports($link=NULL,$start_date=NULL,$calendar_action=NULL,$extras=NULL) {

    // Do the constructor of the LFX_report_wrapper
    $this->LFX_report_wrapper();
    if ((!$link) && (!$start_date) && (!$calendar_action) && (!$extras)) {
      // Instantiated with no parameters for a meta-purpose, such as class
      // consistency checking, let's not complain
      return(NULL);
    }

    // This will create the links on the items
    $this->link = $link;
    $this->calendar_action=$calendar_action;
    $this->extras=$extras;
    $start_date=($start_date==NULL)?time():$start_date;
    switch($calendar_action){
      case 'year_dec':
        $start_date = mktime(0,0,0,date('n',$start_date),1,date('Y',$start_date)-1);
        break;
      case 'year_inc':
        $start_date = mktime(0,0,0,date('n',$start_date),1,date('Y',$start_date)+1);
        break;
      case 'month_dec':
        $start_date = mktime(0,0,0,date('n',$start_date)-1,1,date('Y',$start_date));
        break;
      case 'month_inc':
        $start_date = mktime(0,0,0,date('n',$start_date)+1,1,date('Y',$start_date));
        break;
      default:
        break;
    }
    $this->start_date = $start_date;
  }

  function render(){

    global $PHP_SELF, $_LFX_images;
    global $_page;

    // A default start_date is provided in the constructor
    $start_date = $this->start_date;

    // Javascript params & function
    $extras=$this->extras;
    while(list($k,$v)=@each($extras)){
      $extras_js .= "$k"."='+document.theform.$k.value+'&";
    }
    $extras_js = substr($extras_js,0,-3);

    $js .= "
      <script>
        function submitCalendar(link,calendar_action,period,start_date,db_id){
          var db_id;
          if(link==0){
            window.location='$PHP_SELF?period='+period+'&calendar_action='+calendar_action+'&start_date='+start_date+'&".$extras_js.";
          }
          if(link==1){
            parent.rightFrame.location='".$this->link."?period='+period+'&calendar_action='+calendar_action+'&start_date='+start_date+'&db_id='+db_id+'&".$extras_js.";
          }
        }
    </script>";

    $year  = date("Y",$start_date);

    // Only display the +/- arrows if the dates are not in the future
    $year_minus = ($start_date>0)?"<a href=\"javascript:submitCalendar(0,'year_dec','null',$start_date)\"><b><img border=0 src='$_LFX_images/rew.gif'></b></a>":NULL;
    $year_plus  = (date('Y',$start_date)<date('Y',time()))?"<a href=\"javascript:submitCalendar(0,'year_inc','null',$start_date)\"><b><img border=0 src='$_LFX_images/fwd.gif'></b></a>":"&nbsp;&nbsp;";

    $month = date("M",$start_date);
    $month_minus = ($start_date>0)?"<a href=\"javascript:submitCalendar(0,'month_dec','null',$start_date)\"><b><img border=0 src='$_LFX_images/rew.gif'></b></a>":NULL;
    $month_plus = (mktime(0,0,0,date('n',$start_date)+1,1,date('Y',$start_date))<time())?"<a href=\"javascript:submitCalendar(0,'month_inc','null',$start_date)\"><b><img border=0 src='$_LFX_images/fwd.gif'></b></a>":NULL;

    $wd = array('Mo','Tu','We','Th','Fr','Sa','Su');

    $h .= $js;
    reset($extras);

    while(list($k,$v)=each($extras)){
      $myextras[] = $v['html'];
    }
    $extras_html .= "<form name=theform>\n
      <input type=hidden name=start_date value=$start_date>
    ";
    $extras_html .=@implode('',$myextras);
    $extras_html .= "</form>";

    // Number of days in our month
    $t = date('t',$start_date);
    // The start of the month
    $s = mktime(0,0,1,date('n',$start_date),1,date('Y',$start_date));
    // The end of the month
    $e = $this->myDates($s,'month','end');
    
    //Now let's get the reports for the current report so we can display links to them
    if(array_key_exists('report',$extras)){
      // Report id
      $r_id = $extras['report']['id'];
      //echo"got $r_id";
    }
    if($r_id){
      $week_seconds = 7*24*3600;
      $mys = $s-$week_seconds;
      $mye = $e+$week_seconds;
      $sql = "SELECT *, UNIX_TIMESTAMP(start_timestamp) start_t from reports_data WHERE
      UNIX_TIMESTAMP(start_timestamp)>=$mys and UNIX_TIMESTAMP(end_timestamp)<=$mye and reports_id=$r_id";
      // echo $sql."<br>";
      $this->query($sql);
      $reports = array();
      while($this->db->next_record()){
        $reports[$this->db->f('period')][$this->db->f('start_t')] = $this->db->f('id');
      }
      $mys = $this->mydates($s,'year','start');
      $mye = $this->mydates($s,'year','end');
      $sql = "SELECT *, UNIX_TIMESTAMP(start_timestamp) start_t FROM reports_data WHERE
      period='year' AND UNIX_TIMESTAMP(start_timestamp)>=$mys AND
      UNIX_TIMESTAMP(end_timestamp)<=$mye AND reports_id=$r_id";
      $this->query($sql);
      while($this->db->next_record()){
        $reports[$this->db->f('period')][$this->db->f('start_t')] = $this->db->f('id');
      }
      $this->reports = $reports;
      //echo"<pre>";print_r($reports);
    }

    $h .= LFX_startTables('95%');
      $h .= LFX_str();
        $db_id = $this->getID($start_date,'year');
        $link = ($db_id>0)?"<a href=\"javascript:submitCalendar(1,null,'year',$start_date,$db_id)\">":NULL;
        $h .= "<td nowrap>$year_minus $link $year</a> $year_plus</td>";
        $h .= LFX_td("$extras_html",'thead',NULL,7);
      $h .= LFX_etr();
      $h .= LFX_str();
        $db_id = $this->getID($start_date,'month');
        $link = ($db_id>0)?"<a href=\"javascript:submitCalendar(1,null,'month',$start_date,$db_id)\">":NULL;
        $h .= LFX_td("$month_minus $link $month</a> $month_plus",NULL,NULL,8);
      $h .= LFX_etr();
      $h .= LFX_str();
        $h .= LFX_td();
    reset($wd);
    while(list($k,$v)=each($wd)){
      $h .= LFX_td($v);
    }
    $h  .= LFX_etr();

    // Number of the day of the week. In the function, 0 is Sunday and 6 is Saturday
    $ndw = date('w',$s);
    $cd = array (0=>6,1=>0,2=>1,3=>2,4=>3,5=>4,6=>5);
    
    //echo "Start is {$cd[$ndw]} <br>";
    $s_pad = $cd[$ndw];

    $week = 1;
    $i=$j=$k=0;
    $d=1;
    $current_date = $s;
    $day_date = $current_date;

    while($week){
      $h .= LFX_str();
        $db_id = $this->getID($current_date,'week');
        $link = ($db_id>0)?"<a href=\"javascript:submitCalendar(1,null,'week',".$current_date.",".$db_id.")\">":NULL;
        $h .= "<td nowrap>$link Week ".date('W',$current_date)."</td>";
      if($s_pad){
        for($i=0;$i<$s_pad;$i++){
          $h .= LFX_td("&nbsp;");
        }
        unset($s_pad);
      }
      for($j=$i;$j<7;$j++){
        if(time()-24*3600<=$day_date&&$day_date<=time()){
          $red1 = '<font color=red>';
          $red2 = '</font>';
        }else{
          unset($red1,$red2);
        }
        $db_id = $this->getID($day_date,'day');
        $link = ($db_id>0)?"<a href=\"javascript:submitCalendar(1,null,'day',".$day_date.",".$db_id.")\">":NULL;
        $h .= LFX_td($link.$red1.$d.$red2."</a>");
        $day_date += 24*3600;
        if($d==$t){
          // If at end of month, pad and exit
          for($k=0;$k<6-$j;$k++){
            $h .= LFX_td("&nbsp;");
          }
          $week = FALSE;
          break;
        }else{
          // Next day;
          $d++;
        }
      }
      $week = ($week)?$week+1:FALSE;
      $current_date += 24 * 7 * 3600;
      $i=0;
      $h .= LFX_etr();
    }
    $h .= LFX_endTables();
    return($h);
  }

  function getId($start_date,$period)
  {
    switch($period){
      case 'day':
        // UGLY FIX for winter daylight savings...
        $s[] = $start_date - 1;
        $s[] = $start_date -1 + 3600;
        //echo " first start_date is $start_date, <br> looking for ".$s;
        while(list($k,$v)=each($s)){
          $mydate = $v;
          // echo "Checking $mydate<br>";
          $id = $this->reports['day'][$mydate];
          if($id){
            // echo"Got id $id<br>";
            break;
          }
        }
        // echo"---<br>";
        // echo"Doing it for $start_date => $id <br>";
        break;
      case 'week':
        $ws = $this->myDates($start_date,'week','start');
        //echo "lookin for $ws";
        $id = $this->reports['week'][$ws];
        break;
      case 'month':
        $ws = $this->myDates($start_date,'month','start');
        //echo "lookin for $ws";
        $id = $this->reports['month'][$ws];
        break;
      case 'year':
        $ws = $this->myDates($start_date,'year','start');
        //echo "lookin for $ws";
        $id = $this->reports['year'][$ws];
        break;
      default:
        $id = 0;
        break;
    }
    return($id);
  }
}


?>
