<?php

  /**
  * The LFXlib forum class
  * Bogdan Stancescu <bogdan@moongate.ro>, August 2003
  * $Id: LFX_forum.php,v 1.15 2005/08/24 08:13:17 bogdan Exp $
  * @package LFX
  */

  _checkMeOut(__FILE__);
  
  $result=array('LFX_Object','LFX_Forum_Message');
  if (!_checkIncludes($result)) {
    return($result);
  }
  
  return(true);
  
  class LFX_Forum extends LFX_Object
  {
    
    var $myAssociatedClass;
    var $myAssociatedModule;
        
    function LFX_Forum($id=0)
    {
      $this->LFX_Object($id);
      
      $tmp['objectClass']=
      $tmp['objectId']=
      $tmp['objectInclude']=
      array();
      
      $tmp2['forumMessage']=array(
        'class'=>'LFX_Forum_Message',
        'attr'=>'forum'
      );
      
      $this->dataStructure=array(
        'table_name'=>'forum',
        'id_field'=>'id',
        'fields'=>$tmp,
        'depend'=>$tmp2
      );

      $this->fillDataStructure();
    }
    
    function renderH($object,$notifU,$notifG,$xtraHTML='',$mode='RW')
    {
      GLOBAL $_page, $LFMaction, $LFMid, $LFFid, $LFMcontent, $LFMtitle;
      
      // Running action 'reply'
      // If it was sent by a temp forum then we also save the forum.
      if (LFX_permsFilter($mode,'W') && ($LFMaction=='reply')) {
        if (!$LFFid) {
          $LFFid=$this->save();
        }
        $message=new LFX_Forum_Message;
        $message->setAttrs(array(
          'forum'=>$LFFid,
          'parent'=>$LFMid,
          'content'=>$LFMcontent,
          'user'=>$_page->user->id,
          'date'=>time(),
          'title'=>$LFMtitle
        ),'gpc');
        // And we set message id to the new saved message and action 'show'
        // so that it will be the opened message
        $LFMid=$message->save();
        $mail=$object->forumNotification($message);
        $message->sendNotifications(
          array_merge($_POST['notifU'],$_POST['notifG']),$mail);
        $LFMaction='show';
        unset($message,$LFMtitle,$LFMcontent);
      }
      
      $message=new LFX_Forum_Message($LFMid);
      $roots=$message->searchId(array("forum","parent"),array($this->id,'0'),'date');
      $roots=$message->_doLoad($roots);
      $result='';
      global $_LFX,$_LFX_globals;
      $result.=LFX_startTables($object->forumWidth);
      $result.=LFX_swatchHeader(array(
        'title'=>__L('Forum'),
        'forum'=>''
      ));
      //$result.=LFX_td(__L('Forum'),'thead',NULL,2);
      $result.=LFX_str();
      $result.=LFX_echo("<td width='100%' valign='top'>");
      $result.=LFX_echo("<table border='0' cellpadding='1' cellspacing='0' width='100%'");
      $result.=LFX_str();
      $result.=LFX_echo("<td width='100%' valign='top'>");
      $result.=LFX_startTables('100%');
      $result.=LFX_swatchHeader(array('title'=>__L('Messages')));
      $result.=LFX_str();
      $result.=LFX_echo("<td valign='top'>");

      for ($i=0;$i<count($roots) && $roots;$i++) {
        $tree=$roots[$i]->getTree('date');
        for ($j=0;$j<count($tree);$j++) {
          $tree[$j]['object']->_makeURL(array(
            'LFMaction'=>'show',
            'LFMid'=>$tree[$j]['object']->id));
          if (($LFMaction=='show' && $LFMid==$tree[$j]['object']->id) ) {
            $result.=$tree[$j]['object']->_showRecursively($tree[$j]['level'],
              true);
          } else {
            $result.=$tree[$j]['object']->_showRecursively($tree[$j]['level'],
              $_LFX_globals->getSetting('forums_always_expanded'));
          }
        }
      }
      if (!$i) {
        $result.='<B>'.__L('No messages in this forum').'</B><BR />';
        $mayReply=false;
      } elseif ($LFMid) {
        $mayReply=true;
      } else {
        $mayReply=false;
      }
      $LFOid=$this->getAttr('objectId');
      $LFC=$this->getAttr('objectClass');
      $LFFid=$this->id;

      if (LFX_permsFilter($mode,'W')) {
        $result.=LFX_echo(
          "<INPUT type='hidden' name='LFMaction' value='reply'>");
        $result.=LFX_echo(
          "<INPUT type='hidden' name='LFMid' value='$LFMid'>");
        $result.=LFX_echo(
          "<INPUT type='hidden' name='LFX_Global_Control' value='LFX_Forum'>");
        $title=$message->getAttr('title');
        if ($LFMtitle) {
          $title=htmlspecialchars($this->gpcUnslash($LFMtitle),ENT_QUOTES);
        } elseif ($title && (substr($title,0,3)!='Re:')) {
          $title='Re: '.$title;
        }
        $result.=LFX_echo("<INPUT size='60' type='text' name='LFMtitle' value='".
          htmlspecialchars($title,ENT_QUOTES)."'><BR />");
        $result.=LFX_echo('<TEXTAREA rows="5" cols="60" name="LFMcontent">'.
          htmlspecialchars($this->gpcUnslash($LFMcontent)).'</TEXTAREA><BR />');
        LFX_include('LFX_Global');
        $myGlobals=new LFX_Global;
        $myGlobals->global_module=$this->myAssociatedModule;
        if($myGlobals->getSetting($this->myAssociatedClass."_forum_notification_warning")) {
          global $_page;
          $_page->renderJSscript("
            function forumNotifCheck() {
              var empty=true;
              var control_exists=false;
              var users, groups;
              if(users=document.getElementById('forumnotifU')) {
                control_exists=true;
                if(users.selectedIndex!=-1) {
                  empty=false;
                }
              }
              if(groups=document.getElementById('forumnotifG')) {
                control_exists=true;
                if(groups.selectedIndex!=-1) {
                  empty=false;
                }
              }
              if(empty && control_exists) {
                return confirm('".__L("Are you sure you want to post a message without notifying anyone?")."');
              } else {
                return true;
              }
            }
          ");
          $reply_js_check_code="onclick='return forumNotifCheck()'";
          $new_thread_js_check_code="onClick='if(forumNotifCheck()) {document.LFForm.LFMid.value=0;document.LFForm.submit();} else {return false;}'";
        } else {
          $reply_js_check_code="";
          $new_thread_js_check_code="onClick='document.LFForm.LFMid.value=0; document.LFForm.submit();'";
        }
        
        if ($mayReply) {
          $message->_makeURL();
          $result.=LFX_echo("<INPUT type='submit' value='".__L("Reply")."' $reply_js_check_code>");
        }
        $message->_makeURL();
        $result.=LFX_echo("<INPUT type='button' value='".__L("Start New Thread")."'".
          " $new_thread_js_check_code ".
          ">&nbsp;");
      }

      $result.=LFX_echo("</td>");
      $result.=LFX_etr();
      $result.=LFX_endTables();
      $result.=LFX_etd();
      if (LFX_permsFilter($mode,'W')) {
        $result.=$this->renderNotificationControlsH($notifU,$notifG,$xtraHTML);
      }

      //$result.=LFX_echo('</td>');
      $result.=LFX_etr();
      $result.=LFX_endTables();
      return($result);
    }

      /**
      * This method renders the notification controls, if variable $notif
      * matches any users to notify. Please check the global documentation
      * for class LFX_File for details on the $notif variable and how to use
      * it in your classes.
      */
    function renderNotificationControlsH($notifU,$notifG,$xtraHTML)
    {
      if (is_array($notifU)) {
        $notifU=array_values($notifU);
      } elseif ($notifU===true) {
        $tmp=new LFX_User;
        $notifU=$tmp->search(NULL,NULL,'email');
      } else {
        unset($notifU);
      }
      if (is_array($notifG)) {
        $notifG=array_values($notifG);
      } elseif ($notifG===true) {
        $tmp=new LFX_Group;
        $notifG=$tmp->search(NULL,NULL,'name');
      } else {
        unset($notifG);
      }
      if (!$notifU && !$notifG) {
        return('');
      }

      // Users
      $numeric_only=true;
      for($i=0;$i<count($notifU);$i++) {
        if (!is_numeric($notifU[$i])) {
          $numeric_only=false;
          break;
        }
      }
      if ($numeric_only) {
        $tmp=new LFX_User;
        $notifU=$tmp->_doLoad($notifU);
      }
      $users=array();
      for($i=0;$i<count($notifU);$i++) {
        $myUser=$notifU[$i];
        if (is_numeric($myUser)) {
          $myUser=new LFX_User($myUser);
          $myUser=array(
            'display'=>$myUser->getNameH(),
            'value'=>$myUser->getAttrH('email'));
        } elseif (is_object($myUser) && (get_class($myUser)=='lfx_user')) {
          if (!$myUser->getAttr('email')) {
            continue;
          }
          $myUser=array(
            'display'=>$myUser->getNameH(),
            'value'=>$myUser->getAttrH('email'));
        } elseif (is_string($myUser)) {
          $tmp=new LFX_User;
          if ($myUserObject=$tmp->search('email',$myUser)) {
            $myUser=array(
              'display'=>$myUserObject[0]->getNameH(),
              'value'=>$myUserObject[0]->getAttrH('email'));
          } else {
            $myUser=array(
              'display'=>htmlspecialchars($myUser,ENT_QUOTES),
              'value'=>htmlspecialchars($myUser,ENT_QUOTES));
          }
        } else {
          continue;
        }
        $users[]=$myUser;
      }

      // Groups
      $numeric_only=true;
      for($i=0;$i<count($notifG);$i++) {
        if (!is_numeric($notifG[$i])) {
          $numeric_only=false;
          break;
        }
      }
      if ($numeric_only) {
        $tmp=new LFX_Group;
        $notifG=$tmp->_doLoad($notifG);
      }
      $groups=array();
      for($i=0;$i<count($notifG);$i++) {
        $myGroup=$notifG[$i];
        if (is_numeric($myGroup)) {
          $myGroup=new LFX_Group($myGroup);
          if (!$myGroup->getAttr('email')) {
            continue;
          }
          $myGroup=array(
            'display'=>$myGroup->getNameH(),
            'value'=>$myGroup->getAttrH('email'));
        } elseif (is_object($myGroup) && (get_class($myGroup)=='lfx_group')) {
          if (!$myGroup->getAttr('email')) {
            //echo("No mail for group ".$myGroup->getLinkH());
            continue;
          }
          $myGroup=array(
            'display'=>$myGroup->getNameH(),
            'value'=>$myGroup->getAttrH('email'));
        } elseif (is_string($myGroup)) {
          $tmp=new LFX_Group;
          if ($myGroupObject=$tmp->search('email',$myGroup)) {
            $myGroup=array(
              'display'=>$tmp->getNameH(),
              'value'=>$tmp->getAttrH('email'));
          } else {
            $myGroup=array(
              'display'=>htmlspecialchars($myGroup,ENT_QUOTES),
              'value'=>htmlspecialchars($myGroup,ENT_QUOTES));
          }
        } else {
          continue;
        }
        $groups[]=$myGroup;
      }
      if (!$users && !$groups) {
        return('');
      }
      $result='';
      $result.=LFX_echo("<td valign='top'>");
      $result.=LFX_startTables('100%');
      $result.=LFX_swatchHeader(array('title'=>__L('Notifications')));
      if ($users) {
        $result.=LFX_str();
        $result.=LFX_echo("<td>");
        $result.=LFX_echo("<select name='notifU[]' id='forumnotifU' size='".
          min(5,count($users))."' multiple>");
        for($i=0;$i<count($users);$i++) {
          $result.=LFX_echo("<option value='{$users[$i]['value']}'>".
            "{$users[$i]['display']}</option>");
        }
        $result.=LFX_echo("</select>");
        $result.=LFX_echo("</td>");
        $result.=LFX_etr();
      }
      if ($groups) {
        $result.=LFX_str();
        $result.=LFX_echo("<td>");
        $result.=LFX_echo("<select name='notifG[]' id='forumnotifG' size='".
          min(5,count($groups))."' multiple>");
        for($i=0;$i<count($groups);$i++) {
          $result.=LFX_echo("<option value='{$groups[$i]['value']}'>".
            "{$groups[$i]['display']}</option>");
        }
        $result.=LFX_echo("</select>");
        $result.=LFX_echo("</td>");
        $result.=LFX_etr();
      }
      $result.=$xtraHTML;
      $result.=LFX_endTables();
      $result.=LFX_echo("</td>");
      return($result);
    }
  }
?>
