<?php

  /**
  * The LFXlib forum message class
  * Lucian Silistru <lucian@moongate.ro>, August 2003
  * $Id: LFX_forum_message.php,v 1.10 2004/11/15 13:42:06 bogdan Exp $
  * @package LFX
  */

  _checkMeOut(__FILE__);
  
  class LFX_Forum_Message extends LFX_Object
  {
    var $url;
        
    function LFX_Forum_Message($id=0)
    {
      $this->LFX_Object($id);
      
      $tmp['forum']=
      $tmp['parent']=
      $tmp['user']=
      $tmp['date']=
      $tmp['title']=
      $tmp['content']=
      array();
      
      $tmp['forum']['fld_name']='forum_id';
      $tmp['user']['fld_name']='user_id';
      
      $tmp['forum']['link_class']='LFX_Forum';
      $tmp['user']['link_class']='LFX_User';
      $tmp['parent']['link_class']='LFX_Forum_Message';

      $tmp2['childMessage']=array(
        'class'=>'LFX_Forum_Message',
        'attr'=>'parent'
      );
      
      $tmp2['notif']=array(
        'class'=>'LFX_Forum_Message_Notif',
        'attr'=>'forum_message'
      );

      $tmp['date']['flags']['sqlDate']=true;
      $tmp['date']['flags']['forceSave']=true;
      
      $this->dataStructure=array(
        'table_name'=>'forum_message',
        'id_field'=>'id',
        'tree_link_attr'=>'parent',
        'fields'=>$tmp,
        'depend'=>$tmp2
      );

      $this->fillDataStructure();
    }

    function _showRecursively($level=0,$full=false)
    {
      $singleIndent='&nbsp;&nbsp;&nbsp;';
      $indent=str_repeat($singleIndent,$level);
      $forum_id=$this->getAttr('forum');
      $message_id=$this->id;
      
      // Getting Poster Data
      LFX_include('LFX_User');
      $poster=$this->getObject('user');
      $posterData=$poster->getNameH();

      $result.=LFX_echo('<table border="0" cellpadding="0" cellspacing="0">');
      $result.=LFX_str();
      $result.=LFX_td($indent.'&nbsp;&nbsp');
      
      global $_page;
      $result.=LFX_td("<b><A HREF='{$this->url}#LFX_forum'>".($this->getAttr('title')?$this->getAttr('title'):__L('[no title]')).
        '</A></b> ('.$this->getAttrH('date').", $posterData)");
      if ($full) {
        if ($notif=$this->getLoadedObjects('notif')) {
          $notifText='';
          for($i=0;$i<count($notif);$i++) {
            if ($mail=$notif[$i]->getAttr('notif_email')) {
              $tmp=new LFX_User;
              $tmp=$tmp->search('email',$mail);
              if ($tmp) {
                $notifText.=$tmp[0]->getNameH().', ';
              } else {
                $tmp=new LFX_group;
                $tmp=$tmp->search('email',$mail);
                if ($tmp) {
                  $notifText.=$tmp[0]->getNameH().', ';
                } else {
                  $notifText.=$mail.', ';
                }
              }
            } elseif ($tmp=$notif[$i]->getObject('notif_person')) {
              $notifText.=$tmp->getNameH().', ';
            } else {
              $notifText.="(".__L('no e-mail')."), ";
            }
          }
          if ($notifText) {
            $notifText=substr($notifText,0,-2);
            $result.=LFX_estr();
            $result.=LFX_td($indent.'&nbsp;&nbsp');
            $result.=LFX_td('<small><b>'.sprintf(__O('Notified %s'),'</b>'.$notifText).'</small>');
          }
        }
        $result.=LFX_estr();
        $result.=LFX_td($indent.'&nbsp;&nbsp');
        $result.=LFX_td("<i>".nl2br(htmlspecialchars($this->getAttr('content'))).
          "</i>");
      }
      $result.=LFX_etr();
      $result.=LFX_echo('</table>');
      return($result);
    }
    
      // Variable names start with "LF" which stands for "LFX_Forum";
      // A subsequent letter can be "O" for "Object" (the object associated
      //   with this forum), "F" (the forum itself) or "M" (the message within
      //   the forum).
      // Variable $id is passed with the same value as $LFOid as a minimal
      // courtesy for all the scripts passing $id as the ID no. of the current
      // object; if those scripts use some other variable to identify the
      // current object ID then it's their responsibility to also check for
      // $LFOid in case they don't receive any proper id when using the forum class.
      // The difference between this _makeURL and the one in LFX_file
      // is that in that regexp we include the underscore and "File" -- this
      // way we ensure that even when an object uses both files and forums,
      // they will both work independently.
      /**
      * This function gets the current page URL and adds the variables sent through
      * $vars which must be an array of the form '$var_name'=>'var_value'.
      * Will always return true because if there are no variables in $vars it will
      * leave the URL intact
      * @return boolean true
      */
    function _makeURL($vars=NULL)
    {
      global $REQUEST_URI,$QUERY_STRING;
      
      $this->url=ereg_replace('LF[a-zA-Z]+=[^&]*','',$REQUEST_URI);
      while(strpos(' '.$this->url,'&&')) {
        $this->url=str_replace('&&','&',$this->url);
      }
      $this->url=ereg_replace('&$','',$this->url);
      $this->url=ereg_replace('\\?\\?$','?',$this->url);
      if ($vars==NULL || !is_array($vars)) {
        return(true);
      }
      
      if (!$QUERY_STRING && substr($this->url,-1)!='?') {
        $this->url.="?";
      }
      while(list($var,$value)=@each($vars)) {
        if (substr($this->url,-1)!='?') {
          $this->url.="&$var=$value";
        } else {
          $this->url.="$var=$value";
        }
      }
      return(true);
    }

    function sendNotifications($notif,$mail)
    {
      if (!$notif) {
        return(NULL);
      }
      if (!is_object($mail) || (get_class($mail)!='lfx_mail')) {
        global $_page;
        LFX_include('LFX_Mail');
        $mail=new LFX_Mail;
        $mail->subject=sprintf(__O('New message: %1$s'),$this->getAttr('title'),$reason);
        $mail->text=sprintf(__O("A new message was written in the ".
          "system by %1\$s. Here is the message body:\n\n%2\$s"),
          $_page->user->getName(),$this->getAttr('content'));
      }
      $mail->addresses=$notif;
      if (LFX_include_class('LFX_Forum_Message_Notif')) {
        for($i=0;$i<count($notif);$i++) {
          $tmp=new LFX_Forum_Message_Notif();
          $tmp->setAttrs(array(
            'forum_message'=>$this->id,
            'notif_email'=>$notif[$i]
          ));
          $tmp->save();
        }
      } else {
        $this->addError('Failed to include the LFX_Forum_Message_Notif class!');
      }
      return($mail->send());
    }
  }
?>
