<?

  /**
  * The LFX Globals
  * Bogdan Stancescu <bogdan@lanifex.com>, May 2003
  * $Id: LFX_global.php,v 1.13 2005/06/28 09:09:25 bogdan Exp $
  * @package LFX
  */

  _checkMeOut(__FILE__);

  $result=array('LFX_Object');
  if (!_checkIncludes($result)) {
    return($result);
  }

  class LFX_Global extends LFX_Object
  {
    
    var $global_module='LFX';
    
    function LFX_Global($id=0)
    {
      $this->LFX_Object($id);
      $tmp['name']=
      $tmp['module']=
      $tmp['value']=
      $tmp['default_value']=
      $tmp['comment']=
      $tmp['isPassword']=
      array();

      $this->dataStructure=array(
        'table_name' => 'globals',
          'id_field' => 'id',
            'fields' => $tmp
      );

      $this->fillDataStructure();
    }

      /**
      * Escapes escaped curly brackets; reverse the process with LFX_Global::_u().
      * This method replaces "\{" with ASCII(1) and "\}" with ASCII(2), thus
      * getting the escaped curly brackets out of the way in order to allow
      * proper string matching without complications.
      */
    function _e($string) {
      return(str_replace("\\{",chr(1),str_replace("\\}",chr(2),$string)));
    }
    
      /**
      * Unescapes strings escaped with LFX_Global::_e().
      */
    function _u($string) {
      return(str_replace(chr(1),'{',str_replace(chr(2),'}',$string)));
    }
    
    function _parseValue($val)
    {
      $globals=array();
      $val=$this->_e($val);
      if (preg_match_all('/{([^}]+)}/',$val,$matches)) {
        for($i=0;$i<count($matches[1]);$i++) {
          $match=$matches[1][$i];
          list($matchModule,$matchGlobal)=explode('|',$this->_u($match));
          if (!$matchGlobal) {
            $matchGlobal=$matchModule;
            $matchModule=$this->global_module;
            // Ok, let's see if it starts with a dollar sign; if it
            // does, we'll simply skip this one
            // [NOT FINISHED YET!]
            // [This hasn't been fixed yet in the rest of the code as to really]
            // [support PHP variables in here!]
            if (substr($matchGlobal,0,1)=='$') {
              continue;
            }
          }
          $myVal=array(
            'module'=>$matchModule,
            'global'=>$matchGlobal,
            'match'=>$match);
          if (!in_array($myVal,$globals)) {
            $globals[]=$myVal;
          }
        }
      }
      return($globals);
    }
    
    function getSetting($setting,$history=array())
    {
      if (!$this->global_module) {
        return(NULL);
      }
      if (!$history) {
        // properly initializing $history, some people pass it as NULL...
        $history=array();
      }
      global $_LFX;
/*      if (isset($_LFX['page']['data_cache']['globals'][$this->global_module][$setting])) {
        //echo("Returning from cache $setting for module {$this->global_module}<br />\n");
        return($_LFX['page']['data_cache']['globals'][$this->global_module][$setting]);
      }*//* else {
        echo("Getting setting $setting in module {$this->global_module} for real!<br />\n");
      }*/
      $settings=$this->search(array('name','module'),array($setting,$this->global_module));
      if (!$settings) {
        $_LFX['page']['data_cache']['globals'][$this->global_module][$setting]='';
        return(NULL);
      }
      if (in_array($this->global_module."|".$setting,$history)) {
        $this->addError("Cyclic globals referencing! Aborting evaluation!");
        return(false);
      }
      $val=$this->_e($settings[0]->getAttr('value'));
      // Let's first get the escaped curly brackets out of the way
      $history[]=$this->global_module."|".$setting;
      $globals=$this->_parseValue($val);
      for ($i=0;$i<count($globals);$i++) {
        $tmp=new LFX_Global;
        $tmp->global_module=$globals[$i]['module'];
        $matchVal=$tmp->getSetting($globals[$i]['global'],$history);
        $val=str_replace('{'.$globals[$i]['match'].'}',$matchVal,$val);
      }
      $value=$this->_u($val);
      $_LFX['page']['data_cache']['globals'][$this->global_module][$setting]=$value;
      return($value);
    }
    
    function saveSetting($setting,$value,$default=NULL)
    {
      if (!$this->global_module) {
        return(NULL);
      }
      $settings=$this->search(array('name','module'),array($setting,$this->global_module));
      if ($settings) {
        $mySetting=&$settings[0];
      } else {
        $mySetting=new LFX_Global;
        $mySetting->setAttrs(array('name'=>$setting, 'module'=>$this->global_module));
      }
      $mySetting->setAttr('value',$value);
      if ($default!==NULL) {
        $mySetting->setAttr('default_value',$default);
      }
      if (!$mySetting->save()) {
        return(false);
      }
      global $_LFX;
      $_LFX['page']['data_cache']['globals'][$this->global_module][$setting]=$value;
      return(true);
    }
    
    function resetSetting()
    {
       $this->setAttr('value',$this->getAttr('default_value'));
       $this->save();
    }
    
    function getModules()
    {
      $globalList=$this->search();
      $modules=array();
      for ($i=0;$i<count($globalList);$i++) {
        if (!in_array($globalList[$i]->getAttr('module'),$modules)) {
          $modules[]=$globalList[$i]->getAttr('module');
        }
      }
      return($modules);
    }
    
    function exportToXML($globals,$embedded=false)
    {
      if (!$globals) {
      return(NULL);
      }
      if (!is_array($globals)) {
        return(false);
      }
      $result='';
      for($i=0; $i<count($globals); $i++){
        $tmp=new LFX_Global($globals[$i]);
        $result.=$tmp->exportSingleXML();
      }
      $tmp='';
      if (!$embedded) {
        $tmp.="<?xml version='1.0' encoding='ISO-8859-1'?".">\n";
      }
      $tmp.="  <global_descriptors>\n";
      $tmp.=     $result;
      $tmp.="  </global_descriptors>";
      return($tmp);
    }
  
    function exportSingleXML()
    {
      LFX_include_class('LFX_XML');
      $xml=new LFX_XML;
      $ind='   ';
      $result='';
      $result.=$ind."<global_descriptor ";
      $result.="name=\"".$xml->escape($this->getAttr('name'))."\" ";
      $result.="module=\"".$xml->escape($this->getAttr('module'))."\" ";
      $result.="value=\"".$xml->escape($this->getAttr('value'))."\" ";
      $result.="default_value=\"".$xml->escape($this->getAttr('default_value'))."\" ";
      $result.="comment=\"".$xml->escape($this->getAttr('comment'))."\" ";
      $result.="isPassword=\"".$xml->escape($this->getAttr('isPassword'))."\" ";
      $result.=">\n";
      $result.=$ind."</global_descriptor>\n";
      return($result);
    }
    
    function importXML($xmlin,$forceSaveComments=false,$forceSaveDValues=false,$forceSavePass=false)
    {
      if (!is_array($xmlin)) {
        LFX_include('LFX_XML');
        $xml=new LFX_XML($xmlin);
        $xml=$xml->xml[0];
      } else {
        $xml=$xmlin;
      }
      if ($xml['tag']!='GLOBAL_DESCRIPTORS') {
        return(false);
      }
      while (list(,$globalx)=@each($xml['children'])) {
        list($global,$jcreated)=$this->importSingleXML($globalx,$forceSaveComments,$forceSaveDValues,$forceSavePass);
        if (!$global) {
          return(false);
        }
      } 
      return(true);
    }
    
    function importSingleXML($xmlData,$forceSaveComments=false,$forceSaveDValues=false,$forceSavePass=false)
    {
      $globals=$this->search('name',$xmlData['attributes']['NAME']);
      if (!count($globals)) {
        $global=new LFX_Global;
        $global->setAttrs(array(
          'name'=>$xmlData['attributes']['NAME'],
          'module'=>$xmlData['attributes']['MODULE'],
          'value'=>$xmlData['attributes']['VALUE'],
          'default_value'=>$xmlData['attributes']['DEFAULT_VALUE'],
          'comment'=>$xmlData['attributes']['COMMENT'],
          'isPassword'=>$xmlData['attributes']['ISPASSWORD']
        ));
        if (!$global->save()) {
          return(NULL);
        }
        $jcreated=true;
      } else {
        $global=$globals[0];
        $global->load();
        if ($forceSaveComments) {
          $global->setAttr('comment',$xmlData['attributes']['COMMENT']);
        }
        if ($forceSaveDValues) {
          $global->setAttr('default_value',$xmlData['attributes']['DEFAULT_VALUE']);
        }
        if ($forceSavePass) {
          $global->setAttr('isPassword',$xmlData['attributes']['ISPASSWORD']);
        }
        if (!$global->save()) {
          return(NULL);
        }
        $jcreated=false;
      }
      return(array($global,$jcreated));
    }
    
    function globalsSynch($xml_string)
    {
      if (!is_array($xml_string)) {
        LFX_include('LFX_XML');
        $xml=new LFX_XML($xml_string);
        $xml=$xml->xml[0]; 
     } else {
       $xml=$xml_string;
     }
      $global=new LFX_Global;  
      $globalsNames=array();
      $curModules=array();
      while (list(,$globalx)=@each($xml['children'])) {
        $globalsNames[]=$globalx['attributes']['NAME'].$globalx['attributes']['MODULE'];
        if (!in_array($globalx['attributes']['MODULE'],$curModules)) {
          $curModules[]=$globalx['attributes']['MODULE'];
        }
      }
      $query=array();
      $query['select']=array('id','name','module');
      $query['from']=array('globals');
      $cond=array();
      for ($i=0;$i<count($curModules);$i++) {
        $cond[$i]="module=\"".$curModules[$i]."\"";
      }
      $query['where']=array("type"=>"OR","conditions"=>$cond);
      $sql=LFX_buildSQL($query);
      $global->query($sql);
      $existentGlobalsIds=$existentGlobalsNames=array();
      while ($global->db->next_record()) {
        $existentGlobalsIds[]=$global->db->f(0);
        $existentGlobalsNames[]=$global->db->f(1).$global->db->f(2);
      }
      $globalsToExport=array_diff($existentGlobalsNames,$globalsNames);
      $n=count($existentGlobalsIds);
      for($i=0;$i<$n;$i++) {
        if (!$globalsToExport[$i]) {
          unset($existentGlobalsIds[$i]);
        }
      }
      $globalsIds=array_values($existentGlobalsIds);
      $returnXmlString=$global->exportToXML($globalsIds,true);
      return($returnXmlString);
    }
  }
?>
