<?

  /**
  * The LFX_Page library
  * Bogdan Stancescu <bogdan@lanifex.com>, November 2002
  * $Id: LFX_page.php,v 1.43 2005/11/25 09:19:49 bogdan Exp $
  * @package LFX
  */
  _checkMeOut(__FILE__);

  $result=array('LFX_Object', 'LFX_gui', 'LFX_Menu');
  if (!_checkIncludes($result)) {
    return($result);
  }
  
  return(true);
  
  class LFX_Page extends LFX_Object
  {
    var $user;
    var $title;
    var $content;

      /**
      * Used by {@link registerJSscript}() and {@link renderJSscript}() to store
      * registered scripts and files
      */
    var $JSscripts=array();
    var $JSfiles=array();
    
      /**
      * Used by {@link renderJSscript}(), {@link renderJSfile}() and
      * {@link showJS}() to store and dislpay the jabbascript
      */
    var $renderedJS=array();
    
      /**
      * Used by {@link registerGetVar}() and {@link getGetVar}()
      */
    var $getVars=array();
    
    var $main=false;
    
    //loader members
    var $_loaderHeader = '';
    var $loaderStart = false;
    var $progressStart = 0;
    var $mainBuff = '';
    var $stages = array();
    var $lastPercent = -1;
    var $obStack = array();
    //@
    
    
    function LFX_Page ($main=false,$commandline=false)
    {
      global $_LFX_globals;
      if ($_LFX_globals && $_LFX_globals->getSetting('redirect_active')) {
        $redirLocation=$_LFX_globals->getSetting('redirect_location');
        $redirExcept=$_LFX_globals->getSetting('redirect_exceptions');
        $exclude=false;
        if ($redirExcept && $redirLocation) {
          if (strpos(' '.$redirExcept,'/')) {
            $except=explode('/',$redirExcept);
            LFX_include_class('LFX_IP');
            $ip=new LFX_IP;
            if ($ip->mask($except[1],$_SERVER['REMOTE_ADDR'])==$ip->mask($except[1],$except[0])) {
              $exclude=true;
            }
          } elseif ($_SERVER['REMOTE_ADDR']==$redirExcept) {
            $exclude=true;
          }
        }
        if (!$exclude) {
          header("Location: $redirLocation");
          exit;
        }
      }
      if ($main) {
        startWatch("LFX_global");
        $this->main=true;
        if (!$commandline) {
          ob_start();
        }
      }
    }

    function setLocale($user=NULL)
    {
      if (!$user) {
        $user=&$this->user;
      } elseif (is_numeric($user)) {
        $user=new LFX_Person($user);
      } elseif (is_object($user)) {
        if (get_class($user)!='lfx_person') {
          $this->addError('Wrong object type passed to LFX_Page::setLocale()',
            LFX_DV_BOGDAN+50,LFX_ET_ERROR+LFX_EL_SC);
          return(false);
        }
      } else {
        $this->addError('Wrong parameter passed to LFX_Page::setLocale()',
          LFX_DV_BOGDAN+257,LFX_ET_ERROR+LFX_EL_SC);
        return(false);
      }
      $user->setIntl();
    }
    
    /**
    * $noTitleBar can be 1 if you don't want the LFX titles and menus etc.
    * Added by Andrei 22 Jun 04, needed for the reports, which render from LFXlib
    */
    
    function show($noTitleBar=NULL)
    {
      global $_LFX_images,$_LFX_url;      
      $result=LFX_echo("");
      if(!$noTitleBar && !$this->noTitleBar){
        $result.=LFX_echo("<!-- Title Bar -->");
        $result.=LFX_echo("<table border='0' cellpadding='0' cellspacing='0' width='100%'>");
        $result.=LFX_echo("<tr><td>".
          "<a href=\"javascript:parent.location='$_LFX_url'\"><img src='$_LFX_images/top_bar.png' border='0' alt='LFXlib - The CSO Lanifex Generic PHP Library'></a>".
          "</td></tr>");
        $result.=LFX_echo("<tr><td style='background-color:#666666'><img src='$_LFX_images/spacer.gif'></td></tr>");
        $result.=LFX_echo("<tr><td>");
        LFX_indent();
        $result.=LFX_echo("");
        if (!$this->noMenu) {
          $result.=LFX_echo("<!-- Starting menu -->");
          if ($this->menu) {
            $result.=$this->menu->render();
          }
        }
      }
      if ($this->title) {
        $result.=LFX_mainTitle($this->title);
      }
      $result.=LFX_echo("<!-- Starting page -->");      
      $result.=$this->content;
      $result.=LFX_echo("<!-- Ending page -->");
      if(!$noTitleBar){
        LFX_unindent();
        $result.=LFX_echo("</td></tr>");
        $result.=LFX_echo("</table>");
      }
      $this->content=$result;

      $this->doShow();
      
      echo($this->startPage());
      echo($this->showJS());
      echo($this->content);
      echo($this->endPage());
      flush();
    }
    
    function doShow()
    {
      global $commandline, $_LFX_error_output, $_LFX;
      //loader method
      if ($this->loaderStart) $this->loadDestroy();
      
      // First, get contents and stop output control
      $output=trim(ob_get_contents());
      ob_end_clean();
      // The debug stuff - these may be commented out in the final product
      // It's here because it has to be appended to the page content
      if ($this->is_debug(1)) {
        // Doing the exec before everything else, as to time it too
        $note=array();
        $debug='<hr>';
        $debug.=LFX_startTables();
        $debug.=LFX_sthead();
        $debug.=LFX_td('Page statistics',NULL,NULL,2);
        $debug.=LFX_ethead();
        $debug.=LFX_str();
        $debug.=LFX_rth('Time');
        $t=getWatch('LFX_global');
        if ($t>10) {
          $note[]='long time';
        }
        $debug.=LFX_td("<b>".number_format($t,3).' sec'."</b><br><small>The time it took to render this page with a very small approximation; you may experience discrepancies upon reloading</small>");
        $debug.=LFX_estr();
        $debug.=LFX_rth('Queries');
        if ($_LFX['global']['queryCount']>500) {
          $note[]='many queries';
        }
        global $_LFX, $_LFX_url;
        $debug.=LFX_td("<b>".$_LFX['global']['queryCount']."</b><br><small>Total number of queries executed via LFXlib in this page</small>");
        if (@exec('w',$o)) {
          if (preg_match('/load average: ([0-9 \.,]+)$/',$o[0],$s)) {
            $debug.=LFX_estr();
            $debug.=LFX_rth('Load average');
            $debug.=LFX_td("<b>{$s[1]}</b><br><small>System load average past the last 1, 5, 15 minutes</small>");
            $ss=explode(',',str_replace(' ',$s[1],''));
            if (max($ss[0],$ss[1],$ss[2])>1.5) {
              $note[]='high load';
            }
          }
        }
        if (function_exists('memory_get_usage')) {
          $m=memory_get_usage();
          if ($m>10*1024*1024) {
            $note[]='high memory usage';
          }
          if (function_exists('nicesize')) {
            $m=niceSize($m);
          } else {
            $m="$m bytes";
          }
          $debug.=LFX_estr();
          $debug.=LFX_rth('Memory usage');
          $debug.=LFX_td("<b>$m</b><br><small>Memory usage at the end of the script</small>");
          $debug.=LFX_estr();
          $debug.=LFX_rth('$_LFX size');
          $m2=strlen(serialize($_LFX));
          if ($m2>1024*1024) {
            $note[]='large $_LFX size';
          }
          if (function_exists('nicesize')) {
            $m2=niceSize($m2);
          } else {
            $m2="$m2 bytes";
          }
          $debug.=LFX_td("<b>$m2</b><br><small>A VERY rough approximation of the size of global variable \$_LFX</small>");
          $debug.=LFX_estr();
          unset($L);
          $debug.=LFX_rth('Page size');
          $p=strlen($this->content);
          if ($p>128*1024) {
            $note[]='large page size';
          }
          if (function_exists('nicesize')) {
            $p=niceSize($p);
          } else {
            $p="$p bytes";
          }
          $debug.=LFX_td("<b>$p</b><br><small>The size of this page's content</small>");
        }
        $debug.=LFX_etr();
        $debug.=LFX_endTables();
        $this->content.=$debug;
        if ($note) {
          $this->content="<div align='center'><b><font color='red'>Debug note:</font> ".
            implode(', ',$note)."!</b></div>".$this->content;
        }

      }
      $this->content.=
        "<!-- Shortcut to LFXlib -->\n".
        "<a href='$_LFX_url' style='display: none' accesskey='l'>LFXlib shortcut</a>\n".
        "<!-- Done shortcuts -->\n";

      // Now, get the errors if any exist
      if ($errors=$this->getErrorsH()) {
        echo($errors);
        echo("</pre></div>");
        echo(LFX_echo("</td>"));
        echo(LFX_etr());
        echo(LFX_endTables());
        $_LFX['page']['error_messages']=array();
      }

      // If any, we'll start the page with PHP messages
      if ($output) {
        $outList=explode('<br />',$output);
        $phpmsg=LFX_startTables('100%');
        $phpmsg.=LFX_sthead();
        $phpmsg.=LFX_td('PHP Messages','THEAD',false,2);
        $phpmsg.=LFX_ethead();
        if (function_exists('xdebug_is_enabled') && xdebug_is_enabled()) {
          // If xdebug is installed, we just dump its output, along with whatever
          // bits and pieces might have been echoed by the code -- it would
          // be too difficult to break everything up.
          $phpmsg.=LFX_str();
          $phpmsg.=LFX_rth('XDebug enabled, all output is shown in one cell');
          $phpmsg.=LFX_td($output);
          $phpmsg.=LFX_etr();
        } else {
          while (list(,$out)=each($outList)) {
            $out=trim($out);
            if (!$out) {
              continue;
            }
            $out_type=$out;
            $out_type=substr($out_type,3);
            $out_type=substr($out_type,0,strpos($out_type,'</b>:'));
            if ($out_type) {
              $out=substr($out,strlen($out_type)+strlen('<b></b>:'));
            } else {
              $out_type='PHP Message';
            }
            $phpmsg.=LFX_str();
            //$phpmsg.=LFX_rth(htmlspecialchars($out_type));
            //$phpmsg.=LFX_td(htmlspecialchars($out));
            $phpmsg.=LFX_rth($out_type);
            $phpmsg.=LFX_td($out);
            $phpmsg.=LFX_etr();
          }
        }
        $phpmsg.=LFX_endTables();
        echo($phpmsg);
      }
    }

    /**
    * Similar to $_page->show
    * $env can be:
    *   html - then it's the normal $_page->show
    *   cli - replaces <BR> tags with \n, formatting for command line
    * Since the method is called cliShow, the default env is now cli
    * $debug can be:
    *   0 - no messages
    *   1 - output all messages
    */

    function cliShow($env='cli',$debug=0)
    {
      global $LFX_title;
      if ($debug==1){
        if($env=='html') {
          $LFX_title=$this->title;
          echo(LFX_startPage());
          if ($this->title) {
            echo(LFX_mainTitle($this->title));
          }
          echo($this->content);
          echo(LFX_endPage());
          flush();
        } elseif($env=='cli') {
          $this->content=eregi_replace('<br>',"\n",$this->content);
          echo ($this->content);
        }
      } else {
        return;
      }
    }

      /**
      * Returns all the tags needed for starting a page.
      * Should not be used directly - use the $_page mechanisms
      * and functions (pecho() and pdie()) and $_page->show() will
      * take care of this.
      *
      * @param string $extra optional HTML (probably JavaScript)
      *   to insert between </HEAD> and <BODY>
      * @return string HTML string
      */
    function startPage($extra='')
    {
      global $LFXT_title, $LFX_col_links, $LFX_col_dk, $LFX_col_md, $LFX_col_lt, $LFX_col_dk_dk, $LFX_col_lt_green;
      global $_LFX_url;

      LFX_indent();

      if ($this->title) {
        $myTitle="LFX - {$this->title}";
      } else {
        $myTitle='LFX';
      }
      //<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">'.
      return(
      "<HTML>\n".
      "<HEAD>\n".
      "  <TITLE>$myTitle</TITLE>\n".
      "<LINK REL=STYLESHEET TYPE=\"text/css\" HREF=\"$_LFX_url/include/lfx.css.php\">".
      "\n</HEAD>\n".
      $extra.
      "<BODY>\n");
    }

    function endPage()
    {
      return("</BODY>\n</HTML>\n");
    }

      /**
      * This method registers one GET variable for this page.
      *
      * Use it for multiple GET variables in conjunction with LFX_page::{@link getGetVars}()
      *
      * @param string $key a key which identifies this variable or set of variables
      * @param string $parameter the variable or variables themselves
      * @return void
      */
    function registerGetVar($key,$parameter)
    {
      // We skip the empty ones as to not end up with "&&foo=bar&&&" when
      // parsing with getGetVars()
      if ($parameter) {
        $this->getVars[$key]=LFX_formatGetVar($parameter);
      }
    }

      /**
      * This method returns this page's list of GET variables, while excluding
      * some you might not need.
      *
      * @param mixed $exclude this contains the parameter(s) to exclude. This can
      *   be either a string (in which case it identifies a single key to exclude),
      *   or an array (in which case it identifies multiple keys to exclude)
      * @param bool $strip if true, it strips the HTML entities (&amp;) from the resulting
      *   string, thus being useful for direct identification of URL's (form actions,
      *   JavaScript redirects, etc)
      * @return string the list of parameters
      */
    function getGetVars($exclude=NULL,$strip=false)
    {
      if ((!$this->getVars) || (!is_array($this->getVars))) {
        return(NULL);
      }
      $result='';
      reset($this->getVars);
      while(list($key,$val)=each($this->getVars)) {
        if (is_array($exclude) && in_array($key,$exclude)) {
          continue;
        } elseif (!is_array($exclude) && ($key==$exclude)) {
          continue;
        }
        $result.=$val;
      }
      if ($strip) {
        $result=str_replace('&amp;','&',$result);
      }
      return($result);
    }

      /**
      * This method actually renders the JavaScript code prepared by
      * {@link renderJSscript}() and {@link renderJSfile}(). Your version
      * of {@link show}() should call this inherited method and include
      * its output immediately after starting the HTML <BODY> tag
      * (typically after {@link startPage}() and before content).
      *
      * @return string the HTML representation of all JavaScript code
      *   rendered with {@link renderJSscript}() and {@link renderJSfile}()
      */
    function showJS()
    {
      $result='';
      if ($this->renderedJS) {
        $result.="<!-- Page JavaScript start -->\n";
        $result.=implode('',$this->renderedJS);
        $result.="<!-- Page JavaScript end -->\n";
      }
      return($result);
    }
    
      /**
      * This method registers a piece JavaScript code in this page.
      * The code does not need any HTML containers (i.e. "<SCRIPT>...</SCRIPT>"),
      * it's supposed to be the actual script.
      * The $name variable can then be used to render the script by passing
      * it to {@link renderJSscript}()
      *
      * @param string $name a conventional name for this script
      * @param string $script the actual script
      * @param string $version the JavaScript version of the script;
      *   if passed, it's used in the HTML <SCRIPT> tag.
      */
    function registerJSscript($name,$script,$version=NULL)
    {
      $this->JSscripts[$name]=array('script'=>$script,'version'=>$version);
      return(true);
    }
    
      /**
      * This method renders a script registered with {@link registerJSscript}()
      * or a script passed directly.
      * If the name parameter is not found among the registered scripts,
      * it is used as is, instead of the script.
      * Please note that the script is rendered at the top of the page, just
      * below the <BODY> tag; if you need to execute the script in a particular
      * place in the page, please pecho() them as usual.
      *
      * @param string $name the name of the script, or the script itself
      * @param boolean $force if the script is passed by name and it has
      *   already been rendered, then you need to force rendering it again
      *   by setting this parameter to true in subsequent calls
      * @param string $version if a script is sent in $name, then this is used
      *   as it would have been used if it were passed to {@link registerJSscript}()
      * @return mixed boolean true if rendered, or NULL if the script has already
      *   been rendered and $force was not specified
      */
    function renderJSscript($name,$force=false,$version=NULL)
    {
      if (!isset($this->JSscripts[$name])) {
        $myScript=array('script'=>$name,'version'=>$version);
      } else {
        $myScript=$this->JSscripts[$name];
        if ($myScript['rendered'] && !$force) {
          return(NULL);
        }
        $this->JSscripts[$name]['rendered']=true;
      }
      if ($myScript['version']!==NULL) {
        $ver=" VERSION='{$myScript['version']}'";
      } else {
        $ver='';
      }
      $result="";
      $result.="<SCRIPT LANGUAGE='JavaScript'$ver>\n";
      $result.="<!--\n";
      $result.=$myScript['script'];
      $result.="//-->\n";
      $result.="</SCRIPT>\n";
      $this->renderedJS[]=$result;
      return(true);
    }

      /**
      * Identical in every way with {@link registerJSscript}(), except
      * this method requires the URL to a JavaScript file instead of the
      * script itself.
      */
    function registerJSfile($name,$url,$version=NULL)
    {
      $this->JSfiles[$name]=array('url'=>$url,'version'=>$version);
      return(true);
    }

      /**
      * Identical in every way with {@link renderJSscript}(), except
      * this method renders scripts registered with {@link regidterJSfile} or
      * requires the URL to a JavaScript file instead of the script itself
      * in order to render it directly.
      */
    function renderJSfile($name,$force=false,$version=NULL)
    {
      if (!isset($this->JSfiles[$name])) {
        $myFile=array('url'=>$name,'version'=>$version);
      } else {
        if ($this->JSfiles[$name]['rendered'] && !$force) {
          return(NULL);
        }
        $myFile=$this->JSfiles[$name];
        $this->JSfiles[$name]['rendered']=true;
      }
      if ($myFile['version']!==NULL) {
        $ver=" VERSION='{$myScript['version']}'";
      } else {
        $ver='';
      }
      $this->renderedJS[]="<SCRIPT LANGUAGE='JavaScript'$ver SRC='{$myFile['url']}' TYPE='text/javascript'></SCRIPT>\n";
      return(true);
    }


      /**
      * This function displays a header containing miscelaneous information
      * about this page (date, application, full url)
      * This info is displayed only when disposition=='print'
      */
    function internalHeader($module='')
    {
      if(LFX_getDisposition()=='print') {
        $result="<div align='center'>";
        if($module!='') {
          global $_LFX;
          $this_uri=$_SERVER['REQUEST_URI'];
          $mypath=substr($_SERVER['REQUEST_URI'],strlen($_LFX['global']['applications'][$module]['app_url']));
          $result.="URL: ".$_LFX['global']['applications'][$module]['app_fullurl'].$mypath;
          $result.="<br>";
        }
        $result.=__L("Page generated ").LFX_Object::formatDate(time())." by ".$_LFX['global']['applications'][$module]['app_name'];
        $result.="</div>";
        return($result);
      } else {
        return('');
      }
    }

    // LOADER METHODS
    /** 
     *   (!) This must be called before initLoader otherwise will have no effect.
     *  @param string $header Header to be placed.
     */
    function loaderHeader($header = '')
    {
        $this->_loaderHeader = $header;  
    }

    /**
     *  Creates the loader holder.
     *  If this won't be followed by loading stages then a simple `Loading...` message will appear.
     */
    function initLoader()
    {
        set_time_limit(0);
        $this->manageObStack();
        $this->loaderStart = true;
        $this->progressStart = 100000;
        $header = $this->_loaderHeader;
        print("<div align='center' id='all'>
               <div align='center' style='top:0px;'>{$header}</div>
               <div align='center' style='top:200px; left:500px; position:absolute; display:block;' id='noStage'>
                <h2>LOADING ...</h2>
               </div>
               <div style='display:block;' id='contentHolder'></div>
               <br>
                  <fieldset id='fieldSetLoader' style='width:480px; display:none;'>
                    <legend style='font-weight:bold;'> LOADING </legend>
                    <div id='currStage' style='width:100%; text-align:center;'></div>
                  </fieldset>
                  <br>
                  <div
                    style=' display:none; 
                            height:100px;
                            width:500px;
                            vertical-align:bottom;
                            border:1px solid gray;
                            overflow:auto;
                            bottom:0px;
                            top:100px;
                            '
                    id='progressHolder'></div>
             </div>\r\n
             <script>document.getElementById('currStage').innerHTML = '<center><b>Please Wait ...</b></center>';</script>\r\n
            ");
       flush();
       ob_start();
    }

    /**
     *  Sets the current stage. 
     *  @param $stageName A descriptive name for stage. 
     *                    If no name provided `Stage ` followed by it's queue number will be placed instead.
     *  @param $steps Number of steps to be performed.
     *                If no number <> 0 provided then no percent feedback will appear.
     */
    function setLoadStage($stageName='', $steps=0)
    {
      if (!$this->loaderStart) return; 
      $cnt = count($this->stages);
      $this->stages[$cnt]['name'] = $stageName;
      $this->stages[$cnt]['steps'] = $steps;

      $inc = count($this->stages);
      if (!$inc) $inc = 1;
      if (!$stageName) $stageName = 'Stage '.$inc;

      //leave place for real content; 
      $this->manageObStack(1);
      $this->manageObStack();
      ob_start();
      if ($inc == 1) {
        $hidenoStage = "<script>
                          document.getElementById('noStage').style.display = 'none';
                          document.getElementById('fieldSetLoader').style.display = 'block';
                          document.getElementById('progressHolder').style.display = 'block';
                        </script>\r\n";
      } else {
        $hidenoStage = '';
      }
      $stageNameHtml = '<div style="height:20px;display:block;width:80%;text-align:center;float:left;" id="stageName">'.$stageName.'</div>';
      $stagePercHtml = '<div id=progress_'.$inc.' style=\"background-color:#8F6F36;float:left;width:0px;height:20px;\"></div><div style="display:block;height:20px;width:40px;float:left;" id="percent_'.$inc.'"></div>';
      $stageAllHtml = $hidenoStage.'<script>document.getElementById("currStage").innerHTML = \''.$stageNameHtml.' '.$stagePercHtml.'\';</script>';
      print $stageAllHtml;
      ob_flush();
      flush();
    }

    /**
     * Closes the currently loading stage.
     */
    function endLoadStage()
    {
      //ob_end_clean();
      //ob_start();
      //if ($this->stages[count($this->stages)-1]['steps'] == 0) {
        print $this->moveFinishedStage();
        ob_flush();
        flush();
      //}
      $this->manageObStack(1);
    }

    /**
     * Internal method. 
     */
    function my_microtime()
    {
      list($usec, $sec) = explode(" ", microtime());
      return ((float)$usec + (float)$sec);
    }

    /**
     *  Sets the current loading step.
     *  @param $step Current step number.
     */
    function setLoadStep($step)
    {
      if (!$step) return;
      $step++;
      $no = count($this->stages);
      if (!$no) return;

      $percent = round(($step*100)/$this->stages[$no-1]['steps']);
      if ($percent != $this->lastPercent) {
        $cetTime = $this->my_microtime();
        if ((($cetTime - $this->progressStart)*1000) >= 100 || $percent == 100) {
        $stepH = "<script>
                        document.getElementById('percent_{$no}').innerHTML = '$percent%';
                        document.getElementById('progress_{$no}').style.width = Math.floor(parseInt(document.getElementById('percent_{$no}').style.width)*$percent/100);
                   </script>\r\n";
          $this->progressStart = $cetTime;
        }
        $this->manageObStack(1);
        $this->manageObStack();
        ob_start();
        print $stepH;
        ob_flush();
        flush();
        if ($percent >= 100) {
          $this->endLoadStage();
        }
        $this->lastPercent = $percent;
      }
    }

    /**
     *  Internal method. Manages the output buffers stack.
     *  @param integer $case 0 or 1. 0 - cache the current ob stack; 0 - release the ob stack.
     */
    function manageObStack($case = 0)
    {
      if (!$case) {
        $this->obStack = array();
        while(ob_get_level()) {
          $this->obStack[] = ob_get_clean();
        }
      } else {
        for($i=count($this->obStack)-1; $i>=0; $i--) {
          ob_start();
          print $this->obStack[$i];
        }  
        $this->obStack = array();
      }
    }

    /**
     * Called by endLoadStage {@link endLoadStage} 
     * Moves the currently loading stage - onFinish - to completed queue holder.
     * @return string Javascript code for move. 
     */
    function moveFinishedStage()
    {
      return("<script>
                document.getElementById('progressHolder').innerHTML += '<div style=\"float:left; width:80%; text-align:center;\">'+document.getElementById('stageName').innerHTML+'</div><div>Completed ...</div>';
                document.getElementById('currStage').innerHTML = '<center><b>Loading ...</b></center>';
              </script>");
    }

    /** 
     *  Internal Method. Called by {@link show()}
     *  Hide the loader's holder.
     */
    function loadDestroy()
    {
      //$content = ob_get_contents();
      //ob_end_clean();
      print "<script>
                //document.getElementById('contentHolder').innerHTML = '$content'; 
                document.getElementById('progressHolder').style.display = 'none';
                document.getElementById('fieldSetLoader').style.display = 'none';
                document.getElementById('all').style.display = 'none';
              </script>
            ";
      ob_flush();
      flush();
    }
  }
?>
