<?php

  /**
  * This is a class which deals with saving and reading data from the reports_data table
  *
  * A basic class based on the LFX_object, with onLoad and beforeSave changed to
  * compress/decompress your report data
  */

class LFX_reports_generic extends LFX_Object
{
  // Constructor
  function LFX_reports_generic($id=NULL){
    $this->LFX_Object($id);
    $tmp["reports_id"]=
    $tmp["period"]=
    $tmp["last_updated"]=
    $tmp["start_timestamp"]=
    $tmp["end_timestamp"]=
    $tmp["data"]=
    $tmp["is_complete"]=
    array();

    $tmp["last_updated"]["flags"]["sqlDate"] = TRUE;
    $tmp["start_timestamp"]["flags"]["forceSave"] = TRUE;
    $tmp["start_timestamp"]["flags"]["sqlDate"] = TRUE;
    $tmp["end_timestamp"]["flags"]["forceSave"] = TRUE;
    $tmp["end_timestamp"]["flags"]["sqlDate"] = TRUE;

    $tmp['reports_id']['link_class']='LFX_Report_Wrapper';

    $this->dataStructure=array(
      "table_name" => "reports_data",
        "id_field" => "id",
          "fields" => $tmp,
    );

    $this->fillDataStructure();

  }

  /**
  * Serializes and compresses the data
  *
  * @parameter array $data
  * @return TRUE on success or FALSE on failure
  *
  */


  function beforeSave(){
    $tmp = $this->getAttr("data");
    if($tmp === NULL){
      // There was no data for this period
      $tmp = array('no_data');
    }
    if(!is_array($tmp)){
      $this->addError("LFX_reports_generic::beforeSave(): ".
        "The data you are trying to save is not an array.");
      return(FALSE);
    }
    $tmp = serialize($tmp);
    $this->setAttr("data",$tmp);
    return(TRUE);
  }

  /**
  * This method should only be called on the last update of a periodical
  * report -- it renders the report and sends it to the per event subscription.
  */
   
  function sendEventSubs() {
    $wrapper=$this->getObject('reports_id');
    global $_page;
    $tmp=$_page;
    $_page=new LFX_page();
    $_page->user=$tmp->user;
    if ($sub=$wrapper->mySubscription($this->getAttr('period'))) {
      $reportH=$wrapper->render('',$this->id);
      $sub->deliver($reportH);
    }
    $_page=$tmp;
  }

  /*
  / Decompresses and deserializes the data
  */

  function onLoad(){

    $tmp = $this->getAttr("data");
    $tmp = unserialize($tmp);

    if(!$tmp||(!is_array($tmp))){
      $this->addError("Method LFX_reports_generic::onLoad(): ".
      "The data in record ".$this->id." is empty or is not an array.");
      return(FALSE);
    }elseif($tmp[0]=='no_data'){
      $tmp = NULL;
    }

    $this->setAttr("data",$tmp);
    return;
  }
}

?>
