<?

  /**
  * LFX_Subscriber class
  * Bogdan Stancescu <bogdan@lanifex.com>, April 2003
  * $Id: LFX_subscriber.php,v 1.4 2005/08/31 10:00:28 dieter Exp $
  * @package LFX
  */

  _checkMeOut(__FILE__);

  $result=array('LFX_Object', 'LFX_Access');
  if (!_checkIncludes($result)) {
    return($result);
  }

  class LFX_Subscriber extends LFX_Access
  {
    function LFX_Subscriber($id=0)
    {
      $this->dbData['dbDataSet']='eh';
      $this->LFX_Object($id);

      // == DEFINING ATTRIBUTES ==
      $tmp['subscription']=
      $tmp['user']=
      $tmp['email']=
        array();
        
      // == DEFINING FIELD NAMES ==
      $tmp['subscription']['fld_name']='subscriptionId';
      $tmp['user']['fld_name']='userId';

      // == DEFINING LINKS ==
      $tmp['subscription']['link_class']='LFX_Subscription';
      $tmp['user']['link_class']='LFX_User';

      // == DEFINING DATASTRUCTURE ==
      $this->dataStructure=array(
        'table_name'=>'subscriber',
        'id_field'=>'id',
        'fields'=>$tmp);

      $this->fillDataStructure();
    }

    /**
    * Returns the e-mail address of this subscriber as required by the LFX_Mail
    * class (i.e. either a LFX_User instance or a string if the object is n/a)
    * @param integer id the subscriber id to return the e-mail for, or 0 for the current.
    * @return string the e-mail address
    */
    function getAddress($id=0)
    {
      $sub=&$this->defaultObject($id);
      if ($email=$sub->getAttr('email')) {
        return($email);
      }
      return($sub->getObject('user'));
    }

    /**
    * Returns the LFX_User object associated with this subscriber 
    * @param integer id the subscriber id to return the user object for, or 0 for the current.
    * @return LFX_User LFX user object
    */
    function getUser($id=0)
    {
      $sub = &$this->defaultObject($id);
      return($sub->getObject('user'));
    }
  }

?>
