<?php
// $Header: /cvsroot/LFXlib/include/htm2pdf/output.class.php,v 1.1 2005/11/16 15:07:42 bogdan Exp $

class Output {
  var $filename;
  function Output() {
    $this->filename = "";
  }

  function set_filename($filename) { $this->filename = $filename; }
  function get_filename() { return empty($this->filename) ? OUTPUT_DEFAULT_NAME : $this->filename; }
  function filename_escape($filename) { return preg_replace("/[^a-z0-9-]/i","_",$filename); }
}

class BrowserInlineOutput extends Output {
  function BrowserOutput() {}
  function execute($content_type, $src_filename) {
    header("Content-Type:".$content_type[1]);
    header("Content-Disposition:inline; filename=".$this->filename_escape($this->get_filename()).".".$content_type[0]);
    header("Content-Transfer-Encoding: binary");
    header("Cache-Control: private");

    // readfile does not work well with Windows machines
    echo(file_get_contents($src_filename));
  }
}

class BrowserAttachmentOutput extends Output {
  function BrowserOutput() {}
  function execute($content_type, $src_filename) {
    header("Content-Type:".$content_type[1]);
    header("Content-Disposition:attachment; filename=".$this->filename_escape($this->get_filename()).".".$content_type[0]);
    header("Content-Transfer-Encoding: binary");
    header("Cache-Control: private");

    // readfile does not work well with Windows machines
    echo(file_get_contents($src_filename));
  }
}

class FileOutput extends Output {
  function FileOutput() {
    if (!OUTPUT_FILE_ALLOWED) { die("File output is not allowed. You can enable it by setting OUTPUT_FILE_ALLOWED in 'output.class.php' to 'true'"); };
  }
  function execute($content_type, $src_filename) {
    $dest_filename = OUTPUT_FILE_DIRECTORY."/".$this->filename_escape($this->get_filename()).".".$content_type[0];
    copy($src_filename, $dest_filename);
    print("File saved as: ".$dest_filename);
  }
}
?>