<?

  /**
  * New Create User
  * Andrei Tinca <andrei@lanifex.com>, November 2002
  * Maintainers:
  *   Lucian Silistru <lucian@moongate.ro>
  *   Bogdan Stancescu <bogdan@moongate.ro>
  * $Id: create_user.php,v 1.2 2004/12/14 14:07:54 bogdan Exp $
  * @package LFX
  */

  $_page->title=__L("New User Creation");

  if (!$_page->user->getRights("LFX_Access","RW")) {
    pdie(__L("You do not have access to this page."));
  }
  pecho(LFX_echo("<table border='0' width='100%' cellspacing='$_LFX_access_spacing'>"));
  pecho(LFX_str());
  pecho(LFX_echo("<td valign='top'>"));

  $user = new LFX_user;
  $ok=false;
  if ($submit) {
    pecho(LFX_startTables('800'));
    $ok=true;
    if (($rpwd!=$pwd) || ($pwd=='')) {
      pecho(LFX_swatchHeader(array(
        'title'=>__L('Passwords do not match or no password entered. Please re-enter the passwords.')
      )));      
      $ok=false;
    }
    if (!$uname) {
      pecho(LFX_swatchHeader(array(
        'title'=>__L('Please enter a username.')
      )));
      $ok=false;
    }
    $sameUser=$user->search("uname",LFX_Object::gpcUnslash($uname));
    if (count($sameUser)) {
      pecho(LFX_swatchHeader(array(
        'title'=>__L('Username already exists. Please change it.')
      )));
      $ok=false;
    }
    // The e-mail address must satisfy the following condition set:
    // * (1) if empty, allowed, no checking (multiple users with empty e-mail
    //   addresses are ok
    // * (2) if not empty, we check for duplicate users with the same e-mail.
    //   * (2.1) if no other users with the same e-mail are found, all is well
    //   * (2.2) if only deactivated users with the same e-mail are found, we just warn
    //     and proceed with creating users
    //   * (2.3) if active users with the same e-mail are found, we check if there
    //     are any groups with the same e-mail
    //     * (2.3.1) if any groups with the same e-mail exist, we're in the clear, this
    //       is legitimate (it's a group e-mail, we assume that the people who
    //       do this know what they're doing)
    //     * (2.3.2) if no groups with the same e-mail exist, we deny the right to create
    //       the user. Please note that this branch is the only one in this whole
    //       structure which denies the right to create a user based on his e-mail.
    if ($email) { // (2)
      $emailU=trim(LFX_Object::gpcUnslash($email));
      $sameEmail=$user->search('email',$emailU);
      if ($sameEmail) { // (2.x)
        $active=false;
        for($i=0;$i<count($sameEmail);$i++) {
          if (!$sameEmail[$i]->getAttr('deactivated')) {
            $active=true;
            break;
          }
        }
        if ($active) { // (2.3)
          $tg=new LFX_Group;
          if (!$tg->search('email',$emailU)) { // (2.3.2)
            pecho(LFX_swatchHeader(array(
              'title'=>__L('One more active user with the same e-mail address '.
                'exists, and this is not a group e-mail. Please either deactivate '.
                'that user\'s e-mail, or change his e-mail, or change this one\'s e-mail, '.
                'or create a group with this e-mail in order to avoid this problem.')
            )));
            $ok=false;
          } // else (2.3.1)
        } else { // (2.2)
          pecho(LFX_swatchHeader(array(
            'title'=>__L('WARNING: At least one more deactivated user '.
              'with the same e-mail address exists in the system! '.
              'This user will be created however, since that one is not active.')
          )));
        }
      } // else (2.1)
    } // else (1)
    if ($ok) {
      $user->setAttrs(array(
        'fname'=>$fname,
        'mname'=>$mname,
        'lname'=>$lname,
        'sal'=>$sal,
        'position'=>$position,
        'company'=>$company,
        'email'=>$email,
        'addr'=>$addr,
        'mphone'=>$mphone,
        'wphone'=>$wphone,
        'fax'=>$fax,
        'hphone'=>$hphone,
        'uname'=>$uname,
        'preflang'=>$preflang,
        'notes'=>$notes,
        'date_created'=>time()),'gpc');
      $Upwd=$user->gpcUnslash($pwd);
      $user->setAttr('pwd',md5($Upwd));
      if ($user->save()) {
        pecho(LFX_swatchHeader(array(
          'title'=>sprintf(__L('User %s created successfully.'),$user->getLinkH()),
          'explain'=>"$_LFX_url/access_manager"
        )));        
      } else {
        pecho(LFX_swatchHeader(array(
          'title'=>__L('Could not save user.'),
          'explain'=>"$_LFX_url/access_manager/user_list"
        )));          
      }
    }
    pecho(LFX_endTables());
    pecho(LFX_echo("<br />"));
  }
  if (!$ok) {
    pecho("<form name='theform' method='POST'>");
    pecho(LFX_startTables('800'));
    pecho(LFX_swatchHeader(array(
      'title'=>__L('New User Details'),
      'explain'=>"$_LFX_url/access_manager/user_list"
    )));
    pecho(LFX_str());
    pecho(LFX_echo('<TD>'));
    pecho(LFX_startTables("100%"));
    pecho(LFX_str());
    pecho(LFX_rth(__L("First Name"),NULL,NULL,NULL,NULL,"50%"));
    pecho(LFX_td("<input name='fname' type='text' value='$fname'>"));
    pecho(LFX_estr());
    pecho(LFX_rth(__L("Middle Name"),NULL,NULL,NULL,NULL,"50%"));
    pecho(LFX_td("<input name='mname' type='text' value='$mname'>"));
    pecho(LFX_estr());
    pecho(LFX_rth(__L("Last Name"),NULL,NULL,NULL,NULL,"50%"));
    pecho(LFX_td("<input name='lname' type='text' value='$lname'>"));
    pecho(LFX_estr());
    pecho(LFX_rth(__L("Salutation"),NULL,NULL,NULL,NULL,"50%"));
    pecho(LFX_td("<input name='sal' type='text' value='$sal'>"));
    pecho(LFX_estr());
    pecho(LFX_rth(__L("Position"),NULL,NULL,NULL,NULL,"50%"));
    pecho(LFX_td("<input name='position' type='text' value='$position'>"));
    pecho(LFX_estr());
    pecho(LFX_rth(__L("Company"),NULL,NULL,NULL,NULL,"50%"));
    pecho(LFX_td("<input name='company' type='text' value='$company'>"));
    pecho(LFX_estr());
    pecho(LFX_rth(__L("E-Mail"),NULL,NULL,NULL,NULL,"50%"));
    pecho(LFX_td("<input name='email' type='text' value='$email'>"));
    pecho(LFX_estr());
    pecho(LFX_rth(__L("Address"),NULL,NULL,NULL,NULL,"50%"));
    pecho(LFX_td("<input name='addr' type='text' value='$addr'>"));
    pecho(LFX_estr());
    pecho(LFX_rth(__L("Mobile Phone"),NULL,NULL,NULL,NULL,"50%"));
    pecho(LFX_td("<input name='mphone' type='text' value='$mphone'>"));
    pecho(LFX_estr());
    pecho(LFX_rth(__L("Work Phone"),NULL,NULL,NULL,NULL,"50%"));
    pecho(LFX_td("<input name='wphone' type='text' value='$wphone'>"));
    pecho(LFX_estr());
    pecho(LFX_rth(__L("Fax"),NULL,NULL,NULL,NULL,"50%"));
    pecho(LFX_td("<input name='fax' type='text' value='$fax'>"));
    pecho(LFX_estr());
    pecho(LFX_rth(__L("Home Phone"),NULL,NULL,NULL,NULL,"50%"));
    pecho(LFX_td("<input name='hphone' type='text' value='$hphone'>"));
    pecho(LFX_estr());
    pecho(LFX_rth(__L("Username")." (*)",NULL,NULL,NULL,NULL,"50%"));
    pecho(LFX_td("<input name='uname' type='text' value='$uname'>"));
    pecho(LFX_estr());
    pecho(LFX_rth(__L("Password")." (*)",NULL,NULL,NULL,NULL,"50%"));
    pecho(LFX_td("<input name='pwd' type='password' value='$pwd'>"));
    pecho(LFX_estr());
    pecho(LFX_rth(__L("Re-enter password")." (*)",NULL,NULL,NULL,NULL,"50%"));
    pecho(LFX_td("<input name='rpwd' type='password' value='$rpwd'>"));
    pecho(LFX_estr());
    $tmp=$user->getAttr('preflang');
    if (!$tmp) {
      $tmp=$_LFX_globals->getSetting('system_language');
    }
    $langs=new LFX_Language;
    $langs=$langs->search(NULL,NULL,'name');    
    pecho(LFX_rth(__L("Preferred Language"),NULL,NULL,NULL,NULL,"50%"));
    pecho(LFX_std());
    $select="<SELECT name='preflang'>";
    for ($i=0;$i<count($langs);$i++) {
      $nm=$langs[$i]->getAttrH('name');
      $sel='';
      $code=$langs[$i]->getAttrH('code');
      if ($code==$tmp) {
        $sel='selected';
      }
      $select.="<OPTION $sel value='$code'>$nm</OPTION>";
    }
    $select.="</SELECT>";
    pecho(LFX_echo($select));
    pecho(LFX_etd());
    pecho(LFX_estr());
    pecho(LFX_rth(__L("Notes"),NULL,NULL,NULL,NULL,"50%"));
    pecho(LFX_td("<textarea name='notes'></textarea>"));
    pecho(LFX_estr());
    pecho(LFX_td("<input type='submit' name='submit' value='".__L("Save User")."'>","thead",'',2));
    pecho(LFX_etr());
    pecho(LFX_endTables());
    pecho(LFX_echo('</TD>'));
    pecho(LFX_etr());
    pecho(LFX_endTables());
    pecho("</form>");
  }

  pecho(LFX_echo("</td>"));
  pecho(LFX_etr());
  pecho(LFX_echo("</table>"));
?>
