<?
  /**
  * AM functions
  * Bogdan Stancescu <bogdan@lanifex.com>, November 2004
  * $Id: functions.php,v 1.6 2005/09/16 07:38:27 bogdan Exp $
  * @package LFX
  */
  
  /*
  
  -----
  TO DO
  -----
    * listClass($list,$action='get'), care sa-ti returneze clasa pentru
      elementul curent din lista (ca sa alternezi backgrounds)
      
    * de decis cum se paseaza ordonarile si filtrele in functie
      (atentie, trebuie pasata atat ordonarea curenta cat si numele
      variabilelor, pentru ca functia sa genereze corect contralele pentru
      ordonarile/filtrarile respective!)
      
    * de decis alti parametri posibili ai functiei
    
    * groups, functions, privs + filters on 'em!
    
    * "Inactive" filter
    
    * Check if it's worth fixing the "one-filter-at-a-time" issue
  
  */
  
  function LFX_usersList($vars,$callback='',$query=array())
  {
    // --- Globals and defaults as variables
    global $_page, $_LFX_icon_locked;
    $default_page_size=20;
    
    // ===== STARTING INITIALIZATION =====
    // --- Failure tests
    if (!$vars['base_url']) {
      pdie("Please at least specify the base_url entry in the first parameter!");
    }
    
    // --- $vars array initialization
    LFX_initvar($vars['order_var'],'ord');
    LFX_initvar($vars['sort_var'],'sort');
    LFX_initvar($vars['list_name'],'users_list');
    LFX_initvar($vars['page_size_var'],'page_size');
    LFX_initvar($vars['page_size'],LFX_Object::gpcUnslash($_GET[$vars['page_size_var']]));
    LFX_initvar($vars['page_size'],$default_page_size);
    LFX_initvar($vars['page_offset_var'],'page_offset');
    LFX_initvar($vars['page_offset'],LFX_Object::gpcUnslash($_GET[$vars['page_offset_var']]));
    LFX_initvar($vars['page_offset'],0);
    LFX_initvar($vars['fname_filter_var'],'fname_filter');
    LFX_initvar($vars['fname_filter'],LFX_Object::gpcUnslash($_GET[$vars['fname_filter_var']]));
    LFX_initvar($vars['lname_filter_var'],'lname_filter');
    LFX_initvar($vars['lname_filter'],LFX_Object::gpcUnslash($_GET[$vars['lname_filter_var']]));
    LFX_initvar($vars['email_filter_var'],'email_filter');
    LFX_initvar($vars['email_filter'],LFX_Object::gpcUnslash($_GET[$vars['email_filter_var']]));
    LFX_initvar($vars['show_deactivated_var'],'show_deactivated');
    LFX_initvar($vars['show_deactivated'],LFX_Object::gpcUnslash($_GET[$vars['show_deactivated_var']]));
    $baseURL=$vars['base_url'];
    
    // --- Registering GET variables
    $baseURLonList=LFX_orderArrows($baseURL,$vars['order_var'],$vars['sort_var'],NULL,true);
    $_page->registerGetVar($vars['list_name'],$baseURLonList['currentURL']);
    if ($vars['page_size']!=$default_page_size) {
      $_page->registerGetVar($vars['page_size_var'],$vars['page_size_var']."=".$vars['page_size']);
    }
    if ($vars['page_offset']) {
      $_page->registerGetVar($vars['page_offset_var'],$vars['page_offset_var']."=".$vars['page_offset']);
    }
    if ($vars['fname_filter']) {
      $_page->registerGetVar($vars['fname_filter_var'],$vars['fname_filter_var']."=".$vars['fname_filter']);
    }
    if ($vars['lname_filter']) {
      $_page->registerGetVar($vars['lname_filter_var'],$vars['lname_filter_var']."=".$vars['lname_filter']);
    }
    if ($vars['email_filter']) {
      $_page->registerGetVar($vars['email_filter_var'],$vars['email_filter_var']."=".$vars['email_filter']);
    }
    if ($vars['show_deactivated']) {
      $_page->registerGetVar($vars['show_deactivated_var'],$vars['show_deactivated_var'].'='.$vars['show_deactivated']);
    }
    // ===== FINISHED INITIALIZATION =====

    // ===== STARTING QUERY =====
    // --- Common query elements
    $result='';
    $query['select'][]='p.id id';
    $query['select'][]='p.fname fname';
    $query['select'][]='p.lname lname';
    $query['select'][]='p.email email';
    $query['select'][]='p.deactivated deactivated';
    $query['select'][]='UNIX_TIMESTAMP(p.date_created) date_created';
    $query['from'][]='people p';

    // --- Ordering in query
    for($i=1;$i<=count($_GET[$vars['order_var']]);$i++) {
      $field=$_GET[$vars['sort_var']][$i];
      // No SQL injection
      if (strpos(' ',$field,';')) {
        continue;
      }
      $type=$_GET[$vars['order_var']][$i];
      if ($type=='down') {
        $type='asc';
      } elseif ($type=='up') {
        $type='desc';
      } else {
        $type='';
      }
      $query['order'][]=array('field'=>$field,'type'=>$type);
    }
    
    // --- Filters in query
    $query['where']['type']='AND';
    if ($vars['fname_filter']) {
      $filter=addslashes($vars['fname_filter']);
      $query['where']['conditions'][]="fname LIKE \"%$filter%\"";
    }
    if ($vars['lname_filter']) {
      $filter=addslashes($vars['lname_filter']);
      $query['where']['conditions'][]="lname LIKE \"%$filter%\"";
    }
    if ($vars['email_filter']) {
      $filter=addslashes($vars['email_filter']);
      $query['where']['conditions'][]="email LIKE \"%$filter%\"";
    }
    if (!$vars['show_deactivated']) {
      $query['where']['conditions'][]="deactivated=0";
    }

    // --- Building count query
    $countquery=$query;
    $countquery['select']=array('COUNT(*)');
    $countsql=LFX_buildSQL($countquery);

    // --- Executing count query
    $object=new LFX_User();
    $object->query($countsql);
    $object->db->next_record();
    $objectCount=$object->db->f(0);

    // --- Limiting the current offset to meaningful values
    //     (uses the count query result)
    $vars['page_offset']=max(0,$vars['page_offset']);
    $vars['page_offset']=min($objectCount-1,$vars['page_offset']);
    // We don't want to go to -1 if no objects are there to list
    $vars['page_offset']=max(0,$vars['page_offset']);

    // --- Finishing off the actual query with the newly-found meaningful offset
    if (!strpos(' '.$vars['page_size'],';')) {
      $query['limit']['count']=$vars['page_size'];
    }
    if (!strpos(' '.$vars['page_offset'],';')) {
      $query['limit']['offset']=$vars['page_offset'];
    }
    
    // --- Building and executing the main query
    $sql=LFX_buildSQL($query);
    $object->query($sql);

    // Debug -- uncomment this to check out the actual query
    //pecho("<pre><small>$sql</small></pre>");
    // ===== FINISHED QUERY =====

    // ===== STARTING INTERFACE =====
    // --- Controls
    $controlSep='&nbsp;|&nbsp;';
    $controls='';
    $controls.=LFX_startTables('100%');
    $controls.=LFX_str();
    $controls.=LFX_std();
    $controls.=LFX_echo("<div align='right'>");
    $url=$baseURL.$_page->getGetVars($vars['show_deactivated_var']).$vars['show_deactivated_var'].'='.(1-$vars['show_deactivated']);
    if ($vars['show_deactivated']) {
      $sel=' checked';
    }
    $controls.=LFX_echo(sprintf("<label for='{$vars['show_deactivated_var']}'>".__L("Show deactivated")."</label> <input type='checkbox' onClick='window.location=\"$url\"' name='show_deactivated' id='{$vars['show_deactivated_var']}'$sel>"));
    $controls.=LFX_echo($controlSep);
    $controls.=LFX_echo("<b>".sprintf(__L("Total %1\$d items"),$objectCount)."</b>");
    $controls.=LFX_echo($controlSep);
    $controls.=LFX_echo("<b>".sprintf(__L("Show %1\$s per page"),"<input type='text' size='3' name='per_page' value='{$vars['page_size']}' onBlur='if (this.value==this.defaultValue) {return(false);} window.location=\"".$baseURL.$_page->getGetVars($vars['page_size_var']).
        $vars['page_size_var']."=\"+this.value; return(false);'>")."</b>");
    if ($vars['page_offset']>1) {
      if ($vars['page_offset']-$vars['page_size']>=0) {
        $final_offset=$vars['page_offset']-$vars['page_size'];
      } else {
        $final_offset=0;
      }
      $controls.=LFX_echo($controlSep);
      $controls.=LFX_echo(
        "<a href='".$baseURL.$_page->getGetVars($vars['page_offset_var']).
        "{$vars['page_offset_var']}=$final_offset'>".
        __L("Prev")."</a>");
    }
    if ($vars['page_offset']+$vars['page_size']<$objectCount) {
      $controls.=LFX_echo($controlSep);
      $controls.=LFX_echo(
        "<a href='".$baseURL.$_page->getGetVars($vars['page_offset_var']).
        $vars['page_offset_var']."=".($vars['page_offset']+$vars['page_size'])."'>".
        __L("Next")."</a>");
    }
    $controls.=LFX_echo("</div>");
    $controls.=LFX_etd();
    $controls.=LFX_etr();
    $controls.=LFX_endTables();
    
    // --- Headers
    $result.=LFX_startTables('100%');
    $result.=LFX_str();
    $result.=LFX_td(__L('ID'),'thead');
    $result.=LFX_td(__L('First Name'),'thead');
    $result.=LFX_td(__L('Last Name'),'thead');
    $result.=LFX_td(__L('E-mail'),'thead');
    $result.=LFX_td(__L('Date Created'),'thead');
    if ($callback) {
      $result.=$callback('header',$baseURL,$object->db,'thead');
    }
    $result.=LFX_estr();

    // --- Order arrows and filters
    // DIV start, DIV end
    $ds="<div align='center'>";
    $de="</div>";
    
    $result.=LFX_td($ds.LFX_orderArrows($baseURL.$_page->getGetVars($vars['list_name']),$vars['order_var'],$vars['sort_var'],'id').$de);
    $result.=LFX_td($ds.LFX_orderArrows($baseURL.$_page->getGetVars($vars['list_name']),$vars['order_var'],$vars['sort_var'],'fname').
      "<br />".
      "<input type='text' size='10' name='fname_filter' value='{$vars['fname_filter']}' onBlur='if (this.value==this.defaultValue) {return(false);} window.location=\"$baseURL".$_page->getGetVars($vars['fname_filter_var']).$vars['fname_filter_var']."=\"+this.value; return(false)'>".$de);
    $result.=LFX_td($ds.LFX_orderArrows($baseURL.$_page->getGetVars($vars['list_name']),$vars['order_var'],$vars['sort_var'],'lname').
      "<br />".
      "<input type='text' size='10' name='lname_filter' value='{$vars['lname_filter']}' onBlur='if (this.value==this.defaultValue) {return(false);} window.location=\"$baseURL".$_page->getGetVars($vars['lname_filter_var']).$vars['lname_filter_var']."=\"+this.value; return(false)'>".$de);
    $result.=LFX_td($ds.LFX_orderArrows($baseURL.$_page->getGetVars($vars['list_name']),$vars['order_var'],$vars['sort_var'],'email').
      "<br />".
      "<input type='text' size='10' name='email_filter' value='{$vars['email_filter']}' onBlur='if (this.value==this.defaultValue) {return(false);} window.location=\"$baseURL".$_page->getGetVars($vars['email_filter_var']).$vars['email_filter_var']."=\"+this.value; return(false)'>".$de);
    $result.=LFX_td($ds.LFX_orderArrows($baseURL.$_page->getGetVars($vars['list_name']),$vars['order_var'],$vars['sort_var'],'date_created').$de);
    if ($callback) {
      $result.=$callback('order',$baseURL,$object->db,'');
    }
    // ===== FINISHED INTERFACE =====

    // ===== STARTING LIST =====
    $link_aux=new LFX_User;
    while($object->db->next_record()) {
      $result.=LFX_estr();
      $cssClass=LFX_getNextListRowClass();
      if ($object->db->f('deactivated')) {
        $pre='<i>';
        $post='</i>';
        $result.=LFX_td($pre.$object->db->f('id').$post."&nbsp;<img src='".$_LFX_icon_locked."'>",$cssClass);
      } else {
        $pre=$post='';
        $result.=LFX_td($pre.$object->db->f('id').$post,$cssClass);
      }
      //$tmp=new LFX_User($object->db->f('id'));
      //$result.=LFX_td($pre.$object->db->f('fname').$post);
      $link_aux->id=$object->db->f('id');
      if (!$fname=$object->db->f('fname')) {
        $fname='['.__L('n/a').']';
      }
      $result.=LFX_td($pre."<a href='".$link_aux->getURLH()."'>".$fname.$post,$cssClass);
      if (!$lname=$object->db->f('lname')) {
        $lname='['.__L('n/a').']';
      }
      $result.=LFX_td($pre."<a href='".$link_aux->getURLH()."'>".$lname.$post,$cssClass);
      $result.=LFX_td($pre.$object->db->f('email').$post,$cssClass);
      $result.=LFX_td($pre.LFX_Object::formatDate($object->db->f('date_created')).$post,$cssClass);
      if ($callback) {
        $result.=$callback($object->db->f('id'),$baseURL,$object->db,$cssClass);
      }
    }
    $result.=LFX_endTables();
    // ===== FINISHED LIST =====

    // --- Building the final result by concatenating the controls ($controls)
    //     with the main interface + list (both already in $result).
    $result=LFX_echo("<table border=0 cellspacing=0 cellpadding=1 width='100%'>").
      LFX_str().
      LFX_td($controls).
      LFX_estr().
      LFX_td($result).
      LFX_estr().
      LFX_td($controls).
      LFX_etr().
      LFX_echo("</table>");
      
    // Done.
    return($result);
  }

  function LFX_groupsList($vars,$callback='',$query=array())
  {
    // --- Globals and defaults as variables
    global $_page, $_LFX_icon_locked;
    $default_page_size=20;

    // ===== STARTING INITIALIZATION =====
    // --- Failure tests
    if (!$vars['base_url']) {
      pdie("Please at least specify the base_url entry in the first parameter!");
    }

    // --- $vars array initialization
    LFX_initvar($vars['order_var'],'g_ord');
    LFX_initvar($vars['sort_var'],'g_sort');
    LFX_initvar($vars['list_name'],'g_groups_list');
    LFX_initvar($vars['page_size_var'],'g_page_size');
    LFX_initvar($vars['page_size'],LFX_Object::gpcUnslash($_GET[$vars['page_size_var']]));
    LFX_initvar($vars['page_size'],$default_page_size);
    LFX_initvar($vars['page_offset_var'],'g_page_offset');
    LFX_initvar($vars['page_offset'],LFX_Object::gpcUnslash($_GET[$vars['page_offset_var']]));
    LFX_initvar($vars['page_offset'],0);
    LFX_initvar($vars['name_filter_var'],'g_name_filter');
    LFX_initvar($vars['name_filter'],LFX_Object::gpcUnslash($_GET[$vars['name_filter_var']]));
    LFX_initvar($vars['type_filter_var'],'g_type_filter');
    LFX_initvar($vars['type_filter'],LFX_Object::gpcUnslash($_GET[$vars['type_filter_var']]));
    LFX_initvar($vars['email_filter_var'],'g_email_filter');
    LFX_initvar($vars['email_filter'],LFX_Object::gpcUnslash($_GET[$vars['email_filter_var']]));
    LFX_initvar($vars['module_filter_var'],'g_module_filter');
    LFX_initvar($vars['module_filter'],LFX_Object::gpcUnslash($_GET[$vars['module_filter_var']]));
    $baseURL=$vars['base_url'];

    // --- Registering GET variables
    $baseURLonList=LFX_orderArrows($baseURL,$vars['order_var'],$vars['sort_var'],NULL,true);
    $_page->registerGetVar($vars['list_name'],$baseURLonList['currentURL']);
    if ($vars['page_size']!=$default_page_size) {
      $_page->registerGetVar($vars['page_size_var'],$vars['page_size_var']."=".$vars['page_size']);
    }
    if ($vars['page_offset']) {
      $_page->registerGetVar($vars['page_offset_var'],$vars['page_offset_var']."=".$vars['page_offset']);
    }
    if ($vars['name_filter']) {
      $_page->registerGetVar($vars['name_filter_var'],$vars['name_filter_var']."=".$vars['name_filter']);
    }
    if ($vars['type_filter']) {
      $_page->registerGetVar($vars['type_filter_var'],$vars['type_filter_var']."=".$vars['type_filter']);
    }
    if ($vars['email_filter']) {
      $_page->registerGetVar($vars['email_filter_var'],$vars['email_filter_var']."=".$vars['email_filter']);
    }
    if ($vars['module_filter']) {
      $_page->registerGetVar($vars['module_filter_var'],$vars['module_filter_var']."=".$vars['module_filter']);
    }
    // ===== FINISHED INITIALIZATION =====

    // ===== STARTING QUERY =====
    // --- Common query elements
    $result='';
    $query['select'][]='g.id id';
    $query['select'][]='g.name name';
    $query['select'][]='g.type type';
    $query['select'][]='g.email email';
    $query['select'][]='g.description description';
    $query['select'][]='g.module module';
    $query['select'][]='UNIX_TIMESTAMP(g.date_created) date_created';
    $query['from'][]='groups g';

    // --- Ordering in query
    for($i=1;$i<=count($_GET[$vars['order_var']]);$i++) {
      $field=$_GET[$vars['sort_var']][$i];
      // No SQL injection
      if (strpos(' ',$field,';')) {
        continue;
      }
      $type=$_GET[$vars['order_var']][$i];
      if ($type=='down') {
        $type='asc';
      } elseif ($type=='up') {
        $type='desc';
      } else {
        $type='';
      }
      $query['order'][]=array('field'=>$field,'type'=>$type);
    }

    // --- Filters in query
    $query['where']['type']='AND';
    if ($vars['name_filter']) {
      $filter=addslashes($vars['name_filter']);
      $query['where']['conditions'][]="name LIKE \"%$filter%\"";
    }
    if ($vars['type_filter']) {
      $filter=addslashes($vars['type_filter']);
      $query['where']['conditions'][]="type = \"$filter\"";
    }
    if ($vars['email_filter']) {
      $filter=addslashes($vars['email_filter']);
      $query['where']['conditions'][]="email LIKE \"%$filter%\"";
    }
    if ($vars['module_filter']) {
      $filter=addslashes($vars['module_filter']);
      $query['where']['conditions'][]="module = \"$filter\"";
    }

    // --- Building count query
    $countquery=$query;
    $countquery['select']=array('COUNT(*)');
    $countsql=LFX_buildSQL($countquery);

    // --- Executing count query
    $object=new LFX_Group();
    $object->query($countsql);
    $object->db->next_record();
    $objectCount=$object->db->f(0);

    // --- Limiting the current offset to meaningful values
    //     (uses the count query result)
    $vars['page_offset']=max(0,$vars['page_offset']);
    $vars['page_offset']=min($objectCount-1,$vars['page_offset']);
    // We don't want to go to -1 if no objects are there to list
    $vars['page_offset']=max(0,$vars['page_offset']);

    // --- Finishing off the actual query with the newly-found meaningful offset
    if (!strpos(' '.$vars['page_size'],';')) {
      $query['limit']['count']=$vars['page_size'];
    }
    if (!strpos(' '.$vars['page_offset'],';')) {
      $query['limit']['offset']=$vars['page_offset'];
    }

    // --- Building and executing the main query
    $sql=LFX_buildSQL($query);
    $object->query($sql);

    // Debug -- uncomment this to check out the actual query
    //pecho("<pre><small>$sql</small></pre>");
    // ===== FINISHED QUERY =====

    // ===== STARTING INTERFACE =====
    // --- Controls
    $controlSep='&nbsp;|&nbsp;';
    $controls='';
    $controls.=LFX_startTables('100%');
    $controls.=LFX_str();
    $controls.=LFX_std();
    $controls.=LFX_echo("<div align='right'>");
    $controls.=LFX_echo("<b>".sprintf(__L("Total %1\$d items"),$objectCount)."</b>");
    $controls.=LFX_echo($controlSep);
    $controls.=LFX_echo("<b>".sprintf(__L("Show %1\$s per page"),"<input type='text' size='3' name='per_page' value='{$vars['page_size']}' onBlur='if (this.value==this.defaultValue) {return(false);} window.location=\"".$baseURL.$_page->getGetVars($vars['page_size_var']).
        $vars['page_size_var']."=\"+this.value; return(false);'>")."</b>");
    if ($vars['page_offset']>1) {
      if ($vars['page_offset']-$vars['page_size']>=0) {
        $final_offset=$vars['page_offset']-$vars['page_size'];
      } else {
        $final_offset=0;
      }
      $controls.=LFX_echo($controlSep);
      $controls.=LFX_echo(
        "<a href='".$baseURL.$_page->getGetVars($vars['page_offset_var']).
        "{$vars['page_offset_var']}=$final_offset'>".
        __L("Prev")."</a>");
    }
    if ($vars['page_offset']+$vars['page_size']<$objectCount) {
      $controls.=LFX_echo($controlSep);
      $controls.=LFX_echo(
        "<a href='".$baseURL.$_page->getGetVars($vars['page_offset_var']).
        $vars['page_offset_var']."=".($vars['page_offset']+$vars['page_size'])."'>".
        __L("Next")."</a>");
    }
    $controls.=LFX_echo("</div>");
    $controls.=LFX_etd();
    $controls.=LFX_etr();
    $controls.=LFX_endTables();

    // --- Headers
    $result.=LFX_startTables('100%');
    $result.=LFX_str();
    $result.=LFX_td(__L('ID'),'thead');
    $result.=LFX_td(__L('Name'),'thead');
    $result.=LFX_td(__L('Type'),'thead');
    $result.=LFX_td(__L('Description'),'thead');
    $result.=LFX_td(__L('E-mail'),'thead');
    $result.=LFX_td(__L('Date Created'),'thead');
    $result.=LFX_td(__L('Module'),'thead');
    if ($callback) {
      $result.=$callback('header',$baseURL,$object->db,'thead');
    }
    $result.=LFX_estr();

    // --- Order arrows and filters
    // DIV start, DIV end
    $ds="<div align='center'>";
    $de="</div>";

    $result.=LFX_td($ds.LFX_orderArrows($baseURL.$_page->getGetVars($vars['list_name']),$vars['order_var'],$vars['sort_var'],'id').$de);
    $result.=LFX_td($ds.LFX_orderArrows($baseURL.$_page->getGetVars($vars['list_name']),$vars['order_var'],$vars['sort_var'],'name').
      "<br />".
      "<input type='text' size='10' name='name_filter' value='{$vars['name_filter']}' onBlur='if (this.value==this.defaultValue) {return(false);} window.location=\"$baseURL".$_page->getGetVars($vars['name_filter_var']).$vars['name_filter_var']."=\"+this.value; return(false)'>".$de);
    // Finding out types
    $tmpQuery='SELECT DISTINCT(type) FROM groups';
    $tmpObject=new LFX_Group;
    $tmpObject->query($tmpQuery);
    $tmpDropdown=array(array('display'=>__L('no filter'),'value'=>''));
    while($tmpObject->db->next_record()) {
      $tmpDropdown[]=$tmpObject->db->f(0);
    }
    $result.=LFX_td($ds.LFX_orderArrows($baseURL.$_page->getGetVars($vars['list_name']),$vars['order_var'],$vars['sort_var'],'type').
      "<br />".
      LFX_DropdownH($vars['type_filter_var'],$tmpDropdown,$vars['type_filter'],NULL,"onChange='window.location=\"$baseURL".$_page->getGetVars($vars['type_filter_var']).$vars['type_filter_var']."=\"+this.value'").$de);
      //"<input type='text' size='10' name='type_filter' value='{$vars['type_filter']}' onBlur='if (this.value==this.defaultValue) {return(false);} window.location=\"$baseURL".$_page->getGetVars($vars['type_filter_var']).$vars['type_filter_var']."=\"+this.value; return(false)'>".$de);
    $result.=LFX_td($ds.LFX_orderArrows($baseURL.$_page->getGetVars($vars['list_name']),$vars['order_var'],$vars['sort_var'],'description').$de);
    $result.=LFX_td($ds.LFX_orderArrows($baseURL.$_page->getGetVars($vars['list_name']),$vars['order_var'],$vars['sort_var'],'email').
      "<br />".
      "<input type='text' size='10' name={$vars['email_filter_var']} value='{$vars['email_filter']}' onBlur='if (this.value==this.defaultValue) {return(false);} window.location=\"$baseURL".$_page->getGetVars($vars['email_filter_var']).$vars['email_filter_var']."=\"+this.value; return(false)'>".$de);
    $result.=LFX_td($ds.LFX_orderArrows($baseURL.$_page->getGetVars($vars['list_name']),$vars['order_var'],$vars['sort_var'],'date_created').$de);
    // Finding out modules
    $tmpQuery='SELECT DISTINCT(module) FROM groups';
    $tmpObject=new LFX_Group;
    $tmpObject->query($tmpQuery);
    $tmpDropdown=array(array('display'=>__L('no filter'),'value'=>''));
    while($tmpObject->db->next_record()) {
      $tmpDropdown[]=$tmpObject->db->f(0);
    }
    $result.=LFX_td($ds.LFX_orderArrows($baseURL.$_page->getGetVars($vars['list_name']),$vars['order_var'],$vars['sort_var'],'module').
      "<br />".
      LFX_DropdownH($vars['module_filter_var'],$tmpDropdown,$vars['module_filter'],NULL,"onChange='window.location=\"$baseURL".$_page->getGetVars($vars['module_filter_var']).$vars['module_filter_var']."=\"+this.value'").$de);
      //"<input type='text' size='10' name='module_filter' value='{$vars['module_filter']}' onBlur='if (this.value==this.defaultValue) {return(false);} window.location=\"$baseURL".$_page->getGetVars($vars['module_filter_var']).$vars['module_filter_var']."=\"+this.value; return(false)'>".$de);
    if ($callback) {
      $result.=$callback('order',$baseURL,$object->db,'');
    }
    // ===== FINISHED INTERFACE =====

    // ===== STARTING LIST =====
    $link_aux=new LFX_Group;
    while($object->db->next_record()) {
      $result.=LFX_estr();
      $cssClass=LFX_getNextListRowClass();
      $link_aux->id=$object->db->f('id');
      $result.=LFX_td($pre.$object->db->f('id').$post,$cssClass);
      if (!$name=$object->db->f('name')) {
        $name='['.__L('n/a').']';
      }
      $result.=LFX_td($pre."<a href='".$link_aux->getURLH()."'>".$name.$post,$cssClass);
      $result.=LFX_td($pre.$object->db->f('type').$post,$cssClass);
      $result.=LFX_td($pre.$object->db->f('description').$post,$cssClass);
      $result.=LFX_td($pre.$object->db->f('email').$post,$cssClass);
      $result.=LFX_td($pre.LFX_Object::formatDate($object->db->f('date_created')).$post,$cssClass);
      $result.=LFX_td($pre.$object->db->f('module').$post,$cssClass);
      if ($callback) {
        $result.=$callback($object->db->f('id'),$baseURL,$object->db,$cssClass);
      }
    }
    $result.=LFX_endTables();
    // ===== FINISHED LIST =====

    // --- Building the final result by concatenating the controls ($controls)
    //     with the main interface + list (both already in $result).
    $result=LFX_echo("<table border=0 cellspacing=0 cellpadding=1 width='100%'>").
      LFX_str().
      LFX_td($controls).
      LFX_estr().
      LFX_td($result).
      LFX_estr().
      LFX_td($controls).
      LFX_etr().
      LFX_echo("</table>");

    // Done.
    return($result);
  }
?>
