<?
  /**
  * XML Group Import
  * Lucian Silistru <lucian@moongate.ro>, December 2004
  * $Id: group_import.php,v 1.5 2005/02/22 11:58:18 bogdan Exp $
  * @package LFX
  */
  
  _checkMeOut(__FILE__);
  if (!$_page->user->getRights("LFX_Access","W")) {
    pdie("You do not have access to this page!");
  }
  
  $_page->title=__L('Group Import');
  
  if ($fileSubmit) {
    if (isset($_FILES['toImport'])) {
      $xml_string=file_get_contents($_FILES['toImport']['tmp_name']);
      $fName=$_FILES['toImport']['name'];
      $fExt=substr($fName,strrpos($fName,".")+1);
      if ($fExt=='gz') {
        if (!function_exists("gzuncompress")) {
          $_page->addError("The PHP version on this server does not support the gzip compression method. Please contact your system administrator.");
          return(false);
        }
        $xml_string=gzuncompress($xml_string);
      }
      $group=new LFX_Group;
      $result=false;
      if ($_POST['onlySelect']) {
        $groupNames=retrieveGroupNames($xml_string);
        for ($i=0;$i<count($groupNames);$i++) {
          $query="SELECT id
                  FROM groups
                  WHERE name=\"{$groupNames[$i]}\"";
          $group->query($query);
          $group->db->next_record();
          $groupId=$group->db->f(0);
          $_SESSION['LFX_AM']['selected_groups'][$groupId]=1;
        }
        $result=true;
      } else {
        $result=$group->multiImportXML($xml_string,(bool) $_POST['forcedescs']);
      }
      if ($result) {
        pecho(LFX_startTables());
        pecho(LFX_swatchHeader(array(
          'title'=>__L('Import finished correctly')
        )));
        pecho(LFX_endTables());
        pecho(LFX_echo('<br />'));        
      } else {
        pecho(LFX_startTables());
        pecho(LFX_swatchHeader(array(
          'title'=>__L('There was an error importing groups from XML')
        )));
        pecho(LFX_endTables());
        pecho(LFX_echo('<br />'));
      }
    } else {
      $_page->addError("Please submit a file for import.");
    }
  }
  
  pecho(LFX_echo('<form method="POST" enctype="multipart/form-data">'));
  pecho(LFX_startTables());
  pecho(LFX_swatchHeader(array(
    'title'=>__L('Select the XML file from which to import groups')
  )));
  pecho(LFX_str());
  pecho(LFX_std());
  pecho(LFX_startTables('100%'));
  pecho(LFX_str());
  pecho(LFX_rth(__L('File to import'),NULL,NULL,NULL,NULL,'50%'));
  pecho(LFX_td('<input type="file" name="toImport">'));
  pecho(LFX_estr());
  pecho(LFX_rth(__L('Options')));
  pecho(LFX_std());
  pecho(
    LFX_echo(
      "<input type='checkbox' name='forcedescs' value=1 id='forcedescs'>".
        "<label for='forcedescs'> ".
          __L('Force importing the descriptions for first level groups').
        "</label>".
      "</input><br/>".
      "<input type='checkbox' name='onlySelect' value=1 id='onlySelect'>".
        "<label for='onlySelect'> ".
          __L("Only add the groups to import to the selection").
        "</label>".
      "</input>"
    )
  );
  pecho(LFX_etd());
  pecho(LFX_etr());
  pecho(LFX_endTables());
  pecho(LFX_etd());
  pecho(LFX_estr());
  pecho(LFX_td('<input type="submit" name="fileSubmit" value="'.__L('Import Groups').'">','thead'));
  pecho(LFX_etr());
  pecho(LFX_endTables());
  pecho(LFX_echo('</form>'));
  
  function retrieveGroupNames($xmlin)
  {
    if (!is_array($xmlin)) {
      LFX_include('LFX_XML');
      $xml=new LFX_XML($xmlin);
      $xml=$xml->xml[0];
    } else {
      $xml=$xmlin;
    }
    if ($xml['tag']!='GROUP_DESCRIPTORS') {
      return(false);
    }
    $names_array=array();
    while (list(,$xgroup)=@each($xml['children'])) {
      $names_array[]=$xgroup['attributes']['NAME'];
      if ($xgroup['children']) {
        foreach($xgroup['children'] as $child) {
          if ($child['tag']=='MEMBERS') {
            $names_array=array_merge($names_array,retrieveGroupNamesRecursive($child));
          } 
          if ($child['tag']=='MEMBERSHIPS') {
            $names_array=array_merge($names_array,retrieveGroupNamesRecursive($child));
            break;
          }  
        }
      }
    }
    return($names_array);
  }
  
  function retrieveGroupNamesRecursive($members)
  {
    foreach($members['children'] as $member) {
      if ($member['children'][0]['tag']!='GROUP_DESCRIPTOR') {
        continue;
      }
      $names_array=array();
      $names_array[]=$member['children'][0]['attributes']['NAME'];
      $user_group=new LFX_User_Group;
      if ($member['children'][0]['children']) {
        foreach ($member['children'][0]['children'] as $child) {
          if ($child['tag']=='MEMBERS') {
            $names_array=array_merge($names_array,retrieveGroupNamesRecursive($child));
          }
          if ($child['tag']=='MEMBERSHIPS') {
            $names_array=array_merge($names_array,retrieveGroupNamesRecursive($child));
          }
        }
      }
    }
    return($names_array);
  }
?>
