<?

  /**
  * Lists the groups and links the group names to the $link_page provided
  * $Id: old_include.php,v 1.6 2005/04/08 15:26:49 bogdan Exp $
  * @package LFX
  * @param myID the current group or user ID
  * @param childtype may be:
  *        childgroups  - selects the groups which are members in this group
  *        parentgroups - selects the groups in which this group is member
  *        childuser   - selects the groups in which the user $myID is member
  * @param currentType - specifies the type of object that we are listing for
  *                      may be: 'user' or 'group'
  */
  
  function listGroups($groups,$link_page,$header="List of Groups",$myID=NULL,$childtype='',$currentType='')
  {
    global $_page;
    global $_LFX_access;
    global $AM_root;
    
    pecho(LFX_startTables(800));
    if($currentType!='parent') {
      pecho(LFX_swatchHeader(array('title'=>$header,'explain'=> "$AM_root/show_perms?id=$myID&type=$currentType")));
    } else {
      pecho(LFX_swatchHeader(array('title'=>$header)));
    }
    pecho(LFX_str());
    pecho(LFX_echo("<td>"));    
    pecho(LFX_startTables("100%"));
    $g = new LFX_Group;
    $u = new LFX_User;
    $i=1;
    if (!$groups) {
      pecho(LFX_str());
      pecho(LFX_td('<i>'.__L("No groups").'</i>'));
      pecho(LFX_etr());
    } else {
      $groups=array_values($groups);
      $rights=array();
      for($i=0;$i<count($groups);$i++) {
        $rights[$groups[$i][0]]=$groups[$i][1];
        $groups[$i]=$groups[$i][0];
      }
      $groups=$g->_doLoad($groups,true,true,'name');
    }
    if($childtype!='') {
      LFX_include('LFX_User_Group');
      $myUG=new LFX_User_group;
    }
    for($i=0;$i<count($groups);$i++) {
      $cssClass=LFX_getNextListRowClass();
      $g=&$groups[$i];
      // Check rights here
      pecho(LFX_str());
      pecho(LFX_td($g->getLinkH(),$cssClass));
//      pecho(LFX_td($g->getAttr("type"),$cssClass));
      pecho(LFX_td($g->getAttr("description"),$cssClass));
      $myRights=$rights[$g->id];
      if (!$myRights) {
        $myRights='['.__L("none").']';
      }
      if ($_page->user->getRights("LFX_Access","W")) {
        $editMyRights=true;
      } else {
        $editMyRights=false;
      }
      if(($childtype=='child_group') && ($g->id!=1)) {
        //echo("seaching for child group {$g->id} and parent group $myID<br />\n");
        $thisUG=$myUG->search(array('parent_group','child_group'),array($myID,$g->id));
        pecho(
          LFX_td(($editMyRights?"<a href=\"javascript:popup('$AM_root/edit_perms?type=child_group&id={$thisUG[0]->id}',700,450)\" title=\"Edit permissions\">"
                .$myRights
                ."</a>":$myRights),$cssClass));
      } elseif($childtype=='parent_group') {
        //echo("seaching for parent group {$g->id} and child group $myID<br />\n");
        $thisUG=$myUG->search(array('parent_group','child_group'),array($g->id,$myID));
        pecho(
          LFX_td(($editMyRights?"<a href=\"javascript:popup('$AM_root/edit_perms?type=parent_group&id={$thisUG[0]->id}',700,450)\" title=\"Edit permissions\">":"")
                .$myRights
                ."</a>",$cssClass));
      } elseif($childtype=='child_user') {
        //echo("seaching for parent group {$g->id} and child user$myID<br />\n");
        $thisUG=$myUG->search(array('parent_group','child_user'),array($g->id,$myID));
        pecho(
          LFX_td(($editMyRights?"<a href=\"javascript:popup('$AM_root/edit_perms?type=child_user&id={$thisUG[0]->id}',700,450)\" title=\"Edit permissions\">":"")
                .$myRights
                ."</a>",$cssClass));
      } else {
        pecho(LFX_td($myRights,$cssClass,NULL,NULL,NULL,'1%'));
      };
      $act=$g->getAttr("deactivated")?__L("Deactivated"):__L("Active");
      pecho(LFX_td($act,$cssClass,NULL,NULL,NULL,'1%'));
      pecho(LFX_etr());
    }
    pecho(LFX_endTables());
    pecho(LFX_echo("</td>"));
    pecho(LFX_etr());
    pecho(LFX_endTables());    
    return($_page);
  }

  function listUsers($users,$link_page,$header=NULL,$parentGroup=NULL)
  {
    global $_page;
    global $_LFX_access;  
    global $AM_root;

    if ($header===NULL) {
      $header=__L("List of users");
    }
    pecho(LFX_startTables("100%"));
    pecho(LFX_sthead());
    pecho(LFX_td($header));
    pecho(LFX_ethead());
    pecho(LFX_str());
    pecho(LFX_echo("<td>"));        
    pecho(LFX_startTables("100%"));
    $g = new LFX_Group;
    $u = new LFX_User;
    if(!$users){
      pecho(LFX_str());
      pecho(LFX_td("<i>".__L("No users")."</i>"));
      pecho(LFX_etr());
    } else {
      $users=array_values($users);
      $rights=array();
      for($i=0;$i<count($users);$i++) {
        if (is_array($users[$i])) {
          $rights[$users[$i][0]]=$users[$i][1];
          $users[$i]=$users[$i][0];
        }
      }
      $users=$u->_doLoad($users,true,true,array('lname','fname'));
    }
    LFX_include('LFX_User_Group');
    $myUG=new LFX_User_Group;
    for($i=0;$i<count($users);$i++) {
      $cssClass=LFX_getNextListRowClass();
      $u=&$users[$i];
      /*
      if (is_array($v)) {
        $u->load($v[0]);
        $access=$v[1];
      } else {
        $u->load($v);
        $access='';
      }
      */
      //echo("seaching for user {$u->id} and parent group $parentGroup<br />\n");
      if($thisUG=$myUG->search(array('parent_group','child_user'),array($parentGroup,$u->id))) {
        //echo("found id {$thisUG[0]->id}<br />\n");
      };
      pecho(LFX_str());
      pecho(LFX_td($u->getLinkH(),$cssClass,NULL,NULL,NULL,'100%'));
      pecho(LFX_td("<a href=\"javascript:popup('$AM_root/edit_perms?type=child_user&id={$thisUG[0]->id}',700,450)\" title=\"Edit permissions\">".($rights[$u->id]?$rights[$u->id]:'['.__L('none').']')."</a>",$cssClass));
      $act=$u->getAttr("deactivated")?__L("Deactivated"):__L("Active");
      pecho(LFX_td($act,$cssClass));
      pecho(LFX_etr());
    }
    pecho(LFX_endTables());
    pecho(LFX_echo("</td>"));
    pecho(LFX_etr());
    pecho(LFX_endTables());    
    return($_page);
  }
?>
