<?

  /**
  * User Permission View
  * Sebastian Pascu, Jan 2005
  * $Id: show_perms.php,v 1.4 2005/02/10 15:40:12 bogdan Exp $
  * @package LFX
  */

  /**
  * This displays the memebership tree nicely formatted in a table
  * @param parentList is an array of arrays, like this array(0=>array(<groupid>,<access>),...)
  * @param indent initial indent, used internally for indentation
  * @param type specifies the type of the object, child_user or child_group
  * @param childid is the user or group in tree which called this function
  *                it is used to determine the access permissions between the
  *                the childid and his parents
  * @param lastPerms the last filtered permissions on the current branch
  * @return boolean on error false, true otherwise
  */

  LFX_include('LFX_Gui','LFX_User','LFX_Group','LFX_User_Group');

  function displayParents($parentList=array(),$childid,$type='child_user',&$lastPerms,$indent,&$class,&$classid) 
  {
    global $_page;
    global $AM_root;
    global $myacl;
    global $markers;
    
    if(!count($parentList)) {
      return(false);
    }
    $classid++;
    for($i=0; $i<count($parentList); $i++) {
      $mygroup=new LFX_Group($parentList[$i][0]);
      for($j=0; $j<count($myacl); $j++) {
        if($myacl[$j][0]==$mygroup->id) {
          $inhaccess=$myacl[$j][1];
          break;
        }
      }
      if(!$inhaccess) {
        $inhaccess_display=__L('none');
      } else {
        $inhaccess_display=$inhaccess;
      }
      $myUG=new LFX_User_Group;
      if($type=='child_user') {
        $thisUG=$myUG->search(array('parent_group','child_user'),array($mygroup->id,$childid));
      } else {
        $thisUG=$myUG->search(array('parent_group','child_group'),array($mygroup->id,$childid));
      }
      $access=$thisUG[0]->getAttrH('access');
      if($classid==1) {
        $class=LFX_getNextListRowClass();
        $lastPerms=$access;
      }
      if($access!='') {
        $currPerms=LFX_permsFilter($access,$lastPerms);
      }
      if($access=='') {
        $access_display=__L('none');
      } else {
        $access_display=$access;
      }
      if($currPerms=='') {
        $currPerms_display=__L('none');
      } else {
        $currPerms_display=$currPerms;
      }
      if($mygroup->getAttr('type')=='Function') {
        $i1='<i>';
        $i2='</i>';
      } else {
        $i1=$i2='';
      }
      pecho(LFX_str());
      pecho(LFX_td($indent.$i1.$mygroup->getLinkH().$i2,$class));
      pecho(LFX_td($i1.$mygroup->getAttrH('type').$i2,$class));
      pecho(LFX_td($i1.($_page->user->getRights("LFX_Access","W")?"<a href=\"javascript:popup('$AM_root/edit_perms?type=".$type."&id={$thisUG[0]->id}',700,450)\" title=\"Edit permissions\">"
                    .$access_display
                    ."</a>":$access_display).$i2,$class));
      pecho(LFX_td($i1.$currPerms_display.$i2,$class));
      if ($markers) {
        pecho(LFX_td($i1.$inhaccess_display.$i2,$class));
        if(($key=array_search($mygroup->id,$markers))===false) {
          pecho(LFX_td('',$class));
        } else {
          $key++;
          pecho(LFX_td($i1."($key)".$i2,$class));
        }
      }
      pecho(LFX_etr());
      $myparentlist=$mygroup->getGroupParentsID($mygroup->id);
      displayParents($myparentlist,$mygroup->id,'child_group',$currPerms,$indent.'&nbsp;&nbsp;',$class,$classid);
    };
    $classid--;
    return(true);
  }

  /**
  *
  */
  function markMultipleInheritance($parentList=array(),$childid,$type='child_user') 
  {
    global $myacl, $history, $markers;
    if(!count($parentList)) {
      return(false);
    }
    for($i=0; $i<count($parentList); $i++) {
      $mygroup=new LFX_Group($parentList[$i][0]);
      if(!in_array($mygroup->id,$history)) {
        $history[]=$mygroup->id;
      } else {
        if(!in_array($mygroup->id,$markers)) {
          $markers[]=$mygroup->id;
        }
      }
      $myparentlist=$mygroup->getGroupParentsID($mygroup->id);
      markMultipleInheritance($myparentlist,$mygroup->id,'child_group');
    };
    return(true);
  }


  if (!isset($id)) {
    pecho(LFX_startTables("800"));
    pecho(LFX_sthead());
    pecho(LFX_echo("<td>"));    
    pdie(__L("This page requires an id. Exiting."));
    pecho(LFX_echo("</td>"));
    pecho(LFX_ethead());
    pecho(LFX_endTables());    
  }

  if(($_page->user->canSeeUser($id)===false) && ($_page->user->getRights("LFX_Access","R")===false)) {
    pecho(LFX_startTables("800"));
    pecho(LFX_sthead());
    pecho(LFX_echo("<td>"));      
    pdie(__L("You do not have permission to see the details of this user."));
    pecho(LFX_echo("</td>"));
    pecho(LFX_ethead());
    pecho(LFX_endTables());        
  }
  
  if($type=='child_user') {
    $user = new LFX_User;
    $idOK=$user->probe($id);
    $typetext=__L('User');
    $returntopage='show_user';
  } else {
    $user = new LFX_Group;
    $idOK=$user->probe($id);
    $typetext=__L('Group');
    $returntopage='show_group';
  }
  
  if($idOK) {
    $user->load($id);
    // javascript popup code
    pecho(LFX_echo("<script language='JavaScript'>\n
        <!--\n
          function popup(url,wd,hg)\n
          {\n
            window.open(url,'_blank','width='+wd+', height='+hg);\n
          }\n
        //-->\n
        </script>\n"));


    $_page->title=sprintf(__L("%1\$s %2\$s permissions"),$typetext,$user->getNameH());

    // list access-lists
    $superuser=false;
    // checking the params up
    if($type=='child_user') {
      $myObject=new LFX_User($id);
      $mylist=$myObject->getUserGroupsID();
      $superuser=$myObject->isSuperuser();
      $myacl=$myObject->accessList();
    } elseif($type=='child_group') {
      $myObject=new LFX_Group($id);
      $mylist=$myObject->getGroupParentsID();
      $myacl=$myObject->accessList();
    } else {
      $type='parent_group';
      $myObject=new LFX_Group($id);
      $mylist=$myObject->getGroupMembersID();
      $myacl=$myObject->getGroupParentsID();
    }
    if(!$superuser) {
      // show the function membership digest
      pecho(LFX_startTables(800));
      pecho(LFX_swatchHeader(array(
          'title'=>__L('Function Membership Digest'),
          'explain'=>"$_LFX_url/access_manager/$returntopage?id=$id",
      )));
      pecho(LFX_str());
      pecho(LFX_std());
      pecho(LFX_startTables("100%"));
      pecho(LFX_str());
      pecho(LFX_td(__L("Name"),'thead'));
      pecho(LFX_td(__L("Description"),'thead'));
      pecho(LFX_td(__L("Access"),'thead'));
      pecho(LFX_etr());
      if(count($myacl)) {
        $myfnList=array();
        $myaccl=array();
        // build up the list of functions
        for($i=0; $i<count($myacl); $i++) {
          $mygroup=new LFX_Group($myacl[$i][0]);
          if($mygroup->getAttr('type')=='Function') {
            $myfnList[]=$mygroup->id;
            $myaccl[$mygroup->id]=$myacl[$i][1];
          }
        }
        // load'em up sorted by name
        $myfnList=$mygroup->_doLoad($myfnList,true,true,'name');
        // display'em
        for($i=0; $i<count($myfnList); $i++) {
          $cssclass=LFX_getNextListRowClass();
          $mygroup=$myfnList[$i];
          $myUG=new LFX_User_Group;
          pecho(LFX_str());
          pecho(LFX_td($mygroup->getLinkH(),$cssclass));
          pecho(LFX_td($mygroup->getAttrH('description'),$cssclass));
          if($myaccl[$mygroup->id]!='') {
            pecho(LFX_td($myaccl[$mygroup->id],$cssclass));
          } else {
            pecho(LFX_td(__L('none'),$cssclass));
          }
          pecho(LFX_etr());
        }
      } else {
        pecho(LFX_str());
        pecho(LFX_td(__L("No functions."),NULL,NULL,3));
        pecho(LFX_etr());
      }
      pecho(LFX_endTables());
      pecho(LFX_etd());
      pecho(LFX_etr());
      pecho(LFX_endTables());
        // end membership digest
      pecho(LFX_echo("<br>"));

      // Show group membership breakdown
      pecho(LFX_startTables('800'));
      pecho(LFX_swatchHeader(array(
          'title'=>__L('Group Membership Breakdown'),
          'explain'=>"$_LFX_url/access_manager/$returntopage?id=$id",
      )));

      if(count($mylist)) {
        $markers=array();
        $history=array();
        markMultipleInheritance($mylist,$id,$type);
      }
      
      pecho(LFX_str());
      pecho(LFX_std());
      pecho(LFX_startTables("100%"));
      pecho(LFX_str());
      pecho(LFX_td(__L("Name"),'thead'));
      pecho(LFX_td(__L("Type"),'thead'));
      pecho(LFX_td(__L("Access"),'thead'));
      pecho(LFX_td(__L("Local inheritance"),'thead'));
      if ($markers) {
        pecho(LFX_td(__L("Final inheritance"),'thead'));
        pecho(LFX_td(__L("Multiple inheritance"),'thead'));
      }
      pecho(LFX_etr());

      if(count($mylist)) {
        $class=LFX_getNextListRowClass();
        $classid=0;
        $lastacc='';
        displayParents($mylist,$id,$type,$lastacc,'',$class,$classid);
      } else {
        pecho(LFX_str());
        pecho(LFX_td(__L("No groups."),NULL,NULL,6));
        pecho(LFX_etr());
      }

      pecho(LFX_endTables());
    } else {
      pecho(LFX_startTables('800'));
      pecho(LFX_swatchHeader(array(
          'title'=>__L('This is a SuperUser.'),
          'explain'=>"$_LFX_url/access_manager/$returntopage?id=$id",
      )));
      pecho(LFX_endTables());
    }
  } else {
    $_page->title=__L("User permissions");
    pecho(LFX_startTables("800"));
    pecho(LFX_sthead());
    pecho(LFX_echo("<td>"));
    pecho(__L("This user does not exist."));
    pecho(LFX_echo("</td>"));
    pecho(LFX_ethead());
    pecho(LFX_endTables());
  }
  //  pecho(LFX_endTables());

?>
