<?

  /**
  * The report preset details page
  * Tudor Caraciuc <tudor@moongate.ro>, March 2005
  * $Id: preset_details.php,v 1.3 2005/03/29 12:19:19 bogdan Exp $
  * @package LFX
  */
  
  $_incReq=array('LFX_menu_init','LFX_report_preset','LFX_report_preset_value','LFX_report_parameter');
  include($_incMgr);
  $_page->menu->focus("Report Presets");
  
  $_page->title=__L("LFXlib report preset details");
  
  if ((!isset($id)) || ($id==0)) {
    pdie("Please select a valid preset id");
  }
  
  if ($save) {
    $errors=array();
    foreach ($values as $key => $value) {
      if ($value!=='') {
        $parameter=new LFX_report_parameter($key);
        switch ($parameter->getAttr('type')) {
          case 'integer': {
              if (!is_numeric($value)) {
                $error=$key;
              } else {
                if (strstr($value,'.')) {
                  $error=$key;
                }
              }
            }
            break;
          case 'float': {
              if (!is_numeric($value)) {
                $error=$key;
              } else {
                $fValue=(float) $value;
                if (!is_float($fValue)) {
                  $error=$key;
                }
              }
            }
            break;
          case 'string': {
              if (!is_string($value)) {
                $error=$key;
              }
            }
            break;
          case 'date': {
              $dateArgs=explode('-',$value);
              if (count($dateArgs)>3) {
                $error=$key;
              }
              for ($j=0;$j<3;$j++) {
                $dateArgs[$j]=(int) $dateArgs[$j];
              }
              if (!is_int($dateArgs[1]) || ($dateArgs[1]<1) || ($dateArgs[1]>12)) {
                $error=$key;
              }
              if (!is_int($dateArgs[2]) || ($dateArgs[2]<1) || ($dateArgs[2]>31)) {
                $error=$key;
              }
            }
            break;
          case 'e-mail':{
              if(!preg_match('/^[\._a-z0-9-]+@[\.a-z0-9-]+[\.]{1}[a-z]{2,4}$/',$value)) {
                $error=$key;
              }
            }
            break;
        }
        if (isset($error)) {
          $errors[]=$error;
          unset($error);
        } else {
          $preset_value=new LFX_report_preset_value();
          $preset_values=$preset_value->search(array('preset_id','param'),array($id,$key));
          if (count($preset_values)) {
            $preset_values[0]->setAttr('value',$value);
            $preset_values[0]->save();
          } else {
            $preset_value->setAttrs(array(
                                      'preset_id' => $id,
                                      'param'     => $key,
                                      'value'     => $value
                                      ));
            $preset_value->save();
          }
        unset($preset_value,$preset_values);
        }
      }
    }
    if (!count($errors)) {
      pecho(LFX_echo("<center><h4>".__L("Preset values were saved successfully!")."</h4></center>"));
    } else {
      pecho(LFX_startTables('50%'));
      pecho(LFX_str());
      pecho(LFX_td(__L("There were errors in saving the values! The following were not saved:"),'thead'));
      pecho(LFX_etr());
      for ($i=0;$i<count($errors);$i++) {
        pecho(LFX_str());
        $param=new LFX_report_parameter($errors[$i]);
        pecho(LFX_td(sprintf(__L("<center>Value corresponding to parameter <b>%s</b> is not a valid <b>%s</b>!</center>"),$param->getAttr('name'),$param->getAttr('type'))));
        pecho(LFX_etr());
      }
      pecho(LFX_endTables());
      pecho(LFX_echo("<br />"));
    }
  }
  
  $preset=new LFX_Report_Preset($id);
  
  pecho(LFX_startTables('40%'));
  $title=sprintf("Preset %s",$preset->getAttr('name'));
  pecho(LFX_swatchHeader(array('title'=> $title,
                           'explain' => "$_LFX_url/reporting/presets/list.php"
                          )));
  pecho(LFX_str());
  pecho(LFX_std());
  $preset=new LFX_Report_Preset($id);
  $preset->load();
  $report=$preset->getObject('report_id');
  $param_links=$report->getObjects('param_link');
  if (!count($param_links)) {
    pecho(LFX_echo(__L("No parameters are set for this report! In order to add some, please go to Report Parameters in the menu")));
  } else {
    pecho(LFX_echo("<form method='POST' action='$_LFX_url/reporting/presets/preset_details.php?id=$id&'>"));
    pecho(LFX_startTables('100%'));
    pecho(LFX_str());
    pecho(LFX_td(__L("Parameter"),'thead',NULL,NULL,NULL,'30%'));
    pecho(LFX_td(__L("Data type"),'thead'));
    pecho(LFX_td(__L("Value"),'thead'));
    pecho(LFX_etr());
    for ($i=0;$i<count($param_links);$i++) {
      pecho(LFX_str());
      $param=$param_links[$i]->getObject('param');
      pecho(LFX_td($param->getAttr('name')));
      if ($param->getAttr('type')=='date') {
        pecho(LFX_td(__L("date (YYYY-MM-DD")));
      } else {
        pecho(LFX_td(__L($param->getAttr('type'))));
      }
      $preset_values=new LFX_report_preset_value();
      $preset_values=$preset_values->search(array('preset_id','param'),array($id,$param->id));
      if (count($preset_values)) {
        $value=$preset_values[0]->getAttr('value');
      } else {
        $value='';
      }
      pecho(LFX_td("<input type='text' name='values[{$param->id}]' value='$value'>"));
      pecho(LFX_etr());
    }
    pecho(LFX_str());
    pecho(LFX_td("<input type='submit' name='save' value='".__L("Save Changes")."'>",'thead',NULL,3));
    pecho(LFX_etr());
    pecho(LFX_echo("</form>"));
  }
  pecho(LFX_endTables());

  pecho(LFX_etd());
  pecho(LFX_etr());
  pecho(LFX_endTables());

  $_page->show();
?>