<?

  /**
  * Diff db structures
  * Bogdan Stancescu <bogdan@lanifex.com>, July 2005
  * $Id: db_diff.php,v 1.4 2005/11/14 12:05:23 bogdan Exp $
  * @package LFX
  */

  require_once('include.php');

  $_page->title=__L('SQL Diff');
  $_page->menu->focus('SQL Diff Tool');

  if ($_FILES['old_inputFile']['name']) {
    $oldSQL=file($_FILES['old_inputFile']['tmp_name']);
    $oldExplain=sprintf(__L("file %s"),$_FILES['old_inputFile']['name']);
    unset($_SESSIOn['tmp_oldDbKey']);
  } elseif($_REQUEST['old_dbKey']) {
    $oldSQL=dumpSQL($_REQUEST['old_dbKey']);
    $oldExplain=sprintf(__L("database key %s"),$_REQUEST['old_dbKey']);
    unset($_SESSIOn['tmp_oldDbKey']);
  } else {
    $_LFX_dbData['tmp_oldDbKey']=array(
      'host' => $_REQUEST['old_hostname'],
      'db' => $_REQUEST['old_dbname'],
      'uname' => $_REQUEST['old_dbuser'],
      'pwd' => $_REQUEST['old_dbpass']
    );
    if(!$oldSQL=dumpSQL('tmp_oldDbKey')) {
      $_SESSION['old_hostname']=$_REQUEST['old_hostname'];
      $_SESSION['old_dbname']=$_REQUEST['old_dbname'];
      $_SESSION['old_dbuser']=$_REQUEST['old_dbuser'];
      $_SESSION['remote_old_db_error']=__L("Could not access the remote database");
      header("Location: $_LFX_url/sql_diff");
    } else {
      $_SESSION['remote_old_db_error']='';
      $_SESSION['old_hostname']='';
      $_SESSION['old_dbname']='';
      $_SESSION['old_dbuser']='';
      $_SESSION['tmp_oldDbKey']=$_LFX_dbData['tmp_oldDbKey'];
    }
    $oldExplain=sprintf(__L("remote database mysql://%1\$s/%2\$s"),$_REQUEST['old_hostname'],$_REQUEST['old_dbname']);
  }
  $oldSQL=parseSQL($oldSQL);

  if ($_FILES['new_inputFile']['name']) {
    $newSQL=file($_FILES['new_inputFile']['tmp_name']);
    $newExplain=sprintf(__L("file %s"),$_FILES['new_inputFile']['name']);
  } elseif($_REQUEST['new_dbKey']) {
    $newSQL=dumpSQL($_REQUEST['new_dbKey']);
    $newExplain=sprintf(__L("database key %s"),$_REQUEST['new_dbKey']);
  } else {
    $_LFX_dbData['tmp_newDbKey']=array(
      'host' => $_REQUEST['new_hostname'],
      'db' => $_REQUEST['new_dbname'],
      'uname' => $_REQUEST['new_dbuser'],
      'pwd' => $_REQUEST['new_dbpass']
    );
    if(!$newSQL=dumpSQL('tmp_newDbKey')) {
      $_SESSION['new_hostname']=$_REQUEST['new_hostname'];
      $_SESSION['new_dbname']=$_REQUEST['new_dbname'];
      $_SESSION['new_dbuser']=$_REQUEST['new_dbuser'];
      $_SESSION['remote_new_db_error']=__L("Could not access the remote database");
      header("Location: $_LFX_url/sql_diff");
    } else {
      $_SESSION['remote_new_db_error']='';
      $_SESSION['new_hostname']='';
      $_SESSION['new_dbname']='';
      $_SESSION['new_dbuser']='';
    }
    $newExplain=sprintf(__L("remote database mysql://%1\$s/%2\$s"),$_REQUEST['new_hostname'],$_REQUEST['new_dbname']);
  }
  $newSQL=parseSQL($newSQL);

  $diff=diffSQL($oldSQL,$newSQL);


  if (!$diff) {
    pecho(LFX_startTables());
    pecho(LFX_swatchHeader(array('title'=>__L('No differences found.'),'explain'=>"$_LFX_url/sql_diff")));
    pecho(LFX_endTables());
    $_page->show();
    return(true);
  }

  $droppedTables=
  $droppedFields=
  $createdTables=
  $createdFields=
  // Keys not used
  $droppedKeys=
  $createdKeys=
    array();

  for($i=0;$i<count($diff);$i++) {
    $myDiff=$diff[$i];
    switch($myDiff['action']) {
      case 'drop_table':
        $droppedTables[]=$myDiff['table'];
        break;
      case 'create_table':
        $createdTables[]=$myDiff['table'];
        break;
      case 'drop_field':
        $droppedFields[$myDiff['table']]=$myDiff['field'];
        break;
      case 'create_field':
        $createdFields[$myDiff['table']]=$myDiff['field'];
        break;
      // Keys not used
      case 'drop_key':
        $droppedKeys[$myDiff['table']]=$myDiff['key'];
        break;
      case 'create_key':
        $createdKeys[$myDiff['table']]=$myDiff['key'];
        break;
    }
  }

  /*
  decho("Dropped tables: ".vardump($droppedTables));
  decho("Created tables: ".vardump($createdTables));
  decho("Dropped fields: ".vardump($droppedFields));
  decho("Created fields: ".vardump($createdFields));
  */

  $table='';
  $current_table='';
  $ambigCount=0;
  for($i=0;$i<count($diff);$i++) {
    $myDiff=$diff[$i];

    if ($myDiff['table']!=$current_table) {
      if ($current_table) {
        $table.=LFX_endTables();
        $table.=LFX_etd();
        $table.=LFX_etr();
      }
      $current_table=$myDiff['table'];
      $table.=LFX_str();
      $table.=LFX_std();
      $table.=LFX_startTables('100%');
      $table.=LFX_sthead();
      $table.=LFX_td(sprintf(__L("Table %s"),$current_table),NULL,NULL,2,NULL,'1%');
      $table.=LFX_ethead();
    }
    $html="<h1>Unknown action!</h1>".vardump($myDiff);
    $sql='';
    $ambiguous=false;

    switch($myDiff['action']) {
      case 'drop_table':
        $html=sprintf(__L("<b>Table %1\$s has been deleted.</b><br /> Old table structure: %2\$s"),$myDiff['table'],vardump($myDiff['old_data']));
        $sql="DROP TABLE ".$myDiff['table'];
        $explain='Dropping table';
        if ($createdTables) {
          $ambiguous=true;
        }
        break;
      case 'create_table':
        $html=sprintf(__L("<b>Table %1\$s has been created.</b><br /> Table structure: %2\$s"),$myDiff['table'],vardump($myDiff['data']));
        $sql="CREATE TABLE ".$myDiff['table']." (\n";
        $explain='Creating table';
        while(list($field,$def)=each($myDiff['data']['fields'])) {
          $sql.="  $field $def,\n";
        }
        if ($myDiff['data']['primary_key']) {
          $sql.="  PRIMARY KEY (".$myDiff['data']['primary_key']."),\n";
        }
        while(list($key,$def)=@each($myDiff['data']['keys'])) {
          if ($def['type']!='regular') {
            $sql.="  {$def['type']} KEY $key ({$def['definition']}),\n";
          } else {
            $sql.="  KEY $key ({$def['definition']}),\n";
          }
        }
        $sql=substr($sql,0,-2)."\n";
        $sql.=") ENGINE=".$myDiff['data']['type'];
        if ($droppedTables) {
          $ambiguous=true;
        }
        break;
      case 'drop_field':
        $html=sprintf(__L("<b>Field %1\$s in table %2\$s has been removed.</b><br /> Old field definition: %3\$s"),$myDiff['field'],$myDiff['table'],$myDiff['old_data']);
        $sql='ALTER TABLE '.$myDiff['table']." DROP ".$myDiff['field'];
        $explain='Dropping field';
        if ($createdFields[$myDiff['table']]) {
          $ambiguous=true;
        }
        break;
      case 'create_field':
        $html=sprintf(__L("<b>Field %1\$s has been created in table %2\$s.</b><br /> Field definition: %3\$s"),$myDiff['field'],$myDiff['table'],$myDiff['data']);
        $sql='ALTER TABLE '.$myDiff['table']." ADD ".$myDiff['field'].' '.$myDiff['data'];
        $explain='Creating field';
        if ($droppedFields[$myDiff['table']]) {
          $ambiguous=true;
        }
        break;
      case 'update_field':
        $html=sprintf(__L("<b>Field %1\$s in table %2\$s has changed.</b><br /> Old definition: %3\$s New definition: %4\$s"),$myDiff['field'],$myDiff['table'],$myDiff['old_data'],$myDiff['data']);
        $sql='ALTER TABLE '.$myDiff['table']." CHANGE ".$myDiff['field']." ".$myDiff['field']." ".$myDiff['data'];
        $explain='Altering field';
        if ($droppedFields[$myDiff['table']] && $createdFields[$myDiff['table']]) {
          $ambiguous=true;
        }
        break;
      case 'drop_key':
        $html=sprintf(__L("<b>Key %1\$s in table %2\$s has been removed.</b><br /> Old definition: %3\$s"),$myDiff['key'],$myDiff['table'],$myDiff['old_data']['definition']);
        $sql='ALTER TABLE '.$myDiff['table']." DROP INDEX ".$myDiff['key'];
        $explain='Dropping index';
        unset($ambiguous);
        break;
      case 'create_key':
        $html=sprintf(__L("<b>Key %1\$s has been created in table %2\$s.</b><br /> Key definition: %3\$s"),$myDiff['key'],$myDiff['table'],$myDiff['data']['type'].' ('.$myDiff['data']['definition'].')');
        $sql='ALTER TABLE '.$myDiff['table']." ADD ".($myDiff['data']['type']=='regular'?'':$myDiff['data']['type'].' ')."INDEX ".$myDiff['key'].' ('.$myDiff['data']['definition'].')';
        $explain='Creating index';
        unset($ambiguous);
        break;
      case 'drop_primary_key':
        $html=sprintf(__L("<b>Primary key has been removed from table %1\$s.</b><br /> Key definition: %2\$s"),$myDiff['table'],$myDiff['old_data']);
        $sql='ALTER TABLE '.$myDiff['table'].' DROP PRIMARY KEY';
        $explain='Dropping primary key';
        unset($ambiguous);
        break;
      case 'create_primary_key':
        $html=sprintf(__L("<b>Primary key has been created in table %1\$s.</b><br /> Key definition: %2\$s"),$myDiff['table'],$myDiff['data']);
        $sql='ALTER TABLE '.$myDiff['table'].' ADD PRIMARY KEY ('.$myDiff['data'].')';
        $explain='Creating primary key';
        unset($ambiguous);
        break;
    }

    $cssClass=LFX_getNextListRowClass();

    $Xsql=explode("\n",$sql);
    $rows=count($Xsql)+1;
    if ($ambiguous===true) {
      $ambigCount++;
      $ambigNote="<div align='center'><font color='red'><b>".__L("Possibly ambiguous!")."</b></font><br /><small>".__L("(This entry might actually be the result of renaming an entity of the same type)")."</small></div><hr>";
    } elseif ($ambiguous===false) {
      $ambigNote="<div align='center'><font color='green'>".__L("Unambiguous")."</font><br /><small>".__L("(This entry cannot be the result of renaming an entity of the same type)")."</small></div><hr>";
    } else {
      $ambigNote="<div align='center'><font color='blue'>".__L("Ambiguity irrelevant")."</font><br /><small>".__L("(Even if this entry is a result of renaming an entity of the same type, removing and adding such entities does not involve data loss)")."</small></div><hr>";
    }
    $table.=LFX_str();
    $table.=LFX_td("<b><div align='center'>".__L($explain)."</div></b>",$cssClass);
    $table.=LFX_td($ambigNote.$html."<br /><textarea cols=100 rows=$rows name='sql[$i]'>$sql</textarea>",$cssClass);
    $table.=LFX_etr();

    /*
    pecho(LFX_str());
    pecho(LFX_td("<small>".vardump($myDiff)."</small>",$cssClass,NULL));
    pecho(LFX_etr());
    */
  }
  // Properly finishing the last table table (sic)
  $table.=LFX_endTables();
  $table.=LFX_etd();
  $table.=LFX_etr();

  $buttonsBar="<input type='submit' name='submit_save' value=\"".htmlspecialchars(__L("Save SQL file"))."\">";
  if ($_REQUEST['old_dbKey'] || $_SESSION['tmp_oldDbKey']) {
    $buttonsBar.=" <input type='submit' name='submit_apply' ".
      "value=\"".
        htmlspecialchars(__L("Apply SQL on database")).
        "\" onClick='return(confirm(\"".
        LFX_safeJSstring(__L("Are you sure you want to apply these changes to the current database?"))."\"))'>";
  }

  pecho(LFX_sform("$_LFX_url/sql_diff/save_execute.php"));
  pecho(LFX_startTables());
  pecho(LFX_swatchHeader(array('title'=>sprintf(__L('Differences between %1$s and %2$s'),$oldExplain,$newExplain),'explain'=>"$_LFX_url/sql_diff")));

  pecho(LFX_str());
  if ($ambigCount) {
    pecho(LFX_td('<div align="center"><font color="red"><b>'.sprintf(__L('A total of %1$d differences were found, out of which %2$d are possibly ambiguous.'),count($diff),$ambigCount).'</b></font></div>'));
  } else {
    pecho(LFX_td('<div align="center"><font color="green"><b>'.sprintf(__L('A total of %1$d differences were found, none of which are possibly ambiguous.'),count($diff)).'</b></font></div>'));
  }
  pecho(LFX_estr());
  pecho(LFX_td($buttonsBar,'thead'));
  pecho(LFX_estr());
  pecho(LFX_std());
  pecho(LFX_startTables('100%'));
  pecho($table);
  pecho(LFX_endTables());
  pecho(LFX_etd());
  pecho(LFX_estr());
  pecho(LFX_td($buttonsBar,'thead'));
  pecho(LFX_etr());
  pecho(LFX_endTables());
  pecho(LFX_echo("<input type='hidden' name='old_dbKey' value='".LFX_Object::gpcUnslash($_POST['old_dbKey'])."'>"));
  pecho(LFX_echo("<input type='hidden' name='new_dbKey' value='".LFX_Object::gpcUnslash($_POST['new_dbKey'])."'>"));
  pecho(LFX_eform());
  $_page->show();

?>
