CREATE TABLE `active_sessions` (
  `sid` varchar(32) NOT NULL default '',
  `name` varchar(32) NOT NULL default '',
  `val` text,
  `changed` varchar(14) NOT NULL default '',
  PRIMARY KEY  (`name`,`sid`),
  KEY `changed` (`changed`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `applications` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `version` varchar(255) NOT NULL default '0',
  `dir` text NOT NULL,
  `upgraded` datetime default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `calendar` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `description` varchar(255) NOT NULL default 'no description',
  `date` date default NULL,
  `recurring` tinyint(8) unsigned NOT NULL default '1',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `char_mapping` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `encoding` varchar(20) NOT NULL default 'no encoding',
  `mapping` varchar(128) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `doc_type` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `ext` varchar(20) NOT NULL default '',
  `name` varchar(255) NOT NULL default '',
  `doc_mime` varchar(255) NOT NULL default '',
  `icon` mediumint(8) unsigned NOT NULL default '0',
  `icon_mime` varchar(255) NOT NULL default '',
  `special` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `ext` (`ext`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `eh_version` (
  `version_id` tinyint(1) NOT NULL default '1',
  `version` varchar(15) default NULL,
  PRIMARY KEY  (`version_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `file_notif` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `file_id` mediumint(8) unsigned NOT NULL default '0',
  `notif_person` mediumint(8) unsigned NOT NULL default '0',
  `notif_email` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `forum` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `objectClass` varchar(255) NOT NULL default '',
  `objectId` mediumint(8) unsigned NOT NULL default '0',
  `objectInclude` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `objectClass` (`objectClass`,`objectId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `forum_message` (
  `id` int(11) NOT NULL auto_increment,
  `forum_id` mediumint(8) NOT NULL default '0',
  `parent` int(11) NOT NULL default '0',
  `user_id` mediumint(8) NOT NULL default '0',
  `date` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `title` tinytext NOT NULL,
  `content` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `parent` (`parent`),
  KEY `forum_id` (`forum_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `forum_message_notif` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `forum_message` mediumint(8) unsigned NOT NULL default '0',
  `notif_person` mediumint(8) unsigned NOT NULL default '0',
  `notif_email` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `globals` (
  `id` mediumint(8) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default 'no name',
  `module` varchar(255) NOT NULL default 'no module',
  `value` text,
  `default_value` varchar(255) NOT NULL default '',
  `comment` varchar(255) NOT NULL default '',
  `isPassword` enum('on','off') default NULL,
  PRIMARY KEY  (`id`),
  KEY `name` (`name`(200),`module`(100))
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `groups` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(50) NOT NULL default '',
  `description` text,
  `deactivated` tinyint(1) NOT NULL default '0',
  `type` varchar(255) NOT NULL default '',
  `email` varchar(255) NOT NULL default '',
  `date_created` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `module` varchar(20) NOT NULL default 'generic',
  `rights` text,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`name`),
  KEY `type` (`type`),
  KEY `module` (`module`),
  KEY `email` (`email`),
  KEY `email_2` (`email`,`name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `languages` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(20) NOT NULL default '',
  `encoding` varchar(20) NOT NULL default '',
  `code` varchar(5) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `lfx_cache_dates` (
  `id` int(11) NOT NULL auto_increment,
  `module` varchar(255) default '',
  `type` varchar(255) default '',
  `name` varchar(255) default '',
  `cache_id` int(10) unsigned default '0',
  `cache_subid` int(10) unsigned default '0',
  `expiration_date` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `module` (`module`),
  KEY `name` (`name`),
  KEY `cache_id` (`cache_id`),
  KEY `cache_subid` (`cache_subid`),
  KEY `type` (`type`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `log` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `entry_type` enum('insert','delete','update') default NULL,
  `object_class` varchar(255) NOT NULL default 'INVALID!',
  `module` varchar(255) NOT NULL default 'INVALID!',
  `object_id` mediumint(8) unsigned NOT NULL default '0',
  `entry_date` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `user` mediumint(8) unsigned NOT NULL default '0',
  `data_dump` blob NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `module` (`module`,`entry_type`),
  KEY `entry_date` (`entry_date`),
  KEY `object_class` (`object_class`),
  KEY `object_id` (`object_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `messages` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `date` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `message` varchar(255) NOT NULL default '',
  `severity` varchar(30) NOT NULL default '',
  `user` mediumint(8) unsigned NOT NULL default '0',
  `url` varchar(255) NOT NULL default '',
  `module` varchar(15) NOT NULL default '',
  `subsystem` varchar(50) NOT NULL default '',
  `keywords` varchar(255) NOT NULL default '',
  `data_dump` mediumint(8) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `module` (`module`,`subsystem`),
  KEY `keywords` (`keywords`),
  KEY `date` (`date`),
  KEY `user` (`user`),
  KEY `url` (`url`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `module_files` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `title` varchar(255) NOT NULL default '',
  `doc` blob NOT NULL,
  `file_name` varchar(255) NOT NULL default '',
  `user_id` mediumint(8) unsigned NOT NULL default '0',
  `date` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `obsoleted_by` mediumint(8) unsigned NOT NULL default '0',
  `objectClass` varchar(255) NOT NULL default '',
  `objectId` mediumint(8) unsigned NOT NULL default '0',
  `objectInclude` varchar(255) NOT NULL default '',
  `comment` mediumint(8) unsigned NOT NULL default '0',
  KEY `id` (`id`),
  KEY `obsoleted_by` (`obsoleted_by`),
  KEY `src_id` (`user_id`),
  KEY `date` (`date`),
  KEY `objectClass` (`objectClass`),
  KEY `objectId` (`objectId`),
  KEY `date_2` (`date`),
  KEY `date_3` (`date`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `people` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `fname` varchar(255) NOT NULL default '',
  `lname` varchar(255) NOT NULL default '',
  `mname` varchar(255) NOT NULL default '',
  `sal` varchar(255) NOT NULL default '',
  `position` varchar(255) NOT NULL default '',
  `company` mediumint(8) unsigned NOT NULL default '0',
  `email` varchar(255) NOT NULL default '',
  `addr` varchar(255) NOT NULL default '',
  `mphone` varchar(255) NOT NULL default '',
  `wphone` varchar(255) NOT NULL default '',
  `fax` varchar(255) NOT NULL default '',
  `hphone` varchar(255) NOT NULL default '',
  `photo` mediumblob NOT NULL,
  `uname` varchar(255) NOT NULL default '',
  `pwd` varchar(255) NOT NULL default '',
  `preflang` varchar(5) NOT NULL default 'en_US',
  `lastlog` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `settings` varchar(255) NOT NULL default '',
  `iscontact` tinyint(4) NOT NULL default '0',
  `status` tinyint(1) default NULL,
  `prevlog` timestamp NOT NULL default '0000-00-00 00:00:00',
  `ispayment` tinyint(4) unsigned NOT NULL default '0',
  `notes` text,
  `deactivated` tinyint(1) NOT NULL default '0',
  `date_created` timestamp NOT NULL default '0000-00-00 00:00:00',
  `external_provider` varchar(255) default NULL,
  PRIMARY KEY  (`id`),
  KEY `company` (`company`),
  KEY `uname` (`uname`),
  KEY `deactivated` (`deactivated`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `personal_globals` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `user_id` mediumint(8) unsigned NOT NULL default '0',
  `global_name` varchar(255) NOT NULL default '',
  `value` blob,
  PRIMARY KEY  (`id`),
  KEY `user_id` (`user_id`,`global_name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `plugins` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `pl_name` varchar(255) NOT NULL default 'no app',
  `pl_version` varchar(255) NOT NULL default '0.0.0.0',
  PRIMARY KEY  (`id`),
  KEY `pl_name` (`pl_name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `reference_lang` (
  `ref_id` int(11) NOT NULL auto_increment,
  `ref_message` blob,
  `ref_module` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`ref_id`),
  KEY `ref_message` (`ref_message`(200))
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `report_parameters` (
  `id` mediumint(9) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `type` varchar(255) NOT NULL default '',
  `description` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `report_parameters_link` (
  `id` mediumint(9) NOT NULL auto_increment,
  `report_id` mediumint(9) NOT NULL default '0',
  `param` mediumint(9) NOT NULL default '0',
  `local_id` mediumint(9) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `report_id` (`report_id`),
  KEY `local_id` (`local_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `report_preset_values` (
  `id` mediumint(9) NOT NULL auto_increment,
  `preset_id` mediumint(9) NOT NULL default '0',
  `param` mediumint(9) NOT NULL default '0',
  `value` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `preset_id` (`preset_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `report_presets` (
  `id` mediumint(9) NOT NULL auto_increment,
  `report_id` mediumint(9) NOT NULL default '0',
  `description` text NOT NULL,
  `name` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `report_id` (`report_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `reports` (
  `id` mediumint(10) NOT NULL auto_increment,
  `name` varchar(50) NOT NULL default '',
  `description` varchar(200) NOT NULL default '',
  `class_name` varchar(50) NOT NULL default '',
  `report_start` datetime default '0000-00-00 00:00:00',
  `active` tinyint(1) NOT NULL default '0',
  `visible` tinyint(1) NOT NULL default '1',
  `no_duration_types` tinyint(1) unsigned NOT NULL default '0',
  `subs_description` text,
  `subs_per_event` tinyint(1) unsigned NOT NULL default '1',
  `module` varchar(8) default NULL,
  `spot_report` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `reports_data` (
  `id` mediumint(10) NOT NULL auto_increment,
  `reports_id` mediumint(10) NOT NULL default '0',
  `period` enum('day','week','month','year') NOT NULL default 'day',
  `last_updated` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `start_timestamp` timestamp NOT NULL default '0000-00-00 00:00:00',
  `end_timestamp` timestamp NOT NULL default '0000-00-00 00:00:00',
  `data` longtext NOT NULL,
  `is_complete` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `reports_id` (`reports_id`),
  KEY `period` (`period`),
  KEY `reports_id_2` (`reports_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Keeps the values for reports.';

CREATE TABLE `subscriber` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `subscriptionId` mediumint(8) unsigned NOT NULL default '0',
  `userId` mediumint(8) unsigned NOT NULL default '0',
  `email` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `subscriptionId` (`subscriptionId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `subscription` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default 'no name',
  `objectClass` varchar(255) NOT NULL default '',
  `objectId` mediumint(8) unsigned NOT NULL default '0',
  `objectInclude` varchar(255) NOT NULL default '',
  `dueDate` varchar(255) NOT NULL default '',
  `objectSubId` varchar(255) NOT NULL default '',
  `data_id` mediumint(9) NOT NULL default '0',
  `email_specific` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `objectClass` (`objectClass`,`objectId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `time_filter` (
  `time_filter_id` smallint(6) NOT NULL auto_increment,
  `time_filter_name` varchar(255) NOT NULL default '',
  `operation` varchar(255) NOT NULL default 'and',
  `time_filter_description` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`time_filter_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `time_filter_atom` (
  `atom_id` bigint(20) NOT NULL auto_increment,
  `atom_handle_function` varchar(255) NOT NULL default '',
  `atom_params` text,
  `atom_parent` bigint(10) default '0',
  `time_filter_id` smallint(6) default '0',
  PRIMARY KEY  (`atom_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `translations` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `original` blob NOT NULL,
  `translated` blob NOT NULL,
  `module` varchar(15) default NULL,
  `lang` varchar(50) default NULL,
  PRIMARY KEY  (`id`),
  KEY `original` (`original`(200)),
  KEY `module` (`module`),
  KEY `lang` (`lang`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `upgrade_status` (
  `inst_location` varchar(255) NOT NULL default '',
  `inst_action` mediumint(8) unsigned NOT NULL default '0',
  PRIMARY KEY  (`inst_action`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `user_group` (
  `id` int(11) NOT NULL auto_increment,
  `parent_group_id` int(11) NOT NULL default '0',
  `child_user_id` int(11) default NULL,
  `child_group_id` int(11) default NULL,
  `access` varchar(50) default NULL,
  `comments` varchar(100) default NULL,
  `date_added` datetime default NULL,
  PRIMARY KEY  (`id`),
  KEY `parent_group_id` (`parent_group_id`),
  KEY `child_group_id` (`child_group_id`),
  KEY `child_user_id` (`child_user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

