<?

  /**
  * SQL Structure Dump
  * Sebastian Pascu <sebi@Moongate.ro> March 2005
  * @package LFXlib
  */


  LFX_include('LFX_generic');
  
  $_page->title=__L("SQL Structure Dump");
  $_page->menu->focus("SQL Structure Dump");

  if($_POST['dump_structure']) {
    $app=$_POST['app_key'];
    if($dbdump=LFX_dumpSQLStructure($_LFX['global']['applications'][$app]['app_dbdata'])) {
      $msg=__L("Database structure dumped successfully.");
      $filename="sql_structure.sql";
      $app_path=$_LFX['global']['applications'][$app]['app_path'];
      if($app_path && $fh=fopen($app_path.'/'.$filename,'w')) {
        fwrite($fh,$dbdump);
        fclose($fh);
      } else {
        $msg="I could not write the file $app_path/$filename";
      }
    } else {
      $msg=__L("There was an error dumping the database structure for the application <strong>$app</strong>.");
    }
    pecho(LFX_startTables());
    pecho(LFX_swatchHeader(array('title' => $msg, 'explain' => "$_LFX_url/sql_structure")));
    pecho(LFX_endTables());
    $_page->show();
    return(true);
  }

  // build dropdown
  $default_message=__L("No problems found with the applications below.");
  $app_with_problems=array();
  foreach($_LFX['global']['applications'] as $app => $data) {
    if($data['app_dbdata'] && $data['app_path']) {
      $dropdown[]=array(
        'display' => $data['app_name'],
        'value' => $app
      );
    } else {
      if(!$data['app_path']) {
        $app_problems[$data['app_name']][]='app_path';
      }
      if(!$data['app_dbdata']){
        $app_problems[$data['app_name']][]='app_dbdata';
      }
      $app_with_problems[]="<strong>".$data['app_name']."</strong> (not defined: ".implode(', ',$app_problems[$data['app_name']]).")";
    }
  }
  // build default message
  if(count($app_with_problems)) {
    $default_message=__L("The following applications have problems: ").implode(', ',$app_with_problems);
  }
  if(!count($dropdown)) {
    $disable_submit='disabled';
    $dropdown[]=array('display' => __L("No application"), 'value' => 0);
  } else {
    $disable_submit='';
  }
  pecho(LFX_sform());
  pecho(LFX_startTables());
  pecho(LFX_swatchHeader(array('title' => __L("Please select the application for which we dump the structure."))));
  pecho(LFX_str());
  pecho(LFX_td($default_message));
  pecho(LFX_etr());
  pecho(LFX_std());
  pecho(LFX_startTables('100%'));
  pecho(LFX_str());
  pecho(LFX_rth(__L("Application name")));
  pecho(LFX_td(LFX_dropDownH('app_key',$dropdown)));
  pecho(LFX_estr());
  pecho(LFX_td(__L("<input type='submit' name='dump_structure' value='".__L("Dump structure")."' $disable_submit>"),'thead',NULL,2));
  pecho(LFX_etr());
  pecho(LFX_endTables());
  pecho(LFX_etd());
  pecho(LFX_etr());
  pecho(LFX_endTables());
  pecho(LFX_eform());
  $_page->show();

?>