<?
  /**
  * Report subscriptions preset
  * Bogdan Stancescu <bogdan@moongate.ro>, May 2003
  * $Id: report.php,v 1.13 2005/03/28 14:39:49 bogdan Exp $
  * @package LFX
  */
  
  _checkMeOut(__FILE__);

  $_incReq=array('LFX_Page', 'LFX_Report_Wrapper', 'LFX_report_preset');
  include($_incMgr);
  
  $hoclass='LFX_report_wrapper';
  $hoinclude='LFX_Report_Wrapper';

  function LFX_sub_preset_event($event,$sur)
  {
    $sub=$sur->getObject('subscription');
    if ($sub->getAttr('dueDate')!='25 * * *') {
      $eventSub=$sub->search(
        array('dueDate',  'objectClass',                'objectId',                'objectSubId'),
        array('25 * * *', $sub->getAttr('objectClass'), $sub->getAttr('objectId'), $sub->getAttr('objectSubId'))
      );
      if ($eventSub) {
        $eventSub=$eventSub[0];
        if (!($user=$sur->getAttr('user'))) {
          $user=$sur->getAttr('email');
        }
        if (($subscribed=$eventSub->subscribe($user))===true) {
          global $_LFX_url;
          pecho(LFX_startTables());
          pecho(LFX_swatchHeader(array(
            'title'=>sprintf(__L("The user has also been subscribed to the associated event subscription '%s'"),$eventSub->getAttr('name')),
            'explain'=>"$_LFX_url/subscription/index/sub_details?id={$eventSub->id}&amp;preset=$preset")));
          pecho(LFX_endTables());
        } elseif ($subscribed===false) {
          pecho(LFX_startTables());
          pecho(LFX_swatchHeader(array(
            'title'=>sprintf(__L("Failed to also subscribe the user to the associated event subscription '%s'"),$eventSub->getAttr('name')),
            'explain'=>"$_LFX_url/subscription/index/sub_details?id={$eventSub->id}&amp;preset=$preset")));
          pecho(LFX_endTables());
        }
      }
    }
  }
  
  function LFX_sub_preset($cat,$val,$subId)
  {
    $result='';
    switch($cat) {
      case 'oid':
        if ($_GET['t_rep']) {
          $rep=new LFX_Report_Wrapper($_GET['t_rep']);
        } else {
          $sub=new LFX_Subscription($subId);
          $rep=new LFX_Report_Wrapper($sub->getAttr('objectId'));
        }
        $result.=LFX_str();
        $result.=LFX_echo(LFX_rth(__L('Report Information')));
        $result.=LFX_echo(LFX_td($rep->getAttrH('subs_description')));
        $result.=LFX_estr();
        $result.=LFX_rth(__L('Report').'<br><small>'.__L('Please select this first').'</small>',NULL,NULL,NULL,NULL,'30%');
        $options='';
        LFX_indent();
        if ($_GET['t_rep']) {
          $val=$_GET['t_rep'];
        }
        if (!$val) {
          $options.=LFX_echo('<option value=0 selected>['.__L('please choose one').']</option>');
        }
        $wrap=new LFX_report_wrapper;
        $reports=$wrap->search();
        for ($i=0;$i<count($reports);$i++) {
          $report=&$reports[$i];
          /*
          // Will need to change this to 'subscribeable' or something similar
          if (!$report->getAttr('visible')) {
            continue;
          }
          */
          $sel=($val==$report->id)?' selected':'';
          $repNameH=htmlspecialchars($report->getAttr('name'),ENT_QUOTES);
          $options.=LFX_echo("<option value='{$report->id}' $sel>$repNameH</option>");
        }
        LFX_unindent();
        $preset_html='';
        if(is_numeric($_GET['t_rep'])) {
          LFX_include('LFX_report_preset');
          $rep_preset=new LFX_report_preset();
          $rep_preset=$rep_preset->search('report_id',$_GET['t_rep']);
          if(count($rep_preset)) {
            $preset_select.=LFX_echo("<select name='osp'>");
            for($i=0; $i<count($rep_preset); $i++) {
              $rep_preset_name=htmlspecialchars($rep_preset[$i]->getAttr('name'),ENT_QUOTES);
              $rep_preset_id=$rep_preset[$i]->id;
              $preset_select.=LFX_echo("<option value='$rep_preset_id'>$rep_preset_name</option>");
            }
            $preset_select.=LFX_echo("</select>");
            $preset_html=LFX_etr();
            $preset_html.=LFX_rth(__L('Report preset').'<br><small>'.__L('This report has presets associated with it. Please select one.').'</small>',NULL,NULL,NULL,NULL,'30%');
            $preset_html.=LFX_td($preset_select);
            $preset_html.=LFX_etr();
          }
        }
        $result.=LFX_td(LFX_echo("<select name='oid' onChange='window.location=\"./?preset=report&id={$_GET['id']}&t_rep=\"+this[selectedIndex].value'>").$options.LFX_echo('</select>'));
        $result.=LFX_etr();
        $result.=$preset_html;
        return($result);
      case 'osid':
        if ($_GET['t_rep']) {
          $rep=new LFX_Report_Wrapper($_GET['t_rep']);
        } else {
          $sub=new LFX_Subscription($subId);
          $rep=new LFX_Report_Wrapper($sub->getAttr('objectId'));
        }
        if ($rep->getAttr('no_duration_types')) {
          return(LFX_echo("<input type='hidden' name='osid' value='n/a'>"));
        }
        $result.=LFX_str();
        $result.=LFX_rth('Report Type',NULL,NULL,NULL,NULL,'30%');
        $options='';
        LFX_indent();
        if (!$val) {
          $options.=LFX_echo('<option value=0 selected>['.__L('please choose one').']</option>');
        }
        $sel=($val=='day')?' selected':'';
        $options.=LFX_echo("<option value='day'$sel>".__L('Daily').'</option>');
        $sel=($val=='week')?' selected':'';
        $options.=LFX_echo("<option value='week'$sel>".__L('Weekly').'</option>');
        $sel=($val=='month')?' selected':'';
        $options.=LFX_echo("<option value='month'$sel>".__L('Monthly').'</option>');
        $sel=($val=='year')?' selected':'';
        $options.=LFX_echo("<option value='year'$sel>".__L('Yearly').'</option>');
        LFX_unindent();
        $result.=LFX_td(LFX_echo("<select name='osid'>").$options.LFX_echo('</select>'));
        $result.=LFX_etr();
        return($result);
      case 'ddate':
        if ($_GET['t_rep']) {
          $rep=new LFX_Report_Wrapper($_GET['t_rep']);
        } else {
          $sub=new LFX_Subscription($subId);
          $rep=new LFX_Report_Wrapper($sub->getAttr('objectId'));
        }
        if ($rep->getAttr('subs_per_event')) {
          $rowCount=3;
        } else {
          $rowCount=2;
        }

        $result.=LFX_str();
        $result.=LFX_rth(__L('Due Date'),NULL,NULL,NULL,$rowCount,'30%');
        include_once('functions.php');
        $due=dueDate($val);
        if ($due['format']=='gui') {
          $checked=' checked';
        } else {
          $checked='';
        }
        $result.="<td><table><tr><td width='60'>";
        $result.="<input type='radio' name='format' value='gui'$checked>  GUI  ";
        $result.='</td><td>';
        $result.=$due['result'];
        $result.='</td></tr></table>';

        $result.='</td></tr><tr><td>';

        $result.="<table><tr><td width='105'>";
        if ($due['format']=='raw') {
          $checked=' checked';
        } else {
          $checked='';
        }
        $result.="<input type='radio' name='format' value='raw'$checked> RAW";
        $result.='</td><td>';
        $result.="<input name='ddate' type='text' value='$tmp'>";
        $result.='</td></tr></table>';

        $result.='</td></tr>';
        if ($rep->getAttr('subs_per_event')) {
          $result.='<tr><td>';
          $result.='<table><tr><td>';
          if ($due['format']=='event') {
            $checked=' checked';
          } else {
            $checked='';
          }

          $result.="<input type='radio' name='format' value='event'$checked> Per Event";
          $result.='</td></tr></table>';
        }
        $result.='</td></tr>';

        $result.=LFX_etr();
        return($result);
    }
  }
  
  function LFX_sub_preset_title($cat)
  {
    switch($cat) {
      case 'oid':
        return(__L('Report'));
      case 'osid':
        return(__L('Report Type'));
      case 'osp':
        return(__L('Report Preset'));
    }
  }
  
  function LFX_sub_preset_data($cat, $val, $subId)
  {
    switch($cat) {
      case 'oid':
        $tmp=new LFX_report_wrapper($val);
        return(htmlspecialchars($tmp->getAttr('name'),ENT_QUOTES));
      case 'osid':
        $translate=array(
          'day'=>'Daily',
          'week'=>'Weekly',
          'month'=>'Monthly',
          'year'=>'Yearly');
        $myVal=$translate[$val];
        if (!$myVal) {
          $myVal='n/a';
        }
        return(htmlspecialchars($myVal,ENT_QUOTES));
      case 'osp':
        $tmp=new LFX_Report_Preset($val);
        return(htmlspecialchars($tmp->getAttr('name'),ENT_QUOTES));
    }
  }
  
  function LFX_sub_preset_search()
  {
    $tmp=new LFX_Subscription;
    return($tmp->search('objectClass','LFX_report_wrapper'));
  }
?>
