<?

  /**
  * Subscription Management
  * Dan Gard <dan@moongate.ro>, April 2003
  * $Id: sub_all.php,v 1.12 2005/02/15 08:59:51 bogdan Exp $
  * @package LFX
  */

  $_page->title=__L('Subscriptions list');

  if (!$_page->user->getRights('LFX_Subscription')) {
    pdie(__L("You don't have enough permissions to access this page."));
  }

  pecho(LFX_startTables());
  pecho(LFX_swatchHeader(array('create'=>$_LFX_subscription_url.'/index/sub_add/?preset='.$preset,
                               'title'=>__L('Subscriptions List'))));

  if ($action=='subscribe_me') {
    $sub=new LFX_Subscription($sub);
    $sub->subscribe();
  }
  if ($action=='unsubscribe_me') {
    $sub=new LFX_Subscription($sub);
    $sub->unsubscribe();
  }

  $PPcount=20;
  $PPstart=max(0,abs($PPstart));

  if ($preset) {
    $tg=LFX_sub_preset_search();
  } else {
    $tg=new LFX_Subscription;
    $tg->query("SELECT COUNT(*) FROM subscription");
    $tg->db->next_record();
    $tgCount=$tg->db->f(0);
    //$tg=$tg->search();
    $tg->query("SELECT id FROM subscription ORDER BY name LIMIT $PPstart,$PPcount");
    while($tg->db->next_record()) {
      $subIDs[]=$tg->db->f(0);
    }
    if ($subIDs) {
      $tg=$tg->_doLoad($subIDs,false);
    } else {
      $tg=array();
    }
  }

  if (!count($tg)) {
    pecho(LFX_str());
    pecho(LFX_td(__L('No subscriptions registered')));
    pecho(LFX_etr());
    pecho(LFX_endTables());
  } else {
    pecho(LFX_str());
    pecho(LFX_echo('<td>'));
    pecho(LFX_startTables('100%'));

    pecho(LFX_sthead());
    if ($preset && ($tmp=LFX_sub_preset_title('name'))) {
      pecho(LFX_td($tmp));
    } else {
      pecho(!$hname?LFX_td(__L('Subscription name')):'');
    }
    if ($preset && ($tmp=LFX_sub_preset_title('oclass'))) {
      pecho(LFX_td($tmp));
    } else {
      pecho(!$hoclass?LFX_td(__L('Object Class')):'');
    }
    if ($preset && ($tmp=LFX_sub_preset_title('oid'))) {
      pecho(LFX_td($tmp));
    } else {
      pecho(!$hoid?LFX_td(__L('Object ID')):'');
    }
    if ($preset && ($tmp=LFX_sub_preset_title('osid'))) {
      pecho(LFX_td($tmp));
    } else {
      pecho(!$hosid?LFX_td(__L('Object Sub-ID')):'');
    }
    if ($preset && ($tmp=LFX_sub_preset_title('oinclude'))) {
      pecho(LFX_td($tmp));
    } else {
      pecho(!$hoinclude?LFX_td(__L('Object Include')):'');
    }
    if ($preset && ($tmp=LFX_sub_preset_title('ddate'))) {
      pecho(LFX_td($tmp));
    } else {
      pecho(!$hddate?LFX_td(__L('Due Date')):'');
    }
    pecho(LFX_td(__L('Your User')));
    
    pecho(LFX_ethead());

    for ($i=0;$i<count($tg);$i++) {
      $g=&$tg[$i];
      pecho(LFX_str());
      $subs_name=htmlspecialchars($g->getAttrH('name'), ENT_QUOTES);
      if ($preset && ($tmp2=LFX_sub_preset_data('name',$subs_name,$g->id))) {
        pecho(LFX_td($tmp2));
      } else {
        pecho(!$name?LFX_td("<a href='$_LFX_subscription_url/index/sub_details?id=".$g->id."&amp;preset=$preset'>".$subs_name.'</a>'):'');
      }
      $tmp=$g->getAttrH('objectClass');
      if ($preset && ($tmp2=LFX_sub_preset_data('oclass',$tmp,$g->id))) {
        pecho(LFX_td($tmp2));
      } else {
        pecho(!$hoclass?LFX_td($tmp):'');
      }
      $tmp=$g->getAttrH('objectId');
      if ($preset && ($tmp2=LFX_sub_preset_data('oid',$tmp,$g->id))) {
        pecho(LFX_td($tmp2));
      } else {
        pecho(!$hoid?LFX_td($tmp):'');
      }
      $tmp=$g->getAttrH('objectSubId');
      if ($preset && ($tmp2=LFX_sub_preset_data('osid',$tmp,$g->id))) {
        pecho(LFX_td($tmp2));
      } else {
        pecho(!$hosid?LFX_td($tmp):'');
      }
      $tmp=$g->getAttrH('objectInclude');
      if ($preset && ($tmp2=LFX_sub_preset_data('oinclude',$tmp,$g->id))) {
        pecho(LFX_td($tmp2));
      } else {
        pecho(!$hoinclude?LFX_td($tmp):'');
      }
      $tmp=$g->getAttrH('dueDate');
      if ($preset && ($tmp2=LFX_sub_preset_data('ddate',$tmp,$g->id))) {
        pecho(LFX_td($tmp2));
      } else {
        pecho(!$hddate?LFX_td($tmp):'');
      }
      if ($g->isSubscribed()) {
        pecho(LFX_td("<a href='$_LFX_url/subscription/index/sub_all?preset=$preset&amp;action=unsubscribe_me&amp;sub={$g->id}'>".__L('unsubscribe').'</a>'));
      } else {
        pecho(LFX_td("<a href='$_LFX_url/subscription/index/sub_all?preset=$preset&amp;action=subscribe_me&amp;sub={$g->id}'>".__L('subscribe').'</a>'));
      }
      pecho(LFX_etr());
    }
  }

  pecho(LFX_echo('</td>'));
  pecho(LFX_etr());
  pecho(LFX_endTables());

  pecho(LFX_echo('</td>'));
  if ($PPstart || ($PPstart+$PPcount<$tgCount)) {
    pecho(LFX_estr());
    pecho(LFX_echo("<td colspan='6' align='center'>"));
    if ($PPstart) {
      pecho(LFX_echo("<a href='?PPstart=".($PPstart-$PPcount)."'>[".__L("Previous page")."]</a>"));
    }
    if ($PPstart+$PPcount<$tgCount) {
      pecho(LFX_echo("<a href='?PPstart=".($PPstart+$PPcount)."'>[".__L("Next page")."]</a>"));
    }

    pecho(LFX_echo('</td>'));
  }
  pecho(LFX_etr());
  pecho(LFX_endTables());
			
  $presets=array();
  $d=dir("$_LFX_path/subscription/presets");
  while($file=$d->read()) {
    if (strtolower(substr($file,-4))!='.php') {
      continue;
    }
    $presets[]=substr($file,0,-4);
  }
  if ($presets) {
    pecho(LFX_echo("<br />"));
    pecho(LFX_startTables());
    pecho(LFX_str());
    pecho(LFX_rth(__L("Interface preset"),NULL,NULL,NULL,NULL,'50%'));
    pecho(LFX_echo("<td>"));
    pecho(LFX_sform('','GET'));
    pecho(LFX_echo("<select name='preset'>"));
    pecho(LFX_echo("<option value=''>[".__L("no preset")."]</option>"));
    while(list(,$myPreset)=each($presets)) {
      if ($preset==$myPreset) {
        $sel=' selected';
      } else {
        $sel='';
      }
      pecho(LFX_echo("<option value='$myPreset'$sel>$myPreset</option>"));
    }
    pecho(LFX_echo("</select>"));
    pecho(LFX_echo("<input type='submit' value='".__L("Change preset")."'>"));
    pecho(LFX_echo("</td>"));
    pecho(LFX_etr());
    pecho(LFX_endTables());
  }

?>
