<?

  /**
  * Subscription Management
  * Dan Gard <dan@moongate.ro>, April 2003
  * $Id: sub_details.php,v 1.9 2005/03/28 14:39:49 bogdan Exp $
  * @package LFX
  */

  $_page->title=__L('Subscription details');

  if (!$_page->user->getRights('LFX_Subscription')) {
    pdie(__L("You don't have enough permissions to access this page."));
  }

  pecho(LFX_echo("<table border='0' width='100%' cellspacing='2'>"));
  pecho(LFX_str());
  pecho(LFX_echo("<td>"));

  if (!$id) {
    $_page->addError('Missing subscription ID. Exiting.', EH_ET_ERROR);
    return(false);
  }

  $hd = new LFX_subscription;
  $hd->load($id);

  $subNameH=htmlspecialchars($hd->getAttrH('name'), ENT_QUOTES);

  pecho(LFX_startTables());
  pecho(LFX_swatchHeader(array('link'=>"$_LFX_subscription_url/index/sur_add?id=$id&amp;preset=$preset",
                               'explain'=>"$_LFX_subscription_url/index/?preset=$preset",
                               'drop'=>"$_LFX_subscription_url/index/sub_del?id=$id&amp;preset=$preset",
                               'update'=>"$_LFX_subscription_url/index/sub_edit/?id=$id&amp;preset=$preset",
                               'title'=>sprintf(__L('Subscription "%s" details'),$subNameH))));
  pecho(LFX_str());
  pecho(LFX_echo('<td>'));
  pecho(LFX_startTables('100%'));

  if ($preset && ($tmp=LFX_sub_preset_title('oclass'))) {
    pecho(LFX_str());
    pecho(LFX_rth($tmp));
  } elseif (!$hoclass) {
    pecho(LFX_str());
    pecho(LFX_rth(__L('Object Class')));
  }
  $tmp=$hd->getAttrH('objectClass');
  if ($preset && ($tmp2=LFX_sub_preset_data('oclass',$tmp,$id))) {
    pecho(LFX_td($tmp2));
    pecho(LFX_etr());
  } elseif (!$hoclass) {
    pecho(LFX_td($tmp));
    pecho(LFX_etr());
  }
  if ($preset && ($tmp=LFX_sub_preset_title('oid'))) {
    pecho(LFX_str());
    pecho(LFX_rth($tmp));
  } elseif (!$hoid) {
    pecho(LFX_str());
    pecho(LFX_rth(__L('Object ID')));
  }
  $tmp=$hd->getAttrH('objectId');
  if ($preset && ($tmp2=LFX_sub_preset_data('oid',$tmp,$id))) {
    pecho(LFX_td($tmp2));
    pecho(LFX_etr());
  } elseif (!$hoid) {
    pecho(LFX_td($tmp));
    pecho(LFX_etr());
  }

  $tmp=$hd->getAttr('data_id');
  if($tmp) {
    if($preset) {
      if($tmp2=LFX_sub_preset_title('osp')) {
        pecho(LFX_str());
        pecho(LFX_rth($tmp2));
      }
    } else {
      pecho(LFX_str());
      pecho(LFX_rth(__L("Data ID")));
    }
    if($preset && $tmp2=LFX_sub_preset_data('osp',$tmp,$id)) {
      pecho(LFX_td($tmp2));
      pecho(LFX_etr());
    } else {
      pecho(LFX_td($tmp));
      pecho(LFX_etr());
    }
  }

  if ($preset && ($tmp=LFX_sub_preset_title('osid'))) {
    pecho(LFX_str());
    pecho(LFX_rth($tmp));
  } elseif (!$hosid) {
    pecho(LFX_str());
    pecho(LFX_rth(__L('Object Sub-ID')));
  }
  $tmp=$hd->getAttrH('objectSubId');
  if ($preset && ($tmp2=LFX_sub_preset_data('osid',$tmp,$id))) {
    pecho(LFX_td($tmp2));
    pecho(LFX_etr());
  } elseif (!$hosid) {
    pecho(LFX_td($tmp));
    pecho(LFX_etr());
  }

  if ($preset && ($tmp=LFX_sub_preset_title('oinclude'))) {
    pecho(LFX_str());
    pecho(LFX_rth($tmp));
  } elseif (!$hoinclude) {
    pecho(LFX_str());
    pecho(LFX_rth(__L('Object Include')));
  }
  $tmp=$hd->getAttrH('objectInclude');
  if ($preset && ($tmp2=LFX_sub_preset_data('oinclude',$tmp,$id))) {
    pecho(LFX_td($tmp2));
    pecho(LFX_etr());
  } elseif (!$hoinclude) {
    pecho(LFX_td($tmp));
    pecho(LFX_etr());
  }

  if ($preset && ($tmp=LFX_sub_preset_title('ddate'))) {
    pecho(LFX_str());
    pecho(LFX_rth($tmp));
  } elseif (!$hddate) {
    pecho(LFX_str());
    pecho(LFX_rth(__L('Due Date')));
  }
  $tmp=$hd->getAttrH('dueDate');
  if ($preset && ($tmp2=LFX_sub_preset_data('ddate',$tmp,$id))) {
    pecho(LFX_td($tmp2));
    pecho(LFX_etr());
  } elseif (!$hddate) {
    pecho(LFX_td($tmp));
    pecho(LFX_etr());
  }

  pecho(LFX_endTables());
  pecho(LFX_echo("</td>"));
  pecho(LFX_etr());
  pecho(LFX_endTables());
  pecho('</td>');

  pecho(LFX_estr());
  pecho('<td>');
  pecho(LFX_startTables());
  pecho(LFX_swatchHeader(array('title'=>sprintf(__L('Subscribers at "%s"'),$subNameH))));
  pecho(LFX_str());

  $t=new LFX_Subscriber;
  $t=$t->search('subscription',$id);

  if (!$t) {
    pecho(LFX_td(__L('No subscribers')));
  } else {
    pecho(LFX_echo('<td>'));
    pecho(LFX_startTables('100%'));

    for ($i=0;$i<count($t);$i++) {
      $tt=&$t[$i];
      if ($email=$tt->getAttrH('email')) {
        $tmp=$email;
      } else {
        $tr=$tt->getObject('user');
        $tmp=$tr->getNameH();
      }	
      pecho(LFX_str());
      pecho(LFX_td("<a href='$_LFX_subscription_url/index/sur_details?id=".$tt->id."&amp;preset=$preset'>$tmp</a>"));
      pecho(LFX_etr());
    }
    pecho(LFX_endTables());
    pecho(LFX_echo('</td>'));
  }
  pecho(LFX_etr());
  pecho(LFX_endTables());
		
  pecho(LFX_echo('</td>'));
  pecho(LFX_etr());
  pecho(LFX_echo('</table>'));


?>
