<?

  /**
  * Subscription Management
  * Dan Gard <dan@moongate.ro>, April 2003
  * $Id: sub_edit.php,v 1.8 2004/11/15 13:45:15 bogdan Exp $
  * @package LFX
  */

  $_page->title=__L("Edit Subscription");

  if (!$_page->user->getRights('LFX_Subscription','W')) {
    pdie(__L("You don't have enough permissions to make changes here."));
  }

  include('functions.php');
  
  pecho(LFX_echo("<table border='0' width='100%' cellspacing='2'>"));
  pecho(LFX_str());
  pecho(LFX_echo("<td>"));
  pecho(LFX_echo("<table border='0' width='100%' cellspacing='2'>"));
  pecho(LFX_str());
  pecho(LFX_echo("<td>"));

  if (!$id) {
    $_page->addError("Missing subscription ID. Exiting.", EH_ET_ERROR);
    return(false);
  }
		    
  $sub = new LFX_subscription($id);

  if (!$sub->load($id)) {
    $_page->addError("Invalid subscription ID. Exiting.");
    return(false);
  }

  if ($submit) {
    if ($format=='gui'){
      $ddate=trim($hour.' '.$day.' '.$month.' '.$days);
      if ((!$name) || (!$oclass) || (!$oid) || (!$ddate)) {
        $_page->addError('Please fill in all fields (1).');
        return(false);
      }
    } elseif ($format=='raw') {
      if ((!$name) || (!$oclass) || (!$oid) || (!$ddate)) {
        $_page->addError('Please fill in all fields (2).');
        return(false);
      }
    } elseif ($format=='event') {
      $ddate='25 * * *';
      if ((!$name) || (!$oclass) || (!$oid)) {
        $_page->addError('Please fill in all fields (3).');
        return(false);
      }
    } else {
      $_page->addError("Unknown subscription due date format: $format");
      return(false);
    }

    $sub->setAttr('name',$name,'gpc');
    $sub->setAttr('objectClass',$oclass,'gpc');
    $sub->setAttr('objectId',$oid,'gpc');
    $sub->setAttr('objectSubId',$osid,'gpc');
    $sub->setAttr('objectInclude',$oinclude,'gpc');
    $sub->setAttr('dueDate',$ddate,'gpc');
    $name=htmlspecialchars($sub->getAttr('name'), ENT_QUOTES);
    if ($sub->save()) {
      pecho(LFX_startTables());
      pecho(LFX_swatchHeader(array('explain'=>"$_LFX_subscription_url/index/sub_details?id=$id&amp;preset=$preset",
                                   'title'=>sprintf(__L('Subscription "%s" saved successfully'),$name))));
      pecho(LFX_endTables());
    } else {
      $_page->addError('Failed to save changes');
      return(false);
    }
  } else {
    $tmp=htmlspecialchars($sub->getAttr('name'), ENT_QUOTES);
    pecho(LFX_startTables());
    pecho(LFX_swatchHeader(array('explain'=>"$_LFX_subscription_url/index/sub_details?id=$id&amp;preset=$preset",
                                 'title'=>sprintf(__L('Subscription "%s" details'),$tmp))));
    pecho(LFX_str());
    pecho(LFX_echo('<td>'));
    pecho("<form name='theform' method='POST'>");
    pecho(LFX_startTables('100%'));
    $xtra='';
    if (($preset) && ($pstOut=LFX_sub_preset('name',$tmp,$sub->id))) {
      pecho($pstOut);
    } elseif (!$hname) {
      pecho(LFX_str());
      pecho(LFX_rth(__L('Subscription Name'),NULL,NULL,NULL,NULL,'30%'));
      pecho(LFX_td("<input name='name' type='text' value='$tmp'>"));
      pecho(LFX_etr());
    } else {
      $xtra.="<input type='hidden' name='name' value='$tmp'>";
    }
    $tmp=htmlspecialchars($sub->getAttr('objectClass'), ENT_QUOTES);
    if (($preset) && ($pstOut=LFX_sub_preset('oclass',$tmp,$sub->id))) {
      pecho($pstOut);
    } elseif (!$hoclass) {
      pecho(LFX_str());
      pecho(LFX_rth(__L('Object Class'),NULL,NULL,NULL,NULL,'30%'));
      pecho(LFX_td("<input name='oclass' type='text' value='$tmp'>"));
      pecho(LFX_etr());
    } else {
      $xtra.="<input type='hidden' name='oclass' value='$tmp'>";
    }
    $tmp=$sub->getAttr('objectId');
    if (($preset) && ($pstOut=LFX_sub_preset('oid',$tmp,$sub->id))) {
      pecho($pstOut);
    } elseif (!$hoid) {
      pecho(LFX_str());
      pecho(LFX_rth(__L('Object ID'),NULL,NULL,NULL,NULL,'30%'));
      pecho(LFX_td("<input name='oid' type='text' value='$tmp'>"));
      pecho(LFX_etr());
    } else {
      $xtra.="<input type='hidden' name='oid' value='$tmp'>";
    }
    $tmp=$sub->getAttr('objectSubId');
    if (($preset) && ($pstOut=LFX_sub_preset('osid',$tmp,$sub->id))) {
      pecho($pstOut);
    } elseif (!$hosid) {
      pecho(LFX_str());
      pecho(LFX_rth(__L('Object Sub-ID'),NULL,NULL,NULL,NULL,'30%'));
      pecho(LFX_td("<input name='osid' type='text' value='$tmp'>"));
      pecho(LFX_etr());
    } else {
      $xtra.="<input type='hidden' name='osid' value='$tmp'>";
    }
    $tmp=htmlspecialchars($sub->getAttr('objectInclude'), ENT_QUOTES);
    if (($preset) && ($pstOut=LFX_sub_preset('oinclude',$tmp,$sub->id))) {
      pecho($pstOut);
    } elseif (!$hoinclude) {
      pecho(LFX_str());
      pecho(LFX_rth(__L('Object Include'),NULL,NULL,NULL,NULL,'30%'));
      pecho(LFX_td("<input name='oinclude' type='text' value='$tmp'>"));
      pecho(LFX_etr());
    } else {
      $xtra.="<input type='hidden' name='oinclude' value='$tmp'>";
    }
    $tmp=$sub->getAttr('dueDate');
    if (($preset) && ($pstOut=LFX_sub_preset('ddate',$tmp,$sub->id))) {
      pecho($pstOut);
    } elseif (!$hddate) {
      pecho(LFX_str());
      pecho(LFX_rth(__L('Due Date'),NULL,NULL,NULL,3,'30%'));
      // pecho ("<td width='30%' rowspan='2'>Due Date - (crontab format)</td><td >");
      $due=dueDate($tmp);
      if ($due['format']=='gui') {
        $checked=' checked';
      } else {
        $checked='';
      }
      pecho("<td><table><tr><td width='60'>");
      pecho("<input type='radio' name='format' value='gui'$checked>  GUI  ");
      pecho('</td><td>');
      pecho($due['result']);
      pecho('</td></tr></table>');

      pecho('</td></tr><tr><td>');

      pecho("<table><tr><td width='105'>");
      if ($due['format']=='raw') {
        $checked=' checked';
      } else {
        $checked='';
      }
      pecho("<input type='radio' name='format' value='raw'$checked> RAW");
      pecho('</td><td>');
      pecho("<input name='ddate' type='text' value='$tmp'>");
      pecho('</td></tr></table>');

      pecho('</td></tr><tr><td>');
      pecho('<table><tr><td>');
      if ($due['format']=='event') {
        $checked=' checked';
      } else {
        $checked='';
      }

      pecho("<input type='radio' name='format' value='event'$checked> Per Event");
      pecho('</td></tr></table>');
      pecho('</td></tr>');

      pecho(LFX_etr());
    } else {
      $xtra.="<input type='hidden' name='format' value='raw'>";
      $xtra.="<input type='hidden' name='ddate' value='$tmp'>";
    }
    pecho(LFX_str());
    pecho(LFX_td("$xtra<input type='submit' name='submit' value='Save Changes'>","thead",'',2));
    pecho(LFX_etr());
    pecho(LFX_echo('</td>'));
    pecho(LFX_etr());
    pecho(LFX_endTables());
    pecho('</form>');
  }
  pecho(LFX_echo('</td>'));
  pecho(LFX_etr());
  pecho(LFX_echo('</table>'));
  pecho(LFX_echo('</td>'));
  pecho(LFX_etr());
  pecho(LFX_echo('</table>'));
?>


