<?

  /**
  * The General Synchronizing File
  * Tudor Caraciuc <tudor@moongate.ro>, February 2005
  * $Id: synch.php,v 1.3 2005/02/22 11:58:18 bogdan Exp $
  * @package LFX
  */
  
  _checkMeOut(__FILE__);
  LFX_include("LFX_query_manager");
  $_page->title=__L('General Synchronization');
  
  // Checking whether the compression method exists in the PHP version or not
  
  if (!function_exists("gzcompress")) {
    $gzip=false;
  } else {
    $gzip=true;
  }
  
  $group=new LFX_Group();
  $global=new LFX_Global();
  $doctype=new LFX_DocType();
  
  if ($fileSubmit) {
    if ($_FILES['toImport']['size']>0) {
      $xml_string=file_get_contents($_FILES['toImport']['tmp_name']);
      $fName=$_FILES['toImport']['name'];
      $fExt=substr($fName,strrpos($fName,".")+1);
      if ($fExt=='gz') {
        if (!function_exists("gzuncompress")) {
          $_page->addError("The PHP version on this server does not support the gzip compression method. Please contact your system administrator.");
          return(false);
        }
        $xml_string=gzuncompress($xml_string);
      }
      $xml_string=generalSynch($xml_string);
      $fileExt="";
      $contentType="text/xml";
      if (isset($gzFormat) && $gzip) {
        $xml_string=gzcompress($xml_string);
        $fileExt=".gz";
        $contentType="application/gzip";
      }
      ob_end_clean();
      header("Content-Length: ".strlen($xml_string));
      header("Content-Disposition: attachment; filename=\"general_".date('YmdHi').".xml$fileExt\"");
      header("Content-Type: $contentType");
      header("Cache-control: public");
      header("Pragma: public");
      echo($xml_string);
      exit; 
    } else {
      $_page->addError("Please submit a file for import.");
    }
  }
  pecho(LFX_echo("<div align='center'><A href='$_LFX_url/synchronization/index/export'>Export </A>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                  <A href='$_LFX_url/synchronization/index/import'>Import</A></div><br />\n"
               ));
  pecho(LFX_echo('<form method="POST" enctype="multipart/form-data">'));
  pecho(LFX_startTables());
  pecho(LFX_swatchHeader(array(
    'title'=>__L('Select the XML file from which to synchronize')
  )));
  pecho(LFX_str());
  pecho(LFX_std());
  pecho(LFX_startTables('100%'));
  pecho(LFX_str());
  pecho(LFX_rth(__L('File to import'),NULL,NULL,NULL,NULL,'50%'));
  pecho(LFX_td('<input type="file" name="toImport">'));
  pecho(LFX_estr());
  pecho(LFX_rth(__L('Options')));
  pecho(LFX_std());
  pecho(
    LFX_echo(
      "<input type='checkbox' name='gzFormat' value=1 id='gzFormat'".($gzip?'':' disabled').">".
        "<label for='gzFormat'> ".
          __L('Synchronize into compressed (.gz) file').
        "</label>".
      "</input>"
    )
  );
  pecho(LFX_etd());
  pecho(LFX_etr());
  pecho(LFX_endTables());
  pecho(LFX_etd());
  pecho(LFX_estr());
  pecho(LFX_td('<input type="submit" name="fileSubmit" value="'.__L('Synchronize').'">','thead'));
  pecho(LFX_etr());
  pecho(LFX_endTables());
  pecho(LFX_echo('</form>'));
  
  function generalSynch($xml_string)
  {
     $group=new LFX_Group();
     $global=new LFX_Global();
     $doctype=new LFX_DocType();
     
     LFX_include('LFX_XML');
     $xml=new LFX_XML($xml_string);
     $xml=$xml->xml[0]; 
     
     $xml_string="<?xml version='1.0' encoding='ISO-8859-1'?".">\n";
     $xml_string.="   <synch_descriptors>\n";
     
     while (list(,$synchType)=@each($xml['children'])) {
       switch ($synchType['tag']) {
        case "GROUP_DESCRIPTORS": {
          $xml_string.=$group->groupSynch($synchType);
        } break;
        case "GLOBAL_DESCRIPTORS": {
          $xml_string.=$global->globalsSynch($synchType);
        } break;
        case "DOCTYPE_DESCRIPTORS": {
          $xml_string.=$doctype->docTypeSynch($synchType);
        } break;
      }
     } 
     
     $xml_string.="</synch_descriptors>";
     return($xml_string);
   }
?>
