<?
  /**
  * POT file saving
  * Lucian Silistru <lucian@moongate.ro>, July 2003
  * $Id: create.php,v 1.5 2004/11/09 10:31:04 bogdan Exp $
  * @package LFX
  */
  
  _checkMeOut(__FILE__);
  include('include/LFX_Translation.php');  
  
  $_page->title=__L('Translation Manager - Creating Files');

  if (!$_page->user->getRights('LFX_Translation','W')) {
    pdie(__L("You don't have enough permissions to make changes here."));
  }

  //Setting Language Dir we'll use
  switch($module) {
    case 'LFXlib':
      $lang_dir=$_LFX_lang;
      $domain='LFX_Local.po';
    break;
    default:
      $tmp='_'.$module.'_lang';
      $lang_dir=$$tmp;
      $domain=$module.'_Local.po';
  }
  
  pecho(LFX_startTables());
  pecho(LFX_swatchHeader(array(
    'title'=>__L('POT file creation/update')
  )));
  pecho(LFX_str());
  pecho(LFX_echo('<td>'));
  
  pecho(LFX_startTables('100%'));
  //Back-UP for POT file and creation of directories
  if (!is_dir($lang_dir)) {
    if (!@mkdir($lang_dir)) {
      pecho(LFX_str());
      pecho(LFX_td(sprintf(__L('Failed creating base language directory (%s). Exiting.'),$lang_dir),'thead'));
      pecho(LFX_etr());
      return(false);
    }
  }
  if (!is_dir($lang_dir.'/'.$lang_code)) {
    if (!@mkdir($lang_dir.'/'.$lang_code)) {
      pecho(LFX_str());
      pecho(LFX_td(sprintf(__L('Failed creating language directories (%s). Exiting.'),$lang_dir.'/'.$lang_code),'thead'));
      pecho(LFX_etr());
      return(false);
    }
  }

  if (!is_dir($lang_dir.'/'.$lang_code.'/LC_MESSAGES')) {
    if (!@mkdir($lang_dir.'/'.$lang_code.'/LC_MESSAGES')) {
      pecho(LFX_str());
      pecho(LFX_td(sprintf(__L('Failed creating message language directories (%s). Exiting.'),$lang_dir.'/'.$lang_code.'/LC_MESSAGES'),'thead'));
      pecho(LFX_etr());
      return(false);
    }
  }  
  
  if (is_file($lang_dir.'/'.$lang_code.'/LC_MESSAGES/'.$domain)) {
    if (@copy($lang_dir.'/'.$lang_code.'/LC_MESSAGES/'.$domain,$lang_dir.'/'.$lang_code.'/LC_MESSAGES/'.$domain.'.bak')) {
      pecho(LFX_str());
      pecho(LFX_td(__L('POT file backup created succesfully.'),'thead'));
      pecho(LFX_etr());
    } else {
      pecho(LFX_str());
      pecho(LFX_td(__L('Failed creating POT file backup '.$lang_dir.'/'.$lang_code.'/LC_MESSAGES/'.$domain.'.bak. Check your permissions. Exiting.'),'thead'));
      pecho(LFX_etr());
      return(false);
    }
  }    
  
  if (!$f=fopen($lang_dir.'/'.$lang_code.'/LC_MESSAGES/'.$domain,'wb')) {
    pecho(LFX_str());
    pecho(LFX_td(__L('Failed opening POT file for writing. Exiting.'),'thead'));
    pecho(LFX_etr());
    return(false);
  }
  //Writing POT file header
  fwrite($f,"msgid \"\"\nmsgstr \"\"\n");
  while (list($key,$value)=@each($msgs['head'])) {
    if ($key) {
      fwrite($f,"\"$key: $value\"\n");
    }
  }
  fwrite($f,"\n");

  //Writing POT file contents
  while(list($key,$val)=@each($msgs['content'])) {
    if ($msgs['comments'][$key]) {
      fwrite($f,"# ".$msgs['comments'][$key]."\n");
    }
    fwrite($f,'msgid ');
    fwrite($f,"\"".addLangSlashes(LFX_Object::gpcUnslash($val["id"]))."\"\n");
    fwrite($f,'msgstr ');
    fwrite($f,"\"".addLangSlashes(LFX_Object::gpcUnslash($val["str"]))."\"\n\n");
  } 
  fclose($f);
  pecho(LFX_str());
  pecho(LFX_td(sprintf(__L('POT file %s saved succesfully.'),$lang_dir.'/'.$lang_code.'/LC_MESSAGES/'.$domain,'wb'),'thead'));
  pecho(LFX_etr());
  
  if (is_file($lang_dir.'/'.$lang_code.'/LC_MESSAGES/'.basename($domain,'.po').'.mo')) {
    if (!@copy($lang_dir.'/'.$lang_code.'/LC_MESSAGES/'.basename($domain,'.po').'.mo',$lang_dir.'/'.$lang_code.'/LC_MESSAGES/'.basename($domain,'.po').'.mo.bak')) {
      pecho(LFX_str());
      pecho(LFX_td(__L('Failed creating .mo file backup. Exiting.'),'thead'));
      pecho(LFX_etr());
      return(false);      
    }
    @unlink($lang_dir.'/'.$lang_code.'/LC_MESSAGES/'.basename($domain,'.po').'.mo');
  }
  @exec('msgfmt -o '.$lang_dir.'/'.$lang_code.'/LC_MESSAGES/'.basename($domain,'.po').'.mo '.$lang_dir.'/'.$lang_code.'/LC_MESSAGES/'.$domain.' 2>&1',$dump,$err);
  if (!$err) {
    pecho(LFX_str());
    pecho(LFX_td(__L('.mo file created.'),'thead'));
    pecho(LFX_etr());
  } else {
    pecho(LFX_str());
    pecho(LFX_td("<div align='left'>".__L('.mo file creation error: ').implode('<br>',$dump)."</div>",'thead'));
    pecho(LFX_etr());    
  }
  if (!LFX_include_class('LFX_Translation')) {
    pecho(LFX_str());
    pecho(LFX_td(__L('Failed to include class LFX_Translation for synchronization!'),'thead'));
    pecho(LFX_etr());
  } else {
    $success=true;
    $t=new LFX_Translation;
    $success=$success && $t->query("DELETE FROM translations WHERE module='$module'");
    @reset($msgs['content']);
    while(list($key,$val)=@each($msgs['content'])) {
      if (!$val['str']) {
        continue;
      }
      $t=new LFX_Translation;
      // Need to strip Windows CRLF's because our code doesn't use them,
      // and the translation manager doesn't recognize the strings afterwards
      $t->setAttrs(array(
        'original'=>str_replace("\r\n","\n",$val['id']),
        'translated'=>str_replace("\r\n","\n",$val['str']),
        'lang'=>$lang_code,
        'module'=>$module
      ),'gpc');
      $success=$success && $t->save();
    }
    if ($success) {
      pecho(LFX_str());
      pecho(LFX_td(__L('Successfully saved all native translations in the database.'),'thead'));
      pecho(LFX_etr());
    } else {
      pecho(LFX_str());
      pecho(LFX_td(__L('Something went wrong while saving the native translations in the database.'),'thead'));
      pecho(LFX_etr());
    }
  }
  pecho(LFX_endTables());
  
  pecho(LFX_echo('</td>'));
  pecho(LFX_etr());
  pecho(LFX_endTables());
?>
