<?

  /**
  * POT file saving -- new version
  * Tudor Caraciuc <tudor@moongate.ro>, March 2005
  * $Id: create_new.php,v 1.1 2005/03/10 08:25:24 bogdan Exp $
  * @package LFX
  */
  
  _checkMeOut(__FILE__);
  include('include/LFX_Translation.php');  
  LFX_include('LFX_query_manager');
  $_page->title=__L('Translation Manager - Creating Files');

  if (!$_page->user->getRights('LFX_Translation','W')) {
    pdie(__L("You don't have enough permissions to make changes here."));
  }

  //Setting Language Dir we'll use
  switch($module) {
    case 'LFXlib':
      $lang_dir=$_LFX_lang;
      $domain='LFX_Local.po';
    break;
    default:
      $tmp='_'.$module.'_lang';
      $lang_dir=$$tmp;
      $domain=$module.'_Local.po';
  }
  $lang_code=$lang;
  pecho(LFX_startTables());
  pecho(LFX_swatchHeader(array(
    'title'=>__L('POT file creation/update')
  )));
  pecho(LFX_str());
  pecho(LFX_echo('<td>'));
  
  pecho(LFX_startTables('100%'));
  if (!is_dir($lang_dir)) {
    if (!@mkdir($lang_dir)) {
      pecho(LFX_str());
      pecho(LFX_td(sprintf(__L('Failed creating base language directory (%s). Exiting.'),$lang_dir),'thead'));
      pecho(LFX_etr());
      return(false);
    }
  }
  if (!is_dir($lang_dir.'/'.$lang_code)) {
    if (!@mkdir($lang_dir.'/'.$lang_code)) {
      pecho(LFX_str());
      pecho(LFX_td(sprintf(__L('Failed creating language directories (%s). Exiting.'),$lang_dir.'/'.$lang_code),'thead'));
      pecho(LFX_etr());
      return(false);
    }
  }

  if (!is_dir($lang_dir.'/'.$lang_code.'/LC_MESSAGES')) {
    if (!@mkdir($lang_dir.'/'.$lang_code.'/LC_MESSAGES')) {
      pecho(LFX_str());
      pecho(LFX_td(sprintf(__L('Failed creating message language directories (%s). Exiting.'),$lang_dir.'/'.$lang_code.'/LC_MESSAGES'),'thead'));
      pecho(LFX_etr());
      return(false);
    }
  }  
  
  if (is_file($lang_dir.'/'.$lang_code.'/LC_MESSAGES/'.$domain)) {
    if (@copy($lang_dir.'/'.$lang_code.'/LC_MESSAGES/'.$domain,$lang_dir.'/'.$lang_code.'/LC_MESSAGES/'.$domain.'.bak')) {
      pecho(LFX_str());
      pecho(LFX_td(__L('POT file backup created succesfully.'),'thead'));
      pecho(LFX_etr());
    } else {
      pecho(LFX_str());
      pecho(LFX_td(__L('Failed creating POT file backup '.$lang_dir.'/'.$lang_code.'/LC_MESSAGES/'.$domain.'.bak. Check your permissions. Exiting.'),'thead'));
      pecho(LFX_etr());
      return(false);
    }
  }    
  
  if (!$f=fopen($lang_dir.'/'.$lang_code.'/LC_MESSAGES/'.$domain,'wb')) {
    pecho(LFX_str());
    pecho(LFX_td(__L('Failed opening POT file for writing. Exiting.'),'thead'));
    pecho(LFX_etr());
    return(false);
  }
  //Writing POT file header
  fwrite($f,"msgid \"\"\nmsgstr \"\"\n");
  while (list($key,$value)=@each($msgs['head'])) {
    if ($key) {
      fwrite($f,"\"$key: $value\"\n");
    }
  }
  fwrite($f,"\n");

  //Writing POT file contents
  
  $ref=new LFX_Reference();
  $query=array();
  $query['select']=array('ref_message','translated');
  $query['from']=array("reference_lang");
  $query['where']['conditions'][]="ref_module=\"$module\"";
  $query['join'][]=array('type'=>'LEFT',
                        'table'=>'translations',
                        'condition'=>'ref_message=original AND translations.module=reference_lang.ref_module');    
  $query['order'][]=array('field'=>'ref_message','type'=>'ASC'); 
  $sql=LFX_buildSQL($query);
  $ref->query($sql);
  $msgs['content']=array();
  $i=-1;
  while ($ref->db->next_record()) {
    $i++;
    $msgs['content'][$i]['ref']=$ref->db->f(0);
    $msgs['content'][$i]['tr']=$ref->db->f(1);
  }
  while(list($key,$val)=@each($msgs['content'])) {
    fwrite($f,'msgid ');
    fwrite($f,"\"".addLangSlashes(LFX_Object::gpcUnslash($val["ref"]))."\"\n");
    fwrite($f,'msgstr ');
    fwrite($f,"\"".addLangSlashes(LFX_Object::gpcUnslash($val["tr"]))."\"\n\n");
  } 
  fclose($f);
  pecho(LFX_str());
  pecho(LFX_td(sprintf(__L('POT file %s saved succesfully.'),$lang_dir.'/'.$lang_code.'/LC_MESSAGES/'.$domain,'wb'),'thead'));
  pecho(LFX_etr());
  if (is_file($lang_dir.'/'.$lang_code.'/LC_MESSAGES/'.basename($domain,'.po').'.mo')) {
    if (!@copy($lang_dir.'/'.$lang_code.'/LC_MESSAGES/'.basename($domain,'.po').'.mo',$lang_dir.'/'.$lang_code.'/LC_MESSAGES/'.basename($domain,'.po').'.mo.bak')) {
      pecho(LFX_str());
      pecho(LFX_td(__L('Failed creating .mo file backup. Exiting.'),'thead'));
      pecho(LFX_etr());
      return(false);      
    }
    @unlink($lang_dir.'/'.$lang_code.'/LC_MESSAGES/'.basename($domain,'.po').'.mo');
  }
  @exec('msgfmt -o '.$lang_dir.'/'.$lang_code.'/LC_MESSAGES/'.basename($domain,'.po').'.mo '.$lang_dir.'/'.$lang_code.'/LC_MESSAGES/'.$domain.' 2>&1',$dump,$err);
  if (!$err) {
    pecho(LFX_str());
    pecho(LFX_td(__L('.mo file created.'),'thead'));
    pecho(LFX_etr());
  } else {
    pecho(LFX_str());
    pecho(LFX_td("<div align='left'>".__L('.mo file creation error: ').implode('<br>',$dump)."</div>",'thead'));
    pecho(LFX_etr());    
  }
  pecho(LFX_endTables());
  pecho(LFX_echo('</td>'));
  pecho(LFX_etr());
  pecho(LFX_endTables());

?>