<?
  /**
  * Translation engine switcher
  * Bogdan Stancescu <bogdan@lanifex.com>, October 2004
  * $Id: engine.php,v 1.1 2004/11/09 10:45:42 bogdan Exp $
  * @package LFX
  */
  
  $_page->title=__L('Translation Engine');
  
  if (!$_page->user->getRights('LFX_Translation')) {
    pdie(__L("You don't have enough permissions to access this page."));
  }

  $sel=$dis=$messages=array();

  if ($engine=='gettext') {
    if ($_LFX_globals->saveSetting('nativeTranslations',0)) {
      $messages[]=__L("Translations engine switched to gettext");
    } else {
      $messages[]=__L("Failed to switch the translations engine");
    }
  } elseif ($engine=='native') {
    if ($_LFX_globals->saveSetting('nativeTranslations',1)) {
      $messages[]=__L("Translations engine switched to LFXlib native");
    } else {
      $messages[]=__L("Failed to switch the translations engine");
    }
  }

  if (!function_exists('dgettext')) {
    // We have to reset the array here, otherwise we can get irrelevant messages
    $messages=array();
    $_LFX_globals->saveSetting('nativeTranslations',1);
    $dis['gettext']='disabled';
    $messages[]=__L("You don't have the gettext package installed, therefore ".
      "you can't choose the associated engine. Please install it and try again.");
  }
  if ($_LFX_globals->getSetting('nativeTranslations')) {
    $sel['native']='checked';
  } else {
    $sel['gettext']='checked';
  }
  pecho(LFX_sform("$_LFX_url/translation/index/engine"));
  pecho(LFX_startTables());
  
  pecho(LFX_str());
  pecho(LFX_td(__L("Please use the controls below to choose between the ".
    "possible translation engines supported by LFXlib."),'thead'));
  while(list(,$msg)=@each($messages)) {
    pecho(LFX_estr());
    pecho(LFX_td("<b>$msg</b>"));
  }
  pecho(LFX_estr());
  pecho(LFX_td("<input type='radio' name='engine' value='gettext' ".
    "id='gettext' {$sel['gettext']} {$dis['gettext']}><label for='gettext'><b>".
    __L("Gettext")."</b> - ".
    __L("Recommended for stable, production servers")."<br><small>".
    __L("This is the recommended engine for stable installations, ".
    "or for high load. This engine is faster, but less reliable than the ".
    "LFXlib native engine. If you make changes to the translations while ".
    "using this engine, then gettext's cache is prone to erratic ".
    "translation failure for quite some while (even hours) before stabilizing. ".
    "The only known solution is to reboot the server (even Linux) after each ".
    "translation session. This engine is based on gettext, and as such ".
    "it needs gettext installed on the server.")."</small></label>"));
  pecho(LFX_estr());
  pecho(LFX_td("<input type='radio' name='engine' value='native' ".
    "id='native' {$sel['native']} {$dis['native']}><label for='native'><b>".
    __L("LFXlib Native")."<label for='native'></b> - ".
    __L("Recommended for development servers, or as an emergency fallback setting").
    "<br><small>".
    __L("This is the recommended engine for development installations, ".
    "situations when translations need to be applied frequently or ".
    "changes in translations need to be observed without rebooting the ".
    "server, or when gettext is not available. This engine is based on ".
    "the database, and as such it doesn't have any extra requirements.").
    "</small></label>"));
  pecho(LFX_estr());
  pecho(LFX_td("<input type='submit' name='switch' value='".__L("Change Engine")."'>",'thead'));
  pecho(LFX_etr());

  pecho(LFX_endTables());
  pecho(LFX_eform());
  
?>
