<?

  /**
  * Translation Functions
  * Lucian Silistru <lucian@moongate.ro>, July 2003
  * $Id: LFX_Translation.php,v 1.2 2004/05/18 10:52:43 bogdan Exp $
  * @package LFX
  */
  
  _checkMeOut(__FILE__);

  // This function strips language slashes.
  // In effect, it changes \" to ", then \\n to \n and finally \\ to \
  // It's the counterpart of addLangSlashes in this library.
  function stripLangSlashes($string) {
    $newString=str_replace("\\\\","\\",str_replace("\\n","\n",str_replace("\\\"","\"",$string)));
    return($newString);
  }
  
  // See stripLangSlashes
  function addLangSlashes($string) {
    $string=str_replace("\r","",str_replace("\"","\\\"",str_replace("\n","\\n",str_replace("\\","\\\\",$string))));
    return($string);
  }   

  // Parses the specified translations file (PO file) and
  // returns an array containing the significant contents.
  function parseTrans($file) 
  {
    $st=@file($file);
    // -2 because we get incremented once for the header and
    // once BEFORE actually starting to add data
    $idx=-2;
    while (list(,$line)=@each($st)) {
      $line=trim($line);
      if (!$line) {
        continue;
      } elseif (substr($line,0,1)=='#') {
        $result['comments'][$idx+1].=trim(substr($line,1));
        continue;
      } elseif (substr($line,0,5)=='msgid') {
        $mode='id';
        $line=substr($line,strpos($line,'"'));
        $idx++;
      } elseif (substr($line,0,6)=="msgstr") {
        if ($mode!='head') {
          $mode='str';
        }
        $line=substr($line,strpos($line,'"'));
      }
      // echo("MODE: $mode; LINE: $line<br>\n");
      if (($mode=='id') && ($line=="\"\"")) {
        $mode='head';
        continue;
      }
      if ($mode=='id') {
        $result['content'][$idx]['id'].=stripLangSlashes(substr($line,1,-1));
      } elseif ($mode=='str') {
        $result['content'][$idx]['str'].=stripLangSlashes(substr($line,1,-1));
      } elseif ($mode=='head') {
        $line=stripLangSlashes(substr($line,1,-1));
        if (!$line) {
          continue;
        }
        $pos=strpos($line,":");
        $key=trim(substr($line,0,$pos));
        $val=trim(substr($line,$pos+1));
        $result['head'][$key]=$val;
      }
    }
    // var_dump($result);
    return($result);
  }   
?>
