<?

  /**
  * LFX Language Management
  * Lucian Silistru <lucian@moongate.ro>, July 2003
  * $Id: mapping.php,v 1.3 2004/08/03 07:27:42 bogdan Exp $
  * @package LFX
  */
  
  $_page->title=__L('Character Mapping');

  $_incReq=array('LFX_Language');
  include($_incMgr);
  
  if (!$_page->user->getRights('LFX_Translation')) {
    pdie(__L("You don't have enough permissions to access this page."));
  }

  $langs = new LFX_Language;
  $langs=$langs->search();
  
  if (!$langs) {
    pecho(__L('Please create at least one language!'));
    return(false);
  } else {
    $select="<SELECT name='lang_sel' onChange=\"window.location='$_LFX_url/translation/index.php/mapping?lang_sel='+this[selectedIndex].value\">";
    $shown=array();
    for ($i=0;$i<count($langs);$i++) {
      $nm=$langs[$i]->getAttr('name');
      $sel='';
      if ($langs[$i]->id==$lang_sel) {
        $sel='selected';
        $encoding=$langs[$i]->getAttr('encoding');
      }
      $select.="<OPTION $sel value='{$langs[$i]->id}'>$nm</OPTION>";
    }
    $select.="</SELECT>";
    if (!$encoding) {
      $encoding=$langs[0]->getAttr('encoding');
    }
    LFX_include('LFX_Character_Mapping');
    $map=new LFX_Character_Mapping;
    list($map)=$map->search('encoding',$encoding);
    if ($submit) {
      if (!$_page->user->getRights('LFX_Translation','W')) {
        pdie(__L("You don't have enough permissions to make changes here."));
      }

      $myMapping='';
      $warned=false;
      for($i=0;$i<128;$i++) {
        if (strlen($langs[0]->gpcUnslash($mapping[$i]))!=1) {
          $myMapping.=chr($i+128);
          if (!$warned) {
            pecho(LFX_echo(__L('Please make sure you only enter one character '.
              'per entry! At least one of your mappings has been ignored.')));
            $warned=true;
          }
        } else {
          $myMapping.=$langs[0]->gpcUnslash($mapping[$i]);
        }
      }
      if ($map) {
        $map->load();
        $map->setAttr('mapping',$myMapping);
      } else {
        $map=new LFX_Character_Mapping;
        $map->setAttr('encoding',$encoding);
        $map->setAttr('mapping',$myMapping);
      }
      $map->save();
    }

    if ($map) {
      $mapping=$map->getAttr('mapping');
    } else {
      $mapping='';
      for($i=128;$i<256;$i++) {
        $mapping.=chr($i);
      }
    }
    if ($_LFX_charset!=$encoding) {
      pecho(LFX_echo('<p><b>'.sprintf(__L("WARNING! You're about to edit one character ".
      "mapping (%1\$s) while using another (%2\$s)! ".
      "Please change your user's preferences to ".
      "match this language, choose another language from the drop-down below or ".
      "be sure you know what you're doing if you're editing blindly!"),$encoding,$_LFX_charset).'</b></p>'));
    }
  }
  
  pecho(LFX_sform($_LFX_url.'/translation/index.php/mapping'));

  pecho(LFX_echo('<table width=\'100%\' border=\'0\' cellspacing=\'2\'>'));
  pecho(LFX_str());
  pecho(LFX_echo('<td>'));

  pecho(LFX_startTables());
  pecho(LFX_sthead());
  pecho(LFX_td($select));
  pecho(LFX_ethead());
  pecho(LFX_endTables());
  
  pecho(LFX_echo('</td>'));
  pecho(LFX_estr());
  pecho(LFX_echo('<td>'));

  pecho(LFX_startTables());
  pecho(LFX_swatchHeader(array('title'=>__L('Current Character Mapping'))));
  pecho(LFX_echo('<td>'));
  pecho(LFX_startTables('100%'));
  
  pecho(LFX_str());
  for($i=0;$i<128;$i++) {
    if ($i && (!($i % 8))) {
      pecho(LFX_estr());
    }
    pecho(LFX_rth(chr($i+128)));
    pecho(LFX_td("<input type='text' size=1 name='mapping[$i]' value='".htmlspecialchars($mapping[$i],ENT_QUOTES)."'>"));
  }
  pecho(LFX_etr());

  pecho(LFX_endTables());
  pecho(LFX_echo('</td>'));
  pecho(LFX_estr());
  pecho(LFX_td("<input type='submit' name='submit' value='".__L('Update Mapping')."'>",'thead'));
  pecho(LFX_etr());
  pecho(LFX_endTables());

  pecho(LFX_echo('</td>'));
  pecho(LFX_etr());
  pecho(LFX_echo('</table>'));
  
  pecho(LFX_eform());
?>
