<?

  /**
  * Translation's listing page
  * Tudor Caraciuc <tudor@moongate.ro>, February 2005
  * $Id: translation_new.php,v 1.4 2005/04/11 09:13:29 bogdan Exp $
  * @package LFX
  */
  
  LFX_include('LFX_Reference','LFX_Language','LFX_Translation','LFX_List_Arrows','LFX_query_manager');
  include('include/LFX_Translation.php');
  $_page->title=__L('Translation Manager');
  
  if (!$_page->user->getRights('LFX_Translation')) {
    pdie(__L("You don't have enough permissions to access this page."));
  }
  if (!isset($pg_size)) {
    $pg_size=15;
  }
  if (!$cpage) {
    $cpage=1;
  }
  
  $_page->registerGetVar('cpage',"cpage=$cpage");
  $_page->registerGetVar('pg_size',"pg_size=$pg_size");
  $_page->registerGetVar('module',"module=$module");
  $_page->registerGetVar('lang_sel',"lang_sel=$lang_sel");
  $_page->registerGetVar('get_texts',"get_texts=$get_texts");
  $_page->registerGetVar('message_filter',"message_filter={$_REQUEST['message_filter']}");

  $myPath="$_LFX_url/translation/index/translation_new?";
  
  if ($save_translations) {
    for ($i=0;$i<count($ref_ids);$i++) {
      $cref=new LFX_Reference($ref_ids[$i]);
      if ($translation[$i]) {
        $tr=new LFX_Translation();
        $tmp=$tr->search('original',$cref->getAttr('message'));
        if (count($tmp)) {
          for ($j=0;$j<count($tmp);$j++) {  
            if ($tmp[$j]->getAttr('module')==$module) {
              $tr=$tmp[$j];
            }
          }
          $tr->load();
        }
        $tr->setAttrs(array(
          'original' => $cref->getAttr('message'),
          'translated' => $translation[$i],
          'module' => $module,
          'lang' => $lang
          ),'gpc');
        $tr->save();
      }
    }
  }
  
  if ($current_charset && ($_LFX_charset!=$current_charset)) {
    pecho(LFX_echo(__L("The language you are trying to translate to uses a ".
      "different character set than your current user. This would result ".
      "in damaged characters in the final translation. Please either correct ".
      "the character set if it's wrong by using the 'Language Management' ".
      "menu entry, or change your user's preferred language to match."),
      'thead',NULL,2));
  } elseif (!$get_texts) {
    pecho(LFX_echo('<table width=\'100%\' border=\'0\' cellspacing=\'2\'>'));
    pecho(LFX_str());
    pecho(LFX_echo('<td>'));
    
    pecho(LFX_sform($_LFX_url.'/translation/index/translation_new','GET','trans_form'));  
    pecho(LFX_startTables('100%'));
    pecho(LFX_sthead());
    pecho(LFX_td(__L('Select Module')));
    pecho(LFX_ethead());
    pecho(LFX_str());
    $tmp = new LFX_Reference;
    $sql="SELECT DISTINCT r.ref_module FROM ".$tmp->dataStructure['table_name']." r";
    $tmp->query($sql);
    
    pecho(LFX_echo('<td style=\'text-align: center\'>'));
    pecho(LFX_echo("<SELECT name='module'>"));
    while ($tmp->db->next_record()) {
      $mod=$tmp->db->f('ref_module');
      $sel='';
      if ($module==$mod) {
        $sel='selected';
      }
      pecho(LFX_echo("<OPTION $sel value='$mod'>$mod</OPTION>"));
    }
    pecho(LFX_echo("</SELECT>"));
    unset($sel,$mod,$tmp);
    pecho(LFX_echo('</td>'));  
    pecho(LFX_etr());
    pecho(LFX_endTables());
    
    pecho(LFX_echo('</td>'));
    pecho(LFX_echo('<td>'));
    
    pecho(LFX_startTables('
    100%'));
    pecho(LFX_sthead());
    pecho(LFX_td(__L('Translate to')));
    pecho(LFX_ethead());
    pecho(LFX_str());
    
    //Language List Selection
    $langs = new LFX_Language;
    $langs=$langs->search(NULL,NULL,'name');
    $select="<SELECT name='lang_sel'>";
    for ($i=0;$i<count($langs);$i++) {
      $nm=$langs[$i]->getAttr('name');
      $sel='';
      if ($langs[$i]->id==$lang_sel) {
        $sel='selected';
        $current_charset=$langs[$i]->getAttr('encoding');
      }
      $select.="<OPTION $sel value='{$langs[$i]->id}'>$nm</OPTION>";
    }
    $select.="</SELECT>";
    //END Language List
    pecho(LFX_echo('<td style=\'text-align: center\'>'));
    pecho(LFX_echo($select));
    pecho(LFX_echo('</td>'));
    pecho(LFX_etr());
    pecho(LFX_endTables());
      
    pecho(LFX_echo('</td>'));
    pecho(LFX_estr());
    pecho(LFX_echo('<td colspan=\'2\'>'));

    pecho(LFX_startTables('100%'));
    pecho(LFX_swatchHeader(array(
      'title'=>"<INPUT type='submit' name='get_texts' value='".__L('Get Texts')."'>"
    )));
    pecho(LFX_endTables());
    pecho(LFX_echo('</td>'));
    pecho(LFX_etr());
    pecho(LFX_echo('</table>'));
    pecho(LFX_eform());
    
  } elseif ($get_texts) {
    // If Get Text has been pressed we don't show the button anymore,
    // and we show the POT header and texts' list instead
    pecho(LFX_echo('<table width=\'100%\' border=\'0\' cellspacing=\'2\'>'));
    pecho(LFX_str());
    pecho(LFX_echo('<td>'));
    $lang=new LFX_Language($lang_sel);
    $lname=$lang->getAttr('name');
    pecho(LFX_echo(sprintf("<p><center><b>".__L("Translating module %1\$s into %2\$s")."</b></center></p>",$module,$lname)));
    pecho(LFX_echo("<p><center>".__L(
      "You must press 'Save translations' on every page where you translate strings; ".
      "the native translations are updated after each such button press; ".
      "in order to create the gettext translations as well, press 'Save POT File' ".
      "once when you finish a translation 'session', regardless on how many pages ".
      "you made changes on.")."</center></p>"));

    //Setting Language Dir we'll use
    switch($module) {
      case 'LFXlib':
        $lang_dir=$_LFX_lang;
        $domain='LFX_Local.po';
      break;
      
      case 'DMO':
        $lang_dir=$_DMO_lang;
        $domain='DMO_Local.po';
      break;
      case 'OPT':
        $lang_dir=$_OPT_lang;
        $domain='OPT_Local.po';
      break;
      
      default:
        $tmp='_'.$module.'_lang';
        $lang_dir=$$tmp;
        $domain=$module.'_Local.po';
    }
    //Getting Language to translate to
    $lang=new LFX_Language($lang_sel);
    $lang=$lang->getAttr('code');
    
    $msgs['head']=array(
      'Project-Id-Version'=>'',
      'POT-Creation-Date'=>'',
      'PO-Revision-Date'=>'',
      'Last-Translator'=>'',
      'Language-Team'=>'',
      'MIME-Version'=>'',
      'Content-Type'=>'',
      'Content-Transfer-Encoding'=>''
    );

    //Getting texts from the pot file, if it exists
    if (is_dir($lang_dir.'/'.$lang.'/LC_MESSAGES')) {
      if (is_file($lang_dir.'/'.$lang.'/LC_MESSAGES/'.$domain)) {
        $msgs=parseTrans($lang_dir.'/'.$lang.'/LC_MESSAGES/'.$domain);
      }
    }
    pecho(LFX_startTables('100%'));
    pecho(LFX_swatchHeader(array(
      'title'=>__L('POT File Header')
    )));
    pecho("<form method='post' action='$_LFX_url/translation/index/create_new?module=$module'>");
    pecho(LFX_str());
    pecho(LFX_echo('<td>'));
    pecho(LFX_startTables('100%'));
    while (list($key,$value)=@each($msgs['head'])) {
      if (!$value) {
        switch($key) {
          case 'Project-Id-Version':
            $value="$module";
            break;
          case 'POT-Creation-Date':
            $value=date('r');
            break;
          case 'PO-Revision-Date':
            $value='1.0';
            break;
          case 'Last-Translator':
            $value=$_page->user->getNameH().' <'.$_page->user->getAttr('email').'>';
            break;
          case 'Content-Type':
            $value='text/html';
            break;
          case 'Content-Transfer-Encoding':
            $value=$current_charset;
            break;
        }
      }
      pecho(LFX_str());
      pecho(LFX_rth($key,NULL,NULL,NULL,NULL,'50%'));
      pecho(LFX_td("<INPUT type='text' name=\"msgs[head][$key]\" value='$value'>"));
      pecho(LFX_etr());
    }
    pecho(LFX_str());
    pecho(LFX_echo("<input type='hidden' name='lang' value=$lang>"));
    pecho(LFX_td("<center><input type='submit' name='save_pot' value='Save POT File'></center>",'thead',NULL,2));
    pecho(LFX_echo("</form>"));
    pecho(LFX_endTables());
    pecho(LFX_echo('</td>'));
    pecho(LFX_etr());
    pecho(LFX_endTables());
    
    pecho(LFX_echo('</td>'));
    pecho(LFX_estr());
    pecho(LFX_echo('<td colspan=\'2\'>'));
    
    $ref=new LFX_Reference();
    $query=array();
    $query['select']=array('ref_id','ref_message','translated');
    $query['from']=array("reference_lang");
    $query['where']['type']='AND';
    $query['where']['conditions'][]="ref_module=\"$module\"";
    if ($_REQUEST['message_filter']) {
      $query['where']['conditions'][]="ref_message LIKE \"%".LFX_Object::gpcSlash($_REQUEST['message_filter'])."%\"";
    }
    $query['join'][]=array('type'=>'LEFT',
                         'table'=>'translations',
                         'condition'=>'ref_message=original AND ref_module=module');
    for ($i=1;$i<=count($sort);$i++) {
      $query['order'][]=array('field'=>$sort[$i],'type'=>($ord[$i]=='up'?'DESC':'ASC'));
    }
    $counterQuery=$query;
    $counterQuery['select']=array('COUNT(*)');
    $counterQuery['join']=array();
    $counterQuery['order']=array();
    $counterSQL=LFX_buildSQL($counterQuery);
    $ref->query($counterSQL);
    $ref->db->next_record();
    $pcount=ceil($ref->db->f(0)/$pg_size);
    if ($cpage>$pcount) {
      $cpage=$pcount;
    }
    $query['limit']['offset']=$pg_size*($cpage-1);
    $query['limit']['count']=$pg_size;
    
    $sql=LFX_buildSQL($query);
    $ref->query($sql);
    $refs=array();
    $i=-1;
    while($ref->db->next_record()) {
      $i++;
      $refs[$i]['id']=$ref->db->f(0);
      $refs[$i]['message']=$ref->db->f(1);
      $refs[$i]['translated']=$ref->db->f(2);
    }

    $list=new LFX_list_arrows($myPath,'ord','sort');
    pecho(LFX_startTables('100%'));
    pecho(LFX_swatchHeader(array(
      'title'=>__L('Text List')
    )));
    $pc_string='';
    $pc_base="<A href=\"".$myPath.$_page->getGetVars('cpage');
    if ($cpage>1) {
      if ($cpage!=2) {
        $pc_string.='&nbsp;'.$pc_base.'cpage=1">'.
        '<IMG src="'.$_LFX_icon_frew.'" border="0"></A>&nbsp;';
      } else {
        $pc_string.='&nbsp;&nbsp;&nbsp;';
      }
      $pc_string.='&nbsp;'.$pc_base.'cpage='.($cpage-1).'">'.
      '<IMG src="'.$_LFX_icon_rew.'" border="0"></A>&nbsp;';
    }
    for ($i=max(1,$cpage-3);$i<$cpage;$i++) {
      $pc_string.=$pc_base.'cpage='.$i.'">'.$i.'</A>&nbsp;';
    }
    $pc_string.="&nbsp;[$cpage]&nbsp;";
    for ($i=$cpage+1;(($i<=$pcount) && ($i<=$cpage+3));$i++) {
      $pc_string.=$pc_base.'cpage='.$i.'">'.$i.'</A>&nbsp;';
    }
    if ($cpage<$pcount) {
      $pc_string.='&nbsp;'.$pc_base.'cpage='.($cpage+1).'">'.
      '<IMG src="'.$_LFX_icon_fwd.'" border="0"></A>&nbsp;';
      if ($cpage!=$pcount-1) {
        $pc_string.='&nbsp'.$pc_base.'cpage='.$pcount.'">'.
        '<IMG src="'.$_LFX_icon_ffwd.'" border="0"></A>&nbsp;';
      }
    }
    
    pecho(LFX_str());
    pecho(LFX_td("<form method='get' action='$myPath".$_page->getGetVars('cpage').
      "' onSubmit='window.location=\"$myPath".$_page->getGetVars('pg_size')."pg_size=\"+this.pg_size.value; return false;'>".
      sprintf(
        __L('%s Entries per page'),
        "<INPUT type='text' name='pg_size' value='$pg_size' size='3'>"
      ).'&nbsp;<INPUT type="submit" name="change" value="'.__L('Change').'">'.
      '</form>'.$pc_string,'thead',NULL,3));
    pecho(LFX_etr());
    pecho(LFX_str());
    pecho(LFX_std());
    pecho(LFX_startTables("100%"));
    pecho(LFX_sthead());
    pecho(LFX_td(__L("Message Id")."<br/>".$list->render('ref_id')));
    pecho(LFX_td(__L("Message")."<br/>".$list->render("ref_message")."<br/>".
      "<input type='text' name='message_filter' value=\"".htmlspecialchars(LFX_Object::gpcUnslash($_REQUEST['message_filter']))."\" onChange='window.location=\"$myPath".$_page->getGetVars('message_filter')."message_filter=\"+escape(this.value)'>"));
    pecho(LFX_td(__L("Translated string")."<br/>".$list->render("translated")));
    pecho(LFX_ethead());
    pecho(LFX_echo("<form method='POST' action='".$myPath.$_page->getGetVars()."'>"));
    for ($i=0;$i<count($refs);$i++) {
      pecho(LFX_str());
      pecho(LFX_td("<center>".$refs[$i]['id']."</center>",NULL,NULL,NULL,NULL,'10%')); 
      pecho(LFX_td(nl2br(htmlspecialchars($refs[$i]['message']))));
      if ($refs[$i]['translated']) {
        $td_text=$refs[$i]['translated'];
      } else {
        $td_text='';
      }
      pecho(LFX_td("<center><textarea name='translation[$i]' cols='40' rows='3' value='$td_text'>$td_text</textarea></center>"));
      pecho(LFX_echo("<input type='hidden' name='ref_ids[$i]' value='{$refs[$i]['id']}'>"));
      pecho(LFX_etr());
    }
    pecho(LFX_str());
    pecho(LFX_echo("<input type='hidden' name='lang' value=$lang>"));    
    pecho(LFX_td("<input type='submit' name='save_translations' value='".__L("Save translations")."'>",'thead',NULL,3));
    pecho(LFX_etr());
    pecho(LFX_endTables());
    pecho(LFX_etd());
    pecho(LFX_etr());
    pecho(LFX_endTables());
    pecho(LFX_echo('</td>'));
    pecho(LFX_etr());
    pecho(LFX_echo('</table>'));

    pecho(LFX_eform());
  }
?>
