<?

  /**
  * LFXlib Audit Log viewer
  * Bogdan Stancescu <bogdan@lanifex.com>, May 2004
  * $Id: audit_log_viewer.php,v 1.12 2005/06/28 09:04:48 bogdan Exp $
  * @package LFX
  */

  $_page->title=__L('Audit Log');

  $_incReq=array('LFX_menu_init');
  include($_incMgr);
  $_page->menu->focus('Audit Log');

  LFX_include('LFX_Query_Manager');

  // =================== FUNCTIONS START ===================
  function order_arrows($criteria,$baseUrl,$html='')
  {
    global $sort,$ord,$_LFX_icon_down_disabled,$_LFX_icon_down,
      $_LFX_icon_up_disabled,$_LFX_icon_up;
    if (($sort==$criteria) && ($ord=='down')) {
      $iconDown=$_LFX_icon_down_disabled;
    } else {
      $iconDown=$_LFX_icon_down;
    }
    if (($sort==$criteria) && ($ord=='up')) {
      $iconUp=$_LFX_icon_up_disabled;
    } else {
      $iconUp=$_LFX_icon_up;
    }
    return(
      "<A href='".sprintf($baseUrl,"sort=$criteria&amp;ord=down")."'>".
      "<IMG src='$iconDown' border='0'></A>&nbsp;".
      $html.
      "<A href='".sprintf($baseUrl,"sort=$criteria&amp;ord=up")."'>".
      "<IMG src='$iconUp' border='0'></A>"
    );
  }
  // =================== FUNCTIONS END ===================

  LFX_include('LFX_Log');
  $myPath="$_LFX_url/util/audit_log_viewer.php";
  if (!$pg_size) {
    $pg_size=15;
  }
  if (!$cpage) {
    $cpage=1;
  }
  $log=new LFX_log;
  $query=array();
  $query['select']=array('l.id');
  $query['from']=array('log l');
  $query['join'][]=array(
    'type'=>'left',
    'table'=>'people u',
    'condition'=>'u.id=l.user');
  if (!$sort) {
    $sort='entry_date';
    $ord='up';
  }
  if ($sort) {
    $query['order'][]=array('field'=>$sort,'type'=>($ord=='up'?'DESC':'ASC'));
  }
  $query['where']=array('type'=>'and');
  if ($ocFilter && $oiFilter && $showDescendants) {
    if (!LFX_include_class($ocFilter)) {
      pecho(__L(sprintf("Failed to include class %s!"),$ocFilter));
    } else {
      $object=new $ocFilter($oiFilter);
      $list=$object->getExhaustiveObjects();
      $list[]['object']=$object;
      
      $maxiQuery=array('type'=>'or','conditions'=>array());
      for($i=0;$i<count($list);$i++) {
        if (get_class($list[$i]['object'])=='lfx_log') {
          continue;
        }
        $miniQuery=array();
        $miniQuery['type']='and';
        $miniQuery['conditions'][]="object_class='".get_class($list[$i]['object'])."'";
        $miniQuery['conditions'][]="object_id='{$list[$i]['object']->id}'";
        $maxiQuery['conditions'][]=$miniQuery;
      }
      $query['where']['conditions'][]=$maxiQuery;
    }
  } else {
    $showDescendants=0;
    if ($ocFilter) {
      $query['where']['conditions'][]="object_class='$ocFilter'";
    }
    if ($oiFilter) {
      $query['where']['conditions'][]="object_id='$oiFilter'";
    }
  }
  $countQuery=$query;
  $countQuery['select']=array('COUNT(*)');
  $countSQL=LFX_buildSQL($countQuery);
  //pecho(vardump($countSQL));
  $log->query($countSQL);
  $log->db->next_record();
  $pcount=ceil($log->db->f(0)/$pg_size);
  if ($cpage>$pcount) {
    $cpage=$pcount;
  }

  $query['limit']['offset']=$pg_size*($cpage-1);
  $query['limit']['count']=$pg_size;

  $sql=LFX_buildSQL($query);
  //pecho(vardump($sql));
  $log->query($sql);
  $log_entries=array();
  while($log->db->next_record()) {
    $log_entries[]=$log->db->f(0);
  }
  if ($log_entries) {
    $log_entries=$log->_doLoad($log_entries);
  }
  $pc_string='';
  $pc_base="<A href=\"$myPath?".
    "pg_size=$pg_size&amp;sort=$sort&amp;ord=$ord&amp;ocFilter=$ocFilter&amp;oiFilter=$oiFilter&amp;showDescendants=$showDescendants&amp;";
  if ($cpage>1) {
    if ($cpage!=2) {
      $pc_string.='&nbsp;'.$pc_base.'&amp;cpage=1">'.
      '<IMG src="'.$_LFX_icon_frew.'" border="0"></A>&nbsp;';
    } else {
      $pc_string.='&nbsp;&nbsp;&nbsp;';
    }
    $pc_string.='&nbsp;'.$pc_base.'&amp;cpage='.($cpage-1).'">'.
    '<IMG src="'.$_LFX_icon_rew.'" border="0"></A>&nbsp;';
  }
  for ($i=max(1,$cpage-3);$i<$cpage;$i++) {
    $pc_string.=$pc_base.'&amp;cpage='.$i.'">'.$i.'</A>&nbsp;';
  }
  $pc_string.="&nbsp;[$cpage]&nbsp;";
  for ($i=$cpage+1;(($i<=$pcount) && ($i<=$cpage+3));$i++) {
    $pc_string.=$pc_base.'&amp;cpage='.$i.'">'.$i.'</A>&nbsp;';
  }
  if ($cpage<$pcount) {
    $pc_string.='&nbsp;'.$pc_base.'cpage='.($cpage+1).'">'.
    '<IMG src="'.$_LFX_icon_fwd.'" border="0"></A>&nbsp;';
    if ($cpage!=$pcount-1) {
      $pc_string.='&nbsp'.$pc_base.'&amp;cpage='.$pcount.'">'.
      '<IMG src="'.$_LFX_icon_ffwd.'" border="0"></A>&nbsp;';
    }
  }

  pecho(LFX_startTables());
  pecho(LFX_str());
  pecho(LFX_td("<form method='get' action='$myPath'>".
    "<INPUT type='hidden' name='sort' value='$sort'>".
    "<INPUT type='hidden' name='ord' value='$ord'>".
    "<INPUT type='hidden' name='ocFilter' value='$ocFilter'>".
    "<INPUT type='hidden' name='oiFilter' value='$oiFilter'>".
    "<INPUT type='hidden' name='showDescendants' value='$showDescendants'>".
    sprintf(
      __L('%s Entries per page'),
      "<INPUT type='text' name='pg_size' value='$pg_size' size='3'>"
    ).'&nbsp;<INPUT type="submit" value="'.__L('Change').'">'.
    '</form>'.$pc_string.
    (($ocFilter && $oiFilter)?
      '<br /><INPUT type="checkbox" id="showDescendants" '.
        ($showDescendants?'checked ':'').
        'onClick="window.location=\''."$myPath?pg_size=$pg_size&amp;".
          "sort=$sort&amp;ord=$ord&amp;ocFilter=$ocFilter&amp;".
          "oiFilter=$oiFilter&amp;cpage=$cpage&amp;showDescendants=".'\'+(this.checked?1:0)"> '.
      '<LABEL FOR="showDescendants">'.
        __L('Show Descendants').
      '</LABEL>'
    :''),'thead'));
  pecho(LFX_estr());
  pecho(LFX_std());
  pecho(LFX_startTables('100%'));
  pecho(LFX_sthead());
  $baseURL="$myPath?pg_size=$pg_size&amp;ocFilter=$ocFilter&amp;oiFilter=$oiFilter&amp;cpage=$cpage&amp;showDescendants=$showDescendants&amp;%s";
  $log->query("SELECT DISTINCT object_class FROM log ORDER BY object_class");
  pecho(LFX_td(__L('Log ID').'<br>'.order_arrows('id',$baseURL)));
  $ocDropdown=array(array('display'=>__L('All objects'),'value'=>0));
  while($log->db->next_record()) {
    $ocDropdown[]=array('display'=>niceClass($log->db->f(0)),'value'=>$log->db->f(0));
  }
  $ocHTML='&nbsp;'.LFX_DropdownH('ocFilter',$ocDropdown,$ocFilter,
    "window.location=\"$myPath?oiFilter=$oiFilter&".
    "pg_size=$pg_size&cpage=$cpage&sort=$sort&ord=$ord&showDescendants=$showDescendants&ocFilter=\"+".
    "this[selectedIndex].value").'&nbsp;';
  pecho(LFX_td(__L('Object type').'<br>'.order_arrows('object_class',
    $baseURL,$ocHTML)));
  $oiHTML="&nbsp;<form action='$myPath?pg_size=$pg_size&cpage=$cpage&".
    "sort=$sort&ord=$ord&ocFilter=$ocFilter&showDescendants=$showDescendants' method='POST'>".
    "<input type='text' size='3' name='oiFilter' value='$oiFilter'>".
    "</form>&nbsp;";
  pecho(LFX_td(__L('Object ID').'<br>'.order_arrows('object_id',$baseURL,$oiHTML)));
  pecho(LFX_td(__L('Action').'<br>'.order_arrows('entry_type',$baseURL)));
  pecho(LFX_td(__L('Person').'<br>'.order_arrows('u.email',$baseURL)));
  pecho(LFX_td(__L('Date').'<br>'.order_arrows('entry_date',$baseURL)));
  pecho(LFX_td(__L('Data')));
  pecho(LFX_ethead());
  for($i=0;$i<count($log_entries);$i++) {
    $log=&$log_entries[$i];
    pecho(LFX_str());
    if (!$showDescendants) {
      if (($oiFilter!=$log->getAttr('object_id')) || ($ocFilter!=$log->getAttr('class'))) {
        pecho(LFX_td($log->id.'<br>'."<A HREF='$myPath?oiFilter=".$log->getAttr('object_id')."&amp;".
        "pg_size=$pg_size&amp;cpage=$cpage&amp;sort=$sort&amp;ord=$ord&amp;ocFilter=".$log->getAttr('class')."'>".__L('filter')."</a>"));
      } else {
        pecho(LFX_td($log->id.'<br>'."<A HREF='$myPath?oiFilter=&amp;".
        "pg_size=$pg_size&amp;cpage=$cpage&amp;sort=$sort&amp;ord=$ord&amp;ocFilter='>".__L('no filter')."</a>"));
      }
    } else {
        pecho(LFX_td($log->id));
    }
    if (!$showDescendants) {
      if ($ocFilter!=$log->getAttr('class')) {
        pecho(LFX_td(niceClass($log->getAttrH('class')).'<br>'."<A HREF='$myPath?oiFilter=$oiFilter&amp;".
        "pg_size=$pg_size&amp;cpage=$cpage&amp;sort=$sort&amp;ord=$ord&amp;ocFilter=".$log->getAttr('class')."'>".__L('filter')."</a>"));
      } else {
        pecho(LFX_td(niceClass($log->getAttrH('class')).'<br>'."<A HREF='$myPath?oiFilter=$oiFilter&amp;".
        "pg_size=$pg_size&amp;cpage=$cpage&amp;sort=$sort&amp;ord=$ord&amp;ocFilter='>".__L('no filter')."</a>"));
      }
    } else {
      pecho(LFX_td(niceClass($log->getAttrH('class'))));
    }
    if (!$showDescendants) {
      if ($oiFilter!=$log->getAttr('object_id')) {
        pecho(LFX_td($log->getAttrH('object_id').'<br>'."<A HREF='$myPath?pg_size=$pg_size&amp;cpage=$cpage&amp;".
        "sort=$sort&amp;ord=$ord&amp;ocFilter=$ocFilter&amp;oiFilter=".$log->getAttr('object_id')."'>".__L('filter')."</a>"));
      } else {
        pecho(LFX_td($log->getAttrH('object_id').'<br>'."<A HREF='$myPath?pg_size=$pg_size&amp;cpage=$cpage&amp;".
        "sort=$sort&amp;ord=$ord&amp;ocFilter=$ocFilter&amp;oiFilter='>".__L('no filter')."</a>"));
      }
    } else {
      pecho(LFX_td($log->getAttrH('object_id')));
    }
    pecho(LFX_td($log->getAttrH('event')));
    $user=$log->getObject('user');
    if ($user && $user->probe()) {
      pecho(LFX_td($user->getLinkH()));
    } else {
      pecho(LFX_td(__L('n/a')));
    }
    pecho(LFX_td($log->getAttrH('entry_date')));
    if (($data=$log->getAttr('data_dump')) && ($data=unserialize($data))) {
      if ($log!='insert') {
        $log->query("SELECT MAX(id) FROM log WHERE ".
          "object_class='".$log->getAttr('class')."' and ".
          "object_id=".$log->getAttr('object_id')." and ".
          "id<".$log->id);
        if ($log->db->next_record()) {
          $oldLog=new LFX_Log($log->db->f(0));
          if ($oldData=$oldLog->getAttr('data_dump')) {
            $oldData=unserialize($oldData);
          }
        } else {
          unset($oldLog,$oldData);
        }
      }
      $result='';
      while(list($attr,$value)=each($data)) {
        $style=$xtra='';
        if ($oldData && ($oldData[$attr]!=$data[$attr])) {
          $style=" style='color:red'";
          if (($oldData[$attr]==='') || ($oldData[$attr]===NULL)) {
            $xtra=" (<i>n/a</i>)";
          } else {
            $xtra=" (".htmlspecialchars($oldData[$attr]).")";
          }
        }
        $result.=LFX_echo("<div><b>$attr</b> = <span$style>".htmlspecialchars($value)."</span>$xtra</div>");
      }
      pecho(LFX_td($result));
    } else {
      pecho(LFX_td('n/a'));
    }
    pecho(LFX_etr());
  }
  pecho(LFX_endTables());
  pecho(LFX_etd());
  pecho(LFX_etr());
  pecho(LFX_endTables());
  $_page->show();
?>
