<?

  /** 
  * The message log viewer file 
  * Tudor Caraciuc <tudor@moongate.ro>, January 2005
  * $Id: message_log_viewer.php,v 1.4 2005/03/01 14:15:34 bogdan Exp $
  * @package LFX  
  */

  $_page->title=__L('Message Log');

  $_incReq=array('LFX_menu_init');
  include($_incMgr);
  $_page->menu->focus('Messages Log');

  LFX_include('LFX_Query_Manager');
  LFX_include_class('LFX_Message','LFX_list_arrows');
  $message=new LFX_Message();
  $user=new LFX_User();
  
  $myPath="$_LFX_url/util/message_log_viewer.php?";
  if (!$pg_size) {
    $pg_size=15;
  }
  if (!$cpage) {
    $cpage=1;
  }
  $_page->registerGetVar('cpage',"cpage=$cpage");
  $_page->registerGetVar('pg_size',"pg_size=$pg_size");
  $_page->registerGetVar('mId',"mId=$mId");
  $_page->registerGetVar('severity',"severity=$severity");
      
  $query=array();
  $query['select']=array('m.id');
  $query['from']=array('messages m');
  $query['where']['type']='AND';
  if (isset($ignoreMarkActive)) {
    $_SESSION['LFX']['message_log']['do_ignore']=$ignoreMarkActive;
  }

  if ($_SESSION['LFX']['message_log']['do_ignore'] && $_SESSION['LFX']['message_log']['ignore_index']) {
    $query['where']['conditions'][]="m.id>{$_SESSION['LFX']['message_log']['ignore_index']}";
  }

  if ($mId) {
    $query['where']['conditions'][]="m.id=$mId";
  }
  if ($severity) {
    $query['where']['conditions'][]="m.severity=\"$severity\"";
  }
  if (!isset($module)) {
    $module='*';
  }
  if ($module!='*') {
    $query['where']['conditions'][]="m.module=\"$module\"";    
  }
  $_page->registerGetVar('module',"module=$module");
  if (!isset($subsystem)) {
    $subsystem='*';
  }
  if ($subsystem!='*') {
    $query['where']['conditions'][]="m.subsystem=\"$subsystem\"";    
  }
  $_page->registerGetVar('subsystem',"subsystem=$subsystem");
  if (!isset($keywords)) {
    $keywords='*';
  }
  if ($keywords!='*') {
    $query['where']['conditions'][]="m.keywords=\"$keywords\"";      
  }  
  $_page->registerGetVar('keywords',"keywords=$keywords");
  $query['join'][]=array('type'=>'LEFT',
                         'table'=>'people u',
			 'condition'=>'m.user=u.id');
			
  if (!isset($sort)) {
    $sort[1]='date';
    $ord[1]='up';
  }
  
  if (isset($setIgnoreIndex)) {
    $tmpQuery="SELECT MAX(id) FROM messages";
    $tmp=new LFX_Message();
    $tmp->query($tmpQuery);
    $tmp->db->next_record();
    $_SESSION['LFX']['message_log']['ignore_index']=$tmp->db->f(0);
    header("location:".$myPath.$_page->getGetVars(NULL,true));
    exit;
  }

  for ($i=1;$i<=count($sort);$i++) {
    $query['order'][]=array('field'=>$sort[$i],'type'=>($ord[$i]=='up'?'DESC':'ASC'));
  }
  
  $counterQuery=$query;
  $counterQuery['select']=array('COUNT(*)');
  $counterQuery['join']=array();
  $counterSQL=LFX_buildSQL($counterQuery);
  $message->query($counterSQL);
  $message->db->next_record();
  $pcount=ceil($message->db->f(0)/$pg_size);
  if ($cpage>$pcount) {
    $cpage=$pcount;
  }
  $query['limit']['offset']=$pg_size*($cpage-1);
  $query['limit']['count']=$pg_size;
 
  $sql=LFX_buildSQL($query);
  $message->query($sql);
  $messages=array();
  while($message->db->next_record()) {
    $messages[]=$message->db->f(0);
  }
  if ($messages) {
    $messages=$message->_doLoad($messages,true);
  }
  
  // The query for known severity types
  $querySeverity=array();
  $querySeverity['select']=array('DISTINCT severity');
  $querySeverity['from']=array('messages');
  $severitySQL=LFX_buildSQL($querySeverity);
  $tmp=new LFX_Message();
  $tmp->query($severitySQL);
  $severities=array(array('display'=>__L('All Severities'),'value'=>0));  
  while($tmp->db->next_record()) {
    $severities[]=$tmp->db->f(0);
  }
  
  // The query for module types
  $queryModule=array();
  $queryModule['select']=array('DISTINCT module');
  $queryModule['from']=array('messages');
  $moduleSQL=LFX_buildSQL($queryModule);
  $tmp->query($moduleSQL);
  $modules=array(array('display'=>__L('All Modules'),'value'=>'*'));
  while($tmp->db->next_record()) {
    if (!$tmp->db->f(0)) {
      $modules[]=array('display'=>"[".__L('None')."]",'value'=>'');
    } else {
      $modules[]=$tmp->db->f(0);
    }
  }
  
  // The query for subsystem types
  $querySub=array();
  $querySub['select']=array("DISTINCT subsystem");
  $querySub['from']=array("messages");
  $subSQL=LFX_buildSQL($querySub);
  $tmp->query($subSQL);
  $subsystems=array(array('display'=>__L('All Subsystems'),'value'=>'*'));
  while($tmp->db->next_record()) {
    if (!$tmp->db->f(0)) {
      $subsystems[]=array('display'=>"[".__L('None')."]",'value'=>'');
    } else {
      $subsystems[]=$tmp->db->f(0);
    }
  }
  
  // The query for keywords' types
  $queryKey=array();
  $queryKey['select']=array("DISTINCT keywords");
  $queryKey['from']=array("messages");
  $keySQL=LFX_buildSQL($queryKey);
  $tmp->query($keySQL);
  $keywordss=array(array('display'=>__L('All Keywords'),'value'=>'*'));
  while($tmp->db->next_record()) {
    if (!$tmp->db->f(0)) {
      $keywordss[]=array('display'=>"[".__L('None')."]",'value'=>'');
    } else {
      $keywordss[]=$tmp->db->f(0);
    }
  }

  $list=new LFX_list_arrows($myPath,'ord','sort');  
  /* The following section echoes the table header with the page size modification form & browsing through pages */

  $pc_string='';
  $pc_base="<A href=\"".$myPath.$_page->getGetVars('cpage');
  if ($cpage>1) {
    if ($cpage!=2) {
      $pc_string.='&nbsp;'.$pc_base.'cpage=1">'.
      '<IMG src="'.$_LFX_icon_frew.'" border="0"></A>&nbsp;';
    } else {
      $pc_string.='&nbsp;&nbsp;&nbsp;';
    }
    $pc_string.='&nbsp;'.$pc_base.'cpage='.($cpage-1).'">'.
    '<IMG src="'.$_LFX_icon_rew.'" border="0"></A>&nbsp;';
  }
  for ($i=max(1,$cpage-3);$i<$cpage;$i++) {
    $pc_string.=$pc_base.'cpage='.$i.'">'.$i.'</A>&nbsp;';
  }
  $pc_string.="&nbsp;[$cpage]&nbsp;";
  for ($i=$cpage+1;(($i<=$pcount) && ($i<=$cpage+3));$i++) {
    $pc_string.=$pc_base.'cpage='.$i.'">'.$i.'</A>&nbsp;';
  }
  if ($cpage<$pcount) {
    $pc_string.='&nbsp;'.$pc_base.'cpage='.($cpage+1).'">'.
    '<IMG src="'.$_LFX_icon_fwd.'" border="0"></A>&nbsp;';
    if ($cpage!=$pcount-1) {
      $pc_string.='&nbsp'.$pc_base.'cpage='.$pcount.'">'.
      '<IMG src="'.$_LFX_icon_ffwd.'" border="0"></A>&nbsp;';
    }
  }
    
  pecho(LFX_startTables());
  pecho(LFX_swatchHeader(array('title'=>'Message Logs')));
  pecho(LFX_str());

  pecho(LFX_td("<form method='get' action='$myPath'".$_page->getGetVars('cpage')."
  onSubmit='window.location=\"$myPath".$_page->getGetVars('pg_size')."pg_size=\"+this.pg_size.value; return false;'>".
    sprintf(
      __L('%s Entries per page'),
      "<INPUT type='text' name='pg_size' value='$pg_size' size='3'>"
    ).'&nbsp;<INPUT type="submit" value="'.__L('Change').'">'.
    '</form>'.$pc_string,'thead'));
  pecho(LFX_estr());  
  pecho(LFX_td("<div align='center'><input type='button' value='".__L("Mark ignore point")."' name='ignoreIndex'
  onClick=\"window.location='$myPath".$_page->getGetVars(NULL,true)."setIgnoreIndex=1'\"><input type=\"checkbox\" name=\"ignoreMarkActive\"
  onClick=\"window.location='$myPath".$_page->getGetVars(NULL,true)."ignoreMarkActive=".(1-$_SESSION['LFX']['message_log']['do_ignore'])."'\"".($_SESSION['LFX']['message_log']['do_ignore']?'checked':'')." id='ignoreMarkActive'> <label for='ignoreMarkActive'> ".__L("Ignore older than mark")."</label></div>"));
  

  // Starting main table
  pecho(LFX_estr());
  pecho(LFX_std());
  pecho(LFX_startTables('100%'));
  pecho(LFX_sthead());
  pecho(LFX_td(__L("Message ID")."<br/>\n".$list->render('id').
                "<form action=\"$myPath".$_page->getGetVars('mId',true)."\""." method=\"POST\">".
		"<input type='text' size=6 name='mId' value=$mId>".
		"</form>&nbsp;"));
  pecho(LFX_td(__L("Message")."<br/>\n".$list->render('message')));
  $sHTML="&nbsp;".LFX_dropdownH('severity',$severities,$severity,
    "window.location=\"$myPath".$_page->getGetVars('severity',true)."&severity=\"+".
    "this[selectedIndex].value")."&nbsp;";
  pecho(LFX_td(__L("Severity")."<br/>\n".$list->render('severity').$sHTML));
  pecho(LFX_td(__L("Date")."<br/>\n".$list->render('date')));
  $mHTML="&nbsp;".LFX_dropdownH('module',$modules,$module,
    "window.location=\"$myPath".$_page->getGetVars('module',true)."&module=\"+".
    "this[selectedIndex].value")."&nbsp;";
  pecho(LFX_td(__L("Module")."<br/>\n".$list->render('module').$mHTML));
  pecho(LFX_td(__L("URL")."<br/>\n".$list->render('url')));
  pecho(LFX_td(__L("Posted by")."<br/>\n".$list->render('user')));
  $subHTML="&nbsp;".LFX_dropdownH('subsystem',$subsystems,$subsystem,
    "window.location=\"$myPath".$_page->getGetVars('subsystem',true)."&subsystem=\"+".
    "this[selectedIndex].value")."&nbsp;";
  pecho(LFX_td(__L("Subsystem")."<br/>\n".$list->render('subsystem').$subHTML));
  $kHTML="&nbsp;".LFX_dropdownH('keywords',$keywordss,$keywords,
    "window.location=\"$myPath".$_page->getGetVars('keywords',true)."&keywords=\"+".
    "this[selectedIndex].value")."&nbsp;";
  pecho(LFX_td(__L("Keywords")."<br/>\n"
  .$list->render('keywords').$kHTML));
  pecho(LFX_td(__L("Data Dump")));
  pecho(LFX_ethead());
  
  for($i=0;$i<count($messages);$i++) {
    pecho(LFX_str());
    pecho(LFX_td($messages[$i]->id));
    pecho(LFX_td($messages[$i]->getAttr('message')));
    pecho(LFX_td($messages[$i]->getAttr('severity')));
    pecho(LFX_td($messages[$i]->getAttrH('date')));
    pecho(LFX_td($messages[$i]->getAttr('module')));
    pecho(LFX_td($messages[$i]->getAttrH('url')));
    if ($user=$messages[$i]->getObject('user')) {
      pecho(LFX_td($user->getAttr('fname')));
    } else {
      pecho(LFX_td('[No user]'));  
    }  
    pecho(LFX_td($messages[$i]->getAttr('subsystem')));
    pecho(LFX_td($messages[$i]->getAttr('keywords')));
    pecho(LFX_std());
    $data_dump=unserialize($messages[$i]->getAttr('data_dump'));
    pecho(LFX_startTables('100%'));
    parseDataDump($data_dump);
    pecho(LFX_endTables());
    pecho(LFX_etd());

    pecho(LFX_etr());
  }
  
  pecho(LFX_str());

  pecho(LFX_td("<form method='get' action='$myPath'".$_page->getGetVars('cpage')."
  onSubmit='window.location=\"$myPath".$_page->getGetVars('pg_size')."pg_size=\"+this.pg_size.value; return false;'>".
    sprintf(
      __L('%s Entries per page'),
      "<INPUT type='text' name='pg_size' value='$pg_size' size='3'>"
    ).'&nbsp;<INPUT type="submit" value="'.__L('Change').'">'.
    '</form>'.$pc_string,'thead',NULL,10));
  pecho(LFX_etr());  
  pecho(LFX_endTables());
  pecho(LFX_etd());
  pecho(LFX_etr());
  pecho(LFX_endTables());
  
  function parseDataDump($data_dump)
  {
    while (list($key,$val)=@each($data_dump))
    {    
      pecho(LFX_str());
      pecho(LFX_rth(htmlspecialchars($key)));
      if (is_object($val)) {
	  pecho(LFX_td("Is object!"));
      } else {
        if (is_array($val)) {
	   pecho(LFX_std());
	   pecho(LFX_startTables('100%'));
	   parseDataDump($val);
	   pecho(LFX_endTables());
	   pecho(LFX_etd());
        } else {
          pecho(LFX_td(htmlspecialchars($val)));
        }
      }
      pecho(LFX_etr());
    }
  }    
    
  $_page->show();
  
?>
