<?
  $class='OPT_User';
  $templateFile="/var/LFX_hdesk/sxd_template.xml";
  $outputFile="/var/LFX_hdesk/sxd_dump.xml";
  if (!LFX_include_class($class)) {
    pdie("Failed to include class $class!");
  }
  
  $fp=fopen($templateFile,'rb');
  if (!$fp) {
    pdie("Failed to open template file $templateFile!");
  }
  $template=fread($fp,filesize($templateFile));
  fclose($fp);
  if (strlen($template)!=filesize($templateFile)) {
    pdie("Opened but failed to read template file $templateFile!");
  }
  $pos_pageStart=strpos($template,'<draw:page');
  if ($pos_pageStart===false) {
    pdie("Failed to find the page start tag in template $templateFile!");
  }
  $templateStart=substr($template,0,$pos_pageStart);
  $template=substr($template,$pos_pageStart);
  $templateStart.=substr($template,0,strpos($template,'>')+1);
  $pos_pageEnd=strpos($template,'</draw:page>');
  if ($pos_pageEnd===false) {
    pdie("Failed to find the page end tag in template $templateFile!");
  }
  $templateEnd=substr($template,$pos_pageEnd);
  $type_mapping=array(
    'mediumint'=>'#/lt',
    'varchar'=>'t',
    'date'=>'d',
    'timestamp'=>'d',
    'int'=>'#',
    'tinyint'=>'#/b',
    'mediumtext'=>'lt',
    'mediumblob'=>'lt',
    'tinytext'=>'t',
    'text'=>'lt',
    'enum'=>'s',
    'datetime'=>'d',
    'longtext'=>'lt',
    'set'=>'s',
    'smallint'=>'#');
  $d=new $class;
  $d->query("SHOW TABLES");
  $lastX=$lastY=0;
  $xinc=4;
  $yinc=0.6;
  $maxY=35;
  $tblDist=0.5;
  $afterTitle_yinc=0.25;
  // Can't set a max X, you know?
  pecho("<pre>");
  $output=$line='';
  while ($d->db->next_record()) {
    if ($lastY>$maxY) {
      $lastY=0;
      $lastX+=$xinc;
    }
    if ($lastY) {
      $lastY+=$yinc+$tblDist;
    }
    $table=$d->db->f(0);
    //echo("<b>$table<br />\n");
    if ($line) {
      $line='</draw:g>';
    }
    $line.='<draw:g><draw:rect draw:style-name="gr5" draw:text-style-name="P22" draw:id="4" draw:layer="layout" svg:width="3.5cm" svg:height="0.75cm" svg:x="'.$lastX.'cm" svg:y="'.$lastY.'cm"><text:p text:style-name="P9"><text:span text:style-name="T12">'.$table.'</text:span></text:p></draw:rect>';
    pecho(htmlspecialchars(str_replace('><',">\n<",$line)));
    $lastY+=$afterTitle_yinc;
    $output.=$line;
    $t=new $class;
    $t->query("EXPLAIN $table");
    while ($t->db->next_record()) {
      $lastY+=$yinc;
      $field_name=$t->db->f(0);
      $field_type=$t->db->f(1);
      preg_match('/[^(]+/',$field_type,$short_type);
      if (!$translated_type=$type_mapping[$short_type[0]]) {
        $translated_type="<font color=\"red\">NO TYPE! - $short_type[0]</font>";
      }
      //echo("$field_name -- $field_type ($translated_type)<br />\n");
      $line='<draw:rect draw:style-name="gr5" draw:text-style-name="P11" draw:layer="layout" svg:width="3.5cm" svg:height="0.5cm" svg:x="'.$lastX.'cm" svg:y="'.$lastY.'cm"><text:p text:style-name="P9"><text:span text:style-name="T7">'.$field_name.' ('.$translated_type.')</text:span></text:p></draw:rect>';
      pecho(htmlspecialchars(str_replace('><',">\n<",$line)));
      $output.=$line;
    }
  }
  $output.='</draw:g>';
  pecho("</pre>");
  $fp=fopen($outputFile,'wb');
  if (!$fp) {
    pdie("Failed to open output file $fp for writing!");
  }
  fputs($fp,$templateStart.$output.$templateEnd);
  fclose($fp);
  $_page->show();
?>
