<?
  /**
  * Help Topics Management - Top Level Page
  * Bogdan Stancescu <bogdan@lanifex.com>, March 2003
  * $Id: help.php,v 1.2 2003/07/22 08:42:51 bogdan Exp $
  * @package DMO
  */
  
  _checkMeOut(__FILE__);

  $_incReq=array('DMO_Help');
  include($_incMgr);
  
  $_page->menu->focus('Help Management');
  
  if (($help=abs($help)) || ($helpData=abs($helpData))) {
    if ($helpData) {
      $helpData=new DMO_HelpData($helpData);
      $help=$helpData->getObject('help');
    } else {
      $help=new DMO_Help($help);
      $helpData=$help->getPersonal();
    }
    switch($action) {
      case 'edit':
        $data=$help->getObjects('data');
        for ($i=0;$i<count($data);$i++) {
          if (($data[$i]->id!=$helpData->id)&& ($data[$i]->getAttr('lang')==$helpData->gpcUnslash($lang))) {
            $help->addError('Duplicate translation language of this help topic!');
            break 2;
          }
        }
        $topics=$help->search('topicId',$help->gpcUnslash($topicId));
        for ($i=0;$i<count($topics);$i++) {
          if ($topics[$i]->id!=$help->id) {
            $help->addError('Duplicate topic! Topic ID\'s must be unique throughout the help system.');
            break 2;
          }
        }
        $help->setAttr('topicId',$topicId,'gpc');
        $help->save();
        $helpData->setAttr('title',$title,'gpc');
        $helpData->setAttr('lang',$lang,'gpc');
        $helpData->setAttr('content',$content,'gpc');
        $helpData->save();
        break;
      case 'create':
        $parent=$help->id;
        if ($help->search('topicId',$help->gpcUnslash($topicId))) {
          $help->addError('Duplicate topic! Topic ID\'s must be unique throughout the help system.');
          break;
        }
        $help=new DMO_Help();
        $help->setAttr('topicId',$topicId,'gpc');
        $help->setAttr('parent',$parent);
        $help->save();
        $helpData=new DMO_HelpData();
        $helpData->setAttr('title',$title,'gpc');
        $helpData->setAttr('lang',$lang,'gpc');
        $helpData->setAttr('content',$content,'gpc');
        $helpData->setAttr('help',$help->id);
        $helpData->save();
        break;
      case 'translate':
        $data=$help->getObjects('data');
        for ($i=0;$i<count($data);$i++) {
          if ($data[$i]->getAttr('lang')==$help->gpcUnslash($lang)) {
            $help->addError('Duplicate translation language of this help topic!');
            break 2;
          }
        }
        $parent=$help->getAttr('parent');
        $topicId=$help->getAttr('topicId');
        $helpData=new DMO_HelpData();
        $helpData->setAttr('title',$title,'gpc');
        $helpData->setAttr('lang',$lang,'gpc');
        $helpData->setAttr('content',$content,'gpc');
        $helpData->setAttr('help',$help->id);
        $helpData->save();
        break;
      case 'delete':
        if ($help->id==1) {
          $help->addError('You can\'t delete the root help topic!');
          break;
        }
        if ((!$confirm) && ($childCount=count($help->getTree())-1)) {
          pecho(LFX_echo("<script language='JavaScript'><!--"));
          pecho(LFX_echo("if(confirm('".(sprintf(__D('This help topic has %d children. '.
            'Are you really sure you want to delete it and all its children?'),$childCount))."'))"));
          pecho(LFX_echo("document.location='$_DMO_url/index/admin/help?help={$help->id}&action=delete&confirm=1'"));
          pecho(LFX_echo("--></script>"));
        } else {
          $parent=$help->getParent();
          $help->delete();
          $help=&$parent;
        }
        break;
    }
  } else {
    $help=new DMO_Help();
    if (!$help->load(1)) {
      $_page->addError('Root help topic doesn\'t exist -- creating it now');
      $help->setAttrs(array('topicId'=>'root'));
      $help->insert();
      $helpData=new DMO_Help_Data();
      $helpData->setAttrs(array('title'=>'DMO Help', 'lang'=>'en_US', 'content'=>'This is the DMO Help', 'help'=>$help->id));
      $helpData->save();
    }
    unset($help);
  }

  pecho(LFX_echo("<table border='0' cellspacing='$_DMO_spacing' cellpadding='0' width='100%'>"));
  pecho(LFX_str());
  pecho(LFX_echo("<td valign='top' width='10%'>"));
  LFX_indent();
  include("$path[1]/helptopics.php");
  LFX_unindent();
  pecho(LFX_echo("</td>"));
  pecho(LFX_echo("<td valign='top'>"));
  LFX_indent();
    if (!isset($path[2])) {
      $path[2]='index';
    }
    include("$path[1]/$path[2].php");
  LFX_unindent();
  pecho(LFX_echo("</td>"));
  pecho(LFX_etr());
  pecho(LFX_echo("</table>"));
?>
