<?
  /**
  * Import Instances From Csv Files.
  * Andrei Amaritei <aandrei@moongate.ro>, September 2005
  * $Id: imports.php,v 1.2 2005/09/16 09:20:36 bogdan Exp $
  * @package DMO
  */
  
  _checkMeOut(__FILE__);
  LFX_include_class('DMO_Definition', 'DMO_Instance', 'DMO_instattr','DMO_attribute');
  
  $_page->menu->focus('Import Wizard');
  /* vars */
  $sess_id = 'DMO_Admin_import_wizard_CSV';
  
  /* Just a little class in place */
class Importer
{ 
    var $steps;
    var $currStep = 0;
    var $sess;
    var $post;
    var $get;
    var $url;
    var $errors = array();
    var $files;
    var $headers = array();
    var $delim = ',';
    var $fileName = '';
    var $noHeaderCount = 0;
    var $selectedDefinition;
    var $selectedMatch = array();
    
    function Importer()
    {      
      $this->init();      
    }    
    function init()
    {
      $this->initGlobals();
      $this->initSteps();
    }
    function initGlobals()
    {
      $this->files = &$_FILES;
      $this->post  = &$_POST;
      $this->get   = &$_GET;
      $this->url   = $_SERVER['PHP_SELF'];
    }
    //===============   GENERIC METHODS ===============================  
    function jump($location='') 
    {
      if ($location == '') {
        header("Location: {$this->url}");
        exit;
      }
      header("Location: $location");
      exit;
    }
    function baseEscape($str)
    {
      $str = str_replace('"""', '"', $str);
      $str = str_replace('""', '"', $str);
      $str = str_replace("''", "'", $str);
      //$str = str_replace('"', "`", $str);
      //$str = str_replace("'", "`", $str);
      return $str;
    }
    function escapeQ($str)
    {
      if (preg_match("/^\"(.*)\"$/", $str, $arr)) return $this->baseEscape($arr[1]);
      else return $this->baseEscape($str);
    }
    function addError($error_msg) {
      $this->errors[] = $error_msg;
      $this->jump();
    }
    function spitErrors()
    {
      if (count($this->errors)) {
        $_errors = join('\r\n', $this->errors);
        pecho(LFX_echo("<script>alert('".$_errors."');</script>"));        
        $this->errors = array(); 
      }
    }
    //===============   DONE WITH GENERIC METHODS ===============================
    
    //===============   STEPS METHODS =========================================== 
    function initSteps() 
    {
      $this->steps = array(
                          array(
                            "name"=>__D("UPLOAD"),
                            "focus"=>1
                          ),
                          array(
                            "name"=>__D("MATCH"),
                            "focus"=>0
                          ),
                          array(
                            "name"=>__D("YOU'RE DONE !"),
                            "focus"=>0
                          )
                    );
    }
    function renderSteps() 
    {
      $steps = $this->steps;
      foreach($steps as $step) {
        if ($step['focus']) $html[] = '<b style=\'font-size:15px;color:black;\'>'.$step['name'].'</b>';
        else $html[] = "<span style='font-size:11px;'>".$step['name']."</span>";
      }
      $html = join(' => ', $html);
      $html = "<div style='display:block; text-align:center;'>{$html}</div>";
      return $html;
    }     
    function getCurrStep()
    {
      $a = $this->currStep + 1;
      return $a;$instObj->setAttr('definition', $_importObj->selectedDefinition);
        
    }
    function setCurrStep($step)
    { 
      if ($step > count($this->steps) || $step < 0) return;
      $step--;
      $this->currStep = $step;
      $this->focusStep();
    }
    function focusStep()
    {
      $steps = &$this->steps;
      for($i=0; $i<count($steps); $i++) {
        $steps[$i]['focus'] = 0;
      }
        $currStep = $this->currStep;
        $this->steps[$currStep]['focus'] = 1;
    }
    //===============   DONE WITH STEPS METHODS =================================
    
    //===============   STEP1 METHODS =================================
    function is_validFile($fieldName)
    {
      $fileName = $this->files[$fieldName]['name'];
      if (!$fileName) return false;
      $fileExt = strtolower(end(explode('.', $fileName)));
      if ($fileExt != 'csv') return false;
      
      return true;
    }
    function setDelim($delim)
    {
      $this->delim = $delim;
    }
    function addHeaders($arr) 
    {
      for($i=0; $i<count($arr); $i++) {
        if (!in_array($this->escapeQ($arr[$i]), $this->headers)) {
            $this->headers[] = $this->escapeQ($arr[$i]);
        } 
      }
    }
    function saveFile($fieldName)
    {
      $file_tmp = $this->files[$fieldName]['tmp_name'];
      $file_name = $this->files[$fieldName]['name'];
      $this->fileName = $file_name;
      if (!move_uploaded_file($file_tmp, $file_name)) return false;
      
      return true;
    }
    function deleteFile()
    {
      @unlink($this->fileName);
    }
    //===============   DONE WITH STEP1 METHODS =================================
    
    //===============   STEP2 METHODS =================================    
    function getKeyByValue($arr, $value)
    {
      foreach($arr as $k=>$v) {
        if ($v == $value) {
          return $k;
        }
      }
    }
    function findSimilarMatches() {
     $keepTrack = array();
     $matches = &$this->selectedMatch;
     $headers = &$this->headers;
     foreach($matches as $k=>$v) {
      if ($v == -1) {
          unset($matches[$k]);
          continue;
      }
      if (in_array($v, $keepTrack)) {
        unset($matches[$k]);
        $this->addError(__D('Column already taken ! Choose another one !'));
       } else {
          $keepTrack[] = $v;
       }
     }
    }
    //===============   DONE WITH STEP1 METHODS =================================
}

  // Custom functions which don't need to be store in session
  function InstGetCoreAttrs()
  {
    $inst = new DMO_Instance();
    $cc = $inst->dataStructure['fields'];
    unset($cc['definition']); // cut the definition_ID; will be autoinserted by selectedDefinition    
    $cc = array_keys($cc);
    $coreAttrs = array_reverse($cc);
    return $coreAttrs;
  }
  function DefGetAttrs()
  {
    global $_importObj;
    
    $def = new DMO_Definition($_importObj->selectedDefinition);
    $attrs = $def->dmoAttrList();
    for($i=0; $i<count($attrs); $i++) {
      $fullAttrs[] = $attrs[$i]->getAttr('name');
    }
    
    return $fullAttrs;
  }

  session_write_close();  //its a must in here
  session_start();
  
  /* INIT */    
   if (!isset($_SESSION[$sess_id])) {      
      $_SESSION[$sess_id] = &new Importer();
      $_importObj = &$_SESSION[$sess_id];
  } else {  $_importObj = &$_SESSION[$sess_id]; }
  
  $_importObj->initGlobals();
  $_currStep = $_importObj->getCurrStep();
  $_importObj->spitErrors();
  

// for all steps. steps to follow.
$_render_steps = $_importObj->renderSteps();
pecho(LFX_echo('<center><h1>'.__D('Import Wizard').'</h1></center>'));
pecho(LFX_echo($_render_steps));  
  
if ($_currStep == 1) {
//============ FIRST STEP ==========================
  // Init VARS 
  $submitStep1 = $_importObj->post['submitUploadFile'];
  // Done VARS
  //handle post 
  if (trim($submitStep1) != '') {
    if (!$_importObj->is_validFile('csvFile')) { $_importObj->addError(__D('Invalid File Uploaded !'));        }
    if (!$_importObj->post['defin'])           { $_importObj->addError(__D('You must select a definition !')); }
    
    /* forward without errors */
    $_importObj->selectedDefinition = $_importObj->post['defin'];
    $myCsv = $_importObj->files['csvFile'];
    
    if (trim($_importObj->post['del']) == '') $_importObj->addError(__D('You must fill with a delimiter !'));
    $_importObj->setDelim($_importObj->post['del']);    
    $h = fopen($_importObj->files['csvFile']['tmp_name'], 'r');
    $columns = explode($_importObj->post['del'], fgets($h));
    fclose($h);
    if (!$_importObj->saveFile('csvFile')) 
      $_importObj->addError(__D('Errors encountered when trying to save the file !'));
    
    if ($_importObj->post['hasHeader'] == 'on') {
      $_importObj->addHeaders($columns);
    } else {
      $_importObj->noHeaderCount = count($columns);
      $tmpArr = array();
      for($i=0; $i<count($columns); $i++) {
        $tt = $i+1;
        $tmpArr[$i] = $tt;
      }      
      $_importObj->addHeaders($tmpArr);
    }
    $_importObj->setCurrStep(2);
    $_importObj->jump();
  }
  //get definitions and create drop down menu .. 
  $obj = new DMO_Definition();
  $_dfs = $obj->search();
  //create entries in drop-down menu
  $_items[] =  array(
                      'display'=>"---- ".__D('Select Definition')." ----",
                      'value'=>0
                 );
  for($i=1; $i<sizeof($_dfs); $i++) { 
    $_items[$i] = array(
                    'display'=>$_dfs[$i]->getAttr('name'),
                    'value'=>$_dfs[$i]->id
                  );
  }
  $_Dhtml = LFX_dropdownH("defin", $_items, $defin);    
  /* HTML */  
  pecho(LFX_startTables('50%'));  
  pecho(LFX_sthead());
  pecho(LFX_td(__D('Upload CSV File')));
  pecho(LFX_ethead());
  pecho(LFX_str());
  pecho(LFX_std());
  pecho(LFX_sform('','POST', '', '', 'multipart/form-data'));
  pecho(LFX_echo('<input type=file size=70 name=csvFile>'));  
  pecho(LFX_etd());
  pecho(LFX_etr());
  pecho(LFX_sthead());
  pecho(LFX_td(__D('Select Definition')));  
  pecho(LFX_ethead());
  pecho(LFX_std());
  pecho(LFX_echo('<center>'.$_Dhtml.'</center>')); //drop down select for definitions
  pecho(LFX_etd());
  pecho(LFX_sthead());
  pecho(LFX_td(__D('Options')));  
  pecho(LFX_ethead());
  pecho(LFX_str());
  pecho(LFX_td("<center><input type='checkbox' name=hasHeader id=hasHeader>&nbsp;&nbsp;<label for=hasHeader>".__D('First row is header ?')."</label></center>"));
  pecho(LFX_etr());
  pecho(LFX_str());
  pecho(LFX_td("<center><input type='text' name=del size=3 value=',' style='text-align:center;'>&nbsp;&nbsp;".__D('Delimiter')."</center>"));
  pecho(LFX_etr());
  pecho(LFX_sthead());
  pecho(LFX_td("<center><input type=submit name=submitUploadFile value='".__D('Continue')."' style='cursor:pointer;'></center>"));
  pecho(LFX_ethead());
  pecho(LFX_eform());
  pecho(LFX_endTables());
//============ FIRST STEP DONE ==========================

} elseif ($_currStep == 2) {
//============ SECOND STEP ==========================

// handle autopostback;
  $cancel = $_importObj->post['cancel'];
  if (!empty($cancel)) {
    unset($_SESSION[$sess_id]);
    $_importObj->deleteFile();
    $_importObj->jump();
  }
  
  $continue = $_importObj->post['submitStep2'];
  if (!empty($continue)) {
    $fh = fopen($_importObj->fileName, "r");
    if (!$fh) {
       $_importObj->addError(__D('Some errors encountered when trying to process file ! Please Try Again !'));
    }
      $count_lines = 1;
    if (!$_importObj->noHeaderCount) {  
      $hasHeader = true;
    } else $hasHeader = false;
    
    $fullAttrs = DefGetAttrs();
    $coreAttrs = InstGetCoreAttrs();
    
   while (($data = fgetcsv($fh, 1000, $_importObj->delim)) !== FALSE) {
      if (!($count_lines == 1 && $hasHeader)) { 
      $items_per_line = $data;//explode($_importObj->delim, $line);
      /* DB inserts process */
        $instObj = new DMO_Instance();
        $instObj->setAttr('definition', $_importObj->selectedDefinition);
      for($i=0; $i<count($items_per_line); $i++) {
        $col = $_importObj->escapeQ($items_per_line[$i]);
        $thisColName = $_importObj->headers[$i];
       
        $AttrName = $_importObj->getKeyByValue($_importObj->selectedMatch, $thisColName);
        $AttrNameC = strtolower($AttrName);
        if (in_array($AttrNameC, $coreAttrs)) {
            $instObj->setAttr($AttrNameC, $col);
        } elseif (in_array($AttrName, $fullAttrs)) {
            $attr = new DMO_attribute();
            $oo = $attr->search('name', $AttrName);
            $_attribute[] = $oo[0]->id;
            if ($oo[0]->id) {
              $_text[] = $col;
            } 
        }
      }
      // when add this remove selectable core attribute `date` from list
      //$instObj->setAttr('date', time());
      
      $ObjVerifInstName = new DMO_Instance();
      $arr = $ObjVerifInstName->search('name', $instObj->getAttr('name'));     
      
      // check uniqueness of instances names
      if (empty($arr)) {
        if (!$instObj->save()) {
          $_importObj->addError(__D('Instance Add Failed : Errors Encountered !'));
        }
        
        for($i=0; $i<count($_text); $i++) {
          $instattrObj = new DMO_InstAttr();        
          $instattrObj->setAttr('instance', $instObj->id);
          $instattrObj->setAttr('attribute', $_attribute[$i]);
          $instattrObj->setAttr('text', $_text[$i]);
          
          if (!$instattrObj->save()) {
            $_importObj->addError(__D('Attribute Add Failed : Errors Encountered !'));
          }
        }
          unset($_attribute);
          unset($_text);
        }
      }
        
      $count_lines++;
     }
     /* end inserts process */
    fclose($fh);
    fclose($log);
    $_importObj->setCurrStep(3);
    $_importObj->jump();
  }
  
  $column = $_importObj->post['column'];
  if (!empty($column)) {
    $_importObj->selectedMatch = $column;
    // find multiple occurence and eliminate them/ optimize array of matches
    $_importObj->findSimilarMatches();
    $_importObj->jump();
  }  
  $fullAttrs = DefGetAttrs();
  $coreAttrs = InstGetCoreAttrs();
  
  for($i=0; $i<count($coreAttrs); $i++) {
    $coreAttrs[$i] = ucfirst($coreAttrs[$i]);
  }
  $allAttrs = array_merge($coreAttrs, $fullAttrs);
  
  $columnsEntries[] = array(
                            'display'=>'',
                            'value'=>-1                            
                      );
  for($i=0; $i<count($_importObj->headers); $i++) {
  $columnsEntries[] = array(
                          'display'=>'Column : '.$_importObj->headers[$i],
                          'value'=>$_importObj->headers[$i]
                    );
  } 
    pecho(LFX_sForm('','POST'));
    pecho(LFX_startTables('50%'));  
    pecho(LFX_sthead());
    pecho(LFX_echo("<td colspan=2>".__D('Match you CSV file with selected definition')."</td>"));
    pecho(LFX_ethead());
  for($i=0; $i<count($allAttrs); $i++) {
    $selected = $_importObj->selectedMatch[$allAttrs[$i]];
    pecho(LFX_str());
    pecho(LFX_std());
    pecho(LFX_echo($allAttrs[$i])); 
    pecho(LFX_etd());
    pecho(LFX_std());
    pecho(LFX_echo(LFX_dropdownH("column[{$allAttrs[$i]}]", $columnsEntries, $selected, 'this.form.submit();')));  
    pecho(LFX_etd());
    pecho(LFX_etr());    
  }
    pecho(LFX_str());
    pecho(LFX_echo("<td 
                        colspan=2 
                        style='text-align:right;'
                     >
                     <input type=submit name=cancel 
                            value='Cancel Process' onclick='return confirm(\"".__D('Are you sure you want to cancel ?')."\");'>
                     <input type=submit name=submitStep2 value='Continue'>
                     </td>"));
    pecho(LFX_etr());
    pecho(LFX_endTables());
    pecho(LFX_eForm());
    
//============ SECOND STEP DONE ==========================

} elseif ($_currStep == 3) {
//============ THIRD STEP ==========================
  $_importObj->deleteFile();
  //`chmod 777 test.csv`;
  $sa = $_importObj->get['startAgain'];
  if (isset($sa)) {
    unset($_SESSION[$sess_id]);
    $_importObj->jump();
  }
  $url = $_importObj->url;
  pecho(LFX_startTables('50%'));
  pecho(LFX_sthead());
  pecho(LFX_td(__D('Process Complete Successfully !')));
  pecho(LFX_ethead());
  pecho(LFX_str());
  pecho(LFX_td('<center>'.__D(sprintf('Click <a href=\'%s?startAgain\'>here</a> to start another wizard !',$url)).'</center>'));
  pecho(LFX_etr());
  pecho(LFX_endTables());
  
//============ THIRD STEP DONE ==========================

}
?>