<?
  /**
  * DMO Instance Attributes
  * Lucian Silistru <lucian@moongate.ro>, December 2002
  * $Id: attr.php,v 1.50 2005/11/28 09:37:02 bogdan Exp $
  * @package DMO
  */
  
  _checkMeOut(__FILE__);
  
  $base_dir = $_EH_url.'/data/DMO_files';

  if (!function_exists('id_to_filename')) {
    function id_to_filename ($id)
    {
      global $base_dir;

      $s = (string) $id;
      $path = $base_dir;
      # We take the last two characters of the id as the filename
      $len = strlen($s);
      $file = $s[$len-2] . $s[$len-1];

      # Now build the path components from right to left, to ensure
      # that we use two character names (not one) for the ones on right
      //$id = floor($id / 100);
      $part = '';
      while ($id >= 1) { // loop through until we consume all digits in id
        $digits = $id % 100;
        // pad leading zero when necessary
        if ($digits > 9) {
          $digits = (string) $digits;
        } else {
          $digits = '0' . (string) $digits; // prepend leading zero
        }
        $part = '/' . $digits . $part;
        $id = floor($id / 100);
      }
      $path .= $part;
      //decho($path . '/' . $file);
      return $path . '/' . $file;
    }
  }

  $_incReq=array("DMO_Instattr","DMO_Attribute","DMO_plugAction","DMO_generic");
  include($_incMgr);
  $tmp=new DMO_Instattr();
  pecho($tmp->makePopupFunction());
  unset($tmp);
  $sh_array=array(
      'title'=>__D('Attributes'),
      'help'=>'about_attributes',
      'explain'=>$ins->id?"$_DMO_url/index/data/listinstattr?def={$def->id}&amp;tree={$tree->id}&amp;ins={$ins->id}":''
  );
  if (LFX_permsFilter($ins->getUserPerms(),'W')) {
    $sh_array['update']=array(
      $ins->id?
        "$_DMO_url/index/data/editinstattr?def={$def->id}&amp;tree={$tree->id}&amp;ins={$ins->id}":
        '',
      'Edit Attributes'
    );
    $sh_array['edit_plug']="$_DMO_url/index/data/plugactionedit";
  }
  if (!$noHeader) {
    pecho(LFX_echo(''));
    pecho(LFX_echo('<!-- Attributes -->'));
    pecho(LFX_startTables('100%'));
    pecho(DMO_swatchHeader($sh_array));
    pecho(LFX_str());
    pecho(LFX_echo('<td>'));
  }
  
  // Start attribute ordering code

  $query="
    SELECT
      ia.instattr_ID,
      ia.instattr_value,
      ia.instattr_text,
      a.attribute_visible,
      ia.dmo_file_id,
      a.is_password
    FROM
      instattr ia,
      attribute a 
    WHERE 
      ia.attribute_ID=a.attribute_ID
    AND 
      ia.instance_ID={$ins->id}
    ORDER BY 
      a.attribute_name
  ";
  $ins->query($query);
  $hash_attrib=
  $instattrValuesArray=
  $instattrTextArray=
  $instattrVisibleArray=
  $instattrFileArray=
  $attrIs_PasswordArray=
    array();
    
  while ($ins->db->next_record()) {
    $hash_attrib[]= new DMO_instAttr($ins->db->f(0));
    $instattrValuesArray[]=$ins->db->f(1);
    $instattrTextArray[]=$ins->db->f(2);
    $instattrVisibleArray[]=$ins->db->f(3);
    $instattrFileArray[]=$ins->db->f(4);
    $attrIs_PasswordArray[]=$ins->db->f(5);
  }
  
  // Correct display
  $instattrTextArray[0] = htmlentities($instattrTextArray[0]);

  /*
  # Note that we can only sort by referring to the Attribute name.
  # So let's get the list of all attributes, and use that.
  $attrnames = new DMO_Attribute();
  $attrnames = $attrnames->search(NULL,NULL,"name");  # get array of names of ALL attributes
  # We are going to make an array containing the ID of the attribute names, sorted
  # by the name -- then we will use that to determine the best sorting order.
  $j = 0;
  while(list($key,$val) = each($attrnames)) {
    $name = $val->getAttr("name");
    $indx = $val->id;
    # store into an array
    $attrorder[$name] = $j;
    $j++;
  }
  if($ins->id==0) {
    pecho(LFX_echo(__D('[no instances]')));
  } else {
    if(!$attr_list=$ins->getObjects("instattr")) {
      pecho(LFX_echo(__D("[no attributes]")));
    } else {
      # This list is not sorted yet -- let's see what we can do.
      # We will create a new array for these attributes, which will
      # include the numeric key from the $attrorder[] array --
      # which allows us to sort.  Of course, if we used SQL this
      # would only be single JOIN...
      $hash_attrib='';
      $max=0;
      while(list(,$attrib) = @each($attr_list)) {
        $attribute=$attrib->getObject('attribute');
        if (!$attribute) {
          echo "Warning: Invalid attribute found on instance " . $ins->getAttr("name") . 
               " (" . $ins->id . ")<br>\n";
          continue;
        }
        $name = $attribute->getAttr("name");
        $order = $attrorder[$name];
        if ($order > $max) { // track largest one used
          $max = $order;
        }
        //echo "Name is $name, order is $order<br>\n";
        $hash_attrib[$order] = $attrib;  # we should now have correct order, by name
        # This will be a sparse array
      }
      //echo "<p>"; */

  // End attribute ordering code
  
  
  if($ins->id==0) {
    pecho(LFX_echo(__D('[no instances]')));
  } else {
    $tablesStarted=false;
    $count=0;
    for ($j=0; $j<count($hash_attrib); $j++) {
      $attrib = $hash_attrib[$j];
      $attribute=$attrib->getObject('attribute');
      //echo "New Object index $j: " . $attribute->getAttr("name") . "<br>\n";
      if (!$attribute) {
        continue;
      }
      $isPwd=(bool) $attrIs_PasswordArray[$j];
      if ($isPwd) {
        $text=$value='******';
      } else {
        //$value=$instattrValuesArray[$j];
        $text=$instattrTextArray[$j];
      }

      //Do not display ScanPattern's History if it has a value of 0
      if (($attribute->getAttr('name') == 'ScanPattern') && ($text == '0')) continue;

      unset($val);
      if ($paID) {
        $pa=new DMO_plugAction($paID);
        if ($pa->getAttr('attribute')==$attribute->id) {
          $val=$pa->getAttr('type');
          $$val=$pa->includePA($paID,$ins->id);
          unset($paID);
        }
      }
        
//      unset($name);
      unset($display);

      if (LFX_permsFilter($ins->getUserPerms(),'W')) {
//         $name=$attrib->getPopupLinkH();
//         switch ($attribute->getAttr('data_type')) {
//         case 'boolean':
//           $name = str_replace('?', '?bool='.$text.'&', $name);
//           break;
//         case 'select':
//           $name = str_replace('?', '?sel='.$text.'&', $name);
//           break;
//         }
          $def = $ins->getObject('definition');
          $display = "<A HREF='$_DMO_url/index/data/editinstattr?def={$def->id}&tree=&ins={$ins->id}&editInstAttr={$attrib->id}'>".$attribute->getAttr('name')."</A>";
      } else {
        $name=$attribute->getAttr('name');
      }
      if ($instattrVisibleArray[$j]) {
        if (!$tablesStarted) {
          pecho(LFX_startTables("100%"));
          $tablesStarted=true;
        }
        if ($text != NULL) {
          pecho(LFX_str());
        }
        
        //$display=$name;
        
        if (count($attribute->getObjects('plugactions'))) {
          if ($val) {
            $xtra="popup('$_DMO_url/index/popups/paShowPopup?data=".htmlentities(trim($$val),ENT_QUOTES)."','400','300')";
          }
          
          
          
          $PA="<A HREF=\"javascript:popup('$_DMO_url/index/popups/paPopup?ins={$ins->id}&attr={$attribute->id}','400','200')\"><img border='0' src='$_DMO_icon_run_plug' alt='Run pluggable actions' title='Run pluggable actions' onLoad=\"".$xtra."\"></A>";
          $display='<table width=\'100%\' cellspacing=0 cellpadding=0 border=0><tr><td class=\'th\'>'.$PA.'</td><th width=\'100%\'>'.$display.'</th></tr></table>';
          unset($xtra);            
        }
        
         /*        
         //Set edit link =============================
         if (($attribute->getAttr('data_type') == 'large_text') || 
             ($attribute->getAttr('data_type') == 'file') ||
             ($attribute->getAttr('data_type') == 'instance') ||
             ($attribute->getAttr('data_type') == 'user') ||
             ($attribute->getAttr('data_type') == 'group') ||
             ($attribute->getAttr('data_type') == 'escalation_preset') ||
             ($attribute->getAttr('name') == 'ScanPattern')) { 
           $def = $ins->getObject('definition');
           $display = "<A HREF='$_DMO_url/index/data/editinstattr?def={$def->id}&tree=&ins={$ins->id}&editInstAttr={$attrib->id}'>".$attribute->getAttr('name')."</A>";
         }
         */

        // Display attribute's name.
        if ($text != NULL) {
           pecho(LFX_rth($display,NULL,true));
        }
        
        $text=$attrib->gpcUnslash($text);
        // $attachment contains the link to any file which may be attached.
        $fileid = $instattrFileArray[$j];
        if ($fileid > 0) { // let's try to get info on this linked attached file
          $attachment = "<br/>";
          $req=new DMO_Definition;
          $sql="SELECT * FROM dmo_file WHERE dmo_file_id = $fileid";
          $req->query($sql);
          $req->db->next_record();
          $filename = $req->db->f(1);
          $filetype = $req->db->f(2);
          $filedesc = $req->db->f(5);
          $ext = substr($filename, strrpos($filename, '.') + 1);
          if (strlen($ext) == 0) $ext = "txt";  // make this the default extension
          // A future feature for this code -- if the attachment is an image, then let's
          // create a thumbnail version, which we display as a link to the full image.

          $img = ''; // clear last time this was used.
          switch($filetype) {
            case 'image/pjpeg':
            case 'image/jpeg':
            case 'image/gif':
            case 'image/png':
              $img = "<img width='100' border=0 src='" . id_to_filename($fileid) . ".$ext' /><br/>";
          }
          $attachment .= "<a href='" . id_to_filename($fileid) . ".$ext' target='_new'>$img $filename</a>&nbsp;<a target='new' onClick=\"javascript:location=window.location;window.open('https://" . $_SERVER["HTTP_HOST"] . "/dmo_new/data/test2.php?insattr=" . $attrib->id . "','Attachment','height=450,width=450,scrollbars=no');return false\"><img border=0 alt='Replace file' src='/LFXlib/images/pencil.gif'/></a><br/>$filedesc";

        } else {
          $attachment = "";
        }
        if ($attribute->getAttr('name')=='ScanPattern') {
          LFX_include_class('LFX_Subscription');
          list($attr_hr,$attr_wd)=explode(' ',$text);
          $wd=array('Sunday','Monday','Tuesday','Wednesday','Thursday','Friday','Saturday');
          $newtext='';
          for($i=0;$i<count($wd);$i++) {
            $wd[$i]=__D($wd[$i]);
            if (LFX_Subscription::_match($i,$attr_wd)) {
              $newtext.=$wd[$i].', ';
            }
          }
          $text=sprintf(__D('%1$s at %2$s'),substr($newtext,0,-2),$attr_hr);
          $value=NULL;
        }

        if ($attribute->getAttr('data_type') == 'boolean') {
          $text = eregi('^[1Y]',$text);
          pecho(LFX_td($text ? "True" : "False"));
        } else {
          if (($text!==NULL)) {
            if ($isPwd) {
              $text=$value='*******';
            }
            //pecho(LFX_td("$text $attachment",NULL,NULL,NULL,NULL,'100%'));
            if (preg_match("/^dmo_largeattribute#([0-9]+)$/",$text,$matches)) { // Dispaly DMO_largeAttribute ============
              LFX_include_class('DMO_largeAttribute','LFX_Language');
              $lang=new LFX_Language;
              $my_large_attr=new DMO_largeAttribute($matches[1]);
              pecho(LFX_std(NULL,NULL,2));
              
              $last_ver = "Ver.".$my_large_attr->getAttr('version')." / ".$my_large_attr->getAttrH('date')."<br>";

              $lang_txt = $lang->languageByCode($my_large_attr->getAttr('language'));
              pecho(LFX_startTables('100%'));
              pecho(LFX_td("<div align='center'>Language: ".$lang_txt."</div>"));
              pecho(LFX_td("<div align='center'>Version: ".$my_large_attr->getAttr('version')."</div>"));
              pecho(LFX_td("<div align='center'>Last edited: ".$my_large_attr->getAttrH('date')."</div>"));
              pecho(LFX_endTables());
              
              pecho(LFX_echo($my_large_attr->getAttr('content')."<br>"));
              pecho(LFX_startTables("100%"));
              $obsolete = array($my_large_attr);
              
              
              $largeAttr_alt = $my_large_attr->getObjects('alternates'); //get alternates
              $languages = array();
              array_push($languages, $my_large_attr->getAttr('language')); //get current language 
              
              foreach ($largeAttr_alt as $lAttr_alt) { //scan alternates
                if (!in_array($lAttr_alt->getAttr('language'), $languages)) { //get all alternate languages for this alternate
                  array_push($languages, $lAttr_alt->getAttr('language'));
                }
              }
              foreach ($languages as $langs) {
                pecho(LFX_td($lang->languageByCode($langs),'thead'));
              }
              
              $obs_no = 0;
              do { //count obsoletes
                $obsolete = $obsolete[0];
                $obs_no++;
              } while ($obsolete = $obsolete->getObjects('obsoletes'));
              
              if ($obs_no>10) { // will strip display body if more than 10 obsoletes
                 $show_sliced = true;
                 $begin_rows_no = 3;
                 $end_rows = $obs_no - 3;
              }          
              
              $cnt = 0;
              $obsolete = array($my_large_attr);
              do {  //scan obsoletes... starting with the most recent version which is not obsolete, of course.
                $obsolete = $obsolete[0];
                
                $cnt++;
                
                if (($cnt <= $begin_rows_no) || ($cnt>$end_rows)) {
                  pecho("<tr obs{$attrib->id}id$cnt>");//style='display:$disp'
                  $obs_str = "Ver.".$obsolete->getAttr('version')." / ".$obsolete->getAttrH('date');
                  
                  if ($obsolete == $my_large_attr) { //show default language...
                    pecho(LFX_td('<div align=\'center\'>'.$obs_str.'</div>'));
                  } else {
                    pecho(LFX_td('<div align=\'center\'><a href="javascript:popup(\''.$_DMO_url.'/index/popups/LargeAttViewPopup?latt_id='.$obsolete->id.'\',\'500\',\'400\',\'yes\',\'yes\')">'.$obs_str.'</a>')); // ...and then its obsoletes'
                  }
                }
                
                $largeAttr_alt = $obsolete->getObjects('alternates',0); 
                for ($k=1; $k<count($languages); $k++ ) { // scan languages
                  foreach ($largeAttr_alt as $lAttr_alt) { //scan alternates
                    if ($languages[$k] == $lAttr_alt->getAttr('language')) {
                      $ver_tmp = "Ver.".$lAttr_alt->getAttr('version')." / ".$lAttr_alt->getAttrH('date')."<br>";
                      $versions .= '<a href="javascript:popup(\''.$_DMO_url.'/index/popups/LargeAttViewPopup?latt_id='.$lAttr_alt->id.'\',\'500\',\'400\',\'yes\',\'yes\')">'.$ver_tmp.'</a>';
                    }
                  }
                  if (($cnt <= $begin_rows_no) || ($cnt>$end_rows)) {
                    pecho(LFX_td("<div align='center'>".$versions."</div>")); //show language/versions
                  }
                  $versions = null;
                }
                if ($show_sliced && ($cnt == $begin_rows_no+1)) { //draw middle "..."
                  pecho(LFX_td('<div align="center"><a href="javascript:popup(\''.$_DMO_url.'/index/popups/LangVerViewPopup?instAttID='.$matches[1].'&name='.$attribute->getAttr('name') .'\',\'500\',\'400\',\'yes\',\'yes\')">...</a></div>',NULL,NULL,count($languages)));
                }
                pecho("</tr>");
              
              } while ($obsolete = $obsolete->getObjects('obsoletes'));

              pecho(LFX_endTables());
              pecho(LFX_etd());
            } elseif (preg_match("/^dmo_fileattribute#([0-9]+)$/",$text,$matches)) {  // FILE TEXT ========================
              LFX_include_class('DMO_fileAttribute','LFX_Language');
              $lang=new LFX_Language;
              $my_file_attr=new DMO_fileAttribute($matches[1]);
              pecho(LFX_std(NULL,NULL,2));
              
              $last_ver = "Ver.".$my_file_attr->getAttr('version')." / ".$my_file_attr->getAttrH('date')."<br>";

              $lang_txt = $lang->languageByCode($my_file_attr->getAttr('language'));
              $file_attr = $my_file_attr->getAttr('file');
              pecho(LFX_startTables('100%'));
              
              if (preg_match("/\.jpg$/i",$file_attr) || preg_match("/\.gif$/i",$file_attr) || preg_match("/\.png$/i",$file_attr)) {
                pecho(LFX_str());
                pecho(LFX_td("<img width=300 src='$_DMO_url/index/popups/show_file_popup?file_id=".$my_file_attr->id."'/>",NULL,NULL,3));
                pecho(LFX_etr());  
              }
              
              pecho(LFX_td("<div align='center'>Language: ".$lang_txt."</div>"));
              pecho(LFX_td("<div align='center'>Version: ".$my_file_attr->getAttr('version')."</div>"));
              pecho(LFX_td("<div align='center'>Last edited: ".$my_file_attr->getAttrH('date')."</div>"));
              pecho(LFX_str());
              
              //pecho(LFX_td($my_file_attr->getAttr('file')."<br>",NULL,NULL,2));
              pecho(LFX_td("<div align='center'><img src='$_DMO_url/admin/get_icon?file_id=".$my_file_attr->id."'></img>&nbsp;<a href='javascript:popup(\"$_DMO_url/index/popups/show_file_popup?file_id=".$my_file_attr->id."\",\"500\",\"400\",\"yes\",\"yes\")'>".$my_file_attr->getAttr('file')."</a></div>",NULL,NULL,2));
              
              pecho(LFX_td('<div align=\'center\'><a href="javascript:popup(\''.$_DMO_url.'/index/popups/FileTreeLinkPopup?fatt_id='.$my_file_attr->id.'\',\'500\',\'400\',\'yes\',\'yes\')">[Link]</a></div>'));
              pecho(LFX_etr());  
              pecho(LFX_endTables());
              
              //pecho(LFX_startTables("100%")); //Display last file

              //pecho(LFX_endTables());
              
              
              pecho(LFX_startTables("100%"));
              $obsolete = array($my_file_attr);
              
              
              $fileAttr_alt = $my_file_attr->getObjects('alternates'); //get alternates
              $languages = array();
              array_push($languages, $my_file_attr->getAttr('language')); //get current language 
              
              foreach ($fileAttr_alt as $lAttr_alt) { //scan alternates
                if (!in_array($lAttr_alt->getAttr('language'), $languages)) { //get all alternate languages for this alternate
                  array_push($languages, $lAttr_alt->getAttr('language'));
                }
              }
              foreach ($languages as $langs) {
                pecho(LFX_td($lang->languageByCode($langs),'thead'));
              }
              
              $obs_no = 0;
              do { //count obsoletes
                $obsolete = $obsolete[0];
                $obs_no++;
              } while ($obsolete = $obsolete->getObjects('obsoletes'));
              
              if ($obs_no>10) {
                 $show_sliced = true;
                 $begin_rows_no = 3;
                 $end_rows = $obs_no - 3;
              }          
              
              $cnt = 0;
              $obsolete = array($my_file_attr);
              do {  //scan obsoletes... starting$obs_str with the most recent version which is not obsolete, of course.
                $obsolete = $obsolete[0];
                
                $cnt++;
                
                if (($cnt <= $begin_rows_no) || ($cnt>$end_rows)) {
                  pecho("<tr obs{$attrib->id}id$cnt>");//style='display:$disp'
                  $obs_str = "Ver.".$obsolete->getAttr('version')." / ".$obsolete->getAttrH('date');
                  
                  //if ($obsolete == $my_file_attr) { //show default language...
                  //  pecho(LFX_td('<div align=\'center\'>'.$obs_str.'</div>'));
                  //} else {
                   //pecho(LFX_td('<div align=\'center\'><a href="javascript:popup(\''.$_DMO_url.'/index/popups/FileAttViewPopup?fatt_id='.$obsolete->id.'\',\'500\',\'400\',\'yes\',\'yes\')">'.$obs_str.'</a>')); // ...and then its obsoletes'
                    
                  pecho(LFX_td("<div align='center'><img src='$_DMO_url/admin/get_icon?file_id=".$obsolete->id."'></img>&nbsp;<a href='javascript:popup(\"$_DMO_url/index/popups/show_file_popup?file_id=".$obsolete->id."\",\"500\",\"400\",\"yes\",\"yes\")'>".$obs_str."</a></div>"));
      
                  //}
                }
                
                $fileAttr_alt = $obsolete->getObjects('alternates',0); 
                for ($k=1; $k<count($languages); $k++ ) { // scan languages
                  foreach ($fileAttr_alt as $lAttr_alt) { //scan alternates
                    if ($languages[$k] == $lAttr_alt->getAttr('language')) {
                      $ver_tmp = "Ver.".$lAttr_alt->getAttr('version')." / ".$lAttr_alt->getAttrH('date')."<br>";
                      //$versions .= '<a href="javascript:popup(\''.$_DMO_url.'/index/popups/FileAttViewPopup?fatt_id='.$lAttr_alt->id.'\',\'500\',\'400\',\'yes\',\'yes\')">'.$ver_tmp.'</a>';
                      
                      $versions = "<a href='javascript:popup(\"$_DMO_url/index/popups/show_file_popup?file_id=".$lAttr_alt->id."\",\"500\",\"400\",\"yes\",\"yes\")'>".$ver_tmp."</a>";
                    }
                  }
                  if (($cnt <= $begin_rows_no) || ($cnt>$end_rows)) {
                    pecho(LFX_td("<div align='center'>".$versions."</div>")); //show language/versions
                  }
                  $versions = null;
                }
                if ($show_sliced && ($cnt == $begin_rows_no+1)) { //draw middle "..."
                  pecho(LFX_td('<div align="center"><a href="javascript:popup(\''.$_DMO_url.'/index/popups/FileLangVerViewPopup?instAttID='.$matches[1].'&name='.$attribute->getAttr('name') .'\',\'500\',\'400\',\'yes\',\'yes\')">...</a></div>',NULL,NULL,count($languages)));
                }
                pecho("</tr>");
              
              } while ($obsolete = $obsolete->getObjects('obsoletes'));

              pecho(LFX_endTables());
              pecho(LFX_etd());
            } elseif (preg_match("/^lfx_user#([0-9]+)$/",$text,$matches)) {  // USER ========================
              $usr = new LFX_user($matches[1]);
#echo "Found user $matches[1]";
              pecho(LFX_td($usr->getLinkH()));
            } elseif (preg_match("/^lfx_group#([0-9]+)$/",$text,$matches)) {  // GROUP ========================
              $grp = new LFX_group($matches[1]);
              pecho(LFX_td($grp->getLinkH()));
            } elseif (preg_match("/^dmo_instance#([0-9]+)$/",$text,$matches)) {  // INSTANCE ==================
              $inst = new DMO_instance();
              if ($inst->probe($matches[1])) {
                $inst = new DMO_instance($matches[1]);
                pecho(LFX_td($inst->getLinkH()));
              } else { //wil remove orphan pointers
                $hash_attrib[$j]->delete();
              }
              unset($inst);
            } elseif ($attribute->getAttr('data_type') == 'url_link') { //URL LINK====================
              $show_link = (strlen($text)>30) ? substr($text,0,30)."..." : $text;
              pecho(LFX_td("<a href='$text'>".$show_link."</a>",NULL,NULL,NULL,NULL,'100%'));            
            } elseif (preg_match("/^hd_epreset#([0-9]+)$/",$text,$matches)) {  // Escalation preset ========================
              if (!LFX_include_class('HD_epreset')) {
                pecho(LFX_td(__D('Failed to include the HelpDesk escalation preset class!')));
              } else {
                $ep=new HD_epreset($matches[1]);
                pecho(LFX_td($ep->getLinkH()));
              }
            } elseif ($text != NULL) {
              pecho(LFX_td($text . $attachment,NULL,NULL,NULL,NULL,'100%')); // DEFAULT
            }
          }
        }

        //searching history

        if (!( ($attribute->getAttr('data_type') == 'large_text') || ($attribute->getAttr('data_type') == 'file')) ) {
          $in_history=$attrib->getObjects('history');
          if ($in_history) {
            pecho(LFX_td('<div align=right><a href="javascript:popup(\''.$_DMO_url.'/index/popups/InstAttrHistoryPopup?instattr='.$attrib->id.'\',\'400\',\'200\',\'yes\',\'yes\')">History</a></div>'));
          } else {
            pecho(LFX_td());
          }
        }
        if ($text != NULL) {
          pecho(LFX_etr());
        }
        $count++;
      }
    }
    if ($count) {
      pecho(LFX_endTables());
    } else {
      pecho(LFX_echo(__D('[no visible attributes]')));
    }
  }
  if (!$noHeader) {
    pecho(LFX_echo("</td>"));
    pecho(LFX_etr());
    pecho(LFX_endTables());
  }
?>
