<?
# childview.php -- script to view child instances, and if they
# exit, also shows the graph of them.

# Author: Paul Gillingwater, paulg@lanifex.com, (C) CSO Lanifex GmbH
# Updated: 26 November 2005

# This will use external command "dot", which is part of GraphViz.
# In addition, it will provide a Print button.

# This assumes we can write into /tmp, which is not
# the case for Windows, so we need to use the data
# directory that is defined as a global.

# Parameter passed in to this script is the instance id
# for the current instance.

#_checkMeOut(__FILE__);

?>
<script language="Javascript1.2">
<!--
// please keep these lines on when you copy the source
// made by: Nicolas - http://www.javascript-page.com

var message = "Print this Page";

function printpage() {
  window.print();  
}

document.write("<body><form><input type=button "
+"value=\""+message+"\" onClick=\"printpage()\"><input type=button "
+"value=\"Close\" onClick=\"window.close()\"></form>");
//-->
</script>
<?
$_incReq=array("DMO_Instance");
include($_incMgr);

if ($id > 0) { # OK
  $ins=new DMO_Instance();
  $ins->load($id);
  if (!$ins) {
    pecho(LFX_echo("Cannot load instance with id $id."));
    exit;
  }
  $ins_name=$ins->getAttr("name");
  $dataDir = $_DMO_globals->getSetting('dataDir');
  if (strlen($dataDir)==0) {
    $dataDir = "/tmp";
  }
  $dotPath = $_DMO_globals->getSetting('dotPath');
  if (strlen($dotPath)==0) {
    $dotPath = "/usr/bin/dot";
  }
  echo("<div align='center'><h3>Children Graph for: $ins_name</h3>
<p>This page shows a graph of the child instances, <br/>directly below the 
instance named $ins_name.</p>");
  $handle = fopen("$dataDir/child_{$id}.dot","w");
  fwrite($handle,"digraph G {\n");
  fwrite($handle,"  label = \"Child Instances of $ins_name\";\n");
  fwrite($handle,"  graph [fontname = \"Times New Roman\",rankdir = \"LR\"];\n");
  fwrite($handle,"  node [fontname = \"Times New Roman\",shape=box,style=filled,color=lightgrey]; \"$ins_name\";\n");
  getChild($ins,$ins_name);
  fwrite($handle,"}\n");
  fclose($handle);

  if (is_executable($dotPath)) {
    echo(("<img src='$_DMO_url/data/browser/showchildren?id={$id}' /></div></body>"));
  } else {
    echo("<h3>Configuration Error</h3>Cannot open $dotPath, which is required to draw the children graph.  Please install the package GraphViz, or set the global variable path_to_dot to point to the correction location.\n");
  }
  exit;
} else {
  echo(("Invalid instance id."));
  exit;
}

function getChild( $item, $current ) {
  # we look for the child of $item, if it exists
  global $handle;
  $orps = $item->getObjects("childIns");
  if (count($orps) > 0) {  # we have some
    for ($i=0; $i<count($orps); $i++) {
      pecho(LFX_echo("$current -> " . $orps[$i]->getAttr("name") . "<br/>"));   
      fwrite($handle,"  node [fontname = \"Time New Roman\",shape=box,style=solid];\n");
      fwrite($handle,"  \"$current\" -> \"" . $orps[$i]->getAttr("name") . "\";\n");    
#      getChild( $orps[$i], $orps[$i]->getAttr("name") );
    }
  } else { # got nuttin'
    return 0;
  }
}
?>
