<?

  /**
  * DMO Instance Core Attributes
  * Lucian Silistru <lucian@moongate.ro>, December 2002
  * $Id: core_attr.php,v 1.19 2005/08/25 08:36:23 bogdan Exp $
  * @package DMO
  */

  _checkMeOut(__FILE__);
  
  $_incReq=array("DMO_Instattr","DMO_Attribute",'LFX_User','LFX_Group','LFX_User_Group','LFX_Language');
  include($_incMgr);

  $sh_array=array(
      'title'=>__D('Core Attributes'),
      'help'=>'about_core_attributes'
  );
  if (LFX_permsFilter($ins->getUserPerms(),'W')) {
    $sh_array['update']=array(
      $ins->id?
        "$_DMO_url/index/data/editins?def={$def->id}&amp;tree={$tree->id}&amp;ins={$ins->id}":
        '',
      'Edit Core Attributes'
    );
  }
  
  
  pecho(LFX_echo(""));
  pecho(LFX_echo("<!-- Core Attributes -->"));
  pecho(LFX_startTables("100%"));
  //if (LFX_permsFilter($userPerms,'W')) {
    //  pecho(LFX_td("<a href='$_DMO_url/index/data/editins?def={$def->id}&amp;tree={$tree->id}&amp;ins={$ins->id}'><img border='0' src='$_DMO_icon_update' alt='Edit' title='Edit Instance'></a>"));
  //}
//  pecho(DMO_swatchHeader(array("title"=>__D("Core Attributes",""),"help"=>"core_attributes")));
  
  pecho(DMO_swatchHeader($sh_array));

  pecho(LFX_str());
  pecho(LFX_echo("<td>"));
  if($ins->id==0) {
    pecho(__D("[no instances]"));
  } else {
    pecho(LFX_startTables("100%"));
    pecho(LFX_str());
    pecho(LFX_rth(__D("Date Created"),NULL,true));
    if($ins->getAttr("date")==NULL) {
      pecho(LFX_td("-",NULL,NULL,NULL,NULL,'100%'));
    } else {
      pecho(LFX_td($ins->getAttrH("date"),NULL,NULL,NULL,NULL,'100%'));
    }
    pecho(LFX_estr());
    pecho(LFX_rth(__D("Revision"),NULL,true));
    if($ins->getAttr("revision")==NULL) {
      pecho(LFX_td("-"));
    } else {
      pecho(LFX_td($ins->getAttrH("revision")));
    }
    pecho(LFX_estr());
    pecho(LFX_rth(__D("Serial"),NULL,true));
    if($ins->getAttr("serial")==NULL) {
      pecho(LFX_td("-"));
    } else {
      pecho(LFX_td($ins->getAttrH("serial")));
    }
    pecho(LFX_estr());
    pecho(LFX_rth(__D("Location"),NULL,true));
    if($ins->getAttr("location")==NULL) {
      pecho(LFX_td("-"));
    } else {
      pecho(LFX_td($ins->getAttrH("location")));
    }
    pecho(LFX_estr());
    pecho(LFX_rth(__D("Inventory"),NULL,true));
    if($ins->getAttr("inventory")==NULL) {
      pecho(LFX_td("-"));
    } else {
      pecho(LFX_td($ins->getAttrH("inventory")));
    }
    pecho(LFX_estr());
    pecho(LFX_rth(__D("Purpose"),NULL,true));
    if($ins->getAttr("purpose")=="") {
      pecho(LFX_td("-"));
    } else {
      pecho(LFX_td(nl2br($ins->getAttrH("purpose"))));
    }
    pecho(LFX_estr());
    pecho(LFX_rth(__D("Notes"),NULL,true));
    if($ins->getAttr("notes")=="") {
      pecho(LFX_td("-"));
    } else {
      pecho(LFX_td(nl2br($ins->getAttrH("notes"))));
    }
    pecho(LFX_estr());
    pecho(LFX_rth(__D("Type"),NULL,true));
    if($ins->getAttr("type")==NULL) {
      pecho(LFX_td("-"));
    } else {
      pecho(LFX_td($ins->getAttrH("type")));
    }
    pecho(LFX_estr());
    
    pecho(LFX_rth(__D("Lock inheritance"),NULL,true));
    $lockinherit = ($ins->getAttr("lock_inherit")) ? 'Yes' : 'No';
    pecho(LFX_td($lockinherit));
    pecho(LFX_estr());
    
    
    pecho(LFX_rth(__D("Owner"),NULL,true));
    if($ins->getAttr("owner")==NULL) {
      pecho(LFX_td("-"));
    } else {
      #pecho(LFX_td($ins->getAttr("owner")));
      $owner_id = $ins->getAttr("owner");
      if ($owner_id > 0) {  # get owner info from LFX
        $user = new LFX_User;
        $user->load($owner_id);
        if ($user) {
          $uname = $user->getAttr("uname");
          $fname = $user->getAttr("fname");
          $lname = $user->getAttr("lname");
          $email = $user->getAttr("email");
          $position = $user->getAttr("position");
          if ($uname) {
            pecho(LFX_td("<table border='0'><tr><td><a href='mailto:$email' title='$position'><img valign='middle' src='$_LFX_icon_email' border='0'></a></td><td><a href='".$user->getUrlH()."'>$fname $lname ($uname)</a></td></tr></table>"));
          } else {
            pecho(LFX_td(__D("Username not found in record")));
          }
        } else {
          pecho(LFX_td(__D("User record not found")));
        }
      } else {
        pecho(LFX_td(sprintf(__D("default [%d]"),$owner_id)));
      }
    }

    pecho(LFX_estr());
    pecho(LFX_rth(__D("Group"),NULL,true));
    if($ins->getAttr("group")==NULL) {
      pecho(LFX_td("-"));
    } else {

    
      #pecho(LFX_td($ins->getAttr("owner")));
      $group_id = $ins->getAttr("group");
    
      if ($group_id > 0) {  # get owner info from LFX
        $group = new LFX_Group($group_id);
        if ($group->probe()) {
	
	  
	  pecho(LFX_std()); //
          pecho(LFX_echo($group->getLinkH()));
	  
	  pecho(LFX_echo('<div align=right>'));
	  pecho(LFX_startTables('60%'));
	  pecho(LFX_str());
	  //pecho(LFX_td(__D('Members and rights for ').$group->getLinkH(),NULL,NULL,3));
          pecho(LFX_td(__D('Members'),'thead'));
          pecho(LFX_td(__D('Rights'),'thead'));
          pecho(LFX_td(__D('Comments'),'thead'));
          
	  pecho(LFX_etr());
	  $instance_group = $ins->getObject("group");
          $instance_group_members = $instance_group->getObjects('members');
          foreach ($instance_group_members as $usergroup) {
          $myusr = $usergroup->getObject('child_user');
          $id = $myusr->id;
            if ($id && $myusr->probe($id)) {
              pecho(LFX_str());
  	      pecho(LFX_td($myusr->getLinkH()));
	      pecho(LFX_td($usergroup->getAttr('access')));
	      pecho(LFX_td($usergroup->getAttr('comments')));
	      pecho(LFX_etr());
            }
          }
	  pecho(LFX_endTables());
	  pecho(LFX_echo('</div>'));
	  	  
	  pecho(LFX_etd()); //
  	  
        } else {
          pecho(LFX_td(__D("Group record not found")));
        }
      } else {
        pecho(LFX_td(sprintf(__D("default [%d]"),$group_id)));
      }
    }

    pecho(LFX_estr());
    pecho(LFX_rth(__D("Parent"),NULL,true));
    $parent_ins=$ins->getObject("parent");
    if ($parent_ins->id) {
      pecho(LFX_td($parent_ins->getLinkH()));
    } else {
      pecho(LFX_td("-"));
    }
    pecho(LFX_etr());
    pecho(LFX_endTables());
  }
  pecho(LFX_echo("</td>"));
  pecho(LFX_etr());
  pecho(LFX_endTables());
?>
