<?
# depview.php -- script to view dependencies, and if they
# exit, also shows the graph of them.

# Author: Paul Gillingwater, paulg@lanifex.com, (C) CSO Lanifex GmbH
# Updated: 26 November 2005

# This will use external command "dot", which is part of GraphViz.
# In addition, it will provide a Print button.

# This assumes we can write into /tmp, which is not
# the case for Windows, so we need to use the data
# directory that is defined as a global.

# Parameter passed in to this script is the instance id
# for the current instance.

#_checkMeOut(__FILE__);

?>
<script language="Javascript1.2">
<!--
// please keep these lines on when you copy the source
// made by: Nicolas - http://www.javascript-page.com

var message = "Print this Page";

function printpage() {
  window.print();  
}

document.write("<form><input type=button "
+"value=\""+message+"\" onClick=\"printpage()\"><input type=button "
+"value=\"Close\" onClick=\"window.close()\"></form>");
//-->
</script>
<?
$_incReq=array("DMO_Instance","DMO_Definition");
include($_incMgr);

if ($id > 0) { # OK
  $ins=new DMO_Instance();
  $ins->load($id);
  if (!$ins) {
    pecho(LFX_echo("Cannot load instance with id $id."));
    exit;
  }
  $ins_name=$ins->getAttr("name");
  $dataDir = $_DMO_globals->getSetting('dataDir');
  if (strlen($dataDir)==0) {
    $dataDir = "/tmp";
  }
  $dotPath = $_DMO_globals->getSetting('dotPath');
  if (strlen($dotPath)==0) {
    $dotPath = "/usr/bin/dot";
  }

  echo("<div align='center'><h3>Dependency Graph for: $ins_name</h3>
<p>This page shows a graph of the dependencies, both above and
below the instance named $ins_name.  <br/>Items above depend on items 
below.</p>");
  $handle = fopen("$dataDir/dep_{$id}.dot","w");
  fwrite($handle,"digraph G {\n");
  fwrite($handle,"  graph [fontname = \"Times New Roman\"];\n");
  # Let's get the Definition name, so we can use a special shape if it is a "Dependency" instance
  $def = $ins->getObject("definition");
  $defName = $def->getAttr("name");
  if ($defName == "Dependency") {
    $nodeShape = "diamond";
  } else {
    $nodeShape = "box";
  }
  fwrite($handle,"  node [fontname = \"Times New Roman\", shape={$nodeShape},style=filled,color=lightgrey]; \"$ins_name\";\n");
  $loopDetect = 200; # if there are more than 100 found, then terminate due to likely loop
  getParent($ins,$ins_name);
  getChild($ins,$ins_name);
  if ($loopDetect <= 0) {
    fwrite($handle,"  label = \"Loop in Dependencies Suspected, terminating prematurely.\";\n");
  }
  fwrite($handle,"}\n");
  fclose($handle);

  if (is_executable($dotPath)) {
    echo(("<img src='$_DMO_url/data/browser/showdep?id={$id}' /></div>"));
  } else {
    echo("<h3>Configuration Error</h3>Cannot open $dotPath, which is required to draw the dependency graph.  Please install the package GraphViz, or set the global variable path_to_dot to point to the correction location.\n");
  }
  exit;
} else {
  echo(("Invalid instance id."));
  exit;
}

function getParent( $item, $current ) {
  # we look for the parent of $item, if it exists
  global $handle, $loopDetect;
  $wids = $item->getObjects("widows");
  if (count($wids) > 0) {  # we have some
    for ($i=0; $i<count($wids); $i++) {
      if ($loopDetect-- <= 0) {
        return 0;
      }
      pecho(LFX_echo($wids[$i]->getAttr("name") . " -> $current<br/>"));
      # Let's get the Definition name, so we can use a special shape if it is a "Dependency" instance
      $def = $wids[$i]->getObject("definition");
      $defName = $def->getAttr("name");
      if ($defName == "Dependency") {
        $nodeShape = "diamond";
      } else {
        $nodeShape = "box";
      }
      fwrite($handle,"  node [fontname = \"Times New Roman\", shape={$nodeShape},style=filled,color=green];\n");
      fwrite($handle,"  \"" . $current . "\" -> \"" . $wids[$i]->getAttr("name") . "\";\n");
      getParent( $wids[$i], $wids[$i]->getAttr("name") );
    }
  } else { # got nuttin'
    return 0;
  }
}

function getChild( $item, $current ) {
  # we look for the child of $item, if it exists
  global $handle, $loopDetect;
  $orps = $item->getObjects("orphans");
  if (count($orps) > 0) {  # we have some
    for ($i=0; $i<count($orps); $i++) {
      if ($loopDetect-- <= 0) {
        return 0;
      }
      pecho(LFX_echo("$current -> " . $orps[$i]->getAttr("name") . "<br/>"));   
      # Let's get the Definition name, so we can use a special shape if it is a "Dependency" instance
      $def = $orps[$i]->getObject("definition");
      $defName = $def->getAttr("name");
      if ($defName == "Dependency") {
        $nodeShape = "diamond";
      } else {
        $nodeShape = "box";
      }
      fwrite($handle,"  node [shape={$nodeShape},style=filled,color=red];\n");
      fwrite($handle,"  \"" . $orps[$i]->getAttr("name") . "\" -> \"" . $current . "\";\n");    
      getChild( $orps[$i], $orps[$i]->getAttr("name") );
    }
  } else { # got nuttin'
    return 0;
  }
}

