<?php

  /**
  * Edit attributes
  * Bogdan Stancescu <bogdan@lanifex.com>, January 2003
  * $Id: editatt.php,v 1.17 2005/11/28 09:37:02 bogdan Exp $
  * @package DMO
  */ 
  
  _checkMeOut(__FILE__);

  $_incReq=array("DMO_Attribute","DMO_Instattr","DMO_plugAction");
  include($_incMgr);

  pecho(LFX_echo("<table width='100%' border='0' cellpadding='0' cellspacing='$_DMO_spacing'>"));
  pecho(LFX_str());
  pecho(LFX_echo("<td>"));
  LFX_indent();
  pecho(LFX_sform("$_DMO_url/index/data/showdef",'POST','editatt'));

  if ($action) {
    switch($action) {
      case "addAttr":
        $att=new DMO_Attribute;
        $att->setAttr("definition",$def->id);
        $att->setAttr("name","New Attribute");
        $att->save();
        break;
      case "delAttr":
        $insatt=new DMO_Instattr;
        $list=$insatt->searchId("attribute",$attrId);
        $iacount=count($list);
        if ($iacount > 0) {
          pecho(DMO_message(sprintf(__D("The attribute you requested to be deleted is still linked to %d instances. Aborting.",$iacount))));
        } else {
          $att=new DMO_Attribute($attrId);
          $att->delete();
          pecho(DMO_message(__D("The attribute has been deleted.")));
        }
        LFX_unindent();
        pecho(LFX_echo("</td>"));
        pecho(LFX_estr());
        pecho(LFX_echo("<td>"));
        LFX_indent();
        break;
    }
  }

  pecho(LFX_startTables("100%",NULL,true));
  $defName=$def->getAttrH("name");
  pecho(DMO_swatchHeader(array(
    "title"=>sprintf(__D("Edit attributes for definition %s"),$defName),
    "create"=>"$_DMO_url/index/data/editatt?def={$def->id}&amp;tree={$tree->id}&amp;action=addAttr")));
  pecho(LFX_str());
  pecho(LFX_echo("<td>"));

  if(!$attr_list=$def->dmoAttrList()) {
    pecho(LFX_echo("[".(__D("no attributes"))."]"));
  } else {

    $definitions = $def->search(NULL,NULL,"name");
    $def_opt[]=array('value'=>0, 'display'=>__D("-Any Definition-"));
    foreach ($definitions as $definition) {
      $def_opt[]=array('value'=>$definition->id, 'display'=>$definition->getAttr('name'));
    }

    $att=new DMO_Attribute;
    $myAttrList=$att->searchId("definition",$def->id);
    pecho(LFX_echo("<table width='100%' border='0' cellpadding='0' cellspacing='$_DMO_spacing'>"));
    $i=0;
    while(list(,$att) = @each($attr_list)) {
      if ($i==0) {
        pecho(LFX_str());
        $i=1;
      } else {
        $i=0;
      }
      pecho(LFX_echo("<td valign='top' width='50%'>"));
      LFX_indent();
      
      pecho(LFX_startTables("100%"));
      $tmp=$att->getAttrH("name");
      $header=array("title"=>$tmp);
      if (@in_array($att->id,$myAttrList)) {
        $mine=true;
        $header["drop"]="$_DMO_url/index/data/editatt?def={$def->id}&amp;tree={$tree->id}&amp;attrId={$att->id}&amp;action=delAttr";
      } else {
        $mine=false;
        $header["locked"]=0;
        $attDef=$att->getAttr("definition");
        $header["update"]="$_DMO_url/index/data/editatt?def=$attDef&amp;tree={$tree->id}";
      }
      pecho(DMO_swatchHeader($header));
      
      pecho(LFX_str());
      pecho(LFX_echo("<td>"));

      pecho(LFX_startTables("100%"));
      
      if ($mine) {
        pecho(LFX_str());
        pecho(LFX_rth(__D("Name"),NULL,true));
        pecho(LFX_std());
        pecho(LFX_echo("<input type='text' name='name[{$att->id}]' value='$tmp'>",NULL,NULL,NULL,NULL,'100%'));
        if ($att->getAttr("data_type")=='select') {
          pecho(LFX_echo(' <a href="javascript:popup(\''.$_DMO_url.'/index/popups/SelectEditPopup?att_id='.$att->id.'\',\'400\',\'200\')">[Edit]</a>'));
        }
        pecho(LFX_etd());
        pecho(LFX_etr());
      }

      pecho(LFX_str());
      $tmp=$att->getAttrH("revision") + 1;
      pecho(LFX_rth(__D("Revision"),NULL,true));
      if ($mine) {
        pecho(LFX_td("<input type='text' name='revision[{$att->id}]' value='$tmp'>",NULL,NULL,NULL,NULL,'100%'));
      } else {
        pecho(LFX_td($tmp,NULL,NULL,NULL,NULL,'100%'));
      }
      pecho(LFX_etr());

      pecho(LFX_str());
      $tmp=$att->getAttrH("description");
      pecho(LFX_rth(__D("Description"),NULL,true));
      if ($mine) {
        pecho(LFX_td("<textarea name='description[{$att->id}]'>$tmp</textarea>"));
      } else {
        pecho(LFX_td($tmp));
      }
      pecho(LFX_etr());

      pecho(LFX_str());
      $tmp=$att->getAttrH("visible");
      pecho(LFX_rth(__D("Visible"),NULL,true));
      if ($mine) {
        pecho(LFX_echo("<td width='100%'>"));
        if ($tmp==0) {
          pecho(LFX_echo("<input type='radio' name='vis[{$att->id}]' value='1'>Yes"));
          pecho(LFX_echo("<input checked type='radio' name='vis[{$att->id}]' value='0'>No"));
        } else {
          pecho(LFX_echo("<input checked type='radio' name='vis[{$att->id}]' value='1'>Yes"));
          pecho(LFX_echo("<input type='radio' name='vis[{$att->id}]' value='0'>No"));
        }
        pecho(LFX_echo("</td>"));
      } else {
        $tmp=$tmp?"Yes":"No";
        pecho(LFX_td($tmp));
      }
      pecho(LFX_estr());      
      $tmp=$att->getAttr('is_password');
      pecho(LFX_rth(__D('Is Password'),NULL,true));
      if ($mine) {
        pecho(LFX_echo('<TD width="100%">'));
        if ($tmp==0) {
          pecho(LFX_echo("<input type='radio' name='passwd[{$att->id}]' value='1'>Yes"));
          pecho(LFX_echo("<input checked type='radio' name='passwd[{$att->id}]' value='0'>No"));          
        } else {
          pecho(LFX_echo("<input checked type='radio' name='passwd[{$att->id}]' value='1'>Yes"));
          pecho(LFX_echo("<input type='radio' name='passwd[{$att->id}]' value='0'>No"));          
        }
        pecho(LFX_echo('</TD>'));
      } else {
        $tmp=$tmp?'Yes':'No';
        pecho(LFX_td($tmp));
      }
      
      
      pecho(LFX_str());
      pecho(LFX_rth(__D("Data Type"),NULL,true));
      if ($mine) {
        pecho(LFX_std());
        $opt = array(
          array('value'=>'short_text', 'display'=>__D('Text line')), 
          array('value'=>'boolean', 'display'=>__D('Boolean')),
          array('value'=>'large_text', 'display'=>__D('Large Text')),
          array('value'=>'file', 'display'=>__D('File')),
          array('value'=>'instance', 'display'=>__D('Instance')),
          array('value'=>'user', 'display'=>__D('User')),
          array('value'=>'group', 'display'=>__D('Group')),
          array('value'=>'select', 'display'=>__D('Select')),
          array('value'=>'url_link', 'display'=>__D('URL Link'))
        );
        if ($_LFX['global']['applications']['HD']) {
          // Only if HelpDesk is installed
          $opt[]=array('value'=>'escalation_preset', 'display'=>__D('HelpDesk escalation preset'));
        }
        pecho(LFX_dropdownH("data_type[{$att->id}]",$opt,$att->getAttr("data_type"),"
        if (this.value == 'instance') {
          document.getElementById('attr_inst{$att->id}').style.display = 'table-row';
        } else {
          document.getElementById('attr_inst{$att->id}').style.display = 'none';
        }
        //alert(document.getElementById('attr_inst{$att->id}').style.display);
        "));
        pecho(LFX_etd());
      } else {
        pecho(LFX_td($att->getAttr("data_type")));
      }
      pecho(LFX_etr());

      if (!$mine && ($att->getAttr("data_type") == 'instance')) {
        $def_id = $att->getAttr("extra_type");
        if ($def_id) {
          $def->load($def_id);
          $def_name = $def->getAttr('name'); 
        } else {
          $def_name = __D('-Any Instance-');
        }
        pecho(LFX_str());
        pecho(LFX_rth(__D("Instance From"),NULL,true));
        pecho(LFX_td($def_name));
        pecho(LFX_etr());
      }      

      if ($mine) {
        $dsp = ($att->getAttr("data_type") == 'instance') ? 'table-row' : 'none';
        pecho(LFX_echo("<TR style='display:$dsp' id='attr_inst{$att->id}'>"));
        pecho(LFX_rth(__D("Instance From"),NULL,true));
        pecho(LFX_std());
        pecho(LFX_dropdownH("link_def[{$att->id}]",$def_opt,$att->getAttr("extra_type")));
        pecho(LFX_etd());
        pecho(LFX_echo("</TR>"));
      }

      pecho(LFX_str());
      $checked = ($att->getAttr("inheritable")) ? "checked" : "";
      pecho(LFX_rth(__D("Inheritable"),NULL,true));
      if ($mine) {
        pecho(LFX_td("<input type='checkbox' name='inheritbl[{$att->id}]' $checked>"));
      } else {
        pecho(LFX_td($att->getAttr("inheritable") ? "Yes" : "No"));
      }
      pecho(LFX_etr());
       
      pecho(LFX_etr());
      pecho(LFX_endTables());
      
      pecho(LFX_echo("</td>"));
      pecho(LFX_etr());

      pecho(LFX_endTables());
      
      LFX_unindent();
      pecho(LFX_echo("</td>"));
    }
    if ($i==1) {
    //  pecho(LFX_td("&nbsp;"));
    }
    pecho(LFX_etr());
    pecho(LFX_echo("</table>"));
  }

  pecho(LFX_echo("<input type='hidden' name='def' value='{$def->id}'>"));
  pecho(LFX_echo("<input type='hidden' name='ins' value='{$ins->id}'>"));
  pecho(LFX_echo("<input type='hidden' name='tree' value='{$tree->id}'>"));
  pecho(LFX_echo("<input type='hidden' name='action' value='editatt'>"));
  pecho(LFX_echo("</td>"));
  pecho(LFX_estr());
  pecho(LFX_td(
    "<div align='center'><input type='submit' name='confirm' value='".(__D("Edit"))."'>&nbsp;&nbsp;".
    "<input type='submit' name='cancel' value='".(__D("Cancel"))."'></div>"));
  pecho(LFX_etr());
  pecho(LFX_endTables());

  pecho(LFX_eform());
  LFX_unindent();
  pecho(LFX_echo("</td>"));
  pecho(LFX_etr());
  pecho(LFX_echo("</table>"));
?>
