<?

  /**
  * URL Editing Page
  * Bogdan Stancescu <bogdan@lanifex.com>, December 2002
  * $Id: editurl.php,v 1.8 2005/11/28 09:37:02 bogdan Exp $
  * @package DMO
  */
  
  _checkMeOut(__FILE__);

  $_incReq=array("DMO_url");
  include($_incMgr);
  LFX_include_class("DMO_Url_Instance");

  switch($action) {
    case "add":
      if (file_exists($urlUrl)) {
        preg_match("/[^0-9]([0-9]+)\.[a-zA-Z]{3,4}$/", $urlUrl, $matches);
        if (!(stristr($urlUrl, $matches[1])) && ($matches[1] != $ins->id)) {
          $_page->addError("A file link can't have a different instance id in its name.");
          break;
        }
      }
      $url=new DMO_url();
      $url->setAttrs(array(
        'title'=>$urlTitle,
        'description'=>$urlDesc,
        'date'=>time(),
        'url'=>$urlUrl));
      $url->save();
      $url->createLink('instances',$ins->id);
      break;
    case "link":
      $url_ins=new DMO_url_instance();
      $url_ins=$url_ins->search(array('url','instance'),array($url,$ins->id));
      if (count($url_ins)) {
        $_page->addError("A link between this instance and the selected url already exists!");
      } else {
        $ins_url=new DMO_url_instance();
        $ins_url->setAttr('url',$url);
        $ins_url->setAttr('instance',$ins->id);
        $ins_url->setAttr('owner',$owner,'gpc');
        $ins_url->setAttr('group',$group,'gpc');
        $ins_url->save();
      }
      break;
    case "unlink":
      $ins_url=new DMO_url_instance();
      $ins_url=$ins_url->search(array('url','instance'),array($url,$ins->id));
      if (count($ins_url)) {
        $ins_url=$ins_url[0];
        $ins_url->delete();
      } else {
        $_page->addError(__D("No link between the url and instance was found!"));
      }
      break;
    case "edit":
      $url=new DMO_url($urlEdit);
      if ($_page->user->getRights("DMO_url",'C')) {
        $url->setAttr("title",$urlTitle,"gpc");
        $url->setAttr("url",$urlUrl,"gpc");
        $url->setAttr("description",$urlDesc,"gpc");
        $url->save();
      }
      break;
    case 'url_link_edit':
      $url=new DMO_url($urlEdit);
      $ins_url=new DMO_url_instance();
      $ins_url=$ins_url->search(array('url','instance'),array($url->id,$ins->id));
      $ins_url=$ins_url[0];
      if (LFX_permsFilter($ins_url->getUserPerms(),'U')) {
        if (file_exists($urlUrl)) {
          preg_match("/[^0-9]([0-9]+)\.[a-zA-Z]{3,4}$/", $urlUrl, $matches);
          if (!(stristr($urlUrl, $matches[1])) && ($matches[1] != $ins->id)) {
            $_page->addError("A file link can't have a different instance id in its name.");
          }
        }
        $url->setAttr("title",$urlTitle,"gpc");
        $url->setAttr("url",$urlUrl,"gpc");
        $url->setAttr("description",$urlDesc,"gpc");
        $url->save();
        $ins_url->setAttr('owner',$owner,'gpc');
        $ins_url->setAttr('group',$group,'gpc');
        $ins_url->save();
      }
      break;
    case "delete":
      $url=new DMO_url($url);
      if ($_page->user->getRights("DMO_url",'D')) {
        $url->delete();
      }
      unset($url);
      break;
  }
  pecho(LFX_echo(""));
  pecho(LFX_echo("<!-- Edit URL -->"));

  pecho(LFX_sform($_DMO_url.'/index/data/editurl','POST','editURL'));

  pecho(LFX_echo("<table width='100%' border='0' cellpadding='0' cellspacing='$_DMO_spacing'>"));
  pecho(LFX_str());
  pecho(LFX_echo("<td>"));
  pecho(LFX_echo("<input type=hidden name=ins value={$ins->id}>"));
  LFX_indent();
  
  pecho(LFX_startTables("100%",NULL,true));
  pecho(DMO_swatchHeader(array("title"=>$ins->getAttr("name"),
    "explain"=>"$_DMO_url/?ins={$ins->id}", "addPadding"=>true)));
  $urls=$ins->getObjects("urls");
  if (count($urls)) {
    pecho(LFX_str());
    pecho(LFX_echo("<td>"));
    pecho(LFX_echo("<table width='100%' border='0' cellspacing='$_DMO_spacing' cellpadding='0'>"));
    pecho(LFX_str());
    $urlCount=0;
    for ($i=0;$i<count($urls);$i++) {
      if ($urlCount && (!($urlCount%2))) {
        pecho(LFX_estr());
      }
      $url=&$urls[$i];
      if ($_page->user->getRights("DMO_all_instances",'R')) {
        $urlCount++;
        pecho(LFX_echo("<td width='50%'>"));
        LFX_indent();
        include((dirname(__FILE__))."/editurl/url.php");
        LFX_unindent();
        pecho(LFX_echo("</td>"));
      }
    }
    if ($urlCount%2) {
      LFX_unindent();
      pecho(LFX_echo("<td width='50%'>&nbsp;</td>"));
    }
    pecho(LFX_etr());
    pecho(LFX_echo("</table>"));
    pecho(LFX_echo("</td>"));
    pecho(LFX_etr());
  }
  pecho(LFX_endTables());

  LFX_unindent();
  pecho(LFX_echo("</td>"));
  pecho(LFX_estr());
  pecho(LFX_echo("<td>"));
  LFX_indent();
  include((dirname(__FILE__))."/editurl/urlselect.php");
  LFX_unindent();
  pecho(LFX_echo("</td>"));
  pecho(LFX_estr());
  pecho(LFX_echo("<td>"));
  LFX_indent();
  include((dirname(__FILE__))."/editurl/addurl.php");

  LFX_unindent();
  pecho(LFX_echo("</td>"));
  pecho(LFX_etr());
  pecho(LFX_echo("</table>"));
  pecho(LFX_eform());
?>
