<?
  /**
  * The Instance List Page
  * Lucian Silistru <lucian@moongate.ro>, January 2003
  * $Id: listins.php,v 1.52 2005/11/28 09:37:02 bogdan Exp $
  * @package DMO
  */
  
  _checkMeOut(__FILE__);
  $_incReq=array('DMO_Instance','DMO_Instattr','DMO_Attribute','DMO_Temp');
  include($_incMgr);
  
  $_page->menu->focus('Definition Browser');  

  $defAttr=$def->dmoAttrList();
  //$defAttr[] = 13;
  $ins_ct=$def->getAttr('localInsCount');
  // If no instances are available, seamlessly redirecting to the definition details page
  if (!$ins_ct) {
    header('Location: '.$_DMO_url.'/index/data/showdef?def='.$def->id.'&tree='.$tree->id);
    die;
  }
  
  $_page->loaderHeader("<img src='$_DMO_url/images/login/logo.jpg'>");
  $_page->initLoader();
  
  // Defining $_SESSION['DMO']['instance_browser']['extra_columns'] so that
  // PHP remembers the extra columns a user wants to see for the entire session.

  if (!isset($_SESSION['DMO']['instance_browser']['extra_columns']))
   $_SESSION['DMO']['instance_browser']['extra_columns']=array('date'=>1, 'typ'=>1, 'purpose'=>1, 'owner'=>1, 'group'=>1, 'parent'=>1);
  $extcol=&$_SESSION['DMO']['instance_browser']['extra_columns'];
  

  /*
   *
   *   +++ First Time Run
   *
   */
   // if this is the first time the script is run or you add a new element to the table
  if (
    !isset($add) &&
    !isset($noshow) &&
    !isset($sort) &&
    !isset($tosort) &&
    !isset($page_size)
  ) {
    $date=$extcol['date'];
    $typ=$extcol['typ'];
    $paren=$extcol['paren'];
    $purpose=$extcol['purpose'];
    $owner=$extcol['owner'];
    $group=$extcol['group'];
    $child=$extcol['child'];
    $depend=$extcol['depend'];
    $revision=$extcol['revision'];
    $serial=$extcol['serial'];
    $serial=$extcol['location'];
    $inventory=$extcol['inventory'];
    
    for ($i=0;$i<count($defAttr);$i++) {
      $att[$i]=0;
    }
    
    $sort[0]=0;
    $srt=0;
    $page_size=50;
    $first=1;
    $cp=1;
  }
  //end of first time run


  // Checking whether the attributes of this definition are already selected to be viewed.
  if (count($extcol))
    foreach ($extcol as $attr=>$value) {
      for ($i=0;$i<count($defAttr);$i++)
        if (($value==1) && ($attr==$defAttr[$i]->getAttr("name")))
          $attr_list[] = $defAttr[$i]->id;
          $att["$i"]=1;
  }

  /*
  *
  *    +++ Add/Remove columns
  *
  */
  //add column
  if (isset($addatt)) {
    if ($addatt != "-") { 
      switch ($addatt) {
        case "date":      $date      = $extcol['date']      = 1; break;
        case "revision":  $revision  = $extcol['revision']  = 1; break;
        case "serial":    $serial    = $extcol['serial']    = 1; break;
        case "location":  $location  = $extcol['location']  = 1; break;
        case "purpose":   $purpose   = $extcol['purpose']   = 1; break;
        case "inventory": $inventory = $extcol['inventory'] = 1; break;
        case "type":      $typ       = $extcol['typ']       = 1; break;
        case "parent":    $paren     = $extcol['paren']     = 1; break;
        case "owner":     $owner     = $extcol['owner']     = 1; break;
        case "group":     $group     = $extcol['group']     = 1; break;
        case "child":     $child     = $extcol['child']     = 1; break;
        case "depend":    $depend    = $extcol['depend']    = 1; break;
        default:          
          if ($addatt) {
            $att[$addatt]=1;
            $attName=$defAttr[$addatt]->getAttr("name");
            $extcol[$attName]=1;
          }
      }
      unset($addatt);
    }
  }
  // end add column

  // deleting column
  if (isset($noshow)) {
    switch ($noshow) {
      case "date"     : $date=$extcol['date']=0; break;
      case "revision" : $revision=$extcol['revision']=0; break;
      case "serial"   : $serial=$extcol['serial']=0; break;
      case "location" : $location=$extcol['location']=0; break;
      case "purpose"  : $purpose=$extcol['purpose']=0; break;
      case "inventory": $inventory=$extcol['inventory']=0; break;
      case "type"     : $typ=$extcol['typ']=0; break;
      case "parent"   : $paren=$extcol['paren']=0; break;
      case "owner"    : $owner=$extcol['owner']=0; break;
      case "group"    : $group=$extcol['group']=0; break;
      case "child"    : $child=$extcol['child']=0; break;
      case "depend"   : $depend=$extcol['depend']=0; break;
      default         : 
        $att[$noshow]=0;
        $attName=$defAttr[$noshow]->getAttr("name");
        $extcol[$attName]=0;

        //temporary solution
        unset($sort);
        break;
    }
  }
  //end deleting column

  //has page size been modified?
  if (isset($pg_size)) {
    $page_size=$pg_size;
    if (floor($first/$page_size)==$first/$page_size) {
      $first=(floor($first/$page_size)-1)*$page_size+1;      
    } else {
      $first=floor($first/$page_size)*$page_size+1;
    }
    $cp=($first-1)/$page_size+1;
    unset($pg_size);
  }
  //end page size
  
  //current page modification
  if (isset($cp)) {
    $first=$page_size*($cp-1)+1;
  }
  //end current page modification
  
  /*
  *
  *   +++ Sort array resolving
  *
  */
  // begin sort array resolving
  if (isset($tosort)) {
    switch ($tosort) {
      case "attr"     :
        if (isset($sort)) {
          $pos=$ins->arrayMultiSearch($attID,$sort);          
        } else {
          $pos=false;
        }              
        if ($pos!==false) {
          for ($i=0;$i<count($pos);$i++) {
            if ($tby==$by[$pos[$i]]) {
              $ps=$pos[$i];
            }
          } 
          unset($pos);
          $pos=$ps;
          unset($ps);
          if ($tord==$ord[$pos] && $tby==$by[$pos]) {
            for ($i=$pos;$i<$srt;$i++) {
              if ($srt!=1) {
                $sort[$i]=$sort[$i+1];
                $ord[$i]=$ord[$i+1];
                $by[$i]=$by[$i+1];
              } else {
                unset($sort);
                unset($ord);
                unset($by);
                $sort[0]="0";
              }
            }
            $srt--;
          } else {
            if ($tby==$by[$pos]) {
              $sort[$srt]=$attID;
              $ord[$srt]=$tord;
              $by[$srt]=$tby;
              for ($i=$pos;$i<$srt;$i++) {
                $sort[$i]=$sort[$i+1];
                $ord[$i]=$ord[$i+1];
                $by[$i]=$by[$i+1];
              }
              unset($sort[$srt]);
            } else {
              $sort[$srt]=$attID;
              $ord[$srt]=$tord;
              $by[$srt]=$tby;
              $srt++;
            }
          }
        } else {
          $sort[$srt]=$attID;
          $ord[$srt]=$tord;
          $by[$srt]=$tby;
          $srt++;
        }
        break;
      default:
        if (isset($sort)) {
          $pos=array_search($tosort,$sort);
        } else {
          $pos=false;
        }  
        if ($pos!==false) {
          if ($tord==$ord[$pos]) {
            for ($i=$pos;$i<$srt;$i++) {
              if ($srt!=1) {
                $sort[$i]=$sort[$i+1];
                $ord[$i]=$ord[$i+1];
              } else {
                unset($sort);
                unset($ord);
                unset($by);
                $sort[0]="0";
              }
            }
            $srt--;
          } else {
            $sort[$srt]=$tosort;
            $ord[$srt]=$tord;
            for ($i=$pos;$i<$srt;$i++) {
              $sort[$i]=$sort[$i+1];
              $ord[$i]=$ord[$i+1];
            unset($sort[$srt]);
            }
          }
        } else {
          $sort[$srt]=$tosort;
          $ord[$srt]=$tord;
          $srt++;
        }
    }
  }
  // end sort array resolving
  //sorting
  //decho(vardump($sort));

  $insID=$ins->DMOsortID($def->id,$sort,$ord,$by,$page_size,$first,$attr_list);
  $sql=$ins->sortQuery;
  
 // decho(vardump($sql));
/*  $sqlText=LFX_buildSQL($sql);
  decho(vardump($sqlText));
  */
  unset($insList);
  $insList=$ins->instantiate($insID);

  /*
  base URL to use for data sending. in other ops (rem column, sort) we add a noshow, nosort, tosort, tord var
  also cp, first can be reappended when changing pages
  */
  $urladd="$_DMO_url/index/data/listins?".
    "cp=$cp&amp;".
    "first=$first&amp;".
    "page_size=$page_size&amp;".
    "srt=$srt&amp;".
    "ins={$ins->id}&amp;".
    "def={$def->id}&amp;".
    "date=$date&amp;".
    "purpose=$purpose&amp;".
    "revision=$revision&amp;".
    "serial=$serial&amp;".
    "location=$location&amp;".
    "inventory=$inventory&amp;".
    "typ=$typ&amp;".
    "paren=$paren&amp;".
    "owner=$owner&amp;".
    "group=$group&amp;".
    "child=$child&amp;".
    "depend=$depend";
  for ($i=0;$i<count($defAttr);$i++) {
    $urladd.="&amp;att[".$i."]={$att[$i]}";
  }
  //decho(vardump($srt));
  for ($i=0;$i<$srt;$i++) {
    $urladd.="&amp;sort[".$i."]={$sort[$i]}&amp;ord[".$i."]={$ord[$i]}&amp;by[".$i."]={$by[$i]}";
  }
  /*
  end base URL
  */

  // Add to instance selections
  if ($addSels) {
    for ($i=0;$i<count($insList);$i++) {//$page_size
      if ($a[$i]=="on") {
        $insList[$i]->addToSelection(session_id());
      }
    }
    unset($a,$addSels,$sel,$same);
  }
  // END add to selection
  
  // Replace current selection with the instances with checkboxes set
  if ($replaceSel) {
    $sel=new DMO_Selection;
    if ($sel->clearSelection(session_id())) {
      for ($i=0;$i<count($insList);$i++) {//$page_size
        if ($a[$i]=="on") {
          $insList[$i]->addToSelection(session_id());
        }
      }
    } else {
      $_page->addError('Selection could not be cleared (in showresults.php)');
    }
  }
  //END Replace  

  pecho(LFX_echo("<table cellspacing='$_DMO_spacing' width='100%'>"));
  pecho(LFX_echo("<tr><td>"));
 
  //CHNG:MB:2005-04-21 

  if (!$date) {
    $options[]=array('value'=>'date', 'display'=>__D("Date&nbsp;Created"));
  }
  if (!$group) {
    $options[]=array('value'=>'group', 'display'=>__D("Group"));
  }
  if (!$inventory) {
    $options[]=array('value'=>'inventory', 'display'=>__D("Inventory"));
  }
  if (!$child) {
    $options[]=array('value'=>'child', 'display'=>__D("Number of Children"));
  }
  if (!$depend) {
    $options[]=array('value'=>'depend', 'display'=>__D("Number of Dependencies"));
  }  
  if (!$owner) {
    $options[]=array('value'=>'owner', 'display'=>__D("Owner"));
  }
  if (!$paren) {
    $options[]=array('value'=>'parent', 'display'=>__D("Parent"));
  }
  if (!$purpose) {
    $options[]=array('value'=>'purpose', 'display'=>__D("Purpose"));
  }
  if (!$revision) {
    $options[]=array('value'=>'revision', 'display'=>__D("Revision"));
  }
  if (!$serial) {
    $options[]=array('value'=>'serial', 'display'=>__D("Serial"));
  }
  if (!$location) {
    $options[]=array('value'=>'location', 'display'=>__D("Location"));
  }
  if (!$typ) {
    $options[]=array('value'=>'type', 'display'=>__D("Type"));
  }

  for ($i=0;$i<count($defAttr);$i++) {
    if (!$att["$i"]) {
      $nm=$defAttr[$i]->getAttr("name");
      $options[]=array('value'=>$i, 'display'=>$nm);
    }
  }

  foreach ($options as $key => $row) {
    $val[$key]  = $row['value'];
    $disp[$key] = $row['display'];
  }
  array_multisort($disp, SORT_ASC, $val, SORT_ASC, $options);

  $ttl.=LFX_dropdownH('addatt', $options, $val[0]);
  $ttl.="&nbsp;<input type='submit' name='add' value='".__D("Add Column")."'>";    

  pecho(LFX_echo("<form action=\"$urladd\" method=\"post\">"));
  pecho(LFX_echo("<table width=\"100%\" cellpadding=\"2\" cellspacing=\"0\" style=\"border: solid " . $LFX_col_dk_dk . " 1px;\">"));
  pecho(LFX_echo("<thead>"));
  pecho(LFX_echo("<tr>"));
  pecho(LFX_echo("<td width=\"40%\" nowrap>"));
  pecho(LFX_echo($ttl));
  pecho(LFX_echo("</td>"));
  pecho(LFX_echo("<td width=\"20%\">Page Size&nbsp;&nbsp<input type=\"text\" size=\"3\" name=\"pg_size\" value=\"$page_size\">"));
  pecho(LFX_echo("</td>"));
  pecho(LFX_echo("<td>"));

  // Show page number... reduced size
  $pages_ct=ceil($ins_ct/$page_size);
  $ttl="Page ";
  if ($cp>1) {
    if ($cp!=2) {
      $ttl.="&nbsp;<a href='$urladd&amp;cp=1&amp;first=1'><img src='$_DMO_icon_frew' border='0' alt='|&lt;-'></a>&nbsp;";
    } else {
      $ttl.="&nbsp;&nbsp;&nbsp;";
    }
    $prev=$cp-1;
    $fst=($prev-1)*$page_size+1;
    $ttl.="&nbsp;<a href='$urladd&amp;cp=$prev&amp;first=$fst'><img src='$_DMO_icon_rew' border='0' alt='&lt;-'></a>&nbsp;";
    unset($prev);
  }
  for ($i=$cp-3;$i<$cp;$i++) {
    if ($i<1) {
      continue;
    }
    $fst=($i-1)*$page_size+1;
    $ttl.="&nbsp;<a href='$urladd&amp;cp=$i&amp;first=$fst'>$i</a>&nbsp;";
  }
  $ttl.="&nbsp;[$cp]&nbsp;";
  for ($i=$cp+1;$i<=$cp+3;$i++) {
    if ($i>$pages_ct) {
      continue;
    }
    $fst=($i-1)*$page_size+1;
    $ttl.="&nbsp;<a href='$urladd&amp;cp=$i&amp;first=$fst'>$i</a>&nbsp;";
  }
  if ($cp<$pages_ct) {
    $next=$cp+1;
    $fst=($next-1)*$page_size+1;
    $ttl.="&nbsp;<a href='$urladd&amp;cp=$next&amp;first=$fst'><img src='$_DMO_icon_fwd' border='0' alt='-&gt;'></a>&nbsp;";
    unset($next);
    if ($cp!=$pages_ct-1) {
      $fst=($pages_ct-1)*$page_size+1;
      $ttl.="&nbsp;<a href='$urladd&amp;cp=$pages_ct&amp;first=$fst'><img src='$_DMO_icon_ffwd' border='0' alt='-&gt;|'></a>&nbsp;";
    }
  }
  pecho(LFX_echo($ttl));
  //END Show page numbers
  pecho(LFX_echo("</td>"));
  pecho(LFX_echo("</tr>"));
  pecho(LFX_echo("</thead>"));
  pecho(LFX_echo("</table>"));
  pecho(LFX_echo("</form>"));
  ///CHNG:MB:2005-04-21
  
  pecho(LFX_echo("</td></tr>"));
  pecho(LFX_echo("<tr><td colspan=3>"));
  
  // Report creation data
  $tmp=new DMO_Temp();
  $tmp->setAttr('session',session_id());
  unset($sql['limit']);
  LFX_include('LFX_Query_Manager');
  $sql=LFX_buildSQL($sql);
  $tmp->setAttr('query',$sql);
  $sql=$tmp->save();
  $name=$def->getAttr("name");
  
  //This is where we output the page
  pecho(LFX_sform("$urladd",'POST','listform'));

  pecho(LFX_startTables("100%"));
  $nm=$def->getLinkH();
  $sh_array=array(
    'title'=>sprintf(__D('%s Instance List'),$nm),
    'report'=>$_DMO_url.'/index/reports/instance/?from=bydef&amp;nm='.$name.'&amp;sqlID='.$sql
  );
  if (LFX_permsFilter($def->getUserPerms(),'I')) {
    $sh_array['create_instance']="$_DMO_url/index/data/addins?def={$def->id}&amp;tree={$tree->id}";
    $sh_array['multi_create_instance']="$_DMO_url/index/data/addins_multi?def={$def->id}&amp;tree={$tree->id}";
  }
  if (LFX_permsFilter($def->getUserPerms(),'C')) {  
    $sh_array['create_definition']="$_DMO_url/index/data/adddef?def={$def->id}&amp;parentDef={$def->id}&amp;tree={$tree->id}";
  }  
  pecho(DMO_swatchHeader($sh_array));
  unset($nm);
  pecho(LFX_str());
  pecho(LFX_echo("<td>"));
  pecho(LFX_startTables("100%"));
  pecho(LFX_str());
  pecho(LFX_echo('<td>'));
  // Checkbox that selects all boxes on current page
  $tmp_ct=count($insList);
  pecho(LFX_echo("
  <script language='JavaScript'>
  <!--
    function check_boxes()
    {
      for (j=0;j<$tmp_ct;j++) {
        if (document.listform.checkall.checked==true) {
          document.listform.elements['a['+j+']'].checked=true;
        } else {
          document.listform.elements['a['+j+']'].checked=false;
        }
      }
    }
  //-->
  </script>"));
  pecho(LFX_echo("<INPUT type='checkbox' name='checkall' onClick='check_boxes();'>"));
  //END full selection
  pecho(LFX_echo('</td>'));
  pecho(LFX_td());
  pecho(LFX_echo("
    <td style='text-align: center'>
    <b>".__D('Name')."</b>
    </td>
  "));
  if ($date==1) {
    pecho(LFX_echo("
      <td style='text-align: center'>
      <b>".__D('Date&nbsp;Created')."</b>
      </td>
    "));
  }
  if ($revision) {
    pecho(LFX_echo("
      <td style='text-align: center'>
      <b>".__D('Revision')."</b>
      </td>
    "));
  }
  if ($serial) {
    pecho(LFX_echo("
      <td style='text-align: center'>
      <b>".__D('Serial')."</b>
      </td>
    "));
  }
  if ($location) {
    pecho(LFX_echo("
      <td style='text-align: center'>
      <b>".__D('Location')."</b>
      </td>
    "));
  }
  if ($purpose) {
    pecho(LFX_echo("
      <td style='text-align: center'>
      <b>".__D('Purpose')."</b>
      </td>
    "));
  }
  if ($inventory) {
    pecho(LFX_echo("
      <td style='text-align: center'>
      <b>".__D('Inventory')."</b>
      </td>
    "));
  }
  if ($typ) {
    pecho(LFX_echo("
      <td style='text-align: center'>
      <b>".__D('Type')."</b>
      </td>
    "));
  }
  if ($owner) {
    pecho(LFX_echo("
      <td style='text-align: center'>
      <b>".__D('Owner')."</b>
      </td>
    "));
  }
  if ($group) {
    pecho(LFX_echo("
      <td style='text-align: center'>
      <b>".__D('Group')."</b>
      </td>
    "));
  }
  if ($paren) {
    pecho(LFX_echo("
      <td style='text-align: center'>
      <b>".__D('Parent')."</b>
      </td>
    "));
  }
  if ($child) {
    pecho(LFX_echo("
      <td style='text-align: center'>
      <b>".__D('Children')."</b>
      </td>
    "));
  }
  if ($depend) {
    pecho(LFX_echo("
      <td style='text-align: center'>
      <b>".__D('Dependencies')."</b>
      </td>
    "));
  }  
  for ($i=0;$i<count($defAttr);$i++) { //name header for non-core attributes 
    if ($att["$i"]==1) {
      $nm=$defAttr[$i]->getAttr("name");
      $attID=$defAttr[$i]->id;
      pecho(LFX_echo("
        <td colspan='2' style='text-align: center'>
        <b>".__D($nm)."</b>
        </td>
      "));
    }
  }
  pecho(LFX_estr());
  pecho(LFX_td());
  pecho(LFX_td());

  if (!$tosort) {
    unset($sort);
  }

  if (isset($sort)) {
    $pos=array_search("name",$sort);
  } else {
    $pos=false;
  }
  if (($pos!==false) && ($pos!==NULL)) {
    if ($ord[$pos]=="1") {
      $down="<img src='$_DMO_icon_down' border='0'>";
      $up="<img src='$_DMO_icon_up_disabled' border='0'>";
    } else {
      $down="<img src='$_DMO_icon_down_disabled' border='0'>";
      $up="<img src='$_DMO_icon_up' border='0'>";
    }
    $nr=$pos+1;    
  } else {
    $down="<img src='$_DMO_icon_down_disabled' border='0'>";
    $up="<img src='$_DMO_icon_up_disabled' border='0'>";
    $nr="";
  }
  
  pecho(LFX_echo("
    <td style='text-align: center'>$nr
    <a href='$urladd&amp;tosort=name&amp;tord=1'>$down</a>
    <a href='$urladd&amp;tosort=name&amp;tord=0'>$up</a></td>
  ")); 
  if ($date) {
    if (isset($sort)) {
      $pos=array_search("date",$sort);
    } else {
      $pos=false;
    }
    if ($pos!==false && $pos!==NULL) {
      if ($ord[$pos]=="1") {
        $down="<img src='$_DMO_icon_down' border='0'>";
        $up="<img src='$_DMO_icon_up_disabled' border='0'>";
      } else {
        $down="<img src='$_DMO_icon_down_disabled' border='0'>";
        $up="<img src='$_DMO_icon_up' border='0'>";
      }
      $nr=$pos+1;
    } else {
      $down="<img src='$_DMO_icon_down_disabled' border='0'>";
      $up="<img src='$_DMO_icon_up_disabled' border='0'>";
      $nr="";
    }
    
    pecho(LFX_echo("
      <td style='text-align: center'>$nr
      <a href='$urladd&amp;tosort=date&amp;tord=1'>$down</a>
      <a href='$urladd&amp;tosort=date&amp;tord=0'>$up</a>
      <a href='$urladd&amp;noshow=date'><img alt='Remove Column' src='$_DMO_icon_drop' border='0'></a></td>
    "));
  }
  if ($revision) {
    if (isset($sort)) {
      $pos=array_search("revision",$sort);
    } else {
      $pos=false;
    }
    if ($pos!==false && $pos!==NULL) {
      if ($ord[$pos]=="1") {
        $down="<img src='$_DMO_icon_down' border='0'>";
        $up="<img src='$_DMO_icon_up_disabled' border='0'>";
      } else {
        $down="<img src='$_DMO_icon_down_disabled' border='0'>";
        $up="<img src='$_DMO_icon_up' border='0'>";
      }
      $nr=$pos+1;
    } else {
      $down="<img src='$_DMO_icon_down_disabled' border='0'>";
      $up="<img src='$_DMO_icon_up_disabled' border='0'>";
      $nr="";
    }
    pecho(LFX_echo("
      <td style='text-align: center'>$nr
      <a href='$urladd&amp;tosort=revision&amp;tord=1'>$down</a>
      <a href='$urladd&amp;tosort=revision&amp;tord=0'>$up</a>
      <a href='$urladd&amp;noshow=revision'><img alt='Remove Column' src='$_DMO_icon_drop' border='0'></a></td>
    "));
  }
  if ($serial) {
    if (isset($sort)) {
      $pos=array_search("serial",$sort);
    } else {
      $pos=false;
    }
    if ($pos!==false && $pos!==NULL) {
      if ($ord[$pos]=="1") {
        $down="<img src='$_DMO_icon_down' border='0'>";
        $up="<img src='$_DMO_icon_up_disabled' border='0'>";
      } else {
        $down="<img src='$_DMO_icon_down_disabled' border='0'>";
        $up="<img src='$_DMO_icon_up' border='0'>";
      }
      $nr=$pos+1;
    } else {
      $down="<img src='$_DMO_icon_down_disabled' border='0'>";
      $up="<img src='$_DMO_icon_up_disabled' border='0'>";
      $nr="";
    }
    pecho(LFX_echo("
      <td style='text-align: center'>$nr
      <a href='$urladd&amp;tosort=serial&amp;tord=1'>$down</a>
      <a href='$urladd&amp;tosort=serial&amp;tord=0'>$up</a>
      <a href='$urladd&amp;noshow=serial'><img alt='Remove Column' src='$_DMO_icon_drop' border='0'></a></td>
    "));
  }
  if ($location) {
    if (isset($sort)) {
      $pos=array_search("location",$sort);
    } else {
      $pos=false;
    }
    if ($pos!==false && $pos!==NULL) {
      if ($ord[$pos]=="1") {
        $down="<img src='$_DMO_icon_down' border='0'>";
        $up="<img src='$_DMO_icon_up_disabled' border='0'>";
      } else {
        $down="<img src='$_DMO_icon_down_disabled' border='0'>";
        $up="<img src='$_DMO_icon_up' border='0'>";
      }
      $nr=$pos+1;
    } else {
      $down="<img src='$_DMO_icon_down_disabled' border='0'>";
      $up="<img src='$_DMO_icon_up_disabled' border='0'>";
      $nr="";
    }
    pecho(LFX_echo("
      <td style='text-align: center'>$nr
      <a href='$urladd&amp;tosort=location&amp;tord=1'>$down</a>
      <a href='$urladd&amp;tosort=location&amp;tord=0'>$up</a>
      <a href='$urladd&amp;noshow=location'><img alt='Remove Column' src='$_DMO_icon_drop' border='0'></a></td>
    "));
  }
  if ($purpose) {
    if (isset($sort)) {
      $pos=array_search("purpose",$sort);
    } else {
      $pos=false;
    }
    if ($pos!==false && $pos!==NULL) {
      if ($ord[$pos]=="1") {
        $down="<img src='$_DMO_icon_down' border='0'>";
        $up="<img src='$_DMO_icon_up_disabled' border='0'>";
      } else {
        $down="<img src='$_DMO_icon_down_disabled' border='0'>";
        $up="<img src='$_DMO_icon_up' border='0'>";
      }
      $nr=$pos+1;
    } else {
      $down="<img src='$_DMO_icon_down_disabled' border='0'>";
      $up="<img src='$_DMO_icon_up_disabled' border='0'>";
      $nr="";
    }
    pecho(LFX_echo("
      <td style='text-align: center'>$nr
      <a href='$urladd&amp;tosort=purpose&amp;tord=1'>$down</a>
      <a href='$urladd&amp;tosort=purpose&amp;tord=0'>$up</a>
      <a href='$urladd&amp;noshow=purpose'><img alt='Remove Column' src='$_DMO_icon_drop' border='0'></a></td>
    "));
  }
  if ($inventory) {
    if (isset($sort)) {
      $pos=array_search("inventory",$sort);
    } else {
      $pos=false;
    }
    if ($pos!==false && $pos!==NULL) {
      if ($ord[$pos]=="1") {
        $down="<img src='$_DMO_icon_down' border='0'>";
        $up="<img src='$_DMO_icon_up_disabled' border='0'>";
      } else {
        $down="<img src='$_DMO_icon_down_disabled' border='0'>";
        $up="<img src='$_DMO_icon_up' border='0'>";
      }
      $nr=$pos+1;
    } else {
      $down="<img src='$_DMO_icon_down_disabled' border='0'>";
      $up="<img src='$_DMO_icon_up_disabled' border='0'>";
      $nr="";
    }
    pecho(LFX_echo("
      <td style='text-align: center'>$nr
      <a href='$urladd&amp;tosort=inventory&amp;tord=1'>$down</a>
      <a href='$urladd&amp;tosort=inventory&amp;tord=0'>$up</a>
      <a href='$urladd&amp;noshow=inventory'><img alt='Remove Column' src='$_DMO_icon_drop' border='0'></a></td>
    "));
  }
  if ($typ) {
    if (isset($sort)) {
      $pos=array_search("type",$sort);
    } else {
      $pos=false;
    }
    if ($pos!==false && $pos!==NULL) {
      if ($ord[$pos]=="1") {
        $down="<img src='$_DMO_icon_down' border='0'>";
        $up="<img src='$_DMO_icon_up_disabled' border='0'>";
      } else {
        $down="<img src='$_DMO_icon_down_disabled' border='0'>";
        $up="<img src='$_DMO_icon_up' border='0'>";
      }
      $nr=$pos+1;
    } else {
      $down="<img src='$_DMO_icon_down_disabled' border='0'>";
      $up="<img src='$_DMO_icon_up_disabled' border='0'>";
      $nr="";
    }
    pecho(LFX_echo("
      <td style='text-align: center'>$nr
      <a href='$urladd&amp;tosort=type&amp;tord=1'>$down</a>
      <a href='$urladd&amp;tosort=type&amp;tord=0'>$up</a>
      <a href='$urladd&amp;noshow=type'><img alt='Remove Column' src='$_DMO_icon_drop' border='0'></a></td>
    "));
  }
  if ($owner) {
    if (isset($sort)) {
      $pos=array_search("owner",$sort);
    } else {
      $pos=false;
    }
    if ($pos!==false && $pos!==NULL) {
      if ($ord[$pos]=="1") {
        $down="<img src='$_DMO_icon_down' border='0'>";
        $up="<img src='$_DMO_icon_up_disabled' border='0'>";
      } else {
        $down="<img src='$_DMO_icon_down_disabled' border='0'>";
        $up="<img src='$_DMO_icon_up' border='0'>";
      }
      $nr=$pos+1;
    } else {
      $down="<img src='$_DMO_icon_down_disabled' border='0'>";
      $up="<img src='$_DMO_icon_up_disabled' border='0'>";
      $nr="";
    }
    pecho(LFX_echo("
      <td style='text-align: center'>$nr
      <a href='$urladd&amp;tosort=owner&amp;tord=1'>$down</a>
      <a href='$urladd&amp;tosort=owner&amp;tord=0'>$up</a>
      <a href='$urladd&amp;noshow=owner'><img alt='Remove Column' src='$_DMO_icon_drop' border='0'></a></td>
    "));
  }
  if ($group) {
    if (isset($sort)) {
      $pos=array_search("group",$sort);
    } else {
      $pos=false;
    }
    if ($pos!==false && $pos!==NULL) {
      if ($ord[$pos]=="1") {
        $down="<img src='$_DMO_icon_down' border='0'>";
        $up="<img src='$_DMO_icon_up_disabled' border='0'>";
      } else {
        $down="<img src='$_DMO_icon_down_disabled' border='0'>";
        $up="<img src='$_DMO_icon_up' border='0'>";
      }
      $nr=$pos+1;
    } else {
      $down="<img src='$_DMO_icon_down_disabled' border='0'>";
      $up="<img src='$_DMO_icon_up_disabled' border='0'>";
      $nr="";
    }
    pecho(LFX_echo("
      <td style='text-align: center'>$nr
      <a href='$urladd&amp;tosort=group&amp;tord=1'>$down</a>
      <a href='$urladd&amp;tosort=group&amp;tord=0'>$up</a>
      <a href='$urladd&amp;noshow=group'><img alt='Remove Column' src='$_DMO_icon_drop' border='0'></a></td>
    "));
  }
  if ($paren) {
    if (isset($sort)) {
      $pos=array_search("parent",$sort);
    } else {
      $pos=false;
    }
    if ($pos!==false && $pos!==NULL) {
      if ($ord[$pos]=="1") {
        $down="<img src='$_DMO_icon_down' border='0'>";
        $up="<img src='$_DMO_icon_up_disabled' border='0'>";
      } else {
        $down="<img src='$_DMO_icon_down_disabled' border='0'>";
        $up="<img src='$_DMO_icon_up' border='0'>";
      }
      $nr=$pos+1;
    } else {
      $down="<img src='$_DMO_icon_down_disabled' border='0'>";
      $up="<img src='$_DMO_icon_up_disabled' border='0'>";
      $nr="";
    }
    pecho(LFX_echo("
      <td style='text-align: center'>$nr
      <a href='$urladd&amp;tosort=parent&amp;tord=1'>$down</a>
      <a href='$urladd&amp;tosort=parent&amp;tord=0'>$up</a>
      <a href='$urladd&amp;noshow=parent'><img alt='Remove Column' src='$_DMO_icon_drop' border='0'></a></td>
    "));
  }
  if ($child) {
    if (isset($sort)) {
      $pos=array_search("child",$sort);
    } else {
      $pos=false;
    }
    if ($pos!==false && $pos!==NULL) {
      if ($ord[$pos]=="1") {
        $down="<img src='$_DMO_icon_down' border='0'>";
        $up="<img src='$_DMO_icon_up_disabled' border='0'>";
      } else {
        $down="<img src='$_DMO_icon_down_disabled' border='0'>";
        $up="<img src='$_DMO_icon_up' border='0'>";
      }
      $nr=$pos+1;
    } else {
      $down="<img src='$_DMO_icon_down_disabled' border='0'>";
      $up="<img src='$_DMO_icon_up_disabled' border='0'>";
      $nr="";
    }
    pecho(LFX_echo("
      <td style='text-align: center'>$nr
      <a href='$urladd&amp;tosort=child&amp;tord=1'>$down</a>
      <a href='$urladd&amp;tosort=child&amp;tord=0'>$up</a>
      <a href='$urladd&amp;noshow=child'><img alt='Remove Column' src='$_DMO_icon_drop' border='0'></a></td>
    "));
  }  
  if ($depend) {
    if (isset($sort)) {
      $pos=array_search("depend",$sort);
    } else {
      $pos=false;
    }
    if ($pos!==false && $pos!==NULL) {
      if ($ord[$pos]=="1") {
        $down="<img src='$_DMO_icon_down' border='0'>";
        $up="<img src='$_DMO_icon_up_disabled' border='0'>";
      } else {
        $down="<img src='$_DMO_icon_down_disabled' border='0'>";
        $up="<img src='$_DMO_icon_up' border='0'>";
      }
      $nr=$pos+1;
    } else {
      $down="<img src='$_DMO_icon_down_disabled' border='0'>";
      $up="<img src='$_DMO_icon_up_disabled' border='0'>";
      $nr="";
    }
    pecho(LFX_echo("
      <td style='text-align: center'>$nr
      <a href='$urladd&amp;tosort=depend&amp;tord=1'>$down</a>
      <a href='$urladd&amp;tosort=depend&amp;tord=0'>$up</a>
      <a href='$urladd&amp;noshow=depend'><img alt='Remove Column' src='$_DMO_icon_drop' border='0'></a></td>
    "));
  }
    //decho(vardump($defAttr));  
  for ($i=0;$i<count($defAttr);$i++) { //sort header for non-core attributes

    if (($att["$i"]==1)) {
      $attID=$defAttr[$i]->id;
      if (isset($sort)) {
        $pos=$ins->arrayMultiSearch($attID,$sort);
      } else {
        $pos=false;
      }
      if ($pos!==false && $pos!==NULL) {
        if (count($pos)==2) {
          for ($j=0;$j<2;$j++) {
            if ($by[$pos[$j]]=="text") {
              if ($ord[$pos[$j]]=="1") {
                $downt="<img src='$_DMO_icon_down' border='0'>";
                $upt="<img src='$_DMO_icon_up_disabled' border='0'>";
              } else {
                $downt="<img src='$_DMO_icon_down_disabled' border='0'>";
                $upt="<img src='$_DMO_icon_up' border='0'>";
              }          
              $nrt=$pos[$j]+1;
            } else {
              if ($ord[$pos[$j]]=="1") {
                $downv="<img src='$_DMO_icon_down' border='0'>";
                $upv="<img src='$_DMO_icon_up_disabled' border='0'>";
              } else {
                $downv="<img src='$_DMO_icon_down_disabled' border='0'>";
                $upv="<img src='$_DMO_icon_up' border='0'>";
              }          
              $nrv=$pos[$j]+1;
            }          
          }
        } else {
          if ($by[$pos[0]]=="text") {
            if ($ord[$pos[0]]=="1") {
              $downt="<img src='$_DMO_icon_down' border='0'>";
              $upt="<img src='$_DMO_icon_up_disabled' border='0'>";
            } else {
              $downt="<img src='$_DMO_icon_down_disabled' border='0'>";
              $upt="<img src='$_DMO_icon_up' border='0'>";
            }          
            $nrt=$pos[0]+1;
            $downv="<img src='$_DMO_icon_down_disabled' border='0'>";
            $upv="<img src='$_DMO_icon_up_disabled' border='0'>";
            $nrv="";
          } else {
            if ($ord[$pos[0]]=="1") {
              $downv="<img src='$_DMO_icon_down' border='0'>";
              $upv="<img src='$_DMO_icon_up_disabled' border='0'>";
            } else {
              $downv="<img src='$_DMO_icon_down_disabled' border='0'>";
              $upv="<img src='$_DMO_icon_up' border='0'>";
            }          
            $nrv=$pos[0]+1;
            $downt="<img src='$_DMO_icon_down_disabled' border='0'>";
            $upt="<img src='$_DMO_icon_up_disabled' border='0'>";
            $nrt="";
          }
        }
      } else {
        $downt=$downv="<img src='$_DMO_icon_down_disabled' border='0'>";
        $upt=$upv="<img src='$_DMO_icon_up_disabled' border='0'>";
        $nrt=$nrv="";
      }
      
      if (($defAttr[$i]->getAttr('data_type') != 'large_text') && //do not show sort header for these types
          ($defAttr[$i]->getAttr('data_type') != 'file')) {
        
/*        // Sort header for old 'value' field
          pecho(LFX_echo("
          <td width='8%' style='text-align: center'>$nrt
          <a href='$urladd&amp;tosort=attr&amp;attID=$attID&amp;tby=text&amp;tord=1'>$downt</a>
          <a href='$urladd&amp;tosort=attr&amp;attID=$attID&amp;tby=text&amp;tord=0'>$upt</a>
          </td>"));*/
          
         pecho(LFX_echo(" <td width='8%' colspan='2' style='text-align: center'>$nrv
          <a href='$urladd&amp;tosort=attr&amp;attID=$attID&amp;tby=val&amp;tord=1'>$downv</a>
          <a href='$urladd&amp;tosort=attr&amp;attID=$attID&amp;tby=val&amp;tord=0'>$upv</a>
          <a href='$urladd&amp;noshow=$i'><img alt='Remove Column' src='$_DMO_icon_drop' border='0'></a>
          </td>
        "));
      } else {
        pecho(LFX_echo("<td width='8%' style='text-align: center' colspan='2'><a href='$urladd&amp;noshow=$i'><img alt='Remove Column' src='$_DMO_icon_drop' border='0'></a></td>"));
      }
    }
  } // End sort header -----------------
  
  # Loader set stage (name and no of steps);
  $_page->setLoadStage('Rendering Attributes', count($insList));    
  for ($i=0;$i<count($insList);$i++) {
    # Loader set step.
    $_page->setLoadStep($i);
    pecho(LFX_str());
    pecho(LFX_td("<input type='checkbox' name='a[$i]'>"));
    pecho(LFX_td(($cp-1)*$page_size+$i+1));
    pecho(LFX_td($insList[$i]->getLinkH()));
    if ($date) {
      pecho(LFX_td($insList[$i]->getAttrH("date")));
    }
    if ($revision) {
      pecho(LFX_td($insList[$i]->getAttrH("revision")));
    }
    if ($serial) {
      pecho(LFX_td($insList[$i]->getAttrH("serial")));
    }
    if ($location) {
      pecho(LFX_td($insList[$i]->getAttrH("location")));
    }
    if ($purpose) {
      pecho(LFX_td($insList[$i]->getAttrH("purpose")));
    }
    if ($inventory) {
      pecho(LFX_td($insList[$i]->getAttrH("inventory")));
    }
    if ($typ) {
      pecho(LFX_td($insList[$i]->getAttrH("type")));
    }
    if ($owner) {
      #pecho(LFX_td($insList[$i]->getAttr("owner")));
      $owner_id = $insList[$i]->getAttr("owner");
      if ($owner_id > 0) {  # get owner info from LFX
        $user = new LFX_User;
        $user->load($owner_id);
        if ($user) {
          $uname = $user->getAttr("uname");
          $fname = $user->getAttr("fname");
          $lname = $user->getAttr("lname");
          $email = $user->getAttr("email");
          $position = $user->getAttr("position");
          if ($uname) {
            pecho(LFX_td("<table border='0'><tr><td><a href='mailto:$email' title='$position'><img valign='middle' src='$_LFX_icon_email' border='0'></a></td><td><a href='".$user->getUrlH()."'>$uname</a></td></tr></table>"));
          } else {
            pecho(LFX_td(__D("Username not found in record")));
          }
        } else {
          pecho(LFX_td(__D("User record not found")));
        }
      } else {
        pecho(LFX_td(sprintf(__D("default [%d]"),$owner_id)));
      }

    }
    if ($group) {
      #pecho(LFX_td($insList[$i]->getAttr("owner")));
      $group_id = $insList[$i]->getAttr("group");
      if ($group_id > 0) {  # get group info from LFX
        $ownerGroup = new LFX_Group;
        $ownerGroup->load($group_id);
        if ($ownerGroup) {
          pecho(LFX_td($ownerGroup->getLinkH()));
        } else {
          pecho(LFX_td(__D("Group record not found")));
        }
      } else {
        pecho(LFX_td(sprintf(__D("default [%d]"),$group_id)));
      }

    }
    if ($paren) {
      $parentID=$insList[$i]->getAttr("parent");
      $parent=new DMO_Instance($parentID);
      if ($parentID && !$parent->load($parentID)) {
//        $parent->addError('Database inconsistency. Instance with ID='.$parentID.' does not exist.',DMO_DV_LUCIAN+38,DMO_ET_ERROR+DMO_EL_DB);
        pecho(LFX_td(__D('error')));
      } else {
        pecho(LFX_td($parent->getLinkH()));
      }
    }
    if ($child) {
      $ct=count($insList[$i]->getObjects("childIns"));
      pecho(LFX_td($ct));
    }
    if ($depend) {
      $ct=count($insList[$i]->getObjects("orphans"));
      pecho(LFX_td($ct));
    }
    $instattr=$insList[$i]->getObjects("instattr");    
    for ($j=0;$j<count($defAttr);$j++) {
      $tmp=0;
      if ($att["$j"]) { //display non-core attributes========================================================
        for ($k=0;$k<count($instattr);$k++) {
          if ($instattr[$k]->getAttr("attribute")==$defAttr[$j]->id) {
            if ($defAttr[$j]->getAttr('is_password')) {
              $val='******';
              $text='******';
            } else {
              $txt = $instattr[$k]->getAttr("text");
              $att_id = $instattr[$k]->getAttr("attribute");
              $att_t = new DMO_attribute($att_id);
              $att_type = $att_t->getAttr('data_type');
              
              if ($att_type == "boolean") {
                $txt = eregi('^[1Y]$',$txt);
                $txt = ($txt == "0") ? "False" : "True";
              }
              if ($att_type == "url_link") {
                $text = $txt;
                $show_link = (strlen($txt)>25) ? substr($txt,0,25)."..." : $txt;
                $txt = "<a href='$text'>".$show_link."</a>"; 
              }
              if (preg_match("/^dmo_instance#([0-9]+)$/",$txt,$matches)) {
                $my_inst = new DMO_instance();
                if ($my_inst->probe($matches[1])) {
                  $my_inst = new DMO_instance($matches[1]);
                  $txt = $my_inst->getLinkH();
                } else { //wil remove orphan pointers
                  $instattr[$k]->delete();
                  $txt = "";
                }
              }
              if (preg_match("/^lfx_group#([0-9]+)$/", $txt, $matches)) {
                $point_to_group = $matches[1]; 
                $my_group = new LFX_group($point_to_group);
                $txt = $my_group->getLinkH();
              }
              if (preg_match("/^lfx_user#([0-9]+)$/", $txt, $matches)) {
                $point_to_user = $matches[1]; 
                $my_user = new LFX_user($point_to_user);
                $txt = $my_user->getLinkH();
              }
              if (preg_match("/^dmo_largeattribute#([0-9]+)$/",$txt,$matches)) {
                LFX_include_class('DMO_largeAttribute');
                $my_large_attr=new DMO_largeAttribute($matches[1]);
                $language_d = $my_large_attr->getAttr('language');
                $version_d = $my_large_attr->getAttrH('version');
                $lang=new LFX_Language();
                $lang_txt = $lang->languageByCode($language_d);
                $txt = '<a href="javascript:popup(\''.$_DMO_url.'/index/popups/LargeAttViewPopup?latt_id='.$matches[1].'\',\'500\',\'400\',\'yes\',\'yes\')">'.$lang_txt." V.".$version_d.'</a>';
                $txt .= '&nbsp&nbsp<a href="javascript:popup(\''.$_DMO_url.'/index/popups/LangVerViewPopup?instAttID='.$matches[1].'&name='.$my_large_attr->getAttr('name') .'\',\'500\',\'400\',\'yes\',\'yes\')">[All]</a>';
              }
              
              if (preg_match("/^dmo_fileattribute#([0-9]+)$/",$txt,$matches)) {
                LFX_include_class('DMO_fileAttribute');
                $my_file_attr=new DMO_fileAttribute($matches[1]);
                $txt = '<a href="javascript:popup(\''.$_DMO_url.'/index/popups/show_file_popup?file_id='.$matches[1].'\',\'500\',\'400\',\'yes\',\'yes\')">'.$my_file_attr->getAttrH('file').'</a>';
                $txt .= '&nbsp&nbsp<a href="javascript:popup(\''.$_DMO_url.'/index/popups/FileLangVerViewPopup?instAttID='.$matches[1].'&name='.$my_file_attr->getAttr('name') .'\',\'500\',\'400\',\'yes\',\'yes\')">[All]</a>';
              }
            }
            pecho(LFX_echo("<td colspan='2' nowrap><b>$txt</b></td>")); //($val)</b></td>"));
            $tmp=1;
            break;
          }
        }
        if (!$tmp) {
          pecho(LFX_echo("<td colspan='2'></td>"));
        } else {
          unset($tmp);
        }
      }
    }
    pecho(LFX_etr());
  }
  //querycountdebug('end');
  pecho(LFX_endTables());
  pecho(LFX_echo("</td>"));
  pecho(LFX_etr());
  pecho(LFX_endTables());
  
  pecho(LFX_echo("</td>"));
  pecho(LFX_estr());
  pecho(LFX_echo("<td>"));
  
  pecho(LFX_startTables("100%"));
  pecho(DMO_swatchHeader(array("title"=>"<input type='submit' name='addSels' value='".__D("Add to selection")."'>&nbsp;<INPUT type='submit' name='replaceSel' value='".__D('Replace selection')."'>")));
  pecho(LFX_endTables());
  
  pecho(LFX_eform());
  //end of page showing

  pecho(LFX_echo("</td>"));
  pecho(LFX_echo("<td colspan=2>"));
  // Show page number... reduced size
  pecho(LFX_startTables("100%"));
  $ttl="Page ";
  if ($cp>1) {
    if ($cp!=2) {
      $ttl.="&nbsp;<a href='$urladd&amp;cp=1&amp;first=1'><img src='$_DMO_icon_frew' border='0' alt='|&lt;-'></a>&nbsp;";
    } else {
      $ttl.="&nbsp;&nbsp;&nbsp;";
    }
    $prev=$cp-1;
    $fst=($prev-1)*$page_size+1;
    $ttl.="&nbsp;<a href='$urladd&amp;cp=$prev&amp;first=$fst'><img src='$_DMO_icon_rew' border='0' alt='&lt;-'></a>&nbsp;";
    unset($prev);
  }
  for ($i=$cp-3;$i<$cp;$i++) {
    if ($i<1) {
      continue;
    }
    $fst=($i-1)*$page_size+1;
    $ttl.="&nbsp;<a href='$urladd&amp;cp=$i&amp;first=$fst'>$i</a>&nbsp;";
  }
  $ttl.="&nbsp;[$cp]&nbsp;";
  for ($i=$cp+1;$i<=$cp+3;$i++) {
    if ($i>$pages_ct) {
      continue;
    }
    $fst=($i-1)*$page_size+1;
    $ttl.="&nbsp;<a href='$urladd&amp;cp=$i&amp;first=$fst'>$i</a>&nbsp;";
  }
  if ($cp<$pages_ct) {
    $next=$cp+1;
    $fst=($next-1)*$page_size+1;
    $ttl.="&nbsp;<a href='$urladd&amp;cp=$next&amp;first=$fst'><img src='$_DMO_icon_fwd' border='0' alt='-&gt;'></a>&nbsp;";
    unset($next);
    if ($cp!=$pages_ct-1) {
      $fst=($pages_ct-1)*$page_size+1;
      $ttl.="&nbsp;<a href='$urladd&amp;cp=$pages_ct&amp;first=$fst'><img src='$_DMO_icon_ffwd' border='0' alt='-&gt;|'></a>&nbsp;";
    }
  }
  pecho(DMO_swatchHeader(array("title"=>$ttl)));
  pecho(LFX_endTables());  
  //END Show page numbers
  
  pecho(LFX_echo("</td></tr>"));
  pecho(LFX_echo("</table>"));
?>
