<?

  /**
  * Quick Search Results Page
  * Lucian Silistru <lucian@moongate.ro>, February 2003
  * $Id: qsrchres.php,v 1.17 2005/10/24 08:05:37 bogdan Exp $
  * @package DMO
  */
  
  _checkMeOut(__FILE__);
  
  $_incReq=array('DMO_Definition','DMO_Instance','DMO_qsAttr','DMO_Attribute','DMO_Instattr','DMO_Selection', 'DMO_largeAttribute', 'DMO_fileAttribute');
  include($_incMgr);

  pecho(LFX_echo("<table cellspacing='$_DMO_spacing' border='0' width='100%'>"));
  pecho(LFX_echo("<tr><td>"));

  //if the search query exists and is not an empty string
  if (strlen($srch)) {

    // Checking for the special format, "#<number>"
    if (($qsel==1) && (preg_match('/^\#([0-9]+)$/',$srch,$matches))) {
      header("Location: $_DMO_url/index/data/browser/?def=$matches[1]");
      exit;
    }
    if (($qsel==2) && (preg_match('/^\#([0-9]+)$/',$srch,$matches))) {
      header("Location: $_DMO_url/index/data/browser/?ins=$matches[1]");
      exit;
    }

    // search string preparation
    $Ssrc=$ins->gpcSlash($srch);
    $Usrc=$ins->gpcUnslash($srch);
    $qsrch='%'.str_replace(' ','%',$Ssrc).'%';
    //actual search
    switch ($qsel) {
      case 1:
        $def=new DMO_Definition();
        $defSrch=$def->search("name",$qsrch,NULL,false,true);
      break;
      case 2:
        $ins=new DMO_Instance();
        $insSrch=$ins->search("name",$qsrch,NULL,false,true);
      break;
      case 3:
        if ($qsoID == '2')
        {
          $_tbl = "instance";
          $_cls = "DMO_Instance";
          
          $inst = new DMO_instance();
          $_dbtbl = $inst->getTableName(true);
        }  
        elseif ($qsoID == '1')   
        {
          $_tbl = "definition";
          $_cls = "DMO_Definition";
          
          $defn = new DMO_definition();
          $_dbtbl = $defn->getTableName(true);

        }
        else break;
        
        $usr = new LFX_user();
        $_usertbl = $usr->getTableName(true);
        $grp = new LFX_group();
        $_grptbl = $grp->getTableName(true);
        
        $obj = new $_cls();
        $sql = "select distinct tt.{$_tbl}_ID as id
                from
                $_dbtbl tt, $_usertbl p, $_grptbl g 
                where
                (
                  tt.{$_tbl}_owner=p.id
                  and 
                  (
                    p.fname like '$qsrch'
                    OR
                    p.lname like '$qsrch'
                    OR 
                    p.email like '$qsrch'
                  )
                )
                OR 
                (
                  tt.{$_tbl}_group=g.id
                  and 
                  g.name like '$qsrch'                  
                )";
               
        $obj->query($sql);
        
        if ($_tbl == "instance") $arr = "insSrch";
        else $arr = "defSrch";      
        $_ = &$$arr;
        
        while($obj->db->next_record())
        {
          $tt = new $_cls($obj->db->f("id"));
          $_[] = $tt;
        }
      //decho(vardump($_));
      
      break;
      case 4:
        if ($qsaID) {
          $qsa=new DMO_qsAttr($qsaID);
          $attr=$qsa->getAttr("attribute");
          $instattr = new DMO_Instattr;
          
          $attrib = new DMO_attribute($attr); // ??
          $attType = $attrib->getAttr('data_type');
          
          if ($attType == 'user') { //------------------------------------------------------------------
            $u = new LFX_user();
            $sql = "SELECT id FROM people WHERE lname LIKE '$qsrch' OR fname LIKE '$qsrch' OR email LIKE '$qsrch'";
            $u->query($sql);
            while ($u->db->next_record()) {
              $user_ids[] = $u->db->f(0);
            }
            for ($i = 0; $i < count($user_ids); $i++) {
              $setOR = ($i == count($user_ids)-1) ? '' : "OR";
              $add_query .= " instattr_text LIKE 'lfx_user#".$user_ids[$i]."' $setOR";
            }
            $add_query = ($add_query == '') ? '' : " AND $add_query";
            $instAtt = new DMO_instattr();
            $sql = "SELECT DISTINCT(instance_ID) FROM instattr WHERE attribute_ID = $attr $add_query";
            $instAtt->query($sql);
            while ($instAtt->db->next_record()) {
              $insSrch[] = new DMO_instance($instAtt->db->f(0));
            }
            
          } elseif ($attType == 'group') { //------------------------------------------------------------
            $g = new LFX_group();
            $sql = "SELECT id FROM groups WHERE name LIKE '$qsrch' OR email LIKE '$qsrch'";
            $g->query($sql);
            while ($g->db->next_record()) {
              $group_ids[] = $g->db->f(0);
            }
            for ($i = 0; $i < count($group_ids); $i++) {
              $setOR = ($i == count($group_ids)-1) ? '' : "OR";
              $add_query .= " instattr_text LIKE 'lfx_group#".$group_ids[$i]."' $setOR";
            }
            $add_query = ($add_query == '') ? '' : " AND $add_query";
            $instAtt = new DMO_instattr();
            $sql = "SELECT DISTINCT(instance_ID) FROM instattr WHERE attribute_ID = $attr $add_query";
            $instAtt->query($sql);
            while ($instAtt->db->next_record()) {
              $insSrch[] = new DMO_instance($instAtt->db->f(0));
            }
            
          } elseif ($attType == 'instance') { //---------------------------------------------------------
            $inst = new DMO_instance();
            $sql = "SELECT instance_ID FROM instance WHERE instance_name LIKE '$qsrch'";
            $inst->query($sql);
            while ($inst->db->next_record()) {
              $inst_ids[] = $inst->db->f(0);
            }
            for ($i = 0; $i < count($inst_ids); $i++) {
              $setOR = ($i == count($inst_ids)-1) ? '' : "OR";
              $add_query .= " instattr_text LIKE 'dmo_instance#".$inst_ids[$i]."' $setOR";
            }
            $add_query = ($add_query == '') ? '' : " AND $add_query";
            $instAtt = new DMO_instattr();
            $sql = "SELECT DISTINCT(instance_ID) FROM instattr WHERE attribute_ID = $attr $add_query";
            $instAtt->query($sql);
            while ($instAtt->db->next_record()) {
              $insSrch[] = new DMO_instance($instAtt->db->f(0));
            }
            
          } elseif ($attType == 'large_text') { //-------------------------------------------------------
            $instattrs = $instattr->search("attribute", $attr);
            foreach ($instattrs as $instatt) {
              $text_pointer = $instatt->getAttr('text');
              $largetextID = preg_match("/^dmo_largeattribute#([0-9]+)$/", $text_pointer, $matches);
              $to_lAtt = new DMO_largeAttribute($matches[1]);
              $alts = $to_lAtt->getObjects('alternates');
              array_push($alts, $to_lAtt); //include default language
              foreach ($alts as $alt) { 
                if (stristr($alt->getAttr('content'), $Usrc)) {
                  $insSrch[] = $instatt->getObject('instance');
                  break;
                } 
              }
            }
            
          } elseif ($attType == 'file') { //-------------------------------------------------------
            $instattrs = $instattr->search("attribute", $attr);
            foreach ($instattrs as $instatt) {
              $text_pointer = $instatt->getAttr('text');
              $filetextID = preg_match("/^dmo_fileattribute#([0-9]+)$/", $text_pointer, $matches);
              $to_file = new DMO_fileAttribute($matches[1]);
              $alts = $to_file->getObjects('alternates');
              array_push($alts, $to_file); //include default language
              foreach ($alts as $alt) { 
                if (stristr($alt->getAttr('content'), $Usrc)) {
                  $insSrch[] = $instatt->getObject('instance');
                  break;
                } 
              }
            }
            
          } else { // defaults ---------------------------------------------------------------------------

/*            if (is_numeric($Usrc)) {
              $instattrListV=$instattr->search(array("attribute","value"),array($attr,$Usrc));
              for ($i=0;$i<count($instattrListV);$i++) {
                $instattrListV[$i]=$instattrListV[$i]->getAttr("instance");
              }
            }
*/
            $instattrListT=$instattr->search(array("attribute","text"),array($attr,$Usrc),NULL,false,true);
            for ($i=0;$i<count($instattrListT);$i++) {
              //$instattrListT[$i]=$instattrListT[$i]->getAttr("instance");
              $insSrch[] = $instattrListT[$i]->getObject('instance');
            }
            //$insSrch=array_merge($instattrListT,$instattrListV);
            //$insSrch=array_unique($insSrch);
            //$insSrch=array_values($insSrch);
            //$insSrch=$ins->instantiate($insSrch);
            //unset($instattrListT,$instattrListV);
          }
        }
      break;
    }

    // if there is only one result we go directly to the result details page
    if ((count($insSrch)+count($defSrch))==1) {
      if (count($insSrch)==1) {
        $tmp=$insSrch[0]->id;
        header("Location: $_DMO_url/index/data/browser/?ins=$tmp");
      } elseif (count($defSrch==1)) {
        $tmp=$defSrch[0]->id;
        header("Location: $_DMO_url/index/data/browser/?def=$tmp");        
      }
      unset($tmp);
    }

    // Add to instance selections
    if ($addSels) {
      for ($i=0;$i<count($insSrch);$i++) {
        if ($a[$i]=="on") {
          $insSrch[$i]->addToSelection(session_id);
        }
      }
      unset($a,$addSels);
    }
    //END add to selection

    // Replace current selection with the instances with checkboxes set
    if ($replaceSel) {
      $sel=new DMO_Selection;
      if ($sel->clearSelection(session_id)) {
        for ($i=0;$i<count($insSrch);$i++) {
          if ($a[$i]=="on") {
            $insSrch[$i]->addToSelection(session_id);
          }
        }
      } else {
        $_page->addError('Selection could not be cleared (in showresults.php)');
      }
    }
    //END Replace

    // show results
    pecho(LFX_startTables("100%"));
    pecho(DMO_swatchHeader(array("title"=>sprintf(__D("Search Results For Query: %s"),"[<I>".htmlspecialchars($Usrc)."</I>]"))));
    pecho(LFX_str());
    pecho(LFX_echo("<td>"));
    pecho(LFX_echo("<table cellspacing='$_DMO_spacing' border='0' width='100%'>"));
    
    pecho(LFX_echo("<tr><td valign='top'>"));
    pecho(LFX_echo("
    <script language='JavaScript'>
    <!--
      function check_boxes()
      {
        for (j=0;j<".count($insSrch).";j++) {
          if (document.listform.checkall.checked==true) {
            document.listform.elements['a['+j+']'].checked=true;
          } else {
            document.listform.elements['a['+j+']'].checked=false;
          }
        }
      }
    //-->
    </script>"));
    pecho(LFX_sform('','POST','listform'));
    pecho(LFX_startTables("100%"));
    if ($qsel==2 || $qsel==4 || (($qsel == 3) && ($qsoID == 2))) {
      pecho(LFX_str());
      pecho(LFX_td("<INPUT type='checkbox' name='checkall' onClick='check_boxes();'>",'thead',NULL,NULL,NULL,'1%'));
      pecho(LFX_td(__D("Instances"),'thead'));
      pecho(LFX_etr());
      for ($i=0;$i<count($insSrch);$i++) {
        pecho(LFX_str());
        pecho(LFX_td("<INPUT type='checkbox' name='a[$i]'>"));
        pecho(LFX_td($insSrch[$i]->getLinkH()));
        pecho(LFX_etr());
      }
      if ($i==0) {
        pecho(LFX_str());
        pecho(LFX_td());
        pecho(LFX_td(__D("No results")));
        pecho(LFX_etr());
      }
    } else {
      pecho(DMO_swatchHeader(array("title"=>__D("Definitions"))));    
      for ($i=0;$i<count($defSrch);$i++) {
        if (LFX_permsFilter($defSrch[$i]->getUserPerms(),'R')) {    
          pecho(LFX_str());
          pecho(LFX_td($defSrch[$i]->getLinkH()));
          pecho(LFX_etr());
        }
      }
      if ($i==0) {
        pecho(LFX_str());
        pecho(LFX_td(__D("No results")));
        pecho(LFX_etr());
      }          
    }
    pecho(LFX_endTables());

    pecho(LFX_echo("</td></tr>"));
    
    
    // only for instances
    
    if ($qsel==2 || $qsel==4 || (($qsel == 3) && ($qsoID == 2))) {
    
    pecho(LFX_echo('<tr><td>'));
    pecho(LFX_startTables("100%"));
    pecho(DMO_swatchHeader(array(
      'title'=>"<input type='submit' name='addSels' value='".__D("Add to selection")."'>&nbsp;
                <input type='submit' name='replaceSel' value='".__D('Replace selection')."'>&nbsp;
                <input type='button' value='".__D('View Selection')."' onClick=\"window.location='$_DMO_url/index/data/selview/?def={$def->id}&ins={$ins->id}&tree={$tree->id}'\">
    ")));
    pecho(LFX_endTables());
    pecho(LFX_echo("</td></tr>"));
    
    }
    
    pecho(LFX_eform());
    
    pecho(LFX_echo("</table>"));
    pecho(LFX_echo("</td>"));
    pecho(LFX_etr());
    pecho(LFX_endTables());
    
    unset($qsel);
  } else {
    // if the search query is an empty string (only shows No Results)
    pecho(LFX_startTables("100%"));
    pecho(DMO_swatchHeader(array("title"=>__D("Search Results"))));
    pecho(LFX_str());
    pecho(LFX_echo("<td>"));
    pecho(LFX_echo("<table cellspacing='$_DMO_spacing' border='0' width='100%'>"));
    
    pecho(LFX_echo("<tr><td valign='top' width='50%'>"));
    pecho(LFX_startTables("100%"));
    pecho(DMO_swatchHeader(array("title"=>__D("Please enter a search string"))));
    pecho(LFX_str());
    pecho(LFX_td(__D("No results")));
    pecho(LFX_etr());
    pecho(LFX_endTables());
  
    pecho(LFX_echo("</table>"));
    pecho(LFX_echo("</td>"));
    pecho(LFX_etr());
    pecho(LFX_endTables());    
  } 
  
  pecho(LFX_echo("</td></tr>"));
  pecho(LFX_echo("</table>"));
?>
