<?php

  /**
  * Save definition and manage attributes
  * Bogdan Stancescu <bogdan@lanifex.com>, January 2003
  * $Id: savedef.php,v 1.18 2005/11/30 12:47:10 bogdan Exp $
  * @package DMO
  */

  _checkMeOut(__FILE__);

  $_incReq=array("DMO_Definition", "DMO_Attribute");
  include($_incMgr);
  $myPath=dirname(__FILE__);

  if (isset($save)) {
    $def=new DMO_Definition($editDef);
    if ($_DMO_globals->getSetting('enable_instance_access_control')) {
      // Permissions
      if ($editDef) {
        // Editing a definition
        if (!LFX_permsFilter($def->getUserPerms(),'U')) {
          pecho("You do not have the rights to edit this definition");
          return(false);
        }
      } else {
        // Creating a definition
        $parentDef=new DMO_Definition($parent);
        if (!LFX_permsFilter($parentDef->getUserPerms(),'C')) {
          pecho("You do not have the rights to create definitions under this parent.");
          return(false);
        }
      }
    }
    $defList=$def->search();
    for ($i=0;$i<count($defList);$i++) {
      $nmList[$i]=$defList[$i]->getAttr("name");
    }
    if ($name) {
/*      if (((!$editDef) && (!in_array($name,$nmList))) ||
        ($editDef && ((!array_search($name,$nmList)) || ($defList[array_search($name,$nmList)]->id==$editDef)))) {
        $def->setAttr("name",$name,"gpc");
      } else {
        $_page->addError("Definition name already exists. Please go back and change it. (in savedef.php)",DMO_DV_LUCIAN+11,DMO_ET_ERROR+DMO_EL_USER);
        return(false);        
      }
*/
      $def->setAttr("name",$name,"gpc");
    } else {
      $_page->addError("No definition name specified. Please go back and fill it in.",DMO_DV_BOGDAN+120,DMO_ET_ERROR+DMO_EL_USER);
      return(false);
    }
    $def->setAttr("date", time());
    $def->setAttr("revision",$revision,"gpc");
    $def->setAttr("number",$number,"gpc");
    $def->setAttr("owner",$owner,"gpc");
    $def->setAttr('group',$group,'gpc');
    $def->setAttr("description",$description,"gpc");
    $lockinherit = ($lockinherit == 'on') ? 1 : 0;
    $def->setAttr("lock_inherit", $lockinherit,'gpc');

    if ($type) {
      $def->setAttr("type",$type,"gpc");
    } else {
      $def->setAttr("type",$ntype,"gpc");
    }
    $def->setAttr('hidden',$hidden);
    $oldParent=$def->getAttr('parent');
    $def->setAttr("parent",$parent,'gpc');
    if ($def->save()) {
      //rebuild tree render
      $def->staticRebuildTree();

      pecho(LFX_startTables("100%"));
      pecho(DMO_swatchHeader(array(
        "title"=>__D("Definition saved succesfully. You can manage its attributes now."),
        'explain'=>$def->getUrlH())));
      pecho(LFX_endTables());
      $def->setDefinitionLevels();
      
      
      include("$myPath/editatt.php");
    } else {
      pecho(LFX_startTables("100%"));
      pecho(DMO_swatchHeader(array(
        "title"=>__D("Failed to save the definition!"),
        'explain'=>$def->getUrlH())));
      pecho(LFX_endTables());
    }
    //pecho(LFX_echo("<META HTTP-EQUIV=Refresh CONTENT='3; URL=$_DMO_url/index/data/showdef?def=".$def->getAttr('parent')."'"));
  }
?>