<?

  /**
  * DMO Global Constants
  * Bogdan Stancescu <bogdan@lanifex.com>, November 2002
  * $Id: DMO_constants.php,v 1.4 2003/07/22 08:42:51 bogdan Exp $
  * @package DMO
  */
  
  // Please make sure you follow these rules when defining
  // new constants here:
  // - always start with DMO_ so we don't clash with other packages' constants
  // - always use a constant "type" identifier after the DMO_
  //   (for instance "ET" for error types and "DL" for debug level as below
  // - this is obvious, but make sure you do define distinct values for
  //   constants in a class.

  // Error Type
  define('DMO_ET_NONE',    -1); // Special case - no errors at all will match this
  define('DMO_ET_CRITICAL', 0);
  define('DMO_ET_MAJOR',    1);
  define('DMO_ET_ERROR',    2);
  define('DMO_ET_WARNING',  3);
  define('DMO_ET_INFO',     4);
  define('DMO_ET_ALL',    100); // Special case - all types will match it

  // Error Layer
  define('DMO_EL_GENERIC',    0<<8);
  define('DMO_EL_DB',         1<<8); // Database error
  define('DMO_EL_GUI',        2<<8); // Graphical User Interface Error
  define('DMO_EL_USER',       3<<8); // Unexpected user input error
  define('DMO_EL_UNEXPECTED', 4<<8); // Unexpected state error
  define('DMO_EL_PERM',       5<<8); // Permissions error
  define('DMO_EL_SC',         6<<8); // SuperClass intrinsic error
  define('DMO_EL_ALL',      255<<8); // Special case - all layers will match it

  // Debug level
  define('DMO_DL_PROD',  0); // Production state - use configuration for error management
  define('DMO_DL_DEBUG', 1); // Debug - show errors instead of e-mailing them
  define('DMO_DL_DEVEL', 2); // Development - show all errors, and don't e-mail

  // Developers
  define('DMO_DV_ANDREI',  10000);
  define('DMO_DV_BERND',   20000);
  define('DMO_DV_BOGDAN',  30000);
  define('DMO_DV_GREGOR',  40000);
  define('DMO_DV_MICHAEL', 50000);
  define('DMO_DV_OLIVER',  60000);
  define('DMO_DV_PAUL',    70000);
  define('DMO_DV_LUCIAN',  80000);
  define('DMO_DV_OTHER',   90000);
?>
