<?

  /**
  * DMO specific GUI functions
  * Bogdan Stancescu <bogdan@lanifex.com>, December 2002
  * $Id: DMO_gui.php,v 1.12 2005/07/14 00:07:51 bogdan Exp $
  * @package DMO
  */
  
  // Links to generic LFX icons
  $_DMO_icon_create=$_LFX_icon_create;
  $_DMO_icon_drop=$_LFX_icon_drop;
  $_DMO_icon_update=$_LFX_icon_update;
  $_DMO_icon_explain=$_LFX_icon_explain;
  $_DMO_icon_link=$_LFX_icon_link;
  $_DMO_icon_unlink=$_LFX_icon_unlink;
  $_DMO_icon_tree=$_LFX_icon_tree;

  $_DMO_icon_fwd=$_LFX_icon_fwd;
  $_DMO_icon_ffwd=$_LFX_icon_ffwd;
  $_DMO_icon_rew=$_LFX_icon_rew;
  $_DMO_icon_frew=$_LFX_icon_frew;
  $_DMO_icon_next=$_LFX_icon_next;
  $_DMO_icon_prev=$_LFX_icon_prev;

  $_DMO_icon_locked=$_LFX_icon_locked;
  $_DMO_icon_unlocked=$_LFX_icon_unlocked;

  $_DMO_icon_up=$_LFX_icon_up;
  $_DMO_icon_up_disabled=$_LFX_icon_up_disabled;
  $_DMO_icon_down=$_LFX_icon_down;
  $_DMO_icon_down_disabled=$_LFX_icon_down_disabled;
  
  $_DMO_icon_help=$_LFX_icon_help;
  $_DMO_icon_report=$_LFX_icon_report;

  // DMO's own icons
  $_DMO_icon_create_template=$_DMO_images.'/create_template.gif';
  $_DMO_icon_create_instance=$_DMO_images.'/create_instance.gif';
  $_DMO_icon_multi_create_instance=$_DMO_images.'/multi_create_instance.gif';
  $_DMO_icon_create_definition=$_DMO_images.'/create_definition.gif';
  $_DMO_icon_edit_plug=$_DMO_images.'/edit_plug.gif';
  $_DMO_icon_run_plug=$_DMO_images.'/run_plug.gif';

  $_DMO_textRows=6;
  $_DMO_textCols=30;
  $_DMO_spacing=2;

  $_DMO_swatchIconsLeft=array(
    'link'=>array(
      'icon'=>$_DMO_icon_link,
      'alt'=>'Create link'),
    'create'=>array(
      'icon'=>$_DMO_icon_create,
      'alt'=>'Create new item'),
    'create_template'=>array(
      'icon'=>$_DMO_icon_create_template,
      'alt'=>'Create new template'),
    'create_instance'=>array(
      'icon'=>$_DMO_icon_create_instance,
      'alt'=>'Create new instance'),
    'multi_create_instance'=>array(
      'icon'=>$_DMO_icon_multi_create_instance,
      'alt'=>'Create multiple new instances'),
    'create_definition'=>array(
      'icon'=>$_DMO_icon_create_definition,
      'alt'=>'Create new definition'),
    'update'=>array(
      'icon'=>$_DMO_icon_update,
      'alt'=>'Edit data'),
    'locked'=>array(
      'icon'=>$_DMO_icon_locked,
      'alt'=>'Locked item'),
    'unlocked'=>array(
      'icon'=>$_DMO_icon_unlocked,
      'alt'=>'Unlocked item'),
    'tree'=>array(
      'icon'=>$_DMO_icon_tree,
      'alt'=>'Show tree'));
  $_DMO_swatchIconsRight=array(
    'edit_plug'=>array(
      'icon'=>$_DMO_icon_edit_plug,
      'alt'=>'Edit pluggable actions'),
    'drop'=>array(
      'icon'=>$_DMO_icon_drop,
      'alt'=>'Delete item'),
    'unlink'=>array(
      'icon'=>$_DMO_icon_unlink,
      'alt'=>'Delete link'),
    'explain'=>array(
      'icon'=>$_DMO_icon_explain,
      'alt'=>'Show details'),
    'report'=>array(
      'icon'=>$_DMO_icon_report,
      'alt'=>'Create report'),
    'help'=>array());
  $_DMO_swatchIconsAll=array_merge($_DMO_swatchIconsLeft,$_DMO_swatchIconsRight);

  
  function DMO_hrth($help=NULL, $content=NULL, $class=NULL, $nowrap=NULL, $colspan=NULL, $rowspan=NULL,$width=NULL,$height=NULL)
  {
    global $LFX_HTML_indent, $_DMO_url, $_DMO_icon_help;
    if ($class) {
      $class=" CLASS=\"$class\"";
    } else {
      $class="";
    }
    if ($width) {
      $width=" WIDTH=\"$width\"";
    } else {
      $width="";
    }
    if ($height) {
      $height=" HEIGHT=\"$height\"";
    } else {
      $height="";
    }
    if ($nowrap) {
      $nowrap=" NOWRAP";
    } else {
      $nowrap="";
    }
    if ($colspan) {
      $colspan=" COLSPAN=\"$colspan\"";
    } else {
      $colspan="";
    }
    if ($rowspan) {
      $rowspan=" ROWSPAN=\"$rowspan\"";
    } else {
      $rowspan="";
    }
    if (!$content) {
      $content="&nbsp;";
    }
    $retu="$LFX_HTML_indent<TH SCOPE=\"row\"$class$width$height$nowrap$colspan$rowspan>";
    $retu.="<table border='0' width='100%' cellspacing='0'><tr>";    
    if ($help) {
      $retu.="<script language='JavaScript'>\n
        <!--\n
          function popup(url,wd,hg,resize)\n
          {\n
            window.open(url,'_blank','width='+wd+', height='+hg+', resizable='+resize+', scrollbars=yes');\n
          }\n
        //-->\n
        </script>\n";
      $retu.="<td width='1%' class='th'><a href=\"javascript:popup('$_DMO_url/index/popups/helpPopup?topicId=$help','500','300');\"><img src='$_DMO_icon_help' border='0'></a></td>";
    }
    $retu.="<th>$content</th>";
    $retu.="</tr></table>";
    $retu.="</TH>\n";    
    return($retu);
  }  
  
    /**
    * Returns a DMO swatch header, complete with the THEAD and TR sections
    * for the table it resides in.
    *
    * Please note you only have to startTables() and immediately afterwards
    * call this - no need for LFX_sthead()!
    *
    * @return string
    */
  function DMO_swatchHeader($params)
  {
    global $_DMO_swatchIconsLeft, $_DMO_swatchIconsRight, $_DMO_swatchIconsAll, $_DMO_url, $_DMO_icon_help;

    $iconsLeft=$_DMO_swatchIconsLeft;
    $iconsRight=$_DMO_swatchIconsRight;
    $iconsAll=$_DMO_swatchIconsAll;

    $noIcon=true;
    while(list($key)=each($iconsAll)) {
      if (isset($params[$key])) {
        $noIcon=false;
      }
    }
    
    if ($params['addPadding']) {
      $pad=2;
    } else {
      $pad=0;
    }
    if ($noIcon) {
      if (!$params['addPadding']) {
        $result=LFX_sthead();
        $result.=LFX_td($params['title']);
        $result.=LFX_ethead();
      } else {
        $result.=LFX_str();
        $result.=LFX_echo('<td>');
        $result.=LFX_echo('<table border="0" cellpadding="'.$pad.'" cellspacing=0 width="100%">');
        $result.=LFX_sthead();
        $result.=LFX_td($params['title'],NULL,NULL,NULL,NULL,'100%');
        $result.=LFX_ethead();
        $result.=LFX_echo('</table>');
        $result.=LFX_echo('</td>');
        $result.=LFX_etr();
      }
      return($result);
    }
    $result=LFX_sthead();
    $result.=LFX_echo('<td align="center" style="text-align: center">');
    $result.=LFX_echo('<table border="0" cellpadding="'.$pad.'" cellspacing=0>');
    $result.=LFX_echo('<tr>');
    LFX_indent();
    while(list($key,$val)=each($iconsLeft)) {
      if (isset($params[$key])) {
        if (is_array($params[$key])) {
          $link_val=$params[$key][0];
          $alt_val=$params[$key][1]?$params[$key][1]:$val['alt'];
        } else {
          $link_val=$params[$key];
          $alt_val=$val['alt'];
        }
        $tmp='<img src="'.$val['icon'].'" alt="'.($alt=__D($alt_val)).'" border=0>';
        if ($link_val) {
          $tmp="<A HREF='{$link_val}' title='$alt'>$tmp</A>";
        }
        $result.=LFX_td($tmp);
      }
    }
    
    $result.=LFX_echo("<td width='100%' valign='middle'>{$params['title']}</td>");

    // Special cases...
    unset($iconsRight['drop'],$iconsRight['help']);
    
    if (isset($params['drop'])) {
      global $_DMO_icon_drop;
      if (is_array($params['drop'])) {
        $link_val=$params['drop'][0];
        $alt_val=$params['drop'][1]?$params['drop'][1]:'Delete';
      } else {
        $link_val=$params['drop'];
        $alt_val='Delete';
      }      
      $tmp="<img src='$_DMO_icon_drop' alt='".__D($alt_val)."' border='0'>";
      if ($params["drop"]) {
        $tmp="<A onClick=\"return confirm('Are you sure you want to delete?')\" HREF='{$link_val}'>$tmp</A>";
      }
      $result.=LFX_td($tmp);
    }
    while(list($key,$val)=each($iconsRight)) {
      if (isset($params[$key])) {
        if (is_array($params[$key])) {
          $link_val=$params[$key][0];
          $alt_val=$params[$key][1]?$params[$key][1]:$val['alt'];
        } else {
          $link_val=$params[$key];
          $alt_val=$val['alt'];
        }        
        $tmp='<img src="'.$val['icon'].'" alt="'.($alt=__D($alt_val)).'" border=0>';
        if ($link_val) {
          $tmp="<A HREF='{$link_val}' title='$alt'>$tmp</A>";
        }
        $result.=LFX_td($tmp);
      }
    }
    if (isset($params['help'])) {
      $result.="<script language='JavaScript'>\n
        <!--\n
          function popup(url,wd,hg)\n
          {\n
            window.open(url,'_blank','width='+wd+', height='+hg+', scrollbars=yes');\n
          }\n
        //-->\n
        </script>\n";
      $result.=LFX_td("<a href=\"javascript:popup('$_DMO_url/index/popups/helpPopup?topicId={$params['help']}','500','300');\"><img src='$_DMO_icon_help' border='0'></a>");
    }
    LFX_unindent();
    $result.=LFX_echo("</tr>");
    $result.=LFX_echo("</table>");
    $result.=LFX_echo("</td>");
    $result.=LFX_ethead();
    return($result);
  }
  
    /**
    * Returns a DMO message - a table with one line, containing the string you specify
    * @param string $message the message to be displayed
    * @return string
    */
  function DMO_message($message)
  {
    $result=LFX_startTables("100%");
    $result.=LFX_sthead();
    $result.=LFX_td($message);
    $result.=LFX_ethead();
    $result.=LFX_endTables();
    return($result);
  }
?>
