<?

  /**
  * DMO Internationalization support library
  * Bogdan Stancescu <bodgan@lanifex.com>, November 2002
  * $Id: DMO_intl.php,v 1.12 2005/05/31 11:49:27 bogdan Exp $
  * @package DMO
  */
  
  // Defining it conditionally instead of checking at every call
  if (!function_exists('dgettext')) {
    $_DMO['global']['nogettext']=true;
    function __D($msg) {
      return($msg);
    }
  } else {
    bindtextdomain('DMO_Local',$_DMO['global']['paths']['lang']);
    $_DMO['global']['nogettext']=false;
    if ($_DMO_globals && $_DMO_globals->getSetting('storeReference')) {
      LFX_include('LFX_Reference');
      function __D($msg) {
        $tmp_ref=new LFX_Reference;
        $tmp_ref->LFX_checkReference($msg,'DMO');
        unset($tmp_ref);
        return(dgettext('DMO_Local',$msg));
      }
    } else {
      function __D($msg) {
        return(dgettext('DMO_Local',$msg));
      }
    }
  }

  // This function returns the timezone in minutes when fed an OPT-like timezone
  function DMO_tz_to_sec($tz)
  {
    $tz_s=substr($tz,0,1);
    $tz_h=substr($tz,1,2);
    $tz_m=substr($tz,3,2);
    if (($tz_s!='+') && ($tz_s!='-')) {
      $tz_s='+';
      $tz_h=substr($tz,0,2);
      $tz_m=substr($tz,2,2);
    }
    $tz_minutes=($tz_s.'1')*($tz_h*60+$tz_m);
    return($tz_minutes*60);
  }

  // Function which returns the PHP timestamp of a date in the specified
  // time zone. If the date is not specified, the current system date
  // is used. If you do pass a date, make sure it's UTC.
  // The time zone must be in numeric format - "+hhmm" or "-hhmm".
  // "hhmm" is also accepted, and assumed to be identical to "+hhmm".
  function DMO_local_date($tz, $date=false)
  {
    if (!$date) {
      $date=time()-date('Z');
    }
    return($date+OPT_tz_to_sec($tz));
  }

?>
