<?

  /**
  * Global DMO library
  * Bogdan Stancescu <bogdan@lanifex.com>, November 2002
  * $Id: DMO_lib.php,v 1.19 2005/12/01 15:05:24 bogdan Exp $
  * @package DMO
  */

  if (function_exists('_checkMeOut')) {
    _checkMeOut(__FILE__);
  }

  // ======================
  //   PREPEND ERROR MGMT
  // ======================
  // This has to be here unfortunately because we don't want
  // to rely on other files to be able to report that we can't include
  // some files (heh)
  function DMO_prependError($errId)
  {
    global $_prependError;
    if ($_prependError) {
      exit('Previous errors');
    }
    echo('<h1>DMO Library error #'.$errId.'</h1>');
    if ($errId==1) {
      // Error 1 means some of the libraries we need for this
      // very file aren't available!
      echo('<h2>This is a major problem because all of DMO is frozen!</h2>\n');
    } else {
      echo('<p>This problem is known to affect '.$_GLOBALS['PHP_SELF'].',
        but it may well affect other pages as well.</p>');
    }
    $_prependErrors=1;
    exit();
  }

  // ======================
  //    INITIALIZATION
  // ======================
  // You only need to unset the stuff which doesn't get overwritten.
  // Typically that's variables which will end up being indexed arrays
  // to which you only *add* elements later on.
  unset($_DMO);
  
  // ======================
  //        PATHS
  // ======================
  // Do NOT include trailing slashes!
  $_DMO['global']['paths']['inc']=dirname(__FILE__);
  $_DMO_inc=&$_DMO['global']['paths']['inc'];
  $_DMO['global']['paths']['path']=dirname($_DMO_inc);
  $_DMO_path=&$_DMO['global']['paths']['path'];
  $_LFX['global']['applications']['DMO']['app_path']=&$_DMO_path;
  $_DMO['global']['paths']['classes']=$_DMO_inc.'/classes';
  $_DMO_classes=&$_DMO['global']['paths']['classes'];
  $_DMO['global']['paths']['fullUrl']=
      (!empty($_SERVER['HTTPS'])?'https':'http').'://'.
      $_SERVER['SERVER_NAME'].
      (!empty($_SERVER['SERVER_PORT'])?':'.$_SERVER['SERVER_PORT']:'').
      $_LFX['global']['applications']['DMO']['app_url'];
  $_DMO_fullUrl=&$_DMO['global']['paths']['fullUrl'];
  $_DMO['global']['paths']['url']=$_LFX['global']['applications']['DMO']['app_url'];
  $_DMO_url=&$_DMO['global']['paths']['url'];
  $_DMO['global']['paths']['images']=$_DMO_url.'/images';
  $_DMO_images=&$_DMO['global']['paths']['images'];
  $_DMO['global']['paths']['images_dir']=$_DMO_path.'/images';
  $_DMO_images_dir=&$_DMO['global']['paths']['images_dir'];
  $_DMO['global']['paths']['plug_action']=$_DMO_path.'/plugAction';
  $_DMO_plugAction_dir=&$_DMO['global']['paths']['plug_action'];
  $_DMO['global']['paths']['lang']=$_DMO_path.'/lang';
  $_DMO_lang=&$_DMO['global']['paths']['lang'];
  $_DMO['global']['paths']['login_form']=$_DMO_inc.'/login_form.php';
  $_DMO['global']['globals']=new LFX_Global;
  $_DMO_globals=&$_DMO['global']['globals'];
  $_DMO_globals->global_module='DMO';
  if ($_DMO_tmpURL=$_DMO_globals->getSetting('full_URL')) {
    $_DMO_fullUrl=$_DMO_tmpURL;
  }
  unset($_DMO_tmpURL);



  // ======================
  //       INCLUDES
  // ======================
  // Make sure you don't include too much stuff here!
  // unset($_LFX_lib);
  // require_once("$_DMO_inc/LFXlib_link.php");
  
  require_once($_DMO_inc.'/DMO_include_lib.php');
  $_incReq=array("DMO_basic");
  if (!include($_incMgr)) {
    _prependError("001");
  }

?>
