<?

  /**
  * The DMO menu initialization script
  * Bogdan Stancescu <bogdan@lanifex.com>, February 2003
  * $Id: DMO_menu_init.php,v 1.29 2005/11/17 15:06:40 bogdan Exp $
  * @package DMO
  */

  function getPlugins()
  {
    GLOBAL $_DMO_path,$_DMO_url;
    $ret=array();
    if (!is_dir($_DMO_path.'/Plugins')) {
      return($ret);
    }
    $d=dir($_DMO_path.'/Plugins');
    $i=0;
    while ($dir=$d->read()) {
      if (is_dir($_DMO_path.'/Plugins/'.$dir) && $dir!='.' && $dir!='..') {
        if (is_file($_DMO_path.'/Plugins/'.$dir.'/index.php')) {
          $ret[$i]['title']=$dir;
          $ret[$i]['url']=$_DMO_url.'/index/plugins/'.$dir;
          $i++;
        }
      }
    }
    $d->close();
    return($ret);
  }

  $_DMO_plugins=getPlugins();
  
  $_incReq=array('DMO_Menu');
  include($_incMgr);

  $menu_structure=array(
    array(
      'focused' => true,
      'title'   => 'Instance Tree',
      'tip'     => 'DMO Tree of Instances',
      'url'     => $_DMO_url.'/'
    ),
    array(
      'title'   => 'Definition Browser',
      'tip'     => 'The main definition/instance browser',
      'url'     => $ins?($_DMO_url.'/index/data/browser/?'.($def?'def='.$def.'&amp;':'').($tree?'tree='.$tree.'&amp;':'').($ins?'ins='.$ins:'')):
                        ($_DMO_url.'/index/data/listins/?'.($def?'def='.$def.'&amp;':'').($tree?'tree='.$tree:''))
    ),
    array(
      'title'   => 'Quick Access',
      'tip'     => 'DMO Quick Access Chart',
      'url'     => $_DMO_url.'/index/quick_access'
    ),
    array(
      'title' => 'Admin',
      'tip'   => 'Administrative tools',
      'url'   => $_DMO_url.'/index/admin/',
      'children' => array(
        array(
          'title' => 'Templates',
          'tip'   => 'Template Management',
          'url'   => $_DMO_url.'/index/admin/templates/'
        ),
        array(
          'title' => 'Help Management',
          'tip'   => 'Help Topics Management',
          'url'   => $_DMO_url.'/index/admin/help/'
        ),
        array(
          'title' => 'Profiles',
          'tip'   => 'Profiles Management',
          'url'   => $_DMO_url.'/index/profiles/'
        ),
        array(
          'title' => 'LFXlib',
          'tip'   => 'User Rights Administration',
          'url'   => $_LFX_url
        ),
        array(
          'title' => 'Summary',
          'tip'   => 'Database Count Summary',
          'url'   => $_DMO_url.'/index/admin/summary'
        ),
        array(
          'title' => 'Data Check',
          'tip'   => 'DMO Data Consistency Checks',
          'url'   => $_DMO_url.'/index/admin/checks'
        ),
        array(
          'title' => 'File Tree',
          'tip'   => 'DMO File Tree Management',
          'url'   => $_DMO_url.'/index/admin/file_tree'
        ),
        array(
          'title' => 'Import Wizard',
          'tip'   => 'Import Wizard For Instances',
          'url'   => $_DMO_url.'/index/admin/imports'
        ),
        array(
          'title' => 'File Structure',
          'tip'   => 'DMO File Structure',
          'url'   => $_DMO_url.'/index/admin/file_tree_structure'
        ),
        array(
          'title' => 'Rebuild Tree',
          'tip'   => 'Rebuild the definition tree cache',
          'url'   => '?force_rebuilding_tree_cache=1'
        )
      )
    ),
    array(
      'title' => 'Reports',
      'tip'   => 'Complete Reports',
      'url'   => $_DMO_url.'/index/reports/instance',
      'children' => array(
        array(
          'title' => 'Instance Listing',
          'tip'   => 'Complete Instance Report',
          'url'   => $_DMO_url.'/index/reports/instance'
        ),
        array(
          'title' => 'Definition Listing',
          'tip'   => 'Complete Definition Report',
          'url'   => $_DMO_url.'/index/reports/definition'
        ),
        array(
          'title' => 'Host Reports',
          'tip'   => 'Complete Host(s) Report',
          'url'   => $_DMO_url.'/index/reports/hosts'
        ),
        array(
          'title' => 'User Objects',
          'tip'   => 'Report of Objects Owned by Users',
          'url'   => $_DMO_url.'/index/userobjects'
        ),
        array(
          'title' => 'Report Archive',
          'tip'   => 'Old reports listing',
          'url'   => $_DMO_url.'/index/reports/archive'
        )
      )
    ),
    array(
      'title' => 'Search',
      'tip'   => 'Search Menu',
      'url'   => $_DMO_url.'/index/search/advsearch',
      'children' => array(
        array(
          'title' => 'Query Search',
          'tip'   => 'SQL Query Based Search',
          'url'   => $_DMO_url.'/index/search/querysearch'
        ),
        array(
          'title' => 'Advanced Search',
          'tip'   => 'Advanced Node Based Search',
          'url'   => $_DMO_url.'/index/search/advsearch'
        )
      )
    ),
    array(
      'title' => 'Help',
      'tip'   => 'Link to online Help Wiki',
      'url'   => $_DMO_url.'/index/help'
    ),
  );
  if ($_DMO_plugins) {
    $menu_structure[count($menu_structure)]=array(
      'title'    => 'Plugins',
      'url'      => $_DMO_url.'/index/plugins',
      'children' => $_DMO_plugins
    );
  }
  if (!$_LFX['global']['applications']['EH']) {
    $menu_structure[count($menu_structure)]=array(
      'title' => 'Logout',
      'url'   => $_DMO_url.'/index/logout'
    );
  }
  
  $_page->menu=new DMO_Menu($menu_structure);
  unset($menu_structure);
?>
