<?php

  /**
  * Class DMO_TreeMenu
  * Lucian Silistru <lucian@moongate.ro>
  * $Id: DMO_TreeMenu.php,v 1.6 2005/11/08 13:20:02 bogdan Exp $
  * @package DMO
  */
  
  $result=array("HTML_Tree_Menu");
  if (!_checkIncludes($result)) {
    return($result);
  }


    /**
    * DMO_TreeMenu class. Extends HTML_TreeMenu but just for one function: importing.
    */
  class DMO_TreeMenu extends HTML_TreeMenu
  {
    
    // This really does nothing
    function DMO_TreeMenu()
    {
      $this->HTML_TreeMenu();
    }
    
    // Instead of importing from the 3 other types of tree structures
    // it imports from a getTree() result array
    function createFromStructure($params)
    {
        global $_page,$_DMO_path;
        if (!isset($params['nodeOptions'])) {
            $params['nodeOptions'] = array();
        }

        switch (@$params['type']) {

            /**
            * LFXlib getTree() array import
            */
            case 'lfxlib':
                unset($treeMenu);
                GLOBAL $_DMO_url;
                $treeMenu = &new HTML_TreeMenu();
                $baseLink=$_DMO_url.'/index/data/listins/?def=';
                $treeStruct=$params['structure'];
                $cParent=0;
                $parentList=array();
                for ($i=0;$i<count($treeStruct);$i++) {
                    unset($options,$defObj,$options,$cLevel,$pLevel);
                    $options=array();
                    $defObj=&$treeStruct[$i]['object'];
                    $cLevel=$treeStruct[$i]['level'];
                    $pLevel=$i>0?$treeStruct[$i-1]['level']:0;
                    //Setting Node Options
                    $insCountArray=$defObj->getInstanceCounts();
                    $insCount='['.$insCountArray['local'].'+'.$insCountArray['total'].']';
                    $options['text'].=niceTrim($insCountArray['name'],max(7,18-$cLevel));
                    $options['ltitle']=$insCountArray['name'];
//                      echo($_DMO_path.$_DMO_images.'/jstree/icons/'.$insCountArray['name'].'.gif');exit;
                    if (is_file($_DMO_path.'/images/jstree/icons/'.$insCountArray['name'].'_small.gif')) {
                      $options['icon']='icons/'.$insCountArray['name'].'_small.gif';
                    }
                    $spcCount=max(0,20-strlen($insCount)-strlen($options['text']));
                    $options['text']=$options['text'].str_repeat('&nbsp',$spcCount).$insCount;
                    $options['expanded']=false;
                    $options['ensureVisible']=false;
                    if (($defObj->id==$params['def']->id)) {
                      $options['cssClass']='treeCurrentItem';
                      $options['ensureVisible']=true;
                    }
                    $options['link']=$baseLink.$defObj->id;
                    if ($i==0) {
                        $currentNode=&$treeMenu->addItem(new HTML_TreeNode($options));
                        $cParent=-1;
                    } else {
                        if ($cLevel>$pLevel) {
                            $cParent=$pLevel;//++;
                            $parentList[$cParent]=&$currentNode;
                        } elseif ($cLevel<$pLevel) {
                            $cParent=$cLevel-1;//-=abs($cLevel-$pLevel);
                        }
                        if (LFX_permsFilter($defObj->getUserPerms(),'R') && !$defObj->hasInvisibleHiddenParents()) {
                          if ($defObj->getAttr('hidden')==1) {
                            $options['text'].="&nbsp;(H)";
                          }
                          $currentNode=&$parentList[$cParent]->addItem(new HTML_TreeNode($options));
                        }
                    }
                }
                
                break;                

            default:
                // Need to create a HTML_TreeMenu object ?
                if (!isset($params['treeMenu'])) {
                    $treeMenu = &new HTML_TreeMenu();
                } else {
                    $treeMenu = &$params['treeMenu'];
                }
                
                // Loop thru the trees nodes
                foreach ($params['structure']->nodes->nodes as $node) {
                    $tag = $node->getTag();
                    $parentNode = &$treeMenu->addItem(new HTML_TreeNode(array_merge($params['nodeOptions'], $tag)));

                    // Recurse ?
                    if (!empty($node->nodes->nodes)) {
                        $recurseParams['structure']   = $node;
                        $recurseParams['nodeOptions'] = $params['nodeOptions'];
                        $recurseParams['treeMenu']    = &$parentNode;
                        HTML_TreeMenu::createFromStructure($recurseParams);
                    }
                }
                break;
        }

        return $treeMenu;      
    }
  }
?>
