<?

  /**
  * The DMO attribute class
  * Bogdan Stancescu <bogdan@lanifex.com>, November 2002
  * $Id: DMO_attribute.php,v 1.13 2005/08/01 06:29:55 bogdan Exp $
  * @package DMO
  */
  
  _checkMeOut(__FILE__);

  $result=array("DMO_Object");
  if (!_checkIncludes($result)) {
    return($result);
  }

  class DMO_Attribute extends DMO_Object
  {
    function DMO_Attribute($id=0)
    {
      $this->DMO_object($id);

      // == DEFINING ATTRIBUTES ==
      $tmp["date"]=
      $tmp["revision"]=
      $tmp["name"]=
      $tmp["low"]=
      $tmp["high"]=
      $tmp["description"]=
      $tmp["type"]=
      $tmp["definition"]=
      $tmp["visible"]=
      $tmp['is_password']=
      $tmp['data_type']=
      $tmp['extra_type']=
      $tmp['inheritable']=
      array();

      // == DEFINING FIELDS
      $tmp["date"]["fld_name"]="attribute_date";
      $tmp["revision"]["fld_name"]="attribute_revision";
      $tmp["name"]["fld_name"]="attribute_name";
      $tmp["low"]["fld_name"]="attribute_low";
      $tmp["high"]["fld_name"]="attribute_high";
      $tmp["description"]["fld_name"]="attribute_description";
      $tmp["type"]["fld_name"]="attribute_type";
      $tmp["description"]["fld_name"]="attribute_description";
      $tmp["definition"]["fld_name"]="definition_ID";
      $tmp["visible"]["fld_name"]="attribute_visible";
      $tmp["inheritable"]["fld_name"]="attribute_inheritable";
            
      // == DEFINING LINKS ==
      $tmp["definition"]["link_class"]="DMO_definition";

      // == DEFINING FLAGS ==
      $tmp["date"]["flags"]["sqlDate"]=true;

      // == DEFINING DEPENDENCIES ==
      $tmp2["instattr"]=array(
        "class"=>"DMO_instattr",
        "attr"=>"attribute");
        
      $tmp2['qsattr']=array(
        'class'=>'DMO_qsAttr',
        'attr'=>'attribute');
        
      $tmp2['plugactions']=array(
        'class'=>'DMO_plugAction',
        'attr'=>'attribute');

      // == DEFINING DATASTRUCTURE ==
      $this->dataStructure=array(
        "table_name"=>"attribute",
        "id_field"=>"attribute_ID",
        "fields"=>$tmp,
        "depend"=>$tmp2,
        "title_attr"=>'name'
      );
      $this->fillDataStructure();

      // == DEFINING DISPLAY ATTRIBUTES
      $this->showAttr=array(
        "attributes" => array(
          "name" => array(
            "header" => "Name"
          ),
          "definition" => array(
            "header" => "Definition"
          ),
          "type" => array(
            "header" => "Type"
          )
        )
      );
    }
    
    function getLinkH($id=0)
    {
      $id=$id?$id:$this->id;
      // Should also check if the required attributes are set
      if (!$id) {
        return("n/a");
      }
      global $_DMO_url;
      return("<a href='$_DMO_url/attribute/show.php?id=$id'>".
        ($this->getAttr("name"))."</a>\n");
    }

    function getListLinkH($id=0)
    {
      global $_DMO_url;
      return("<a href='$_DMO_url/attribute/list.php?def=".($this->getAttr("definition"))."'>".(__("Other Definition Attributes"))."</a>\n");
    }

    function prepareAttrH($att_name, $att_val)
    {
      switch($att_name) {
        case "iscontact":
          return($att_val?"Yup":"Nope");
        case "email":
          return("<a href='mailto:$att_val'>$att_val</a>");
        default:
          return($att_val);
      }
    }
    
      /**
      * Returns the ID of the DMO attribute with a particular name, NULL
      * if not found or false if more than one attribute matches (attribute
      * names must be unique in DMO, so multiple attributes with the same
      * name means a database consistency problem).
      */
    function byNameID($name)
    {
      $atts=$this->search('name',$name);
      if (!$atts) {
        return(NULL);
      }
      if (count($atts)>1) {
        return(false);
      }
      return($atts[0]->id);
    }
  }
?>
