<?

  /**
  * The DMO definition class
  * Bogdan Stancescu <bogdan@lanifex.com>, November 2002
  * $Id: DMO_definition.php,v 1.47 2005/11/30 12:47:10 bogdan Exp $
  * @package DMO
  */ 

  _checkMeOut(__FILE__);

  $result=array("DMO_Object");
  if (!_checkIncludes($result)) {
    return($result);
  }

    /**
    * DMO Definition - the very core of DMO structurally
    */
  class DMO_Definition extends DMO_Object
  {
      var $tree_delim = "@Dm0tReee_deFIn1niti0nn";
      /**
      * Class Constructor
      */
    function DMO_Definition($id=0)
    {
      /*
      echo("(DEBUG BOGDAN) Instantiating definition #$id (".niceSize(memory_get_usage()).")<br>\n");
      if (memory_get_usage()>7*1024*1024) {
        echo("<h1>(DEBUG BOGDAN) TOO MUCH RAM!</h1>");
        echo("(DEBUG BOGDAN) ".vardump(debug_backtrace()));
        exit;
      }
      */
      $this->DMO_object($id);

      // == DEFINING ATTRIBUTES ==
      // There's also a "definition_test" field in the database.
      // I don't know what that is, so I neither deleted it, nor
      // added it to the attributes list.
      $tmp['date']=
      $tmp['revision']=
      $tmp['name']=
      $tmp['number']=
      $tmp['type']=
      $tmp['parent']=
      $tmp['description']=
      $tmp['owner']=
      $tmp['group']=
      $tmp['localInsCount']=
      $tmp['totalInsCount']=
      $tmp['enable_report']=
      $tmp['enable_summary']=
      $tmp['tree_cache']=
      $tmp['hidden']=
      $tmp['lock_inherit']=
      $tmp['depth']=
      array();

      // == DEFINING FIELDS
      $tmp['date']['fld_name']='definition_date';
      $tmp['revision']['fld_name']='definition_revision';
      $tmp['name']['fld_name']='definition_name';
      $tmp['number']['fld_name']='definition_number';
      $tmp['type']['fld_name']='definition_type';
      $tmp['parent']['fld_name']='definition_parent';
      $tmp['description']['fld_name']='definition_description';
      $tmp['owner']['fld_name']='definition_owner';
      $tmp['group']['fld_name']='definition_group';
      $tmp['localInsCount']['fld_name']='ins_count_local';
      $tmp['totalInsCount']['fld_name']='ins_count_total';

      // == DEFINING LINKS ==
      $tmp['parent']['link_class']='DMO_definition';
      $tmp['owner']['link_class']='LFX_User';
      $tmp['group']['link_class']='LFX_Group';

      // == DEFINING FLAGS ==
      $tmp['date']['flags']['sqlDate']=true;

      // == DEFINING DEPENDENCIES ==
      $tmp2['childDef']=array(
        'class'=>'DMO_definition',
        'attr'=>'parent');
      $tmp2['childIns']=array(
        'class'=>'DMO_instance',
        'attr'=>'definition');
      $tmp2['childAttr']=array(
        'class'=>'DMO_attribute',
        'attr'=>'definition');
      $tmp2['parTempl']=array(
        'class'=>'DMO_Deftemplate',
        'attr'=>'childdef');
      $tmp2['childTempl']=array(
        'class'=>'DMO_Template',
        'attr'=>'definition');

      // == DEFINING DATASTRUCTURE ==
      $this->dataStructure=array(
        'table_name'=>'definition',
        'id_field'=>'definition_ID',
        'fields'=>$tmp,
        'depend'=>$tmp2,
        'tree_link_attr'=>'parent',
        'object_page'=>'/index/data/showdef?def=%1$d&tree=%1$d',
        'title_attr'=>'name'
      );
      $this->fillDataStructure();

      // == DEFINING DISPLAY ATTRIBUTES
      $this->showAttr=array(
        'attributes' => array(
          'name' => array(
            'header' => 'Name'
          ),
          'parent' => array(
            'header' => 'Parent'
          ),
          'revision' => array(
            'header' => 'Revision'
          ),
          'type' => array(
            'header' => 'Type'
          )
        )
      );
    }

    function getLinkH($id=0)
    {
      $id=$id?$id:$this->id;
      // Should also check if the required attributes are set
      if (!$id) {
        return("n/a");
      }
      global $_DMO_url;
      return("<a href='$_DMO_url/index/data/showdef?def=$id'>".
        ($this->getAttr("name"))."</a>");
    }

    function getListLinkH($id=0)
    {
      global $_DMO_url;
      return("<a href='$_DMO_url/definition/list.php'>".(__("Definition Tree"))."</a>\n");
    }

    function prepareAttrH($att_name, $att_val)
    {
      switch($att_name) {
        case "iscontact":
          return($att_val?"Yup":"Nope");
        case "email":
          return("<a href='mailto:$att_val'>$att_val</a>");
        default:
          return($att_val);
      }
    }

      /**
      * Returns an array of DMO attributes associated with this definition
      *
      * New: If the parameter $id is specified it will return an array of IDs and not attribute objects
      *
      * Note: $this->id must be set for this method to work
      *
      * @return array an indexed array of DMO attributes or false on error.
      *   Please note it returns an array of instantiated attributes, not only their id's.
      */
    function dmoAttrList($id=0)
    {
      global $_DMO_globals;
      $result = array();
      $ret_ids = false; 
      if (!$id) {
        $id = $this->id;
      } else {
        $this = new DMO_Definition($id);
        $ret_ids = true;
      }
      if (!$this->getAttr('depth')) {
        $this->setDefinitionLevels();
      }
      $def_levels = $this->getAttr('depth')+1;

      $sql = "SELECT DISTINCT(a1.attribute_id)
                FROM definition t1
                INNER JOIN attribute a1 ON t1.definition_id = a1.definition_id ";
      for ($j=2; $j<=$def_levels; $j++) {
        $sql .= " LEFT JOIN definition t$j ON t$j.definition_parent = t".($j-1).".definition_id ";
      }
      $sql .= " WHERE ".$id." IN (";
      for ($j=1; $j<=$def_levels; $j++) {
        $sql .= ($j!=$def_levels) ? "t$j.definition_id," : "t$j.definition_id)";
      }
      $this->query($sql);
      while ($this->db->next_record()) {
        if ($ret_ids) {
          $result[] = $this->db->f(0);
        } else {
          $result[] = new DMO_Attribute($this->db->f(0));
        }
      }
      return($result);

/* -- Old way --
      $parents=$this->getParents();
      if ($parents===false) {
        $this->debug("dmoAttrList couldn't getParents()");
        return(false);
      }
      $parents[]=&$this;
      $result=array();
      while(list(,$parent)=each($parents)) {
        $tmpAttrList=$parent->getObjects("childAttr");
        if ($tmpAttrList===false) {
          $this->debug("dmoAttrList couldn't getObjects()");
          return(false);
        }
        reset($tmpAttrList);
        while (list(,$att)=each($tmpAttrList)) {
          $result[]=$att;
        }
      }
      return($result);
*/
    }
    
    function setDefinitionLevels() {
      $root=$this->getRoot();
      $mytree = $root->getTree();
      foreach ($mytree as $twig) {
        $twig['object']->setAttr('depth', $twig['level']);
        $twig['object']->save();
      }
    }

      /**
      * Creates an empty DMO attribute for this definition and returns it
      *
      * Please note this method does NOT save the attribute - it just instantiates
      * it and sets its definition attribute to point the right way. You must set
      * the (DMO) attribute's (SC) attributes and save it yourself.
      *
      * @return object a DMO_attribute instance pointing to this definition or false on error
      */
    function dmoCreateAttr()
    {
      if (!$this->id) {
        $this->addError("New DMO attribute required for definition with ID not set (in DMO_Definition::dmoCreateAttr())",
          DMO_DV_BOGDAN+93, DMO_ET_ERROR+DMO_EL_SC);
        return(false);
      }
      $tmpAttr=&new DMO_Attribute();
      $tmpAttr->setAttr("definition", $this->id);
      return($tmpAttr);
    }

      /**
      * Returns the definitin tree, with the current element expanded
      * and all others collapsed.
      *
      * The parameters must be sprintf-compliant, with a %d placed where
      * dmoTreeH() will place the id's
      *
      * @param string $def_link the URL of a page to receive the id's
      *   of the definitions the user clicks on.
      * @param string $tree_link the URL of a page to receive the id's
      *   of the definitions the user clicks for expansion.
      * @return string an HTML string representing the tree or false on error
      */

    function dmoTreeH($def_link, $tree_link)
    {
      global $_DMO_images;
      $images="$_DMO_images/tree";
      $root=$this->getRoot();
      if ($root===false) {
        $this->debug('DMO_Definition::dmoTreeH() called SC::getRoot() which failed');
        return(false);
      }
      $tree=$root->getTree('name');
      if ($tree===false) {
        $this->debug('DMO_Definition::dmoTreeH() called SC::getTree() which failed');
        return(false);
      }
      $parents=$this->getParents();
      if ($parents===false) {
        $this->debug('DMO_Definition::dmoTreeH() called SC::getParents() which failed');
        $return(false);
      }
      $id=$this->id; // My ID
      $mPC=0; // My Parent Counter - points to elements in $parents
      $mPI=$parents[$mPC]->id; // My Parent's ID - contains the id of the object mPC points to
      $result='';
      $expandLvl=0;
      $myLvl=count($parents);
      $depthArray=array();
      for ($i=0;$i<count($tree);$i++) {
        $lvl=$tree[$i]['level'];

        $tmpArr=&$depthArray;
        for ($j=0;$j<$lvl;$j++) {
          $tmpArr=&$tmpArr[count($tmpArr)-1]['children'];
        }
        $tmpArr[]=array();
        $tmpArr=&$tmpArr[count($tmpArr)-1];
        $tmpArr['object']=&$tree[$i]['object'];
        $tmpArr['children']=array();
        $tmpArr['depth']=$lvl;
        if (($tree[$i]['object']->id==$mPI) || ($tree[$i]['object']->id==$id)) {
          $tmpArr['expand']=true;
          $mPC++;
          $mPI=$parents[$mPC]->id;
        }
      }
      /*
       echo("<pre>\n");
       print_r($depthArray);
       echo("</pre>");
      */
      $result=$this->_dmoTreeBranch($def_link, $tree_link, $depthArray[0], 0);
      return($result);
    }

      /**
      * Internal function used to render the tree - the recursive part
      */
    function _dmoTreeBranch($def_link, $tree_link, $branch, $parent, $siblingsFollow=array())
    {
      /*
        Here's a legend for the images:

        *- Root (expanded)
        |
        $-%- Child (w/ children - collapsed)
        |
        \-*- Child (w/ children - expanded)
        & |
        & \-#- Grandchild (w/o children)


        Symbl | Variable   | Appearance (approximate)
        ------+------------+---------------------------------------------------------------------
         "%"  | img_plus   | A plus in a box (for expanding children)
         "*"  | img_minus  | A minus in a box (for collapsing children)
         "$"  | img_tee    | A "+" without the branch pointing left
         "#"  | img_branch | A "-"
         "&"  | img_empty  | Really an empty box the same size with the others
         "|"  | img_vert   | A "|"
         "\"  | img_end    | A "+" without the left and bottom branches (like an "L" superscript)
         "-"  |   n/a      | The elements represented by "-" above DON'T actually exist - they're
              |            | only there for added clarity of the ASCII graph.
        ------+------------+---------------------------------------------------------------------
      */

      // Defining images
      global $_DMO_images;
      $images="$_DMO_images/tree";
      $img="<IMG SRC='$images/t_%s.png' BORDER='0' ALT='%s'>";
      $img_plus=sprintf($img,"plus","-[+]-");
      $img_minus=sprintf($img,"minus","-[-]-");
      $img_tee=sprintf($img,"tee","&nbsp;&nbsp;|--");
      $img_branch=sprintf($img,"branch","-----");
      $img_empty=sprintf($img,"empty","&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
      $img_vert=sprintf($img,"vert","&nbsp;&nbsp;|&nbsp;&nbsp;");
      $img_end=sprintf($img,"end","&nbsp;&nbsp;\\--");

      // Determining the current definition for highlighting purpose
      global $def;
      if ($branch["object"]->id==$def->id) {
        $cellID='treeCurrentItem';
      } else {
        $cellID='';
      }

      // Gotta put each line in a table so the text is centered vertically
      $result.=LFX_echo("<table border='0' cellspacing='0' cellpadding='0'>");
      $result.=LFX_echo("<tr>");
      LFX_indent();

      // Rendering bars on the left
      // (img_vert or img_empty for each level prior to this one)
      for ($i=0;$i<($branch["depth"]-1);$i++) {
        if ($siblingsFollow[$i]) {
          $result2.=$img_vert;
        } else {
          $result2.=$img_empty;
        }
      }

      // Rendering this entry's schematic start
      // (img_tee or img_end, depending on whether others follow on the same level or not)
      if ($branch["depth"]) {
        if ($siblingsFollow[$branch["depth"]-1]) {
          $result2.=$img_tee;
        } else {
          $result2.=$img_end;
        }
      }

      if (count($branch["children"])) {
        if ($branch["expand"]) {
          if ($branch['object']->id==$this->id) {
            $title=__D('Compact this branch');
          } else {
            $title=__D('Focus currently selected definition');
          }
          $result2.=sprintf("<A HREF='$tree_link' TITLE='$title'>",$parent).$img_minus."</A>";
        } else {
          $title=__D('Expand this branch');
          $result2.=sprintf("<A HREF='$tree_link' TITLE='$title'>",$branch["object"]->id).$img_plus."</A>";
        }
      } else {
        $result2.="$img_branch";
      }

      $result.=LFX_echo("<td nowrap id='$cellID'>$result2</td>");

      // Rendering the actual entry
      $tmp=new DMO_Instance;
      $insCount=$branch['object']->getAttr('localInsCount');
      $totalInsCount=$branch['object']->getAttr('totalInsCount');
      $HTMLCount="[<span title='".htmlspecialchars(__D("Current definition's instances"),ENT_QUOTES)."'>$insCount</span>+".
        "<span title='".htmlspecialchars(__D("Child definition's instances"),ENT_QUOTES)."'>$totalInsCount</span>]";
      $defName=htmlspecialchars($branch["object"]->getAttr("name"));
      $result.=LFX_echo("<td valign='middle' nowrap id='$cellID'>".
        (sprintf("&nbsp;<A HREF='$def_link' title='$defName'>$style[0]".
        (niceTrim($defName,max(7,18-$branch["depth"]))).
        "$style[1]</A>",$branch["object"]->id)).
        "</td>");
      $result.=LFX_echo("<td width='100%' valign='middle' align='right' style='font-size: 8pt; text-align: right' id='$cellID'>".
        "&nbsp;$HTMLCount</td>");

      LFX_unindent();
      $result.=LFX_echo("</tr>");
      $result.=LFX_echo("</table>");

      if (!$branch["expand"]) {
        return($result);
      }

      for ($i=0;$i<count($branch["children"]);$i++) {
        $childHasSiblings=$siblingsFollow;
        if ($i<(count($branch["children"])-1)) {
          $childHasSiblings[]=true;
        } else {
          $childHasSiblings[]=false;
        }
        $result.=$this->_dmoTreeBranch($def_link, $tree_link, $branch["children"][$i], $branch["object"]->id, $childHasSiblings);
      }

      return($result);
    }
    
    function getTypes()
    {
      $sql="SELECT DISTINCT definition_type FROM definition WHERE definition_type <> '' ORDER BY definition_type ASC";
      $this->query($sql);
      $ret_array=array();
      while ($this->db->next_record()) {
        $ret_array[]=$this->db->f("definition_type");
      }
      if (count($ret_array)) {
        return($ret_array);
      } else {
        return(false);
      }
    }

    function _updateInsCount($delta, $total=false)
    {

      if (!$total) {
        $this->setAttr('localInsCount',$this->getAttr('localInsCount')+$delta);
      } else {
        $this->setAttr('totalInsCount',$this->getAttr('totalInsCount')+$delta);

      }

      $this->save();

      if ($parent=$this->getParent()) {
        $parent->ignorePerms=true;
        //$parent->_updateInsCount($delta,true);
        $parent->ignorePerms=false;
      }

    }

      /**
      * Returns the ID of the DMO definition with a particular name, NULL
      * if not found or false if more than one definition matches (definition
      * names must be unique in DMO, so multiple definitions with the same
      * name means a database consistency problem).
      */
    function byNameID($name)
    {
      $atts=$this->search('name',$name);
      if (!$atts) {
        return(NULL);
      }
      if (count($atts)>1) {
        return(false);
      }
      return($atts[0]->id);
    }

    /**
     * Parses the page html content and replace the current tree render with latest version of it.
     * Usefull when the tree render is performed before an actual rebuild of it.
     */
    function staticRebuildTree()
    {
       global $_page;
       $_page->content = preg_replace("/(.*<!--".$this->tree_delim."-->)(.*)(<!--".$this->tree_delim."-->.*)/is", '\\1 '.$this->renderJSTree().' \\3', $_page->content);
    }

    function renderJSTree()
    {
      LFX_include('LFX_Cache');
      /* Cache HTML */
      $myCache = new LFX_Cache('DMO','','DEF_Tree');
      $myCache->setCacheType('fs');
      if ($rc = $myCache->readCache()) {
        $jsTree = unserialize($rc);
      } else {
        $jsTree = '';
      }
      $selected = $this->id;
      if ($jsTree > '') {
        $this->highLightTreeNode($jsTree->items[0], $selected);
       }
      $treeData = $this->__buildTreeCacheHTML($jsTree);
      return $treeData;
    }

    function highLightTreeNode(&$node, $item)
    {
      if (!$node->link) return;
      if (preg_match("/^(.*)def=([0-9]+)$/", $node->link, $arr)) {
         if ($arr[2] == $item)
            $node->cssClass = 'treeCurrentItem';
         else {
            $node->cssClass = '';
         }
      } else return false;

      for($i=0; $i<count($node->items); $i++) {
        $this->highLightTreeNode($node->items[$i], $item);
      }
    }

    function __buildTreeCacheHTML($jsTree = '')
    {
      GLOBAL $_DMO_images, $_DMO_url;
      LFX_include('DMO_TreeMenu', 'LFX_Cache');
      $myCache = new LFX_Cache('DMO','','DEF_Tree');
      $myCache->setCacheType('fs');
      $root=$this->getRoot();
      if ($root===false) {
        return(false);
      }
      if (!$jsTree) {
        $defTree=$root->getDefTree();
          if ($defTree===false) {
            return(false);
        }
        $jsTree = new DMO_TreeMenu();
        $jsTree=$jsTree->createFromStructure(array('structure'=>$defTree,'type'=>'lfxlib','def'=>&$this));
        // cache html insertion
        if (!$myCache->saveCache(serialize($jsTree))) {
          return false;
        }
      }
      $treeRender = &new HTML_TreeMenu_DHTML($jsTree,array('images'=>$_DMO_images.'/jstree','defaultClass'=>'treeMenuDefault'));
      $treeData='<SCRIPT src="'.$_DMO_url.'/include/TreeMenu.js" language="JavaScript" type="text/javascript"></SCRIPT>'."\n";
      $treeData.=$treeRender->toHTML();
      unset($jsTree, $treeRender,$defTree,$root);

      return $treeData;
    }

    function _getTreeCache()
    {
      $root=$this->getRoot();
      if ($root===false) {
        return(false);
      }
      $tree_cache=$root->getAttr('tree_cache');
      $tree=unserialize($tree_cache);
      return($tree);
    }

    function _saveTreeCache($tree)
    {
      $root=$this->getRoot();
      if ($root===false) {
        return(false);
      }
      $root->load();
      $root->setAttr('tree_cache',serialize($tree));
      $root->ignorePerms=true;
      if ($root->save()) {
        return(true);
      } else {
        return(false);
      }
      $root->ignorePerms=false;
    }

    function _rebuildTreeCache()
    {
      $root=$this->getRoot();
      $tree=$root->getTree('name');
      for ($i=0;$i<count($tree);$i++) {
        $tree[$i]['object']=$tree[$i]['object']->id;
      }
      $root->_saveTreeCache($tree);
      $root->ignorePerms=true;
      $root->save();
      $root->ignorePerms=false;
    }

    function onDelete($id)
    {
      $tree=$this->_getTreeCache();
      if ($tree) {
        $new_tree=array();
        for ($i=0;$i<count($tree);$i++) {
          if ($tree[$i]['object']==$id) {
            continue;
          }
          $new_tree[]=$tree[$i];
        }
        $this->_saveTreeCache($new_tree);
      }
      // rebuild tree cache
      $this->_rebuildTreeCache();
      if (!$this->__buildTreeCacheHTML()) {
        $this->addError("Rebuilding Tree Cache failed.");
        return false;
      }
      return(true);
    }

    function beforeDelete($id)
    {
      // perms
      global $_DMO_globals;
      if (!$this->ignorePerms && $_DMO_globals->getSetting('enable_instance_access_control')) {
        if (!LFX_permsFilter($this->getUserPerms(),'D')) {
          $this->addError("You don't have the rights to delete this definition.");
          return(false);
        }
      }
      return(true);
    }

    function beforeSave($new,$id,$force)
    {
      global $_DMO_globals;

      $def=&$this->defaultObject($id);
      // check duplicates
      // remove leading and trailing spaces from name
      $def->setAttr('name', trim($def->getAttr('name')));
      $isdef = $def->search('name', $def->getAttr('name'));
      if ($isdef[0] && $isdef[0]->id != $id) {
        $def->addError("Definition <B>".$def->getAttr('name')."</B> already exists. You have to choose a different name!");
        return(false);
      }

      // perms
      if (!$this->ignorePerms && $_DMO_globals->getSetting('enable_instance_access_control')) {
        if (!$new && !LFX_permsFilter($this->getUserPerms(),'U')) {
          $this->addError("You don't have the rights to edit this definition. Id={$this->id}");
          return(false);
        } elseif ($new) {
          $parent=$this->getObject('parent');
          if (!LFX_permsFilter($parent->getUserPerms(),'C')) {
            $this->addError("You don't have the rights to create definitions under this definition.");
            return(false);
          }
        }
      }
      if (!$new) {
          $old_def = new DMO_Definition($id);
          $old_parent = $old_def->getAttr('parent');
          $this->tmp_oldParent = $old_parent;
          //$this->tmp_oldParent=$this->getAttr('parent');
      }
      return(true);
    }

    function onSave($new)
    {
      if ($new || ($this->tmp_oldParent!=$this->getAttr('parent'))) {
        //rebuild only structure
        $this->_rebuildTreeCache();
        //rebuild instantiated objects
        if (!$this->__buildTreeCacheHTML()) {
            $this->addError("Rebuilding Tree Cache failed.");
            return false;
         }
      }
      return true;
    }

    function getDefTree()
    {
      $tmp_tree=$this->_getTreeCache();
      for($i=0;$i<count($tmp_tree);$i++) {
        $tmp_tree[$i]['object']=new DMO_Definition($tmp_tree[$i]['object']);
      }
      return($tmp_tree);
    }

    function getInstanceCounts()
    {
      GLOBAL $_DMO;
      if (!isset($_DMO['page']['instance_count'])) {
        $query='SELECT definition_ID,ins_count_local,ins_count_total,definition_name FROM definition';
        $this->query($query);
        while ($this->db->next_record()) {
          $_DMO['page']['instance_count']['local'][$this->db->f(0)]=$this->db->f(1);
          $_DMO['page']['instance_count']['total'][$this->db->f(0)]=$this->db->f(2);
          $_DMO['page']['instance_count']['name'][$this->db->f(0)]=$this->db->f(3);
        }
      }
      return(array('local'=>$_DMO['page']['instance_count']['local'][$this->id],
                   'total'=>$_DMO['page']['instance_count']['total'][$this->id],
		   'name'=>$_DMO['page']['instance_count']['name'][$this->id]));
    } 
    
      /**
      * Returns the user permissions on this definition.
      *
      * @param object $user an instantiated LFX_User object, or the current
      *   user if ignored
      * @result string the user's permissions on this definition -- make sure
      *   to use LFX_permsFilter() on the result, it can be '*'!
      */
    function getUserPerms($user=NULL)
    {
      if ($user===NULL) {
        global $_page;
        $user=&$_page->user;
      }
      if ($this->getAttr('hidden')==1 && !(LFX_permsFilter($user->rightsToGroup('DMO_Hidden_Definitions'),'R'))) {
        return(false);
      }
      global $_DMO_globals;
      if (!$_DMO_globals->getSetting('enable_instance_access_control')) {
        // Anarchy: ownership not enforced
        return('*');
      }
      if (($allPerm=$user->rightsToGroup('DMO_all_definitions'))=='*') {
        // Group DMO_all_definitions gives users an underlaying, basic level of
        // access to all definitions in the system. If that is '*', we just return
        // it. Otherise, we merge it below with whatever other rights we collect
        // along the way.
        return('*');
      }
      $user_id=$this->getAttr('owner');
      $group_id=$this->getAttr('group');
      if (!$user_id && !$group_id) {
        // Default is nobody
        return($allPerm);
      }
      if ($user_id==$user->id) {
        // Autocracy: he owns it himself
        return('*');
      }
      $access_list=$user->accessList();
      while (list(,$v) = each($access_list)) {
        if($group_id == $v[0]) {
          // Capitalism: owned by a group with specific rights
          return(LFX_permsMerge($allPerm,$v[1]));
        }
      }
      // Slavery: ownership enforced, but you have no ownership
      return($allPerm);
    }
    
    /**
    * This function is a bit weird. It will return true only if
    * this definition has a hidden ancestor AND!!! the user does 
    * not have permissions to see that hidden parent
    */
    
    function hasInvisibleHiddenParents()
    {
      if ($this->id==1) {
        return(false);
      }
      if (($parent=$this->getObject('parent')) && ($parent->getAttr('hidden')==1) && (!LFX_permsFilter($parent->getUserPerms(),'R'))) {
        return(true);
      }
      return($parent->hasInvisibleHiddenParents());
    }
    
    function getLargeIcon()
    {
      global $_DMO_path,$_DMO_url;
      if (is_file($_DMO_path.'/images/jstree/icons/'.$this->getAttr('name').'_large.gif')) {
        $return="<img src='$_DMO_url/images/jstree/icons/".$this->getAttr('name').'_large.gif'."'>&nbsp;";
      }
      return($return);
    }
  }
?>
