<?

  /**
  * DMO_Help class
  * Bogdan Stancescu <bogdan@lanifex.com>, January 2003
  * $Id: DMO_help.php,v 1.7 2003/10/03 12:12:06 bogdan Exp $
  * @package DMO
  */
  
  _checkMeOut(__FILE__);

  $result=array('DMO_Object');
  if (!_checkIncludes($result)) {
    return($result);
  }
  $_noCode=true;
  $result=array('DMO_HelpData');
  if (!_checkIncludes($result)) {
    return($result);
  }

  class DMO_Help extends DMO_Object
  {
    function DMO_Help($id=0)
    {
      $this->DMO_object($id);

      $tmp['topicId']=
      $tmp['type']=
      $tmp['parent']=
        array();

      $tmp['parent']['link_class']='DMO_Help';

      $tmp2['children']=array(
        'class'=>'DMO_Help',
        'attr'=>'parent');
      $tmp2['data']=array(
        'class'=>'DMO_HelpData',
        'attr'=>'help');
        
      $this->dataStructure=array(
        'table_name'=>'help',
        'id_field'=>'id',
        'tree_link_attr'=>'parent',
        'depend'=>$tmp2,
        'fields'=>$tmp
      );

      $this->fillDataStructure();
    }
    
    function getLinkH($id=0)
    {
      if ($id) {
        $help=new DMO_Help($id);
      } else {
        $help=&$this;
      }
      $helpData=$help->getPersonal();
      if ($helpData===NULL) {
        $helpTitle='???';
      } else {
        $helpTitle=$helpData->getAttr('title');
      }
      global $_DMO_url;
      return("<a href='$_DMO_url/index/admin/help?help={$help->id}'>$helpTitle</a>");
    }
    
    function icon($topicId=NULL)
    {
      if ($topicId===NULL) {
        $helpData=$this->getPersonal();
      } else {
        if (!($helpData=$this->getPersonal($topicId))) {
          $this->debug('DMO_Help::iconLinkH() called DMO_Help::getPersonal() which failed');
          return(false);
        }
      }
      global $_DMO_url, $_DMO_icon_help;
      $alt=htmlspecialchars(__D($helpData->getAttr('title')),ENT_QUOTES);
      return("<a href='$_DMO_url/index/admin/help?helpData={$helpData->id}' title='$alt'><img border=0 src='$_DMO_icon_help' alt='$alt'></a>");
    }
    
    function getHelpTreeH($bold=NULL)
    {
      global $_page;
      $indent=3;

      for ($i=0; $i<$indent; $i++) {
        $indentH.="&nbsp;";
      }
      $tree=$this->getTree('topicId');
      for ($i=0;$i<count($tree);$i++) {
        $myResult='';
        $help=&$tree[$i]['object'];
        $helpData=$help->getPersonal();
        $count=$helpData->searchCount('help',$help->id);
        for ($j=0; $j<$tree[$i]['level']; $j++) {
          $myResult.=$indentH;
        }
        $helpTitle=$helpData->getAttr('title');
        $helpData->setAttr('title',str_replace(' ','&nbsp;',$helpTitle));
        if (($bold) && ($help->id==$bold)) {
          $myResult.='<b>'.($helpData->getLinkH()).'</b>';
        } else {
          $myResult.=($helpData->getLinkH());
        }
        $helpData->setAttr('title',$objectTitle);
        $myResult.="&nbsp;[$count]<br />";
        $result.=LFX_echo($myResult);
      }
      return($result);
    }

    function getByTopic($topicId)
    {
      global $_page;
      $help=$this->search('topicId',$topicId);
      if (!$help) {
        return(false);
      }
      if (count($help)>1) {
        $this->addError('More than one topic matches $topicId -- topics must be unique!');
        return(false);
      }
      return($help[0]);
    }
    
    function getPersonal($topicId=NULL)
    {
      global $_page;
      if ($topicId===NULL) {
        $help=&$this;
      } else {
        $help=$this->getByTopic($topicId);
        if (!$help) {
          $this->debug('DMO_Help::getPersonal() called DMO_Help::getByTopic() which failed');
          return(false);
        }
      }
      // Will have to choose between three preferences based on satisfaction:
      // -1 - no help found
      //  0 - some sort of help, in any language
      //  1 - system default
      //  2 - system best choice
      //  3 - user preference
      $satisfaction=-1;
      $myHelp=NULL;
      LFX_include('DMO_HelpData');
      $helpData=$help->getObjects('data');
      for ($i=0;$i<count($helpData);$i++) {
        if ($satisfaction<0) {
          $myHelp=&$helpData[$i];
        }
        if ($myHelp===NULL) {
          continue;
        }
        if (($satisfaction<3) && ($myHelp->getAttr('lang')==$_page->user->getAttr('preflang'))) {
          $satisfaction=3;
          $myHelp=&$helpData[$i];
        }
      }
      return($myHelp);
    }

      /**
      * Private method used by {@link render} to replace [topicId] with
      * the proper links in the help contents.
      */
    function _linkParser($topic)
    {
      if (!($help=$this->getByTopic($topic))) {
        return($topic);
      } else {
        return($help->getLinkH());
      }
    }
    
      /**
      * The function to render a help topic.
      * You should send it a sprintf-compatible string with the
      * URL to use to link to other help topics, replacing the actual
      * help ID with a %d.
      */
    function render($helpData=NULL,$noIcons=false)
    {
      global $_DMO_url;
      if ($helpData) {
        if (!is_object($helpData)) {
          $helpData=new DMO_HelpData($helpData);
        }
      } else {
        $helpData=$this->getPersonal();
      }
      $help=$helpData->getObject('help');
      
      $result=LFX_startTables('100%');
      if ($noIcons) {
        $result.=DMO_swatchHeader(array('title'=>$helpData->getAttr('title')));
      } else {
        $result.=DMO_swatchHeader(array('title'=>$helpData->getAttr('title'),
          'update'=>"$_DMO_url/index/admin/help/edit?helpData={$helpData->id}",
          'create'=>"$_DMO_url/index/admin/help/create?help={$help->id}",
          'drop'=>"$_DMO_url/index/admin/help?help={$this->id}&amp;action=delete"));
      }
      $result.=LFX_str();
      $result.=LFX_echo('<td>');
      $content=$helpData->getAttr('content');
      $content=preg_replace("/([\[]?)\[(\w+)([^ \]]+ )?\]/e","'\\1'.('\\1'=='['?'\\2\\3':\$this->_linkParser('\\2','\\3','$sibling_link'))",$content);
      $content=nl2br($content);
      $result.=$content;
      $result.=LFX_echo('</td>');
      $result.=LFX_etr();
      $result.=LFX_echo('<td style="text-align: center">');
      $trans=$help->getObjects('data');
      if (count($trans)==1) {
        $result.=LFX_echo(__D('Only available in this language'));
      } else {
        $myResult='';
        for($i=0;$i<count($trans);$i++) {
          if ($trans[$i]->id!=$helpData->id) {
            $myResult.="<a href='?helpData={$trans[$i]->id}'>".($trans[$i]->getAttr('lang'))."</a>, ";
          }
        }
        $myResult=substr($myResult,0,-2);
        $result.=LFX_echo(sprintf(__D('Also available in the following languages: %s'),$myResult));
      }
      $result.=LFX_echo('</td>');
      $result.=LFX_etr();
      $result.=LFX_endTables();
      return($result);
    }
  }
?>
