<?

  /**
  * The DMO instance class
  * Bogdan Stancescu <bogdan@lanifex.com>, November 2002
  * $Id: DMO_instance.php,v 1.50 2005/11/10 10:33:06 bogdan Exp $
  * @package DMO
  */

  _checkMeOut(__FILE__);

  $result=array('DMO_Object','DMO_Selection');
  if (!_checkIncludes($result)) {
    return($result);
  }
  
  return(true);

  class DMO_Instance extends DMO_Object
  {
    var $allowTreeCacheRebuild = 1;
    var $allowUpdateInsCount = 1;
    var $oldDefinitionParent;

    function DMO_Instance($id=0)
    {
      $this->DMO_object($id);

      // == DEFINING ATTRIBUTES ==
      $tmp['date']=
      $tmp['revision']=
      $tmp['name']=
      $tmp['serial']=
      $tmp['location']=
      $tmp['inventory']=
      $tmp['purpose']=
      $tmp['notes']=
      $tmp['type']=
      $tmp['owner']=
      $tmp['group']=
      $tmp['parent']=
      $tmp['definition']=
      $tmp['child_no']=
      $tmp['depend_no']=
      $tmp['lock_inherit']=
      $tmp['hidden']=
      array();

      // == DEFINING FIELDS
      $tmp['date']['fld_name']='instance_date';
      $tmp['revision']['fld_name']='instance_revision';
      $tmp['name']['fld_name']='instance_name';
      $tmp['serial']['fld_name']='instance_serial';
      $tmp['location']['fld_name']='instance_location';
      $tmp['inventory']['fld_name']='instance_inventory';
      $tmp['purpose']['fld_name']='instance_purpose';
      $tmp['notes']['fld_name']='instance_notes';
      $tmp['type']['fld_name']='instance_type';
      $tmp['owner']['fld_name']='instance_owner';
      $tmp['group']['fld_name']='instance_group';
      $tmp['parent']['fld_name']='instance_parent';
      $tmp['definition']['fld_name']='definition_ID';

      // == DEFINING LINKS ==
      $tmp['parent']['link_class']='DMO_Instance';
      $tmp['definition']['link_class']='DMO_Definition';
      $tmp['owner']['link_class']='LFX_User';
      $tmp['group']['link_class']='LFX_Group';

      // == DEFINING FLAGS ==
      $tmp['date']['flags']['sqlDate']=true;

      // == DEFINING DEPENDENCIES ==
      // Child instances (the reverse of link 'parent')
      $tmp2['childIns']=array(
        'class'=>'DMO_Instance',
        'attr'=>'parent');
      // Obvious
      $tmp2['instattr']=array(
        'class'=>'DMO_Instattr',
        'attr'=>'instance');
      // Obvious
      $tmp2['urls']=array(
        'type'=>'many',
        'table_name'=>'url_instance',
        'my_fld_name'=>'instance_ID',
        'link_fld_name'=>'url_ID',
        'class'=>'DMO_url');
      // Instances that depend on me (MY orphans)
      $tmp2['orphans']=array(
        'type'=>'many',
        'class'=>'DMO_Instance',
        'table_name'=>'insdepend',
        'my_fld_name'=>'widow_instance_ID',
        'link_fld_name'=>'orphan_instance_ID');
      // Instances I depend on (MY widows)
      $tmp2['widows']=array(
        'type'=>'many',
        'class'=>'DMO_Instance',
        'table_name'=>'insdepend',
        'my_fld_name'=>'orphan_instance_ID',
        'link_fld_name'=>'widow_instance_ID');
      $tmp2['childTempl']=array(
        'on_mod'=>'STRANGER',
        'class'=>'DMO_Template',
        'attr'=>'instance');
      $tmp2['url']=array(
        'class' => 'DMO_url_instance',
        'attr'  => 'instance');        

      // == DEFINING DATASTRUCTURE ==
      $this->dataStructure=array(
        'table_name'=>'instance',
        'id_field'=>'instance_ID',
        'fields'=>$tmp,
        'depend'=>$tmp2,
        'tree_link_attr'=>'parent'
      );
      $this->fillDataStructure();

      // == DEFINING DISPLAY ATTRIBUTES
      $this->showAttr=array(
        'attributes' => array(
          'name' => array(
            'header' => 'Name'
          ),
          'parent' => array(
            'header' => 'Parent'
          ),
          'owner' => array(
            'header' => 'Owner'
          ),
          'definition' => array(
            'header' => 'Definition'
          ),
          'type' => array(
            'header' => 'Type'
          )
        )
      );
    }

    function getLinkH($id=0)
    {
      $id=$id?$id:$this->id;
      // Should also check if the required attributes are set
      if (!$id) {
        return("n/a");
      }
      global $_DMO_url;
      return("<a href='$_DMO_url?ins=$id'>".
        ($this->getAttr("name"))."</a>\n");
    }

    function getListLinkH($id=0)
    {
      global $_DMO_url;
      return("<a href='$_DMO_url/instance/list.php?def=".($this->getAttr("definition"))."'>".(__("Sibling list"))."</a>\n");
    }

      /**
      * Adds this instance to the current selection.
      *
      * @return void
      */
    function addToSelection()
    {
      $_SESSION['DMO_Selection'][]=$this->id;
    }

      /**
      * Sorts the instances of $sort_def by their attributes (given in $sort_array).
      *
      * Please note that this method applies permissions filtering, based
      * on the current user and the current access control settings
      * (if global "enable_instance_access_control" in module DMO is not set,
      * then all access controls are disabled and everybody has access to
      * everything.)
      *
      * @param integer $sort_def Instances definition ID.
      * @param array $sort_array Array containing one of the following:
      *   Core Attributes: "name","date","revision","serial","inventory","notes","purpose","location","parent","type","owner".
      *   Attribute IDs:   Of course you won't have to know the IDs by heart, just get them from other functions.
      *   Other values:    For now only "child" - number of children; "depend" - number of orphans
      * @param array $order_array Array containing the sort order for each element in $sort_array. "1" for ascending, "0" for descending.
      * @param array $by_array Array only used for elements of $sort_array that hold attribute ids. 
      *   It can be "text" or "value" (for sorting attributes by text value or numerical value).
      * @param integer $page_size Number of instances returned by this function.
      * @param integer $first Index of first element to return out of the entire instance list.
      * @return Array of instance IDs on success. False on error.
      */
    function DMOsortID($sort_def=NULL, $sort_array=NULL, $order_array=NULL, $by_array=NULL, $page_size=25, $first=1,$attr_list)
    {
      GLOBAL $_page;
      $sql=array();

      if ($sort_def===NULL) {
        $this->addError(
          "No definition given to select instances(in DMO_Instance::DMOsortID())",
          DMO_DV_LUCIAN+26, DMO_ET_ERROR+DMO_EL_SC
        );
        return(false);
      }
      $def=new DMO_Definition($sort_def);
      if (!LFX_permsFilter($def->getUserPerms(),'R')) {
        $this->addError(
          "Definition is hidden. No rights to view the instances attached to it"
        );
        return(false);
      }
      
      $sql['select']=array('i.instance_ID');
      $sql['from']=array('instance i');
      $sql['where']=array('type'=>'and','conditions'=>array());
      $sql['where']['conditions'][]="i.definition_ID=$sort_def";
      $sql['limit']=array('count'=>$page_size, 'offset'=>$first-1);
      
      // Let's do the access thingie
      global $_DMO_globals,$_page;
      if (
        $_DMO_globals->getSetting('enable_instance_access_control') &&
        !$_page->user->getRights('DMO_all_instances','R')
      ) {
        // Basic access: user owner is me.
        $permConds=array(
          "i.instance_owner={$_page->user->id}"
        );

        // Detailed access: instances with a group owner I am a member in.
        $accessList=$_page->user->accessList();
        for($i=0;$i<count($accessList);$i++) {
          if (LFX_permsFilter($accessList[$i][1],'R')) {
            $permConds[]="i.instance_group={$accessList[$i][0]}";
          }
        }
        $sql['where']['conditions'][]=array(
          'type'=>'or',
          'conditions'=>$permConds
        );
      }

      // Yes, peculiar condition, leave it that way (Lucian's convention)
      if ($sort_array && ($sort_array[0])) {
//         $tmp=new DMO_Definition($sort_def);
//         $attr_list=$tmp->dmoAttrList();
//         for ($i=0;$i<count($attr_list);$i++) {
//           $attr_list[$i]=$attr_list[$i]->id;
//         }
//         unset($tmp);

        for ($i=0;$i<count($attr_list);$i++) {
          $tmp="z".$attr_list[$i];
          $tmp2=$attr_list[$i];
          $sql['join'][]=array(
            'type'=>'left',
            'table'=>"instattr $tmp",
            'condition'=>array(
              'type'=>'and',
              'conditions'=>array(
                "i.instance_ID=$tmp.instance_ID",
                array(
                  'type'=>'or',
                  'conditions'=>array(
                    "$tmp.attribute_ID=$tmp2",
                    "$tmp.attribute_ID IS NULL"
                  )
                )
              )
            )
          );
        }
        $sql['join'][]=array(
          'type'=>'left',
          'table'=>'instance ii',
          'condition'=>'i.instance_parent=ii.instance_ID'
        );
        $core_list=array("name","date","revision","serial","location","inventory","notes","purpose","location","type","owner","group");
        for ($i=0;$i<count($sort_array);$i++) {
          if ($order_array[$i]==1) {
            $sord="ASC";
          } else {
            $sord="DESC";
          }
          $myField='';
          if (in_array($sort_array[$i],$core_list)) {
            $myField="i.instance_{$sort_array[$i]}";
          } elseif ($sort_array[$i]=="parent") {
            $myField="ii.instance_name";
          } elseif ($sort_array[$i]=="child" || $sort_array[$i]=="depend") {
            $myField="i.{$sort_array[$i]}_no";
          } elseif ($sort_array[$i]!==NULL) {
            $myField="z{$sort_array[$i]}.instattr_text";
          }
          if ($myField) {
            $sql['order'][]=array(
              'field'=>$myField,
              'type'=>$sord
            );
          }
        }
        unset($core_list);
      } else {
        $sql['order'][]=array(
          'field'=>"i.instance_name",
          'type'=>"ASC"
        );
      }   
      $this->sortQuery=$sql;
      $this->query($sql);
      $ret_array=array();
      while ($this->db->next_record()) {
        $ret_array[]=$this->db->f(0);
      }
      return($ret_array);
    }

      /**
      * Returns the complete list of instance types stored in the database.
      *
      * @result array an indexed array of strings
      */
    function getTypes()
    {
      $sql="SELECT DISTINCT instance_type FROM instance WHERE instance_type <> '' ORDER BY instance_type ASC";
      $this->query($sql);
      $ret_array=array();
      while ($this->db->next_record()) {
        $ret_array[]=$this->db->f("instance_type");
      }
      if (count($ret_array)) {
        return($ret_array);
      } else {
        return(false);
      }
    }

    function onSave($id)
    {
      $ins=&$this->defaultObject($id);
      $def=$ins->getObject('definition');
      $changedDef = false;

      if ($this->oldDefinitionParent !== $def->id) {
        $changedDef = true;
      }

      if ($this->allowTreeCacheRebuild && $changedDef) {
        $def->_rebuildTreeCache();
        if (!$def->__buildTreeCacheHTML()) {
          $this->addError("Rebuilding Tree Cache failed.");
          return false;
        }
      }
      return true;
    }
    
    function onDelete($id)
    {
      $this->onSave($id);
    }
    
    function beforeDelete($id)
    {
      $ins=&$this->defaultObject($id);
      
      // perms
      global $_DMO_globals;
      if (!$this->ignorePerms && $_DMO_globals->getSetting('enable_instance_access_control')) {
        if (!LFX_permsFilter($ins->getUserPerms(),'D')) {
          $this->addError("You don't have the rights to delete this instance.");
          return(false);
        }
      }

      // updating instance count
      $def=$ins->getObject('definition');
      if ($def) {
        $def->_updateInsCount(-1);
      }
      return(true);
    }

    function beforeSave($new, $id)
    {
      $ins=&$this->defaultObject($id);
      $id=$ins->id;
      $def=$ins->getObject('definition');
      if (!$def || !$def->probe()) {
        $this->addError("You're trying to save an instance without a proper definition! (definition id=".$ins->getAttr('definition').")");
        return(false);
      }

      # storing old definition parent
      $oldIns = new DMO_Instance($id);
      $oldDef = $oldIns->getAttr('definition');
      if ($oldDef) {
          $this->oldDefinitionParent = $oldDef;
      }

      // check duplicates
      // remove leading and trailing spaces from name
      $ins->setAttr('name', trim($ins->getAttr('name')));
      $isins = $ins->search('name', $ins->getAttr('name'));
      if ($isins[0] && $isins[0]->id != $id) {
        $ins->addError("Instance <B>".$ins->getAttr('name')."</B> already exists. You have to choose a different name!");
        return(false);
      }

      // perms
      global $_DMO_globals;
      if (!$this->ignorePerms && $_DMO_globals->getSetting('enable_instance_access_control')) {
        if (!$new && !LFX_permsFilter($ins->getUserPerms(),'U')) {
          $ins->addError("You don't have the rights to edit this instance.");
          return(false);
        } elseif ($new && !LFX_permsFilter($def->getUserPerms(),'I')) {
          $ins->addError("You don't have the rights to create instances under this definition.");
          return(false);
        }
      }

      // Updating definition instance count, if needed
      if ($this->allowUpdateInsCount) {
        if ($new) {
          $def->_updateInsCount(1);
        } else {
          $ins2=new DMO_Instance($id);
  //decho("==>".($def2 && $def2->probe()));
  
          if ($ins->getAttr('definition')!=$ins2->getAttr('definition')) {
            $def2=$ins2->getObject('definition');
            if ($def2 && $def2->probe()) {
              // Yes, pretty stupid, but we must check to avoid the occasional fatal error...
              $def2->_updateInsCount(-1);
              $def->_updateInsCount(1);
            }
          }
        }
      }
      return(true);
    }
    
      /**
      * Returns the user permissions on this instance.
      *
      * @param object $user an instantiated LFX_User object, or the current
      *   user if ignored
      * @result string the user's permissions on this instance -- make sure
      *   to use LFX_permsFilter() on the result, it can be '*'!
      */
    function getUserPerms($user=NULL)
    {
      if ($user===NULL) {
        global $_page;
        $user=&$_page->user;
      }
      if (($allPerm=$user->rightsToGroup('DMO_all_instances'))=='*') {
        // Group DMO_all_instances gives users an underlaying, basic level of
        // access to all instances in the system. If that is '*', we just return
        // it. Otherise, we merge it below with whatever other rights we collect
        // along the way.
        return('*');
      }
      $def=$this->getObject('definition');
      if (
        !$def || (
          $def->getAttr('hidden')==1 &&
          !LFX_permsFilter($user->rightsToGroup('DMO_Hidden_Definitions'),'R')
        )
      ) {
        return(false);
      }
      
      global $_DMO_globals;
      if (!$_DMO_globals->getSetting('enable_instance_access_control')) {
        // Anarchy: ownership not enforced
        return('*');
      }
      $group_id=$this->getAttr('group');
      $user_id=$this->getAttr('owner');
      if (!$group_id && !$user_id) {
        // Default is nobody
        return($allPerm);
      }
      if ($user_id==$user->id) {
        // Autocracy: he owns it himself
        return('*');
      }
      $access_list=$user->accessList();
      while (list(,$v) = each($access_list)) {
        if($group_id == $v[0]) {
          // Capitalism: owned by a group with specific rights
          return(LFX_permsMerge($allPerm,$v[1]));
        }
      }
      // Slavery: ownership enforced, but you have no ownership
      return($allPerm);
    }
    
      /**
      * This method propagates the owners of this instance to its children.
      * Please note that the *current* owner and group are propagated, you
      * can't specify explicitly which ones should be propagated.
      *
      * @return boolean true on success or false if at least one child was not
      *   saved successfully
      */
    function propagateOwners()
    {
      $user_id=$this->getAttr('owner');
      $group_id=$this->getAttr('group');
      $children=$this->getObjects('childIns');
      $success=true;
      for($i=0;$i<count($children);$i++) {
        $child=&$children[$i];
        $child->setAttrs(array('owner'=>$user_id,'group'=>$group_id));
        $success=$success && $child->save();
        $success=$success && $child->propagateOwners();
      }
      return($success);
    }
    
    function isChildOfDefinitionRecursive($def_name)
    {
      $def=new DMO_Definition;
      $defObj=$def->byNameID($def_name);
      if (!$defObj) {
        return(false);
      }
      $cObj=$this->getObject('definition');
      while(
        $cObj &&
        ($cObj->id!=$defObj) &&
        ($cObj=$cObj->getObject('parent'))
      );
      if (!$cObj) {
        return(false);
      }
      return(true);
    }
    
    function instanceFactory()
    {
      if (!LFX_include_class('DMO_Definition')) {
        return(false);
      }
      $def=new DMO_Definition;
      $defNetworkObject=$def->byNameID('Network Object');
      if (!$defNetworkObject) {
        return(false);
      }
      $cObj=$this->getObject('definition');
      while(
        $cObj &&
        ($cObj->id!=$defNetworkObject) &&
        ($cObj=$cObj->getObject('parent'))
      );
      if (!$cObj) {
        return(false);
      }
      // Yeah, baby, we found a "Network Object" parent definition!
      return($this->cloneInClass('DMO_Network_Object_Instance'));
    }
    
    function getEscalationPreset($id=0)
    {
      $ins=&$this->defaultObject($id);
      LFX_include_class('DMO_Attribute','DMO_InstAttr');
      $att=new DMO_Attribute;
      $ep_a_id=$att->byNameID('Escalation Preset');
      if (!$ep_a_id) {
        return(false);
      }
      $ia=new DMO_Instattr;
      $ia=$ia->search(array('instance','attribute'),array($ins->id,$ep_a_id));
      if (!$ia) {
        return(NULL);
      }
      return($ia[0]->getObject('text'));
    }
  }
?>
