<?

  /**
  * DMO Search Node Class
  * Lucian Silistru <lucian@moongate.ro>, March 2003
  * $Id: DMO_nodesearch.php,v 1.20 2005/10/28 07:15:20 bogdan Exp $
  * @package DMO
  */
  
  _checkMeOut(__FILE__);
  // Had to be done in two steps: if class DMO_Object is not available,
  // descendant DMO_NodeSearch is not defined forward; if it is however,
  // DMO_NodeSearch is forward defined, and an error is issued if the
  // code defining the class is actually executed.
  $result=array("DMO_Object");
  if (!_checkIncludes($result)) {
    return($result);
  }
  $_noCode=true;
  $result=array("DMO_Definition","DMO_Attribute","DMO_SavedSearch","LFX_query_manager", "LFX_user", "LFX_group");
  if (!_checkIncludes($result)) {
    return($result);
  }

  class DMO_NodeSearch extends DMO_Object
  {
    function DMO_NodeSearch($id=0)
    {
      $this->DMO_Object($id);
      
      $tmp["type"]=
      $tmp["concatenation"]=
      $tmp["attribute"]=
      $tmp["property"]=
      $tmp["condition"]=
      $tmp["value"]=
      $tmp["inheritance"]=
      $tmp["definition"]=
      $tmp["parent"]=
      $tmp["session"]=
      $tmp['pid']=
      array();
      
      $tmp["type"]["fld_name"]="sn_type";
      $tmp["concatenation"]["fld_name"]="sn_concatenation";
      $tmp["attribute"]["fld_name"]="sn_attribute";
      $tmp["property"]["fld_name"]="sn_property";
      $tmp["condition"]["fld_name"]="sn_condition";
      $tmp["value"]["fld_name"]="sn_value";
      $tmp["inheritance"]["fld_name"]="sn_inheritance";
      $tmp["definition"]["fld_name"]="sn_definition";
      $tmp["parent"]["fld_name"]="sn_parent";
      $tmp["session"]["fld_name"]="sn_session";
      $tmp['pid']['fld_name']='sn_pid';
      
      $tmp["parent"]["link_class"]="DMO_NodeSearch";
      
      $tmp2["childNode"]=array(
        'on_mod'=>'STRANGER',
        "class"=>"DMO_NodeSearch",
        "attr"=>"parent");
        
      $this->dataStructure=array(
        "table_name"=>"node_search",
        "id_field"=>"sn_ID",
        "fields"=>$tmp,
        "depend"=>$tmp2,
        "tree_link_attr"=>"parent"
      );
      $this->fillDataStructure();
    }
    
    function renderTree($hints=0,$err=NULL,$error=NULL)
    {
      GLOBAL $_DMO_url;
      GLOBAL $_DMO_spacing;
      GLOBAL $_DMO_icon_explain,$_DMO_icon_drop;
      GLOBAL $nsname,$nsdescr,$toLoad,$pid;
      
      $sn_tree=$this->getTree();
      pecho(LFX_echo($this->makePopupFunction()));
      
      $hw[0]="<div style='font-size: 8pt; font-weight: normal'>[";
      $hw[1]="]</div>\n";
      if (!$hints) {
        $hint["stype"]=$hw[0].__D("Use this to set the type of search the node will perform").$hw[1];
        $hint["stype1"]=$hw[0].__D("This node will evaluate all its children and return a set of results comprising of a union or an intersection of their result sets").$hw[1];
        $hint["stype2"]=$hw[0].__D("This node will return a set of instances based on their definition").$hw[1];
        $hint["stype3"]=$hw[0].__D("This node will return a set of instances based on their attributes").$hw[1];
        $hint["stype4"]=$hw[0].__D("This node will return a set of instances based on their core attributes").$hw[1];
        $hint["concatenation"]=$hw[0].__D("Should the result set consist of the instances which satisfy all sub-search conditions (AND) or at least one (OR)?").$hw[1];
        $hint["attribute"]=$hw[0].__D("The attribute to match").$hw[1];
        $hint["property"]=$hw[0].__D("Should that attribute's value or text value be retrieved?").$hw[1];
        $hint["condition"]=$hw[0].__D("MySQL condition type - such as '<', '=', '>', 'like', 'regexp'").$hw[1];
        $hint["value"]=$hw[0].__D("Value to compare/match to - such as '32', 'Linux%'").$hw[1];
//      $hint["inheritance"]=$hw[0].__D("Should the result set consist of the instances with exactly a certain definition, or with any definition in the definition tree rooted at it?").$hw[1];
        $hint["definition"]=$hw[0].__D("The definition to search for").$hw[1];
        $hint["cvalue"]=$hw[0].__D("Value to compare/match to - such as '32', 'Linux%'. For dates use the YYYY-MM-DD format").$hw[1];
      } else {
        unset($hint);
      }
      
      pecho(LFX_sform("$_DMO_url/index/search/advsearch/showresults","POST","stree",'','multipart/form-data'));
      
      pecho(LFX_echo("<table border='0' width='100%' cellspacing='$_DMO_spacing'>"));
      pecho(LFX_str());
      pecho(LFX_echo("<td>"));

//Saved searches swatch
      pecho(LFX_startTables("100%"));
      pecho(LFX_str());
      pecho(LFX_rth(__D("Select existing Search")));
      pecho(LFX_echo("<td width='50%'>"));
      $savedSearch=new DMO_SavedSearch();
      $savedSearch=$savedSearch->getSearches();
      pecho(LFX_echo("<input type='hidden' name='pid' value='$pid'>"));
      pecho(LFX_echo("<select name='sswatch' onChange=\"window.location='$_DMO_url/index/search/advsearch/makesearch?pid=$pid&amp;toLoad='+this[selectedIndex].value\">"));
      pecho(LFX_echo("<option value='0'>[".__D("new search tree")."]</option>"));
      for ($i=0;$i<count($savedSearch) && $savedSearch!=false;$i++) {
        if ($savedSearch[$i]["id"]==$toLoad && isset($toLoad)) {
          $nsname=$savedSearch[$i]["name"];
          $nsdescr=$savedSearch[$i]["description"];
          pecho(LFX_echo("<option selected value='{$savedSearch[$i]["id"]}'>{$savedSearch[$i]["name"]}</option>"));
        } else {
          pecho(LFX_echo("<option value='{$savedSearch[$i]["id"]}'>{$savedSearch[$i]["name"]}</option>"));
        }
      }
      pecho(LFX_echo("</select>"));
      pecho(LFX_echo("<input type='hidden' name='toLoad' value='$toLoad'>"));
      pecho(LFX_echo("<a href='$_DMO_url/index/search/advsearch/makesearch?pid=$pid&amp;toDel=$toLoad'><img src='$_DMO_icon_drop' border='0'></a>"));
      pecho(LFX_echo("</td>"));
      pecho(LFX_estr());
      if ($error) {
        $errmsg="<div style='font-size: 10pt; font-weight: normal; color: red'>".__D("Error: Name already exists")."</div>\n";
      }
      pecho(LFX_rth($errmsg.__D("New Search name")));
      pecho(LFX_td("<input type='text' name='nsname' value=\"".htmlentities($this->gpcUnslash($nsname),ENT_QUOTES)."\">"));
      pecho(LFX_estr());
      pecho(LFX_rth(__D("Description")));
      pecho(LFX_td("<textarea rows='5' cols='40' name='nsdescr'>".htmlentities($this->gpcUnslash($nsdescr),ENT_QUOTES)."</textarea>"));
      pecho(LFX_etr());
      pecho(LFX_endTables());
//END Saved Searches swatch
      
      pecho(LFX_echo("</td>"));
      pecho(LFX_estr());
      pecho(LFX_echo("<td>"));
      
      pecho(LFX_startTables("100%"));
      pecho(DMO_swatchHeader(array("title"=>__D("Advanced Search"))));
      pecho(LFX_str());
      pecho(LFX_echo("<td>"));
      
      for ($i=0;$i<count($sn_tree);$i++) {
        $node=new DMO_NodeSearch($sn_tree[$i]["object"]->id);
        $current=$sn_tree[$i]["level"];
        $next=$sn_tree[$i+1]["level"];
        $attr["type"]=$node->getAttr("type");
        $attr["concatenation"]=$node->getAttr("concatenation");
        $attr["attribute"]=$node->getAttr("attribute");
        $attr["property"]=$node->getAttr("property");
        $attr["condition"]=$node->getAttr("condition");
        $attr["value"]=$node->getAttr("value");
        $attr["inheritance"]=$node->getAttr("inheritance");
        $attr["definition"]=$node->getAttr("definition");
        
        switch ($attr["type"]) {
          case 0:
            if ($err[$i]) {
              $errormsg="<div style='font-size: 10pt; font-weight: normal; color: red'>".__D("Error: You have not set a type for this node")."</div>\n";
            }          
            pecho(LFX_startTables("100%"));
            pecho(LFX_sthead());
            pecho(LFX_echo("<td colspan='2'>"));
            pecho(LFX_echo(sprintf(__D("Search Node #%d"),$node->id)));
            pecho(LFX_echo("</td>"));
            pecho(LFX_ethead());
            pecho(LFX_str());
            pecho(LFX_rth($errormsg.__D("Search Type").$hint["stype"],NULL,NULL,NULL,NULL,"50%"));
            pecho(LFX_echo("<td width='50%'>"));
            pecho(LFX_echo("<select name='params_{$node->id}_type' onChange=\"document.stree.action='$_DMO_url/index/search/advsearch/makesearch?pid=$pid&amp;chg=1&amp;node_id={$node->id}&amp;toval='+this[selectedIndex].value;document.stree.submit();\">"));
            pecho(LFX_echo("<option value='0'>[".__D("select type")."]</option>"));
            pecho(LFX_echo("<option value='1'>".__D("Wrapper")."</option>"));
            pecho(LFX_echo("<option value='2'>".__D("By Definition Type")."</option>"));
            pecho(LFX_echo("<option value='3'>".__D("By Attribute")."</option>"));
            pecho(LFX_echo("<option value='4'>".__D("By Core Attribute")."</option>"));
            pecho(LFX_echo("</select>"));
            pecho(LFX_echo("</td>"));
            pecho(LFX_estr());
            pecho(LFX_echo("<td colspan='2' style='text-align: center'>"));
            pecho(LFX_echo("<input type='button' value='".__D("Drop Node")."' onClick=\"document.stree.action='$_DMO_url/index/search/advsearch/makesearch?pid=$pid&amp;drop=1&amp;node_id={$node->id}';document.stree.submit()\">"));
            pecho(LFX_echo("</td>"));
            pecho(LFX_etr());
            pecho(LFX_endTables());
            if ($next<=$current || $next==NULL) {            
              for ($j=0;$j<($current-$next);$j++) {
                pecho(LFX_echo("</td>"));
                pecho(LFX_etr());
                pecho(LFX_endTables());              
              }
            }
          break;
          case 1:
            if ($err[$i]) {
              $errormsg="<div style='font-size: 10pt; font-weight: normal; color: red'>".__D("Error: This node does not have enough children (at least 2)")."</div>\n";
            }
            pecho(LFX_startTables("100%"));
            pecho(LFX_sthead());
            pecho(LFX_echo("<td colspan='2'>"));
            pecho(LFX_echo($errormsg.__D("Search Node")." #".$node->id));
            pecho(LFX_echo("</td>"));
            pecho(LFX_ethead());
            pecho(LFX_str());
            $sel[$attr["type"]]=" selected ";
            pecho(LFX_rth(__D("Search Type").$hint["stype"],NULL,NULL,NULL,NULL,"50%"));
            pecho(LFX_echo("<td width='50%'>"));
            pecho(LFX_echo("<select name='params_{$node->id}_type' onChange=\"document.stree.action='$_DMO_url/index/search/advsearch/makesearch?pid=$pid&amp;chg=1&amp;node_id={$node->id}&amp;toval='+this[selectedIndex].value;document.stree.submit();\">"));
            pecho(LFX_echo("<option {$sel[1]} value='1'>".__D("Wrapper")."</option>"));
            pecho(LFX_echo("<option {$sel[2]} value='2'>".__D("By Definition Type")."</option>"));
            pecho(LFX_echo("<option {$sel[3]} value='3'>".__D("By Attribute")."</option>"));
            pecho(LFX_echo("<option {$sel[4]} value='4'>".__D("By Core Attribute")."</option>"));
            pecho(LFX_echo("</select>"));
            pecho(LFX_echo($hint["stype{$attr['type']}"]));
            pecho(LFX_echo("</td>"));
            unset($sel);
            pecho(LFX_estr());
            $sel[$attr["concatenation"]]=" selected ";
            $tag=$attr["concatenation"]?"OR":"AND";
            pecho(LFX_rth(__D("Concatenation Type").$hint["concatenation"],NULL,NULL,NULL,NULL,"50%"));
            pecho(LFX_echo("<td width='50%'>"));
            pecho(LFX_echo("<select name='params_{$node->id}_concatenation' onChange=\"document.stree.action='$_DMO_url/index/search/advsearch/makesearch?pid=$pid&amp;concat=1&amp;node_id={$node->id}&amp;toval='+this[selectedIndex].value;document.stree.submit();\">"));
            pecho(LFX_echo("<option {$sel[0]} value='0'>".__D("AND")."</option>"));
            pecho(LFX_echo("<option {$sel[1]} value='1'>".__D("OR")."</option>"));
            pecho(LFX_echo("</select>"));
            pecho(LFX_echo("</td>"));
            unset($sel);
            pecho(LFX_estr());
            pecho(LFX_echo("<td colspan='2' style='text-align: center'>"));
            if ($node->id!=$this->id) {
              pecho(LFX_echo("<input type='button' value='".__D("Drop Node")."' onClick=\"document.stree.action='$_DMO_url/index/search/advsearch/makesearch?pid=$pid&amp;drop=1&amp;node_id={$node->id}';document.stree.submit()\">"));
              pecho(LFX_echo("&nbsp;&nbsp;"));
            }
            pecho(LFX_echo("<input type='button' value='".__D("Add Child")."' onClick=\"document.stree.action='$_DMO_url/index/search/advsearch/makesearch?pid=$pid&amp;add=1&amp;node_id={$node->id}';document.stree.submit()\">"));
            pecho(LFX_echo("</td>"));
            pecho(LFX_etr());
            pecho(LFX_endTables());
            pecho(LFX_startTables("100%"));
            pecho(LFX_str());
            pecho(LFX_echo("<td width='12%' style='valign: middle; text-align: center'>"));
            pecho(LFX_echo("<b>$tag</b>"));
            pecho(LFX_echo("</td>"));            
            pecho(LFX_echo("<td>"));
            if ($next<=$current || $next==NULL) {    
              for ($j=0;$j<(1+$current-$next);$j++) {
                pecho(LFX_echo("</td>"));
                pecho(LFX_etr());
                pecho(LFX_endTables());              
              }
            }
          break;
          case 2:
            if ($err[$i]) {
              $errormsg="<div style='font-size: 10pt; font-weight: normal; color: red'>".__D("Error: You have not selected a definition")."</div>\n";
            }
            pecho(LFX_startTables("100%"));
            pecho(LFX_sthead());
            pecho(LFX_echo("<td colspan='2'>"));
            pecho(LFX_echo(__D("Search Node")." #".$node->id));
            pecho(LFX_echo("</td>"));
            pecho(LFX_ethead());
            pecho(LFX_str());
            $sel[$attr["type"]]=" selected ";
            pecho(LFX_rth(__D("Search Type").$hint["stype"],NULL,NULL,NULL,NULL,"50%"));
            pecho(LFX_echo("<td>"));
            pecho(LFX_echo("<select name='params_{$node->id}_type' onChange=\"document.stree.action='$_DMO_url/index/search/advsearch/makesearch?pid=$pid&amp;chg=1&amp;node_id={$node->id}&amp;toval='+this[selectedIndex].value;document.stree.submit();\">"));
            pecho(LFX_echo("<option {$sel[1]} value='1'>".__D("Wrapper")."</option>"));
            pecho(LFX_echo("<option {$sel[2]} value='2'>".__D("By Definition Type")."</option>"));
            pecho(LFX_echo("<option {$sel[3]} value='3'>".__D("By Attribute")."</option>"));
            pecho(LFX_echo("<option {$sel[4]} value='4'>".__D("By Core Attribute")."</option>"));
            pecho(LFX_echo("</select>"));
            pecho(LFX_echo($hint["stype{$attr['type']}"]));
            pecho(LFX_echo("</td>"));            
            unset($sel);
/*            
            pecho(LFX_estr());
            $sel[$attr["inheritance"]]=" selected ";
            pecho(LFX_rth(__D("Inheritance").$hint["inheritance"],NULL,NULL,NULL,NULL,"50%"));
            pecho(LFX_echo("<td>"));
            pecho(LFX_echo("<input type='hidden' name='params_{$node->id}_inheritance' value='0'>"));            
            pecho(LFX_echo(__D("Exact Definition")));
            pecho(LFX_echo("</td>"));
            unset($sel);
*/            
            pecho(LFX_estr());
            $tmp=new DMO_Definition();
            $tmp=$tmp->search(NULL,NULL,"name");
            $sel[$attr["definition"]]=" selected ";
            pecho(LFX_rth($errormsg.__D("Definition").$hint["definition"],NULL,NULL,NULL,NULL,"50%"));
            pecho(LFX_echo("<td>"));
            pecho(LFX_echo("<select name='params_{$node->id}_definition'>"));
            pecho(LFX_echo("<option {$sel[0]} value='0'>[".__D("select definition")."]</option>"));
            for ($j=0;$j<count($tmp);$j++) {
              if (LFX_permsFilter($tmp[$j]->getUserPerms(),'R')) {    
                $nm=$tmp[$j]->getAttr("name");
                pecho(LFX_echo("<option {$sel[$tmp[$j]->id]} value='{$tmp[$j]->id}'>$nm</option>"));
              }
            }
            pecho(LFX_echo("</select>"));
            pecho(LFX_echo("<a href=\"javascript:popup('$_DMO_url/index/popups/showAttrPopup?def='+document.stree.params_{$node->id}_definition[document.stree.params_{$node->id}_definition.selectedIndex].value,'300','500',true,true)\"><img src='$_DMO_icon_explain' border='0'></a>"));
            pecho(LFX_echo("</td>"));
            unset($nm,$tmp,$sel);
            pecho(LFX_estr());            
            pecho(LFX_echo("<td colspan='2' style='text-align: center'>"));
            if ($node->id!=$this->id) {
              pecho(LFX_echo("<input type='button' value='".__D("Drop Node")."' onClick=\"document.stree.action='$_DMO_url/index/search/advsearch/makesearch?pid=$pid&amp;drop=1&amp;node_id={$node->id}';document.stree.submit()\">"));
            }
            pecho(LFX_echo("</td>"));
            pecho(LFX_etr());
            pecho(LFX_endTables());
            if ($next<=$current || $next==NULL) {            
              for ($j=0;$j<($current-$next);$j++) {
                pecho(LFX_echo("</td>"));
                pecho(LFX_etr());
                pecho(LFX_endTables());              
              }
            }                    
          break;
          case 3:
            $errmsg=array();
            if ($err[$i]!=0) {
              if ($err[$i]==1 || $err[$i]==3) {
                $errmsg[1]="<div style='font-size: 10pt; font-weight: normal; color: red'>".__D("Error: Please select an attribute")."</div>\n";
              }
              if ($err[$i]==2 || $err[$i]==3) {
                $errmsg[2]="<div style='font-size: 10pt; font-weight: normal; color: red'>".__D("Error: Illegal condition entered")."</div>\n";
              }
            }
            pecho(LFX_startTables("100%"));
            pecho(LFX_sthead());
            pecho(LFX_echo("<td colspan='2'>"));
            pecho(LFX_echo(__D("Search Node")." #".$node->id));
            pecho(LFX_echo("</td>"));
            pecho(LFX_ethead());
            pecho(LFX_str());
            $sel[$attr["type"]]=" selected ";
            pecho(LFX_rth(__D("Search Type").$hint["stype"],NULL,NULL,NULL,NULL,"50%"));
            pecho(LFX_echo("<td>"));
            pecho(LFX_echo("<select name='params_{$node->id}_type' onChange=\"document.stree.action='$_DMO_url/index/search/advsearch/makesearch?pid=$pid&amp;chg=1&amp;node_id={$node->id}&amp;toval='+this[selectedIndex].value;document.stree.submit();\">"));
            pecho(LFX_echo("<option {$sel[1]} value='1'>".__D("Wrapper")."</option>"));
            pecho(LFX_echo("<option {$sel[2]} value='2'>".__D("By Definition Type")."</option>"));
            pecho(LFX_echo("<option {$sel[3]} value='3'>".__D("By Attribute")."</option>"));
            pecho(LFX_echo("<option {$sel[4]} value='4'>".__D("By Core Attribute")."</option>"));
            pecho(LFX_echo("</select>"));
            pecho(LFX_echo($hint["stype{$attr['type']}"]));
            pecho(LFX_echo("</td>"));
            unset($sel);
            pecho(LFX_estr());
            $sel[$attr["attribute"]]=" selected ";
            $tmp=new DMO_Attribute();
            $tmp=$tmp->search(NULL,NULL,"name");
            pecho(LFX_rth($errmsg[1].__D("Attribute").$hint["attribute"]));
            pecho(LFX_echo("<td>"));
            pecho(LFX_echo("<select name='params_{$node->id}_attribute'>"));
            pecho(LFX_echo("<option {$sel[0]} value='0'>[".__D("select attribute")."]</option>"));
            for ($j=0;$j<count($tmp);$j++) {
              $nm=$tmp[$j]->getAttr("name");
              pecho(LFX_echo("<option {$sel[$tmp[$j]->id]} value='{$tmp[$j]->id}'>$nm</option>"));
            }
            pecho(LFX_echo("</select>"));
            pecho(LFX_echo("</td>"));
            unset($nm,$tmp);
//             pecho(LFX_estr());
//             $sel[$attr["property"]]=" selected ";
//             pecho(LFX_rth(__D("Property").$hint["property"],NULL,NULL,NULL,NULL,"50%"));
//             pecho(LFX_echo("<td>"));
//             pecho(LFX_echo("<select name='params_{$node->id}_property'>"));
//             pecho(LFX_echo("<option {$sel[0]} value='0'>".__D("Value")."</option>"));
//             pecho(LFX_echo("<option {$sel[1]} value='1'>".__D("Text")."</option>"));
//             pecho(LFX_echo("</select>"));
//             pecho(LFX_echo("</td>"));
//             pecho(LFX_estr());
            pecho(LFX_echo("<input type='hidden' name='params_{$node->id}_property' value='1'>"));          
            pecho(LFX_estr());
            pecho(LFX_rth($errmsg[2].__D("Condition Type").$hint["condition"],NULL,NULL,NULL,NULL,"50%"));
            pecho(LFX_echo("<td>"));
            pecho(LFX_echo("<input type='text' name='params_{$node->id}_condition' value='{$attr["condition"]}'>"));
            pecho(LFX_echo("</td>"));
            pecho(LFX_estr());
            pecho(LFX_rth(__D("Value").$hint["value"],NULL,NULL,NULL,NULL,"50%"));
            pecho(LFX_echo("<td>"));
            pecho(LFX_echo("<input type='text' name='params_{$node->id}_value' value='{$attr["value"]}'>"));
            pecho(LFX_echo("</td>"));            
            pecho(LFX_estr());            
            pecho(LFX_echo("<td colspan='2' style='text-align: center'>"));
            if ($node->id!=$this->id) {
              pecho(LFX_echo("<input type='button' value='".__D("Drop Node")."' onClick=\"document.stree.action='$_DMO_url/index/search/advsearch/makesearch?pid=$pid&amp;drop=1&amp;node_id={$node->id}';document.stree.submit()\">"));
            }
            pecho(LFX_echo("</td>"));
            pecho(LFX_etr());
            pecho(LFX_endTables());                      
            if ($next<=$current || $next==NULL) {            
              for ($j=0;$j<($current-$next);$j++) {
                pecho(LFX_echo("</td>"));
                pecho(LFX_etr());
                pecho(LFX_endTables());              
              }
            }          
          break;
          case 4:
            $errmsg=array();
            if ($err[$i]!=0) {
              if ($err[$i]==1 || $err[$i]==3) {
                $errmsg[1]="<div style='font-size: 10pt; font-weight: normal; color: red'>".__D("Error: Please select a core attribute")."</div>\n";
              }
              if ($err[$i]==2 || $err[$i]==3) {
                $errmsg[2]="<div style='font-size: 10pt; font-weight: normal; color: red'>".__D("Error: Illegal condition entered")."</div>\n";
              }
            }
            pecho(LFX_startTables("100%"));
            pecho(LFX_sthead());
            pecho(LFX_echo("<td colspan='2'>"));
            pecho(LFX_echo(__D("Search Node")." #".$node->id));
            pecho(LFX_echo("</td>"));
            pecho(LFX_ethead());
            pecho(LFX_str());
            $sel[$attr["type"]]=" selected ";
            pecho(LFX_rth(__D("Search Type").$hint["stype"],NULL,NULL,NULL,NULL,"50%"));
            pecho(LFX_echo("<td>"));
            pecho(LFX_echo("<select name='params_{$node->id}_type' onChange=\"document.stree.action='$_DMO_url/index/search/advsearch/makesearch?pid=$pid&amp;chg=1&amp;node_id={$node->id}&amp;toval='+this[selectedIndex].value;document.stree.submit();\">"));
            pecho(LFX_echo("<option {$sel[1]} value='1'>".__D("Wrapper")."</option>"));
            pecho(LFX_echo("<option {$sel[2]} value='2'>".__D("By Definition Type")."</option>"));
            pecho(LFX_echo("<option {$sel[3]} value='3'>".__D("By Attribute")."</option>"));
            pecho(LFX_echo("<option {$sel[4]} value='4'>".__D("By Core Attribute")."</option>"));
            pecho(LFX_echo("</select>"));
            pecho(LFX_echo($hint["stype{$attr['type']}"]));
            pecho(LFX_echo("</td>"));
            unset($sel);
            pecho(LFX_estr());
            $sel[$attr["attribute"]]=" selected ";
            pecho(LFX_rth($errmsg[1].__D("Attribute").$hint["attribute"]));
            pecho(LFX_echo("<td>"));
            pecho(LFX_echo("<select name='params_{$node->id}_attribute'>"));
            pecho(LFX_echo("<option {$sel[0]} value='0'>[".__D("select core attr")."]</option>"));
            $tmp=$sel["date"];
            pecho(LFX_echo("<option $tmp value='date'>Date</option>"));
            $tmp=$sel["revision"];
            pecho(LFX_echo("<option $tmp value='revision'>Revision</option>"));
            $tmp=$sel["name"];
            pecho(LFX_echo("<option $tmp value='name'>Name</option>"));
            $tmp=$sel["serial"];
            pecho(LFX_echo("<option $tmp value='serial'>Serial</option>"));
            $tmp=$sel["location"];
            pecho(LFX_echo("<option $tmp value='location'>Location</option>"));
            $tmp=$sel["inventory"];
            pecho(LFX_echo("<option $tmp value='inventory'>Inventory</option>"));
            $tmp=$sel["type"];
            pecho(LFX_echo("<option $tmp value='type'>Type</option>"));
            $tmp=$sel["purpose"];
            pecho(LFX_echo("<option $tmp value='purpose'>Purpose</option>"));
            $tmp=$sel["owner"];
            pecho(LFX_echo("<option $tmp value='owner'>Owner</option>"));
            $tmp=$sel["group"];
            pecho(LFX_echo("<option $tmp value='group'>Group</option>"));
            $tmp=$sel["parent"];
            pecho(LFX_echo("<option $tmp value='parent'>Parent</option>"));
            pecho(LFX_echo("</select>"));
            pecho(LFX_echo("</td>"));
            unset($tmp);
            pecho(LFX_estr());
            pecho(LFX_rth($errmsg[2].__D("Condition Type").$hint["condition"],NULL,NULL,NULL,NULL,"50%"));
            pecho(LFX_echo("<td>"));
            pecho(LFX_echo("<input type='text' name='params_{$node->id}_condition' value='{$attr["condition"]}'>"));
            pecho(LFX_echo("</td>"));
            pecho(LFX_estr());
            pecho(LFX_rth(__D("Value").$hint["cvalue"],NULL,NULL,NULL,NULL,"50%"));
            pecho(LFX_echo("<td>"));
            pecho(LFX_echo("<input type='text' name='params_{$node->id}_value' value='{$attr["value"]}'>"));
            pecho(LFX_echo("</td>"));            
            pecho(LFX_estr());            
            pecho(LFX_echo("<td colspan='2' style='text-align: center'>"));
            if ($node->id!=$this->id) {
              pecho(LFX_echo("<input type='button' value='".__D("Drop Node")."' onClick=\"document.stree.action='$_DMO_url/index/search/advsearch/makesearch?pid=$pid&amp;drop=1&amp;node_id={$node->id}';document.stree.submit()\">"));
            }
            pecho(LFX_echo("</td>"));
            pecho(LFX_etr());
            pecho(LFX_endTables());                      
            if ($next<=$current || $next==NULL) {            
              for ($j=0;$j<($current-$next);$j++) { 
                pecho(LFX_echo("</td>"));
                pecho(LFX_etr());
                pecho(LFX_endTables());              
              }
            }          
          break;
        }
        unset($errormsg,$errmsg);
      }

      pecho(LFX_echo("</td>"));
      pecho(LFX_estr());      
      pecho(LFX_echo("<td style='text-align: center'>"));
      pecho(LFX_echo("<input type='submit' name='search' value='Search'>"));
      pecho(LFX_echo("&nbsp;&nbsp;"));
      if (!$hints) {
        pecho(LFX_echo("<input type='button' value='Turn Hints Off' onClick=\"document.stree.action='$_DMO_url/index/search/advsearch/makesearch?pid=$pid&amp;hints=1';document.stree.submit()\">"));
      } else {
        pecho(LFX_echo("<input type='button' value='Turn Hints On' onClick=\"document.stree.action='$_DMO_url/index/search/advsearch/makesearch?pid=$pid&amp;hints=0';document.stree.submit()\">"));
      }
      pecho(LFX_echo("&nbsp;&nbsp;"));
      $disabled='';
      if (!$toLoad) {
        $disabled='disabled';
      }
      pecho(LFX_echo("<br />"));
      pecho(LFX_echo("<INPUT type='radio' $disabled name='save' value='Edit' id='saveOver'> <label for='saveOver'>".__D('Save w/ overwrite')."</label>"));
      pecho(LFX_echo("&nbsp;&nbsp;"));
      pecho(LFX_echo("<INPUT type='radio' $disabled name='save' value='New' id='saveNew'> <label for='saveNew'>".__D('Save as New')."</label>"));
      unset($disabled);
      pecho(LFX_echo("&nbsp;&nbsp;"));
      pecho(LFX_echo("<INPUT type='button' name='saveOnly' value='Save Search' onClick=\"document.stree.action='$_DMO_url/index/search/advsearch/makesearch?pid=$pid&amp;saveOnly=1';document.stree.submit()\">"));
      pecho(LFX_echo('<BR />'));
      //pecho(LFX_echo("<INPUT type='button' ".($toLoad?'':'disabled')." name='export' value='Export to XML' onClick=\"document.stree.action='$_DMO_url/index/search/advsearch/makesearch?pid=$pid&amp;toLoad=$toLoad&amp;export=1';document.stree.submit()\">&nbsp;&nbsp;"));
      if ($toLoad) {
        pecho(LFX_echo("<A ".($toLoad?'':'disabled')." HREF='$_DMO_url/search/advsearch/export_xml?toLoad=$toLoad'>Export Search</A>&nbsp;&nbsp;"));
      }
      pecho(LFX_echo('<INPUT type="file" name="import_file">&nbsp;'));
      pecho(LFX_echo("<INPUT type='button' name='import' value='Import from XML' onClick=\"
      if (this.form.import_file.value != '') {
        document.stree.action='$_DMO_url/index/search/advsearch/makesearch?pid=$pid&amp;import=1';
        document.stree.submit()
      } else {
        alert('".__D("Please Browse and select a file (.xml) before pressing Import from XML!")."');
      }
      \">"));      
      pecho(LFX_echo("</td>"));
      pecho(LFX_etr());
      pecho(LFX_endTables());
      
      pecho(LFX_echo("</td>"));
      pecho(LFX_etr());
      pecho(LFX_echo("</table>"));
      
      pecho(LFX_eform());
    }

    function emptySearchTable($pid=NULL,$session=NULL)
    { 
      GLOBAL $sess;
      if (!$session) {
        $session=session_id();
      }
      if (!$pid) {
        return(false);
      }
      $sql="DELETE FROM node_search WHERE sn_session='$session' AND sn_pid='$pid'";
      if ($this->query($sql)) {
        return(true);
      } else {
        return(false);
      }
    }
    
    function validateSearch()
    {
      $err=array();
      $nodeList=$this->getTree();
      for ($i=0;$i<count($nodeList);$i++) {
        $tmp=new DMO_NodeSearch($nodeList[$i]["object"]->id);
        switch ($tmp->getAttr("type")) {
          case 0:
            $err[$i]=1;
          break;
          case 1:
            if (count($tmp->getChildren())<2) {
              $err[$i]=1;
            }
          break;
          case 2:
            if ($tmp->getAttr("definition")==0) {
              $err[$i]=1;
            }
          break;
          case 3:
            $attr=$tmp->getAttr("attribute");
            if ($attr==0) {
              $err[$i]=1;
            }
            $cond_list=array("<",">","=","<=",">=","<>","LIKE","REGEXP");
            if (!in_array(strtoupper($tmp->getAttr("condition")),$cond_list)) {
              $err[$i]+=2;
            }
          break;
          case 4:
            $attr=$tmp->getAttr("attribute");
            if ($attr=="0") {
              $err[$i]=1;
            }
            $cond_list=array("<",">","=","<=",">=","<>","LIKE","REGEXP");
            if (!in_array(strtoupper($tmp->getAttr("condition")),$cond_list)) {
              $err[$i]+=2;
            }
          break;
        }
      }
      unset($tmp,$nodeList,$cond_list,$attr);
      return($err);
    }
    
    function getLocalQuery($skipMe=false)
    {
      $sql='';
      switch ($this->getAttr("type")) {
        case 1:
          if (!$skipMe) {
            $sql.="(".$this->getQuery().")";            
          }
          break;
        case 2:
          $def_ID=$this->getAttr("definition");
          $sql.="i.definition_ID='$def_ID'";
          break;
        case 3:
          $attr_ID=$this->getAttr("attribute");
          $val=$this->getAttr("property") ? "instattr_text" : "instattr_value";
          $att_val=$this->getAttr("value");
          $cond=$this->getAttr("condition");
          $sql .= "(ia.instance_ID=i.instance_ID AND ia.attribute_ID='$attr_ID' AND $val $cond '$att_val')";
        break;
        case 4:
          $attr=$this->getAttr("attribute");
          $cond=$this->getAttr("condition");
          $att_val=$this->getAttr("value");
          $sql.="(i.instance_$attr $cond '$att_val')";
        break;
      }
      return($sql);
    }
    
    function getQuery()
    {
      //global $sql;
      $chList=$this->getChildren();
      $sql.="(";

      $sql .= $this->getLocalQuery(true);
      
      $concat = $this->getAttr("concatenation") ? " OR " : " AND ";
      for ($i=0;$i<count($chList);$i++) {
        $sql .= $chList[$i]->getLocalQuery();
        if ($i<(count($chList)-1)) {
          $sql.=" $concat ";
        }
      }
      $sql.=")";
      return($sql);
    }
    
    
    function getLocalQueryArray(&$localQuery, &$globalQuery, $skipMe=false)
    {
      $sql_m='';
      switch ($this->getAttr("type")) {
        case 1:
          if (!$skipMe) {
            $concat = $this->getAttr("concatenation") ? " OR " : " AND ";
            $localQuery[]=array('type'=>$concat,'conditions'=>array());
            $this->getQueryArray($localQuery[count($localQuery)-1]['conditions'], $globalQuery); 
          }
          break;
        case 2:
          if (!in_array('definition_set', $globalQuery['adv_search_joins'])) {
            $globalQuery['adv_search_joins'][] = 'definition_set';
            $globalQuery['join'][] = array(
              'type' => 'LEFT',
              'table' => 'definition df',
              'condition' => 'i.definition_ID=df.definition_ID'
            );
          }
          $def_ID=$this->getAttr("definition");
          $localQuery[]="i.definition_ID='$def_ID'";
          break;
        case 3:
          $attr_ID=$this->getAttr("attribute");
          $val=$this->getAttr("property") ? "instattr_text" : "instattr_value";
          $att_val=$this->getAttr("value");
          $cond=$this->getAttr("condition");
          
          $attrT = new DMO_attribute($attr_ID);
          $attrType = $attrT->getAttr('data_type');
          
          switch($attrType) {//=======================================================================
            case 'instance': //-----------------------------------------------------------------------
              if (!in_array('instance_attribute_set', $globalQuery['adv_search_joins'])) {
                $globalQuery['adv_search_joins'][] = 'instance_attribute_set';
                $globalQuery['join'][] = array(
                  'type' => "LEFT",
                  'table' => "instance instanceJoin",
                  'condition' => "CONCAT('dmo_instance#',instanceJoin.instance_ID)=ia.instattr_text"
                );
              }
              $localQuery[] = array(
              'type'=>'AND',
              'conditions' => array(
                  "ia.instance_ID=i.instance_ID",
                  "ia.attribute_ID='$attr_ID'",
                  "instanceJoin.instance_name $cond '$att_val'")
              );
              break;
            case 'user'://-----------------------------------------------------------------------
              if (!in_array('user_attribute_set', $globalQuery['adv_search_joins'])) {
                $user = new LFX_user();
                $user_table = $user->getTableName(true);
                $user_fname_field = $user->getFieldName('fname', true);
                $user_lname_field = $user->getFieldName('lname', true);
                $user_email_field = $user->getFieldName('email', true);
                
                $globalQuery['adv_search_joins'][] = 'user_attribute_set';
                $globalQuery['join'][] = array(
                  'type' => "LEFT",
                  'table' => "$user_table userJoin",
                  'condition' => "CONCAT('lfx_user#',userJoin.id)=ia.instattr_text"
                );
              }
              $localQuery[] = array(
                'type'=>'AND',
                'conditions' => array(
                    "ia.instance_ID=i.instance_ID",
                    "ia.attribute_ID='$attr_ID'",
                    array(
                      'type' => 'OR',
                      'conditions' => array(
                        "userJoin.$user_fname_field $cond '$att_val'",
                        "userJoin.$user_lname_field $cond '$att_val'",
                        "userJoin.$user_email_field $cond '$att_val'"
                      )
                   )
                )
              );
              break;
            case 'group'://-----------------------------------------------------------------------
              if (!in_array('group_attribute_set', $globalQuery['adv_search_joins'])) {
                $group = new LFX_group();
                $group_table = $group->getTableName(true);
                $group_field = $group->getFieldName('name', true);
                $globalQuery['adv_search_joins'][] = 'group_attribute_set';
                $globalQuery['join'][] = array(
                  'type' => "LEFT",
                  'table' => "$group_table groupJoin",
                  'condition' => "CONCAT('lfx_group#',groupJoin.id)=ia.instattr_text"
                );
              }
              $localQuery[] = array(
              'type'=>'AND',
              'conditions' => array(
                  "ia.instance_ID=i.instance_ID",
                  "ia.attribute_ID='$attr_ID'",
                  "groupJoin.$group_field $cond '$att_val'")
              );
              break;
               
            case 'large_text'://-----------------------------------------------------------------------
              if (!in_array('large_attribute_set', $globalQuery['adv_search_joins'])) {
                $globalQuery['adv_search_joins'][] = 'large_attribute_set';
                $globalQuery['join'][] = array(
                  'type' => "LEFT",
                  'table' => "large_attr largeTxtJoin",
                  'condition' => "CONCAT('dmo_largeattribute#', largeTxtJoin.id)=ia.instattr_text"
                );
                $globalQuery['join'][] = array(
                  'type' => "LEFT",
                  'table' => "large_attr largeTxtJoinAlts",
                  'condition' => "largeTxtJoin.id=largeTxtJoinAlts.alternate_of"
                );
              }
              $localQuery[] = array(
              'type'=>'AND',
              'conditions' => array(
                  "ia.instance_ID=i.instance_ID",
                  "ia.attribute_ID='$attr_ID'",
                  array(
                    'type'=>'OR',
                    'conditions' => array(
                      "largeTxtJoin.content $cond '_$att_val'",
                      "largeTxtJoinAlts.content $cond '_$att_val'"
                    )
                  )
                )
              );
             break;
             
            case 'file'://-----------------------------------------------------------------------
              if (!in_array('file_attribute_set', $globalQuery['adv_search_joins'])) {
                $globalQuery['adv_search_joins'][] = 'file_attribute_set';
                $globalQuery['join'][] = array(
                  'type' => "LEFT",
                  'table' => "file_attr fileTxtJoin",
                  'condition' => "CONCAT('dmo_fileattribute#',fileTxtJoin.id)=ia.instattr_text"
                );
                $globalQuery['join'][] = array(
                  'type' => "LEFT",
                  'table' => "file_attr fileTxtJoinAlts",
                  'condition' => "fileTxtJoin.id=fileTxtJoinAlts.alternate_of"
                );
              }
              $localQuery[] = array(
              'type'=>'AND',
              'conditions' => array(
                "ia.instance_ID=i.instance_ID",
                "ia.attribute_ID='$attr_ID'",
                array(
                    'type'=>'OR',
                    'conditions' => array(
                      "fileTxtJoin.content $cond '_$att_val'",
                      "fileTxtJoinAlts.content $cond '_$att_val'"
                    )
                  )
                )
              );
             break;
           
           default:          
            $localQuery[] = array(
              'type'=>'AND',
              'conditions' => array(
                  "ia.instance_ID=i.instance_ID",
                  "ia.attribute_ID='$attr_ID'",
                  "$val $cond '$att_val'")
            );
            break;
          }                        
          break;
        
        case 4: // =================================================================
          $attr=$this->getAttr("attribute");
          $cond=$this->getAttr("condition");
          $att_val=$this->getAttr("value");
          if ($attr == 'owner') { //------------------------------------------------
            if (!in_array('user_attribute_set', $globalQuery['adv_search_joins'])) {
              $user = new LFX_user();
              $user_table = $user->getTableName(true);
              $user_fname_field = $user->getFieldName('fname', true);
              $user_lname_field = $user->getFieldName('lname', true);
              $user_email_field = $user->getFieldName('email', true);
              
              $globalQuery['adv_search_joins'][] = 'user_attribute_set';
              $globalQuery['join'][] = array(
                'type' => "LEFT",
                'table' => "$user_table userJoin",
                'condition' => "userJoin.id = i.instance_owner"
              );
            }
            $localQuery[] = array(
              'type' => 'OR',
              'conditions' => array(
                "userJoin.$user_fname_field $cond '$att_val'",
                "userJoin.$user_lname_field $cond '$att_val'",
                "userJoin.$user_email_field $cond '$att_val'"
              )
            );
            
          } elseif ($attr == 'group') { //------------------------------------------
            if (!in_array('group_attribute_set', $globalQuery['adv_search_joins'])) {
              $group = new LFX_group();
              $group_table = $group->getTableName(true);
              $group_field = $group->getFieldName('name', true);
              $globalQuery['adv_search_joins'][] = 'group_attribute_set';
              $globalQuery['join'][] = array(
                'type' => "LEFT",
                'table' => "$group_table groupJoin",
                'condition' => "groupJoin.id = i.instance_group"
              );
            }
            $localQuery[] = "groupJoin.$group_field $cond '$att_val'";
            
           } elseif ($attr == 'parent') { //----------------------------------------
             $localQuery[]="ii.instance_name $cond '$att_val'";
           } else { // -------------------------------------------------------------
             $localQuery[]="i.instance_$attr $cond '$att_val'";
           } 
          break;
        }
        return(true);
    }
    
    function getQueryArray(&$localQuery,&$globalQuery)
    {
      $chList=$this->getChildren();
      $this->getLocalQueryArray($localQuery,$globalQuery,true);
      for ($i=0;$i<count($chList);$i++) {
        $chList[$i]->getLocalQueryArray($localQuery,$globalQuery);
      }
      return($globalQuery);
    }
    
    
    function performSearch($sort=NULL,$ord=NULL)
    {
      //GLOBAL $sql;
      GLOBAL $nsname;
      $sql="SELECT DISTINCT i.instance_ID FROM instance i, instattr ia";
      $sql.=" LEFT JOIN instance ii ON i.instance_parent=ii.instance_ID";
      $sql.=" LEFT JOIN definition df ON i.definition_ID=df.definition_ID";
      $sql.=" WHERE ";
      
      
      $query = array(
        'select' => array('DISTINCT i.instance_ID'),
        'from' => array('instance i','instattr ia'),
        'join' => array(
           array(
             'type' => 'LEFT',
             'table' => 'instance ii',
             'condition' => 'i.instance_parent=ii.instance_ID '
          )
        )
      );

      // Doing the permissions bit before anything else
      $permConds='';
      $permCondsQuery=array('type'=>'OR','conditions'=>array());
      global $_DMO_globals,$_page;
      if (
        $_DMO_globals->getSetting('enable_instance_access_control') &&
        !$_page->user->getRights('DMO_all_instances','R')
      ) {
        // Basic access: user owner is me.
        $permConds="i.instance_owner={$_page->user->id} OR ";
        $permCondsQuery['conditions'][]="i.instance_owner={$_page->user->id}";

        // Detailed access: instances with a group owner I am a member in.
        $accessList=$_page->user->accessList();
        for($i=0;$i<count($accessList);$i++) {
          if (LFX_permsFilter($accessList[$i][1],'R')) {
            $permConds.="i.instance_group={$accessList[$i][0]} OR ";
            $permCondsQuery['conditions'][]="i.instance_group={$accessList[$i][0]}";
          }
        }
        $permConds=substr($permConds,0,-4);
      }

      $sql1=$this->getQuery();
      
      $query['adv_search_joins'] = Array();
      $query['where']=array('type' => $this->getAttr("concatenation") ? " OR " : " AND ",'conditions'=>array());
      $finalQuery=$this->getQueryArray($query['where']['conditions'],$query);
      

      
      if ($permCondsQuery['conditions']) {
        $finalQuery['where'] = array(
          'type' => 'AND', 
          'conditions' => array ($permCondsQuery, $finalQuery['where'])     
        );
      }
       
      //d_echo(vardump($finalQuery));
      //d_echo("<pre>".LFX_buildSQL($finalQuery)."</pre>");     
      
      if ($permConds) {
        $sql="$sql ($permConds) AND ($sql1)";
      } else {
        $sql.=$sql1;
      }
      
      //==============================
      $sql = LFX_buildSQL($finalQuery);
      
      if ($sort[0]!="0" && $sort[0]!=NULL) {
        $sql.=" ORDER BY ";
      }

      $core_list=array("name","date","revision","serial","inventory");
      for ($i=0;$i<count($sort);$i++) {
        if ($ord[$i]==1) {
          $sord="ASC,";
        } else {
          $sord="DESC,";
        }
        if (in_array($sort[$i],$core_list)) {
          $sql.=" i.instance_{$sort[$i]} $sord";
        } elseif ($sort[$i]=="parent") {
          $sql.=" ii.instance_name $sord";
        } elseif ($sort[$i]=="definition") {
          $sql.=" df.definition_name $sord";
        } elseif ($sort[$i]=="group") {
          $sql.=" groupJoin.name $sord";
        } elseif ($sort[$i]=="owner") {
          $sql.=" userJoin.lname $sord";
        } elseif ($sort[$i]===NULL) {

        }      
      }   
      if (substr($sql,-1)==",") {
        $sql=substr($sql,0,-1);
      }
      
      //pecho(LFX_echo($sql."<br>"));
      
      return($sql);
      
      /*
      $this->query($sql);
      $ret_array=array();
      while ($this->db->next_record()) {
        $ret_array[]=$this->db->f(0);
      }
      if (count($ret_array)) {
        return($ret_array);
      } else {
        return(false);
      }
      */
    }
  } 
?>
