<?

  /**
  * The DMO_Object class
  * Bogdan Stancescu <bogdan@lanifex.com>, October 2002
  * THIS LIBRARY ONLY WORKS WITH PHP 4+
  * $Id: DMO_object.php,v 1.11 2005/07/14 00:07:51 bogdan Exp $
  * @package DMO
  */
  
  _checkMeOut(__FILE__);
  // Defining - and checking for - include dependencies
  $result=array('LFX_Object');
  if (!_checkIncludes($result)) {
    return($result);
  }
  unset($result);

  class DMO_Object extends LFX_Object
  {
    var $module='DMO';

    function DMO_Object($id=0)
    {
      $this->LFX_Object($id);
      $this->dbData['dbDataSet']='dmo_new';
      $this->dbInit();
    }
    
      /**
      * This function writes a JavaScript function to the page that can be called
      * to open a popup window. The JavaScript function accepts 3 parameters:
      * - url - a string containing the URL to open
      * - wd  - integer - width of the opened window
      * - hg  - integer - height of the opened window
      * @param string $func_name [optional] The name of the written function
      */
    function makePopupFunction($func_name='popup')
    {
      return("
        <script language='JavaScript'>\n
        <!--\n
          function $func_name(url,wd,hg,scr,rsz)\n
          {\n
            window.open(url,'_blank',' width='+wd+', height='+hg+', scrollbars='+scr+', resizable='+rsz);\n
          }\n
        //-->\n
        </script>\n
      ");
    }
    
      /**
      * Returns HTML link to a popup that can edit this objects values. The link calls {@link makePopupFunction}.
      * Descendats of DMO_Object should override this method to get a valid result.
      * @param integer $id Id of object to send to popup
      * @param string $func_name Name of the JavaScript function that opens the popup
      * @param string $width Width of the popup window. Though this is a string it should be a number.
      * @param string $height Height of the popup window. Though this is a string it should be a number.
      * @return string HTML link to a popup
      */
    function getPopupLinkH($id=0,$func_name='popup',$width='300',$height='200')
    {
      $this->addError('Method getPopupLinkH() not defined by DMO_Oject descendant! (in DMO_Object::getLinkH())',DMO_DV_LUCIAN+27, DMO_ET_INFO+DMO_EL_SC);
      return(false);      
    }
        
      /**
      * Enhanced version of the {@link array_search} function from PHP's standard array functions.
      * @param mixed $needle The element to search for in the array
      * @param array $haystack The array to search in
      * @return Array of keys where $needle is found in $haystack, if it is found. False if $needle is not found in $haystack.
      */
    function arrayMultiSearch($needle=NULL,$haystack=NULL)
    {
      if ($needle===NULL || $haystack===NULL || !is_array($haystack)) {
        return(false);
      }
      $ret_array=array();
      foreach ($haystack as $key => $value) {
        if ($needle==$value) {
          $ret_array[]=$key;
        }
      }
      if (count($ret_array)==0) {
        return(false);
      } else {
        return($ret_array);
      }
    }
  }
?>
