<?

  /**
  * DMO Saved Search Node Class
  * Lucian Silistru <lucian@moongate.ro>, March 2003
  * $Id: DMO_savedsearch.php,v 1.6 2005/08/25 08:36:23 bogdan Exp $
  * @package DMO
  */
  
  _checkMeOut(__FILE__);
  
  $result=array("DMO_Object");
  if (!_checkIncludes($result)) {
    return($result);
  }
  
  class DMO_SavedSearch extends DMO_Object
  {
    function DMO_SavedSearch($id=0)
    {
      $this->DMO_Object($id);

      $tmp["name"]=
      $tmp["search_id"]=
      $tmp["description"]=
      $tmp["type"]=
      $tmp["concatenation"]=
      $tmp["attribute"]=
      $tmp["property"]=
      $tmp["condition"]=
      $tmp["value"]=
      $tmp["inheritance"]=
      $tmp["definition"]=
      $tmp['id']=
      $tmp["parent"]=      
      array();
      
      $tmp["name"]["fld_name"]="search_name";
      $tmp["search_id"]["fld_name"]="search_id";
      $tmp["description"]["fld_name"]="search_description";
      $tmp["type"]["fld_name"]="ss_type";
      $tmp["concatenation"]["fld_name"]="ss_concatenation";
      $tmp["attribute"]["fld_name"]="ss_attribute";
      $tmp["property"]["fld_name"]="ss_property";
      $tmp["condition"]["fld_name"]="ss_condition";
      $tmp["value"]["fld_name"]="ss_value";
      $tmp["inheritance"]["fld_name"]="ss_inheritance";
      $tmp["definition"]["fld_name"]="ss_definition";
      $tmp['id']['fld_name']='ss_id';
      $tmp["parent"]["fld_name"]="ss_parent";

      $this->dataStructure=array(
        "id_field"=>"dumb_id",
        "table_name"=>"saved_search",
        "fields"=>$tmp
      );
            
      $this->fillDataStructure();
    }
    
    function getSearches()
    {
      $sql="SELECT DISTINCT search_name, search_id, search_description FROM saved_search ORDER BY search_name";
      $this->query($sql);
      $i=-1;
      while ($this->db->next_record() && $this->db->nf()) {
        if ($this->db->f("search_id")) {
          $i++;
          $ret_array[$i]["name"]=$this->db->f("search_name");
          $ret_array[$i]["id"]=$this->db->f("search_id");
          $ret_array[$i]["description"]=$this->db->f("search_description");
        }
      }
      if (count($ret_array)) {
        return($ret_array);
      } else {
        return(false);
      }
    }
    
    function delSearch($toDel=NULL)
    {
      if ($toDel!=NULL) {
        $sql="DELETE FROM saved_search WHERE search_id=$toDel";
        $this->query($sql);
      }
    }
    
    function loadSearch($toLoad=NULL,$pid=NULL)
    {
      GLOBAL $sess, $_page;
      if (!$pid) {
        return(false);
      }
      
      if ($toLoad!=NULL) {
        $sql="SELECT s.search_name, s.ss_id, s.ss_type, s.ss_concatenation, s.ss_attribute, s.ss_property, s.ss_condition, s.ss_value, s.ss_inheritance, s.ss_definition, s.ss_parent, s.ss_session FROM saved_search s WHERE s.search_id=$toLoad";
        $this->query($sql);
        $load=array();
        $tmp=array();
        $i=0;
        while ($this->db->next_record() && $this->db->nf()) {
          $tmp[$i]["name"]=$this->db->f("search_name");
          $tmp[$i]["id"]=$this->db->f("ss_id");
          $tmp[$i]["parent"]=$this->db->f("ss_parent");
          $load[$i]["type"]=$this->db->f("ss_type");
          $load[$i]["concatenation"]=$this->db->f("ss_concatenation");
          $load[$i]["attribute"]=$this->db->f("ss_attribute");
          $load[$i]["property"]=$this->db->f("ss_property");
          $load[$i]["condition"]=$this->db->f("ss_condition");
          $load[$i]["value"]=$this->db->f("ss_value");
          $load[$i]["inheritance"]=$this->db->f("ss_inheritance");
          $load[$i]["definition"]=$this->db->f("ss_definition");
          $load[$i]["session"]=session_id();
          $i++;
        }
        $root=-1;
        for ($i=0;$i<count($load);$i++) {
          if ($tmp[$i]["parent"]==0) {
            $root=$i;
            $load[$i]["parent"]=0;
          }
        }
        if ($root==-1) {
          $nm=$tmp[0]["name"];
          $_page->addError("Search <b>$nm</b> does not have a root node. Check database integrity. (in DMO_SavedSearch::loadSearch())",DMO_DV_LUCIAN+15,DMO_ET_CRITICAL+DMO_EL_DB);
          unset($nm);
          return(false);
        }
        $tail[1]=$root;
        $k=1;$l=1;
        while ($tail[$l]!==NULL) {
          //Salvez nod
          //Aflu copiii
          //Le setez parent=id-ul salvat
          //Ii adaug in coada
          $node=new DMO_NodeSearch();
          $node->setAttrs(array(
            'type'=>$load[$tail[$l]]['type'],
            'concatenation'=>$load[$tail[$l]]['concatenation'],
            'attribute'=>$load[$tail[$l]]['attribute'],
            'property'=>$load[$tail[$l]]['property'],
            'condition'=>$load[$tail[$l]]['condition'],
            'value'=>$load[$tail[$l]]['value'],
            'inheritance'=>$load[$tail[$l]]['inheritance'],
            'definition'=>$load[$tail[$l]]['definition'],
            'parent'=>$load[$tail[$l]]['parent'],
            'session'=>$load[$tail[$l]]['session'],
            'pid'=>$pid
          ));
          $pID=$node->save();
          for ($i=0;$i<count($load);$i++) {
            if ($tmp[$i]["parent"]==$tmp[$tail[$l]]["id"]) {
              $load[$i]["parent"]=$pID;
              $k++;
              $tail[$k]=$i;
            }
          }
          $l++;
        }
      }
    }
    
    function saveSearch($nsname=NULL,$nsdescript=NULL,$pid=NULL)
    {
      GLOBAL $sess;
      
      if ($pid==NULL) {
        return(false);
      }
      
      $sql="SELECT DISTINCT search_id FROM saved_search ORDER BY search_id ASC";
      $this->query($sql);
      $id_array=array();
      while ($this->db->next_record() && $this->db->nf()) {
        $id_array[]=$this->db->f('search_id');
      }
      for ($i=0;$i<count($id_array);$i++) {
        $search_id=$i+1;
        if ($id_array[$i]!=$i+1) {
          break;
        }
      }
      if ($i==count($id_array)) {
        $search_id++;
      }
      $sql="SELECT * FROM node_search WHERE sn_session='".session_id()."' AND sn_pid='$pid' ORDER BY sn_ID ASC";
      $this->query($sql);
      $i=-1;
      $id=array();
      while ($this->db->next_record() && $this->db->nf()) {
        $i++;
        $id[$i]=$this->db->f("sn_ID");
        $type[$i]=$this->db->f("sn_type");
        $concatenation[$i]=$this->db->f("sn_concatenation");
        $attribute[$i]=$this->db->f("sn_attribute");
        $property[$i]=$this->db->f("sn_property");
        $condition[$i]=$this->db->f("sn_condition");
        $value[$i]=$this->db->f("sn_value");
        $inheritance[$i]=$this->db->f("sn_inheritance");
        $definition[$i]=$this->db->f("sn_definition");
        $parent[$i]=$this->db->f("sn_parent");
      }
      for ($i=0;$i<count($id);$i++) {
        $sql="INSERT INTO saved_search SET search_id='$search_id', search_name=\"$nsname\", search_description=\"$nsdescript\", ss_id='{$id[$i]}', ss_type='{$type[$i]}', ss_concatenation='{$concatenation[$i]}', ss_attribute='{$attribute[$i]}', ss_property='{$property[$i]}', ss_condition='{$condition[$i]}', ss_value='{$value[$i]}', ss_inheritance='{$inheritance[$i]}', ss_definition='{$definition[$i]}', ss_parent='{$parent[$i]}'";
        $this->query($sql);
      }
      unset($id,$type,$concatenation,$attribute,$property,$condition,$value,$inheritance,$definition,$parent);
    }
  }
?>
