<?
  /**
  * This function retrieves recursively the tree of all 
  * orphans of the current instance
  */
  function retrieveOrphRecursive($instance,$maxDepth,$curDepth=0,$history=array(),$set_tags=true)
  {
    $indent='&nbsp;&nbsp;&nbsp';
    $retValue='';
    $orphlist=$instance->getObjects('orphans');
    $showMagGlassOrphans=false;
    if ($maxDepth) {
      $showMagGlassOrphans=true;
    }
    $history[]=$instance->id;
    for ($i=0;$i<count($orphlist);$i++) {
      $loop=false;
      $nm=$orphlist[$i]->getLinkH();
      if (in_array($orphlist[$i]->id,$history)) {
        $loop=true;
        $nm.=__D("*** WARNING! LOOP DETECTED! ***");
      }
      $defnm=$orphlist[$i]->getObject("definition");
      $defnm=$defnm->getattr("name");
      $retValue.= ($set_tags) ? LFX_str() : '';
      $retValue.= ($set_tags) ? LFX_std() : '';
      $retValue.= LFX_echo(str_repeat($indent,$curDepth)."[".$defnm."] ".$nm);
      $retValue.= ($set_tags) ? '' : "<br>";
      $retValue.= ($set_tags) ? LFX_etd() : '';
      $retValue.= ($set_tags) ? LFX_etr() : '';
      if ($maxDepth) {
        if (!$loop) {
          $tmp=retrieveOrphRecursive($orphlist[$i],$maxDepth,1+$curDepth,$history,$set_tags);
          $retValue.=$tmp['result'];
        }
      } elseif (!$showMagGlassOrphans) {
        $showMagGlassOrphans=(bool) $orphlist[$i]->getObjects('orphans');
      }
    }
    return(array("result"=>$retValue,"showMagGlassOrphans"=>$showMagGlassOrphans));
  }
  
  /**
  * This function retrieves recursively the tree of all 
  * widows of the current instance
  */
  function retrieveWidowsRecursive($instance,$maxDepth,$curDepth=0,$history=array(), $set_tags=true)
  {
    $indent='&nbsp;&nbsp;&nbsp';
    $retValue='';
    $showMagClass=false;
    $widlist=$instance->getObjects('widows');
    $showMagGlassWidows=false;
    $history[]=$instance->id;
    if ($maxDepth) {
      $showMagGlassWidows=true;
    }
    for ($i=0;$i<count($widlist);$i++) {
      $loop=false;
      $nm=$widlist[$i]->getLinkH();
      if (in_array($widlist[$i]->id,$history)) {
        $loop=true;
        $nm.=__D("*** WARNING! LOOP DETECTED! ***");
      }
      $defnm=$widlist[$i]->getObject("definition");
      $defnm=$defnm->getattr("name");
      $retValue.= ($set_tags) ? LFX_str() : '';
      $retValue.= ($set_tags) ? LFX_std() : '';
      $retValue.=LFX_echo(str_repeat($indent,$curDepth)."[".$defnm."] ".$nm);
      $retValue.= ($set_tags) ? '' : "<br>";
      $retValue.= ($set_tags) ? LFX_etd() : '';
      $retValue.= ($set_tags) ? LFX_etr() : '';

      //$retValue.=LFX_etr();
      if ($maxDepth) {
        if (!$loop) {
          $tmp=retrieveWidowsRecursive($widlist[$i],$maxDepth,1+$curDepth,$history,$set_tags);
          $retValue.=$tmp['result'];
        }
      } elseif (!$showMagGlassWidows) {
        $showMagGlassWidows=(bool) $widlist[$i]->getObjects('widows');
      }
    }
    return(array("result"=>$retValue,"showMagGlassWidows"=>$showMagGlassWidows));
  }
?>
