<?
  /**
  * The edit attribute popup script
  * Lucian Silistru <lucian@moongate.ro>
  * $Id: editAttrPopup.php,v 1.16 2005/09/16 10:09:40 bogdan Exp $
  * @package DMO
  */
  
  $base_dir = '/data/DMO_files';

  function id_to_filename ($id)
  {
    global $base_dir;

    $s = (string) $id;
    $path = $base_dir;
      # We take the last two characters of the id as the filename
      $len = strlen($s);
      $file = $s[$len-2] . $s[$len-1];

      # Now build the path components from right to left, to ensure
      # that we use two character names (not one) for the ones on right
      $id = floor($id / 100);
      $part = '';
      while ($id >= 1) { // loop through until we consume all digits in id
        $digits = $id % 100;
        // pad leading zero when necessary
        if ($digits > 9) {
          $digits = (string) $digits;
        } else {
          $digits = '0' . (string) $digits; // prepend leading zero
        }
        $part = '/' . $digits . $part;
        $id = floor($id / 100);
      }
      $path .= $part;

      //echo "id_filename using $path/$file<br>\n";
    return $path . '/' . $file;
  }

  _checkMeOut(__FILE__);
  
  $_incReq=array("DMO_Instattr","DMO_Attribute","DMO_Instance","DMO_Definition");
  include($_incMgr);
  
  $instAttr=new DMO_Instattr($instAttID);
  $ins=$instAttr->getObject("instance");
  if (!LFX_permsFilter($ins->getUserPerms(),'U')) {
    pecho("You don't have the rights to edit this instance's attributes because you don't own it.");
    return(false);
  }
  $def=$ins->getObject("definition");
  $attr=$instAttr->getObject("attribute");
  $desc=$attr->getAttr("description");
  if ($attr) {
    $isPwd=(bool) $attr->getAttr('is_password');
    $attrName=$attr->getAttr("name");
  } else {
    pecho(LFX_echo("attrName not found for this instance attribute [instAttID=$instAttID]"));
  }
  $text=$instAttr->getAttr("text");
  $text=htmlspecialchars($text,ENT_QUOTES);
  $val=$instAttr->getAttr("value");
  $file=$instAttr->getAttr("dmo_file_id");
  
  pecho("
    <script language='javascript'>
      function sendValues(pass)
      {
        text=escape(document.frm.text.value);
        temp=new String(window.opener.location);
        temp=temp.split('?');
        temp_location=temp[0]+'?ins={$ins->id}&def={$def->id}&instAttID=$instAttID&action=editInstAtt&text='+text;
        if (pass) {
          textconf=escape(document.frm.textconf.value);
          temp_location+='&textconf='+textconf;
        }
        window.opener.location=temp_location;
        window.close();
      }
    </script>
  ");
  
  pecho(LFX_echo("<table border='0' cellspacing='$_DMO_spacing' width='100%'>"));
  pecho(LFX_str());
  pecho(LFX_echo("<td>"));
  pecho(LFX_sform("","","frm"));
  pecho(LFX_startTables("100%"));
  pecho(DMO_swatchHeader(array("title"=>$attrName)));
  pecho(LFX_str());
  pecho(LFX_echo("<td>$desc</td>"));
  pecho(LFX_etr());
  pecho(LFX_str());
  pecho(LFX_echo("<td>"));
  
  pecho(LFX_echo("<table border='0' cellspacing='$_DMO_spacing' width='100%'>"));
  pecho(LFX_str());
  pecho(LFX_echo("<td>"));
  
  pecho(LFX_startTables("100%"));
  pecho(LFX_str());
  pecho(LFX_rth($isPwd?__D('New Value (Password)'):__D("New Value")));
  if ($isPwd) {
    pecho(LFX_td("<input type='password' name='text' value=\"$text\">"));
    pecho(LFX_estr());
    pecho(LFX_rth(__D('Confirm password')));
    pecho(LFX_td("<input type='password' name='textconf' value=\"$text\">"));
  } else {
    if ($attr->getAttr('data_type') == 'boolean') {
      $opt = array(
      array('value'=>'0', 'display'=>__D('False')), 
      array('value'=>'1', 'display'=>__D('True'))
      );
      $bool = eregi('^[1Y]$',$bool);
      pecho(LFX_td(LFX_dropdownH('text',$opt,$bool)));
    } elseif ($attr->getAttr('data_type') == 'select') {
      $sel_arr = explode("||",$attr->getAttr('extra_type'));
      foreach ($sel_arr as $select) { //fill popup array
        $options[]=array('value'=>$select, 'display'=>$select);
      }            
      pecho(LFX_td(LFX_dropdownH('text',$options,$sel)));
    } else {
      pecho(LFX_td("<input type='text' name='text' value=\"$text\">"));
    }
    
  }
  pecho(LFX_estr());
  //pecho(LFX_str());
#  pecho(LFX_echo("<a target='new' onClick=\"javascript:location=window.location;window.open('https://" . $_SERVER["HTTP_HOST"] . "/dmo_new/data/test2.php?insattr=$instAttID','Attachment','height=250,width=450,scrollbars=no');return false\">x</a>"));
  //pecho(LFX_estr());
  //pecho(LFX_rth(__D("New Value")));
  //pecho(LFX_td("<input type='text' name='val' value=\"$val\">"));  
  //pecho(LFX_etr());
  //pecho(LFX_estr());
//  pecho(LFX_rth(__D("File")));
  //if ($file > 0) {
    //$req=new DMO_Definition;
    //$sql="SELECT * FROM dmo_file WHERE dmo_file_id = $file";
    //$req->query($sql);
    //$req->db->next_record();
    //$filename = $req->db->f(1);
    //$filetype = $req->db->f(2);
    //$filedesc = $req->db->f(5);
    //$ext = substr($filename, strrpos($filename, '.') + 1);
    //pecho(LFX_td("<a target='new' onClick=\"javascript:location=window.location;window.open('https://" . $_SERVER["HTTP_HOST"] . "/dmo_new/data/test2.php?insattr=$instAttID','Attachment','height=450,width=450,scrollbars=no');return false\"><img border=0 alt='Replace file' src='/LFXlib/images/pencil.gif'/></a>&nbsp;<a href='" . id_to_filename($file) . ".$ext' target='new'>$filename</a><br/>$filedesc"));  
  //} else {
    //pecho(LFX_td("<a target='new' onClick=\"javascript:location=window.location;window.open('https://" . $_SERVER["HTTP_HOST"] . "/dmo_new/data/test2.php?insattr=$instAttID','Attachment','height=250,width=450,scrollbars=no');return false\">Upload New</a>"));  
  //}
  //pecho(LFX_etr());
  pecho(LFX_endTables());
  
  pecho(LFX_echo("</td>"));
  pecho(LFX_estr());
  pecho(LFX_echo("<td style='text-align: center'>"));

  pecho(LFX_echo("<input type='button' value='Submit' onClick='sendValues(".($isPwd?'true':'false').");'>"));
  pecho(LFX_echo("&nbsp;&nbsp"));
  pecho(LFX_echo("<input type='reset' value='Reset'>"));

  pecho(LFX_echo("</td>"));
  pecho(LFX_etr());
  pecho(LFX_echo("</table>"));

  pecho(LFX_echo("</td>"));
  pecho(LFX_etr());
  pecho(LFX_endTables());
  pecho(LFX_eform());
  pecho(LFX_echo("</td>"));
  pecho(LFX_etr());
  pecho(LFX_echo("</table>"));
?>
