<?
  /**
  * profiles are used to define standard sets of ports, dlls, etc for hosts
  * @package DMO
  * Paul Gillingwater, CSO Lanifex GmbH, February 2004
  * $Id: profiles.php,v 1.7 2005/09/16 10:02:34 bogdan Exp $
  */
  
  _checkMeOut(__FILE__);
  $_incReq=array('DMO_Instance','DMO_Instattr','DMO_Attribute','DMO_Temp');
  include($_incMgr);

  $_page->menu->focus("Profiles");
  pecho(LFX_startTables());
  pecho(DMO_swatchHeader(array('title'=>__D('DMO Profiles'))));
  pecho(LFX_str());
  pecho(LFX_td(__D('Profiles are a mechanism for defining standard sets of information which are 
specific to a Host.  For example, a "TCP Port Profile" defines the 
TCP and UDP ports which are standard for a group of Hosts--any port
which is different will produce an Event.')));
  pecho(LFX_etr());
  pecho(LFX_str());
  pecho(LFX_echo("<td>"));
    // Getting TCP Port Profile ID
    $profileDefID=new DMO_Definition;
    $DefID=$profileDefID->byNameID('TCP Port Profile');
    // Let's make a list of various policy objects
    // Start with the TCP Port Profile definition
    pecho(LFX_startTables());
    pecho(DMO_swatchHeader(array('title'=>__D('<a href="'.$_DMO_url.'/index/data/showdef?def=' . $DefID . '">TCP Port Profile</a>'))));
    pecho(LFX_str());

    // Here we get all instances of the TCP Port Profile.  For each instance,
    // we then find those instances which have this instance as their attribute
    $profiles=new DMO_Instance;
    $profiles=$profiles->search('definition',$DefID);
    $profileDefID->load($DefID);
    pecho(LFX_echo("<td>" . $profileDefID->getAttr("description")));
    //pecho(LFX_echo("<td>"));
    if (count($profiles) > 0) {
      pecho(LFX_echo("<dl>\n"));
      for ($i=0;$i<count($profiles);$i++) {
        pecho(LFX_echo("<dt><b><a href='/dmo_new?ins=" . $profiles[$i]->id . "'>" . 
                       $profiles[$i]->getAttr("name") . "</a></b>&nbsp;&nbsp;<a href='".$_DMO_url."/profiles/listins?ins=" .
                       $profiles[$i]->id . "'>[List Matching Instances]</a>\n"));
        if (($profiles[$i]->getAttr("parent")) > 0) {
          $parent = $profiles[$i]->getAttr("parent");
          $parentProfile = new DMO_Instance;
          $parentProfile->load($parent);
          pecho(LFX_echo(" [Child of " . $parentProfile->getAttr("name") . "]"));
        }
       
        pecho(LFX_echo("</dt><dd>" . $profiles[$i]->getAttr("purpose") . "<br/><pre>" 
                              . $profiles[$i]->getAttr("notes")   . "</pre></dd>\n"));
      }
      pecho(LFX_echo("</dl>\n"));
    } else {
      pecho(LFX_echo("Cannot find any TCP Port Profile instances."));
    }
    pecho(LFX_echo("</td>"));

    pecho(LFX_etr());
    pecho(LFX_endTables());
  pecho(LFX_echo("</td>"));
  pecho(LFX_etr());
  pecho(LFX_endTables());



?>
