<?
  /**
  * profiles are used to define standard sets of ports, dlls, etc for hosts
  * @package DMO
  * Paul Gillingwater, CSO Lanifex GmbH, February 2004
  * $Id: listins.php,v 1.10 2005/09/16 10:10:05 bogdan Exp $
  */

  //_checkMeOut(__FILE__);
  $_incReq=array('DMO_Definition','DMO_Instance','DMO_Instattr','DMO_Attribute');
  include($_incMgr);
  //$_page->menu->focus("Profiles");
  //pecho(LFX_startTables());
  //pecho(DMO_swatchHeader(array('title'=>__D('DMO Profiles List'))));

  if (strlen($definitions) > 0 && strlen($profiles) > 0) {
    echo "<h3>Associating all instances of '$definitions' with profile '$profiles'</h3>\n";
    // Start by getting a list of all instances of the selected definition
    $defs = new DMO_Definition;
    $defID = $defs->byNameID($definitions);
    $defs->load($defID);  // grab this definition
    $instances = new DMO_Instance;
    $instances = $instances->search('definition',$defID,'name');  // get the instances
    if (count($instances) > 0) {
      echo "Found " . count($instances) . " instances of $definitions.<br/>\n";
      // we got at least one instance, so now let's get the instance of the TCP Port Profile
      $profileInstance = new DMO_Instance;
      $profileInstance = $profileInstance->search('name',$profiles);
      if (count($profileInstance) > 0) {
        echo "Found " . count($profileInstance) . " instances of $profiles.<br/>\n";
        // Both instances exist, so now we iterate through all the Node instances,
        // checking for the TCP Port Profile attribute.  If it doesn't exist, we
        // must create it.  If it does exist, we change it.  
        $att = new DMO_Attribute;
        $attrProfile = $att->byNameID('TCP Port Profile');
        if ($attrProfile > 0) {
          for ($i=0; $i < count($instances); $i++) { // iterate the array of instances
            $newAtt=new DMO_Instattr;
            $instanceID = $instances[$i]->id;
            echo "Changing attribute for instance '" . $instances[$i]->getAttr("name") . "'<br/>\n";
            if ($instanceID > 0) {
              list($oldAtt) = $newAtt->search(array('instance','attribute'),array($instanceID,$attrProfile));
              if ($oldAtt) { // does the existing attribute exist for this instance?
                $oldAtt->load();
                echo "Updating existing attribute for this instance.<br/>\n";
                $oldAtt->setAttrs(array(
                   'instance'  => $instanceID,
                   'attribute' => $attrProfile,
                   'text'      => $profiles));
                $oldAtt->save();
              } else {
                echo "Creating new attribute for this instance.<br/>\n";
                $newAtt->setAttrs(array(
                   'instance'  => $instanceID,
                   'attribute' => $attrProfile,
                   'text'      => $profiles));
                $newAtt->save();
              }
            } else {
              echo "Can't find id of the instance.<br/>\n";
            }
          }

        } else {
          echo "Cannot find critical attribute 'TCP Port Profile' -- please create it.\n";
        }
      } else {
        echo "Cannot find instance matching name '$profiles' -- no changes made.\n";
      }
    } else {
      echo "No instances found for definition '$definitions' -- no changes made.\n";
    }
  }
  $att=new DMO_Attribute;
  $attrTCPPortProfile = $att->byNameID('TCP Port Profile');
  if ($attrTCPPortProfile == 0) {
    echo "Cannot find attribute <b>TCP Port Profile</b> -- terminating.";
    exit(0);
  }
  // Getting TCP Port Profile ID
  $profileDefID=new DMO_Definition;
  $DefID=$profileDefID->byNameID('TCP Port Profile');

  echo "<h3>Node Profiles</h3>\nThe following are the Node instances which may be associated with a <a href='".$_DMO_url."/index/data/showdef?def=" . $DefID . "'>TCP Port Profile</a>.  <p>Use the select options if you wish to associate a profile with all instances of a selected type of Node.  <p>Select the Node type, then the Profile, then click the [Associate] button.<p>";
  // Now let's get a list of all definitions underneath "Node"
  $defs = new DMO_Definition;
  $defID = $defs->byNameID('Node');
  $defs->load($defID); 
  //echo($defs->getTreeH());
  $defs=$defs->getTree('name'); // get each child definition, so we can make a select
  if (count($defs) > 0) {
    echo("\n<form name='portprofile' action='$PHP_SELF' method='post'>\n");
    echo "Node: <select name='definitions'>\n";
    for ($i=0; $i < count($defs); $i++) {
      $def = $defs[$i]['object'];
      $j = $defs[$i]['level'];
      if ($j > 0) {
        $indent = '\\';
      } else {
        $indent = '';
      }
      while ($j > 0) {
        $indent .= '--';
        $j--;
      }
      echo "<option value='" . $def->getAttr("name") . "'>$indent" . $def->getAttr("name") . "</option>\n";
    }
    echo "</select>\n";
    echo "<input type='hidden' name='ins' value='$ins'>\n";
  } else {
    echo "Panic: no children of 'Node' found!";
  }

  // Here we get all instances of the TCP Port Profile.  For each instance,
  // we then find those instances which have this instance as their attribute
  $profiles=new DMO_Instance;
  $profiles=$profiles->search('definition',$DefID,"name");
  //pecho(LFX_echo("<td>"));
  if (count($profiles) > 0) {
    echo "&nbsp;Profile: <select name='profiles'>\n";
    for ($i=0;$i<count($profiles);$i++) {
      echo "<option value='" . $profiles[$i]->getAttr("name") . "'>";
      echo $profiles[$i]->getAttr("name") . "</option>\n";
    }
    echo "</select>\n";
  }

  // This line was commented out because it works in IE, but not in Mozilla.  Wierd!
  //echo "&nbsp;<a href='' onClick='return confirm(\"Are you sure you wish to associate the selected node with the selected profile?\");'><input type='submit' value='Associate'></a></form>\n";
  echo "&nbsp;<input type='submit' value='Associate'></form>\n";
  echo "<hr>This will display a list of instances which have the attribute 'TCP Port Profile' matching.<p>\n";
  if ($ins > 0) {
    $instance=new DMO_Instance;
    $instance->load($ins);  // load the TCP Port Profile instance so we can check matching name
    $findName = $instance->getAttr("name");
    echo "<p>We are looking for 'TCP Port Profile' attributes that match the name '$findName'<p>";
  
    $insArray=new DMO_Instattr;
    $insArray=$insArray->search('attribute',$attrTCPPortProfile);
    if (count($insArray) > 0) {
      echo "<ul>\n";
      for ($i=0; $i < count($insArray); $i++) {
        $id = $insArray[$i]->getAttr("instance"); // get the parent instance id
        $text = $insArray[$i]->getAttr("text"); // get the text of this instance attribute
        //echo "Comparing $text with $findName<p>\n";
        if ($text == $findName) {
          if ($id > 0) {
            $instance->load($id);
  
            echo "<li><a href='".$_DMO_url."?ins=" . $instance->id . "'>" . $instance->getAttr("name") . "</a>&nbsp;" .
                 $instance->getAttr("purpose") . "</li>\n";
          }
        }
      }
      echo "</ul>\n";
    } else {
      echo "No instance attributes found for 'TCP Port Profile'";
      exit(0);
    }
  } else {
    echo "<h3>Error: No valid instance presented.</h3>\n";
  }
  echo "<hr><a href='".$_DMO_url."/index/profiles/'>Click here</a> to return to the Profiles page.\n";
  ?>
