<?
  /**
  * Definition PDF reports listing
  * Lucian Silistru <lucian@moongate.ro>, February 2004
  * $Id: listreports.php,v 1.3 2005/04/26 09:20:41 bogdan Exp $
  * @package DMO
  */
  
  pecho(LFX_echo('<TABLE width="100%" border="0" cellspacing="'.$_DMO_spacing.'">'));
  pecho(LFX_str());
  pecho(LFX_echo('<TD>'));  
  
  if (!$subsearch && !$cpage) {
    $rep_page=20;
    $cpage=1;
    $type=array();
    $type['lst']='on';
    $type['def']='on';
    $type['ins']='on';
    $type['sel']='on';
    $type['que']='on';
    $type['adv']='on';
  }
  
  $rep = new DMO_pdfReport();
  
  pecho($rep->makePopupFunction());
  
  if ($report_del) {
    $rep->load($report_del);
    if (!$rep->delete()) {
      $_page->addError('Could not delete report with id='.$rep->id.' (in listreports.php)',DMO_DV_LUCIAN+53,DMO_ET_ERROR+DMO_EL_DB);
    } else {
      pecho(LFX_startTables('100%'));
      pecho(DMO_swatchHeader(array(
        'title'=>__D('Report deleted succesfully')
      )));
      pecho(LFX_endTables());
      pecho(LFX_echo('</TD>'));
      pecho(LFX_estr());
      pecho(LFX_echo('<TD>'));
    }
    $rep = new DMO_pdfReport();
  }
  
  //Finding reports sorted by date in reverse (afterwards, we check filters)
  $reports=$rep->searchId(NULL,NULL,'date',true);
  
  $filt_rep=array();
  $filt_idx=0;
  // Converting filter dates into timestamps
  if ($cdate_from) {
    $ctime_from=strtotime($cdate_from.' 00:00:00');
    if ($cdate_until) {
      $ctime_until=strtotime($cdate_until.' 23:59:59');
    }
  }
  // For each report found we check if any filter fails. If not, we add it to the list
  for ($i=0;$i<count($reports);$i++) {
    $rep = new DMO_pdfReport($reports[$i]);
    
    if ($ctime_from && $rep->getAttr('date')<$ctime_from) {
        continue;
      }

    if ($ctime_until && $rep->getAttr('date')>$ctime_until) {
        continue;
    }
    
    if ($desc_cont && stristr($rep->getAttr('description'),$desc_cont)===false) {
      continue;
    }
    
    if (count($type) && $type[$rep->getAttr('type')]!='on') {
      continue;
    }
    
    $filt_rep[$filt_idx]=$reports[$i];
    $filt_idx++;
  }
  
  // If this is a search current page is 1
  if ($subsearch) {
    $cpage=1;
  }

  // Setting index of first element on page
  $first=($cpage-1)*$rep_page;
  
  // Creating list of reports to show
  unset($reports);
  $reports=array();
  for ($i=$first;$i<count($filt_rep) && $i<($first+$rep_page);$i++) {
    $reports[] = new DMO_pdfReport($filt_rep[$i]);
  }
  
  // Mailing Reports
  if ($mailto) {
    if (count($a)) {
      while(list($key,$value)=each($a)) {
        if ($value=='on') {
          $rep_to_mail=$reports[$key];
          break;
        }
      }
      LFX_include('LFX_Mail');
      $mail_obj = new LFX_Mail();
      $mail_obj->subject=__D('DMO PDF Report');
      $reptype=$rep_to_mail->getAttr('type');
      switch ($reptype) {
        case 'def':
          $report_title=__D('Definition Listing');
        break;
        case 'ins':
          $report_title=__D('Instance Listing');
        break;
        case 'lst':
          $report_title=sprintf(__D('Definition %s Instances'),'<I>'.htmlspecialchars($rep_to_mail->getAttr('type_name'),ENT_QUOTES).'</I>');
        break;
        case 'sel':
          $report_title=__D('Instance Selection Listing');
        break;
        case 'que':
          $report_title=sprintf(__D('Query Search %s Results'),'<I>'.htmlspecialchars($rep_to_mail->getAttr('type_name'),ENT_QUOTES).'</I>');
        break;
        case 'adv':
          $report_title=sprintf(__D('Advanced Search %s Results'),'<I>'.htmlspecialchars($rep_to_mail->getAttr('type_name'),ENT_QUOTES).'</I>');
        break;
      }      
      $mail_obj->html=$report_title.' from '.$rep_to_mail->getAttrH('date');
      $mail_obj->attachments[0]=array(
        'filename'=>'Report '.date('YmdHis',$rep_to_mail->getAttr('date')),
        'mime'=>'application/pdf',
        'content'=>$rep_to_mail->getAttr('data')
      );
      $mailto = new LFX_User($mailto);
      
      $mail_obj->addresses[0]=$mailto->getAttr('email');
      $mail_obj->from=$_page->user->getAttr('email');
      if (!$mail_obj->send()) {
        $_page->addError('Could not send report mail with id='.$rep->id.' (in listreports.php)',DMO_DV_LUCIAN+54,DMO_ET_ERROR+DMO_EL_UNEXPECTED);
      } else {
      pecho(LFX_startTables('100%'));
      pecho(DMO_swatchHeader(array(
        'title'=>__D('Report sent succesfully')
      )));
      pecho(LFX_endTables());
      pecho(LFX_echo('</TD>'));
      pecho(LFX_estr());
      pecho(LFX_echo('<TD>'));        
      }
      unset($report_title);
    }
  }  
  
  $pcount=ceil(count($filt_rep)/$rep_page);
  $pc_string='';
  if ($cpage>1) {
    if ($cpage!=2) {
      $pc_string.='&nbsp;<A HREF="javascript:document.sfilter.action=\''.$_DMO_url.'/index/reports/archive?cpage=1\';document.sfilter.submit();"><IMG src="'.$_DMO_icon_frew.'" border="0"></A>&nbsp;';
    } else {
      $pc_string.='&nbsp;&nbsp;&nbsp;';
    }
    $pc_string.='&nbsp;<A HREF="javascript:document.sfilter.action=\''.$_DMO_url.'/index/reports/archive?cpage='.($cpage-1).'\';document.sfilter.submit();"><IMG src="'.$_DMO_icon_rew.'" border="0"></A>&nbsp;';
  }
  for ($i=$cpage-3;$i<$cpage;$i++) {
    if ($i<1) {
      continue;
    }
    $pc_string.='<A HREF="javascript:document.sfilter.action=\''.$_DMO_url.'/index/reports/archive?cpage='.$i.'\';document.sfilter.submit();">'.$i.'</A>&nbsp;';
  }
  $pc_string.="&nbsp;[$cpage]&nbsp;";
  for ($i=$cpage+1;$i<=$cpage+3;$i++) {
    if ($i>$pcount) {
      continue;
    }
    $pc_string.='<A HREF="javascript:document.sfilter.action=\''.$_DMO_url.'/index/reports/archive?cpage='.$i.'\';document.sfilter.submit();">'.$i.'</A>&nbsp;';
  }
  if ($cpage<$pcount) {
    $pc_string.='&nbsp;<A HREF="javascript:document.sfilter.action=\''.$_DMO_url.'/index/reports/archive?cpage='.($cpage+1).'\';document.sfilter.submit();"><IMG src="'.$_DMO_icon_fwd.'" border="0"></A>&nbsp;';
    if ($cpage!=$pcount-1) {
      $pc_string.='&nbsp;<A HREF="javascript:document.sfilter.action=\''.$_DMO_url.'/index/reports/archive?cpage='.$pcount.'\';document.sfilter.submit();"><IMG src="'.$_DMO_icon_ffwd.'" border="0"></A>&nbsp;';
    }
  }  
  
  pecho(LFX_sform($_DMO_url.'/index/reports/archive','POST','sfilter'));  
  pecho(LFX_startTables('100%'));
  pecho(DMO_swatchHeader(array(
    'title'=>__D('Saved Reports')
  )));
  pecho(LFX_str());
  pecho(LFX_echo('<TD>'));
  pecho(LFX_startTables('100%'));
  pecho(DMO_swatchHeader(array(
    'title'=>__D('Search Filters')
  )));
  pecho(LFX_str());
  pecho(LFX_echo('<TD>'));
  
  pecho(LFX_startTables('100%'));
  pecho(LFX_str());
  pecho(LFX_td(__D('Creation Date (MM/DD/YYYY)'),'thead',NULL,'2',NULL,'50%'));
  pecho(LFX_td(__D('Report Type'),'thead',NULL,'2'));
  pecho(LFX_estr());
  pecho(LFX_td(__D('From')));
  pecho(LFX_td('<INPUT type="text" name="cdate_from" value="'.$cdate_from.'" maxlength="10">'));
  pecho(LFX_td('<INPUT type="checkbox" name="type[def]" id="def" '.($type['def']=='on'?'checked':'').'>',NULL,NULL,NULL,NULL,'1%'));
  pecho(LFX_td('<LABEL for="def">'.__D('Definition Listings').'</LABEL>'));
  pecho(LFX_estr());
  pecho(LFX_td(__D('Until')));
  pecho(LFX_td('<INPUT type="text" name="cdate_until" value="'.$cdate_until.'" maxlength="10">'));
  pecho(LFX_td('<INPUT type="checkbox" name="type[ins]" id="ins" '.($type['ins']=='on'?'checked':'').'>',NULL,NULL,NULL,NULL,'1%'));
  pecho(LFX_td('<LABEL for="ins">'.__D('Instance Listings').'</LABEL>'));  
  pecho(LFX_estr());
  pecho(LFX_td(__D('Description Contains'),'thead',NULL,'2'));
  pecho(LFX_td('<INPUT type="checkbox" name="type[lst]" id="lst" '.($type['lst']=='on'?'checked':'').'>',NULL,NULL,NULL,NULL,'1%'));
  pecho(LFX_td('<LABEL for="lst">'.__D('Definition Instances').'</LABEL>'));
  pecho(LFX_estr());
  pecho(LFX_td('<INPUT type="text" name="desc_cont" value="'.$desc_cont.'">',NULL,NULL,'2'));
  pecho(LFX_td('<INPUT type="checkbox" name="type[sel]" id="sel" '.($type['sel']=='on'?'checked':'').'>',NULL,NULL,NULL,NULL,'1%'));
  pecho(LFX_td('<LABEL for="sel">'.__D('Selection Listings').'</LABEL>'));  
  pecho(LFX_estr());
  pecho(LFX_td(__D('Reports per page'),'thead',NULL,'2'));
  pecho(LFX_td('<INPUT type="checkbox" name="type[que]" id="que" '.($type['que']=='on'?'checked':'').'>',NULL,NULL,NULL,NULL,'1%'));
  pecho(LFX_td('<LABEL for="que">'.__D('Query Search Results').'</LABEL>'));
  pecho(LFX_estr());
  pecho(LFX_td('<INPUT type="text" name="rep_page" value="'.$rep_page.'" size="5">',NULL,NULL,'2'));
  pecho(LFX_td('<INPUT type="checkbox" name="type[adv]" id="adv" '.($type['adv']=='on'?'checked':'').'>',NULL,NULL,NULL,NULL,'1%'));
  pecho(LFX_td('<LABEL for="adv">'.__D('Advanced Search Results').'</LABEL>'));
  pecho(LFX_estr());
  pecho(LFX_td('<INPUT type="submit" name="subsearch" value="Apply Filters">','thead',NULL,'4'));
  pecho(LFX_etr());
  pecho(LFX_endTables());
  
  pecho(LFX_echo('</TD>'));
  pecho(LFX_etr());
  pecho(LFX_endTables());
  
  pecho(LFX_echo('</TD>'));
  pecho(LFX_estr());
  pecho(LFX_echo('<TD>'));
  
  pecho(LFX_startTables('100%'));
  pecho(LFX_str());
  pecho(LFX_td($pc_string,'thead',true,'4'));
  pecho(LFX_estr());
  pecho(LFX_td('<INPUT type="checkbox" name="check_all" onClick="for (i=0;i<'.count($reports).';i++) { if (document.sfilter.check_all.checked==true) { document.sfilter.elements[\'a[\'+i+\']\'].checked=true; } else { document.sfilter.elements[\'a[\'+i+\']\'].checked=false; } }">','thead',true,NULL,NULL,'1'));
  pecho(LFX_td(__D('Report Type'),'thead'));
  pecho(LFX_td(__D('Creation Date'),'thead'));
  pecho(LFX_td(__D('Deletion Date'),'thead'));
  pecho(LFX_etr());
  if (count($reports)) {    
    for ($i=0;$i<count($reports);$i++) {
      $reptype=$reports[$i]->getAttr('type');
      switch ($reptype) {
        case 'def':
          $report_title=__D('Definition Listing');
        break;
        case 'ins':
          $report_title=__D('Instance Listing');
        break;
        case 'lst':
          $report_title=sprintf(__D('Definition %s Instances'),'<I>'.htmlspecialchars($reports[$i]->getAttr('type_name'),ENT_QUOTES).'</I>');
        break;
        case 'sel':
          $report_title=__D('Instance Selection Listing');
        break;
        case 'que':
          $report_title=sprintf(__D('Query Search %s Results'),'<I>'.htmlspecialchars($reports[$i]->getAttr('type_name'),ENT_QUOTES).'</I>');
        break;
        case 'adv':
          $report_title=sprintf(__D('Advanced Search %s Results'),'<I>'.htmlspecialchars($reports[$i]->getAttr('type_name'),ENT_QUOTES).'</I>');
        break;
      }
      pecho(LFX_str());
      pecho(LFX_td('<INPUT type="checkbox" name="a['.$i.']">&nbsp;<A HREF="javascript:popup(\''.$_DMO_url.'/index/popups/reportPopup?commID='.$reports[$i]->id.'\',400,200);"><IMG src="'.$_DMO_icon_help.'" border="0"></A>',NULL,true,NULL,NULL,'1%'));
      pecho(LFX_td('<A HREF="'.$_DMO_url.'/reports/archive/serve_report?rID='.$reports[$i]->id.'">'.$report_title.'</A>',NULL,true,NULL,NULL,'1%'));
      pecho(LFX_td($reports[$i]->getAttrH('date')));
      $deletion_text='<TABLE width="1%" border="0" cellspacing="0" cellpadding="0">';
      $deletion_text.='<TR>';
      if ($_page->user->getRights('DMO_pdfReport','W') || $_page->user->getRights('DMO_pdfReport','D')) {
        $deletion_text.='<TD nowrap>';
        $deletion_text.='<A HREF="javascript:document.sfilter.action=\''.$_DMO_url.'/index/reports/archive?cpage='.$cpage.'&report_del='.$reports[$i]->id.'\';document.sfilter.submit();"><IMG src="'.$_DMO_icon_drop.'" border="0"></A>';
        $deletion_text.='</TD>';
      }
      $deletion_text.='<TD nowrap>';
      $deletion_text.=$reports[$i]->getAttr('keep')?'Never':$reports[$i]->formatDate($reports[$i]->getAttr('date')+2592000);
      $deletion_text.='</TD></TR>';
      $deletion_text.='</TABLE>';
      pecho(LFX_td($deletion_text));
      pecho(LFX_etr());
    }
    $mail_users=$_page->user->getColleaguesID();
    $sel_options='<INPUT type="button" name="mailto" value="Mail To" onClick="document.sfilter.action=\''.$_DMO_url.'/index/reports/archive?cpage='.$cpage.'&mailto=\'+document.sfilter.mail_user[document.sfilter.mail_user.selectedIndex].value;document.sfilter.submit();">&nbsp;';
    $sel_options.='<SELECT name="mail_user">';
    for ($j=0;$j<count($mail_users);$j++) {
      $mail_user = new LFX_User($mail_users[$j]);
      $sel_options.='<OPTION value="'.$mail_users[$j].'">'.$mail_user->getAttr('fname').' '.$mail_user->getAttr('lname').'</OPTION>';
    }
    $sel_options.='</SELECT>';
    pecho(LFX_td(__D('With selected (only first selected)').'&nbsp;'.$sel_options,'thead',NULL,'4'));
  } else {
    pecho(LFX_str());
    pecho(LFX_td(__D('No reports found'),NULL,NULL,'4'));
    pecho(LFX_etr());
  }
  pecho(LFX_endTables());
  
  pecho(LFX_echo('</TD>'));
  pecho(LFX_etr());
  pecho(LFX_endTables());
  pecho(LFX_eform());
    
  pecho(LFX_echo('</TD>'));
  pecho(LFX_etr());
  pecho(LFX_echo('</TABLE>'));
?>