<?

  /**
  * Definition Report Creation
  * Lucian Silistru <lucian@moongate.ro>, March 2003
  * Based on a script from DMO 1.0
  * $Id: pdf_report.php,v 1.18 2005/07/27 10:20:05 bogdan Exp $
  * @package DMO
  */

  _checkMeOut(__FILE__);
  
  LFX_include_class("DMO_pdfReport");

  while (ob_get_level()) {
    ob_end_clean();
  }
  LFX_pushDisposition('pdf');
  echo("<h1>".__D("The PDF report is being generated, please wait")."</h1>");
  echo("<div id='status'>Initializing...</div>");
  flush();

  $_DMO_my_images="$_DMO_path/images";
  if (is_uploaded_file($_FILES['new_report_logo']['tmp_name']) && 
      (substr($_FILES['new_report_logo']['name'],-3,3)=='jpg' || substr($_FILES['new_report_logo']['name'],-4,4)=='jpeg')) {
      $report_logo=$_FILES['new_report_logo']['tmp_name'];
  } else {
    eval("\$report_logo=\"".$_DMO_globals->getSetting('DMO_pdf_report_logo')."\";");
  }
  
  /*** SQL QUERIES ***/

  $tmp=new DMO_Definition();
  $tmp=$tmp->search();
  $tmp=$tmp[0]->getRoot();
  $defList=$tmp->getTree();
  for ($i=0;$i<count($defList);$i++) {
    $defList[$i]=$defList[$i]["object"];
    $defList[$i]->load();
    $row[$i]=$defList[$i]->attr;
    $pg[$i]=$defList[$i]->id;
    $row[$i]["date"]=$defList[$i]->getAttrH("date");
    $row[$i]["id"]=$defList[$i]->id;
  }
  
  $pg_count=count($defList);

  /*** PDF USER FUNCTIONS ***/
  function ShowHeader() 
  {
    GLOBAL $pdf,$i,$pg_count,$helv,$helvB,$report_logo;
    pdf_setcolor($pdf,"fill","rgb",1,0.8,0.6,0);
    pdf_setlinewidth($pdf,4);
    pdf_rect($pdf,30,710,540,80);
    pdf_fill_stroke($pdf);
    pdf_setcolor($pdf,"fill","rgb",0,0,0,0);

    pdf_setfont($pdf, $helvB, 24);
    if (function_exists('pdf_set_text_rendering')) {
      pdf_set_text_rendering($pdf, 0);
    }
    pdf_show_xy($pdf, "DMO Network Object Information",40,740);

    if (function_exists("pdf_open_jpeg")) {
      $im = PDF_open_jpeg($pdf, "$report_logo");
    } else {
      $im=PDF_open_image_file($pdf,'jpeg',$report_logo,'',0);
    }
    pdf_place_image($pdf, $im, 474, 734, 1);
    pdf_close_image ($pdf,$im);

    pdf_setfont($pdf, $helvB, 16);
    pdf_show_xy($pdf, "Page ".($i+1)." of $pg_count",250,685);
  }

  function ShowTableItem($title,$contents,$x,$y,$w1=120,$w2=160,$h=12,$sp=8) 
  {
    GLOBAL $pdf,$ypos,$pg,$parent,$helv,$helvB;
    pdf_setfont($pdf, $helvB, 16);
    $l=pdf_stringwidth($pdf,$contents,$helvB,16);
    if ($l>=$w2) {
      $h=18;
      $y-=6;
    }

    pdf_setcolor($pdf,"fill","rgb",1,0.8,0.6,0);
    pdf_setlinewidth($pdf,1);
    pdf_rect($pdf,$x-$sp,$y-$sp,$w1+2*$sp,$h+2*$sp);
    pdf_fill_stroke($pdf);
    pdf_setcolor($pdf,"fill","rgb",0,0,0,0);
    PDF_show_xy($pdf, $title, $x, $y);
    pdf_setlinewidth($pdf,1);

    $x=$x+$w1+2*$sp;
    pdf_setfont($pdf, $helv, 16);
    if (($title==="Parent Object:") and ($contents)){
    pdf_set_border_color($pdf,1,1,1);
    $ww=pdf_stringwidth($pdf,$contents,$helv,16);
    $lnk=array_search($parent->id,$pg)+2;
    pdf_add_locallink($pdf, $x-$sp+1, $y-$sp+1, $x+$w2+$sp-1, $y+$h+$sp-1, $lnk, "retain");
    }
    if ($l<$w2) {
      PDF_show_xy($pdf, $contents, $x, $y);
    } else {
      pdf_setfont($pdf, $helv, 14);
      PDF_show_boxed($pdf, $contents,$x,$y-$sp,$w2,$h+2*$sp, "left",'');
    }
    pdf_rect($pdf,$x-$sp,$y-$sp,$w2+2*$sp,$h+2*$sp);
    pdf_stroke($pdf);
    $ypos=$y-$h-2*$sp;
    if ($l>=$w2) {
      $ypos+=6;
    }
  }

  function ShowChildTable($x,$y,$w1=120,$w2=310,$h=80,$sp=8) 
  {
    GLOBAL $pdf,$ypos,$child,$child_id,$helv,$helvB;
    pdf_setcolor($pdf,"fill","rgb",1,0.8,0.6,0);
    pdf_setlinewidth($pdf,1);
    pdf_rect($pdf,$x-$sp,$y-$h-$sp+14,$w1+2*$sp,$h+2*$sp-1);
    pdf_fill_stroke($pdf);
    pdf_setcolor($pdf,"fill","rgb",0,0,0,0);
    pdf_setfont($pdf, $helvB, 15);
    PDF_show_xy($pdf, "Child Objects:", $x, $y);
    pdf_setlinewidth($pdf,1);
    pdf_rect($pdf,$x-$sp,$y-$h-$sp+14,$w1+2*$sp,$h+2*$sp);
    pdf_stroke($pdf);

    $x=$x+$w1+2*$sp;
    pdf_setfont($pdf, $helv, 12);
/*
    pdf_set_border_color($pdf,1,1,1);
    $xx=$x; $yy=$y;
    if ($child<>"") {
      $it=explode(", ",$child);
      for($j=0;$j<sizeof($it);$j++) {
        if ($j<sizeof($it)-1) $it[$j].=", ";
        $ww=pdf_stringwidth($pdf,$it[$j]);
        if($xx+$ww>510) {
          $yy-=14;
          $xx=$x;
        }
        pdf_show_xy($pdf, $it[$j], $xx, $yy);
        pdf_add_locallink($pdf, $xx-1, $yy-4, $xx+$ww+1, $yy+11, $child_id[$j], "retain");
        $xx+=$ww+1;
      }
    }
*/
    PDF_show_boxed($pdf, $child, $x, $y-$h+12, $w2, $h, "justify",'');
    pdf_rect($pdf,$x-$sp,$y-$h-$sp+14,$w2+2*$sp,$h+2*$sp);
    pdf_stroke($pdf);
    $ypos=$y-$h-2*$sp;
  }

  function ShowInstanceTable($x,$y,$w1=120,$w2=310,$h=80,$sp=8) 
  {
    GLOBAL $pdf,$ypos,$inst,$helv,$helvB,$defList,$i,$_DMO_fullUrl;
    pdf_setcolor($pdf,"fill","rgb",1,0.8,0.6,0);
    pdf_setlinewidth($pdf,1);
    pdf_rect($pdf,$x-$sp,$y-$h-$sp+12,$w1+2*$sp,$h+2*$sp);
    pdf_fill_stroke($pdf);
    pdf_setcolor($pdf,"fill","rgb",0,0,0,0);

    pdf_setfont($pdf, $helvB, 15);
    PDF_show_xy($pdf, "Object Instances: ", $x, $y);
    pdf_setlinewidth($pdf,1);
    pdf_rect($pdf,$x-$sp,$y-$h-$sp+12,$w1+2*$sp,$h+2*$sp);
    pdf_stroke($pdf);

    $x=$x+$w1+2*$sp;
    pdf_setfont($pdf, $helv, 12);
    $defID=$defList[$i]->id;
    $defURL="$_DMO_fullUrl/index/data/listins/?def=$defID";
    PDF_show_boxed($pdf,'DMO Link to Instance List',$x,$y-$h+8,$w2,12,'left','');
    PDF_add_weblink($pdf,$x,$y-$h+8,$x+$w2,$y-$h+20,$defURL);    
    PDF_show_boxed($pdf, $inst, $x, $y-$h+20, $w2, $h, "left",'');
    pdf_rect($pdf,$x-$sp,$y-$h-$sp+12,$w2+2*$sp,$h+2*$sp);
    pdf_stroke($pdf);
    $ypos=$y-$h-2*$sp;
  }

  function ShowAttribTable($x,$y,$w1=140,$w2=290,$h=150,$sp=8) 
  {
    GLOBAL $pdf,$ypos,$attr,$helv,$helvB;
    pdf_setlinewidth($pdf,1);
    pdf_rect($pdf,$x+$w1+$sp,$y-$h-$sp+12,306,$h+2*$sp);
    //pdf_rect($pdf,$x+$w1+$sp+106,$y-$h-$sp+12,100,$h+2*$sp);
    //pdf_rect($pdf,$x+$w1+$sp+206,$y-$h-$sp+12,100,$h+2*$sp);
    pdf_stroke($pdf);

    pdf_setcolor($pdf,"fill","rgb",1,0.8,0.6,0);
    pdf_rect($pdf,$x-$sp,$y-6,$w1+$w2+4*$sp,26);
   // pdf_rect($pdf,$x+$w1+$sp,$y-6,106,26);
   // pdf_rect($pdf,$x+$w1+$sp+106,$y-6,100,26);
  //  pdf_rect($pdf,$x+$w1+$sp+206,$y-6,100,26);
    pdf_fill_stroke($pdf);
    pdf_setcolor($pdf,"fill","rgb",0,0,0,0);

    pdf_setfont($pdf, $helvB, 16);
    PDF_show_xy($pdf, "Object Attributes:", $x, $y);
    pdf_setfont($pdf, $helvB, 12);
    PDF_show_xy($pdf, "Description", $x+$w1+14, $y);
    //PDF_show_xy($pdf, "Min. Threshold", $x+$w1+120, $y);
    //PDF_show_xy($pdf, "Max. Threshold", $x+$w1+220, $y);
    pdf_setlinewidth($pdf,1);
    pdf_rect($pdf,$x-$sp,$y-$h-$sp+12,$w1+2*$sp,$h+2*$sp);
    pdf_stroke($pdf);

    $yy=$y-4;
    pdf_setfont($pdf, $helv, 12);
    for($a=0;$a<sizeof($attr);$a++) {
      $yy-=14;
      PDF_show_xy($pdf, $attr[$a]["name"], $x, $yy);
      $attr[$a]["description"] = SetTextWidth($attr[$a]["description"], 12, 280);
      PDF_show_xy($pdf, $attr[$a]["description"], $x+$w1+14, $yy);
     // PDF_show_xy($pdf, $attr[$a]["ref"], $x+$w1+14, $yy);
     // PDF_show_xy($pdf, $attr[$a]["min"], $x+$w1+120, $yy);
     // PDF_show_xy($pdf, $attr[$a]["max"], $x+$w1+220, $yy);
    }
    $ypos=$y-$h-2*$sp;
  }
  
  function SetTextWidth($text, $fontSize, $allowPixels)
  {
    GLOBAL $pdf, $helv;
    $width = pdf_stringwidth($pdf, $text , $helv, $fontSize);
    if ($width<=$allowPixels) {
      return $text;
    } else {
      for ($i=20; $i<strlen($text); $i++) {
        $width = pdf_stringwidth($pdf, substr($text,0,$i)."..." , $helv, $fontSize);
        if ($width>$allowPixels) {
          return substr($text,0,$i-1)."...";
        }
      }
    }
  }

  function ShowDescription($descr,$x,$y,$w=446,$h=60,$sp=8) 
  {
    GLOBAL $pdf,$ypos,$helv,$helvB;
    pdf_setcolor($pdf,"fill","rgb",1,0.8,0.6,0);
    pdf_setlinewidth($pdf,1);
    pdf_rect($pdf,$x-$sp,$y-6,$w+2*$sp,26);
    pdf_fill_stroke($pdf);
    pdf_setcolor($pdf,"fill","rgb",0,0,0,0);

    pdf_setfont($pdf, $helvB, 16);
    PDF_show_xy($pdf, "Description:", $x, $y);
    pdf_setfont($pdf, $helv, 14);
    PDF_show_boxed($pdf, $descr, $x, $y-$h+24, $w, $h-30, "justify",'');
    pdf_setlinewidth($pdf,1);
    pdf_rect($pdf,$x-$sp,$y-$h-$sp+12,$w+2*$sp,$h+2*$sp);
    pdf_stroke($pdf);

    $ypos=$y-$h-2*$sp;
  }

  $bm=array();

  /*** CREATE PDF DOCUMENT ***/
  $fname="";
  for ($i=0;$i<8;$i++) {
    $fname.=chr(rand(0,25)+97);
  }
  $fname=$_LFX_tmpDir.'/'.$fname.'.pdf';

  $pdf = PDF_new();
  PDF_open_file($pdf,$fname);

  pdf_set_info($pdf, "Author", "CSO Lanifex GmbH");
  PDF_set_info($pdf, "Title", "DMO Report");
  pdf_set_info($pdf, "Creator", "Database of Managed Objects v2");
  pdf_set_info($pdf, "Subject", "DMO");
  
  $helvB=pdf_findfont($pdf,"Helvetica-Bold","host",false);
  $helv=pdf_findfont($pdf,"Helvetica","host",false);

// First Page  
  
  PDF_begin_page($pdf, 595, 842);
  
//  $first=PDF_add_bookmark($pdf, $header , 0, 1);
  $pdftitle=__D("DMO Network Object Information");
//  ShowHeader($header);
  
  pdf_setcolor($pdf,"fill","rgb",1,0.8,0.6,0);
  pdf_setlinewidth($pdf,4);
  pdf_rect($pdf,30,680,540,80);
  pdf_fill_stroke($pdf);
  pdf_setcolor($pdf,"fill","rgb",0,0,0,0);
    
  pdf_setfont($pdf, $helvB , 25);
  pdf_set_value($pdf, "textrendering", 0);
  $l=pdf_stringwidth($pdf,$pdftitle,$helvB,25);
  if ($l>540) {
    pdf_show_boxed($pdf,$pdftitle,35,685,440,70,'center');
  } else {
    pdf_show_xy($pdf, $pdftitle,40,710);
  }
  unset($l);
  $sls=new DMO_Definition;
    
  if (function_exists("pdf_open_jpeg")) {
    $im = PDF_open_jpeg($pdf, "$report_logo");
  } else {
    //$im = PDF_open_image($pdf, 'jpeg', 'fileref', $report_logo,0,700,474,0,8,'');
    $im=PDF_open_image_file($pdf,'jpeg',$report_logo,'',0);
  }
  pdf_place_image($pdf, $im, 474, 700, 1);
  pdf_close_image ($pdf,$im);
    
  pdf_setcolor($pdf,"fill","rgb",1,0.8,0.6,0);
  pdf_setlinewidth($pdf,2);
  pdf_rect($pdf,80,430,110,30);
  pdf_rect($pdf,80,250,110,180);
  pdf_fill_stroke($pdf);
  pdf_setcolor($pdf,"fill","rgb",0,0,0,0);
  
  pdf_setcolor($pdf,"fill","rgb",1,0.8,0.6,0);
  pdf_setlinewidth($pdf,2);
  pdf_rect($pdf,190,430,350,30);
  pdf_rect($pdf,190,250,350,180);
  pdf_stroke($pdf);
  pdf_setcolor($pdf,"fill","rgb",0,0,0,0);

  pdf_setfont($pdf, $helv , 20);
  pdf_show_xy($pdf,"Date:",85,437);
  pdf_show_xy($pdf,"Comments:",85,407);
  pdf_show_xy($pdf,date("r",time()),195,437);
  pdf_setfont($pdf, $helv , 15);
  $font=15;
  while (pdf_show_boxed($pdf,$sls->gpcUnslash($comments),195,255,340,170,"justify",'')>1) {
    $font--;
    pdf_setfont($pdf,$helv,$font);
  }
  if ($font<15) {
    pdf_show_boxed($pdf,$sls->gpcUnslash($comments),195,255,340,170,"justify");
  }  
  
  PDF_end_page($pdf);

//END First Page    
  
  for($i=0;$i<$pg_count;$i++) {
    set_time_limit('15');
    echo("<script language='javascript'>
    <!--
      stat=document.getElementById('status');
      stat.innerHTML='Generating page ".($i+1)." of $pg_count...';
    -->
    </script>");
    flush();

    $ypos=650;
    unset($child); unset($inst); unset($child_id); unset($attr);

    /*** GET PARENT OBJECT ***/
    $parent=$defList[$i]->getParent();
    $parentnm=$parent?$parent->getAttr("name"):"This is the Root";

    /*** GET CHILD OBJECTS ***/
    $childList=$defList[$i]->getChildren();
    for ($j=0;$j<count($childList);$j++) {
      $child.=", ".$childList[$j]->getAttr("name");
    }
    $child=substr($child,2);

    /*** GET $saved=$rINSTANCE ***/
    $insList=$defList[$i]->getObjects("childIns");
    for ($j=0;($j<count($insList) && $j<20);$j++) {
      $inst.=", ".$insList[$j]->getAttr("name");
    }
    $inst=substr($inst,2);

    /*** GET ATTRIBUTES ***/
    $attrList=$defList[$i]->getObjects("childAttr");
    for ($j=0;$j<count($attrList);$j++) {
      $attr[$j]["name"]=$attrList[$j]->getAttr("name");
      $attr[$j]["description"]=$attrList[$j]->getAttr("description");
    //  $attr[$j]["low"]=$attrList[$j]->getAttr("low");
    //  $attr[$j]["high"]=$attrList[$j]->getAttr("high");
    }

    /*** NEW PAGE ***/
    PDF_begin_page($pdf, 595, 842);

    /*** ADD BOOKMARKS ***/
    $bmi=array_search($parent->id,$pg);
    $par=$bm[$bmi];
    $bm[$i]=PDF_add_bookmark($pdf, $row[$i]["name"],$par,1);

    /*** PAGE HEADER ***/
    ShowHeader();

    $im = PDF_open_image_file($pdf,'jpeg',"$_DMO_my_images/main.jpg",'',0);
    pdf_place_image($pdf,$im,405,515,1/2);
    pdf_close_image ($pdf,$im);

    ShowTableItem("Object Number:",$row[$i]["number"],80,$ypos);
    ShowTableItem("Object Name:",$row[$i]["name"],80,$ypos);
    ShowTableItem("Object Type:",$row[$i]["type"],80,$ypos);
    ShowTableItem("Date:",$row[$i]["date"],80,$ypos-1);
    ShowTableItem("Revision:",$row[$i]["revision"],80,$ypos);
    ShowTableItem("Parent Object:",$parentnm,80,$ypos-1);

    ShowDescription($row[$i]["description"],80,$ypos-1);
    ShowAttribTable(80,$ypos-1);
    ShowInstanceTable(80,$ypos-1);
    ShowChildTable(80,$ypos-1);

    pdf_set_parameter($pdf,"openaction","fitpage");
    //pdf_set_parameter($pdf,"transition","blinds");
    PDF_end_page($pdf);
    /*** END PAGE ***/
  }

  PDF_close($pdf);


  /*** OUTPUT PDF CONTENTS ***/
  /*
  $PDF_buffer = PDF_get_buffer($pdf);
  if ($fp=fopen($fname,'wb')) {
    fwrite($fp,$PDF_buffer); 
    fclose($fp);
    if ($save_report) {
      if (!is_dir($_DMO_path.'/reports/reportData')) {
        if (!@mkdir($_DMO_path.'/reports/reportData')) {
          $_page->addError("Could not create reports save directory. Please check permissions. (in definition/pdf_report.php)",DMO_DV_LUCIAN+50,DMO_ET_ERROR+DMO_EL_UNEXPECTED);          
        } else {
          @copy($fname,$_DMO_path.'/reports/reportData/def_'.date('YmdHis',time()).'.pdf');
        }
      } else {
        @copy($fname,$_DMO_path.'/reports/reportData/def_'.date('YmdHis',time()).'.pdf');
      }
    }
    PDF_delete($pdf);
    header("Location: $_DMO_url/reports/definition/openreport.php?nfz=".basename($fname,'.pdf')."&format=pdf&size=".strlen($PDF_buffer));
  } else {
    $_page->addError("Error opening file for writing pdf (in definition/pdf_report.php)",DMO_DV_LUCIAN+22,DMO_ET_ERROR+DMO_EL_UNEXPECTED);
  }
  */
  if ($_POST['save_report']) {
    $reportsDir=$_DMO_path.'/reports/reportData';
    if (!LFX_use_directory($reportsDir)) {
      $_page->addError("Could not create reports save directory. Please check permissions. (in instance/pdf_report.php)",DMO_DV_LUCIAN+51,DMO_ET_ERROR+DMO_EL_UNEXPECTED);
    } else {
      $rep=new DMO_pdfReport();
      $rep->setAttrs(array(
        'type' => 'def',
        'description' => 'Definitions report',
        'date' => time(),
        'data' => file_get_contents($fname)
      ));
      $rep->save();
      //@copy($fname,$saved=$reportsDir.'/def_'.date('YmdHis',time()).'.pdf');
    }
  }
  echo("<script language='javascript'>\n<!--\nwindow.location=\"$_DMO_url/reports/definition/openreport.php?nfz=".basename($fname,'.pdf')."&format=pdf\";\n-->\n</script>");
?>
