<?

  /**
  * XML Format Report creation
  * Lucian Silistru <lucian@moongate.ro>, July 2003
  * $Id: xml_report.php,v 1.2 2005/06/22 14:07:59 bogdan Exp $
  * @package DMO
  */
  
  _checkMeOut(__FILE__);
  
  LFX_pushDisposition('xml');
  $tmp=new DMO_Definition();
  $tmp=$tmp->search();
  $tmp=$tmp[0]->getRoot();
  $defList=$tmp->getTree();
  for ($i=0;$i<count($defList);$i++) {
    $defList[$i]=$defList[$i]["object"];
    $defList[$i]->load();
    $row[$i]=$defList[$i]->attr;
    $pg[$i]=$defList[$i]->id;
    $row[$i]["date"]=$defList[$i]->getAttrH("date");
    $row[$i]["id"]=$defList[$i]->id;
  }
  
  $pg_count=count($defList);  
  
  $sls=new DMO_Definition;
  $title=__D("DMO Network Object Information");
  
  do {
    $fname='';
    for ($i=0;$i<8;$i++) {
      $fname.=chr(rand(0,25)+97);
    }
    $fname=$_LFX_tmpDir.'/'.$fname.'.xml';
  } while (file_exists($fname));
  
  $f=fopen($fname,'wb');
  
  fwrite($f,"<Report>\n");
  fwrite($f,"  <Title>$title</Title>\n");
  fwrite($f,"  <Date>".date('r')."</Date>\n");
  fwrite($f,"  <Comments>".$sls->gpcUnslash($comments)."</Comments>\n");  
  fwrite($f,"  <Definitions>\n");

  for ($i=0;$i<$pg_count;$i++) {
    unset($child); unset($inst); unset($child_id); unset($attr);
    
    fwrite($f,"    <Definition>\n");    

    /*** GET PARENT OBJECT ***/
    $parent=$defList[$i]->getParent();
    $parentnm=$parent?$parent->getAttr("name"):"This is the Root";

    /*** GET CHILD OBJECTS ***/
    $childList=$defList[$i]->getChildren();
/*
    for ($j=0;$j<count($childList);$j++) {
      $child.=", ".$childList[$j]->getAttr("name");
    }
    $child=substr($child,2);
*/

    /*** GET INSTANCE ***/
    $insList=$defList[$i]->getObjects("childIns");
/*    
    for ($j=0;$j<count($insList);$j++) {
      $inst.=", ".$insList[$j]->getAttr("name");
    }
    $inst=substr($inst,2);
*/

    /*** GET ATTRIBUTES ***/
    $attrList=$defList[$i]->getObjects("childAttr");
    for ($j=0;$j<count($attrList);$j++) {
      $attr[$j]["name"]=$attrList[$j]->getAttr("name");
      $attr[$j]["low"]=$attrList[$j]->getAttr("low");
      $attr[$j]["high"]=$attrList[$j]->getAttr("high");
    }
    
    fwrite($f,"      <Object_Number>".$row[$i]['number']."</Object_Number>\n");
    fwrite($f,"      <Object_Name>".htmlspecialchars($row[$i]['name'],ENT_QUOTES)."</Object_Name>\n");
    fwrite($f,"      <Object_Type>".htmlspecialchars($row[$i]['type'],ENT_QUOTES)."</Object_Type>\n");
    fwrite($f,"      <Date>".$row[$i]['date']."</Date>\n");
    fwrite($f,"      <Revision>".$row[$i]['revision']."</Revision>\n");
    fwrite($f,"      <Parent_Object>".htmlspecialchars($parentnm,ENT_QUOTES)."</Parent_Object>\n");
    fwrite($f,"      <Description>".htmlspecialchars($row[$i]['description'],ENT_QUOTES)."</Description>\n");
    
    fwrite($f,"      <Object_Attributes>\n");
    for ($j=0;$j<count($attr);$j++) {
      fwrite($f,"        <Attribute>\n");
      fwrite($f,"          <Name>".htmlspecialchars($attr[$j]['name'],ENT_QUOTES)."</Name>\n");
      fwrite($f,"          <Min_Threshold>".$attr[$j]['low']."</Min_Threshold>\n");
      fwrite($f,"          <Max_Threshold>".$attr[$j]['high']."</Max_Threshold>\n");
      fwrite($f,"        </Attribute>\n");
    }
    fwrite($f,"      </Object_Attributes>\n");
    
    fwrite($f,"      <Object_Instances>\n");
    for ($j=0;$j<count($insList);$j++) {
      fwrite($f,"        <Instance>\n");
      fwrite($f,"          <Name>".htmlspecialchars($insList[$j]->getAttr('name'),ENT_QUOTES)."</Name>\n");
      fwrite($f,"        </Instance>\n");
    }
    fwrite($f,"      </Object_Instances>\n");
    
    fwrite($f,"      <Child_Objects>\n");
    for ($j=0;$j<count($childList);$j++) {
      fwrite($f,"        <Definition>\n");
      fwrite($f,"          <Name>".htmlspecialchars($childList[$j]->getAttr('name'),ENT_QUOTES)."</Name>\n");
      fwrite($f,"        </Definition>\n");
    }
    fwrite($f,"      </Child_Objects>\n");    
    
    fwrite($f,"    </Definition>\n");
  }
   
  fwrite($f,"  </Definitions>\n");
  fwrite($f,'</Report>');
  fclose($f);
  header("Location: $_DMO_url/reports/instance/openreport.php?nfz=".basename($fname,'.xml')."&format=xml&size=".filesize($fname));  
?>
