<?

  /**
  * XML Format Report creation
  * Lucian Silistru <lucian@moongate.ro>, July 2003
  * $Id: csv_report.php,v 1.4 2005/09/16 10:10:20 bogdan Exp $
  * @package DMO
  */
  
   _checkMeOut(__FILE__);
  
  LFX_include_class('DMO_largeAttribute','DMO_fileAttribute','LFX_user','LFX_group');
   
  LFX_pushDisposition('csv');

  function fillRow($pg,$pg_count)
  {
    for ($j=0;$j<$pg_count;$j++) {
      $ins=new DMO_Instance($pg[$j]);
      $ins->load();
      $row[$j]=$ins->attr;
      $row[$j]["date"]=$ins->getAttrH("date",1);
      $row[$j]["id"]=$ins->id;
      $def=new DMO_Definition($row[$j]["definition"]);
      $row[$j]["definition_name"]=$def->getAttr("name");
      $row[$j]["definition_number"]=$def->getAttr("number");
      $row[$j]["definition_type"]=$def->getAttr("type");
    }
    return($row);
  }
  
  function csv_escape($string)
  {
    
    /*for ($i=0;$i<strlen($string);$i++) {
      if ($string[$i]=="\n") {
        $string[$i]=' ';
      }
      if ($string[$i]=='"') {
        for ($j=strlen($string);$j>=$i;$j--) {
          $string[$j+1]=$string[$j];
        }
        $string[$i]='"'; // useless, still doing it to avoid confusion
        $i++; // jumping over next position
      }
    }
    return($string);*/
    
    return(str_replace("\n"," ",str_replace('"','""',$string)));
  }
  
  $pg_count=count($pg);
  $row=fillRow($pg,$pg_count);
  $sls=new DMO_Definition;

  
  switch ($from) {
    case "list":
      $title=__D("Full Instance Listing");
    break;
    case "bydef":
      $title=sprintf(__D("Definition %s Instance Listing"),$sls->gpcUnslash($nm));
    break;
    case "query":
      $title=sprintf(__D("%s Query Search Result Listing"),$sls->gpcUnslash($nm));
    break;
    case "adv":
      $title=sprintf(__D("%s Advanced Search Result Listing"),$sls->gpcUnslash($nm));
    break;
    case "sel":
      $title=__D("Instance Selection Report");
    break;
  }
  
  do {
    $fname='';
    for ($i=0;$i<8;$i++) {
      $fname.=chr(rand(0,25)+97);
    }
    $fname=$_LFX_tmpDir.'/'.$fname.'.csv';
  } while (file_exists($fname));
  
  $f=fopen($fname,'wb');
  //decho ($fname);
  
  fwrite($f,'"Instance ID",');
  fwrite($f,'"Instance Name",');
  fwrite($f,'"Date",');
  fwrite($f,'"Revision",');  
  fwrite($f,'"Definition name",');  
  fwrite($f,'"Definition number",');
  fwrite($f,'"Definition type",');
  fwrite($f,'"Instance type",');
  fwrite($f,'"Instance serial",');
  fwrite($f,'"Instance location",');
  fwrite($f,'"Instance inventory",');
  fwrite($f,'"Instance purpose",');
  fwrite($f,'"Instance notes",');
  fwrite($f,'"Attribute name",');
  //fwrite($f,'"Attribute value",');
  fwrite($f,'"Attribute text"'."\n");
  for ($i=0;$i<$pg_count;$i++) {
    unset($attr);
    $ct=$row[$i]['id'];
    
    /*** GET OBJECT ATTRIBUTES ***/
    $tmp=new DMO_Instance();
    $tmp->query("SELECT instattr_value,instattr_text,attribute_name, attribute.data_type FROM instattr,attribute WHERE attribute.attribute_ID=instattr.attribute_ID AND instattr.instance_ID=".$row[$i]["id"]);
    
    while($tmp->db->next_record()) {
      $a["name"]=$tmp->db->f("attribute_name");
      //$a["value"]=$tmp->db->f("instattr_value"); //obsolete
      $a["text"]=$tmp->db->f("instattr_text");
      
      switch ($tmp->db->f("data_type")) {
      case "instance":
        preg_match("/^dmo_instance#([0-9]+)$/", $a["text"], $matches);
        $pointToInst = new DMO_instance($matches[1]);
        $a["text"] = $pointToInst->getAttr('name');
        break;
      case "large_text":
        preg_match("/^dmo_largeattribute#([0-9]+)$/", $a["text"], $matches);
        $pointToLAttr = new DMO_largeAttribute($matches[1]);
        $a["text"] = substr($pointToLAttr->getAttr('content'), 1, 150);
        break; 
      case "file":
        preg_match("/^dmo_fileattribute#([0-9]+)$/", $a["text"], $matches);
        $pointToFAttr = new DMO_fileAttribute($matches[1]);
        $a["text"] = $pointToFAttr->getAttr('file');
        break;
      case "user":  
        preg_match("/^lfx_user#([0-9]+)$/", $a["text"], $matches);
        $pointToUser = new LFX_user($matches[1]);
        $a["text"] = $pointToUser->getName();
        break;
      case "group":
        preg_match("/^lfx_group#([0-9]+)$/", $a["text"], $matches);
        $pointToGroup = new LFX_group($matches[1]);
        $a["text"] = $pointToGroup->getAttr('name');
        break;
      case "boolean":
        $a["text"] = eregi('^[1Y]$',$a["text"]);
        $a["text"] = ($a["text"]) ? "Yes" : "No";
        break;
      }  
      $attr[]=$a;
    }
    unset($tmp);    
    fwrite($f,$ct.",");
    fwrite($f,'"'.csv_escape($row[$i]['name']).'",');
    fwrite($f,'"'.csv_escape($row[$i]['date']).'",');
    fwrite($f,'"'.csv_escape($row[$i]['revision']).'",');
    fwrite($f,'"'.csv_escape($row[$i]['definition_name']).'",');
    fwrite($f,'"'.csv_escape($row[$i]['definition_number']).'",');
    fwrite($f,'"'.csv_escape($row[$i]['definition_type']).'",');
    fwrite($f,'"'.csv_escape($row[$i]['type']).'",');
    fwrite($f,'"'.csv_escape($row[$i]['serial']).'",');
    fwrite($f,'"'.csv_escape($row[$i]['location']).'",');
    fwrite($f,'"'.csv_escape($row[$i]['inventory']).'",');
    fwrite($f,'"'.csv_escape($row[$i]['purpose']).'",');
    fwrite($f,'"'.csv_escape($row[$i]['notes']).'"');
    
    if (count($attr)) {
      for ($j=0;$j<count($attr);$j++) {
        if ($j>0) {
          fwrite($f,",,,,,,,,,,,,");
        }
        fwrite($f,',"'.csv_escape($attr[$j]['name']).'"');
        //fwrite($f,',"'.csv_escape($attr[$j]['value']).'"');
        fwrite($f,',"'.csv_escape($attr[$j]['text']).'"'."\n");
        /*
        if (strstr($attr[$j]['text'],'Oliver')) {
          fclose($f);
          echo(',"'.csv_escape($attr[$j]['text']).'"'."\n");
          exit;
        }
        */
      }
    } else {
      fwrite($f,',"","",""'."\n");
    }
  }
  unset($ct);
   
  fclose($f);
  header("Location: $_DMO_url/reports/instance/openreport.php?nfz=".basename($fname,'.csv')."&format=csv&size=".filesize($fname));  
?>
