<?

  /**
  * XML Format Report creation
  * Lucian Silistru <lucian@moongate.ro>, July 2003
  * $Id: html_report.php,v 1.2 2005/08/04 16:37:02 bogdan Exp $
  * @package DMO
  */
  LFX_include_class("DMO_largeAttribute", "DMO_instance", "DMO_fileAttribute", "LFX_user", "LFX_group");
  
  /** CUSTOM match function **/
  
    function _match($str)  
    {
      $perm_links = array(
                    "largeattribute"=>array
                                      (
                                         "class"=>"DMO_largeAttribute",
                                         "field"=>"content"
                                      ),
                    "instance"=>array
                                (
                                  "class"=>"DMO_instance",
                                  "field"=>"name"
                                ),
                    "fileattribute"=>array
                                     (  
                                      "class"=>"DMO_fileAttribute",
                                      "field"=>"file"
                                     ),                            
                    "user"=>array
                                     (  
                                      "class"=>"LFX_user"
                                      //"field"=>"file"
                                     ),                                     
                    "group"=>array
                                     (  
                                      "class"=>"LFX_group",
                                      "field"=>"name"
                                     )               
                    );
    
      if (preg_match("/dmo_(.*)#([0-9]+)/", $str, $arr) || preg_match("/lfx_(.*)#([0-9]+)/", $str, $arr))      
      {
        if (is_array($perm_links[$arr[1]]))
        {
          $obj = new $perm_links[$arr[1]]["class"]($arr[2]);
          if ($arr[1] == "user") return $obj->getNameH();
          else
          {
            return $obj->getAttr($perm_links[$arr[1]]["field"]);
          } 
        }
       }
       else
       {   
          if($str == '1') return "YES";
          elseif($str == '0') return "NO";
       }
        return $str;     
      }
      //boolean test : page->656;
         
  /** // done // CUSTOM match function **/
  
  _checkMeOut(__FILE__);
  
  function fillRow($pg,$pg_count)
  {
    for ($j=0;$j<$pg_count;$j++) {
      $ins=new DMO_Instance($pg[$j]);
      $ins->load();
      $row[$j]=$ins->attr;
      $row[$j]["date"]=$ins->getAttrH("date");
      $row[$j]["id"]=$ins->id;
      $def=new DMO_Definition($row[$j]["definition"]);
      $row[$j]["definition_name"]=$def->getAttr("name");
      $row[$j]["definition_number"]=$def->getAttr("number");
      $row[$j]["definition_type"]=$def->getAttr("type");
    }
    return($row);
  }
  
  $pg_count=count($pg);
  $row=fillRow($pg,$pg_count);
  $sls=new DMO_Definition;

  switch ($from) {
    case "list":
      $title=__D("Full Instance Listing");
    break;
    case "bydef":
      $title=sprintf(__D("Definition %s Instance Listing"),$sls->gpcUnslash($nm));
    break;
    case "query":
      $title=sprintf(__D("%s Query Search Result Listing"),$sls->gpcUnslash($nm));
    break;
    case "adv":
      $title=sprintf(__D("%s Advanced Search Result Listing"),$sls->gpcUnslash($nm));
    break;
    case "sel":
      $title=__D("Instance Selection Report");
    break;
  }
  
  do {
    $fname='';
    for ($i=0;$i<8;$i++) {
      $fname.=chr(rand(0,25)+97);
    }
    $fname=$_LFX_tmpDir.'/'.$fname.'.html';
  } while (file_exists($fname));
  
  $f=fopen($fname,'wb');
  
  fwrite($f,"<h1>DMO Instance Report</h1><br/>");
  fwrite($f,"<dl>");
  fwrite($f,"  <dt><h3>Title</h3><dd>$title");
  fwrite($f,"  <dt><h3>Date</h3><dd>".date('r')."\n");
  fwrite($f,"  <dt><h3>Comments</h3><dd>".$sls->gpcUnslash($comments)."\n");  
  fwrite($f,"  <dt><h3>Sql query</h3><dd>$sql<br/>\n");  
  fwrite($f,"  <dt><h2>Instances</h2><dd>");
  for ($i=0;$i<$pg_count;$i++) {
    unset($attr);
    $ct=$row[$i]['id'];
    
    /*** GET OBJECT ATTRIBUTES ***/
    $tmp=new DMO_Instance();
    $tmp->query("SELECT instattr_value,instattr_text,attribute_name FROM instattr,attribute WHERE attribute.attribute_ID=instattr.attribute_ID AND instattr.instance_ID=".$row[$i]["id"]);
    while($tmp->db->next_record()) {
      $a["name"]=$tmp->db->f("attribute_name");
      $a["value"]=$tmp->db->f("instattr_value");
      $a["text"]=$tmp->db->f("instattr_text");
      $a["text"] = _match($a["text"]);
      $attr[]=$a;
    }
    unset($tmp);
    LFX_include_class("LFX_Xml");    
    $j=$i+1;
    fwrite($f,"<dl>");
    fwrite($f,"<dt><h3>Instance #$j</h3>\n");
    fwrite($f,"<dl><dt><b>Id</b><dd>$ct");
    fwrite($f,"<dt><b>Date</b><dd>".LFX_XML::escape($row[$i]['date'])."\n");
    fwrite($f,"<dt><b>Revision</b><dd>".$row[$i]['revision']."\n");
    fwrite($f,"<dt><b>Definition name</b><dd>".htmlspecialchars($row[$i]['definition_name'],ENT_QUOTES)."\n");
    fwrite($f,"<dt><b>Definition number</b><dd>".$row[$i]['definition_number']."\n");
    fwrite($f,"<dt><b>Definition type</b><dd>".$row[$i]['definition_type']."\n");
    fwrite($f,"<dt><b>Instance name</b><dd>".$row[$i]['name']."\n");
    fwrite($f,"<dt><b>Instance type</b><dd>".$row[$i]['type']."\n");
    fwrite($f,"<dt><b>Serial number</b><dd>".$row[$i]['serial']."\n");
    fwrite($f,"<dt><b>Location</b><dd>".$row[$i]['location']."\n");
    fwrite($f,"<dt><b>Inventory</b><dd>".$row[$i]['inventory']."\n");
    fwrite($f,"<dt><b>Object Purpose</b><dd>".htmlspecialchars($row[$i]['purpose'],ENT_QUOTES)."\n");
    fwrite($f,"<dt><b>Notes</b><dd>".htmlspecialchars($row[$i]['notes'],ENT_QUOTES)."\n");
    
    fwrite($f,"<dt><b>Instance Attributes</b><dd><ul>\n");
    for ($j=0;$j<count($attr);$j++) {
      fwrite($f,"<li><dl>");
      fwrite($f,"<dt><b>{$attr[$j]['name']}</b><dd>\n");
      fwrite($f,htmlspecialchars($attr[$j]['text'],ENT_QUOTES)."&nbsp;[");
      fwrite($f,$attr[$j]['value']."]\n");
      fwrite($f,"</dl></li>");
    }
    fwrite($f,"</dl></dl>\n");
    
    
  }
  unset($ct);
   
  fclose($f);
  header("Location: $_DMO_url/reports/instance/openreport.php?nfz=".basename($fname,'.html')."&format=html&toSave=$toSave&size=".filesize($fname));  
?>
