<?

  /**
  * PDF Format Report creation
  * Lucian Silistru <lucian@moongate.ro>, March 2003
  * Based on a script from DMO 1.0
  * $Id: pdf_report.php,v 1.21 2005/08/04 16:37:02 bogdan Exp $
  * @package DMO
  */
  
  
  LFX_include_class("DMO_largeAttribute", "DMO_instance", "DMO_fileAttribute", "LFX_user", "LFX_group");
  
  _checkMeOut(__FILE__);

  while (ob_get_level()) {
    ob_end_clean();
  }
  LFX_pushDisposition('pdf');
  echo("<h1>".__D("The PDF report is being generated, please wait")."</h1>");
  echo("<div id='status'>Initializing...</div>");
  flush();
  
  $_DMO_my_images="$_DMO_path/images";
  if (is_uploaded_file($_FILES['new_report_logo']['tmp_name']) && 
      (substr($_FILES['new_report_logo']['name'],-3,3)=='jpg' || substr($_FILES['new_report_logo']['name'],-4,4)=='jpeg')) {
      $report_logo=$_FILES['new_report_logo']['tmp_name'];
  } else {
    eval("\$report_logo=\"".$_DMO_globals->getSetting('DMO_pdf_report_logo')."\";");
  }
  
  function ShowHeader($title)
  {
    GLOBAL $pdf,$i,$pg_count,$helvB,$helv,$report_logo;
    pdf_setcolor($pdf,"fill","rgb",0.6,0.8,1,0);
    pdf_setlinewidth($pdf,4);
    pdf_rect($pdf,30,710,540,80);
    pdf_fill_stroke($pdf);
    pdf_setcolor($pdf,"fill","rgb",0,0,0,0);
    
    pdf_setfont($pdf, $helvB , 24);
    pdf_set_value($pdf, "textrendering", 0);
    $l=pdf_stringwidth($pdf,$title,$helvB,24);
    if ($l>540) {
      pdf_show_boxed($pdf,$title,35,715,440,70,'center','');
    } else {
      pdf_show_xy($pdf, $title,40,740);
    }
    unset($l);
    
    if (function_exists("pdf_open_jpeg")) {
      $im = PDF_open_jpeg($pdf, "$report_logo");
    } else {
      $im=PDF_open_image_file($pdf,'jpeg',$report_logo,'',0);
    }
    pdf_place_image($pdf, $im, 474, 734, 1);
    pdf_close_image ($pdf,$im);
    
    pdf_setfont($pdf, $helvB , 16);
    pdf_show_xy($pdf, "Page ".($i+1)." of $pg_count",250,685);
  }

  function ShowTableItem($wide,$title,$contents,$x,$y,$w1=120,$w2=180,$h=10,$sp=4) 
  {
    GLOBAL $pdf,$ypos,$pg,$parent_id,$helvB,$helv;
    if ($wide==1) {
      $w2=$w1+$w2+4*$sp+2;
    }
    pdf_setfont($pdf, $helvB , 14);
    $l=pdf_stringwidth($pdf,$contents,$helvB,14);
    if ($l>=$w2) {
      $h=18; $y-=8;
    }
    
    if (($title==="Object Name:") or ($title==="Object Number:") or ($title==="Object Type:")) {
      pdf_setcolor($pdf,"fill","rgb",1,0.8,0.6,0);
    } else {
      pdf_setcolor($pdf,"fill","rgb",0.6,0.8,1,0);
    }
    pdf_setlinewidth($pdf,1);
    pdf_rect($pdf,$x-$sp,$y-$sp,$w1+2*$sp,$h+2*$sp);
    pdf_fill_stroke($pdf);
    pdf_setcolor($pdf,"fill","rgb",0,0,0,0);
    
    PDF_show_xy($pdf, $title, $x, $y);
    pdf_setlinewidth($pdf,1);
    
    $x=$x+$w1+2*$sp;
    pdf_setfont($pdf, $helv , 14);
    
    if ($l<$w2) {
      PDF_show_xy($pdf, $contents, $x, $y);
    }
    else {
      pdf_setfont($pdf, $helv , 12);
      if (count(explode(" ",$contents))==1) {
        $font=12;
        while (PDF_show_boxed($pdf, $contents,$x,$y-$sp,$w2,$h+2*$sp, "left",'')>1) {
          $font--;
          pdf_setfont($pdf, $helv , $font);
        }
        PDF_show_boxed($pdf, $contents,$x,$y-$sp,$w2,$h+2*$sp, "left",'');
      } else {
        PDF_show_boxed($pdf, $contents,$x,$y-$sp,$w2,$h+2*$sp, "left",'');
      }
    }
    pdf_rect($pdf,$x-$sp,$y-$sp,$w2+2*$sp,$h+2*$sp);
    pdf_stroke($pdf);
    $ypos=$y-$h-2*$sp;
    if ($l>=$w2) {
      $ypos+=6;
    }
  }

  function ShowField($title,$descr,$x,$y,$w=446,$h=100,$sp=4) 
  {
    GLOBAL $pdf,$ypos,$helvB,$helv;
    pdf_setcolor($pdf,"fill","rgb",0.6,0.8,1,0);
    pdf_setlinewidth($pdf,1);
    pdf_rect($pdf,$x-$sp,$y-$sp,$w+2*$sp,20);
    pdf_fill_stroke($pdf);
    pdf_setcolor($pdf,"fill","rgb",0,0,0,0);
    
    pdf_setfont($pdf, $helvB , 14);
    PDF_show_xy($pdf, $title, $x, $y);
    pdf_setfont($pdf, $helv , 12);
    PDF_show_boxed($pdf, $descr, $x, $y-$h+20, $w, $h-26, "justify",'');
    pdf_setlinewidth($pdf,1);
    pdf_rect($pdf,$x-$sp,$y-$h-$sp+12,$w+2*$sp,$h+2*$sp);
    pdf_stroke($pdf);
    
    $ypos=$y-$h-2*$sp;
  }

  function ShowAttribTable($title,$x,$y,$w1=150,$w2=280,$h=150,$sp=4) 
  {
    GLOBAL $pdf,$ypos,$attr,$helvB,$helv;
    pdf_setcolor($pdf,"fill","rgb",0.6,0.8,1,0);
    pdf_rect($pdf,$x-$sp,$y-$sp,$w1+$w2+6*$sp,20);
    pdf_fill_stroke($pdf);
    pdf_setcolor($pdf,"fill","rgb",0,0,0,0);
    
    pdf_setlinewidth($pdf,1);
    pdf_rect($pdf,$x-$sp,$y-$h-$sp+12,$w1+2*$sp+55,$h+2*$sp); // new : +55
    //pdf_rect($pdf,$x+$w1+$sp,$y-$h-$sp+12,110,$h+2*$sp);
    pdf_rect($pdf,$x+$w1+$sp+55,$y-$h-$sp+12,241,$h+2*$sp); // 4th param old->186 ; new->old + 55 = 241; 2th param : old->110; new->55;
    pdf_stroke($pdf);
    
    pdf_setfont($pdf, $helvB , 16);
    PDF_show_xy($pdf, $title, $x, $y);
    //PDF_show_xy($pdf, "Value", $x+$w1+10, $y);
    PDF_show_xy($pdf, "Text", $x+$w1+65, $y);// 3th param = old->.. + 120; new = ..+65 
    
    $yy=$y-4;
    pdf_setfont($pdf, $helv , 12);
    for($a=0;$a<sizeof($attr);$a++) {
      $yy-=14;
      PDF_show_xy($pdf, $attr[$a]["name"], $x, $yy);
      //PDF_show_xy($pdf, $attr[$a]["value"], $x+$w1+10, $yy);
      PDF_show_xy($pdf, $attr[$a]["text"], $x+$w1+65, $yy);// 3th param = old->.. + 120; new = ..+65 
    }
    
    $ypos=$y-$h-2*$sp;
  }
  
  function fillRow($pg,$pg_count)
  {
    for ($j=0;$j<$pg_count;$j++) {
      $ins=new DMO_Instance($pg[$j]);
      $ins->load();
      $row[$j]=$ins->attr;
      $row[$j]["date"]=$ins->getAttrH("date");
      $row[$j]["id"]=$ins->id;
      $def=new DMO_Definition($row[$j]["definition"]);
      $row[$j]["definition_name"]=$def->getAttr("name");
      $row[$j]["definition_number"]=$def->getAttr("number");
      $row[$j]["definition_type"]=$def->getAttr("type");
    }
    return($row);
  }
  
  $pg_count=count($pg);
  $row=fillRow($pg,$pg_count);
  $sls=new DMO_Definition;
  /*** GET HEADER ***/
  switch ($from) {
    case "list":
      $tmp=new DMO_Instance($pg[0]);
      $header=$tmp->getObject("definition");
      $header=$header->getRoot();
      $header=$header->getAttr("name");
      $header=sprintf(__D("%s Instance Info"),$header);
      unset($tmp);
      $pdftitle=__D("Full Instance Listing");
    break;
    case "bydef":
      $header=sprintf(__D("Definition %s Instance Information"),$sls->gpcUnslash($nm));
      $pdftitle=sprintf(__D("Definition %s Instance Listing"),$sls->gpcUnslash($nm));
    break;
    case "query":
      $header=sprintf(__D("%s Query Search Result Info"),$sls->gpcUnslash($nm));
      $pdftitle=sprintf(__D("%s Query Search Result Listing"),$sls->gpcUnslash($nm));
    break;
    case "adv":
      $header=sprintf(__D("%s Advanced Search Result Info"),$sls->gpcUnslash($nm));
      $pdftitle=sprintf(__D("%s Advanced Search Result Listing"),$sls->gpcUnslash($nm));
    break;
    case "sel":
      $header=__D("Instance Selection Report");
      $pdftitle=__D("Instance Selection Report");
    break;
  }  
  
  
  /** CUSTOM match function **/
  
    function _match($str, $font_size, $font_type)  
    {
      $perm_links = array(
                    "largeattribute"=>array
                                      (
                                         "class"=>"DMO_largeAttribute",
                                         "field"=>"content"
                                      ),
                    "instance"=>array
                                (
                                  "class"=>"DMO_instance",
                                  "field"=>"name"
                                ),
                    "fileattribute"=>array
                                     (  
                                      "class"=>"DMO_fileAttribute",
                                      "field"=>"file"
                                     ),                            
                    "user"=>array
                                     (  
                                      "class"=>"LFX_user"
                                      //"field"=>"file"
                                     ),                                     
                    "group"=>array
                                     (  
                                      "class"=>"LFX_group",
                                      "field"=>"name"
                                     )               
                    );
    
      if (preg_match("/dmo_(.*)#([0-9]+)/", $str, $arr) || preg_match("/lfx_(.*)#([0-9]+)/", $str, $arr))      
      {
        if (is_array($perm_links[$arr[1]]))
        {
          $obj = new $perm_links[$arr[1]]["class"]($arr[2]);
          if ($arr[1] == "user") return SetTextWidth($obj->getNameH(), $font_size, $font_type, 275);
          else
          {
            $_ss = $obj->getAttr($perm_links[$arr[1]]["field"]);
            return SetTextWidth($_ss, $font_size, $font_type, 275);//substr($_ss),0,42)."...";
          } 
        }
       }
       else
       {   
          if($str == '1') return "YES";
          elseif($str == '0') return "NO";
       }
        return SetTextWidth($str, $font_size, $font_type, 275);     
      }
      //boolean test : page->656;
    
    function SetTextWidth($text, $fontSize, $fontType, $allowPixels)
    {
      GLOBAL $pdf;
      $width = pdf_stringwidth($pdf, $text, $fontType, $fontSize);
      if ($width<=$allowPixels) {
        return $text;
      } else {
        for ($i=20; $i<strlen($text); $i++) {
          $width = pdf_stringwidth($pdf, substr($text,0,$i)."..." , $fontType, $fontSize);
          if ($width>$allowPixels) {
            return substr($text,0,$i-1)."...";
          }
        }
      }
    }
  /** // done // CUSTOM match function **/
  
  /*** CREATE PDF DOCUMENT ***/
  $pdf = PDF_new();
  $fname='';
  for ($i=0;$i<8;$i++) {
    $fname.=chr(rand(0,25)+97);
  }
  $fname=$_LFX_tmpDir.'/'.$fname.'.pdf';
  PDF_open_file($pdf,$fname);
  
  pdf_set_info($pdf, "Author", "CSO Lanifex GmbH");
  PDF_set_info($pdf, "Title", "DMO Report");
  pdf_set_info($pdf, "Creator", "Database of Managed Objects v2");
  pdf_set_info($pdf, "Subject", "DMO");
  
  $helvB=pdf_findfont($pdf,"Helvetica-Bold","host",false);
  $helv=pdf_findfont($pdf,"Helvetica","host",false);

// First Page  
  
  PDF_begin_page($pdf, 595, 842);
  
  $first=PDF_add_bookmark($pdf, $header , 0, 1);
  
//  ShowHeader($header);
  
  pdf_setcolor($pdf,"fill","rgb",0.6,0.8,1,0);
  pdf_setlinewidth($pdf,4);
  pdf_rect($pdf,30,680,540,80);
  pdf_fill_stroke($pdf);
  pdf_setcolor($pdf,"fill","rgb",0,0,0,0);
    
  pdf_setfont($pdf, $helvB , 25);
  pdf_set_value($pdf, "textrendering", 0);
  $l=pdf_stringwidth($pdf,$pdftitle,$helvB,25);
  if ($l>440) {
    pdf_show_boxed($pdf,$pdftitle,35,685,440,70,'center','');
  } else {
    pdf_show_xy($pdf, $pdftitle,40,710);
  }
  unset($l);
    
  if (function_exists("pdf_open_jpeg")) {
    $im = PDF_open_jpeg($pdf, "$report_logo");
  } else {
    $im=PDF_open_image_file($pdf,'jpeg',$report_logo,'',0);
  }
  pdf_place_image($pdf, $im, 474, 700, 1);
  pdf_close_image ($pdf,$im);
    
  pdf_setcolor($pdf,"fill","rgb",0.6,0.8,1,0);
  pdf_setlinewidth($pdf,2);
  pdf_rect($pdf,80,430,110,30);
  pdf_rect($pdf,80,250,110,180);
  pdf_rect($pdf,80,70,110,180);
  pdf_fill_stroke($pdf);
  pdf_setcolor($pdf,"fill","rgb",0,0,0,0);
  
  pdf_setcolor($pdf,"fill","rgb",0.6,0.8,1,0);
  pdf_setlinewidth($pdf,2);
  pdf_rect($pdf,190,430,350,30);
  pdf_rect($pdf,190,250,350,180);
  pdf_rect($pdf,190,70,350,180);
  pdf_stroke($pdf);
  pdf_setcolor($pdf,"fill","rgb",0,0,0,0);

  pdf_setfont($pdf, $helv , 20);
  pdf_show_xy($pdf,"Date:",85,437);
  pdf_show_xy($pdf,"Comments:",85,407);
  pdf_show_xy($pdf,"Query:",85,227);  
  pdf_show_xy($pdf,date("r",time()),195,437);
  pdf_setfont($pdf, $helv , 15);
  $fontComment=15;
  $fontSQL=15;
  // Creating a temporary PDF to experiment font sizes in
  $pdfTmp = PDF_new();
  PDF_open_file($pdfTmp,$_LFX_tmpDir.'/'.'tmp_sandbox.pdf');
  PDF_begin_page($pdfTmp, 595, 842);
  $helvTmp=pdf_findfont($pdfTmp,"Helvetica","host",false);
  pdf_setfont($pdfTmp, $helvTmp , $fontComment);
  while (pdf_show_boxed($pdfTmp,$sls->gpcUnslash($comments),195,255,340,170,"justify",'')) {
    pdf_setfont($pdfTmp,$helvTmp,--$fontComment);
  }
  pdf_setfont($pdfTmp, $helvTmp , $fontSQL);
  while (pdf_show_boxed($pdfTmp,$sql,195,75,340,170,"left",'')) {
    pdf_setfont($pdfTmp,$helvTmp,--$fontSQL);
  }
  pdf_end_page($pdfTmp);
  pdf_close($pdfTmp);
  pdf_delete($pdfTmp);
  // Ok, found out the fint sizes without affecting our PDF
  pdf_setfont($pdf,$helv,$fontComment);
  pdf_show_boxed($pdf,$sls->gpcUnslash($comments),195,255,340,170,"justify",'');
  pdf_setfont($pdf,$helv,$fontSQL);
  pdf_show_boxed($pdf,$sql,195,75,340,170,"left",'');
  
  PDF_end_page($pdf);

//END First Page  
  
  for($i=0;$i<$pg_count;$i++) {
    set_time_limit('15');
    echo("<script language='javascript'>
    <!--
      stat=document.getElementById('status');
      stat.innerHTML='Generating page ".($i+1)." of $pg_count...';
    -->
    </script>");
    flush();

    $ypos=650;
    unset($attr);
    
    /*** GET OBJECT ATTRIBUTES ***/
    $tmp=new DMO_Instance();
    $tmp->query("SELECT instattr_value,instattr_text,attribute_name FROM instattr,attribute WHERE attribute.attribute_ID=instattr.attribute_ID AND instattr.instance_ID=".$row[$i]["id"]);
    while($tmp->db->next_record()) {
      $a["name"]=$tmp->db->f("attribute_name");
      $a["value"]=$tmp->db->f("instattr_value");
      
      $a["text"]=$tmp->db->f("instattr_text");
      
      $a["text"]=_match($a["text"], $fontSQL, $helv);
      
      
      $attr[]=$a;
    }
    unset($tmp);
    
    /*** NEW PAGE ***/
    PDF_begin_page($pdf, 595, 842);
    
    /*** ADD BOOKMARKS ***/
    PDF_add_bookmark($pdf, $row[$i]["name"],$first,1);
    
    /*** PAGE HEADER ***/
    ShowHeader($header);
    
    if (function_exists("pdf_open_jpeg")) {
      $im = PDF_open_jpeg($pdf, "$_DMO_my_images/main.jpg");
    } else {
      $im=PDF_open_image_file($pdf,'jpeg',"$_DMO_my_images/main.jpg",'',0);
    }
    pdf_place_image($pdf, $im, 405, 515, 1/2);
    pdf_close_image ($pdf,$im);
    
    ShowTableItem(0,"Date:",$row[$i]["date"],80,$ypos);
    ShowTableItem(0,"Revision:",$row[$i]["revision"],80,$ypos);
    ShowTableItem(0,"Object Name:",$row[$i]["definition_name"],80,$ypos);
    ShowTableItem(0,"Object Number:",$row[$i]["definition_number"],80,$ypos);
    ShowTableItem(0,"Object Type:",$row[$i]["definition_type"],80,$ypos);
    $ypos-=10;
    ShowTableItem(0,"Instance ID:",$row[$i]["id"],80,$ypos);
    ShowTableItem(0,"Unique Name:",$row[$i]["name"],80,$ypos);
    ShowTableItem(0,"Instance Type:",$row[$i]["type"],80,$ypos);
    ShowTableItem(1,"Serial Number:",$row[$i]["serial"],80,$ypos);
    ShowTableItem(1,"Location:",$row[$i]["location"],80,$ypos);
    ShowTableItem(1,"Invent. Number:",$row[$i]["inventory"],80,$ypos);
    $ypos-=10;
    ShowAttribTable("Instance Attributes:",80,$ypos);    
    $ypos-=10;
    ShowField("Object Purpose:",strip_tags($row[$i]["purpose"]),80,$ypos);
    ShowField("Notes:",strip_tags($row[$i]["notes"]),80,$ypos);
    
    pdf_set_parameter($pdf,"openaction","fitpage");
    //pdf_set_parameter($pdf,"transition","blinds");
    PDF_end_page($pdf);
    /*** END PAGE ***/
  }
  
  PDF_close($pdf);
  
  
  /*** OUTPUT PDF CONTENTS ***/
  /*
  $PDF_buffer = PDF_get_buffer($pdf);
  if ($fp=fopen($fname,'wb')) {
    fwrite($fp,$PDF_buffer); 
    fclose($fp);
    if ($save_report) {
      if (!is_dir($_DMO_path.'/reports/reportData')) {
        if (!@mkdir($_DMO_path.'/reports/reportData')) {
          $_page->addError("Could not create reports save directory. Please check permissions. (in instance/pdf_report.php)",DMO_DV_LUCIAN+51,DMO_ET_ERROR+DMO_EL_UNEXPECTED);          
        } else {
          @copy($fname,$_DMO_path.'/reports/reportData/ins_'.date('YmdHis',time()).'.pdf');
        }
      } else {
        @copy($fname,$_DMO_path.'/reports/reportData/ins_'.date('YmdHis',time()).'.pdf');
      }
    }    
    PDF_delete($pdf);
    header("Location: $_DMO_url/reports/instance/openreport.php?nfz=".basename($fname,'.pdf')."&format=pdf&size=".strlen($PDF_buffer));
  } else {
    $_page->addError("Error opening file for writing pdf (in instance/pdf_report.php)",DMO_DV_LUCIAN+21,DMO_ET_ERROR+DMO_EL_UNEXPECTED);
  }
  */
  if ($_POST['save_report']) {
    $reportsDir=$_DMO_path.'/reports/reportData';
    if (!LFX_use_directory($reportsDir)) {
      $_page->addError("Could not create reports save directory. Please check permissions. (in instance/pdf_report.php)",DMO_DV_LUCIAN+51,DMO_ET_ERROR+DMO_EL_UNEXPECTED);
    } else {
      @copy($fname,$reportsDir.'/ins_'.date('YmdHis',time()).'.pdf');
    }
  }
  echo("<script language='javascript'>\n<!--\nwindow.location=\"$_DMO_url/reports/instance/openreport.php?nfz=".basename($fname,'.pdf')."&format=pdf\";\n-->\n</script>");
?>
