<?

  /**
  * XML Format Report creation
  * Lucian Silistru <lucian@moongate.ro>, July 2003
  * $Id: xml_report.php,v 1.6 2005/08/04 16:37:02 bogdan Exp $
  * @package DMO
  */
  
  LFX_include_class("DMO_largeAttribute", "DMO_instance", "DMO_fileAttribute", "LFX_user", "LFX_group");
  
  /** CUSTOM match function **/
  
    function _match($str)  
    {
      $perm_links = array(
                    "largeattribute"=>array
                                      (
                                         "class"=>"DMO_largeAttribute",
                                         "field"=>"content"
                                      ),
                    "instance"=>array
                                (
                                  "class"=>"DMO_instance",
                                  "field"=>"name"
                                ),
                    "fileattribute"=>array
                                     (  
                                      "class"=>"DMO_fileAttribute",
                                      "field"=>"file"
                                     ),                            
                    "user"=>array
                                     (  
                                      "class"=>"LFX_user"
                                      //"field"=>"file"
                                     ),                                     
                    "group"=>array
                                     (  
                                      "class"=>"LFX_group",
                                      "field"=>"name"
                                     )               
                    );
    
      if (preg_match("/dmo_(.*)#([0-9]+)/", $str, $arr) || preg_match("/lfx_(.*)#([0-9]+)/", $str, $arr))      
      {
        if (is_array($perm_links[$arr[1]]))
        {
          $obj = new $perm_links[$arr[1]]["class"]($arr[2]);
          if ($arr[1] == "user") return htmlspecialchars($obj->getNameH(), ENT_QUOTES);
          else
          {
            $_ss = $obj->getAttr($perm_links[$arr[1]]["field"]);
            return htmlspecialchars($_ss, ENT_QUOTES);//substr($_ss),0,42)."...";
          } 
        }
       }
       else
       {   
          if($str == '1') return "YES";
          elseif($str == '0') return "NO";
       }
        return htmlspecialchars($str, ENT_QUOTES);     
      }
      //boolean test : page->656;
         
  /** // done // CUSTOM match function **/
  
  
  _checkMeOut(__FILE__);
  
  LFX_pushDisposition('xml');

  function fillRow($pg,$pg_count)
  {
    for ($j=0;$j<$pg_count;$j++) {
      $ins=new DMO_Instance($pg[$j]);
      $ins->load();
      $row[$j]=$ins->attr;
      $row[$j]["date"]=$ins->getAttrH("date");
      $row[$j]["id"]=$ins->id;
      $def=new DMO_Definition($row[$j]["definition"]);
      $row[$j]["definition_name"]=$def->getAttr("name");
      $row[$j]["definition_number"]=$def->getAttr("number");
      $row[$j]["definition_type"]=$def->getAttr("type");
    }
    return($row);
  }
  
  $pg_count=count($pg);
  $row=fillRow($pg,$pg_count);
  $sls=new DMO_Definition;

  switch ($from) {
    case "list":
      $title=__D("Full Instance Listing");
    break;
    case "bydef":
      $title=sprintf(__D("Definition %s Instance Listing"),$sls->gpcUnslash($nm));
    break;
    case "query":
      $title=sprintf(__D("%s Query Search Result Listing"),$sls->gpcUnslash($nm));
    break;
    case "adv":
      $title=sprintf(__D("%s Advanced Search Result Listing"),$sls->gpcUnslash($nm));
    break;
    case "sel":
      $title=__D("Instance Selection Report");
    break;
  }
  
  do {
    $fname='';
    for ($i=0;$i<8;$i++) {
      $fname.=chr(rand(0,25)+97);
    }
    $fname=$_LFX_tmpDir.'/'.$fname.'.xml';
  } while (file_exists($fname));
  
  $f=fopen($fname,'wb');
  
  LFX_include_class('LFX_XML');
  fwrite($f,"<Report>\n");
  fwrite($f,"  <Title>$title</Title>\n");
  fwrite($f,"  <Date>".date('r')."</Date>\n");
  fwrite($f,"  <Comments>".$sls->gpcUnslash($comments)."</Comments>\n");  
  fwrite($f,"  <Query>$sql</Query>\n");  
  fwrite($f,"  <Instances>\n");

  for ($i=0;$i<$pg_count;$i++) {
    unset($attr);
    $ct=$row[$i]['id'];
    
    /*** GET OBJECT ATTRIBUTES ***/
    $tmp=new DMO_Instance();
    $tmp->query("SELECT instattr_value,instattr_text,attribute_name FROM instattr,attribute WHERE attribute.attribute_ID=instattr.attribute_ID AND instattr.instance_ID=".$row[$i]["id"]);
    while($tmp->db->next_record()) {
      $a["name"]=$tmp->db->f("attribute_name");
      $a["value"]=$tmp->db->f("instattr_value");
      $a["text"]=$tmp->db->f("instattr_text");
      $a["text"]=_match($a["text"]);
      $attr[]=$a;
    }
    unset($tmp);    
    fwrite($f,"    <Instance ID='".$ct."'>\n");
    
    fwrite($f,"      <Date>".LFX_XML::escape($row[$i]['date'])."</Date>\n");
    fwrite($f,"      <Revision>".htmlspecialchars($row[$i]['revision'],ENT_QUOTES)."</Revision>\n");
    fwrite($f,"      <Object_Name>".htmlspecialchars($row[$i]['definition_name'],ENT_QUOTES)."</Object_Name>\n");
    fwrite($f,"      <Object_Number>".$row[$i]['definition_number']."</Object_Number>\n");
    fwrite($f,"      <Object_Type>".$row[$i]['definition_type']."</Object_Type>\n");
//    fwrite($f,"      <Instance_ID>".$row[$i]['id']."</Instance_ID>\n");
    fwrite($f,"      <Unique_Name>".htmlspecialchars($row[$i]['name'],ENT_QUOTES)."</Unique_Name>\n");
    fwrite($f,"      <Instance_Type>".$row[$i]['type']."</Instance_Type>\n");
    fwrite($f,"      <Serial_Number>".$row[$i]['serial']."</Serial_Number>\n");
    fwrite($f,"      <Location>".htmlspecialchars($row[$i]['location'],ENT_QUOTES)."</Location>\n");
    fwrite($f,"      <Inventory_Number>".$row[$i]['inventory']."</Inventory_Number>\n");
    
    fwrite($f,"      <Instance_Attributes>\n");
    for ($j=0;$j<count($attr);$j++) {
      fwrite($f,"        <Attribute>\n");
      fwrite($f,"          <Name>".htmlspecialchars($attr[$j]['name'],ENT_QUOTES)."</Name>\n");
      fwrite($f,"          <Value>".htmlspecialchars($attr[$j]['value'],ENT_QUOTES)."</Value>\n");
      fwrite($f,"          <Text>".htmlspecialchars($attr[$j]['text'],ENT_QUOTES)."</Text>\n");
      fwrite($f,"        </Attribute>\n");
    }
    fwrite($f,"      </Instance_Attributes>\n");
    
    fwrite($f,"      <Object_Purpose>".htmlspecialchars($row[$i]['purpose'],ENT_QUOTES)."</Object_Purpose>\n");
    fwrite($f,"      <Notes>".htmlspecialchars($row[$i]['notes'],ENT_QUOTES)."</Notes>\n");
    
    fwrite($f,"    </Instance>\n");
    
    //break;
  }
  unset($ct);
   
  fwrite($f,"  </Instances>\n");
  fwrite($f,'</Report>');
  fclose($f);
  header("Location: $_DMO_url/reports/instance/openreport.php?nfz=".basename($fname,'.xml')."&format=xml&size=".filesize($fname));  
?>
