<?
  /**
  * Router Monitor Script
  * Lucian Silistru <lucian@moongate.ro>, October 2003
  * $Id: routerMonitor.php,v 1.8 2005/08/31 09:59:16 dieter Exp $
  * @package DMO
  */

  /* CHECK IF FAILOVER */
  if(($fp = @fopen("/var/failover_backup/eh-failover", "r"))) die ("exit because t his as failover flag set");

  
  #require('/home/httpd/EH-Master/opt_new/LFX_local_link.php');
  #require($_LFX_lib);//TBA
  require("/home/httpd/EH-Master/LFXlib/LFX_lib.php");
  ob_end_clean();

  $_incReq=array('DMO_Definition','DMO_Instance','DMO_Attribute','DMO_Instattr','DMO_url','LFXdiff',"EH_Event","EH_Sensor");
  include($_incMgr);  
  
//  echo('<PRE>');//TBR
  
  $event = new EH_event;
  $sensor = new EH_Sensor;
  $sensor_id = $sensor->myId();
  echo "Im running on sensor $sensor_id \n";
  $event->setAttr("sensor_id",$sensor_id);
  $event->setAttr("event_subsystem",15);
  $event->setAttr("event_priority",4);
  //THIS SHOULD NOT BE HARDCODED TO 15
  $event->setAttr("sensor_id",$sensor_id);

  $routerScript='fetchrouterconfig.pl';
//  $_EH_url='/';//TBR
//  $_EH_path='/home/httpd/EH-Sensor/scripts/';//TBR
  $xtra='';
  
  // Lines to be removed from router returned data
  $excludeLines=array(
    'enable secret',
    'enable password');
  
  // Getting Router Definition ID
  $routerDefID=new DMO_Definition;
  $routerDefID=$routerDefID->byNameID('Router');
  
  // Getting Router List
  $routerList=new DMO_Instance;
  $routerList=$routerList->search('definition',$routerDefID);
  $routerCount=count($routerList);
  
  // Getting required attribute IDs
  $attr=new DMO_Attribute;
  $attrIP=$attr->searchID('name','IP Address');
  $attrIP=$attrIP[0];            
  $attrEP=$attr->searchID('name','Enable Password');
  $attrEP=$attrEP[0];
  $attrLP=$attr->searchID('name','Line Password');
  $attrLP=$attrLP[0];
  $attrRT=$attr->searchID('name','Route TO');
  $attrRT=$attrRT[0];
  unset($attr);
  
  for ($i=0;$i<$routerCount;$i++) {
    // Getting Router name and ID for use in output messages
    $routerName=$routerList[$i]->getAttr('name');
    $routerID=$routerList[$i]->id;
    // Getting router instance attributes
    $routerInstattr=$routerList[$i]->getObjects('instattr');
    // Clear the router attributes first:
    $routerIP = $routerEP = $routerLP = $routerRT = false;
    // Getting the 4 router attributes needed: IP, Enable Password and Line Password, sensor to reach router from
    // Added debug to see what is happening
    $debug = "$i :   name :  $routerName   ID: $routerID \n";
    echo $debug;
    for ($j=0;$j<count($routerInstattr);$j++) {
      if ($routerInstattr[$j]->getAttr('attribute')==$attrIP) {
        $routerIP=$routerInstattr[$j]->getAttr('text');
      } elseif ($routerInstattr[$j]->getAttr('attribute')==$attrEP) {
        $routerEP=$routerInstattr[$j]->getAttr('text');
      } elseif ($routerInstattr[$j]->getAttr('attribute')==$attrLP) {
        $routerLP=$routerInstattr[$j]->getAttr('text');
      } elseif ($routerInstattr[$j]->getAttr('attribute')==$attrRT) {
        $routerRT=$routerInstattr[$j]->getAttr('text');
      }
    }
    echo"doing it for IP $routerIP \n";
    
    if (!$routerIP) {
      echo"Don't know router IP for router $routerName \n";
	    echo"Please set the DMO attribute. Proceeding to next sensor. \n";
	    continue;
    }
    if (!$routerEP) {
      echo"Missing one of the EP passwords for router $routerName \n";
      echo"Please set the DMO attribute. Proceeding to next sensor. \n";
     continue;
    }
    if (!$routerLP) {
      echo"Missing one of the LP passwords for router $routerName \n";
	    echo"Please set the DMO attribute. Proceeding to next sensor. \n";
      continue;
    }
    if (!$routerRT) {
      echo"Missing Route to $routerName \n";
      echo"Please set the DMO attribute Route TO. Proceeding to next sensor. \n";
      continue;
    }
    
    // Execing router connection script
    echo("Connecting to router '$routerName' (instance ID=$routerID).\n");
    //echo("ssh EH@$routerRT \"/home/httpd/EH-Sensor/scripts/$routerScript $routerLP $routerEP $routerIP $xtra\"");
    unset($resultString);
    exec("ssh $routerRT \"/home/httpd/EH-Sensor/scripts/$routerScript $routerLP $routerEP $routerIP $xtra\"",$resultString,$resultCode);
    
    if ($resultCode) {
      /**
      * $routerScript returned error value in $resultCode
      */
      $text = "Router Script Connection Error for router: $routerName $routerIP. Error ($resultCode): '{$resultString[0]}'";
      echo $text."Generating Alert.\n";
      $event->setAttr("event_text",$text);
      $now = time();
      $event->setAttr("event_time",$now);
      $event->id = 0;
      $event->save();
      unset($text);
      continue;
    }
    echo("Received router data.\n");
    
    // Removing lines from $excludedLines array
    while (list($lineNo,$resultLine)=@each($resultString)) {
      $resultString[$lineNo]=trim($resultString[$lineNo]);
      for ($j=0;$j<count($excludeLines);$j++) {
        if (preg_match("/^".$excludeLines[$j]."/",$resultLine)) {
          array_splice($resultString,$lineNo,1);
        }
      }
    }
    
    // Data directory existence test
    if (!is_dir($_EH_path.'/data/routerData')) {
      if (!mkdir($_EH_path.'/data/routerData')) {
        echo('routerData directory does not exist and could not be created.\n');
        echo('Please set the right permisssions for "'.$_EH_path.'/data" or create it manually.\n');
        return(false);
      }
    }
    
    // Searching for previous router url (data) and creating if nothing found
    $prevData=$routerList[$i]->getLinks('urls');
    $routerURL=0;
    for ($j=0;$j<count($prevData);$j++) {
      $tmp=new DMO_url($prevData[$j]);
      if ($tmp->getAttr('title')=='Router Data for router '.$routerName) {
        $routerURL=$prevData[$j];
        break;
      }
    }
    unset($prevData);
    if ($routerURL) {
      $prevData=array($routerURL);
    }
    unset($routerURL);
    
    $creation_date=time();
    if (!$prevData || !count($prevData)) {
      echo("No previous router data found. Creating Router Data URL.\n");
      $dataExists=false;
      // Creating empty html file for this router. Just to see whether we can create it.
      if (!($fp=fopen($_EH_path.'/data/routerData/'.$routerID.'_'.date('YmdHis',$creation_date).'.html','wb')) || !($fp2=fopen($_EH_path.'/data/routerData/'.$routerID.'.html','wb'))) {
        echo('router URL file could not be created.\n');
        echo('Please set write permissions for php to "'.$_EH_path.'/data/routerData/"');
        continue;
      } else {
        fclose($fp);
        fclose($fp2);
        unset($fp,$fp2);
      }
      $routerURL=new DMO_url;
      $routerURL->setAttrs(array(
        'url'          =>$_EH_url.'/data/routerData/'.$routerID.'.html',
        'title'        =>'Router Data for router '.$routerName,
        'description'  =>'Last router monitor data',
        'date'         =>$creation_date)
      ,'gpc');
      $routerURL->save();
      $routerList[$i]->createLink('urls',$routerURL->id);
    } else {
      echo("Old data found. Updating URL date.\n");
      $dataExists=true;
      $routerURL=new DMO_url($prevData[0]);
      $old_data_file='/data/routerData/'.$routerID.'_'.date('YmdHis',$routerURL->getAttr('date')).'.html';
      $routerURL->setAttr('date',$creation_date);
      $routerURL->save();
    }
    
    // Comparing old and new data
    if ($dataExists) {
      $oldData=file($_EH_path.$old_data_file);
      if ($oldData===false) {
        echo("Old data file not found. Using empty array as old data\n").
        $oldData=array();
        $oldData[0]="<PRE>";
      }
      array_splice($oldData,0,1);
      while (list($key,$line)=@each($oldData)) {
        $oldData[$key]=trim($line);
      }
      
      echo("Calculating data diffs.\n");
      $diffData=new Diff($oldData,$resultString);
      //$alertData=new UnifiedDiffFormatter;
      $alertData=new DiffFormatter;
      $alertData=$alertData->format($diffData);
      if ($alertData) {
        /**
        * Found differences between old and new data.
        * Variable $alertData contains diff-like formatted differencies.
        */
        $text = "Differences found for router $routerName $routerIP , between old and new data:\n$alertData";
        echo $text."Generating alert.\n";
        $event->setAttr("event_text",$text."\n<A HREF='$_EH_url/data/routerData/{$routerID}.html'>Data Differences</A>\n<A HREF='{$_EH_url}$old_data_file>Old Data</A>\n<A HREF='$_EH_url/data/routerData/{$routerID}_".date('YmdHis',$creation_date).".html'>New Data</A>");
        unset($text);
        $event->setAttr("event_link",'/data/routerData/'.$routerID.'.html');
        $now = time();
        $event->id = 0;
        $event->setAttr("event_time",$now);
        $event->save();
      } else {
        echo("No difference found between old and new data.\n");
      }
 //     var_dump($alertData);
    }
    
    // Updating html file data
    echo("Updating router data html file.\n");
    $fp=fopen($_EH_path.'/data/routerData/'.$routerID.'_'.date('YmdHis',$creation_date).'.html','wb');
    fputs($fp,"<PRE>\n");
    foreach ($resultString as $line) {
      fputs($fp,$line."\n");
    }
    fclose($fp);
    
    if ($dataExists && $alertData) {
      $url_file_data=new FullTextColorFormatter(10000);
      $url_file_data=$url_file_data->format($diffData);      
      $fp=fopen($_EH_path.'/data/routerData/'.$routerID.'.html','wb');
      fputs($fp,$url_file_data);
      fclose($fp);
    } else {
      $out="";
      $out.="<TABLE cellspacing='0' border='1'>\n  <TR>\n    <TD>\n";
      $out.="      Color legend:<BR />\n";
      $out.="      <DIV style='color: black; margin-left: 20px'>Black - No changes made</DIV>\n";
      $out.="      <DIV style='color: red; margin-left: 20px'>Red - Current line(s) has been added/deleted from data</DIV>\n";
      $out.="      <DIV style='color: blue; margin-left: 20px'>Blue - The respective line(s) were changed</DIV>\n";
      $out.="    </TD>\n  </TR>\n";
      $out.="  <TR>\n    <TD width='50%' style='text-align: center'>\n";
      $out.="      Current Data\n";
      $out.="    </TD>\n  </TR>\n  <TR>\n    <TD>\n";      
      $fp=fopen($_EH_path.'/data/routerData/'.$routerID.'.html','wb');
      fputs($fp,$out);
      foreach ($resultString as $line) {
        fputs($fp,"      ".$line." <BR />\n");
      }
      fputs($fp,"    </TD>\n  </TR>\n</TABLE>\n");
      fclose($fp);      
    }
  }
?>
