<?

  /**
  * DMO Advanced Search Composition
  * Lucian Silistru <lucian@moongate.ro>, March 2003
  * $Id: makesearch.php,v 1.10 2005/08/04 16:37:02 bogdan Exp $
  * @package DMO
  */
  
  _checkMeOut(__FILE__);
  if ($import) {
    LFX_include('LFX_XML');
    if (!is_uploaded_file($_FILES['import_file']['tmp_name'])) {
      $_page->addError('File does not exist. Please go back and enter a new file name (in makesearch.php)',DMO_DV_LUCIAN+32,DMO_EL_USER+DMO_ET_ERROR);
      return(false);
    }
    if (!is_readable($_FILES['import_file']['tmp_name'])) {
      $_page->addError('File is not readable. Please go back and enter a new file name (in makesearch.php)',DMO_DV_LUCIAN+33,DMO_EL_USER+DMO_ET_ERROR);
      return(false);      
    }
    $search=new DMO_SavedSearch;
    //Finding next available search_id
    $sql="SELECT DISTINCT search_id FROM saved_search ORDER BY search_id ASC";
    $search->query($sql);
    $id_array=array();
    while ($search->db->next_record() && $search->db->nf()) {
      $id_array[]=$search->db->f('search_id');
    }
    for ($i=0;$i<count($id_array);$i++) {
      $search_id=$i+1;
      if ($id_array[$i]!=$i+1) {
        break;
      }
    }
    if ($i==count($id_array)) {
      $search_id++;
    }
    
    $data=implode('',file($_FILES['import_file']['tmp_name']));
    $xml=new LFX_XML($data);
    $xml_data=$xml->xml;
//    var_dump($xml_data);
    $searchName=$xml_data[0]['attributes']['NAME'];
//    var_dump($searchName);
    $searchDesc=$xml->byTag(array('search','description'));
    $searchDesc=$searchDesc['value'];//$xml_data[0]['children'][0]['value'];//description->value
    $nodes_count=count($xml_data[0]['children'][1]['children']);//nodes->children
    $nodes_data=$xml->byTags(array('search','nodes','node'));//$xml_data[0]['children'][1]['children'];
    $defs_not_found=array();
    $attrs_not_found=array();
    for ($i=0;$i<$nodes_count;$i++) {
      $node_data=$nodes_data[$i]['children'];
      if ($node_data[9]['value']!='0') {
        $defTest=new DMO_Definition;
        $defTest=$defTest->byNameID($node_data[9]['value']);
        if ($defTest===NULL) {
          $defs_not_found[]=$node_data[9]['value'];
        }
        if ($defTest===false) {
          $_page->addError('Multiple definitions with name '.$node_data[9]['value'].' found in database. Please check database consistency. (in makesearch.php)',DMO_DV_LUCIAN+35,DMO_EL_DB+DMO_ET_CRITICAL);
        }        
      }
      if ($node_data[4]['value']!='0') {
        $core_attrs=array('serial','revision','inventory','date','name','location','type','purpose','owner','group','parent');
        if (!is_numeric($node_data[4]['value']) && in_array($node_data[4]['value'],$core_attrs)) {
          $attrValue=$node_data[4]['value'];
        } else {
          $attrTest=new DMO_Attribute;
          $attrTest=$attrTest->byNameID($node_data[4]['value']);
          if ($attrTest===NULL) {
            $attrs_not_found[]=$node_data[4]['value'];
          }
          if ($attrTest===false) {
            $_page->addError('Multiple attributes with name '.$node_data[4]['value'].' found in database. Please check database consistency. (in makesearch.php)',DMO_DV_LUCIAN+36,DMO_EL_DB+DMO_ET_CRITICAL);
          }
        }
        
      }
    }
    unset($defTest,$attrTest);    
    $import_fail=false;    
    if (count($defs_not_found)) {
      $error_text='The following definitions present in the xml import file were not found in the database:<BR />';
      for ($i=0;$i<count($defs_not_found);$i++) {
        $error_text.=$defs_not_found[$i].'<BR />';
      }
      $error_text.='Import failed. (in makesearch.php)';
      $_page->addError($error_text,DMO_DV_LUCIAN+37,DMO_EL_DB+DMO_ET_ERROR);
      $import_fail=true;
    }
    if (count($attrs_not_found)) {
      $error_text='The following attributes present in the xml import file were not found in the database:<BR />';
      for ($i=0;$i<count($attrs_not_found);$i++) {
        $error_text.=$attrs_not_found[$i].'<BR />';
      }
      $error_text.='Import failed. (in makesearch.php)';
      $_page->addError($error_text,DMO_DV_LUCIAN+38,DMO_EL_DB+DMO_ET_ERROR);
      $import_fail=true;      
    }
    if (!$import_fail) {
      $defTest=new DMO_Definition;
      $attrTest=new DMO_Attribute;
      for ($i=0;$i<$nodes_count;$i++) {
        $node=new DMO_SavedSearch;
        $node_data=$nodes_data[$i]['children'];
        if (!in_array($node_data[4]['value'],$core_attrs)) {
          $attrValue=$attrTest->byNameID($node_data[4]['value']);
        } else {
          $attrValue=$node_data[4]['value'];
        }
        $node->setAttrs(array(
          'name'=>$searchName,
          'description'=>$searchDesc,
          'search_id'=>$search_id,
          'id'=>$node_data[0]['value'],
          'parent'=>$node_data[1]['value'],
          'type'=>$node_data[2]['value'],
          'concatenation'=>$node_data[3]['value'],
          'attribute'=>$attrValue,
          'property'=>$node_data[5]['value'],
          'condition'=>$node_data[6]['value'],
          'value'=>$node_data[7]['value'],
          'inheritance'=>$node_data[8]['value'],
          'definition'=>$defTest->byNameID($node_data[9]['value'])
        ),'gpc');
        if (!$node->save()) {
          $_page->addError('Error while saving data for search with search_id='.$search_id.' (in makesearch.php)',DMO_DV_LUCIAN+34,DMO_EL_DB+DMO_ET_CRITICAL);
          $import_fail=true;
          unset($defTest,$attrTest);          
          break;
        }
      }
      unset($defTest,$attrTest);      
      if (!$import_fail) {
        $toLoad=$search_id;
        pecho(LFX_startTables('100%'));
        pecho(DMO_swatchHeader(array(
          'title'=>__D('Import Succesfull')
        )));
        pecho(LFX_endTables());
      }
    }    
  }
/*  
  if ($export) {
    if (is_file($export_file)) {
      $_page->addError('File already exists. Please go back and enter a new file name (in makesearch.php)',DMO_DV_LUCIAN+30,DMO_EL_USER+DMO_ET_ERROR);
      return(false);
    }
    if (!$toLoad) {
      $_page->addError('You must export a saved search (in makesearch.php)',DMO_DV_LUCIAN+31,DMO_EL_USER+DMO_ET_ERROR);
      return(false);
    }
    $searchNodes=new DMO_SavedSearch;
    $searchNodes=$searchNodes->search('search_id',$toLoad);
    $searchName=$searchNodes[0]->getAttr('name');
    $searchDesc=$searchNodes[0]->getAttr('description');
    $fp=fopen($_LFX_tmpDir.'/'.$export_file,'wb');
    fputs($fp,"<search name=\"$searchName\">\n");
    fputs($fp,"  <description>\n$searchDesc\n  </description>\n");
    fputs($fp,"  <nodes>\n");
    for ($i=0;$i<count($searchNodes);$i++) {
      fputs($fp,"    <node>\n");
      fputs($fp,"      <id>".$searchNodes[$i]->getAttr('id')."</id>\n");
      fputs($fp,"      <parent>".$searchNodes[$i]->getAttr('parent')."</parent>\n");
      fputs($fp,"      <type>".$searchNodes[$i]->getAttr('type')."</type>\n");
      fputs($fp,"      <concatenation>".$searchNodes[$i]->getAttr('concatenation')."</concatenation>\n");
      fputs($fp,"      <attribute>".$searchNodes[$i]->getAttr('attribute')."</attribute>\n");
      fputs($fp,"      <property>".$searchNodes[$i]->getAttr('property')."</property>\n");
      fputs($fp,"      <condition>".htmlspecialchars($searchNodes[$i]->getAttr('condition'))."</condition>\n");
      fputs($fp,"      <value>".$searchNodes[$i]->getAttr('value')."</value>\n");
      fputs($fp,"      <inheritance>".$searchNodes[$i]->getAttr('inheritance')."</inheritance>\n");
      fputs($fp,"      <definition>".$searchNodes[$i]->getAttr('definition')."</definition>\n");
      fputs($fp,"    </node>\n");
    }
    fputs($fp,"  </nodes>\n");
    fputs($fp,'</search>');
    fclose($fp);
    pecho(LFX_startTables('100%'));
    pecho(DMO_swatchHeader(array(
      'title'=>__D('Export Succesfull')
    )));
    pecho(LFX_endTables());
  }
*/
  if ($saveOnly) {
    $tmp=new DMO_NodeSearch();
    $tmp=$tmp->search(array('session','pid'),array(session_id(),$pid));
  
    for ($i=0;$i<count($tmp);$i++) {
      $var["concatenation"]="params_".$tmp[$i]->id."_concatenation";
      $var["attribute"]="params_".$tmp[$i]->id."_attribute";
      $var["property"]="params_".$tmp[$i]->id."_property";
      $var["condition"]="params_".$tmp[$i]->id."_condition";
      $var["value"]="params_".$tmp[$i]->id."_value";
      $var["inheritance"]="params_".$tmp[$i]->id."_inheritance";
      $var["definition"]="params_".$tmp[$i]->id."_definition";
      $tmp[$i]->setAttrs(array(
        "concatenation"=>$$var["concatenation"],
        "attribute"=>$$var["attribute"],
        "property"=>$$var["property"],
        "condition"=>$$var["condition"],
        "value"=>$$var["value"],
        "inheritance"=>$$var["inheritance"],
        "definition"=>$$var["definition"]
      ));
      $tmp[$i]->save();
    }
    unset($var,$tmp);
  
    $tmp=new DMO_NodeSearch();
    $tmp=$tmp->search(array('session','pid'),array(session_id(),$pid));
    $srcRoot=$tmp[0]->getRoot();

    $err=$srcRoot->validateSearch();
    if (count($err)) {
      $header="Location: $_DMO_url/index/search/advsearch/makesearch?pid=$pid&nsname=$nsname&nsdescr=".rawurlencode(stripslashes($nsdescr)).'&';
      for ($i=0;$i<count($tmp);$i++) {
        if ($err[$i]) {
          $header.="err[$i]={$err[$i]}&";
        }
      }
      $header=substr($header,0,-1);
      header($header);
    } else {
      $searchTree=new DMO_SavedSearch();
      $searchList=$searchTree->getSearches();
      if ($searchList==false) {
        $searchList=array();
      }
      for ($i=0;$i<count($searchList);$i++) {
        $searchList[$i]=$searchList[$i]["name"];
      }
      if ($toLoad) {
        if ($save=='Edit') {
          $searchTree->delSearch($toLoad);
          $searchTree->saveSearch($nsname,$nsdescr,$pid);
        } elseif ($save=='New') {
          $idx=0;
          $end='';
          while (in_array($nsname.$end,$searchList)) {
            $end=++$idx;
          }
          $searchTree->saveSearch($nsname.$idx,$nsdescr,$pid);
        }
      } else {
        if (!in_array($nsname,$searchList)) {
          if ($nsname!="") {
            $searchTree->saveSearch($nsname,$nsdescr,$pid);
          }
        } else {
          if ($sswatch=="0") {
            header("Location: $_DMO_url/index/search/advsearch/?pid=$pid&error=1&nsname=$nsname&nsdescr=".rawurlencode(stripslashes($nsdescr)));
          }
        }
      }
    }
    unset($tmp);    
  }

  if ($toDel) {
    $savedSearch=new DMO_SavedSearch();
    $savedSearch->delSearch($toDel);
  }
  
  if (!$pid) {
    $tmp=new DMO_NodeSearch;
    do {
      sleep(1);
      $pid=md5(time());
    } while ($tmp->searchCount(array('session','pid'),array(session_id(),$pid)));
  }
  
  // If first run (enter by menu or select a saved search from the Adv Search page)
  // If sent from Saved Search Swatch then load specific search, else create new search
  // anyway, hints are set to 0 (visible) and Search Table is emptied
  if (!$chg && !$drop && !$add && !isset($hints) && !$concat && !$err && !$error) {
    if (rand(0,100)>0) {
      $my_db=$_page->user->dbData['dbDataSet'];
      $_page->user->dbData['dbDataSet']=$_LFX['global']['applications']['LFX']['app_dbdata'];
      $_page->user->db=false;
      $sid=LFX_getCurrentSessionsIDs();
      $newSrch=new DMO_NodeSearch();
      $newSrch=$newSrch->search();
      for ($i=0;$i<count($newSrch);$i++) {
        if (!in_array($newSrch[$i]->getAttr('session'),$sid)) {
          $deleteNode=new DMO_NodeSearch($newSrch[$i]->id);
          $deleteNode->delete();
          unset($deleteNode);
        }
      }
      $_page->user->dbData['dbDataSet']=$my_db;
      unset($sid,$sel,$my_db);      
    }
    $hints=0; //that means hints are on
    $newSrch=new DMO_NodeSearch();
    $newSrch->emptySearchTable($pid,session_id());    
    if ($toLoad) {
      $savedSearch=new DMO_SavedSearch();
      $savedSearch->loadSearch($toLoad,$pid);
    } else {
      $newSrch->setAttrs(array(
        'type'=>1,
        'parent'=>0,
        'session'=>session_id(),
        'pid'=>$pid
      ));
      $parID=$newSrch->save();
      $newSrch=new DMO_NodeSearch();
      $newSrch->setAttrs(array(
        'type'=>0,
        'parent'=>$parID,
        'session'=>session_id(),
        'pid'=>$pid
      ));
      $newSrch->save();
      $newSrch=new DMO_NodeSearch();
      $newSrch->setAttrs(array(
        'type'=>0,
        'parent'=>$parID,
        'session'=>session_id(),
        'pid'=>$pid
      ));
      $newSrch->save();
    }
  }
  // END first run

  // Change type of a node. Also takes care of deleting and creating nodes when changing
  // to and from type 1 (Wrapper)
  if ($chg) {
    $tochg=new DMO_NodeSearch($node_id);
    if (!$tochg->load()) {
      $tochg->emptySearchTable($pid,session_id());
      header('Location: '.$_DMO_url.'/index/search/advsearch');
    }
    if ($toval==1) {
      $newSrch=new DMO_NodeSearch();
      $newSrch->setAttrs(array(
        'type'=>0,
        'parent'=>$node_id,
        'session'=>session_id(),
        'pid'=>$pid
      )); 
      $newSrch->save();
      $newSrch=new DMO_NodeSearch();
      $newSrch->setAttrs(array(
        'type'=>0,
        'parent'=>$node_id,
        'session'=>session_id(),
        'pid'=>$pid
      ));
      $newSrch->save();
    }
    if ($tochg->getAttr("type")==1) {
      $Wchild=$tochg->getChildren();
      for ($i=0;$i<count($Wchild);$i++) {
        $Wchild[$i]->delete();
      }
      unset($Wchild);
    }
    $tochg->setAttrs(array(
      'type'=>$toval,
      'concatenation'=>0,
      'inheritance'=>0,
      'property'=>0,
      'attribute'=>'',
      'condition'=>'',
      'value'=>'',
      'definition'=>0      
    ),'gpc');
    $tochg->save();
    unset($chg);
  }
  // END Change type

  // Add a new node. Initialized to type 0 (no type). Also parent is set to caller node
  if ($add) {
    $tochg=new DMO_NodeSearch();
    $tochg->setAttrs(array(
      'type'=>0,
      'parent'=>$node_id,
      'session'=>session_id(),
      'pid'=>$pid
    ));
    $tochg->save();
    unset($add);
  }
  // END Add node

  // Drop a node. Also drops node's children - the delete() method does that by default
  if ($drop) {
    $tochg=new DMO_NodeSearch($node_id);
    $tochg->delete();
    unset($drop);
  }
  // END Drop node

  // Change concatenation type
  if ($concat) {
    $tochg=new DMO_NodeSearch($node_id);
    $tochg->setAttr('concatenation',$toval);
    $tochg->save();
    unset($concat);
  }
  // END concatenation

  // Save latest (in fact the whole) search tree
  $tmp=new DMO_NodeSearch();
  $tmp=$tmp->search(array('session','pid'),array(session_id(),$pid));
  for ($i=0;$i<count($tmp);$i++) {
    $var["concatenation"]="params_".$tmp[$i]->id."_concatenation";
    $var["attribute"]="params_".$tmp[$i]->id."_attribute";
    $var["property"]="params_".$tmp[$i]->id."_property";
    $var["condition"]="params_".$tmp[$i]->id."_condition";
    $var["value"]="params_".$tmp[$i]->id."_value";
    $var["inheritance"]="params_".$tmp[$i]->id."_inheritance";
    $var["definition"]="params_".$tmp[$i]->id."_definition";
    $tmp[$i]->setAttrs(array(
      "concatenation"=>$$var["concatenation"],
      "attribute"=>$$var["attribute"],
      "property"=>$$var["property"],
      "condition"=>$$var["condition"],
      "value"=>$$var["value"],
      "inheritance"=>$$var["inheritance"],
      "definition"=>$$var["definition"]
    ));
    $tmp[$i]->save();
  }
  unset($var,$tmp);
  // END Save search tree

  // Get the root of the tree and render the tree
  $tmp=new DMO_NodeSearch();
  $srcRoot=$tmp->search(array('session','pid','parent'),array(session_id(),$pid,0));
  unset($tmp);
  $srcRoot[0]->renderTree($hints,$err,$error);
  // END Render Tree
?>
