<?
  /**
  * DMO Advanced Search Resolving
  * Lucian Silistru <lucian@moongate.ro>, March 2003
  * $Id: showresults.php,v 1.17 2005/09/16 10:11:09 bogdan Exp $
  * @package DMO
  */

  _checkMeOut(__FILE__);
  
  /*
  * If this script is called from the search (makequery.php) then
  * we save the data the 'stree' form sent and we validate the search tree
  * No actual search is performed yet as we have to modify the query to add sorting capabilities
  */
  if (isset($search)) {
    $tmp=new DMO_NodeSearch();
    $tmp=$tmp->search(array('session','pid'),array(session_id(),$pid));
  
    for ($i=0;$i<count($tmp);$i++) {
      $var["concatenation"]="params_".$tmp[$i]->id."_concatenation";
      $var["attribute"]="params_".$tmp[$i]->id."_attribute";
      $var["property"]="params_".$tmp[$i]->id."_property";
      $var["condition"]="params_".$tmp[$i]->id."_condition";
      $var["value"]="params_".$tmp[$i]->id."_value";
      $var["inheritance"]="params_".$tmp[$i]->id."_inheritance";
      $var["definition"]="params_".$tmp[$i]->id."_definition";
      $tmp[$i]->setAttrs(array(
        "concatenation"=>$$var["concatenation"],
        "attribute"=>$$var["attribute"],
        "property"=>$$var["property"],
        "condition"=>$$var["condition"],
        "value"=>$$var["value"],
        "inheritance"=>$$var["inheritance"],
        "definition"=>$$var["definition"]
      ));
      $tmp[$i]->save();
    }
    unset($var,$tmp);
  
    $tmp=new DMO_NodeSearch();
    $tmp=$tmp->search(array('session','pid'),array(session_id(),$pid));
    $srcRoot=$tmp[0]->getRoot();

    $err=$srcRoot->validateSearch();
    if (count($err)) {
      $header="Location: $_DMO_url/index/search/advsearch/makesearch?pid=$pid&nsname=$nsname&nsdescr=".rawurlencode(stripslashes($nsdescr)).'&';
      for ($i=0;$i<count($tmp);$i++) {
        if ($err[$i]) {
          $header.="err[$i]={$err[$i]}&";
        }
      }
      $header=substr($header,0,-1);
      header($header);
    } else {
//if ($_page->user->getRights('DMO_AdvancedSearch','U') || $_page->user->getRights('DMO_AdvancedSearch','C'))
      $searchTree=new DMO_SavedSearch();
      $searchList=$searchTree->getSearches();
      if ($searchList==false) {
        $searchList=array();
      }
      for ($i=0;$i<count($searchList);$i++) {
        $searchList[$i]=$searchList[$i]["name"];
      }
      if ($toLoad) {
        if ($save=='Edit') {
          $searchTree->delSearch($toLoad);
          $searchTree->saveSearch($nsname,$nsdescr,$pid);
        } elseif ($save=='New') {
          $idx=0;
          $end='';
          while (in_array($nsname.$end,$searchList)) {
            $end=++$idx;
          }
          $searchTree->saveSearch($nsname.$idx,$nsdescr,$pid);
        }
      } else {
        if (!in_array($nsname,$searchList)) {
          if ($nsname!="") {
            $searchTree->saveSearch($nsname,$nsdescr,$pid);
          }
        } else {
          if ($sswatch=="0") {
            header("Location: $_DMO_url/index/search/advsearch/?pid=$pid&error=1&nsname=$nsname&nsdescr=".rawurlencode(stripslashes($nsdescr)));
          }
        }
      }
    }
    unset($tmp);
  }  

  // If this is the first time the script is run or you add a new element to the table
  if (!isset($sort)&&!isset($tosort)&&!isset($page_size)) {
    $sort[0]="0";
    $srt=0;
    $page_size=10;
    $first=1;
    $cp=1;
  }
  //END of first time run

  //Has page size been modified?
  if (isset($pg_size)) {
    $page_size=$pg_size;
    if (floor($first/$page_size)==$first/$page_size) {
      $first=(floor($first/$page_size)-1)*$page_size+1;      
    } else {
      $first=floor($first/$page_size)*$page_size+1;
    }
    $cp=($first-1)/$page_size+1;
    unset($pg_size);
  }
  //END page size
  
  // Current page modification
  if (isset($cp)) {
    $first=$page_size*($cp-1)+1;
  }
  //END current page modification  
  
  //Sort array resolving
  if (isset($tosort)) {
    if (isset($sort)) {
      $pos=array_search($tosort,$sort);
    } else {
      $pos=false;
    }  
    if ($pos!==false) {
      if ($tord==$ord[$pos]) {
        for ($i=$pos;$i<$srt;$i++) {
          if ($srt!=1) {
            $sort[$i]=$sort[$i+1];
            $ord[$i]=$ord[$i+1];
          } else {
            unset($sort);
            unset($ord);
            unset($by);
            $sort[0]="0";
          }
        }
        $srt--;
      } else {
        $sort[$srt]=$tosort;
        $ord[$srt]=$tord;
        for ($i=$pos;$i<$srt;$i++) {
          $sort[$i]=$sort[$i+1];
          $ord[$i]=$ord[$i+1];
          unset($sort[$srt]);
        }
      }
    } else {
      $sort[$srt]=$tosort;
      $ord[$srt]=$tord;
      $srt++;
    }
  }
  //END sort array resolving

  // Actual Search
  $tmp=new DMO_NodeSearch();
  $tmp=$tmp->search(array('session','pid'), array(session_id(),$pid));
  //decho("S:".session_id()."   P:".$pid);

  if (!($pid)) { //test to see if page was accessed correctly
    pecho(LFX_str());
    pecho(LFX_td(__D("This page was accessed incorrectly! Please go back to Advanced Search and set up a valid search!")));
    //pecho("<script>window.history.back()</script>");
    pecho(LFX_etr());
  } else {
    $srcRoot=$tmp[0]->getRoot();
    unset($sql);
    $sql=$srcRoot->performSearch($sort,$ord);
    $data=new DMO_NodeSearch();
    $data->query($sql);
    $ins_ct = $data->db->num_rows();
    
    
    //Fills insList for selection operations
    if ($addSels || $addAllSels || $replaceSel) {
      while ($data->db->next_record()) {
        $insList[] =  new DMO_instance($data->db->f(0));
      }
      $data->db->seek();
    }

/*  
  $insList=$srcRoot->performSearch($sort,$ord);
  for ($i=0;$i<count($insList)&&$insList[$i];$i++) {
    $insList[$i]=new DMO_Instance($insList[$i]);
  }
  $ins_ct=count($insList);
  */
  
  //END query
  
  /*
  base URL to use for data sending. in other ops (rem column, sort) we add a noshow, nosort, tosort, tord var
  also cp, first can be reappended when changing pages
  */
  $urladd="$_DMO_url/index/search/advsearch/showresults?pid=$pid&amp;cp=$cp&amp;first=$first&amp;page_size=$page_size&amp;srt=$srt&amp;ins={$ins->id}&amp;def={$def->id}";
  for ($i=0;$i<$srt;$i++) {
    $urladd.="&amp;sort[".$i."]={$sort[$i]}&amp;ord[".$i."]={$ord[$i]}";
  }
  //END Base URL

  // Add to instance selections
  if ($addSels) {
    for ($i=($first-1);($i<($first+$page_size-1))&&(is_object($insList[$i]));$i++) {
      if ($a[$i]=="on") {
        $insList[$i]->addToSelection(session_id());
      }
    }
    unset($a,$addSels,$sel,$same);
  }
  //END add to selection
  
  // Add all search results to selection
  if ($addAllSels) {
    for ($i=0;$i<$ins_ct;$i++) {
      //decho(session_id());
      //decho($insList[$i]);
      $insList[$i]->addToSelection(session_id());
    }
  }
  //END Add all to selection
  
  // Replace current selection with the instances with checkboxes set
  if ($replaceSel) {
    $sel=new DMO_Selection;
    if ($sel->clearSelection(session_id())) {
      for ($i=($first-1);($i<($first+$page_size-1))&&(is_object($insList[$i]));$i++) {
        if ($a[$i]=="on") {
          $insList[$i]->addToSelection(session_id());
        }
      }
    } else {
      $_page->addError('Selection could not be cleared (in showresults.php)');
    }
  }
  //END Replace

  pecho(LFX_echo("<table celspacing='$_DMO_spacing' width='100%'>"));
  pecho(LFX_echo("<tr><td>"));
  
  // Change page size form   
  pecho(LFX_sform("$urladd",POST));  
  pecho(LFX_startTables("100%"));
  $ttl=__D("Page Size")." &nbsp;&nbsp<input type='text' size='3' name='pg_size' value='$page_size'>
   &nbsp;&nbsp;".__D("Total Records: ").$ins_ct;
  pecho(DMO_swatchHeader(array("title"=>$ttl)));
  pecho(LFX_endTables());
  pecho(LFX_eform());  
  //END page size

  pecho(LFX_echo("</td></tr>"));
  pecho(LFX_echo("<tr><td>"));

/*  //Show page numbers so ppl can change them
  $pages_ct=ceil($ins_ct/$page_size);
  pecho(LFX_startTables("100%"));
  $ttl="";
  for ($i=1;$i<=$pages_ct;$i++) {
    if ($i==$cp) {
      $ttl.="&nbsp;[$i]&nbsp;";
    } else {
      $fst=($i-1)*$page_size+1;
      $ttl.="&nbsp;<a href='$urladd&amp;cp=$i&amp;first=$fst'>$i</a>&nbsp;";
    }
  }
  pecho(DMO_swatchHeader(array("title"=>$ttl)));
  pecho(LFX_endTables());
  //END show page numbers*/
  
  // Show page number... reduced size
  $pages_ct=ceil($ins_ct/$page_size);
  pecho(LFX_startTables("100%"));
  $ttl="";
  if ($cp>1) {
    if ($cp!=2) {
      $ttl.="&nbsp;<a href='$urladd&amp;cp=1&amp;first=1'><img src='$_DMO_icon_frew' border='0' alt='|&lt;-'></a>&nbsp;";
    } else {
      $ttl.="&nbsp;&nbsp;&nbsp;";
    }
    $prev=$cp-1;
    $fst=($prev-1)*$page_size+1;
    $ttl.="&nbsp;<a href='$urladd&amp;cp=$prev&amp;first=$fst'><img src='$_DMO_icon_rew' border='0' alt='&lt;-'></a>&nbsp;";
    unset($prev);
  }
  for ($i=$cp-3;$i<$cp;$i++) {
    if ($i<1) {
      continue;
    }
    $fst=($i-1)*$page_size+1;
    $ttl.="&nbsp;<a href='$urladd&amp;cp=$i&amp;first=$fst'>$i</a>&nbsp;";
  }
  $ttl.="&nbsp;[$cp]&nbsp;";
  for ($i=$cp+1;$i<=$cp+3;$i++) {
    if ($i>$pages_ct) {
      continue;
    }
    $fst=($i-1)*$page_size+1;
    $ttl.="&nbsp;<a href='$urladd&amp;cp=$i&amp;first=$fst'>$i</a>&nbsp;";
  }
  if ($cp<$pages_ct) {
    $next=$cp+1;
    $fst=($next-1)*$page_size+1;
    $ttl.="&nbsp;<a href='$urladd&amp;cp=$next&amp;first=$fst'><img src='$_DMO_icon_fwd' border='0' alt='-&gt;'></a>&nbsp;";
    unset($next);
    if ($cp!=$pages_ct-1) {
      $fst=($pages_ct-1)*$page_size+1;
      $ttl.="&nbsp;<a href='$urladd&amp;cp=$pages_ct&amp;first=$fst'><img src='$_DMO_icon_ffwd' border='0' alt='-&gt;|'></a>&nbsp;";
    }
  }
  pecho(DMO_swatchHeader(array("title"=>$ttl)));
  pecho(LFX_endTables());  
  //END Show page numbers
  
  pecho(LFX_echo("</td></tr>"));
  pecho(LFX_echo("<tr><td>"));

  // Report data
  $sls=new DMO_Definition;
  $nsname=$sls->gpcUnslash($nsname);
  $sql=$sls->gpcUnslash($sql);
  $tmp=new DMO_Temp();
  $tmp->setAttr('session',session_id());
  $tmp->setAttr('query',$sql,'gpc');
  $sql=$tmp->save();
  //END Report data

/*
  This is where we output the page
*/
  pecho(LFX_sform("$urladd",'POST','listform'));

  pecho(LFX_startTables("100%"));
  pecho(DMO_swatchHeader(array(
    'title'=>__D('Search Results'),
    'explain'=>array($_DMO_url.'/index/reports/instance/?from=bydef&amp;nm='.htmlspecialchars($nsname,ENT_QUOTES).'&amp;sqlID='.$sql,
                     'Create Report')
  )));
  pecho(LFX_str());
  pecho(LFX_echo("<td>"));
  pecho(LFX_startTables("100%"));
  pecho(LFX_str());
  pecho(LFX_echo('<td>'));
  
  // Checkbox that selects all boxes on current page
  pecho(LFX_echo("
  <script language='JavaScript'>
  <!--
    function check_boxes()
    {
      for (j=($first-1);j<$ins_ct;j++) {
        if (document.listform.checkall.checked==true) {
          document.listform.elements['a['+j+']'].checked=true;
        } else {
          document.listform.elements['a['+j+']'].checked=false;
        }
      }
    }
  //-->
  </script>"));  
  pecho(LFX_echo("<INPUT type='checkbox' name='checkall' onClick='check_boxes();'>"));
  //END full selection
  
  pecho(LFX_echo('</td>'));
  pecho(LFX_td());
  pecho(LFX_echo("
    <td style='text-align: center'>
    <b>Name</b>
    </td>
  "));
  pecho(LFX_echo("
    <td style='text-align: center'>

    <b>Definition</b>
    </td>
  "));
  pecho(LFX_echo("
    <td style='text-align: center'>
    <b>Date</b>
    </td>
  "));
  pecho(LFX_echo("
    <td style='text-align: center'>
    <b>Revision</b>
    </td>
  "));
  pecho(LFX_echo("
    <td style='text-align: center'>
    <b>Serial</b>
    </td>
  "));
  pecho(LFX_echo("
    <td style='text-align: center'>
    <b>Inventory</b>
    </td>
  "));
  pecho(LFX_echo("
    <td style='text-align: center'>
    <b>Type</b>
    </td>
  "));
  pecho(LFX_echo("
    <td style='text-align: center'>
    <b>User</b>
    </td>
  "));
  pecho(LFX_echo("
    <td style='text-align: center'>
    <b>Group</b>
    </td>
  "));
  pecho(LFX_echo("
    <td style='text-align: center'>
    <b>Parent</b>
    </td>
  "));
  
  pecho(LFX_estr());
  
  // Show table sorting arrows
  pecho(LFX_td());
  pecho(LFX_td());
  if (isset($sort)) {
    $pos=array_search("name",$sort);
  } else {
    $pos=false;
  }
  if (($pos!==false) && ($pos!==NULL)) {
    if ($ord[$pos]=="1") {
      $down="<img src='$_DMO_icon_down' border='0'>";
      $up="<img src='$_DMO_icon_up_disabled' border='0'>";
    } else {
      $down="<img src='$_DMO_icon_down_disabled' border='0'>";
      $up="<img src='$_DMO_icon_up' border='0'>";
    }
    $nr=$pos+1;    
  } else {
    $down="<img src='$_DMO_icon_down_disabled' border='0'>";
    $up="<img src='$_DMO_icon_up_disabled' border='0'>";
    $nr="";
  }
  pecho(LFX_echo("
    <td style='text-align: center'>$nr
    <a href='$urladd&amp;tosort=name&amp;tord=1'>$down</a>
    <a href='$urladd&amp;tosort=name&amp;tord=0'>$up</a></td>
  "));  
  if (isset($sort)) {
    $pos=array_search("definition",$sort);
  } else {
    $pos=false;
  }
  if (($pos!==false) && ($pos!==NULL)) {
    if ($ord[$pos]=="1") {
      $down="<img src='$_DMO_icon_down' border='0'>";
      $up="<img src='$_DMO_icon_up_disabled' border='0'>";
    } else {
      $down="<img src='$_DMO_icon_down_disabled' border='0'>";
      $up="<img src='$_DMO_icon_up' border='0'>";
    }
    $nr=$pos+1;    
  } else {
    $down="<img src='$_DMO_icon_down_disabled' border='0'>";
    $up="<img src='$_DMO_icon_up_disabled' border='0'>";
    $nr="";
  }
  pecho(LFX_echo("
    <td style='text-align: center'>$nr
    <a href='$urladd&amp;tosort=definition&amp;tord=1'>$down</a>
    <a href='$urladd&amp;tosort=definition&amp;tord=0'>$up</a></td>
  "));  
  if (isset($sort)) {
    $pos=array_search("date",$sort);
  } else {
    $pos=false;
  }
  if ($pos!==false && $pos!==NULL) {
    if ($ord[$pos]=="1") {
      $down="<img src='$_DMO_icon_down' border='0'>";
      $up="<img src='$_DMO_icon_up_disabled' border='0'>";
    } else {
      $down="<img src='$_DMO_icon_down_disabled' border='0'>";
      $up="<img src='$_DMO_icon_up' border='0'>";
    }
    $nr=$pos+1;
  } else {
    $down="<img src='$_DMO_icon_down_disabled' border='0'>";
    $up="<img src='$_DMO_icon_up_disabled' border='0'>";
    $nr="";
  }
  pecho(LFX_echo("
    <td style='text-align: center'>$nr
    <a href='$urladd&amp;tosort=date&amp;tord=1'>$down</a>
    <a href='$urladd&amp;tosort=date&amp;tord=0'>$up</a></td>
  "));
  if (isset($sort)) {
    $pos=array_search("revision",$sort);
  } else {
    $pos=false;
  }
  if ($pos!==false && $pos!==NULL) {
    if ($ord[$pos]=="1") {
      $down="<img src='$_DMO_icon_down' border='0'>";
      $up="<img src='$_DMO_icon_up_disabled' border='0'>";
    } else {
      $down="<img src='$_DMO_icon_down_disabled' border='0'>";
      $up="<img src='$_DMO_icon_up' border='0'>";
    }
    $nr=$pos+1;
  } else {
    $down="<img src='$_DMO_icon_down_disabled' border='0'>";
    $up="<img src='$_DMO_icon_up_disabled' border='0'>";
    $nr="";
  }
  pecho(LFX_echo("
    <td style='text-align: center'>$nr
    <a href='$urladd&amp;tosort=revision&amp;tord=1'>$down</a>
    <a href='$urladd&amp;tosort=revision&amp;tord=0'>$up</a></td>
  "));
  if (isset($sort)) {
    $pos=array_search("serial",$sort);
  } else {
    $pos=false;
  }
  if ($pos!==false && $pos!==NULL) {
    if ($ord[$pos]=="1") {
      $down="<img src='$_DMO_icon_down' border='0'>";
      $up="<img src='$_DMO_icon_up_disabled' border='0'>";
    } else {
      $down="<img src='$_DMO_icon_down_disabled' border='0'>";
      $up="<img src='$_DMO_icon_up' border='0'>";
    }
    $nr=$pos+1;
  } else {
    $down="<img src='$_DMO_icon_down_disabled' border='0'>";
    $up="<img src='$_DMO_icon_up_disabled' border='0'>";
    $nr="";
  }
  pecho(LFX_echo("
    <td style='text-align: center'>$nr
    <a href='$urladd&amp;tosort=serial&amp;tord=1'>$down</a>
    <a href='$urladd&amp;tosort=serial&amp;tord=0'>$up</a></td>
  "));
  if (isset($sort)) {
    $pos=array_search("inventory",$sort);
  } else {
    $pos=false;
  }
  if ($pos!==false && $pos!==NULL) {
    if ($ord[$pos]=="1") {
      $down="<img src='$_DMO_icon_down' border='0'>";
      $up="<img src='$_DMO_icon_up_disabled' border='0'>";
    } else {
      $down="<img src='$_DMO_icon_down_disabled' border='0'>";
      $up="<img src='$_DMO_icon_up' border='0'>";
    }
    $nr=$pos+1;
  } else {
    $down="<img src='$_DMO_icon_down_disabled' border='0'>";
    $up="<img src='$_DMO_icon_up_disabled' border='0'>";
    $nr="";
  }
  pecho(LFX_echo("
    <td style='text-align: center'>$nr
    <a href='$urladd&amp;tosort=inventory&amp;tord=1'>$down</a>
    <a href='$urladd&amp;tosort=inventory&amp;tord=0'>$up</a></td>
  "));
  
  if (isset($sort)) {
    $pos=array_search("type",$sort);
  } else {
    $pos=false;
  }
  if ($pos!==false && $pos!==NULL) {
    if ($ord[$pos]=="1") {
      $down="<img src='$_DMO_icon_down' border='0'>";
      $up="<img src='$_DMO_icon_up_disabled' border='0'>";
    } else {
      $down="<img src='$_DMO_icon_down_disabled' border='0'>";
      $up="<img src='$_DMO_icon_up' border='0'>";
    }
    $nr=$pos+1;
  } else {
    $down="<img src='$_DMO_icon_down_disabled' border='0'>";
    $up="<img src='$_DMO_icon_up_disabled' border='0'>";
    $nr="";
  }
  pecho(LFX_echo("
    <td style='text-align: center'>$nr
    <a href='$urladd&amp;tosort=type&amp;tord=1'>$down</a>
    <a href='$urladd&amp;tosort=type&amp;tord=0'>$up</a></td>
  "));
  
  /*if (isset($sort)) { //----------------------------------------------------
    
    $pos=array_search("owner",$sort);
  } else {
    $pos=false;
  }
  if ($pos!==false && $pos!==NULL) {
    if ($ord[$pos]=="1") {
      $down="<img src='$_DMO_icon_down' border='0'>";
      $up="<img src='$_DMO_icon_up_disabled' border='0'>";
    } else {
      $down="<img src='$_DMO_icon_down_disabled' border='0'>";
      $up="<img src='$_DMO_icon_up' border='0'>";
    }
    $nr=$pos+1;
  } else {
    $down="<img src='$_DMO_icon_down_disabled' border='0'>";
    $up="<img src='$_DMO_icon_up_disabled' border='0'>";
    $nr="";
  }
  pecho(LFX_echo("
    <td style='text-align: center'>$nr
    <a href='$urladd&amp;tosort=owner&amp;tord=1'>$down</a>
    <a href='$urladd&amp;tosort=owner&amp;tord=0'>$up</a></td>
  "));
  */
  pecho(LFX_td());
  
  /*if (isset($sort)) { //----------------------------------------------------
    $pos=array_search("group",$sort);
  } else {
    $pos=false;
  }
  if ($pos!==false && $pos!==NULL) {
    if ($ord[$pos]=="1") {
      $down="<img src='$_DMO_icon_down' border='0'>";
      $up="<img src='$_DMO_icon_up_disabled' border='0'>";
    } else {
      $down="<img src='$_DMO_icon_down_disabled' border='0'>";
      $up="<img src='$_DMO_icon_up' border='0'>";
    }
    $nr=$pos+1;
  } else {
    $down="<img src='$_DMO_icon_down_disabled' border='0'>";
    $up="<img src='$_DMO_icon_up_disabled' border='0'>";
    $nr="";
  }
  pecho(LFX_echo("
    <td style='text-align: center'>$nr
    <a href='$urladd&amp;tosort=group&amp;tord=1'>$down</a>
    <a href='$urladd&amp;tosort=group&amp;tord=0'>$up</a></td>
  "));

  */
  pecho(LFX_td());
  
  if (isset($sort)) {
    $pos=array_search("parent",$sort);
  } else {
    $pos=false;
  }
  if ($pos!==false && $pos!==NULL) {
    if ($ord[$pos]=="1") {
      $down="<img src='$_DMO_icon_down' border='0'>";
      $up="<img src='$_DMO_icon_up_disabled' border='0'>";
    } else {
      $down="<img src='$_DMO_icon_down_disabled' border='0'>";
      $up="<img src='$_DMO_icon_up' border='0'>";
    }
    $nr=$pos+1;
  } else {
    $down="<img src='$_DMO_icon_down_disabled' border='0'>";
    $up="<img src='$_DMO_icon_up_disabled' border='0'>";
    $nr="";
  }
  pecho(LFX_echo("
    <td style='text-align: center'>$nr
    <a href='$urladd&amp;tosort=parent&amp;tord=1'>$down</a>
    <a href='$urladd&amp;tosort=parent&amp;tord=0'>$up</a></td>
  "));
  pecho(LFX_etr());
  //END Table sorting arrows

  //Move db pointer to display position  
  for ($i=0; $i<$first-1; $i++) {
    $data->db->next_record();
  }
  
  // Showing data
  for ($i=0; ($i<$page_size) && ($data->db->next_record()); $i++) {
    $insLst[$i] = new DMO_instance($data->db->f(0));    
    //for ($i=($first-1);($i<($first+$page_size-1))&&(is_object($insList[$i]));$i++) {
    pecho(LFX_str());
    pecho(LFX_td("<input type='checkbox' name='a[$i]'>"));    
    pecho(LFX_td($i+1));
    pecho(LFX_td($insLst[$i]->getLinkH()));
    $defin=$insLst[$i]->getObject("definition");
    if (is_object($defin)) {
      $defnm=$defin->getAttr("name");
    }
    pecho(LFX_td($defnm));
    pecho(LFX_td($insLst[$i]->getAttrH("date")));
    pecho(LFX_td($insLst[$i]->getAttrH("revision")));
    pecho(LFX_td($insLst[$i]->getAttrH("serial")));
    pecho(LFX_td($insLst[$i]->getAttrH("inventory")));
    pecho(LFX_td($insLst[$i]->getAttrH("type")));
    
    $user = new LFX_user($insLst[$i]->getAttr("owner"));
    pecho(LFX_td($user->getLinkH()));
    
    $group = new LFX_group($insLst[$i]->getAttr("group"));
    pecho(LFX_td($group->getLinkH()));
    
    $parentID=$insLst[$i]->getAttr("parent");
    $parent=new DMO_Instance($parentID);
    pecho(LFX_td($parent->getLinkH()));
    pecho(LFX_etr());
  }
  //END Showing data
  
  pecho(LFX_endTables());
  pecho(LFX_echo("</td>"));
  pecho(LFX_etr());
  pecho(LFX_endTables());
  
  pecho(LFX_echo("</td>"));
  pecho(LFX_estr());
  pecho(LFX_echo("<td>"));
  
  pecho(LFX_startTables("100%"));
  pecho(DMO_swatchHeader(array(
    'title'=>"<input type='submit' name='addSels' value='".__D("Add to selection")."'>&nbsp;
              <input type='submit' name='addAllSels' value='".__D('Add all to selection')."'>&nbsp;
              <input type='submit' name='replaceSel' value='".__D('Replace selection')."'>&nbsp;
              <input type='button' value='".__D('View Selection')."' onClick=\"window.location='$_DMO_url/index/data/selview/?def={$def->id}&ins={$ins->id}&tree={$tree->id}'\">
  ")));
  pecho(LFX_endTables());
  
  pecho(LFX_eform());  
  //END of page showing

  pecho(LFX_echo("</td></tr>"));
  pecho(LFX_echo("<tr><td>"));
  
  // Show page number... reduced size
  pecho(LFX_startTables("100%"));
  $ttl="";
  if ($cp>1) {
    if ($cp!=2) {
      $ttl.="&nbsp;<a href='$urladd&amp;cp=1&amp;first=1'><img src='$_DMO_icon_frew' border='0' alt='|&lt;-'></a>&nbsp;";
    } else {
      $ttl.="&nbsp;&nbsp;&nbsp;";
    }
    $prev=$cp-1;
    $fst=($prev-1)*$page_size+1;
    $ttl.="&nbsp;<a href='$urladd&amp;cp=$prev&amp;first=$fst'><img src='$_DMO_icon_rew' border='0' alt='&lt;-'></a>&nbsp;";
    unset($prev);
  }
  for ($i=$cp-3;$i<$cp;$i++) {
    if ($i<1) {
      continue;
    }
    $fst=($i-1)*$page_size+1;
    $ttl.="&nbsp;<a href='$urladd&amp;cp=$i&amp;first=$fst'>$i</a>&nbsp;";
  }
  $ttl.="&nbsp;[$cp]&nbsp;";
  for ($i=$cp+1;$i<=$cp+3;$i++) {
    if ($i>$pages_ct) {
      continue;
    }
    $fst=($i-1)*$page_size+1;
    $ttl.="&nbsp;<a href='$urladd&amp;cp=$i&amp;first=$fst'>$i</a>&nbsp;";
  }
  if ($cp<$pages_ct) {
    $next=$cp+1;
    $fst=($next-1)*$page_size+1;
    $ttl.="&nbsp;<a href='$urladd&amp;cp=$next&amp;first=$fst'><img src='$_DMO_icon_fwd' border='0' alt='-&gt;'></a>&nbsp;";
    unset($next);
    if ($cp!=$pages_ct-1) {
      $fst=($pages_ct-1)*$page_size+1;
      $ttl.="&nbsp;<a href='$urladd&amp;cp=$pages_ct&amp;first=$fst'><img src='$_DMO_icon_ffwd' border='0' alt='-&gt;|'></a>&nbsp;";
    }
  }
  pecho(DMO_swatchHeader(array("title"=>$ttl)));
  
  
  }
  pecho(LFX_endTables());  
  //END Show page numbers
  
  pecho(LFX_echo("</td></tr>"));
  pecho(LFX_echo("</table>"));
?>
