<?
  /**
  * Query Search Results Page
  * Lucian Silistru <lucian@moongate.ro>, March 2003
  * $Id: showquery.php,v 1.8 2005/04/12 11:32:09 bogdan Exp $
  * @package DMO
  */
  
  _checkMeOut(__FILE__);
  
  $_incReq=array('DMO_Instance','DMO_Instattr','DMO_Attribute','DMO_Selection','DMO_Temp');
  include($_incMgr);  


  // If this is a new query then we save it
  if (isset($search)) {
    if (
      (
        isset($qname) ||
        isset($prequery)
      ) && (
        $_page->user->getRights('DMO_QuerySearch','U') ||
        $_page->user->getRights('DMO_QuerySearch','C')
      )
    ) {
      if (!$prequery) {
        $que=new DMO_QuerySearch();             
        $exists=$que->searchID("name",$qname);
        if ($exists && $qname!='') {
          $header="Location: $_DMO_url/index/search/querysearch/makequery?err=2";
          $header.="&qname=".htmlspecialchars($qname);
          $header.="&descript=".htmlspecialchars($que->gpcUnslash($descript));
          $header.="&query=".htmlspecialchars($que->gpcUnslash($query));
          header($header);
        }
        if ((!$exists && $qname!='')) {
          $que->setAttr("name",$qname,"gpc");
          $que->setAttr("description",$descript,"gpc");
          $que->setAttr("query",$query,"gpc");
          $prequery=$que->save();
        }
        if ($qname=='') {
          $que=new DMO_QuerySearch($exists[0]);
          $que->setAttr("description",$descript,"gpc");
          $que->setAttr("query",$query,"gpc");
          $prequery=$que->save();
        }
      } else {
        $que=new DMO_QuerySearch($prequery);
        $que->setAttr("description",$descript,"gpc");
        $que->setAttr("query",$query,"gpc");
        $prequery=$que->save();
      }
      $que=new DMO_QuerySearch($prequery);
      $query=$que->getAttr('query');
    } else {
      $que=new DMO_QuerySearch();
      $query=LFX_Object::gpcUnslash($query);
    }
  }
  //END save
  
  // If this is the first time the script is run or you add a new element to the table
  if (!isset($sort)&&!isset($tosort)&&!isset($page_size)) {
    $sort[0]="0";
    $srt=0;
    $page_size=10;
    $first=1;
    $cp=1;
  }
  //END of first time run

  // Has page size been modified?
  if (isset($pg_size)) {
    $page_size=$pg_size;
    if (floor($first/$page_size)==$first/$page_size) {
      $first=(floor($first/$page_size)-1)*$page_size+1;      
    } else {
      $first=floor($first/$page_size)*$page_size+1;
    }
    $cp=($first-1)/$page_size+1;
    unset($pg_size);
  }
  //END page size
  
  // Current page modification
  if (isset($cp)) {
    $first=$page_size*($cp-1)+1;
  }
  //END current page modification  
  
  // Sort array resolving
  if (isset($tosort)) {
    if (isset($sort)) {
      $pos=array_search($tosort,$sort);
    } else {
      $pos=false;
    }  
    if ($pos!==false) {
      if ($tord==$ord[$pos]) {
        for ($i=$pos;$i<$srt;$i++) {
          if ($srt!=1) {
            $sort[$i]=$sort[$i+1];
            $ord[$i]=$ord[$i+1];
          } else {
            unset($sort);
            unset($ord);
            unset($by);
            $sort[0]="0";
          }
        }
        $srt--;
      } else {
        $sort[$srt]=$tosort;
        $ord[$srt]=$tord;
        for ($i=$pos;$i<$srt;$i++) {
          $sort[$i]=$sort[$i+1];
          $ord[$i]=$ord[$i+1];
          unset($sort[$srt]);
        }
      }
    } else {
      $sort[$srt]=$tosort;
      $ord[$srt]=$tord;
      $srt++;
    }
  }
  //END sort array resolving

/*
Query making and execution. This is where we get the results
*/
//pecho(LFX_echo($query."<br>"));
  $tmp=split("WHERE",
    str_replace('where','WHERE',
      str_replace('Where','WHERE',
        $query
      )
    )
   );
  $sql="SELECT i.* FROM instance i ".$tmp[0];
  $sql.=" LEFT JOIN instance ii ON i.instance_parent=ii.instance_ID";
  $sql.=" LEFT JOIN definition df ON i.definition_ID=df.definition_ID";

  // Doing the permissions bit
  $permConds='';
  global $_DMO_globals,$_page;
  if (
    $_DMO_globals->getSetting('enable_instance_access_control') &&
    !$_page->user->getRights('DMO_all_instances','R')
  ) {
    // Basic access: user owner is me.
    $permConds="i.instance_owner={$_page->user->id} OR ";

    // Detailed access: instances with a group owner I am a member in.
    $accessList=$_page->user->accessList();
    for($i=0;$i<count($accessList);$i++) {
      if (LFX_permsFilter($accessList[$i][1],'R')) {
        $permConds.="i.instance_group={$accessList[$i][0]} OR ";
      }
    }
    $permConds=substr($permConds,0,-4);
  }

  if ($tmp[1]) {
    $sql.=" WHERE ";
    if ($permConds) {
      // PERM + WHERE
      $sql="$sql ($permConds) AND ($tmp[1])";
    } else {
      // Only WHERE
      $sql.=$tmp[1];
    }
  } elseif ($permConds) {
    // Only PERM
    $sql.=" WHERE $permConds";
  }
  
  if ($sort[0]!="0" && $sort[0]!=NULL) {
    $sql.=" ORDER BY ";
  }
  
  $core_list=array("name","date","revision","serial","inventory","type");
  for ($i=0;$i<count($sort);$i++) {
    if ($ord[$i]==1) {
      $sord="ASC,";
    } else {
      $sord="DESC,";
    }
    if (in_array($sort[$i],$core_list)) {
      $sql.=" i.instance_{$sort[$i]} $sord";
    } elseif ($sort[$i]=="parent") {
      $sql.=" ii.instance_name $sord";
    } elseif ($sort[$i]=="definition") {
      $sql.=" df.definition_name $sord";
    } elseif ($sort[$i]===NULL) {

    }      
  }   
  if (substr($sql,-1)==",") {
    $sql=substr($sql,0,-1);
  }  
  pecho(LFX_echo(nl2br($sql)));
  $que=new DMO_QuerySearch;
  $que->query($sql);
  while ($que->db->next_record()) {
    $insList[]=$que->db->f("instance_ID");
  }
  for ($i=0;$i<count($insList);$i++) {
    $insList[$i]=new DMO_Instance($insList[$i]);
  }
  $ins_ct=count($insList);
  $query=htmlspecialchars($query,ENT_QUOTES);
  unset($tmp);
  unset($que);
  //END Query and Search
  
  /*
  base URL to use for data sending. in other ops (rem column, sort) we add a noshow, nosort, tosort, tord var
  also cp, first can be reappended when changing pages
  */
  $urladd="$_DMO_url/index/search/querysearch/showquery?prequery=$prequery&amp;query=$query&amp;cp=$cp&amp;first=$first&amp;page_size=$page_size&amp;srt=$srt&amp;ins={$ins->id}&amp;def={$def->id}";
  for ($i=0;$i<$srt;$i++) {
    $urladd.="&amp;sort[".$i."]={$sort[$i]}&amp;ord[".$i."]={$ord[$i]}";
  }
  //END base URL

  // Add to instance selections
  if ($addSels) {
    for ($i=($first-1);($i<($first+$page_size-1))&&(is_object($insList[$i]));$i++) {
      if ($a[$i]=="on") {
        $insList[$i]->addToSelection(session_id());        
      }
    }
    unset($a,$addSels,$sel,$same);
  }
  //END add to selection
  
  // Add all search results to selection
  if ($addAllSels) {
    for ($i=0;$i<$ins_ct;$i++) {
      $insList[$i]->addToSelection(session_id());
    }
  }
  //END Add all to selection
  
  // Replace current selection with the instances with checkboxes set
  if ($replaceSel) {
    $sel=new DMO_Selection;
    if ($sel->clearSelection(session_id())) {
      for ($i=($first-1);($i<($first+$page_size-1))&&(is_object($insList[$i]));$i++) {
        if ($a[$i]=="on") {
          $insList[$i]->addToSelection(session_id());
        }
      }
    } else {
      $_page->addError('Selection could not be cleared (in showresults.php)');
    }
  }
  //END Replace  

  pecho(LFX_echo("<table celspacing='$_DMO_spacing' width='100%'>"));
  pecho(LFX_echo("<tr><td>"));

//change page size form   
  pecho(LFX_sform("$urladd",POST));  
  pecho(LFX_startTables("100%"));
  $ttl=__D("Page Size")." &nbsp;&nbsp<input type='text' size='3' name='pg_size' value='$page_size'>";
  pecho(DMO_swatchHeader(array("title"=>$ttl)));
  pecho(LFX_endTables());
  pecho(LFX_eform());  
// end page size

  pecho(LFX_echo("</td></tr>"));
  pecho(LFX_echo("<tr><td>"));

  // Show page number... reduced size
  $pages_ct=ceil($ins_ct/$page_size);
  pecho(LFX_startTables("100%"));
  $ttl="";
  if ($cp>1) {
    if ($cp!=2) {
      $ttl.="&nbsp;<a href='$urladd&amp;cp=1&amp;first=1'><img src='$_DMO_icon_frew' border='0' alt='|&lt;-'></a>&nbsp;";
    } else {
      $ttl.="&nbsp;&nbsp;&nbsp;";
    }
    $prev=$cp-1;
    $fst=($prev-1)*$page_size+1;
    $ttl.="&nbsp;<a href='$urladd&amp;cp=$prev&amp;first=$fst'><img src='$_DMO_icon_rew' border='0' alt='&lt;-'></a>&nbsp;";
    unset($prev);
  }
  for ($i=$cp-3;$i<$cp;$i++) {
    if ($i<1) {
      continue;
    }
    $fst=($i-1)*$page_size+1;
    $ttl.="&nbsp;<a href='$urladd&amp;cp=$i&amp;first=$fst'>$i</a>&nbsp;";
  }
  $ttl.="&nbsp;[$cp]&nbsp;";
  for ($i=$cp+1;$i<=$cp+3;$i++) {
    if ($i>$pages_ct) {
      continue;
    }
    $fst=($i-1)*$page_size+1;
    $ttl.="&nbsp;<a href='$urladd&amp;cp=$i&amp;first=$fst'>$i</a>&nbsp;";
  }
  if ($cp<$pages_ct) {
    $next=$cp+1;
    $fst=($next-1)*$page_size+1;
    $ttl.="&nbsp;<a href='$urladd&amp;cp=$next&amp;first=$fst'><img src='$_DMO_icon_fwd' border='0' alt='-&gt;'></a>&nbsp;";
    unset($next);
    if ($cp!=$pages_ct-1) {
      $fst=($pages_ct-1)*$page_size+1;
      $ttl.="&nbsp;<a href='$urladd&amp;cp=$pages_ct&amp;first=$fst'><img src='$_DMO_icon_ffwd' border='0' alt='-&gt;|'></a>&nbsp;";
    }
  }
  pecho(DMO_swatchHeader(array("title"=>$ttl)));
  pecho(LFX_endTables());  
  //END Show page numbers
  
  pecho(LFX_echo("</td></tr>"));
  pecho(LFX_echo("<tr><td>"));
  
/*
  Report generation data
*/
  $que=new DMO_QuerySearch($prequery);
  $nm=$que->getAttr("name");  
  $tmp=new DMO_Temp();
  $tmp->setAttr('session',session_id());
  $tmp->setAttr('query',$sql,'gpc');
  $sql=$tmp->save();
// END Report gen
  
/*
  This is where we output the page
*/
  pecho(LFX_sform("$urladd",'POST','listform'));

  pecho(LFX_startTables("100%"));
  pecho(DMO_swatchHeader(array(
    'title'=>__D('Search Results'),
    'update'=>$_DMO_url.'/index/search/querysearch/makequery?prequery='.$prequery,
    'explain'=>$_DMO_url.'/index/reports/instance/?from=bydef&amp;nm='.htmlspecialchars($nm,ENT_QUOTES).'&amp;sql='.$sql
  )));
  pecho(LFX_str());
  pecho(LFX_echo("<td>"));
  pecho(LFX_startTables("100%"));
  pecho(LFX_str());
  pecho(LFX_echo('<td>'));
  // Checkbox that selects all boxes on current page
  pecho(LFX_echo("
  <script language='JavaScript'>
  <!--
    function check_boxes()
    {
      for (j=($first-1);j<$ins_ct;j++) {
        if (document.listform.checkall.checked==true) {
          document.listform.elements['a['+j+']'].checked=true;
        } else {
          document.listform.elements['a['+j+']'].checked=false;
        }
      }
    }
  //-->
  </script>"));  
  pecho(LFX_echo("<INPUT type='checkbox' name='checkall' onClick='check_boxes();'>"));
  //END full selection
  pecho(LFX_echo('</td>'));
  pecho(LFX_td());
  pecho(LFX_echo("
    <td style='text-align: center'>
    <b>Name</b>
    </td>
  "));
  pecho(LFX_echo("
    <td style='text-align: center'>
    <b>Definition</b>
    </td>
  "));
  pecho(LFX_echo("
    <td style='text-align: center'>
    <b>Date</b>
    </td>
  "));
  pecho(LFX_echo("
    <td style='text-align: center'>
    <b>Revision</b>
    </td>
  "));
  pecho(LFX_echo("
    <td style='text-align: center'>
    <b>Serial</b>
    </td>
  "));
  pecho(LFX_echo("
    <td style='text-align: center'>
    <b>Inventory</b>
    </td>
  "));
  pecho(LFX_echo("
    <td style='text-align: center'>
    <b>Type</b>
    </td>
  "));
  pecho(LFX_echo("
    <td style='text-align: center'>
    <b>Parent</b>
    </td>
  "));
  
  pecho(LFX_estr());
  pecho(LFX_td());
  pecho(LFX_td());
  if (isset($sort)) {
    $pos=array_search("name",$sort);
  } else {
    $pos=false;
  }
  if (($pos!==false) && ($pos!==NULL)) {
    if ($ord[$pos]=="1") {
      $down="<img src='$_DMO_icon_down' border='0'>";
      $up="<img src='$_DMO_icon_up_disabled' border='0'>";
    } else {
      $down="<img src='$_DMO_icon_down_disabled' border='0'>";
      $up="<img src='$_DMO_icon_up' border='0'>";
    }
    $nr=$pos+1;    
  } else {
    $down="<img src='$_DMO_icon_down_disabled' border='0'>";
    $up="<img src='$_DMO_icon_up_disabled' border='0'>";
    $nr="";
  }
  pecho(LFX_echo("
    <td style='text-align: center'>$nr
    <a href='$urladd&amp;tosort=name&amp;tord=1'>$down</a>
    <a href='$urladd&amp;tosort=name&amp;tord=0'>$up</a></td>
  "));  
  if (isset($sort)) {
    $pos=array_search("definition",$sort);
  } else {
    $pos=false;
  }
  if (($pos!==false) && ($pos!==NULL)) {
    if ($ord[$pos]=="1") {
      $down="<img src='$_DMO_icon_down' border='0'>";
      $up="<img src='$_DMO_icon_up_disabled' border='0'>";
    } else {
      $down="<img src='$_DMO_icon_down_disabled' border='0'>";
      $up="<img src='$_DMO_icon_up' border='0'>";
    }
    $nr=$pos+1;    
  } else {
    $down="<img src='$_DMO_icon_down_disabled' border='0'>";
    $up="<img src='$_DMO_icon_up_disabled' border='0'>";
    $nr="";
  }
  pecho(LFX_echo("
    <td style='text-align: center'>$nr
    <a href='$urladd&amp;tosort=definition&amp;tord=1'>$down</a>
    <a href='$urladd&amp;tosort=definition&amp;tord=0'>$up</a></td>
  "));  
  if (isset($sort)) {
    $pos=array_search("date",$sort);
  } else {
    $pos=false;
  }
  if ($pos!==false && $pos!==NULL) {
    if ($ord[$pos]=="1") {
      $down="<img src='$_DMO_icon_down' border='0'>";
      $up="<img src='$_DMO_icon_up_disabled' border='0'>";
    } else {
      $down="<img src='$_DMO_icon_down_disabled' border='0'>";
      $up="<img src='$_DMO_icon_up' border='0'>";
    }
    $nr=$pos+1;
  } else {
    $down="<img src='$_DMO_icon_down_disabled' border='0'>";
    $up="<img src='$_DMO_icon_up_disabled' border='0'>";
    $nr="";
  }
  pecho(LFX_echo("
    <td style='text-align: center'>$nr
    <a href='$urladd&amp;tosort=date&amp;tord=1'>$down</a>
    <a href='$urladd&amp;tosort=date&amp;tord=0'>$up</a></td>
  "));
  if (isset($sort)) {
    $pos=array_search("revision",$sort);
  } else {
    $pos=false;
  }
  if ($pos!==false && $pos!==NULL) {
    if ($ord[$pos]=="1") {
      $down="<img src='$_DMO_icon_down' border='0'>";
      $up="<img src='$_DMO_icon_up_disabled' border='0'>";
    } else {
      $down="<img src='$_DMO_icon_down_disabled' border='0'>";
      $up="<img src='$_DMO_icon_up' border='0'>";
    }
    $nr=$pos+1;
  } else {
    $down="<img src='$_DMO_icon_down_disabled' border='0'>";
    $up="<img src='$_DMO_icon_up_disabled' border='0'>";
    $nr="";
  }
  pecho(LFX_echo("
    <td style='text-align: center'>$nr
    <a href='$urladd&amp;tosort=revision&amp;tord=1'>$down</a>
    <a href='$urladd&amp;tosort=revision&amp;tord=0'>$up</a></td>
  "));
  if (isset($sort)) {
    $pos=array_search("serial",$sort);
  } else {
    $pos=false;
  }
  if ($pos!==false && $pos!==NULL) {
    if ($ord[$pos]=="1") {
      $down="<img src='$_DMO_icon_down' border='0'>";
      $up="<img src='$_DMO_icon_up_disabled' border='0'>";
    } else {
      $down="<img src='$_DMO_icon_down_disabled' border='0'>";
      $up="<img src='$_DMO_icon_up' border='0'>";
    }
    $nr=$pos+1;
  } else {
    $down="<img src='$_DMO_icon_down_disabled' border='0'>";
    $up="<img src='$_DMO_icon_up_disabled' border='0'>";
    $nr="";
  }
  pecho(LFX_echo("
    <td style='text-align: center'>$nr
    <a href='$urladd&amp;tosort=serial&amp;tord=1'>$down</a>
    <a href='$urladd&amp;tosort=serial&amp;tord=0'>$up</a></td>
  "));
  if (isset($sort)) {
    $pos=array_search("inventory",$sort);
  } else {
    $pos=false;
  }
  if ($pos!==false && $pos!==NULL) {
    if ($ord[$pos]=="1") {
      $down="<img src='$_DMO_icon_down' border='0'>";
      $up="<img src='$_DMO_icon_up_disabled' border='0'>";
    } else {
      $down="<img src='$_DMO_icon_down_disabled' border='0'>";
      $up="<img src='$_DMO_icon_up' border='0'>";
    }
    $nr=$pos+1;
  } else {
    $down="<img src='$_DMO_icon_down_disabled' border='0'>";
    $up="<img src='$_DMO_icon_up_disabled' border='0'>";
    $nr="";
  }
  pecho(LFX_echo("
    <td style='text-align: center'>$nr
    <a href='$urladd&amp;tosort=inventory&amp;tord=1'>$down</a>
    <a href='$urladd&amp;tosort=inventory&amp;tord=0'>$up</a></td>
  "));
  if (isset($sort)) {
    $pos=array_search("type",$sort);
  } else {
    $pos=false;
  }
  if ($pos!==false && $pos!==NULL) {
    if ($ord[$pos]=="1") {
      $down="<img src='$_DMO_icon_down' border='0'>";
      $up="<img src='$_DMO_icon_up_disabled' border='0'>";
    } else {
      $down="<img src='$_DMO_icon_down_disabled' border='0'>";
      $up="<img src='$_DMO_icon_up' border='0'>";
    }
    $nr=$pos+1;
  } else {
    $down="<img src='$_DMO_icon_down_disabled' border='0'>";
    $up="<img src='$_DMO_icon_up_disabled' border='0'>";
    $nr="";
  }
  pecho(LFX_echo("
    <td style='text-align: center'>$nr
    <a href='$urladd&amp;tosort=type&amp;tord=1'>$down</a>
    <a href='$urladd&amp;tosort=type&amp;tord=0'>$up</a></td>
  "));
  
  if (isset($sort)) {
    $pos=array_search("parent",$sort);
  } else {
    $pos=false;
  }
  if ($pos!==false && $pos!==NULL) {
    if ($ord[$pos]=="1") {
      $down="<img src='$_DMO_icon_down' border='0'>";
      $up="<img src='$_DMO_icon_up_disabled' border='0'>";
    } else {
      $down="<img src='$_DMO_icon_down_disabled' border='0'>";
      $up="<img src='$_DMO_icon_up' border='0'>";
    }
    $nr=$pos+1;
  } else {
    $down="<img src='$_DMO_icon_down_disabled' border='0'>";
    $up="<img src='$_DMO_icon_up_disabled' border='0'>";
    $nr="";
  }
  pecho(LFX_echo("
    <td style='text-align: center'>$nr
    <a href='$urladd&amp;tosort=parent&amp;tord=1'>$down</a>
    <a href='$urladd&amp;tosort=parent&amp;tord=0'>$up</a></td>
  "));
  pecho(LFX_etr());
  
  for ($i=($first-1);($i<($first+$page_size-1))&&(is_object($insList[$i]));$i++) {
    pecho(LFX_str());
    pecho(LFX_td("<input type='checkbox' name='a[$i]'>"));    
    pecho(LFX_td($i+1));
    pecho(LFX_td($insList[$i]->getLinkH()));
    $defin=$insList[$i]->getObject("definition");
    $defnm=$defin->getAttr("name");
    pecho(LFX_td($defnm));
    pecho(LFX_td($insList[$i]->getAttrH("date")));
    pecho(LFX_td($insList[$i]->getAttr("revision")));
    pecho(LFX_td($insList[$i]->getAttr("serial")));
    pecho(LFX_td($insList[$i]->getAttr("inventory")));
    pecho(LFX_td($insList[$i]->getAttr("type")));
    $parentID=$insList[$i]->getAttr("parent");
    $parent=new DMO_Instance($parentID);
    pecho(LFX_td($parent->getLinkH()));
    pecho(LFX_etr());
  }
  pecho(LFX_endTables());
  pecho(LFX_echo("</td>"));
  pecho(LFX_etr());
  pecho(LFX_endTables());

  pecho(LFX_echo("</td>"));
  pecho(LFX_estr());
  pecho(LFX_echo("<td>"));
  
  pecho(LFX_startTables("100%"));
  pecho(DMO_swatchHeader(array(
    'title'=>"<input type='submit' name='addSels' value='".__D("Add to selection")."'>&nbsp;
              <input type='submit' name='addAllSels' value='".__D('Add all to selection')."'>&nbsp;
              <input type='submit' name='replaceSel' value='".__D('Replace selection')."'>
              <input type='button' value='".__D('View Selection')."' onClick=\"window.location='$_DMO_url/index/data/selview/?def={$def->id}&ins={$ins->id}&tree={$tree->id}'\">
  ")));
  pecho(LFX_endTables());
  
  pecho(LFX_eform());  
//end of page showing

  pecho(LFX_echo("</td></tr>"));
  pecho(LFX_echo("<tr><td>"));
  
  // Show page number... reduced size
  pecho(LFX_startTables("100%"));
  $ttl="";
  if ($cp>1) {
    if ($cp!=2) {
      $ttl.="&nbsp;<a href='$urladd&amp;cp=1&amp;first=1'><img src='$_DMO_icon_frew' border='0' alt='|&lt;-'></a>&nbsp;";
    } else {
      $ttl.="&nbsp;&nbsp;&nbsp;";
    }
    $prev=$cp-1;
    $fst=($prev-1)*$page_size+1;
    $ttl.="&nbsp;<a href='$urladd&amp;cp=$prev&amp;first=$fst'><img src='$_DMO_icon_rew' border='0' alt='&lt;-'></a>&nbsp;";
    unset($prev);
  }
  for ($i=$cp-3;$i<$cp;$i++) {
    if ($i<1) {
      continue;
    }
    $fst=($i-1)*$page_size+1;
    $ttl.="&nbsp;<a href='$urladd&amp;cp=$i&amp;first=$fst'>$i</a>&nbsp;";
  }
  $ttl.="&nbsp;[$cp]&nbsp;";
  for ($i=$cp+1;$i<=$cp+3;$i++) {
    if ($i>$pages_ct) {
      continue;
    }
    $fst=($i-1)*$page_size+1;
    $ttl.="&nbsp;<a href='$urladd&amp;cp=$i&amp;first=$fst'>$i</a>&nbsp;";
  }
  if ($cp<$pages_ct) {
    $next=$cp+1;
    $fst=($next-1)*$page_size+1;
    $ttl.="&nbsp;<a href='$urladd&amp;cp=$next&amp;first=$fst'><img src='$_DMO_icon_fwd' border='0' alt='-&gt;'></a>&nbsp;";
    unset($next);
    if ($cp!=$pages_ct-1) {
      $fst=($pages_ct-1)*$page_size+1;
      $ttl.="&nbsp;<a href='$urladd&amp;cp=$pages_ct&amp;first=$fst'><img src='$_DMO_icon_ffwd' border='0' alt='-&gt;|'></a>&nbsp;";
    }
  }
  pecho(DMO_swatchHeader(array("title"=>$ttl)));
  pecho(LFX_endTables());  
  //END Show page numbers
  
  pecho(LFX_echo("</td></tr>"));
  pecho(LFX_echo("</table>"));
?>
