CREATE TABLE `attribute` (
  `attribute_ID` int(11) NOT NULL auto_increment,
  `attribute_date` date default NULL,
  `attribute_revision` varchar(10) default NULL,
  `definition_ID` int(11) NOT NULL default '0',
  `attribute_name` varchar(50) NOT NULL default '',
  `attribute_type` varchar(20) default NULL,
  `attribute_OID` varchar(50) default NULL,
  `mib_ID` int(11) default NULL,
  `attribute_low` bigint(20) default NULL,
  `attribute_high` bigint(20) default NULL,
  `attribute_description` varchar(255) NOT NULL default '',
  `attribute_visible` char(1) NOT NULL default '1',
  `is_password` tinyint(1) NOT NULL default '0',
  `data_type` varchar(255) default NULL,
  `extra_type` text,
  `attribute_inheritable` tinyint(1) default '0',
  PRIMARY KEY  (`attribute_ID`),
  KEY `attribute_ID` (`attribute_ID`),
  KEY `definition_ID` (`definition_ID`),
  KEY `attribute_name` (`attribute_name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `definition` (
  `definition_ID` int(11) NOT NULL auto_increment,
  `definition_date` date default '0000-00-00',
  `definition_revision` varchar(10) default '1.0',
  `definition_name` varchar(50) NOT NULL default '',
  `definition_number` varchar(10) default 'x.x.x',
  `definition_type` varchar(20) default NULL,
  `definition_parent` int(11) default NULL,
  `definition_description` varchar(255) default NULL,
  `definition_owner` mediumint(8) unsigned NOT NULL default '0',
  `ins_count_local` mediumint(8) unsigned NOT NULL default '0',
  `ins_count_total` mediumint(8) unsigned NOT NULL default '0',
  `enable_report` tinyint(1) NOT NULL default '0',
  `enable_summary` tinyint(3) unsigned NOT NULL default '0',
  `tree_cache` text,
  `definition_group` mediumint(8) unsigned NOT NULL default '0',
  `hidden` tinyint(1) NOT NULL default '0',
  `lock_inherit` tinyint(1) default NULL,
  `depth` tinyint(4) default NULL,
  PRIMARY KEY  (`definition_ID`),
  UNIQUE KEY `definition_name` (`definition_name`),
  KEY `definition_ID` (`definition_ID`,`definition_name`),
  KEY `definition_parent` (`definition_parent`),
  KEY `ins_count_local` (`ins_count_local`),
  KEY `ins_count_total` (`ins_count_total`),
  KEY `enable_report` (`enable_report`),
  KEY `enable_summary` (`enable_summary`),
  KEY `people_id` (`definition_owner`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `deftemplate` (
  `deftemplate_ID` int(11) NOT NULL auto_increment,
  `template_ID` int(11) NOT NULL default '0',
  `childdef_ID` int(11) NOT NULL default '0',
  PRIMARY KEY  (`deftemplate_ID`),
  UNIQUE KEY `deftemplate_ID` (`deftemplate_ID`),
  KEY `deftemplate_ID_2` (`deftemplate_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `dmo_company` (
  `company_id` mediumint(8) unsigned NOT NULL default '0',
  `company_name` varchar(100) NOT NULL default '',
  `company_desc` varchar(255) NOT NULL default '',
  `owner_id` mediumint(9) NOT NULL default '0',
  PRIMARY KEY  (`company_id`),
  KEY `company_name` (`company_name`,`owner_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Company specifies the organisation which DMO items belong to';

CREATE TABLE `dmo_file` (
  `dmo_file_id` mediumint(8) unsigned NOT NULL auto_increment,
  `dmo_file_name` varchar(255) NOT NULL default '',
  `dmo_file_mimetype` varchar(100) NOT NULL default '',
  `company_id` mediumint(8) unsigned NOT NULL default '0',
  `owner_id` mediumint(8) unsigned NOT NULL default '0',
  `dmo_file_desc` varchar(255) NOT NULL default '',
  UNIQUE KEY `dmo_file_id` (`dmo_file_id`),
  KEY `dmo_file_name` (`dmo_file_name`,`dmo_file_mimetype`,`company_id`,`owner_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='DMO_File links to files which are attached to items in the D';

CREATE TABLE `eh_version` (
  `version_id` tinyint(1) NOT NULL default '1',
  `version` varchar(15) default NULL,
  PRIMARY KEY  (`version_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `fileAttrTreeLink` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `filetree_id` mediumint(8) unsigned default NULL,
  `fileattr_id` mediumint(8) unsigned default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `file_attr` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `file` varchar(255) default NULL,
  `content` longtext,
  `language` varchar(10) default NULL,
  `obsoleted_by` mediumint(8) unsigned default '0',
  `alternate_of` mediumint(8) unsigned default '0',
  `version` varchar(255) default '1',
  `date` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `file_tree` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  `parent` mediumint(8) unsigned default NULL,
  `date` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `help` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `topicId` varchar(255) NOT NULL default 'notopic',
  `parent` mediumint(8) unsigned NOT NULL default '0',
  `type` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `topicId` (`topicId`),
  KEY `parent` (`parent`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `help_data` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `help` mediumint(8) unsigned NOT NULL default '0',
  `title` varchar(255) NOT NULL default 'notitle',
  `content` mediumtext,
  `lang` varchar(5) NOT NULL default 'en_US',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `help` (`help`,`lang`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `ilink` (
  `ilink_ID` mediumint(11) NOT NULL auto_increment,
  `ilink_url` varchar(255) NOT NULL default '',
  `ilink_title` varchar(255) NOT NULL default '',
  `ilink_description` mediumtext NOT NULL,
  PRIMARY KEY  (`ilink_ID`),
  UNIQUE KEY `ilink_ID` (`ilink_ID`),
  KEY `ilink_ID_2` (`ilink_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `insdepend` (
  `orphan_instance_ID` mediumint(9) NOT NULL default '0',
  `widow_instance_ID` mediumint(9) NOT NULL default '0',
  PRIMARY KEY  (`orphan_instance_ID`,`widow_instance_ID`),
  UNIQUE KEY `orphan_instance_ID` (`orphan_instance_ID`,`widow_instance_ID`),
  KEY `widow_instance_ID` (`widow_instance_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `instance` (
  `instance_ID` bigint(11) NOT NULL auto_increment,
  `instance_date` datetime default NULL,
  `instance_revision` varchar(10) default NULL,
  `definition_ID` int(11) NOT NULL default '0',
  `instance_name` varchar(50) NOT NULL default '',
  `instance_serial` varchar(50) default NULL,
  `instance_location` varchar(50) default NULL,
  `instance_inventory` varchar(50) default NULL,
  `instance_purpose` text,
  `instance_notes` text,
  `instance_type` varchar(250) default NULL,
  `instance_owner` mediumint(8) unsigned NOT NULL default '0',
  `instance_company` mediumint(8) unsigned default NULL,
  `instance_parent` int(11) default NULL,
  `lastedit` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `child_no` mediumint(8) NOT NULL default '0',
  `depend_no` mediumint(8) NOT NULL default '0',
  `instance_group` mediumint(8) unsigned NOT NULL default '0',
  `lock_inherit` tinyint(1) default NULL,
  `hidden` tinyint(3) NOT NULL default '0',
  PRIMARY KEY  (`instance_ID`),
  UNIQUE KEY `instance_name` (`instance_name`),
  KEY `instance_ID` (`instance_ID`,`definition_ID`),
  KEY `definition_ID` (`definition_ID`),
  KEY `instance_parent` (`instance_parent`),
  KEY `instance_owner` (`instance_owner`),
  KEY `instance_company` (`instance_company`),
  KEY `instance_group` (`instance_group`),
  KEY `hidden` (`hidden`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `instattr` (
  `instattr_ID` int(11) NOT NULL auto_increment,
  `instance_ID` int(11) NOT NULL default '0',
  `attribute_ID` int(11) NOT NULL default '0',
  `instattr_value` bigint(20) default NULL,
  `instattr_text` varchar(255) default NULL,
  `company_id` mediumint(8) unsigned default NULL,
  `dmo_file_id` mediumint(8) unsigned default NULL,
  PRIMARY KEY  (`instattr_ID`),
  UNIQUE KEY `enforceuniqeness` (`instance_ID`,`attribute_ID`),
  KEY `instattr_ID` (`instattr_ID`,`instance_ID`,`attribute_ID`),
  KEY `instance_ID` (`instance_ID`),
  KEY `attribute_ID` (`attribute_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `instattr_history` (
  `instattr_history_ID` int(11) NOT NULL auto_increment,
  `instattr_ID` int(11) NOT NULL default '0',
  `value` bigint(20) default NULL,
  `text` varchar(255) default NULL,
  `date` datetime default NULL,
  `author` int(11) default '0',
  PRIMARY KEY  (`instattr_history_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `insttype` (
  `insttype_ID` int(11) NOT NULL auto_increment,
  `insttype_name` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`insttype_ID`),
  KEY `type_ID` (`insttype_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `large_attr` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `content` longblob,
  `language` varchar(10) default '',
  `obsoleted_by` mediumint(8) unsigned default '0',
  `alternate_of` mediumint(8) unsigned default '0',
  `version` varchar(255) default '1',
  `date` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `macip` (
  `mac` varchar(16) NOT NULL default '',
  `ipaddress` varchar(16) NOT NULL default '',
  `updatetime` datetime NOT NULL default '0000-00-00 00:00:00',
  `oldmac` varchar(16) default NULL,
  `sortipaddress` varchar(16) default NULL,
  `dns` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`ipaddress`),
  UNIQUE KEY `ipaddress` (`ipaddress`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `maciphistory` (
  `histid` smallint(6) NOT NULL auto_increment,
  `ipaddress` varchar(16) NOT NULL default '',
  `mac` varchar(16) NOT NULL default '',
  `updatetime` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`histid`),
  KEY `histid` (`histid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `macport` (
  `portindex` int(11) NOT NULL auto_increment,
  `bsipaddress` varchar(16) NOT NULL default '',
  `unit` tinyint(4) NOT NULL default '0',
  `port` tinyint(4) NOT NULL default '0',
  `mac` varchar(16) NOT NULL default '',
  `status` tinyint(2) NOT NULL default '0',
  `updatetime` datetime NOT NULL default '0000-00-00 00:00:00',
  `oldmac` varchar(16) default NULL,
  `module` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`portindex`,`mac`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `macporthistory` (
  `histid` int(11) NOT NULL auto_increment,
  `bsipaddress` varchar(16) NOT NULL default '',
  `unit` tinyint(4) NOT NULL default '0',
  `port` tinyint(4) NOT NULL default '0',
  `updatetime` datetime NOT NULL default '0000-00-00 00:00:00',
  `mac` varchar(16) NOT NULL default '',
  PRIMARY KEY  (`histid`),
  KEY `histid` (`histid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `node_search` (
  `sn_ID` int(11) NOT NULL auto_increment,
  `sn_type` tinyint(1) NOT NULL default '0',
  `sn_concatenation` tinyint(1) NOT NULL default '0',
  `sn_attribute` tinytext NOT NULL,
  `sn_property` tinyint(1) NOT NULL default '0',
  `sn_condition` tinytext NOT NULL,
  `sn_value` tinytext NOT NULL,
  `sn_inheritance` tinyint(1) NOT NULL default '0',
  `sn_definition` int(11) NOT NULL default '0',
  `sn_parent` int(11) default NULL,
  `sn_session` varchar(32) NOT NULL default '',
  `sn_pid` varchar(32) NOT NULL default '',
  PRIMARY KEY  (`sn_ID`),
  UNIQUE KEY `sn_ID` (`sn_ID`),
  KEY `sn_ID_2` (`sn_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `oui` (
  `macaddr` varchar(17) NOT NULL default '',
  `manufacturer` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`macaddr`),
  KEY `manufacturer` (`manufacturer`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='MAC addresses and manufacturers';

CREATE TABLE `pdf_reports` (
  `report_id` int(11) NOT NULL auto_increment,
  `type` varchar(10) default NULL,
  `description` mediumtext NOT NULL,
  `date` date default NULL,
  `data` mediumint(8) unsigned NOT NULL default '0',
  PRIMARY KEY  (`report_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `plug_action` (
  `pa_ID` int(11) NOT NULL auto_increment,
  `pa_name` varchar(50) NOT NULL default '',
  `pa_file` varchar(50) NOT NULL default '',
  `pa_attribute` int(11) NOT NULL default '0',
  `pa_type` enum('value','text') NOT NULL default 'value',
  PRIMARY KEY  (`pa_ID`),
  UNIQUE KEY `pa_ID` (`pa_ID`),
  KEY `pa_ID_2` (`pa_ID`),
  KEY `pa_attribute` (`pa_attribute`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `qsattr` (
  `qsa_ID` int(11) NOT NULL auto_increment,
  `qsa_name` varchar(50) NOT NULL default '',
  `qsa_attribute` int(11) NOT NULL default '0',
  `qsa_type` enum('system','user') NOT NULL default 'system',
  `qsa_user` int(11) NOT NULL default '0',
  PRIMARY KEY  (`qsa_ID`),
  UNIQUE KEY `qsa_ID` (`qsa_ID`),
  KEY `qsa_ID_2` (`qsa_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `querysearch` (
  `querysearch_ID` int(11) NOT NULL auto_increment,
  `querysearch_name` varchar(50) NOT NULL default '',
  `querysearch_query` text NOT NULL,
  `querysearch_description` tinytext NOT NULL,
  PRIMARY KEY  (`querysearch_ID`),
  UNIQUE KEY `querysearch_ID` (`querysearch_ID`),
  KEY `querysearch_ID_2` (`querysearch_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `saved_search` (
  `dumb_id` int(11) NOT NULL auto_increment,
  `search_id` int(11) NOT NULL default '0',
  `search_name` varchar(50) NOT NULL default '',
  `search_description` text NOT NULL,
  `ss_id` int(11) NOT NULL default '0',
  `ss_type` tinyint(1) NOT NULL default '0',
  `ss_concatenation` tinyint(1) NOT NULL default '0',
  `ss_attribute` tinytext NOT NULL,
  `ss_session` varchar(32) NOT NULL default 'load',
  `ss_property` tinyint(1) NOT NULL default '0',
  `ss_condition` varchar(6) NOT NULL default '',
  `ss_value` varchar(255) NOT NULL default '',
  `ss_inheritance` tinyint(1) NOT NULL default '0',
  `ss_definition` int(11) NOT NULL default '0',
  `ss_parent` int(11) NOT NULL default '0',
  PRIMARY KEY  (`dumb_id`),
  UNIQUE KEY `dumb_id` (`dumb_id`),
  KEY `dumb_id_2` (`dumb_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `searches` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `searches_name` varchar(255) NOT NULL default 'Unnamed',
  `searches_desc` text,
  `searches_def` text,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `selection` (
  `selection_id` int(11) NOT NULL auto_increment,
  `instance_id` int(11) NOT NULL default '0',
  `session_id` varchar(32) NOT NULL default '',
  PRIMARY KEY  (`selection_id`),
  KEY `selection_id` (`selection_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `switches` (
  `switch_ID` int(11) NOT NULL auto_increment,
  `segment` varchar(8) NOT NULL default '',
  `stackorder` tinyint(4) NOT NULL default '0',
  `location` varchar(60) NOT NULL default '',
  `model` varchar(14) NOT NULL default '',
  `serialno` varchar(12) NOT NULL default '',
  `mac` varchar(16) NOT NULL default '',
  `comment` varchar(80) NOT NULL default '',
  `ipaddress` varchar(16) NOT NULL default '',
  `firmware` varchar(10) NOT NULL default '',
  `dnsname` varchar(30) NOT NULL default 'switchn',
  `instDate` date default NULL,
  `status` tinyint(1) NOT NULL default '0',
  `vlan` varchar(255) default NULL,
  `OS` varchar(50) NOT NULL default '',
  `last_polled` datetime NOT NULL default '0000-00-00 00:00:00',
  `portfilter` varchar(255) default NULL,
  `needlogin` char(1) default NULL,
  PRIMARY KEY  (`switch_ID`),
  KEY `serialno` (`serialno`),
  KEY `ipaddress` (`ipaddress`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `temp` (
  `tmp_ID` int(11) NOT NULL auto_increment,
  `tmp_session` varchar(32) NOT NULL default '',
  `tmp_query` text NOT NULL,
  PRIMARY KEY  (`tmp_ID`),
  UNIQUE KEY `tmp_ID` (`tmp_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `template` (
  `template_ID` int(11) NOT NULL auto_increment,
  `definition_ID` int(11) NOT NULL default '0',
  `template_name` varchar(50) NOT NULL default '',
  `template_comment` mediumtext NOT NULL,
  `instance_ID` int(11) NOT NULL default '0',
  PRIMARY KEY  (`template_ID`),
  UNIQUE KEY `template_ID` (`template_ID`),
  KEY `template_ID_2` (`template_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `url` (
  `url_ID` mediumint(8) unsigned NOT NULL auto_increment,
  `url_url` varchar(255) NOT NULL default '',
  `url_title` varchar(255) NOT NULL default '',
  `url_description` mediumtext NOT NULL,
  `url_date` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`url_ID`),
  UNIQUE KEY `url_ID` (`url_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `url_instance` (
  `url_ID` mediumint(8) unsigned NOT NULL default '0',
  `instance_ID` mediumint(8) unsigned NOT NULL default '0',
  `owner` int(11) default NULL,
  `group` int(11) default NULL,
  `id` int(11) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`),
  KEY `instance_ID` (`instance_ID`),
  KEY `url_owner` (`owner`),
  KEY `url_group` (`group`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

