#!/bin/sh

# A simple tool to migrate the DMO v1 database to v2
# Bogdan Stancescu <bogdan@lanifex.com>, January 2003
# $Id: migrate_database.sh,v 1.10 2003/05/06 14:20:57 bogdan Exp $

SQL="temp_dmo_data.sql"
rm -f ${SQL}
echo "drop database dmo_new;" >> ${SQL}
echo "create database dmo_new;" >> ${SQL}
echo "use dmo_new;" >> ${SQL}
echo "Enter password for DMO v1 database dump:"
mysqldump -uroot -p dmo >> ${SQL} || {
  echo "Failed to dump database"
  exit 1
}
echo "drop table active_sessions;" >> ${SQL}
echo "alter table definition drop definition_test;" >> ${SQL}
echo "alter table definition add ins_count_local mediumint(8) unsigned not null default 0;" >> ${SQL}
echo "alter table definition add ins_count_total mediumint(8) unsigned not null default 0;" >> ${SQL}
echo "drop table definition_backup;" >> ${SQL}
echo "drop table instance_backup;" >> ${SQL}
echo "CREATE TABLE insdepend (" >> ${SQL}
echo "  orphan_instance_ID mediumint(9) NOT NULL default '0'," >> ${SQL}
echo "  widow_instance_ID mediumint(9) NOT NULL default '0'," >> ${SQL}
echo "  PRIMARY KEY  (orphan_instance_ID,widow_instance_ID)," >> ${SQL}
echo "  UNIQUE KEY orphan_instance_ID (orphan_instance_ID,widow_instance_ID)" >> ${SQL}
echo ") TYPE=MyISAM;" >> ${SQL}
echo "CREATE TABLE insttype (" >> ${SQL}
echo "  insttype_ID int(11) NOT NULL auto_increment," >> ${SQL}
echo "  insttype_name varchar(50) NOT NULL default ''," >> ${SQL}
echo "  PRIMARY KEY  (insttype_ID)," >> ${SQL}
echo "  KEY type_ID (insttype_ID)" >> ${SQL}
echo ") TYPE=MyISAM;" >> ${SQL}
echo "drop table instchanges;" >> ${SQL}
echo "drop table ip;" >> ${SQL}
echo "drop table log;" >> ${SQL}
echo "drop table macip;" >> ${SQL}
echo "drop table maciphistory;" >> ${SQL}
echo "drop table macport;" >> ${SQL}
echo "drop table macporthistory;" >> ${SQL}
echo "drop table mib;" >> ${SQL}
echo "drop table mibattr;" >> ${SQL}
echo "drop table mrtg;" >> ${SQL}
echo "drop table osce_opt;" >> ${SQL}
echo "drop table people;" >> ${SQL}
echo "drop table services;" >> ${SQL}
echo "drop table switches;" >> ${SQL}
echo "alter table attribute add attribute_visible char(1) NOT NULL default '1';" >> ${SQL}
# echo "alter table definition change definition_date definition_date timestamp(14) NOT NULL" >> ${SQL}
echo "CREATE TABLE deftemplate (" >> ${SQL}
echo "  deftemplate_ID int(11) NOT NULL auto_increment," >> ${SQL}
echo "  template_ID int(11) NOT NULL default '0'," >> ${SQL}
echo "  childdef_ID int(11) NOT NULL default '0'," >> ${SQL}
echo "  PRIMARY KEY  (deftemplate_ID)," >> ${SQL}
echo "  UNIQUE KEY deftemplate_ID (deftemplate_ID)," >> ${SQL}
echo "  KEY deftemplate_ID_2 (deftemplate_ID)" >> ${SQL}
echo ");" >> ${SQL}
echo "CREATE TABLE template (" >> ${SQL}
echo "  template_ID int(11) NOT NULL auto_increment," >> ${SQL}
echo "  definition_ID int(11) NOT NULL default '0'," >> ${SQL}
echo "  template_name varchar(50) NOT NULL default ''," >> ${SQL}
echo "  template_comment mediumtext NOT NULL," >> ${SQL}
echo "  instance_ID int(11) NOT NULL default '0'," >> ${SQL}
echo "  PRIMARY KEY  (template_ID)," >> ${SQL}
echo "  UNIQUE KEY template_ID (template_ID)," >> ${SQL}
echo "  KEY template_ID_2 (template_ID));" >> ${SQL}
echo "CREATE TABLE help (" >> ${SQL}
echo "  id mediumint(8) unsigned NOT NULL auto_increment," >> ${SQL}
echo "  topicId varchar(255) NOT NULL default 'notopic'," >> ${SQL}
echo "  parent mediumint(8) unsigned NOT NULL default '0'," >> ${SQL}
echo "  type varchar(255) NOT NULL default ''," >> ${SQL}
echo "  PRIMARY KEY  (id)," >> ${SQL}
echo "  KEY topicId (topicId)," >> ${SQL}
echo "  KEY parent (parent)" >> ${SQL}
echo ") TYPE=MyISAM;" >> ${SQL}
echo "INSERT INTO help VALUES (1,'root',0,'');" >> ${SQL}
echo "INSERT INTO help VALUES (2,'menu_admin',1,'');" >> ${SQL}
echo "INSERT INTO help VALUES (3,'menu_help',2,'');" >> ${SQL}
echo "INSERT INTO help VALUES (4,'help_topicId',3,'');" >> ${SQL}
echo "INSERT INTO help VALUES (5,'help_lang',3,'');" >> ${SQL}
echo " CREATE TABLE help_data (" >> ${SQL}
echo "   id mediumint(8) unsigned NOT NULL auto_increment," >> ${SQL}
echo "   help mediumint(8) unsigned NOT NULL default '0'," >> ${SQL}
echo "   title varchar(255) NOT NULL default 'notitle'," >> ${SQL}
echo "   content mediumtext," >> ${SQL}
echo "   lang varchar(5) NOT NULL default 'en_US'," >> ${SQL}
echo "   PRIMARY KEY  (id)," >> ${SQL}
echo "   UNIQUE KEY help (help,lang)" >> ${SQL}
echo " ) TYPE=MyISAM;" >> ${SQL}
echo " CREATE TABLE ilink (" >> ${SQL}
echo "   ilink_ID mediumint(11) NOT NULL auto_increment," >> ${SQL}
echo "   ilink_url varchar(255) NOT NULL default ''," >> ${SQL}
echo "   ilink_title varchar(255) NOT NULL default ''," >> ${SQL}
echo "   ilink_description mediumtext NOT NULL," >> ${SQL}
echo "   PRIMARY KEY  (ilink_ID)," >> ${SQL}
echo "   UNIQUE KEY ilink_ID (ilink_ID)," >> ${SQL}
echo "   KEY ilink_ID_2 (ilink_ID)" >> ${SQL}
echo " ) TYPE=MyISAM;" >> ${SQL}
echo " CREATE TABLE plug_action (" >> ${SQL}
echo "   pa_ID int(11) NOT NULL auto_increment," >> ${SQL}
echo "   pa_name varchar(50) NOT NULL default ''," >> ${SQL}
echo "   pa_file varchar(50) NOT NULL default ''," >> ${SQL}
echo "   pa_attribute int(11) NOT NULL default '0'," >> ${SQL}
echo "   pa_type enum('value','text') NOT NULL default 'value'," >> ${SQL}
echo "   PRIMARY KEY  (pa_ID)," >> ${SQL}
echo "   UNIQUE KEY pa_ID (pa_ID)," >> ${SQL}
echo "   KEY pa_ID_2 (pa_ID)" >> ${SQL}
echo " ) TYPE=MyISAM;" >> ${SQL}
echo " CREATE TABLE qsattr (" >> ${SQL}
echo "   qsa_ID int(11) NOT NULL auto_increment," >> ${SQL}
echo "   qsa_name varchar(50) NOT NULL default ''," >> ${SQL}
echo "   qsa_attribute int(11) NOT NULL default '0'," >> ${SQL}
echo "   qsa_type enum('system','user') NOT NULL default 'system'," >> ${SQL}
echo "   qsa_user int(11) NOT NULL default '0'," >> ${SQL}
echo "   PRIMARY KEY  (qsa_ID)," >> ${SQL}
echo "   UNIQUE KEY qsa_ID (qsa_ID)," >> ${SQL}
echo "   KEY qsa_ID_2 (qsa_ID)" >> ${SQL}
echo " ) TYPE=MyISAM;" >> ${SQL}
echo "INSERT INTO help_data VALUES (1,1,'DMO Help','This is the DMO Helpab [root]','en_US');" >> ${SQL}
echo "INSERT INTO help_data VALUES (2,1,'Help-ul DMO','Acesta este help-ul DMO [root]','ro_RO');" >> ${SQL}
echo "INSERT INTO help_data VALUES (3,2,'Admin Menu','This is the administrative menu.\r\n\r\nPlease make sure you restrict access to this section as sensitive information might be revealed here.','en_US');" >> ${SQL}
echo "INSERT INTO help_data VALUES (4,3,'Help Menu','This is the help management section.\r\n\r\n<b>ALTHOUGH IT IS NOW ALSO USED TO <i>DISPLAY</i> THE HELP PAGES, THIS WILL NOT BE THE CASE IN THE FINAL VERSION!</b>','en_US');" >> ${SQL}
echo "INSERT INTO help_data VALUES (5,4,'Topic ID','The topic ID\'s are used to identify the help items regardless of their language or id in the database in order to provide a meaningful way for developers to link their explanations to the respective GUI elements. Thus the topic ID\'s must be unique throughout the system, yet all translations of the same help section point to the same help entry which stores the topic ID.\r\n\r\nPlease be warned the topic ID\'s are case sensitive, so the topic ID in the help admin section must match the topic ID in the code.','en_US');" >> ${SQL}
echo "INSERT INTO help_data VALUES (6,5,'Language','This identifies the language usedto write this help page. A help page may be duplicated in several languages, all identified by a single [help_topicId].\r\n\r\nThe current version of the help system requires you to type the language code manually (e.g. \"en_US\", \"de_AT\" or \"ro_RO\"). This will change in a future version and a drop-down will be available with all languages known by the system, and an interface for language management will also be provided. For now please stick to the current format and only use one of the values above CASE-SENSITIVE when needed.','en_US');" >> ${SQL}
echo " CREATE TABLE selection (" >> ${SQL}
echo "   selection_id int(11) NOT NULL auto_increment," >> ${SQL}
echo "   instance_id int(11) NOT NULL default '0'," >> ${SQL}
echo "   PRIMARY KEY  (selection_id)," >> ${SQL}
echo "   session_id varchar(32) NOT NULL default ''," >> ${SQL}
echo "   KEY selection_id (selection_id)" >> ${SQL}
echo ") TYPE=MyISAM;" >> ${SQL}
echo "CREATE TABLE querysearch (" >> ${SQL}
echo "  querysearch_ID int(11) NOT NULL auto_increment," >> ${SQL}
echo "  querysearch_name varchar(50) NOT NULL default ''," >> ${SQL}
echo "  querysearch_query tinytext NOT NULL," >> ${SQL}
echo "  querysearch_description tinytext NOT NULL," >> ${SQL}
echo "  PRIMARY KEY  (querysearch_ID)," >> ${SQL}
echo "  UNIQUE KEY querysearch_ID (querysearch_ID)," >> ${SQL}
echo "  KEY querysearch_ID_2 (querysearch_ID)" >> ${SQL}
echo ") TYPE=MyISAM;" >> ${SQL}
echo "CREATE TABLE node_search (" >> ${SQL}
echo "  sn_ID int(11) NOT NULL auto_increment," >> ${SQL}
echo "  sn_type tinyint(1) NOT NULL default '0'," >> ${SQL}
echo "  sn_concatenation tinyint(1) NOT NULL default '0'," >> ${SQL}
echo "  sn_attribute tinytext NOT NULL," >> ${SQL}
echo "  sn_property tinyint(1) NOT NULL default '0'," >> ${SQL}
echo "  sn_condition tinytext NOT NULL," >> ${SQL}
echo "  sn_value tinytext NOT NULL," >> ${SQL}
echo "  sn_inheritance tinyint(1) NOT NULL default '0'," >> ${SQL}
echo "  sn_definition int(11) NOT NULL default '0'," >> ${SQL}
echo "  sn_parent int(11) default NULL," >> ${SQL}
echo "  sn_session varchar(32) NOT NULL default ''," >> ${SQL}
echo "  PRIMARY KEY  (sn_ID)," >> ${SQL}
echo "  UNIQUE KEY sn_ID (sn_ID)," >> ${SQL}
echo "  KEY sn_ID_2 (sn_ID)" >> ${SQL}
echo ");" >> ${SQL}
echo " CREATE TABLE saved_search (" >> ${SQL}
echo "   dumb_id int(11) NOT NULL auto_increment," >> ${SQL}
echo "   search_id int(11) NOT NULL default '0'," >> ${SQL}
echo "   search_name varchar(50) NOT NULL default ''," >> ${SQL}
echo "   search_description text NOT NULL," >> ${SQL}
echo "   ss_id int(11) NOT NULL default '0'," >> ${SQL}
echo "   ss_type tinyint(1) NOT NULL default '0'," >> ${SQL}
echo "   ss_concatenation tinyint(1) NOT NULL default '0'," >> ${SQL}
echo "   ss_attribute tinytext NOT NULL," >> ${SQL}
echo "   ss_session varchar(32) NOT NULL default 'load'," >> ${SQL}
echo "   ss_property tinyint(1) NOT NULL default '0'," >> ${SQL}
echo "   ss_condition varchar(6) NOT NULL default ''," >> ${SQL}
echo "   ss_value varchar(255) NOT NULL default ''," >> ${SQL}
echo "   ss_inheritance tinyint(1) NOT NULL default '0'," >> ${SQL}
echo "   ss_definition int(11) NOT NULL default '0'," >> ${SQL}
echo "   ss_parent int(11) NOT NULL default '0'," >> ${SQL}
echo "   PRIMARY KEY  (dumb_id)," >> ${SQL}
echo "   UNIQUE KEY dumb_id (dumb_id)," >> ${SQL}
echo "   KEY dumb_id_2 (dumb_id)" >> ${SQL}
echo " )" >> ${SQL}
echo " CREATE TABLE temp (" >> ${SQL}
echo "   tmp_ID int(11) NOT NULL auto_increment," >> ${SQL}
echo "   tmp_session varchar(32) NOT NULL default ''," >> ${SQL}
echo "   tmp_query text NOT NULL," >> ${SQL}
echo "   PRIMARY KEY  (tmp_ID)," >> ${SQL}
echo "   UNIQUE KEY tmp_ID (tmp_ID)," >> ${SQL}
echo "   KEY tmp_ID_2 (tmp_ID)" >> ${SQL}
echo " ) TYPE=MyISAM;" >> ${SQL}
echo "Enter password for DMO v2 database fill (or type invalid password to abort):"
mysql -uroot -p < ${SQL} || {
  echo "MySQL failed - see ${SQL} for the SQL"
  exit 1
}
rm -f ${SQL}

